package digital.laboratory.platform.reagent.dto;

import com.amazonaws.services.s3.S3ResourceType;
import digital.laboratory.platform.reagent.entity.ReagentConsumableInventory;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;

@Data
public class ReagentConsumableInventoryDTO extends ReagentConsumableInventory {


    @ApiModelProperty(value = "(位置信息)")
    private String location;

    @ApiModelProperty(value = "(供应商ID)")
    private String supplierId;

    @ApiModelProperty(value = "(有效日期)")
    private LocalDate expirationDate;

    @ApiModelProperty(value = "(生产日期)")
    private LocalDate dateOfProduction;

    @ApiModelProperty(value = "(房间号)")
    private String roomNo;

    @ApiModelProperty(value = "标准物质质量")
    private Double mass;

    @ApiModelProperty(value = "标准物质单位")
    private String referenceMaterialUnit;

    @ApiModelProperty(value = "(供应商名称)")
    private String supplierName;

    @ApiModelProperty(value = "(规格)")
    private String packages;

}
