package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 
 *
 * @author Zhang Xiaolong created at  2023-03-23 16:38:02
 * @describe  实体类
 */
@Data
@TableName(value = "reference_material", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "")
public class ReferenceMaterial extends BaseEntity {

    @ApiModelProperty(value="标准物质编号")
    private String number;

    @ApiModelProperty(value="定值结果")
    private String fixedResult;

    @ApiModelProperty(value="打印序列号")
    private String code;

    @ApiModelProperty(value="状态(0为可以使用，-1为停用,-2为降级使用、-3 已被领用,-4 使用完毕,报废")
    private Integer status;

    @ApiModelProperty(value="试剂耗材Id")
    private String reagentConsumableId;

    @ApiModelProperty(value="使用状态 0为可以使用、-2为降级使用、-3 已被领用 主要为备用状态区分被领用时")
    private Integer serviceStatus;

    @ApiModelProperty(value="批次明细Id")
    private String batchDetailsId;

    @ApiModelProperty(value="格子ID")
    private String latticeId;

    @ApiModelProperty(value="位置信息")
    private String location;

    @ApiModelProperty(value="柜子ID")
    private String boxId;

    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="id")
    private String id;

    @ApiModelProperty(value="试剂耗材(含标准物质)仓库表ID")
    private String reagentConsumableInventoryId;

    @ApiModelProperty(value="保管人名称")
    private String custodianName;

    @ApiModelProperty(value="标准物质名称")
    private String reagentConsumableName;

    @ApiModelProperty(value = "质量(有可能为重量、有可能为体积)")
    private Double mass;

    @ApiModelProperty(value = "单位")
    private String referenceMaterialUnit;
}
