package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 签收记录表
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:05
 * @describe 签收记录表 实体类
 */
@Data
@TableName(value = "warehousing_record_form", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "签收入库记录表")
public class WarehousingRecordForm extends BaseEntity {

    /**
     * 采购清单ID
     */
    @ApiModelProperty(value="采购清单ID")
    private String purchaseListId;

    /**
     * 状态
     */
    @ApiModelProperty(value="状态 0：未入库 1：未完成入库 2：已完成入库")
    private Integer status;

    /**
     * 采购编号
     */
    @ApiModelProperty(value="采购编号")
    private String  purchaseNumber;

    /**
     * signingRecordFormId
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="id")
    private String id;


}
