package digital.laboratory.platform.reagent.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import digital.laboratory.platform.reagent.entity.CentralizedRequest;
import digital.laboratory.platform.reagent.entity.PurchaseCatalogue;
import digital.laboratory.platform.reagent.vo.CentralizedRequestVO;
import digital.laboratory.platform.reagent.vo.PurchaseCatalogueVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * (采购目录) Mapper 接口
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe (采购目录) Mapper 类
 */
@Mapper
public interface PurchaseCatalogueMapper extends BaseMapper<PurchaseCatalogue> {

    IPage<PurchaseCatalogueVO> getPurchaseCatalogueVOPage(@Param("page") IPage<PurchaseCatalogue> page, @Param(Constants.WRAPPER) QueryWrapper<PurchaseCatalogue> qw);
    List<PurchaseCatalogueVO> getPurchaseCatalogueVOList(@Param(Constants.WRAPPER) QueryWrapper<PurchaseCatalogue> qw);

    PurchaseCatalogueVO getPurchaseCatalogueVO(String purchaseCatalogueId);

}
