package digital.laboratory.platform.reagent.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.IdWorker;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import digital.laboratory.platform.reagent.entity.LocationInfo;
import digital.laboratory.platform.reagent.mapper.LocationInfoMapper;
import digital.laboratory.platform.reagent.service.LocationInfoService;
import digital.laboratory.platform.reagent.vo.LocationInfoVO;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class LocationServiceImpl extends ServiceImpl<LocationInfoMapper, LocationInfo> implements LocationInfoService {

    @Override
    public List<LocationInfoVO> getListById(String batchDetailsId) {
        return baseMapper.getListById(batchDetailsId);
    }

    @Override
    public boolean addInfo(String batchDetailsId, String oldLocation, String newLocation) {
        LocationInfo locationInfo = new LocationInfo();
        locationInfo.setNewLocation(newLocation);
        locationInfo.setOldLocation(oldLocation);
        locationInfo.setBatchDetailsId(batchDetailsId);
        locationInfo.setId(IdWorker.get32UUID().toUpperCase());
        return this.save(locationInfo);
    }


}
