package digital.laboratory.platform.reagent.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import digital.laboratory.platform.reagent.entity.PurchaseListDetails;
import digital.laboratory.platform.reagent.entity.ReagentConsumables;
import digital.laboratory.platform.reagent.mapper.PurchaseListDetailsMapper;
import digital.laboratory.platform.reagent.service.PurchaseListDetailsService;
import digital.laboratory.platform.reagent.service.ReagentConsumablesService;
import digital.laboratory.platform.reagent.vo.PurchaseListDetailsVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * (采购清单明细)服务实现类
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe (采购清单明细) 服务实现类
 */
@Service
public class PurchaseListDetailsServiceImpl extends ServiceImpl<PurchaseListDetailsMapper, PurchaseListDetails> implements PurchaseListDetailsService {


    @Autowired
    private ReagentConsumablesService reagentConsumablesService;

    @Override
    public List<PurchaseListDetailsVO> getPurchaseListDetailsVOList(String purchaseListId) {

        List<PurchaseListDetailsVO> purchaseListDetailsVOList = baseMapper.getPurchaseListDetailsVOList(purchaseListId);

        for (PurchaseListDetailsVO purchaseListDetailsVO : purchaseListDetailsVOList) {

            ReagentConsumables byId = reagentConsumablesService.getById(purchaseListDetailsVO.getReagentConsumableId());

            purchaseListDetailsVO.setBrand(byId.getBrand());

            purchaseListDetailsVO.setSpecificationAndModel(byId.getSpecificationAndModel());

            purchaseListDetailsVO.setCategory(byId.getCategory());
        }

        return purchaseListDetailsVOList;

    }
    @Override
    public PurchaseListDetailsVO getPurchaseListDetailsVO(String id){

        PurchaseListDetailsVO purchaseListDetails = baseMapper.getPurchaseListDetails(id);

        return purchaseListDetails;
    }
}
