package digital.laboratory.platform.reagent.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import digital.laboratory.platform.reagent.entity.ReferenceMaterial;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;
@Data
public class ReferenceMaterialFullVO extends ReferenceMaterial {

    @ApiModelProperty(value = "标准物质ID")
    private String referenceMaterialId;

    @ApiModelProperty(value = "购置时间")
    private LocalDateTime purchaseTime;

    @ApiModelProperty(value = "制造商ID")
    private String manufacturerId;

    @ApiModelProperty(value = "批号")
    private String batchNumber;

    @ApiModelProperty(value = "标准物质编号")
    private String number;

    @ApiModelProperty(value = "供应商名称")
    private String supplierName;

    @ApiModelProperty(value = "批次")
    private String batch;

    @ApiModelProperty(value = "标准物质状态")
    private Integer referenceMaterialStatus;

    @ApiModelProperty(value="(定值结果)")
    private String fixedResult;

    @ApiModelProperty(value="(配置浓度(mg/mL))")
    private double  configurationConcentration;

    @ApiModelProperty(value="(配置日期)")
    private LocalDateTime configurationDate;

    @ApiModelProperty(value="(溶液编号)")
    private String solutionNumbering;

    @ApiModelProperty(value="(有效期限)")
    private Integer validityPeriod;

    @ApiModelProperty(value="纯度等级")
    private String purityGrade;

    @ApiModelProperty(value = "CAS-号")
    private String casNumber;

    @ApiModelProperty(value = "物品编码")
    private String code;
    /**
     * 名称
     * (品牌)
     */
    @ApiModelProperty(value = "(品牌)")
    private String brand;

    /**
     * (类别)
     */
    @ApiModelProperty(value = "(类别)")
    private String category;


    /**
     * 偏差/不确定度
     */
    @ApiModelProperty(value = "偏差/不确定度")
    private String deviationOrUncertainty;

    /**
     * (指导书ID)
     */
    @ApiModelProperty(value = "(指导书ID)")
    private String instructionBookId;

    /**
     * (规格型号)
     */
    @ApiModelProperty(value = "(规格型号)")
    private String specificationAndModel;

    /**
     * (种类)
     */
    @ApiModelProperty(value = "(种类)")
    private String species;

    /**
     * (标准值/纯度)
     */
    @ApiModelProperty(value = "(标准值/纯度)")
    private String standardValueOrPurity;

    /**
     * (技术参数)
     */
    @ApiModelProperty(value = "(技术参数)")
    private String technicalParameter;

    /**
     * (总数量)
     */
    @ApiModelProperty(value = "(总数量)")
    private Integer totalQuantity;

    /**
     * (包装份数)
     */
    @ApiModelProperty(value = "(包装份数)")
    private Integer packagedCopies;


    @ApiModelProperty(value = "单价")
    private Double unitPrice;

    /**
     * 别名
     */
    @ApiModelProperty(value = "别名")
    private String alias;

    /**
     * 存储条件
     */
    @ApiModelProperty(value = "存储条件")
    private String storageCondition;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 包装单位
     */
    @ApiModelProperty(value = "包装单位")
    private String minimumUnit;


    @ApiModelProperty(value = "英文名")
    private String englishName;
    /**
     * 存储期限
     */
    @ApiModelProperty(value = "存储期限")
    private Integer storageLife;
    /**
    /**
     * (预警值)
     */
    @ApiModelProperty(value="(预警值)")
    private Integer warningValue;

    @ApiModelProperty(value="(预警信息)")
    private String  warningInformation;
}
