package digital.laboratory.platform.reagent.vo;

import digital.laboratory.platform.reagent.dto.StandardMaterialApplicationDTO;
import digital.laboratory.platform.reagent.entity.ReagentConsumables;
import digital.laboratory.platform.reagent.entity.StandardMaterialApplication;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

@Data
@ApiModel(value = "(标准物质领用归还登记表)")
@EqualsAndHashCode(callSuper = true)
public class StandardMaterialApplicationVO extends StandardMaterialApplication {

    @ApiModelProperty(value = "(领用人名称)")
    private String recipientName;

    @ApiModelProperty(value = "(管理员名称)")
    private String administratorName;

    @ApiModelProperty(value = "(类别)")
    private String category;

    @ApiModelProperty(value="(配置浓度(mg/mL))")
    private String   configurationConcentration;

    private ReagentConsumables reagentConsumables;

    @ApiModelProperty(value="(序号")
    private String  index ;

    @ApiModelProperty(value="(领用日期)")
    private String  dateOfClaims;
    /**
     * (归还日期)
     */
    @ApiModelProperty(value="(归还日期)")
    private String dateOfReturns;

    @ApiModelProperty(value="格子ID")
    private String latticeId;

    @ApiModelProperty(value="位置信息")
    private String location;

    @ApiModelProperty(value="柜子ID")
    private String boxId;

    @ApiModelProperty(value="打印使用数量与用途")
    private String printPurposeAndQuantity;

    @ApiModelProperty(value = "质量(有可能为重量、有可能为体积)")
    private Double mass;

    @ApiModelProperty(value = "单位")
    private String referenceMaterialUnit;
}
