/*
 Navicat Premium Data Transfer

 Source Server         : 100Test
 Source Server Type    : MySQL
 Source Server Version : 100412
 Source Host           : 192.168.5.100:3306
 Source Schema         : dlp_reagent_managment

 Target Server Type    : MySQL
 Target Server Version : 100412
 File Encoding         : 65001

 Date: 15/09/2023 15:47:31
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for acceptance_record_form
-- ----------------------------
DROP TABLE IF EXISTS `acceptance_record_form`;
CREATE TABLE `acceptance_record_form`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `acceptance_conclusion` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(验收结论)',
  `audit_time_of_three_level` datetime(0) NULL DEFAULT NULL COMMENT '三级审核人审核时间',
  `date_of_acceptance` datetime(0) NULL DEFAULT NULL COMMENT '(验收日期)',
  `audit_opinion_of_three_level` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级审核人审核意见',
  `three_level_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级审核人ID',
  `follow_up_treatment` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(后续处理情况)',
  `nonconforming_item` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(不合格项目)',
  `audit_opinion_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核人审核意见',
  `primary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核人ID',
  `audit_time_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核人审核时间',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `audit_opinion_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核人审核意见',
  `audit_time_of_secondary` datetime(0) NULL DEFAULT NULL COMMENT '(二级审核人审核日期)',
  `secondary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(二级审核人ID)',
  `audit_result_of_secondary` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材管理员审核结果',
  `audit_result_of_three_level` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级审核审核结果',
  `audit_result_of_primary` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(一级审核结果)',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `the_same_brand_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '规格型号是否一致',
  `bam_remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '规格型号是否一致备注',
  `consistent_quantity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '数量是否一致',
  `cq_remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '数量是否一致备注',
  `packing_in_good_condition` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '包装是否完好',
  `pgc_remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '包装是否完好备注',
  `validity_period` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '有效期',
  `vp_remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '有效期备注',
  `delivery_cycle` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '供货周期',
  `dc_remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '供货周期备注',
  `supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '供应商ID',
  `status` int(6) NULL DEFAULT NULL COMMENT '状态',
  `warehousing_content_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '签收物品单ID',
  `user_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'user_name',
  `commit_time` datetime(0) NULL DEFAULT NULL COMMENT '提交时间',
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '验收物品名称',
  `acceptance_sign_for_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '验收中间表ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_unicode_ci COMMENT = '(验收记录表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of acceptance_record_form
-- ----------------------------

-- ----------------------------
-- Table structure for acceptance_sign_for
-- ----------------------------
DROP TABLE IF EXISTS `acceptance_sign_for`;
CREATE TABLE `acceptance_sign_for`  (
  `id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `quantity` int(11) NULL DEFAULT NULL COMMENT '验收种数',
  `warehousing_record_form_id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '签收记录表ID',
  `status` int(255) NULL DEFAULT NULL COMMENT '状态\r\n',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of acceptance_sign_for
-- ----------------------------

-- ----------------------------
-- Table structure for application_for_use
-- ----------------------------
DROP TABLE IF EXISTS `application_for_use`;
CREATE TABLE `application_for_use`  (
  `date_of_collection` datetime(6) NULL DEFAULT NULL COMMENT '(领取日期)',
  `recipient_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(领用人ID)',
  `status` int(11) NULL DEFAULT NULL COMMENT '(状态)',
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `delivery_registration_form_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '出库登记表ID',
  `requisition_record_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '领用登记表ID',
  `claim_code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '领取码',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `experiment_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '检验鉴定实验ID',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `IXFK_application_for_use_requisition_record`(`requisition_record_id`) USING BTREE,
  CONSTRAINT `FK_application_for_use_requisition_record` FOREIGN KEY (`requisition_record_id`) REFERENCES `requisition_record` (`requisition_record_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材领用申请表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of application_for_use
-- ----------------------------

-- ----------------------------
-- Table structure for batch_details
-- ----------------------------
DROP TABLE IF EXISTS `batch_details`;
CREATE TABLE `batch_details`  (
  `batch_details_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `reagent_consumable_inventory_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材库存ID)',
  `batch` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(批次)',
  `batch_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(批号)',
  `compliance_test_situation` tinyint(5) NULL DEFAULT NULL COMMENT '(符合性检验情况)',
  `date_of_last_check` datetime(6) NULL DEFAULT NULL COMMENT '(上次期间核查日期)',
  `date_of_production` datetime(6) NULL DEFAULT NULL COMMENT '(生产日期)',
  `deviation_or_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(偏差/不确定度)',
  `expiration_date` datetime(6) NULL DEFAULT NULL COMMENT '(有效日期)',
  `fixed_result` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(定值结果)',
  `purchase_time` datetime(6) NULL DEFAULT NULL COMMENT '(购置时间)',
  `quantity` int(11) NULL DEFAULT NULL COMMENT '(数量)',
  `service_status` int(11) NULL DEFAULT NULL COMMENT '(使用状态)',
  `supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商ID)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `number` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编号',
  `lattice_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '格子ID',
  `location` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '位置信息',
  `limit_date` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '存放时间',
  `box_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '柜子ID',
  `warning_information` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '预警信息',
  `warehousing_batch_list_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '签收入库明细ID',
  `room_no` varchar(11) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '仓库号(房间号)',
  `reagent_consumable_stash_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材仓库表ID',
  PRIMARY KEY (`batch_details_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '批次明细' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of batch_details
-- ----------------------------
INSERT INTO `batch_details` VALUES ('0101C748129A5EC2D5C9B079D4FEE92A', 'D6DD006F109C45B371A066A0F74457D5', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:23.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:23.000000', '2023-09-15 15:37:23.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('0167407D2D1F03B87FA2B35E5C20706D', '32E5DC01C92963090AE4D20A1116DD7F', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:30.000000', 6, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:30.000000', '2023-09-15 15:37:30.000000', '1', '1', NULL, '67a37e41bd0b1c1759690b1ef8d61629', 'F6-607_试剂柜-C_C2-1', NULL, '071127105DF37F344112A196C49B181D', NULL, NULL, '607', 'FF6B196829AB740C9D03AA0C43AC3F4A');
INSERT INTO `batch_details` VALUES ('0171EA910245078021CAA0CEEE56EC8F', '153C9FD7C770410E0198451B912D008A', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:49.000000', 19, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:49.000000', '2023-09-15 15:38:49.000000', '1', '1', NULL, 'c64848f3e1c3140fe26e131b3505750f', 'F7-707_试剂柜-D_D1-4', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', 'AC0C6D6DF1164CB2A1A8ED7C47B28026');
INSERT INTO `batch_details` VALUES ('0227B801CEF0CECE2E3D103C9A4019E8', '85626CEB2C6864CF02E4B0416D6F1BE8', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:52.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:52.000000', '2023-09-15 15:37:52.000000', '1', '1', NULL, '1eafb736d3923ac750796003de9bd99e', 'F6-607_试剂柜-E_E1-1', NULL, 'FBD35A7AE7C4A2547D0B1051E86D989E', NULL, NULL, '607', '8737E9B86DA085538FB45608C38D8DCB');
INSERT INTO `batch_details` VALUES ('0279C9D3B1092B99BD154C908FB67DFC', '30FC2DE6E1E3A5A5DDE921F508AAB6E7', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:17.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:17.000000', '2023-09-15 15:39:17.000000', '1', '1', NULL, 'e12c1ffbe42606dd02973fe424f420e3', 'F7-706_试剂柜-E_E2-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '6B7775AB3E1143C908BEA3FB1D7C8750');
INSERT INTO `batch_details` VALUES ('027E6AC9421163DDB3ADF324A83EAD7B', '838ADF826DEDD8E4A5E3837FDE09F7C6', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:22.000000', 16, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:22.000000', '2023-09-15 15:38:22.000000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'AEBF0FC4CC3706D3896658072035C9A3');
INSERT INTO `batch_details` VALUES ('02E21124C79FDBAB89348D2FEF068FAF', 'CC69A3DB6301145B00EE6CCA64486FE6', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:14.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:15.000000', '2023-09-15 15:39:15.000000', '1', '1', NULL, '5eff609a8cc1e16248f784af8907b032', 'F7-706_试剂柜-E_E2-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'FA36C3B37EE06B58D74C2FDC1392D5BF');
INSERT INTO `batch_details` VALUES ('02EB63E7DD9A8566D8B223D6DF660E90', '3502A4B8D6586ED4C2968F8F37F394E3', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:53.000000', 3, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:54.000000', '2023-09-15 15:37:54.000000', '1', '1', NULL, '1eafb736d3923ac750796003de9bd99e', 'F6-607_试剂柜-E_E1-1', NULL, 'FBD35A7AE7C4A2547D0B1051E86D989E', NULL, NULL, '607', '615BC42821307A04D6553450369D36B4');
INSERT INTO `batch_details` VALUES ('03A3F896C4358991384A2566C8470B02', '2F247D1EC6D412CAD62D351066DAF58C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:44.000000', 7, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:44.000000', '2023-09-15 15:37:44.000000', '1', '1', NULL, '24b6127057ff18e72393a482b1801927', 'F6-607_试剂柜-A_A3-3', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', 'F9E05534C34262BD8AF6538C46BA044E');
INSERT INTO `batch_details` VALUES ('03B74EF977D7B11BDC8DC4266C12F80C', '2FEC7D2A273245B73EC6F6F961146DCA', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:21.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:21.000000', '2023-09-15 15:38:21.000000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '85D1CA1B602E6E88602256C5627ADA38');
INSERT INTO `batch_details` VALUES ('03EC80D7F264FFC587ACA6B6612A8DC3', 'AA671C53D676C6D3C762457BDC1B8E85', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:03.000000', 100, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:03.000000', '2023-09-15 15:38:03.000000', '1', '1', NULL, 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '434FC0209F4EF42FACE5E1799C0BBF20');
INSERT INTO `batch_details` VALUES ('03F3EA1EF806170BF2DA884EB7A61FE4', '511235B61B6CE35F21A4A57B01EFC5D3', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:06.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:07.000000', '2023-09-15 15:37:07.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('043ED59F0B5A15EB7DBF0314AAC71EA2', '1E05A2B21EE559B64D45FEEFC85A62A9', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:37.000000', 28, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:38.000000', '2023-09-15 15:37:38.000000', '1', '1', NULL, '42ad90a2d6c4b207cd2619e6c9b06aa8', 'F6-607_试剂柜-A_A1-3', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', '4F8673540ACF79433D233A30F414CB7E');
INSERT INTO `batch_details` VALUES ('058B5B932291A070590279A4F9AEEA95', '0A0F6CA359B47F20F062D320B3A68CF8', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:51.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:51.000000', '2023-09-15 15:38:51.000000', '1', '1', NULL, '1c64707b7fa93765aa78f48b99e8f1c3', 'F7-707_试剂柜-D_D2-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', 'D06986C6408777BA3887E8856BF5F629');
INSERT INTO `batch_details` VALUES ('05EE66C99DCD5BAC7B16926C09EAC308', '28B2FFFB8164C67F11A75FB22FD3ACCE', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:50.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:50.000000', '2023-09-15 15:37:50.000000', '1', '1', NULL, '960a7231db063d2b1a4ab4b5d0ec3226', 'F6-607_试剂柜-A_A3-2', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', '5A6C8445E654F687C5BECF25FBD17F8A');
INSERT INTO `batch_details` VALUES ('061F9231398F7EBD73C93903BCF38F78', '04CEDA74953AD6DB632520184F611ECF', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:06.000000', 20, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:06.000000', '2023-09-15 15:39:06.000000', '1', '1', NULL, '8b42641b10157a4b1e57a3bab763f85d', 'F7-706_试剂柜-D_D1-3', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', 'FEE1F987561A17D3E1F862651409F40D');
INSERT INTO `batch_details` VALUES ('06293EF4D888A3B00A7F71BE77F98E80', '3BB9502880751B599E932143EE8D31D6', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:27.000000', 10, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:27.000000', '2023-09-15 15:38:27.000000', '1', '1', NULL, '4ebdd8ebb8f820a73f6047675a895025', 'F7-707_试剂柜-A_A2-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'B8F708EBE5DC30A733093CD009901298');
INSERT INTO `batch_details` VALUES ('067C0AEA30A95D92F74F46228EDEA511', 'F7C535E71344C78A832C245E4269A8A3', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:21.000000', 9, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:21.000000', '2023-09-15 15:39:21.000000', '1', '1', NULL, '3758207bf7407dd113a9bd57636a4e0a', 'F7-706_试剂柜-E_E3-3', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'BC452CCEF1C753EA5BE9B97A295AC6B1');
INSERT INTO `batch_details` VALUES ('06A01A0B59F81336AFBE39D2EA6726E9', 'AADA940E171051188B7B5674CA60EDB0', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:04.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:04.000000', '2023-09-15 15:39:04.000000', '1', '1', NULL, '029e9facf01df4463e0cfc021f2387b5', 'F7-706_试剂柜-D_D1-1', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', 'B29D287EB35B6EEBEEECBAEDF7A4D384');
INSERT INTO `batch_details` VALUES ('06A84B2166210E3095A71CDF6A1DC7C1', '216C4E9C0672D7303529270248860A03', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:50.000000', 9, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:50.000000', '2023-09-15 15:38:50.000000', '1', '1', NULL, '1c64707b7fa93765aa78f48b99e8f1c3', 'F7-707_试剂柜-D_D2-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', 'CA8121958A2C94FD95B0D56F16265702');
INSERT INTO `batch_details` VALUES ('0710579628F468A64CEEBE9DECE4C0C7', 'B20241105249825C14E5163E652C38E9', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:59.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:59.000000', '2023-09-15 15:36:59.000000', '1', '1', NULL, '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('072665EE9C213D9F2172454F2466BE6B', 'FD1313D49C7BD1FC169CCFCE623E0D97', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:29.000000', 9, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:29.000000', '2023-09-15 15:37:29.000000', '1', '1', NULL, 'b56344dd48b8c007ecb4399b3351d32d', 'F6-607_试剂柜-B_B1-1', NULL, '4DC6CF3C6B9A843F6C70335AA42A5594', NULL, NULL, '607', '4B6C61566CF375029AA2A3000AB3FA5F');
INSERT INTO `batch_details` VALUES ('07353ED832FD26B0C811D8AAE2FB39F6', 'C8A49E989A56E04A9AF18F552536F4C0', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:09.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:09.000000', '2023-09-15 15:39:09.000000', '1', '1', NULL, '1f529f67270eac072f2ac17b583a1754', 'F7-706_试剂柜-E_E1-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '9C75C2C942269D5BC8D3652A450F9372');
INSERT INTO `batch_details` VALUES ('0781C149538A49DB88B7F2D43AFAD9CE', '2481AA2723CB0B379290FAA3518E9DC8', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:55.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:55.000000', '2023-09-15 15:38:55.000000', '1', '1', NULL, 'b94df56e494e48d772b74c6d1566de9a', 'F7-707_试剂柜-D_D3-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '95ADAAE8CAFECBAFCC2A6C72E57FAA21');
INSERT INTO `batch_details` VALUES ('086422043067D8018735EDEA01B37081', '18A9B6EFD97B09047EB1FAD584DFF5C0', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:51.000000', 4, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:51.000000', '2023-09-15 15:37:51.000000', '1', '1', NULL, 'b56344dd48b8c007ecb4399b3351d32d', 'F6-607_试剂柜-B_B1-1', NULL, '4DC6CF3C6B9A843F6C70335AA42A5594', NULL, NULL, '607', 'CE524FB73CD4701440BED0026492443D');
INSERT INTO `batch_details` VALUES ('095C7CDC0ABC251C746AD39B887CF392', 'CBCE9FA3AF5B2CF5A35C8B4A04E2D15E', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:44.000000', 18, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:45.000000', '2023-09-15 15:38:45.000000', '1', '1', NULL, 'e48349ea644fd3c1035e9a83a4890f9c', 'F7-707_试剂柜-C_C3-2', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '6BAE0FC463F22EE29C71455720E50ED7');
INSERT INTO `batch_details` VALUES ('099663D294EFCE4F6383972AFDA62199', '646B42221D42B7A1DAD47E5798FFC80F', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:09.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:09.000000', '2023-09-15 15:39:09.000000', '1', '1', NULL, '1f529f67270eac072f2ac17b583a1754', 'F7-706_试剂柜-E_E1-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'A23B7F331A6C5628820EE00649AE9838');
INSERT INTO `batch_details` VALUES ('09DC472AF1ADA636E68BE61A5FBA410E', '2916F7A6152E1F08C27DDB20961CB02B', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:39.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:39.000000', '2023-09-15 15:36:39.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('0A3076F25F64AE283A5EC50C2A5F5139', '25646961E4E7329463FFCC1EB0E6A0C4', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:16.000000', 18, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:16.000000', '2023-09-15 15:38:16.000000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'D6A59EA5FE0DB696EB817FA13B05D587');
INSERT INTO `batch_details` VALUES ('0B2B20D241A707A87AEB7C47F781782A', '55AAFF957B055DDE6A1A50FF0D7A088E', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:35.000000', 16, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:35.000000', '2023-09-15 15:38:35.000000', '1', '1', NULL, 'dc73321545d667bd25e1ff9bfb125654', 'F7-707_试剂柜-B_B2-4', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '05B109A8578C3B17B975F6A146DC37B5');
INSERT INTO `batch_details` VALUES ('0C29D8944ADF663045C0FB32BB8A953B', 'ABA6FC478C5C7D02BD0A27552E0E4509', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:24.000000', 30, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:24.000000', '2023-09-15 15:38:24.000000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '37D476472E940662B07AC3A7C441F3DB');
INSERT INTO `batch_details` VALUES ('0DC9F426CC54D06330E52E0E35594E98', '517B2BBD67C35DE7F24E84E40BF69346', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:11.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:11.000000', '2023-09-15 15:39:11.000000', '1', '1', NULL, 'b92a5ca88d157557618e1da8d096b96d', 'F7-706_试剂柜-E_E1-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '6B26A36F18DE6F39B1FF74FA1FDE1225');
INSERT INTO `batch_details` VALUES ('0E7A2A9FEE6B0B65B5B1D5F2DB4D7BAA', '525339562CDA64591864E71C558A1A51', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:00.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:00.000000', '2023-09-15 15:37:00.000000', '1', '1', NULL, '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('0EB860966E87D82289F080A21D3AB8CC', '100BC0E10D909A4EE26ADC295CDAA3F3', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:07.000000', 11, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:07.000000', '2023-09-15 15:39:07.000000', '1', '1', NULL, '0e6d04ffce66ad909f95d4e2b1beec33', 'F7-706_试剂柜-D_D2-2', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', '2E6D01664872DF18780070A7F8C847B4');
INSERT INTO `batch_details` VALUES ('0EE962E792E857B2E911707C04B000C8', '32E3362FA3A54004FBF6B830148C49CF', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:40.000000', 13, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:40.000000', '2023-09-15 15:38:40.000000', '1', '1', NULL, '7cf58321f48a1cca620f8964f4421544', 'F7-707_试剂柜-C_C1-2', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', 'F3B553480C57266F8CF58605A95DAC44');
INSERT INTO `batch_details` VALUES ('0F12FD2ACD15495B410DDEF646D35046', 'AB02EED04A3ACFE3F7528DAABA5610C6', '2023-3', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:02.000000', 13, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:02.000000', '2023-09-15 15:39:02.000000', '1', '1', NULL, '361ea4b8d57b1cb3f427b559c6242514', 'F7-706_试剂柜-B_B3-3', NULL, 'B84152270A4A03147E7BA602B85DC2B9', NULL, NULL, '706', 'D2FDCFCC08BDC23E2990BCEB518D2B30');
INSERT INTO `batch_details` VALUES ('0F57E454739699B72C1490A2A63EAFDD', '68B47B2679FA915DA87A755F72C5EBCD', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:01.000000', 4, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:01.000000', '2023-09-15 15:38:01.000000', '1', '1', NULL, '6af0cc05f3ee72b1db48f4307ec15e8b', 'F6-606_试剂柜-C_C1-2', NULL, '808DC6B3A5BBD0680FEDF4DDC0F29D32', NULL, NULL, '606', 'CCF8D71FB5BD3E5F348A9D9B21E84B38');
INSERT INTO `batch_details` VALUES ('0F7399DA73C866CD53E7C585074AAAD3', '6AA0AF04D8513AECB5EE4FEFA221A23A', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:37.000000', 15, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:38.000000', '2023-09-15 15:38:38.000000', '1', '1', NULL, '55e5081784af82837467649da44000e2', 'F7-707_试剂柜-B_B3-2', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '1541CF9A00572492E4E0AFDECF76B1FF');
INSERT INTO `batch_details` VALUES ('1047B5587B31CE41FB6F11FD5D5E54B4', '334BBF64DB714DCD8BA52E522383CBDE', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:40.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:40.000000', '2023-09-15 15:36:40.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('106E4EF72886445AF8F709F30E5D9507', '79A3008830DE9DA9712B6EDAE7781665', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:51.000000', 3, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:52.000000', '2023-09-15 15:37:52.000000', '1', '1', NULL, '7e353498d9426380a35eeec826a6fe0e', 'F6-607_试剂柜-B_B2-1', NULL, '4DC6CF3C6B9A843F6C70335AA42A5594', NULL, NULL, '607', '8711577B53E7575CAA2639CAEF6F7923');
INSERT INTO `batch_details` VALUES ('11E4796D157BC5E9C3B38C88DD5CD75E', '78A40A1643750F9E545281392CEF7674', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:45.000000', 7, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:45.000000', '2023-09-15 15:38:45.000000', '1', '1', NULL, 'e48349ea644fd3c1035e9a83a4890f9c', 'F7-707_试剂柜-C_C3-2', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '065E6CBEAF806D4904CACD62CE715DE6');
INSERT INTO `batch_details` VALUES ('1259E96E78EF4167A9D3169F772BA5B0', '3D9CB2E4662ED7A7B1C65691CFC8DBE9', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:13.000000', 26, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:13.000000', '2023-09-15 15:38:13.000000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '6A15DBBCE4F82E864AF01568836976F5');
INSERT INTO `batch_details` VALUES ('130435EEDBC669FFDE4A6DE3148EB15C', '2F691D129FCB93CB0DB558CB415D55E9', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:52.000000', 10, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:52.000000', '2023-09-15 15:38:52.000000', '1', '1', NULL, '1c64707b7fa93765aa78f48b99e8f1c3', 'F7-707_试剂柜-D_D2-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '41392BE0C0EBFEF134DA07C6944DC24D');
INSERT INTO `batch_details` VALUES ('1337D511D4D16C29111BE82AFA370E09', '9B491F1EADBEBB7EACD4749CA7CE10C2', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:48.000000', 16, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:48.000000', '2023-09-15 15:38:48.000000', '1', '1', NULL, '4e49d8c191425016848c7023a6790c06', 'F7-707_试剂柜-D_D1-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '13028AC21A1669A9F5E35EB62E898A60');
INSERT INTO `batch_details` VALUES ('133A3E43DE2328A513E7891728F76563', 'D58FBF176C94EC522FFDF8EFDCE7A78B', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:48.000000', 9, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:48.000000', '2023-09-15 15:37:48.000000', '1', '1', NULL, '4dbb4e8d2e996c3878c9e08e3fceb24a', 'F6-607_试剂柜-B_B3-1', NULL, '4DC6CF3C6B9A843F6C70335AA42A5594', NULL, NULL, '607', '1A242ECEEA60B327B8FDB4D52DDFFF61');
INSERT INTO `batch_details` VALUES ('147219F8B86D4489B78DD4F87DFC2342', '25EF5CC834C19341C344D2A26F6F67A0', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:44.000000', 19, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:44.000000', '2023-09-15 15:38:44.000000', '1', '1', NULL, 'e48349ea644fd3c1035e9a83a4890f9c', 'F7-707_试剂柜-C_C3-2', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', 'A44763B65F11004EAF2ADDFEE5AA5AD3');
INSERT INTO `batch_details` VALUES ('14C5BA7BEA248151B3C4695C2759B6E1', '2135036E100CF133212B8544351E7DF1', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:16.000000', 20, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:16.000000', '2023-09-15 15:38:16.000000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'DF8F9B6D4A96828611173C6FB79941B5');
INSERT INTO `batch_details` VALUES ('14F5F214328D7B4E828294946DA8107E', '1E4C87F4356E0DB68389506CC2B4CE80', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:25.000000', 3, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:25.000000', '2023-09-15 15:38:25.000000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '1C6743851FB838B695E235E7F3AF699C');
INSERT INTO `batch_details` VALUES ('153B47EB49E36086918598AAD4DB9CCD', 'FE9A728B99B8D6A33952F03BA24ED998', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:49.000000', 8, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:50.000000', '2023-09-15 15:37:50.000000', '1', '1', NULL, 'a14f05cc811963d8c20a72695a2660da', 'F6-607_试剂柜-A_A2-3', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', 'CFE4943E11C7EF87CF9589E44E02048C');
INSERT INTO `batch_details` VALUES ('156EC3A937E3F71D92385E7FA080453B', 'B7761ADDC59E5DB5DFCC582C81148416', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:25.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:26.000000', '2023-09-15 15:37:26.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('15721547D3CFC86389D710E8A992FCE5', '2B65C6DF00541FD2DD3981651C7B737F', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:11.000000', 5, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:11.000000', '2023-09-15 15:39:11.000000', '1', '1', NULL, 'b92a5ca88d157557618e1da8d096b96d', 'F7-706_试剂柜-E_E1-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'BA51C5EA88FF57E0C8587434B7C5CB16');
INSERT INTO `batch_details` VALUES ('163C343CF4F8435994012D0FA42DBCC3', '9C380FACCA113F9521E05324CE6B7BDD', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:41.000000', 4, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:41.000000', '2023-09-15 15:37:41.000000', '1', '1', NULL, '960a7231db063d2b1a4ab4b5d0ec3226', 'F6-607_试剂柜-A_A3-2', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', '1B95208303E02EB235C476472906E23C');
INSERT INTO `batch_details` VALUES ('16EE1369122825044E13C3B533593406', '8486495B6DA5A8942D38E8CD85B032A0', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:32.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:32.000000', '2023-09-15 15:37:32.000000', '1', '1', NULL, 'ad6c605e453d6de305c3949011529a9d', 'F6-607_试剂柜-C_C2-5', NULL, '071127105DF37F344112A196C49B181D', NULL, NULL, '607', '18BFADD84645153E2558695E52A5F2E6');
INSERT INTO `batch_details` VALUES ('1741DBAEF392181516C47C00D6647C01', 'B3BFC7A6F6B1B52DF274A715A0B8E6CD', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:06.000000', 170, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:06.000000', '2023-09-15 15:38:06.000000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '6B4D22298EA2F4FE324D16F4C8949D9F');
INSERT INTO `batch_details` VALUES ('1765450D787B5F7F9F870C602B250AD8', '25DD9C9C6F6DC5D040C39EA438DFAAC0', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:05.000000', 160, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:05.000000', '2023-09-15 15:38:05.000000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '9E824420606D371A2B6EC3EC41380C6F');
INSERT INTO `batch_details` VALUES ('17A8D1957E8E21D7005ED5137D77CF5F', '13E153227C428D9BBB18E43F5B437AD7', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:52.000000', 42, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:52.000000', '2023-09-15 15:38:52.000000', '1', '1', NULL, 'cbf6e4dd457b2730e3142568f935fcfc', 'F7-707_试剂柜-D_D2-2', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', 'E97F56C21E858EEA9B1738E08EEF4EC2');
INSERT INTO `batch_details` VALUES ('17C33AD275A231A789070D718994EF4E', 'CB7E1B26763033912A9F8866736DB9DF', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:41.000000', 9, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:41.000000', '2023-09-15 15:38:41.000000', '1', '1', NULL, 'd9f0626d354219840ea291f2efa83aad', 'F7-707_试剂柜-C_C1-3', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '096BC8A56EF3811FB6DC84A41745253E');
INSERT INTO `batch_details` VALUES ('1853A06CA48206C7A72CC4882A2F6914', '97D6F7FE3F2231845EEF81F39155FF48', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:34.000000', 4, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:34.000000', '2023-09-15 15:38:34.000000', '1', '1', NULL, '89ebc6fe97fc3ab2dec49c03d225e4ab', 'F7-707_试剂柜-B_B2-2', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '2E46F4D192ECBFBD4C39BF5AA50E7573');
INSERT INTO `batch_details` VALUES ('197D98A736F07BDC56B8D8863729803E', 'C6FBFDB7F1B302DDCE91B72E904DCC8A', '2023-2', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:07.000000', 20, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:07.000000', '2023-09-15 15:39:07.000000', '1', '1', NULL, '0e6d04ffce66ad909f95d4e2b1beec33', 'F7-706_试剂柜-D_D2-2', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', '649629A9207874392E6DA4AFC8EDB58F');
INSERT INTO `batch_details` VALUES ('198C1BD170461AA30AFEF97B8783501F', '2481AA2723CB0B379290FAA3518E9DC8', '2023-2', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:55.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:55.000000', '2023-09-15 15:38:55.000000', '1', '1', NULL, '498aefc01ddb655f8d0feaf96ac38bda', 'F7-707_试剂柜-D_D3-2', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '95ADAAE8CAFECBAFCC2A6C72E57FAA21');
INSERT INTO `batch_details` VALUES ('19D670CE7D0A3A396E0D612F88886633', '0C07893BAC3D630FA52478D18EC72394', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:53.000000', 3, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:53.000000', '2023-09-15 15:37:53.000000', '1', '1', NULL, '1eafb736d3923ac750796003de9bd99e', 'F6-607_试剂柜-E_E1-1', NULL, 'FBD35A7AE7C4A2547D0B1051E86D989E', NULL, NULL, '607', '1279F3DA80E5B797CFEF6C8CD7272FEB');
INSERT INTO `batch_details` VALUES ('1A3534E87ED66C3847AC4609634B5145', '430988CA08D03046881B56646F703C7B', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:19.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:20.000000', '2023-09-15 15:38:20.000000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '61B6909A196FBDEAE5F057AB5A980D5E');
INSERT INTO `batch_details` VALUES ('1A5AD96D55C8B6262A026A83C1A5E9D5', '967C70338E78CA6D2610921D88A97064', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:32.000000', 90, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:33.000000', '2023-09-15 15:37:33.000000', '1', '1', NULL, '1b2f68d2795f4ec89b152623375582e5', 'F6-607_试剂柜-B_B2-2', NULL, '4DC6CF3C6B9A843F6C70335AA42A5594', NULL, NULL, '607', '40FE12C17D4BCD4B311B52E5C816E237');
INSERT INTO `batch_details` VALUES ('1A662895E3073959372FA09A22DB3558', 'C1FA2CADD21A86EBB3C1A18D767E2AD1', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:26.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:27.000000', '2023-09-15 15:37:27.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('1AC7E21A1464011EA76B0CD67E0B7080', '79D85F414C75E000617A0EA8179CBF4E', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:29.000000', 60, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:29.000000', '2023-09-15 15:37:29.000000', '1', '1', NULL, '560368db98ffefe8fdaa98becd2bfcda', 'F6-607_试剂柜-D_D3-2', NULL, '25FE219A2C9127D325E44EF052DBC0AF', NULL, NULL, '607', '386EF0B1215E7850B673728B8DA7DDEA');
INSERT INTO `batch_details` VALUES ('1BE52C68D1A8CD07A8AC91A0CB03AF72', '0DC7F9573A8B0CAA7AAB903F3454055D', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:00.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:00.000000', '2023-09-15 15:39:00.000000', '1', '1', NULL, '1f1031ca1792f71298724ac09acfac36', 'F7-706_试剂柜-B_B1-2', NULL, 'B84152270A4A03147E7BA602B85DC2B9', NULL, NULL, '706', 'ED04DCD66B5E34782790FDC3BE428415');
INSERT INTO `batch_details` VALUES ('1C111C7BC0B39897ED754AEE0EE27CF2', '40D06411CE30587FCF8468E4EF77652A', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:52.000000', 45, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:53.000000', '2023-09-15 15:38:53.000000', '1', '1', NULL, 'cbf6e4dd457b2730e3142568f935fcfc', 'F7-707_试剂柜-D_D2-2', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '57D858B7DF8A79F9DB6F0EDF250572D0');
INSERT INTO `batch_details` VALUES ('1D703E83196936FE27AAA893201D5259', '181710C5A2F13DE25CC4DDB3CDFB7A48', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:28.000000', 20, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:28.000000', '2023-09-15 15:38:28.000000', '1', '1', NULL, '4ebdd8ebb8f820a73f6047675a895025', 'F7-707_试剂柜-A_A2-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '92B7A00C1BA858F015124E9C5B43A9E9');
INSERT INTO `batch_details` VALUES ('1DD3D3B435131D101CEEA0CCF2C70B01', '3FB13F783C0F90D40F05FB695A5578B2', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:31.000000', 6, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:31.000000', '2023-09-15 15:38:31.000000', '1', '1', NULL, '499b443a4bf686a9c7b3e40b5537f5b2', 'F7-707_试剂柜-B_B1-4', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '28446B54DFF7CD15946AED79396E3009');
INSERT INTO `batch_details` VALUES ('1E270673CD9C5AA798EBDDDB3D058FBA', '404533871D7771837B82F6047CFA94E1', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:10.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:10.000000', '2023-09-15 15:38:10.000000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '400249A5539633FBC5BA56E2974E7416');
INSERT INTO `batch_details` VALUES ('1E5BDC5853C4CBEA8D801591E0243B77', 'E0E6189AD5D6148C80062A5316131321', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:26.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:26.000000', '2023-09-15 15:37:26.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('1ECFBBFE6CB0C506664128EA7C7999BD', 'EC8DBA11FDD39A4E7A9C92CF9B9EA6D5', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:02.000000', 4, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:02.000000', '2023-09-15 15:38:02.000000', '1', '1', NULL, 'c4dcd44a5edd7545b6c7b4a83398b7f4', 'F6-606_试剂柜-G_G1-4', NULL, '52A2B543BB66F60E1543EB0AAB7AE3B8', NULL, NULL, '606', 'DA92763C99A8BA977EE91A8F90C94555');
INSERT INTO `batch_details` VALUES ('1FDCF0725C98073DFD4528208A18E9F7', '880B3B9267164849B971A3471BB7DC7C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:43.000000', 19, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:43.000000', '2023-09-15 15:38:43.000000', '1', '1', NULL, '0042d9473d2e7f8dabd1716e8eaa93bc', 'F7-707_试剂柜-C_C3-1', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '4362AA758BBEFA10701FDB1E60AE788C');
INSERT INTO `batch_details` VALUES ('1FEA17231775F35B47CA54D5D48739FC', '90062AE946EA01559CF45DC1311D3117', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:09.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:09.000000', '2023-09-15 15:38:09.000000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'B3135EAC29E9B28140F2A050C6B8FBF6');
INSERT INTO `batch_details` VALUES ('21A299D0DEED535FBA55112B5BD00C23', '1FB929E52668CEAD521BB564546DC4E2', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:39.000000', 17, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:39.000000', '2023-09-15 15:37:39.000000', '1', '1', NULL, '08f0bd2eb0652725edb905ee5078fe7c', 'F6-607_试剂柜-E_E1-4', NULL, 'FBD35A7AE7C4A2547D0B1051E86D989E', NULL, NULL, '607', '7B84F5E4D352A2CF0C5B57EFEDEB9AAE');
INSERT INTO `batch_details` VALUES ('21EFC7C6F8C9FBF1B0B4631476470C28', 'EA15BAAAB5D0C1EC1981097B431335EE', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:23.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:24.000000', '2023-09-15 15:37:24.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('223A73E215523FB2D254483AE004769C', 'EFAFDF06A0153D44FA3275374F85E641', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:18.000000', 10, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:18.000000', '2023-09-15 15:39:18.000000', '1', '1', NULL, '0bb34e9b041dff3f06129c15bd49f8e3', 'F7-706_试剂柜-E_E2-3', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'C3879D7E8F0297110261813FC6D96162');
INSERT INTO `batch_details` VALUES ('22A09A37DA80F96B360B92ADF6CD6892', 'F76ACB12AEC57ED406E77D8C8CC8CE81', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:42.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:42.000000', '2023-09-15 15:36:42.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('22CF859ABB24E435A34C2544FFF45D7B', '381444F508F114E0BDF8BC641E7CD01C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:44.000000', 10, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:44.000000', '2023-09-15 15:38:44.000000', '1', '1', NULL, '0042d9473d2e7f8dabd1716e8eaa93bc', 'F7-707_试剂柜-C_C3-1', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '54D4BAE6DA93B564D599B1B57C6ED37A');
INSERT INTO `batch_details` VALUES ('233FCD2B5ACB79EE53A1487B403F1C93', '43E1D2AC1C4843917445F4F2432B83C1', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:55.000000', 3, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:55.000000', '2023-09-15 15:37:55.000000', '1', '1', NULL, 'cad278f6e3028f5537e96c05134b4145', 'F6-606_试剂柜-F_F1-2', NULL, '169C929E143568B5659910E6240A4951', NULL, NULL, '606', '58A599E4943BA6DF456D3735342CE644');
INSERT INTO `batch_details` VALUES ('235AE5C6D98258D8163EFD4653C53043', '92CBAA460AFAD493DDA555EA193165C7', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:46.000000', 4, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:46.000000', '2023-09-15 15:38:46.000000', '1', '1', NULL, '8d595e951489bf1c16deef3b34449a91', 'F7-707_试剂柜-C_C3-4', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '83F82078C403C1C870EF1D217CA5E3EF');
INSERT INTO `batch_details` VALUES ('23E46AB3A0B0524B7183756AAC63C5E5', 'C234CDC414A19C589D3D2A093343C8B2', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:24.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:24.000000', '2023-09-15 15:37:24.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('2404067DECFB87F3109E78127F2A6A16', '1D0DF35B8F1165A9848FF7DDC5661737', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:05.000000', 100, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:06.000000', '2023-09-15 15:38:06.000000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '0C15E784BE677B7E08F65DEDDE729D90');
INSERT INTO `batch_details` VALUES ('243BDE6153ED0FC7792DEE478A9E51F7', '749073A509938D59AA43C3BCDD191FC4', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:25.000000', 3, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:25.000000', '2023-09-15 15:38:25.000000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '17FCDF073259C1F306CAAC6D892E841F');
INSERT INTO `batch_details` VALUES ('24816AC58AC78E7C6FA9F48C17CD7213', '7B2B1A936DF75992AAD2AA717A813AC9', '2023-2', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:21.000000', 10, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:21.000000', '2023-09-15 15:39:21.000000', '1', '1', NULL, 'e896b9f64d79b125e2d3c0a6d30bc337', 'F7-706_试剂柜-E_E4-3', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '0F33165959113B0A66D947A65AF320F1');
INSERT INTO `batch_details` VALUES ('24C88240298D847E9E710270E0F50DDA', 'FB61FA17179EFDC0A1B39F0840380BB1', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:30.000000', 30, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:30.000000', '2023-09-15 15:37:30.000000', '1', '1', NULL, 'e15d16fe3536e248d40e36b8822a2823', 'F6-607_试剂柜-F_F1-1', NULL, '8C379C9EA9597E6F706FDA436401A14E', NULL, NULL, '607', '4189E407CFBBBDCD533CA1779BA673AF');
INSERT INTO `batch_details` VALUES ('2582A5D04FAE64411889BB27C745252A', '418BC21A6661ECAC1BFAA037523BE166', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:59.000000', 4, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:59.000000', '2023-09-15 15:37:59.000000', '1', '1', NULL, '3fd47250e00178d668a109e63aa0dd3d', 'F6-606_试剂柜-C_C1-4', NULL, '808DC6B3A5BBD0680FEDF4DDC0F29D32', NULL, NULL, '606', 'FABB632ADF4FB1DAA7CF0A3495219838');
INSERT INTO `batch_details` VALUES ('259DA6EA128DAFB40382E27379C9981D', '48E7CFC043677A31483E0714B551C6FD', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:39.000000', 12, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:39.000000', '2023-09-15 15:38:39.000000', '1', '1', NULL, '0b4e3c79988b8fc357b3a0f5443aa63e', 'F7-707_试剂柜-C_C1-1', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '59E24D63C4E56A0DF262D81EF5297DFB');
INSERT INTO `batch_details` VALUES ('25CD3121F225741B1A1ACBA0065EFF53', '9CFE66C6C620501C1BC4F73795034D31', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:05.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:05.000000', '2023-09-15 15:37:05.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('2650EE53D834759145463C52335C7B2C', 'A4F4511E3B87C2747A4376337342758E', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:40.000000', 16, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:40.000000', '2023-09-15 15:38:40.000000', '1', '1', NULL, '7cf58321f48a1cca620f8964f4421544', 'F7-707_试剂柜-C_C1-2', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '6062110AC1E447F93275138F567D2577');
INSERT INTO `batch_details` VALUES ('26777953E4A3074807B4175138A6C371', '8DF03968B152619BE136BA8F99F1E65F', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:46.000000', 19, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:46.000000', '2023-09-15 15:38:46.000000', '1', '1', NULL, '4e49d8c191425016848c7023a6790c06', 'F7-707_试剂柜-D_D1-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', 'F00BA336F8BAA2E050F1DB9E10CA09AD');
INSERT INTO `batch_details` VALUES ('2686AE16ED20D1AF368D1BA016AE237E', '6820548BFDF9F97EBB7EBF371A6D390C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:01.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:01.000000', '2023-09-15 15:37:01.000000', '1', '1', NULL, '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('268E6376BC94448B2F26BEC7FF52CB3D', '214DD5D38BF90B723188253B39E1FA8A', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:41.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:42.000000', '2023-09-15 15:36:42.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('26A425F6F25A9CFAD0EDF0094AE4DECD', 'D983DEB24DA05EB3442AAE0BC139AFE8', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:16.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:16.000000', '2023-09-15 15:37:16.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('26D2D35D40255C7F579A952D9313C03B', '1A7656A542B627427B95D6C850163563', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:52.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:52.000000', '2023-09-15 15:36:52.000000', '1', '1', NULL, '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('26FE777BE6242FF4D7FD0420B89539C5', '87EC8C114BD9E02F2D6089C10023C53B', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:50.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:50.000000', '2023-09-15 15:36:50.000000', '1', '1', NULL, '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('27CC3C8D8FF034D31E970654C94C0D83', '7B7951A2BB0BB24662A7D1DEC08D9E20', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:00.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:00.000000', '2023-09-15 15:39:00.000000', '1', '1', NULL, 'c09176dcda4c53e3a73bed226c4d6b08', 'F7-706_试剂柜-B_B1-1', NULL, 'B84152270A4A03147E7BA602B85DC2B9', NULL, NULL, '706', '32340FB64FDCCE1C829E72F1DC228EC6');
INSERT INTO `batch_details` VALUES ('28372BAD40B192C5417C603F192A520A', '0ADFC2B82EEECE6E1A6916EF6229DFF9', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:41.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:41.000000', '2023-09-15 15:37:41.000000', '1', '1', NULL, '560368db98ffefe8fdaa98becd2bfcda', 'F6-607_试剂柜-D_D3-2', NULL, '25FE219A2C9127D325E44EF052DBC0AF', NULL, NULL, '607', 'A50EC8B5F067E65A7429D9F804AEFE02');
INSERT INTO `batch_details` VALUES ('283F27C4F8E0FF1D60B441F347EDBD99', 'C07C60A1F86CA382E5729423C4AE104D', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:41.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:42.000000', '2023-09-15 15:38:42.000000', '1', '1', NULL, 'd8c3ed9db28572a33e13f48f401f0b52', 'F7-707_试剂柜-C_C2-2', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '5C0EB6ACA758A831862861F206A5188B');
INSERT INTO `batch_details` VALUES ('284671890E8B828B0DBF1B2BE48B1B07', '7463E15C114C8C354E0E0D27559D8465', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:30.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:31.000000', '2023-09-15 15:36:31.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('288321C8B49C2D507E9719D757609437', 'A2974927359CFE4BE620FE9A035E1747', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:21.000000', 5, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:22.000000', '2023-09-15 15:38:22.000000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '39D34F7D2CCD78D7C72025ACF47AFAAB');
INSERT INTO `batch_details` VALUES ('28847AE6709B9AD786C595DC0A3EE768', '72700F3D2AAD30F8FBF1B151B47D09B7', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:02.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:02.000000', '2023-09-15 15:39:02.000000', '1', '1', NULL, '5ed98268a70fc33b0473b62598cef3be', 'F7-706_试剂柜-C_C1-3', NULL, 'EA39B525D5DC678C4CA7F95C4CAC7F53', NULL, NULL, '706', 'FFB63F91640352C54D6497603679BF12');
INSERT INTO `batch_details` VALUES ('28E567077BF1B086184FA05A458C9298', 'D3A34D81FB19ABCC9300C3C6E992BA33', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:08.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:09.000000', '2023-09-15 15:37:09.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('28FD37937B97207EF18CA341FDE24B5E', '2D6A5544753BA2F75DE8C2F6034FED00', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:31.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:32.000000', '2023-09-15 15:38:32.000000', '1', '1', NULL, 'f59134f62115fee1d4e59dfe2e3f3ce5', 'F7-707_试剂柜-B_B2-1', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', 'F643F208DA0F2B4AAD1C99B5C3B1E714');
INSERT INTO `batch_details` VALUES ('29593A013C4DD0AF4650A0264D35625E', '74DDE1189EC52CD38DD6E51E3145331F', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:45.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:45.000000', '2023-09-15 15:38:45.000000', '1', '1', NULL, '5ff780813a112e04ebbe6ed2a71ab1fa', 'F7-707_试剂柜-C_C3-3', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '6D67FBAF7893D2FF9041062DE5635C25');
INSERT INTO `batch_details` VALUES ('29881056F6C8EA96E223BE70C0C0ACC1', '0C662C070679CB5BBB7535C2BC4D8D33', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:09.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:09.000000', '2023-09-15 15:37:09.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('2A23AE5F4BE39B9EF7CD637B606EE138', '9C449475DE843022799C2B967DB988A2', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:45.000000', 10, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:45.000000', '2023-09-15 15:37:45.000000', '1', '1', NULL, '24b6127057ff18e72393a482b1801927', 'F6-607_试剂柜-A_A3-3', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', '1B66E0C9BC34285C63EAE2E8D59A741D');
INSERT INTO `batch_details` VALUES ('2A4C47F7E6D9A886684EFBB9F7B22F4B', 'B9BBCDE139453BB464CD7990142A9E96', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:27.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:27.000000', '2023-09-15 15:37:27.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('2A8A3B3F7428B2611447053269716856', '5B84435EED5A165B1392C20B5CA91363', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:21.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:22.000000', '2023-09-15 15:37:22.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('2AA5A154EB96FD4CB5CB660F4E80600C', 'BD89425BFF391BA37B9D0EFAE8C66AE9', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:29.000000', 18, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:29.000000', '2023-09-15 15:38:29.000000', '1', '1', NULL, '7655b680f65a6470af4e6ee3818ee7d4', 'F7-707_试剂柜-B_B1-3', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '973B0D91ACC952D454F3604E3A537263');
INSERT INTO `batch_details` VALUES ('2C3B6F03030DE7BD59871553E031C051', 'B40DA44CD152AAB0DB5A0A6319D846C9', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:19.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:20.000000', '2023-09-15 15:37:20.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('2C926103C99BA3DCC036E283C1DA1822', 'A39786B8CF9BFC83A9EB550BFED0FB4B', '2023-2', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:58.000000', 3, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:58.000000', '2023-09-15 15:37:58.000000', '1', '1', NULL, 'a23df3b07585af1d202721c7db7fec1e', 'F6-606_试剂柜-C_C3-4', NULL, '808DC6B3A5BBD0680FEDF4DDC0F29D32', NULL, NULL, '606', 'CF6829F660F9EB86EC10CE95E876BF98');
INSERT INTO `batch_details` VALUES ('2D43312FED0EC5C5DD31DFD857498173', '2AD6617D3DB1E13E8FD8AB67B528F100', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:00.000000', 3, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:00.000000', '2023-09-15 15:38:00.000000', '1', '1', NULL, '6af0cc05f3ee72b1db48f4307ec15e8b', 'F6-606_试剂柜-C_C1-2', NULL, '808DC6B3A5BBD0680FEDF4DDC0F29D32', NULL, NULL, '606', '1691A135000683BA9233B8FEE088F2A0');
INSERT INTO `batch_details` VALUES ('2E450112C712AF3C3F6E51485D5E59CE', '19C9A3506FAE5C1C707C856F093C6D03', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:22.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:22.000000', '2023-09-15 15:37:22.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('2F197043036526CA389E177B4D337488', 'FC1AA47977B801C4D4525E69DF8DF52C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:00.000000', 5, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:01.000000', '2023-09-15 15:39:01.000000', '1', '1', NULL, '1f1031ca1792f71298724ac09acfac36', 'F7-706_试剂柜-B_B1-2', NULL, 'B84152270A4A03147E7BA602B85DC2B9', NULL, NULL, '706', '3C3EA724B35761CF5B0EC4AF310CE938');
INSERT INTO `batch_details` VALUES ('2F341C35BCEE368215FBF4F0C61D79FE', '36C8825E7F7C32268D04C5FE148CA40E', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:53.000000', 20, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:54.000000', '2023-09-15 15:38:54.000000', '1', '1', NULL, '520eaf3711a30b76cda447d5f94c20a8', 'F7-707_试剂柜-D_D2-4', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', 'F5F2288357E38940AAFF1CD7EA549DCA');
INSERT INTO `batch_details` VALUES ('312775C43FE8F7D967F1706D5699EE15', '6EFBB384A8CBFC9A3E7443524310D3AE', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:23.000000', 5, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:23.000000', '2023-09-15 15:38:23.000000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'D2CE0E13403ACB0D7405E2A6B474386D');
INSERT INTO `batch_details` VALUES ('319A4014C392663673B45CB0AFB00B86', '1185A2A1DB0EF7E2A3FA9E02F0569B61', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:23.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:23.000000', '2023-09-15 15:39:23.000000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', '842BCA42EA2AF72EC5E11B566E09B513');
INSERT INTO `batch_details` VALUES ('32015ED4310B080821FEC3056EACAB08', '233356A77F49004E4137C1E0ABBDB022', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:02.000000', 3, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:02.000000', '2023-09-15 15:39:02.000000', '1', '1', NULL, '25253dad124c54c4d9be9dfe3235edd1', 'F7-706_试剂柜-B_B3-2', NULL, 'B84152270A4A03147E7BA602B85DC2B9', NULL, NULL, '706', '62E1A51BC4E0E071BF85C224F47DAEDC');
INSERT INTO `batch_details` VALUES ('3228950DCA69435ADBF90864AD7D6FE6', '449887F47C8122BBC00BEB3765729E80', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:18.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:18.000000', '2023-09-15 15:39:18.000000', '1', '1', NULL, '75bb1e5693ddf7d3f83365fc7ce874a2', 'F7-706_试剂柜-E_E3-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '5A585C3FFBDF7F5D53FF0438AB3DF909');
INSERT INTO `batch_details` VALUES ('3254BE5CBA4EC4F38B3D347B0B3F8FCB', 'DF89B96E732245252B260F76F562C8F5', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:21.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:21.000000', '2023-09-15 15:37:21.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('32D0B65517174B12B516DF401D7A319E', '8E90B79AC9E2604324981A3F8E8F0234', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:53.000000', 19, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:53.000000', '2023-09-15 15:38:53.000000', '1', '1', NULL, '520eaf3711a30b76cda447d5f94c20a8', 'F7-707_试剂柜-D_D2-4', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '68A29ADBA7E7EBEE96256C645C5358FB');
INSERT INTO `batch_details` VALUES ('32F2557E60B1BB05D2D35A442A70BC4B', '60039166528EBEFD1E45474E82C89672', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:05.000000', 4, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:05.000000', '2023-09-15 15:39:05.000000', '1', '1', NULL, '029e9facf01df4463e0cfc021f2387b5', 'F7-706_试剂柜-D_D1-1', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', 'BF5DFD891BDCDE33B1CA63E32B0FF77A');
INSERT INTO `batch_details` VALUES ('3373FC76ACAE5E67144E80FA0BF00D9B', '68A787A94DA572F1FEC1A5C1E716D9FC', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:49.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:49.000000', '2023-09-15 15:36:49.000000', '1', '1', NULL, '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('34AEBD0C3A5453BDBB9A84DCB9E15B88', '8D07F3BAA2A87C062A2CAE739B0DE2D8', '2023-2', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:57.000000', 4, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:57.000000', '2023-09-15 15:37:57.000000', '1', '1', NULL, 'a23df3b07585af1d202721c7db7fec1e', 'F6-606_试剂柜-C_C3-4', NULL, '808DC6B3A5BBD0680FEDF4DDC0F29D32', NULL, NULL, '606', '59E841CEF8DA1CD8A4D3074CE53E88CE');
INSERT INTO `batch_details` VALUES ('36061B3613C45CE948BC05B23C5540F0', '337F44A66606AAB5AC3A22FD0BECE522', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:34.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:34.000000', '2023-09-15 15:36:34.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('37E844A016F20F4601ECA799423297C9', '4AF152BFA605C0F2C6079E7487C711C3', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:26.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:26.000000', '2023-09-15 15:39:26.000000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', 'D3A53757B6033C9779FD82C0399364C0');
INSERT INTO `batch_details` VALUES ('38870470F36B2E6C3DFF82529F6A5C26', '17844BE43371CE7FF8906E0D7E5DB583', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:23.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:24.000000', '2023-09-15 15:39:24.000000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', '61797FDF8FB3C854C82B9C6C103E008D');
INSERT INTO `batch_details` VALUES ('38ACDAAB0E7CC3F53BD4D201D7796DBA', '8EDA5773B457676B8D191B8C783C9156', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:06.000000', 950, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:07.000000', '2023-09-15 15:38:07.000000', '1', '1', NULL, '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '84988C4AB727CB220E3D5E458277082E');
INSERT INTO `batch_details` VALUES ('38E5B658BCBEC02CA47A0B48290F17C0', 'EB1053E842D2435BEEB701E0118F0EE1', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:30.000000', 18, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:31.000000', '2023-09-15 15:38:31.000000', '1', '1', NULL, '499b443a4bf686a9c7b3e40b5537f5b2', 'F7-707_试剂柜-B_B1-4', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '2FBCD548BF1FB4309AADB740B82D291F');
INSERT INTO `batch_details` VALUES ('392AD2870C893A0908ACEFD3CDC0D32A', '221FD5956B19428E7BAACE9D85879166', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:42.000000', 3, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:42.000000', '2023-09-15 15:37:42.000000', '1', '1', NULL, '24b6127057ff18e72393a482b1801927', 'F6-607_试剂柜-A_A3-3', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', '8873C96338E295AACEDC2D5FC7DD6E05');
INSERT INTO `batch_details` VALUES ('3A298ACA0EC29D759D1AF15E0E2228B6', 'D495053D8C703100535E8D137AC744D6', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:05.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:05.000000', '2023-09-15 15:39:05.000000', '1', '1', NULL, '029e9facf01df4463e0cfc021f2387b5', 'F7-706_试剂柜-D_D1-1', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', 'A73A725ED0FC5542511B118132EAD83A');
INSERT INTO `batch_details` VALUES ('3AACD1182E2A3957F1C667C74DA60948', 'CB8C9606D5A0079C9A843CB23305557E', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:14.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:14.000000', '2023-09-15 15:39:14.000000', '1', '1', NULL, '5eff609a8cc1e16248f784af8907b032', 'F7-706_试剂柜-E_E2-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '856240A042341C0E64B07FC1F3E1F576');
INSERT INTO `batch_details` VALUES ('3ACA64AFE2D80B686567C586F356CDE9', '3259C6B78053E78C025A1927BCED622C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:44.000000', 10, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:44.000000', '2023-09-15 15:38:44.000000', '1', '1', NULL, '0042d9473d2e7f8dabd1716e8eaa93bc', 'F7-707_试剂柜-C_C3-1', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '3A2E0BCCEF1C7FDDF43EF5B349751488');
INSERT INTO `batch_details` VALUES ('3AEE60BE8B606718420C2F4380C7014D', '0A9A7132447B02BA21F5E8D9B271D81A', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:44.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:44.000000', '2023-09-15 15:36:44.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('3AEE8C3ED48D55A4DA8498A70E7AF16F', '22E5D4F2180383B968C350ED0F6AAE9B', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:34.000000', 11, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:34.000000', '2023-09-15 15:38:34.000000', '1', '1', NULL, '89ebc6fe97fc3ab2dec49c03d225e4ab', 'F7-707_试剂柜-B_B2-2', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', 'D700EB7629D02790C487DEFEAA02F5E0');
INSERT INTO `batch_details` VALUES ('3B84779D94AA1E7F50A2A893A4BC49C4', 'E502CEDF0F0CD39AEBBDF9FB80571E2D', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:03.000000', 6, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:03.000000', '2023-09-15 15:38:03.000000', '1', '1', NULL, 'c4b3449c122e3bd91ab32b6a20312561', 'F6-606_试剂柜-G_G2-4', NULL, '52A2B543BB66F60E1543EB0AAB7AE3B8', NULL, NULL, '606', '5232E4A1C16F72FA4F0FCF9D0D31070C');
INSERT INTO `batch_details` VALUES ('3C4DBED3CDFB22A87884DE004C87D5F9', '58C43AE0E3CB285502EBD37D4AAAF317', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:01.000000', 3, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:01.000000', '2023-09-15 15:38:01.000000', '1', '1', NULL, '6af0cc05f3ee72b1db48f4307ec15e8b', 'F6-606_试剂柜-C_C1-2', NULL, '808DC6B3A5BBD0680FEDF4DDC0F29D32', NULL, NULL, '606', 'EECD1EF34F39B1C0769E49F057723CE2');
INSERT INTO `batch_details` VALUES ('3C74607D3EB538F174A74504218DBD5D', 'A4A7F194912B22DCDA5C233E3308F7CE', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:50.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:51.000000', '2023-09-15 15:36:51.000000', '1', '1', NULL, '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('3CED249EC45E2FBD31DABA3A82110489', 'F666E9B695C6704DD85A9686C6748454', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:21.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:21.000000', '2023-09-15 15:38:21.000000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '4E63493A3D88C111219F67153BEE81E0');
INSERT INTO `batch_details` VALUES ('3D358DCC1027F1E4A97076FAA9E3FD38', 'A9710C7A6174781F9DF921B1083DC35B', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:16.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:17.000000', '2023-09-15 15:37:17.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('3D84DEA4308ECE7A090A5EED93EC7890', '9C3C258CF0ADB5B8118A16C600A92886', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:14.000000', 19, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:14.000000', '2023-09-15 15:38:14.000000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '61E7B35C5BE95A0CF679E69C2C0D10B1');
INSERT INTO `batch_details` VALUES ('3D9801B4C632274FCCD5E3505F4FF305', '4D9CDA110B495E4A0347CF58FEDC0A5C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:51.000000', 3, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:51.000000', '2023-09-15 15:38:51.000000', '1', '1', NULL, '1c64707b7fa93765aa78f48b99e8f1c3', 'F7-707_试剂柜-D_D2-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '3E6CFD9BA3ED9DBC42A910ECB2515BCA');
INSERT INTO `batch_details` VALUES ('3DA2E0F4A157088B933515BE686E2AB0', '06DF19156D4EF690A0C76CB0A06BB398', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:44.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:44.000000', '2023-09-15 15:37:44.000000', '1', '1', NULL, 'be06c2ed607241a0e50b7937a121b7ad', 'F6-607_试剂柜-B_B1-2', NULL, '4DC6CF3C6B9A843F6C70335AA42A5594', NULL, NULL, '607', '2DA0CA15E4B3DF6BDE6AD6A3FE414285');
INSERT INTO `batch_details` VALUES ('3DB72FADFB63C2D57541D3CF7D88ACBD', '1FCBF1BA3A3BECAC6D4584C5E3404CA8', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:11.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:11.000000', '2023-09-15 15:38:11.000000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '8C6AB281B924D9D491443D5BFDBF33B9');
INSERT INTO `batch_details` VALUES ('3DC0C29E01D4BF33CFC1042AB3E0359E', '828496F626C581F73A654EBF7E3054DC', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:18.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:19.000000', '2023-09-15 15:39:19.000000', '1', '1', NULL, '75bb1e5693ddf7d3f83365fc7ce874a2', 'F7-706_试剂柜-E_E3-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '98B6297DE8D669DD6C18B908F810D084');
INSERT INTO `batch_details` VALUES ('3DCEB2CF58809DBAEAD8394F047E1702', '26883D374C34691D65C1E3B548CB61EC', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:00.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:00.000000', '2023-09-15 15:38:00.000000', '1', '1', NULL, '6af0cc05f3ee72b1db48f4307ec15e8b', 'F6-606_试剂柜-C_C1-2', NULL, '808DC6B3A5BBD0680FEDF4DDC0F29D32', NULL, NULL, '606', 'B572AEFC20F6A713320019AD5067FEF4');
INSERT INTO `batch_details` VALUES ('3E23928E5C3E971C75AF4F8822AB76AE', 'A5D1B6588FD375C15DBC09D59FDB5A71', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:38.000000', 20, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:38.000000', '2023-09-15 15:37:38.000000', '1', '1', NULL, '1a87fd835a5f236e0083f23751288b5a', 'F6-607_试剂柜-B_B1-5', NULL, '4DC6CF3C6B9A843F6C70335AA42A5594', NULL, NULL, '607', '4663B1B802EDA7D0F2ED5EAAF247AE21');
INSERT INTO `batch_details` VALUES ('3E350F9798BC37098B7288E4AA77EEDA', 'DDE2C9A82AA7E8829E4BD367B36BECAE', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:25.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:25.000000', '2023-09-15 15:39:25.000000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', '31177BB3AF13262ACBC0973459DB7D27');
INSERT INTO `batch_details` VALUES ('3E5835D468BF2AC0A799D8A00760D86B', '80A4254240CDB2CB976B21FD11F03A09', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:55.000000', 17, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:55.000000', '2023-09-15 15:38:55.000000', '1', '1', NULL, '9c89e7eba1b9f07fadccee3cb8ca1b48', 'F7-707_试剂柜-D_D3-3', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', 'B9B4FAA8B3CA99B1D3AA4393790B02C2');
INSERT INTO `batch_details` VALUES ('3E7337E393A8D650B3507B0C90A60934', 'E9F6BA7613AE41050ED397AABCED557E', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:26.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:26.000000', '2023-09-15 15:39:26.000000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', '29022DB40CD4463DEF7EA82D319E4D41');
INSERT INTO `batch_details` VALUES ('3F19A1EA16AB190B544B58A897EA33BE', '5C43F4E08C829D4958E4B63B6456824E', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:37.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:37.000000', '2023-09-15 15:37:37.000000', '1', '1', NULL, '958df8de51ac3d2fbe089749aaa330f7', 'F6-607_试剂柜-A_A3-1', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', '7C74BFF727329FB14B7BED97FE99E480');
INSERT INTO `batch_details` VALUES ('3F1FFE619D7397BAE9B79D20E1C794DD', 'ACB90908ED0AE1FE5C73E1D99B2418DC', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:39.000000', 19, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:39.000000', '2023-09-15 15:38:39.000000', '1', '1', NULL, '0b4e3c79988b8fc357b3a0f5443aa63e', 'F7-707_试剂柜-C_C1-1', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', 'C6A9D91562C7DEB82C42A362B0D96A66');
INSERT INTO `batch_details` VALUES ('3F8B0598DE3BF598309DF74E7EBC4FA3', '1200BEFAC3FB7EBCD8160085BA1738FC', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:35.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:36.000000', '2023-09-15 15:36:36.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('3F9BDA65C0D6CBB7D7A98FA08162BEAF', '2E450C97A4D5C90FE240D9ABE05FACCC', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:16.000000', 3, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:16.000000', '2023-09-15 15:39:16.000000', '1', '1', NULL, 'e12c1ffbe42606dd02973fe424f420e3', 'F7-706_试剂柜-E_E2-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '692D3B509C1197DC65673B6768242C9D');
INSERT INTO `batch_details` VALUES ('40428B21F1F9D2247A56F36EC30474C8', '1C0FCAB08F99FFFA24CAD8F6E92C5A60', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:56.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:56.000000', '2023-09-15 15:36:56.000000', '1', '1', NULL, '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('405AC8989F84BD1B67460F611A110EE5', '7011A217B70EFE33AEA7D5B331CB8129', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:07.000000', 6, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:07.000000', '2023-09-15 15:39:07.000000', '1', '1', NULL, '9385d102cad285d69123ad6a279044a5', 'F7-706_试剂柜-D_D2-1', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', '6369F15E7A0DC8BBDC4932B7A3A52C7B');
INSERT INTO `batch_details` VALUES ('40B930721FD43A9EC49C4223A205EACF', 'CF23CE3301B7B078A839FAB48ACF5F0B', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:51.000000', 8, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:51.000000', '2023-09-15 15:37:51.000000', '1', '1', NULL, 'b56344dd48b8c007ecb4399b3351d32d', 'F6-607_试剂柜-B_B1-1', NULL, '4DC6CF3C6B9A843F6C70335AA42A5594', NULL, NULL, '607', 'C2928E68E8A3826E11D1FACEE8DDE115');
INSERT INTO `batch_details` VALUES ('4207437051B415BEDC466FC5F7909CA4', '03EF30B860E3E9E6B84605CCF5B5DCCB', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:12.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:12.000000', '2023-09-15 15:37:12.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('426751D6BEF85B107C11D39EC78BBD9A', '3A3F6E4DD324A154A3054101C3C9E10E', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:40.000000', 9, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:40.000000', '2023-09-15 15:37:40.000000', '1', '1', NULL, 'de923f46303af8ebbd803212550d8cfa', 'F6-607_试剂柜-A_A1-5', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', '8CCFF89B934966639FFB894902339E78');
INSERT INTO `batch_details` VALUES ('4279D1163D1F9EDC0A9B8B5285E28F36', '3846D8B0B1D815462346B1F42E9BAF55', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:26.000000', 4, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:26.000000', '2023-09-15 15:38:26.000000', '1', '1', NULL, 'dda3d50e55162b4528f6feb32946ffe4', 'F7-707_试剂柜-A_A2-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '6AF3EF758B411A8B9CF365ED9930FE25');
INSERT INTO `batch_details` VALUES ('42FB78B7C1231077E906BE30D7A91977', 'B0E47D8BBB4EB3EDE76903D57D84F119', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:39.000000', 3, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:39.000000', '2023-09-15 15:38:39.000000', '1', '1', NULL, 'd8c3ed9db28572a33e13f48f401f0b52', 'F7-707_试剂柜-C_C2-2', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', 'AC09A5157D7A5D18D1BDE174259760A0');
INSERT INTO `batch_details` VALUES ('436D7F396CB2A7848BB42BF3E23F5883', '5EBBE114EB2A8F11E0BBF097B9C4BD7E', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:03.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:03.000000', '2023-09-15 15:37:03.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('4393ED6F42472EEA7A0D66D1682C37F8', '479739A00FA14AABBF11779FF1CFC4A7', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:50.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:50.000000', '2023-09-15 15:37:50.000000', '1', '1', NULL, '960a7231db063d2b1a4ab4b5d0ec3226', 'F6-607_试剂柜-A_A3-2', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', 'D9DDDC234A28D6DB4EC51705A4402B5C');
INSERT INTO `batch_details` VALUES ('4651E376878295C42F9888CA8ED8C1B1', '3FD1AB67383E32F49B38C40F49F4C163', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:45.000000', 7, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:46.000000', '2023-09-15 15:38:46.000000', '1', '1', NULL, '5ff780813a112e04ebbe6ed2a71ab1fa', 'F7-707_试剂柜-C_C3-3', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '0450C9D0F319E9BE846BEB2658EC2F5F');
INSERT INTO `batch_details` VALUES ('4657C91A19B942135636E9ECA9B7D113', '2FF3B0D9BBECB3B2DFAAA1F38D616400', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:31.000000', 60, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:31.000000', '2023-09-15 15:37:31.000000', '1', '1', NULL, '30b0e055a64a742bd6d621d5d250b5b1', 'F6-607_试剂柜-F_F1-2 ', NULL, '8C379C9EA9597E6F706FDA436401A14E', NULL, NULL, '607', '1CE4D43E2BC97D03E7165FE5C14B8D17');
INSERT INTO `batch_details` VALUES ('469B1DF5C002C864DAC5162D6034774E', '3154225797F6675F0DDA7883BFA584D6', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:46.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:46.000000', '2023-09-15 15:36:46.000000', '1', '1', NULL, '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('4806D78D36ACB7BF2F07C822CDA5DF61', '0CCAF7534D5CAC51A0E3836881B21845', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:56.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:56.000000', '2023-09-15 15:36:56.000000', '1', '1', NULL, '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('484E98DC03B30619D9AB18EC5F7588BF', 'C5B7BD67C6F04E0824B5D280445D36A4', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:54.000000', 20, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:54.000000', '2023-09-15 15:38:54.000000', '1', '1', NULL, '520eaf3711a30b76cda447d5f94c20a8', 'F7-707_试剂柜-D_D2-4', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', 'F3931FFBCCEAE30CF6B37AC0607160C8');
INSERT INTO `batch_details` VALUES ('48715C502A42708EB606C4439C90FA6F', '7383BDA35CA11EEEC51A03F2A4DD0033', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:33.000000', 30, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:33.000000', '2023-09-15 15:37:33.000000', '1', '1', NULL, '51524c54a71dd4ab2603ea5b2ec0bb45', 'F6-607_试剂柜-B_B3-5', NULL, '4DC6CF3C6B9A843F6C70335AA42A5594', NULL, NULL, '607', '8BD4529D99D6E88AE12EB63FEEBCCAC1');
INSERT INTO `batch_details` VALUES ('48B977361CF4BEB808EFCBBD551BC206', '473FA98B1E2D2CD9F32681064B277FC7', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:31.000000', 10, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:32.000000', '2023-09-15 15:37:32.000000', '1', '1', NULL, '67a37e41bd0b1c1759690b1ef8d61629', 'F6-607_试剂柜-C_C2-1', NULL, '071127105DF37F344112A196C49B181D', NULL, NULL, '607', '621B292130B76550E764FF8D0901941C');
INSERT INTO `batch_details` VALUES ('4903139CC20E77801F87E4794AD9D889', 'AA145663E176939E9281DB0A784DE192', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:14.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:14.000000', '2023-09-15 15:39:14.000000', '1', '1', NULL, '5eff609a8cc1e16248f784af8907b032', 'F7-706_试剂柜-E_E2-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'DABB9EBA6CF45EA983C6F8425C9D375B');
INSERT INTO `batch_details` VALUES ('49DE6F84A8318BE8FAB87F8F61047744', 'D0652F2132F02885754F84D0F5DAEFD3', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:52.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:52.000000', '2023-09-15 15:36:52.000000', '1', '1', NULL, '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('4AA29AF05189808AD344358181AFCDF0', '35E76DBB4C99A116AF41839D83F95628', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:33.000000', 44, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:33.000000', '2023-09-15 15:38:33.000000', '1', '1', NULL, 'f59134f62115fee1d4e59dfe2e3f3ce5', 'F7-707_试剂柜-B_B2-1', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '8C769059BBD5F6015B7EADE63BC64016');
INSERT INTO `batch_details` VALUES ('4B631B0F40ABBE3F935BD926D2D0449B', '63EAF90B75D5FB9DB2CC9ABD7E2380E9', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:16.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:16.000000', '2023-09-15 15:39:16.000000', '1', '1', NULL, 'e12c1ffbe42606dd02973fe424f420e3', 'F7-706_试剂柜-E_E2-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '8846C70AFFD4D675A665E55F4E18847A');
INSERT INTO `batch_details` VALUES ('4B86EFA23A5F49DF891B8452786E0E6B', 'AB02EED04A3ACFE3F7528DAABA5610C6', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:01.000000', 13, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:01.000000', '2023-09-15 15:39:01.000000', '1', '1', NULL, '69946b21e1450afbeeeef59ebb483afe', 'F7-706_试剂柜-B_B1-3', NULL, 'B84152270A4A03147E7BA602B85DC2B9', NULL, NULL, '706', 'D2FDCFCC08BDC23E2990BCEB518D2B30');
INSERT INTO `batch_details` VALUES ('4C1C67BE89E558196210A1AFFF53D6F7', '86DB48F667A6A7396F0AB8F66DF5FA6D', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:20.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:20.000000', '2023-09-15 15:37:20.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('4C5614A8BC27C027DDFC6DA933F1542B', '1336AAEA24A136817A6BAB3DE95B11D3', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:11.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:12.000000', '2023-09-15 15:38:12.000000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '81AFA2BD2D5AE2823E3F5AD169C6AC61');
INSERT INTO `batch_details` VALUES ('4C644991D9DDEE5C6B1B06EA2DBA91FA', 'B2EB0454C21BDD50CF27659203BBF41A', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:32.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:32.000000', '2023-09-15 15:37:32.000000', '1', '1', NULL, '8a9f36a2f957ff43b9dff12dd28f9949', 'F6-607_试剂柜-C_C2-4', NULL, '071127105DF37F344112A196C49B181D', NULL, NULL, '607', 'D91F5126F72EE2FE679EC8B04DF9D579');
INSERT INTO `batch_details` VALUES ('4C66EBDB17387B3C36D28DAA62A82DB0', '9D0388B14ACBECF23E8A06B2D4D6A422', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:12.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:12.000000', '2023-09-15 15:38:12.000000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'CB2FD17718078CC3F9AE7E44DBCE9CB7');
INSERT INTO `batch_details` VALUES ('4C6A21DBD717EBF0C17DB0E026D17B7C', '876A25F58C7610549CF4CACAC1874A6D', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:54.000000', 20, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:54.000000', '2023-09-15 15:38:54.000000', '1', '1', NULL, '520eaf3711a30b76cda447d5f94c20a8', 'F7-707_试剂柜-D_D2-4', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '3BF5746CD2C67BFBB35BDE4680B997E1');
INSERT INTO `batch_details` VALUES ('4D40EEF428448765D91C0B53FC0BA511', '3925553EA90C0F86D4C1480098188EBC', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:43.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:43.000000', '2023-09-15 15:37:43.000000', '1', '1', NULL, '960a7231db063d2b1a4ab4b5d0ec3226', 'F6-607_试剂柜-A_A3-2', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', 'AAB8D3BDE03E6777682DFC6C022A7266');
INSERT INTO `batch_details` VALUES ('4D8FAC622183304CC1B30508CD152D4F', '35371E8090F55606AE8DCE622C2F6B36', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:35.000000', 20, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:35.000000', '2023-09-15 15:37:35.000000', '1', '1', NULL, '0c4b08ffb5b5bd7afc19a3680cf333e9', 'F6-607_试剂柜-A_A2-1', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', '00527E43474B6B086B51B818A5E5E466');
INSERT INTO `batch_details` VALUES ('4E2FD9686F2B3053B5FC1188854AADB1', '661F7C1018B8AF17E5A0893F0BDE4618', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:28.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:28.000000', '2023-09-15 15:37:28.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('4E8ABA10A48B0F373EC55232AB293179', '6C262B4257807749A064D210FFEFE0A4', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:08.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:08.000000', '2023-09-15 15:38:08.000000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'FB3D59E386D91A0B97F9F3A4F6C10485');
INSERT INTO `batch_details` VALUES ('4EC179EF3A1E53D4D1DF927D681DB0B0', 'C574A86410883061FD5C38C9E261596C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:23.000000', 30, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:24.000000', '2023-09-15 15:38:24.000000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '4BB602CEF5C95CEF2571F4D4B8D180FE');
INSERT INTO `batch_details` VALUES ('4F02936DF757F7AEFE33EA9FA1C359EE', 'BCC433C196D614046CC895CA5B0DB967', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:19.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:19.000000', '2023-09-15 15:39:19.000000', '1', '1', NULL, '436ee808c12a10f8c191f71f51118662', 'F7-706_试剂柜-E_E3-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '59663DE36D5A43AE54BA5DC8A3047A55');
INSERT INTO `batch_details` VALUES ('4F2BB4D967BF102856792644EEB8DD75', '5352CCB70C97CDD10689C607A7F692E3', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:33.000000', 41, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:33.000000', '2023-09-15 15:38:33.000000', '1', '1', NULL, 'f59134f62115fee1d4e59dfe2e3f3ce5', 'F7-707_试剂柜-B_B2-1', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '2DDC22CE9F63094688A2621C3CF4B1E7');
INSERT INTO `batch_details` VALUES ('51CA7A47C07B59C569047809F62E8C38', 'A775D9AF88F4D77C0E52F1D7076C64E7', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:22.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:22.000000', '2023-09-15 15:39:22.000000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', 'B82E816580490CF514AC5B8F1BA008D9');
INSERT INTO `batch_details` VALUES ('52545410DAB6A6D0EECA0C70E7003523', '027484D18F7E503DBBE4F377AEC890A9', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:18.000000', 20, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:18.000000', '2023-09-15 15:38:18.000000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'F23DB0E82DBBE05F9E063611057F4518');
INSERT INTO `batch_details` VALUES ('528D899C29EA5732F2B503C2BA4879F6', 'E2CE0F732D5DD3BE8F808C9276DC622B', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:20.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:20.000000', '2023-09-15 15:38:20.000000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '496FC7406C4CC801692165F9B6BC4897');
INSERT INTO `batch_details` VALUES ('535D072FEC1FE4D9F39351EDED574B19', 'C2C0E4C2DA3BED445872DA26FFB280F7', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:44.000000', 3, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:44.000000', '2023-09-15 15:37:44.000000', '1', '1', NULL, 'b56344dd48b8c007ecb4399b3351d32d', 'F6-607_试剂柜-B_B1-1', NULL, '4DC6CF3C6B9A843F6C70335AA42A5594', NULL, NULL, '607', '0046A2669C9DDA80FFA2EC326E9C6413');
INSERT INTO `batch_details` VALUES ('53CC219986F2DB244FCA2A77E65245B3', 'F5D32C3376085775B9AE49BB9D3DF226', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:36.000000', 30, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:36.000000', '2023-09-15 15:38:36.000000', '1', '1', NULL, '3854518756e7994ee5876d7e9e861cdf', 'F7-707_试剂柜-B_B3-1', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', 'F4277BE5809CD66F3509423C6911E9FD');
INSERT INTO `batch_details` VALUES ('53FC723A2BB39B0C76D092F3EE806978', '37D5F0CB1CDDF1A1D933C9001AD1A9ED', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:00.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:00.000000', '2023-09-15 15:37:00.000000', '1', '1', NULL, '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('5448E394420787DAC109AF0FB5ED4E90', 'B511F386BC51001D883C9FC5210EFE51', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:54.000000', 3, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:55.000000', '2023-09-15 15:37:55.000000', '1', '1', NULL, 'aed603d0e860695685d0cdc8bdc8627a', 'F6-606_试剂柜-G_G2-2', NULL, '52A2B543BB66F60E1543EB0AAB7AE3B8', NULL, NULL, '606', 'FA88D36005C092EB33BA95996FD8CDFA');
INSERT INTO `batch_details` VALUES ('54C06938165D644F10BDC3008AEB5697', '15FAF2D2BDD0C8B92809D132CED54644', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:21.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:22.000000', '2023-09-15 15:39:22.000000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', 'A6AF993477C4FED7C8C0F1564735D276');
INSERT INTO `batch_details` VALUES ('555085367078EF25A43269EB8565996A', '5A508A85AA73BC49A9609F030FD58B81', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:37.000000', 10, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:37.000000', '2023-09-15 15:38:37.000000', '1', '1', NULL, '55e5081784af82837467649da44000e2', 'F7-707_试剂柜-B_B3-2', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '1F7CBDCB7C678C5E9CEDD2DC79E9EE52');
INSERT INTO `batch_details` VALUES ('5552B38622834FE7F00E65B0857EE17B', '6145B470EF44B533A437D60E94130195', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:03.000000', 5, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:04.000000', '2023-09-15 15:39:04.000000', '1', '1', NULL, '029e9facf01df4463e0cfc021f2387b5', 'F7-706_试剂柜-D_D1-1', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', 'BDE0B5EC35AE8D24E2D2551ABA1C353B');
INSERT INTO `batch_details` VALUES ('5572A8EEC580BFBD4869988718371AA9', '55F974FCCBF7287E46517D01667C87E3', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:09.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:09.000000', '2023-09-15 15:38:09.000000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'BCBDBFCFD999372896EC6A784DA54CDF');
INSERT INTO `batch_details` VALUES ('55E036B1B4E80674989E08A381A4ACA2', '25D9C5F994BF5D3CB95BA23C5D633850', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:03.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:03.000000', '2023-09-15 15:39:03.000000', '1', '1', NULL, '9eab0c91375efa5608f8248a29d697f5', 'F7-706_试剂柜-C_C1-4', NULL, 'EA39B525D5DC678C4CA7F95C4CAC7F53', NULL, NULL, '706', 'E4731E1D8B78B39249DFA8383AC45E9A');
INSERT INTO `batch_details` VALUES ('564BD158B1640231845B9659F3FC44B9', '20CE871A16DFFC22720A22F62A31EEDE', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:30.000000', 27, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:31.000000', '2023-09-15 15:37:31.000000', '1', '1', NULL, '51524c54a71dd4ab2603ea5b2ec0bb45', 'F6-607_试剂柜-B_B3-5', NULL, '4DC6CF3C6B9A843F6C70335AA42A5594', NULL, NULL, '607', 'FBDF2A71E48A824D1AF9CCC890146D33');
INSERT INTO `batch_details` VALUES ('568F45836C68E7407086EBBDF2EFCE9D', 'ABA99764889E0E708B8A699AEF8F46F8', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:21.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:21.000000', '2023-09-15 15:37:21.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('56EB541C365C5AB22808EB6BFCDB5292', 'C46CD97F82BFF4C194BBC9EFDF4FA3A3', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:50.000000', 20, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:50.000000', '2023-09-15 15:38:50.000000', '1', '1', NULL, 'c64848f3e1c3140fe26e131b3505750f', 'F7-707_试剂柜-D_D1-4', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', 'C013FAA639739BDE57C2630DD4FC2A39');
INSERT INTO `batch_details` VALUES ('57910789E02DCFC6E5759DAE0EF81531', '2C8478C03132F50E42D3AB6CBCCB0FBC', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:57.000000', 36, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:57.000000', '2023-09-15 15:38:57.000000', '1', '1', NULL, 'b9ce3dd4d0b2e75ada27bf5607e45ca1', 'F7-707_试剂柜-D_D4-2', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '4A108B60AAD9A410D3C179B0C3BC5601');
INSERT INTO `batch_details` VALUES ('57AB97DDD89F33051A2017961D5E176F', 'A6E34736F1CE51787BBE063ED213A721', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:10.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:10.000000', '2023-09-15 15:38:10.000000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '6E507469F4CC2406BF24519987693F0A');
INSERT INTO `batch_details` VALUES ('57D43BF6601A168624FC1B5651E86B1C', 'C6FBFDB7F1B302DDCE91B72E904DCC8A', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:04.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:04.000000', '2023-09-15 15:39:04.000000', '1', '1', NULL, '029e9facf01df4463e0cfc021f2387b5', 'F7-706_试剂柜-D_D1-1', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', '649629A9207874392E6DA4AFC8EDB58F');
INSERT INTO `batch_details` VALUES ('57FEE71DC38D26EBAC0C3B27C9C6B646', '70A441F31BBE28F529D7F3EA3D74DDB9', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:48.000000', 10, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:48.000000', '2023-09-15 15:37:48.000000', '1', '1', NULL, '4dbb4e8d2e996c3878c9e08e3fceb24a', 'F6-607_试剂柜-B_B3-1', NULL, '4DC6CF3C6B9A843F6C70335AA42A5594', NULL, NULL, '607', 'BF2C228C71245AA13804359D9106352D');
INSERT INTO `batch_details` VALUES ('5803CACD05177FA9862BD47B235F86F3', 'FA131E284F480CFB2644B613C6F8259B', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:21.000000', 8, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:21.000000', '2023-09-15 15:39:21.000000', '1', '1', NULL, '3758207bf7407dd113a9bd57636a4e0a', 'F7-706_试剂柜-E_E3-3', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'C9C681EB91325F3DCF067E4565EB80DB');
INSERT INTO `batch_details` VALUES ('58C91DC5CCFDCD4B10E2C823ADE3A761', '739CA681406EEDD6163E47F2D31AD6E5', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:52.000000', 3, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:52.000000', '2023-09-15 15:37:52.000000', '1', '1', NULL, '1eafb736d3923ac750796003de9bd99e', 'F6-607_试剂柜-E_E1-1', NULL, 'FBD35A7AE7C4A2547D0B1051E86D989E', NULL, NULL, '607', '89DDC87E10222F162957A0977124781B');
INSERT INTO `batch_details` VALUES ('58EE29428A5F7AB1DAE338E518248CAB', 'C9BB8443C14038FF13AF8D5081A7707D', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:16.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:16.000000', '2023-09-15 15:37:16.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('5958A81A24D935D9F6C23BB6968A09E7', 'CAD48980703FE5E728FB8641B41CA3E6', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:26.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:26.000000', '2023-09-15 15:39:26.000000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', '099367A107B6622EA91AF031776F7AEF');
INSERT INTO `batch_details` VALUES ('59BE025C753BB8F178DD58C91482D00F', 'A629A783B9D692827D283E5804863112', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:27.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:28.000000', '2023-09-15 15:38:28.000000', '1', '1', NULL, '4ebdd8ebb8f820a73f6047675a895025', 'F7-707_试剂柜-A_A2-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'D10F1C6640088FC8C15A336D5601C893');
INSERT INTO `batch_details` VALUES ('5ABC8224F6328F9C492D0F2681291B50', '3DD22FBEF439FF09CDE237934FEA7825', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:14.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:14.000000', '2023-09-15 15:37:14.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('5AC8AE99DCBA29D093605C710C0B2B2D', '87E71464CF1DAD886B6463A5FFD96063', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:17.000000', 20, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:18.000000', '2023-09-15 15:38:18.000000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '3780E2DE24E2E2F5B2D6BB2C9E017C3F');
INSERT INTO `batch_details` VALUES ('5AED35E759142ECEA173F019E0453231', 'CD19C5625831C7C03B67308647F8338C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:03.000000', 400, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:04.000000', '2023-09-15 15:38:04.000000', '1', '1', NULL, 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'B3918F7A396C281A312AE9C685BC466C');
INSERT INTO `batch_details` VALUES ('5B2ADB230BAE0C2AC2D6022E3F9BC608', '051AD891A93857E68BA3511EE5009026', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:34.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:34.000000', '2023-09-15 15:36:34.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('5CD0E9264C80E7E9E67E66B5022C41F5', '360C498E3A691764EA77B55352A27CBE', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:57.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:57.000000', '2023-09-15 15:36:57.000000', '1', '1', NULL, '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('5D6AECAE067047A74838F1C6F171140E', '25A4D594985E5B8FA8253127BAB6E9BA', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:20.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:20.000000', '2023-09-15 15:39:20.000000', '1', '1', NULL, '3758207bf7407dd113a9bd57636a4e0a', 'F7-706_试剂柜-E_E3-3', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'D52E25DCB53864833CD24213C150D8C0');
INSERT INTO `batch_details` VALUES ('5D7278F31F02D7884748A8E983B409DD', 'B13F08FDAD4E062DAFF92528E492A4F6', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:58.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:58.000000', '2023-09-15 15:36:58.000000', '1', '1', NULL, '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('5EF4D40FB85190CF37760F3FFF808437', '0AC99A942EFE2BFEF2089742F63FC094', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:12.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:13.000000', '2023-09-15 15:38:13.000000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '387983EF28A5FE47DE4095EE7A32F1AB');
INSERT INTO `batch_details` VALUES ('5F8E5A885C1A1A9E51D429B18CE2648B', '19D45FFB53C60A03CAA2179C30CC2E3D', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:39.000000', 20, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:39.000000', '2023-09-15 15:38:39.000000', '1', '1', NULL, '0b4e3c79988b8fc357b3a0f5443aa63e', 'F7-707_试剂柜-C_C1-1', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '68419991F96DFD9A88C8FD827351FF52');
INSERT INTO `batch_details` VALUES ('5F9699229337149CAACBCC9BE365B1DE', '506E71C0096F76415E48B2285D577F5E', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:25.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:25.000000', '2023-09-15 15:39:25.000000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', 'DF3E599EB7425328D9A3E0B9B055F712');
INSERT INTO `batch_details` VALUES ('5FCC5DE11B377C7FC391BEB7D1714F25', '7B6B2738977A1A2DD5642F903145640E', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:23.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:23.000000', '2023-09-15 15:39:23.000000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', '0A08D1F6991E0ABEFB120E2738F7627A');
INSERT INTO `batch_details` VALUES ('604F4703DD998FE0954E5630B03CD866', 'A248A37225F60EC9A2A7A65822EF3A00', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:51.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:51.000000', '2023-09-15 15:36:51.000000', '1', '1', NULL, '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('606EF6FC60387B6363994B8E29845CF8', '2145933D2465C892536501147E357FD3', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:42.000000', 10, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:42.000000', '2023-09-15 15:38:42.000000', '1', '1', NULL, 'cc1e723a600df519bb30716aed1a65b4', 'F7-707_试剂柜-C_C2-3', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '596ADA258DD71F5F55DD37E6A5CB5516');
INSERT INTO `batch_details` VALUES ('60C5C51D0211C8B2341271088620BCB3', '8973564F4A589E658DEDBBE0D5DB1C65', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:35.000000', 14, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:35.000000', '2023-09-15 15:37:35.000000', '1', '1', NULL, '0fdde33d569b9096f409bd8aa6b26529', 'F6-607_试剂柜-A_A2-2', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', 'D7F7A748BE5B83AE823930578CF0D239');
INSERT INTO `batch_details` VALUES ('60E0FF3EDD1734D5EA17A69013A26A93', 'ECFE7104B4513DE544C7010253C6254C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:07.000000', 1300, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:07.000000', '2023-09-15 15:38:07.000000', '1', '1', NULL, '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '6804FD4E5649C1B4B31A6E61C4E16A1B');
INSERT INTO `batch_details` VALUES ('611E416FAA4EF21CB7E64CDD7AFF1648', 'A4028CFA8F4821AC274028CB7BE58577', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:47.000000', 4, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:47.000000', '2023-09-15 15:38:47.000000', '1', '1', NULL, '4e49d8c191425016848c7023a6790c06', 'F7-707_试剂柜-D_D1-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '9853A2F68452A8ADA24DD08B4E84CFE6');
INSERT INTO `batch_details` VALUES ('6125DBCEB622E5312CF89E4F29ECDF82', 'B8954925787FE51D127FFF5E07A1D6FB', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:36.000000', 11, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:37.000000', '2023-09-15 15:38:37.000000', '1', '1', NULL, '55e5081784af82837467649da44000e2', 'F7-707_试剂柜-B_B3-2', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '1A4DB7D4CEF805E03774E93D6ADE6F55');
INSERT INTO `batch_details` VALUES ('612974106BE1E3002324EF0ECE5AA2E3', 'BDEAD0BCDB84350F9F8936A05F52AE4C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:59.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:00.000000', '2023-09-15 15:39:00.000000', '1', '1', NULL, 'c09176dcda4c53e3a73bed226c4d6b08', 'F7-706_试剂柜-B_B1-1', NULL, 'B84152270A4A03147E7BA602B85DC2B9', NULL, NULL, '706', '7C97B7176CA8602595A0BFC5A088E6F5');
INSERT INTO `batch_details` VALUES ('61951E80664B99E5B14CF707C04CB2BC', 'B683E942C19973B760216A214DA43BE7', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:48.000000', 6, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:48.000000', '2023-09-15 15:37:48.000000', '1', '1', NULL, '4dbb4e8d2e996c3878c9e08e3fceb24a', 'F6-607_试剂柜-B_B3-1', NULL, '4DC6CF3C6B9A843F6C70335AA42A5594', NULL, NULL, '607', '8A4F3A0504F6D026B449D3E6682F3381');
INSERT INTO `batch_details` VALUES ('61BF7282D0039F8527B8C9D3CD04DFCC', '0614FC32C7194C7948D20B6BA3A3A81E', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:43.000000', 4, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:43.000000', '2023-09-15 15:38:43.000000', '1', '1', NULL, '0042d9473d2e7f8dabd1716e8eaa93bc', 'F7-707_试剂柜-C_C3-1', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '8A2670470F0ECBB28B1DAE05418DF12A');
INSERT INTO `batch_details` VALUES ('61F26A3A35B9CDE3E570CEA9799F5A42', '5046B7DD38C9526F2715894BE338CFF3', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:36.000000', 19, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:36.000000', '2023-09-15 15:38:36.000000', '1', '1', NULL, '55e5081784af82837467649da44000e2', 'F7-707_试剂柜-B_B3-2', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '533AB69C6B7A788F22E2BA6B4D2EC57D');
INSERT INTO `batch_details` VALUES ('628A0B445C04AC8EC11C7BE95AF045C9', 'D54670B0E6D23D98A19BEC6884493F34', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:15.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:15.000000', '2023-09-15 15:37:15.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('628C51EE0666A2CB6FA3EB7FD5D32BC9', '4F37AFCA5E132B9E62F52BD896F7A2B7', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:11.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:11.000000', '2023-09-15 15:37:11.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('629D856D48D9AC1AE2B37F7BDA95506C', 'CE586D8F9CA0055B440BCE8A566FF426', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:33.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:33.000000', '2023-09-15 15:36:33.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('62AC13572113AC24EF137A8445B495EF', '31C471FACB76A5FC97F8C0FD9E88372A', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:13.000000', 25, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:13.000000', '2023-09-15 15:38:13.000000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '4D8F144812538666E3251D9F0AD4BEC9');
INSERT INTO `batch_details` VALUES ('62F8DB28286B9622F0B10AA5C5213288', '5683EF520CF0E1FA10FF8659942DD020', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:58.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:59.000000', '2023-09-15 15:36:59.000000', '1', '1', NULL, '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('64752FF2C68FBE92F53D7CB68FF9F30A', 'FA3194BA4C71BE3A5763F73BCA05A6FD', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:51.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:51.000000', '2023-09-15 15:36:51.000000', '1', '1', NULL, '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('64E9F72D14BB7A00764F3C667A66DBFE', '3ECD22B60D026C83734DD6C2FDA57173', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:32.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:32.000000', '2023-09-15 15:36:32.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('65037E1676258DF11FA274274DB32A56', '7BEE24A5191496BC62F77D8EFCB433BA', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:24.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:24.000000', '2023-09-15 15:39:24.000000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', 'F005D98A612933C91CC5223A75AC49A6');
INSERT INTO `batch_details` VALUES ('650A291915A201F731AE66964CA6942E', '0D885244728930CCD06C63D3E0890DC1', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:06.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:06.000000', '2023-09-15 15:39:06.000000', '1', '1', NULL, 'd44d1d51a3315a64708412a81c6e4e8d', 'F7-706_试剂柜-D_D1-2', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', '474B25CAE2844756883C34AAF6EA0CED');
INSERT INTO `batch_details` VALUES ('651E1DE5D18095462ABE8E0B6F9F5584', '75EC8F7EE11268E0BD414228DFD1534C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:50.000000', 9, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:51.000000', '2023-09-15 15:38:51.000000', '1', '1', NULL, '1c64707b7fa93765aa78f48b99e8f1c3', 'F7-707_试剂柜-D_D2-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '71876A3CF6DCD9CBDD7CBC8366778B46');
INSERT INTO `batch_details` VALUES ('657DD874BA6BBA4792AD6190BCD96417', '4E09BABC584D3E95BF7D18B5E5A3AC24', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:57.000000', 10, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:57.000000', '2023-09-15 15:38:57.000000', '1', '1', NULL, 'b9ce3dd4d0b2e75ada27bf5607e45ca1', 'F7-707_试剂柜-D_D4-2', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', 'BCEE2F38DCC1A793A18E2FD636C1C380');
INSERT INTO `batch_details` VALUES ('65B315F072676E07D6518ED77D481D37', 'BCC324583125BA19D68AAEC2D950A271', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:06.000000', 190, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:06.000000', '2023-09-15 15:38:06.000000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '8BEBDC0099CC665EF4CECD7887A613EA');
INSERT INTO `batch_details` VALUES ('67022EAD6736AC7F4D863D2974F0536B', '005FED89D11E514BBA66AF6DC5A2B165', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:35.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:35.000000', '2023-09-15 15:37:35.000000', '1', '1', NULL, '7c8662cd73958e2f15c2794c159ff265', 'F6-607_试剂柜-A_A1-1', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', '0AE86D27E2FFDCF47AC2D8C96E73BF02');
INSERT INTO `batch_details` VALUES ('67145C5040B80A214119540E4CE576C7', 'C68818B20644D003F320E5B42071F185', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:28.000000', 11, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:29.000000', '2023-09-15 15:38:29.000000', '1', '1', NULL, '31e28f9a6474d87e3dfac25118dbdf85', 'F7-707_试剂柜-B_B1-1', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '82931761CF5AE7DD0470BEF9168D7115');
INSERT INTO `batch_details` VALUES ('6718B57F061B06003CF765220E4770C1', 'FC975217ACADC95CCA82449EA8C27C63', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:13.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:13.000000', '2023-09-15 15:37:13.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('67864C3FA464A4DC54DB3D80B8AA6A54', '9A6B7C2B321CA78EB31C44995D3F4310', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:34.000000', 7, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:34.000000', '2023-09-15 15:37:34.000000', '1', '1', NULL, '7c8662cd73958e2f15c2794c159ff265', 'F6-607_试剂柜-A_A1-1', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', 'E0ABCDCE24C6015D18E2258A30D8A4CB');
INSERT INTO `batch_details` VALUES ('685882ECE810D6BB1AFA844A4D391EE1', '7A6007222D42E5EB8769EAD514991735', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:48.000000', 20, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:49.000000', '2023-09-15 15:38:49.000000', '1', '1', NULL, 'c64848f3e1c3140fe26e131b3505750f', 'F7-707_试剂柜-D_D1-4', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '87CC6D4CE570D7473A97162D0180B7EA');
INSERT INTO `batch_details` VALUES ('68DDC9CDC0135A1A7AEBF7C436AF7A55', '61311C2FB24E973F2611B31293FF9033', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:10.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:10.000000', '2023-09-15 15:37:10.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('68FA6BEBAEF8AD1344FA46CE874A6991', '5E5464541ED021293EFE5CA2E801038A', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:56.000000', 9, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:56.000000', '2023-09-15 15:37:56.000000', '1', '1', NULL, 'c10dc3f6414468c310621e6f85979583', 'F6-606_试剂柜-A_A1-4', NULL, '726AD61EFB26C44E4E5F4835EF267B95', NULL, NULL, '606', '77B758241896551F07412540B6A122A6');
INSERT INTO `batch_details` VALUES ('69084591100F0A897052CEF7FE9787D0', '917320B79E3E66177E74E0AFFEA062B1', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:18.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:18.000000', '2023-09-15 15:37:18.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('69B95EE09D25EE5C64057437B3CCC151', '23FBC9331780C1D7748DF5DA9C2C470F', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:12.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:12.000000', '2023-09-15 15:39:12.000000', '1', '1', NULL, 'b92a5ca88d157557618e1da8d096b96d', 'F7-706_试剂柜-E_E1-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '2D62AEB934FA9F1DA0CF83BAB1DDFB2E');
INSERT INTO `batch_details` VALUES ('69BA87FEECCF56E4F1B7743D0DAB33ED', 'F72AB2B60C2A68304E669CF0944059C7', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:13.000000', 5, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:13.000000', '2023-09-15 15:39:13.000000', '1', '1', NULL, '5eff609a8cc1e16248f784af8907b032', 'F7-706_试剂柜-E_E2-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '01BC2ADA947E5F4998160B426574AB4C');
INSERT INTO `batch_details` VALUES ('6A70B96A1A8AB4C14F0CBCFF980BAEFC', '957A0DD9DB7D99FE9DD370A0A5880518', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:59.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:59.000000', '2023-09-15 15:37:59.000000', '1', '1', NULL, '6af0cc05f3ee72b1db48f4307ec15e8b', 'F6-606_试剂柜-C_C1-2', NULL, '808DC6B3A5BBD0680FEDF4DDC0F29D32', NULL, NULL, '606', 'FA8A58FD8D3FD543B69834BB66224D80');
INSERT INTO `batch_details` VALUES ('6A7296B61E6967501F03358972564D8E', 'ED14DC7AD9D00EBBFC21FC6B65316C51', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:08.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:08.000000', '2023-09-15 15:37:08.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('6ADD39EBBA482EFC6570F1F53D7C6054', 'D7AE7BF75A6A976717A4D0F8DF8A69B0', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:14.000000', 15, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:14.000000', '2023-09-15 15:38:14.000000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'E61304F18287CBACCF82C197643BD19B');
INSERT INTO `batch_details` VALUES ('6BE6538B652EBA3E4820DBA0C56115E7', '5BE1CD18DF8E710BB871391CB51DAD5A', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:49.000000', 20, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:49.000000', '2023-09-15 15:38:49.000000', '1', '1', NULL, 'c64848f3e1c3140fe26e131b3505750f', 'F7-707_试剂柜-D_D1-4', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '8B4E69255EEEA3042C7B6CD0A6DA25A5');
INSERT INTO `batch_details` VALUES ('6C15E7B49CE11A99B413B88083D8E809', 'E5EE0DD4EDA33C0FFC57776D861AA9B5', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:20.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:20.000000', '2023-09-15 15:38:20.000000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '2618044C086EE7DF61BCFC4955D986AE');
INSERT INTO `batch_details` VALUES ('6CB15E031770D5EFA975D65DF97CF49B', '58A779736BF4AD617F16F716BE0649E4', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:05.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:06.000000', '2023-09-15 15:37:06.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('6CBEC4FD1ABE8DEE9C86E4242D5843B8', '86098EE01B126B3AD33BCC56A1260732', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:11.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:11.000000', '2023-09-15 15:38:11.000000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '90BE0C8DF3F7EF72127EF698234A5DBB');
INSERT INTO `batch_details` VALUES ('6D23F0464DA3D837BADD500EAC602C01', 'A1ACD9E4C37AC710194B153D81931FF0', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:44.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:44.000000', '2023-09-15 15:36:44.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('6DA75655C94F4D7C0F64FF44E9B45EF3', '751B9E3031156F921C631499FE87B730', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:40.000000', 8, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:40.000000', '2023-09-15 15:37:40.000000', '1', '1', NULL, '889305fba0ad8cff490b0930c992cb3f', 'F6-607_试剂柜-C_C2-2', NULL, '071127105DF37F344112A196C49B181D', NULL, NULL, '607', '76BE4C99DC8E800AB70EA6CD0F15C07B');
INSERT INTO `batch_details` VALUES ('6E3DD60256FD33B3E762533C078A5253', 'B417D5F8A0A694E4EB0BB6410E9908EE', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:19.000000', 5, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:19.000000', '2023-09-15 15:38:19.000000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '1738D4FDB0FC952086591F0004766A8B');
INSERT INTO `batch_details` VALUES ('6EA88EE87FBE3EC7EF1CA229B985C9F8', 'A2451BC6D2A5C7577C1A0120CA407988', '2023-2', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:58.000000', 16, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:58.000000', '2023-09-15 15:38:58.000000', '1', '1', NULL, 'eb9e5ab34ecb098711c58ec600e55ccb', 'F7-706_试剂柜-A_A2-3', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', 'E04710DFFA0C16655C91C7EFB7364DC2');
INSERT INTO `batch_details` VALUES ('6F105D29C1B5ECB11AA5802C43109E51', 'BEAFFA4FBF4E5057DCCF0A5C82C17EBB', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:06.000000', 160, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:06.000000', '2023-09-15 15:38:06.000000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'A296807DB5F58ACD0F001C4C9FCFA4F6');
INSERT INTO `batch_details` VALUES ('6FA0D06C790398E9F4DD3D1E08A643B9', '3FCF5099AE52A3A5145CE56E833697FB', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:13.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:14.000000', '2023-09-15 15:39:14.000000', '1', '1', NULL, '5eff609a8cc1e16248f784af8907b032', 'F7-706_试剂柜-E_E2-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '773353C1A55BB1B441D326645BADAEC1');
INSERT INTO `batch_details` VALUES ('6FEF04F5CB621099828E2D49EF02A0EC', 'FE364EF9C60280192BE82F37C98F1DC4', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:54.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:54.000000', '2023-09-15 15:37:54.000000', '1', '1', NULL, 'bcac7c306cfd91945d8af38057cb1015', 'F6-606_试剂柜-C_C1-1', NULL, '808DC6B3A5BBD0680FEDF4DDC0F29D32', NULL, NULL, '606', 'ABB06262C250326AC9D7858D732D030C');
INSERT INTO `batch_details` VALUES ('71DD316518E824D6DC55F6BADE7657D1', '8E0513FCF8750DCF1C74D72F8BF156D7', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:38.000000', 9, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:38.000000', '2023-09-15 15:38:38.000000', '1', '1', NULL, '55e5081784af82837467649da44000e2', 'F7-707_试剂柜-B_B3-2', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', 'D6A3E85AF8D8B8D5CADD6DC1B1C8A557');
INSERT INTO `batch_details` VALUES ('71EE510A97C16D8E243C536D116E0CA0', '16E5CE1ED90C9CC8F515230D9C3D7B08', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:10.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:11.000000', '2023-09-15 15:39:11.000000', '1', '1', NULL, '1f529f67270eac072f2ac17b583a1754', 'F7-706_试剂柜-E_E1-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'AE07A55144A14DD931D12F0287CC220E');
INSERT INTO `batch_details` VALUES ('721CCE36607C3317E4F5C5969DD38E55', '285F3493E55D5A76F198FA08591CB534', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:59.000000', 5, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:59.000000', '2023-09-15 15:37:59.000000', '1', '1', NULL, 'ac09cd70dc5f76ecedea570b2d350ac7', 'F6-606_试剂柜-A_A3-4', NULL, '726AD61EFB26C44E4E5F4835EF267B95', NULL, NULL, '606', '08E2EF01F27DA18D1722B37AB32FA0A9');
INSERT INTO `batch_details` VALUES ('73558626845A6E92BDC160F50C8AB36D', '3A4C9823AB2E3103DA12F3CA1CCF2C55', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:15.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:15.000000', '2023-09-15 15:39:15.000000', '1', '1', NULL, 'e12c1ffbe42606dd02973fe424f420e3', 'F7-706_试剂柜-E_E2-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '9D92F79B98FD253D7633DEED2971A12F');
INSERT INTO `batch_details` VALUES ('737A4C4001354AFC7D2139FBD1586B64', '4BFC81D360F98A6653C35854B36CAA24', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:13.000000', 30, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:13.000000', '2023-09-15 15:38:13.000000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '0C4FFBAC99ED296F42F5469B9DD22AC3');
INSERT INTO `batch_details` VALUES ('738BAB050830286A64CAB6ADC99CE0A7', '03A55944FBCD333B0B1D6E149B22035F', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:03.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:03.000000', '2023-09-15 15:37:03.000000', '1', '1', NULL, '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('7426F1C640B2821495610082A6FA7938', '4ACC7A80931DEC7D03FB92544B66A7F8', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:50.000000', 20, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:50.000000', '2023-09-15 15:38:50.000000', '1', '1', NULL, 'c64848f3e1c3140fe26e131b3505750f', 'F7-707_试剂柜-D_D1-4', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '8CD0C955C6B3E8AD31A6EBECC357508E');
INSERT INTO `batch_details` VALUES ('75D57C0C71F76A0EBA6A8B1A9934A21A', '20DE58DDB05816EE0ACBD62B5B792C0A', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:55.000000', 6, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:55.000000', '2023-09-15 15:37:55.000000', '1', '1', NULL, '3fd47250e00178d668a109e63aa0dd3d', 'F6-606_试剂柜-C_C1-4', NULL, '808DC6B3A5BBD0680FEDF4DDC0F29D32', NULL, NULL, '606', '1CFBDC2D107FB0CFE88676F782F3B410');
INSERT INTO `batch_details` VALUES ('75DFDBF34D16DD84DBCA49B660FA1869', '01CC6538E992DB61DC8C220D08F28C45', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:15.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:15.000000', '2023-09-15 15:39:15.000000', '1', '1', NULL, '5eff609a8cc1e16248f784af8907b032', 'F7-706_试剂柜-E_E2-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '5ADF4DF0BEC18D8C38392DA413E2C865');
INSERT INTO `batch_details` VALUES ('7619F67CDE4251634D0BF827F9D1AEBE', 'B75D924ABE2EE00D0644ED9DAED61D8E', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:54.000000', 4, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:54.000000', '2023-09-15 15:37:54.000000', '1', '1', NULL, 'bcac7c306cfd91945d8af38057cb1015', 'F6-606_试剂柜-C_C1-1', NULL, '808DC6B3A5BBD0680FEDF4DDC0F29D32', NULL, NULL, '606', 'CA9D0B49510FDEEDB1AB6656FFA826F8');
INSERT INTO `batch_details` VALUES ('765421B865E41CE1E3AA9FB507E74C37', 'EB6EEF2EF77122C5142EF2CAFA12BB1C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:33.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:34.000000', '2023-09-15 15:36:34.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('76C4FE81082F8804B97E15231E674F93', 'B5925B615FBA751C866779B1356F919E', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:01.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:01.000000', '2023-09-15 15:38:01.000000', '1', '1', NULL, '6af0cc05f3ee72b1db48f4307ec15e8b', 'F6-606_试剂柜-C_C1-2', NULL, '808DC6B3A5BBD0680FEDF4DDC0F29D32', NULL, NULL, '606', '537A8B4B1E5FF9053EBC9F8270077CC9');
INSERT INTO `batch_details` VALUES ('77194F809EBD074C6EA866AF88DD0F05', '97969B969C5A1289A23303D006D50344', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:02.000000', 4, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:02.000000', '2023-09-15 15:38:02.000000', '1', '1', NULL, 'c4dcd44a5edd7545b6c7b4a83398b7f4', 'F6-606_试剂柜-G_G1-4', NULL, '52A2B543BB66F60E1543EB0AAB7AE3B8', NULL, NULL, '606', '053CFFAA5601A677FDBCFE45C1D7E0EE');
INSERT INTO `batch_details` VALUES ('774FC259DA059B2342A2FB5213A29289', '6FDF3C0B0484B9456BBFD32EFC6C0462', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:12.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:13.000000', '2023-09-15 15:37:13.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('77D37BABBCE6B0F20E961592B1EC0DB2', '2AECF3F692F6B34228833063D217A63E', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:07.000000', 1300, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:07.000000', '2023-09-15 15:38:07.000000', '1', '1', NULL, '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '53E01D1CCEE86939F4F565D5C970C34B');
INSERT INTO `batch_details` VALUES ('77DF2DEF99AE5A0953B6895214286527', '1C4CA2AC547614CF494AC16B1834EBB8', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:22.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:22.000000', '2023-09-15 15:37:22.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('78AE6632C244045FE7453B7EC6046506', '73D3F59DF37263D5A564E03637B2ACA7', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:59.000000', 3, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:59.000000', '2023-09-15 15:38:59.000000', '1', '1', NULL, '35cea1f480155d71908002b4cc6a584b', 'F7-706_试剂柜-A_A3-3', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', 'A74C6FACD6FA5B8CB88CCAC4D2275C6D');
INSERT INTO `batch_details` VALUES ('79A9198BE4BF3AA13339BF03D83E41C5', 'EAEC8198BC831AE190902E85A029A747', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:04.000000', 5, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:04.000000', '2023-09-15 15:39:04.000000', '1', '1', NULL, '029e9facf01df4463e0cfc021f2387b5', 'F7-706_试剂柜-D_D1-1', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', '9B296B9FB78494CC24E1599CCC1ED11A');
INSERT INTO `batch_details` VALUES ('7A8F8FE63321B20321E24F68F5A83854', '93A95739D89B0C08D545660F2020DA62', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:32.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:33.000000', '2023-09-15 15:36:33.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('7AC5D65F3E8D71BAA1D18C21700C9628', '4DFCFC1777187747AD4EB95DA045D24F', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:46.000000', 4, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:46.000000', '2023-09-15 15:38:46.000000', '1', '1', NULL, '5ff780813a112e04ebbe6ed2a71ab1fa', 'F7-707_试剂柜-C_C3-3', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', 'D95112B53239183240D939D72F50C7A8');
INSERT INTO `batch_details` VALUES ('7AE3047C28A0D2BB1BCDE09EA44B330D', '6C4B0D0C2C7865A127A9087C9F49A946', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:56.000000', 6, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:56.000000', '2023-09-15 15:38:56.000000', '1', '1', NULL, '2bbf92ebb86852426fbdc9f73c9f6b73', 'F7-707_试剂柜-D_D4-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '346D5D3A638AE1A6BF68B8971851C7F6');
INSERT INTO `batch_details` VALUES ('7AE8F7C50795CB02B65FF87F067F4891', '34E172F0851A86B86F3CA9CAF2076E1C', '2023-2', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:18.000000', 10, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:18.000000', '2023-09-15 15:39:18.000000', '1', '1', NULL, '0bb34e9b041dff3f06129c15bd49f8e3', 'F7-706_试剂柜-E_E2-3', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'A31C172C15B378B8D613AE8D60CF39B0');
INSERT INTO `batch_details` VALUES ('7BD03DCC1D1CE3CFD17DAF0FFFBECD19', 'FF27E7FC317F2A7A742220376C4E547C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:53.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:53.000000', '2023-09-15 15:36:53.000000', '1', '1', NULL, '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('7C18A17AF4B4A49969E2F228E822E365', 'C6B80185647D0F6F59DAC5984753D927', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:34.000000', 8, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:34.000000', '2023-09-15 15:37:34.000000', '1', '1', NULL, '012afe0bd07a33e6aa30930a438a61ab', 'F6-607_试剂柜-B_B2-3', NULL, '4DC6CF3C6B9A843F6C70335AA42A5594', NULL, NULL, '607', '2CCD6252F891BF1F2836BFCB833803B9');
INSERT INTO `batch_details` VALUES ('7CD72575D2F871A800AA963E03EC37D5', 'CDF8794958B252723ABB5D0C45CCDF4C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:46.000000', 19, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:47.000000', '2023-09-15 15:38:47.000000', '1', '1', NULL, '4e49d8c191425016848c7023a6790c06', 'F7-707_试剂柜-D_D1-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '1630EB34A7A444E7DDA19B81F107DCF9');
INSERT INTO `batch_details` VALUES ('7D3555A1BF8B79149CB175812DA417FA', 'B10DB05F45F3CC3FF92B5C60A2D53BA2', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:37.000000', 9, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:37.000000', '2023-09-15 15:38:37.000000', '1', '1', NULL, '55e5081784af82837467649da44000e2', 'F7-707_试剂柜-B_B3-2', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '36C4BE92B4DD7058917ED8EB305F951C');
INSERT INTO `batch_details` VALUES ('7D66B22AE567DE32ABBCFF0FD1BA3A15', '3DBCEE7110D26F3CE18472383605A3F5', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:38.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:38.000000', '2023-09-15 15:38:38.000000', '1', '1', NULL, '55e5081784af82837467649da44000e2', 'F7-707_试剂柜-B_B3-2', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', 'C782F4BF8F3B41C7F54ABB4C96D9D964');
INSERT INTO `batch_details` VALUES ('7DA3A82A3D2473E36155F5E2AA9A990C', 'BDC549F4C066653E46D8871208E6A1FC', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:35.000000', 11, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:35.000000', '2023-09-15 15:38:35.000000', '1', '1', NULL, '9fc5fef81344f22fdf7f7a038d7c52fa', 'F7-707_试剂柜-B_B2-3', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '42560D77A976322285917BFF0DC72940');
INSERT INTO `batch_details` VALUES ('7DAD1578C3180D70A7B267D4175290F5', '944295610ADCCBF29017E2E52CD0C987', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:43.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:43.000000', '2023-09-15 15:36:43.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('7DCA5E433D1AF6E052BA1EFD2532C282', '154A94728E31FC4D4B5F21AD557A340B', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:31.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:31.000000', '2023-09-15 15:36:31.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('7E723613334C09601D05FAD0D349501F', '8D62B8625F99A3EEE6126658936BF821', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:38.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:39.000000', '2023-09-15 15:36:39.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('7E9887965C5FD633B4F110CBDD34A186', 'FE988AAF45155B24E33224E4EC927172', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:12.000000', 5, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:12.000000', '2023-09-15 15:38:12.000000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'EDD5AD4C0BE08EF94A10EB6AC65192DC');
INSERT INTO `batch_details` VALUES ('7F1B627F12634C893EBAF6B6964EA87E', '34E172F0851A86B86F3CA9CAF2076E1C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:08.000000', 20, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:08.000000', '2023-09-15 15:39:08.000000', '1', '1', NULL, '47ce2cdb3a64cf95991d2891ff16ce46', 'F7-706_试剂柜-D_D3-2', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', 'A31C172C15B378B8D613AE8D60CF39B0');
INSERT INTO `batch_details` VALUES ('7F7855D3C30C31732135C17DE39C2F31', '19041BB62DA7FBF5609667B5D345C002', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:41.000000', 4, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:41.000000', '2023-09-15 15:37:41.000000', '1', '1', NULL, '585390b2d987cc82e8921f59331c651b', 'F6-607_试剂柜-C_C3-1', NULL, '071127105DF37F344112A196C49B181D', NULL, NULL, '607', '7CD3C4D3FEF9B24722FA34416A5E9A0C');
INSERT INTO `batch_details` VALUES ('7FBD9E3C5B7D2BB5DFB1E433142BE552', '18C91C03AB43EF19BCD4C09257A1129C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:32.000000', 49, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:32.000000', '2023-09-15 15:37:32.000000', '1', '1', NULL, '679d0a4c8c0eceee10dc4e90e8830bca', 'F6-607_试剂柜-C_C1-1', NULL, '071127105DF37F344112A196C49B181D', NULL, NULL, '607', '1351D98A5C71134D0E7AA78F602F575E');
INSERT INTO `batch_details` VALUES ('7FEA68538467BB9EE6070E764442ECAA', '7E839AEC889CC68F07E1B9B481428F58', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:31.000000', 60, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:31.000000', '2023-09-15 15:37:31.000000', '1', '1', NULL, 'e15d16fe3536e248d40e36b8822a2823', 'F6-607_试剂柜-F_F1-1', NULL, '8C379C9EA9597E6F706FDA436401A14E', NULL, NULL, '607', '1D178B33D75D5207315938093ECDC515');
INSERT INTO `batch_details` VALUES ('804205BB5D46555BA31E2E227CC57655', '79A5F89DC23E93DFEDF6DB2CCF86156F', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:37.000000', 9, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:37.000000', '2023-09-15 15:37:37.000000', '1', '1', NULL, '42ad90a2d6c4b207cd2619e6c9b06aa8', 'F6-607_试剂柜-A_A1-3', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', '95BEBD30F0FD058EFBA19D1AD64B2DD5');
INSERT INTO `batch_details` VALUES ('810E1904F39F622A37127C64011C0F94', '8DECBD6C7BA0F9C183346E16E50763CE', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:30.000000', 20, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:30.000000', '2023-09-15 15:38:30.000000', '1', '1', NULL, '7655b680f65a6470af4e6ee3818ee7d4', 'F7-707_试剂柜-B_B1-3', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '2DDF79F215AAB607497D7F570E76F183');
INSERT INTO `batch_details` VALUES ('8150B83CC349ABB3774916A284E852F0', 'F5953BA83C9C5F5BB41BE26C645BB1CE', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:10.000000', 22, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:11.000000', '2023-09-15 15:38:11.000000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '53530E0A6B4711EFB01F697DB4A44321');
INSERT INTO `batch_details` VALUES ('816A1DAFF411918ED05031DF3163D674', 'DEBDD4CE30558FBAC087DA4C5CE9C4DB', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:33.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:33.000000', '2023-09-15 15:38:33.000000', '1', '1', NULL, 'f59134f62115fee1d4e59dfe2e3f3ce5', 'F7-707_试剂柜-B_B2-1', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', 'FB64095C804393341CE6D3D48860CDF6');
INSERT INTO `batch_details` VALUES ('81F1DE4DA95FA73A2032F1B624EA7DF2', '6444CEBA5AC222CCB0068A90401A5838', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:57.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:57.000000', '2023-09-15 15:37:57.000000', '1', '1', NULL, 'a23df3b07585af1d202721c7db7fec1e', 'F6-606_试剂柜-C_C3-4', NULL, '808DC6B3A5BBD0680FEDF4DDC0F29D32', NULL, NULL, '606', 'CF7A7429ED9D1B290029078A1F65B06B');
INSERT INTO `batch_details` VALUES ('829766B7ABB9B597613E5352DDB64046', '961FCEF39679C809B6637ECB0D1EF23C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:49.000000', 9, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:49.000000', '2023-09-15 15:37:49.000000', '1', '1', NULL, 'a14f05cc811963d8c20a72695a2660da', 'F6-607_试剂柜-A_A2-3', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', 'FF9A103C5A06D5D651B7723A1331A2CA');
INSERT INTO `batch_details` VALUES ('82BE4D0161E1DDB7FFAD67483549DE56', '330421ADB5E39D6AC80C09FF6F85702F', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:47.000000', 10, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:47.000000', '2023-09-15 15:38:47.000000', '1', '1', NULL, '4e49d8c191425016848c7023a6790c06', 'F7-707_试剂柜-D_D1-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', 'ADA193257F22E0E2F105848F65554085');
INSERT INTO `batch_details` VALUES ('82BFDF8B39D77173C71B7320B65BA2CC', 'B234007FA9DFBA9D6F674425CD3073C4', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:40.000000', 8, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:40.000000', '2023-09-15 15:38:40.000000', '1', '1', NULL, 'd9f0626d354219840ea291f2efa83aad', 'F7-707_试剂柜-C_C1-3', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', 'FC24C129AEEA9D85C940DAB62038512D');
INSERT INTO `batch_details` VALUES ('82FD6050C7B7DD666CD847F29B959131', 'C77E62FF18697D08E497E84145A32559', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:08.000000', 19, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:08.000000', '2023-09-15 15:39:08.000000', '1', '1', NULL, 'bce0bfb02df0b406c2891ac97e00bb61', 'F7-706_试剂柜-D_D3-3', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', 'EFA66C6CF6AC6E447A3BD5C3ADCFF245');
INSERT INTO `batch_details` VALUES ('83461F045450D058CD9307EDD33EC9AC', '3E952C41C4830182984F7EE44D76D4DD', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:57.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:58.000000', '2023-09-15 15:36:58.000000', '1', '1', NULL, '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('83B0B086077F1FCEB2BEB6A949E85F18', '9E9B5F5382F5FCC272E4C62B7E0B88E7', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:01.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:01.000000', '2023-09-15 15:37:01.000000', '1', '1', NULL, '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('83B1F8E658D4C92BD5E7448586F5BF65', 'CF87CA78652D421EBCA41A920BD990D9', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:19.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:19.000000', '2023-09-15 15:37:19.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('83F13E052FED5D67C95CDDDF66836E55', '596DB2E9EEA3621438F74DB44BB04216', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:08.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:08.000000', '2023-09-15 15:38:08.000000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'CE498E1BB9F2FED3C9F38CA130D09DE0');
INSERT INTO `batch_details` VALUES ('84B2D5F2A9D108A43C254C50C6A6EF58', '2AE3FBA2692DB159077114CEC13C2F8B', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:06.000000', 20, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:06.000000', '2023-09-15 15:39:06.000000', '1', '1', NULL, '8b42641b10157a4b1e57a3bab763f85d', 'F7-706_试剂柜-D_D1-3', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', '70806A60DE692323750967A507FC1407');
INSERT INTO `batch_details` VALUES ('850FEEBF539BCC2A3D8D420B69762260', '80A0C3336C814C659AB9E6B8CA909B54', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:27.000000', 7, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:27.000000', '2023-09-15 15:38:27.000000', '1', '1', NULL, '4ebdd8ebb8f820a73f6047675a895025', 'F7-707_试剂柜-A_A2-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'B0A33EC8C230F919CA86F4E1B6E22036');
INSERT INTO `batch_details` VALUES ('85343B138D73349EA8E1460020AA43B4', 'DC4C8597C8F2C6F7D505D72672DC1F17', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:17.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:17.000000', '2023-09-15 15:37:17.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('8657DBD683BD4E116DCF5C1582334E8F', 'C7632372F34EAE14E2F45E4CADD78F44', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:22.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:22.000000', '2023-09-15 15:39:22.000000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', '833CE675D5C5B27C6C1AFDFC5D8D49F0');
INSERT INTO `batch_details` VALUES ('86C17F34E1C6EF27157F1BE2C6AA5540', 'C8BD4367F1AFF403605FD5D01F16A12A', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:40.000000', 20, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:40.000000', '2023-09-15 15:38:40.000000', '1', '1', NULL, 'cc1e723a600df519bb30716aed1a65b4', 'F7-707_试剂柜-C_C2-3', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', 'B76901B1C91D72468F7840CC4FADFD4E');
INSERT INTO `batch_details` VALUES ('872EEC084E769DBD79E1AB391A7700CE', '7223A7F92D6D89DFD00C0F9CF69B79F3', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:53.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:53.000000', '2023-09-15 15:38:53.000000', '1', '1', NULL, 'cbf6e4dd457b2730e3142568f935fcfc', 'F7-707_试剂柜-D_D2-2', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', 'E3611715DC978FD990379C86B7AA564D');
INSERT INTO `batch_details` VALUES ('87693274AE0B63F086B2F22FE1E2EBD6', '5E5464541ED021293EFE5CA2E801038A', '2023-2', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:56.000000', 6, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:56.000000', '2023-09-15 15:37:56.000000', '1', '1', NULL, 'ac09cd70dc5f76ecedea570b2d350ac7', 'F6-606_试剂柜-A_A3-4', NULL, '726AD61EFB26C44E4E5F4835EF267B95', NULL, NULL, '606', '77B758241896551F07412540B6A122A6');
INSERT INTO `batch_details` VALUES ('8784E34D10C7D00AF0D676206F138BF5', '5562BF2733B41AABBCA74BA91C0617FB', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:19.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:19.000000', '2023-09-15 15:37:19.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('87923E5F10EE6778DEFC4AC5A84A140B', '5FCCAE5EFA1486766447C0E84C07910A', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:36.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:36.000000', '2023-09-15 15:36:36.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('8950734E986F041F0FCD5F4FF0670F2F', 'D1AC11725A0A78FAE2ECA19BF24A1F90', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:12.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:12.000000', '2023-09-15 15:37:12.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('898AE6219B999900DA09E8EB30B0C78C', 'C48D53FFB51147BCB18FB9993AE41637', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:20.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:21.000000', '2023-09-15 15:38:21.000000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '9F9C24968C50BFE2A75F4823DD1933DC');
INSERT INTO `batch_details` VALUES ('8A0F77C829269EEAA895BB12295E0C58', '2CDFC7C51289683BFBA44D04FBBABEF8', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:48.000000', 19, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:48.000000', '2023-09-15 15:38:48.000000', '1', '1', NULL, '4e49d8c191425016848c7023a6790c06', 'F7-707_试剂柜-D_D1-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', 'B003BDF3C052318E6EE6D029A19BECB3');
INSERT INTO `batch_details` VALUES ('8AAE4E0732BAD807D5882E25065D6ACF', 'CBB2235F16E20EA954341086AF326D47', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:15.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:16.000000', '2023-09-15 15:37:16.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('8B0BE38804C1460693F3853727DCA1C7', '8E4645E2A75D0BF7855C8639F2FC44E2', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:32.000000', 13, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:32.000000', '2023-09-15 15:38:32.000000', '1', '1', NULL, 'f59134f62115fee1d4e59dfe2e3f3ce5', 'F7-707_试剂柜-B_B2-1', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '7C5321A9C1585904A2ED0B96F07FDC9B');
INSERT INTO `batch_details` VALUES ('8B6D9EE4971E3214EE75E6971B0CB962', '870D48DB1D5D375708CBFBC00B20498C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:42.000000', 18, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:42.000000', '2023-09-15 15:38:42.000000', '1', '1', NULL, 'cc1e723a600df519bb30716aed1a65b4', 'F7-707_试剂柜-C_C2-3', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', 'E81822F109031EFA4E7A7F1D74044CEC');
INSERT INTO `batch_details` VALUES ('8B6FC7D8DDF05315ABFD1D9D6C3EDC33', '3956D5F2A7ABB557BF4246BF07755178', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:32.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:32.000000', '2023-09-15 15:36:32.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('8B707246459B61C214A5664D0A235D26', 'FF8A2B2F0D92F623FF655815C494F2B0', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:17.000000', 5, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:17.000000', '2023-09-15 15:39:17.000000', '1', '1', NULL, 'e12c1ffbe42606dd02973fe424f420e3', 'F7-706_试剂柜-E_E2-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '9FE9C37B57A70991B2EA93730284E1D9');
INSERT INTO `batch_details` VALUES ('8B79C2059D443A97BAB847E3E441AACC', 'CAED0CCB87DB26D72FD877F89121B11B', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:48.000000', 5, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:48.000000', '2023-09-15 15:38:48.000000', '1', '1', NULL, '7fee0fd4732d7c816a1afc079c2ca1b8', 'F7-707_试剂柜-D_D1-3', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '8C8298A6C2A17936EBB9BEA541CFEF83');
INSERT INTO `batch_details` VALUES ('8C83CEA24572D7CFDA595D6DFA506C04', '705C2E81C22EAD08A1F9DC2FAE0CF1EB', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:01.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:02.000000', '2023-09-15 15:37:02.000000', '1', '1', NULL, '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('8E1D28FC462BDB98CBA999DFDC8EEDC4', 'D1153963BDAF9EC86649AF7C7E4F94C7', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:39.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:39.000000', '2023-09-15 15:36:39.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('8EC1BE452DBF2C6E0E25D7A90BAECCB6', 'C951C9EB0260496626BCE7E33143B7E0', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:43.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:43.000000', '2023-09-15 15:37:43.000000', '1', '1', NULL, '960a7231db063d2b1a4ab4b5d0ec3226', 'F6-607_试剂柜-A_A3-2', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', 'EDE64096FEF94622F6CF92B0AE52D061');
INSERT INTO `batch_details` VALUES ('8F4FDECBDA3C345EC8AC7ABF096C3F74', '00EDD8EF50EA7DB6B96369C1809EAF1D', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:36.000000', 36, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:36.000000', '2023-09-15 15:37:36.000000', '1', '1', NULL, '3a48aba91fd5358bcb7ca67e40fb4551', 'F6-607_试剂柜-C_C1-3', NULL, '071127105DF37F344112A196C49B181D', NULL, NULL, '607', '1EF77E101905C29A93100E6BA35A2773');
INSERT INTO `batch_details` VALUES ('8FDBC87BEC37569383724AC4D71A302F', '0A513788505FD070D8B9A7E132DB8E6C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:53.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:54.000000', '2023-09-15 15:36:54.000000', '1', '1', NULL, '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('906EEAA0F6A5B61DD096C8A987765E08', '722B55DE93B3E8BA3F38C413AAAE8945', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:54.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:55.000000', '2023-09-15 15:36:55.000000', '1', '1', NULL, '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('9089ED1E66073C4E8FAC74B3175D8DD6', '0CEB170627996AE060CCA615193412BE', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:32.000000', 11, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:32.000000', '2023-09-15 15:38:32.000000', '1', '1', NULL, 'f59134f62115fee1d4e59dfe2e3f3ce5', 'F7-707_试剂柜-B_B2-1', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', 'D30DD8FEC93089785704E0FB42FC466A');
INSERT INTO `batch_details` VALUES ('9090EF2C0441082253E7EA2DE44B1AF7', '656C946CD5CA5588F4CEBDAA965E4290', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:09.000000', 4, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:09.000000', '2023-09-15 15:38:09.000000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '4282D2DE988C7CE836FA443EB412841F');
INSERT INTO `batch_details` VALUES ('90B92FE520333535E877B613FBE88710', '597B15709B485836035F62E9F719ED52', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:39.000000', 23, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:39.000000', '2023-09-15 15:37:39.000000', '1', '1', NULL, 'a092aff2d41d942ee4f36dc1e11622c5', 'F6-607_试剂柜-E_E1-3', NULL, 'FBD35A7AE7C4A2547D0B1051E86D989E', NULL, NULL, '607', '588BC7B5A52AF461386BC5762253B00E');
INSERT INTO `batch_details` VALUES ('91C412F2CBF06C0493314A19B6B30C23', '6A4C05DFAB237520F15015C5AA763F79', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:35.000000', 9, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:36.000000', '2023-09-15 15:38:36.000000', '1', '1', NULL, 'dc73321545d667bd25e1ff9bfb125654', 'F7-707_试剂柜-B_B2-4', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '0D7C99BEEC41CB8D2012CB6E4560BF39');
INSERT INTO `batch_details` VALUES ('9259C7E0DE71E9D90510FCA68D549E1B', '40D2A52F356DEF61C4F7DC48BC6DE646', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:42.000000', 5, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:43.000000', '2023-09-15 15:38:43.000000', '1', '1', NULL, '0042d9473d2e7f8dabd1716e8eaa93bc', 'F7-707_试剂柜-C_C3-1', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '52F08F042DECA50FE64D8F8B87BC270B');
INSERT INTO `batch_details` VALUES ('92662F65A5429B6E6EC22CDE9AD2B80F', '5B41825CFD49D77172E4CE8A278395EF', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:58.000000', 14, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:58.000000', '2023-09-15 15:38:58.000000', '1', '1', NULL, '2eabf5d1aeb6485633565f266eb2ef84', 'F7-707_试剂柜-D_D4-4', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', 'F89DB8292508360611CAC617977E0A93');
INSERT INTO `batch_details` VALUES ('927C6AB8FF1E398A6F939AF9AC726FBD', '25FB213F9D7B4DC89A2F9AF796D9467E', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:25.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:25.000000', '2023-09-15 15:38:25.000000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '852867AAD96AEF371D8DBF3E45FA89D1');
INSERT INTO `batch_details` VALUES ('92ABFE9AC6052E0A27F73BB00087C696', '857BC7CBB7E46761AB4B9B77F7154873', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:47.000000', 27, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:47.000000', '2023-09-15 15:37:47.000000', '1', '1', NULL, 'ca5ee10ccff7d82adba286f62fa3232e', 'F6-607_试剂柜-C_C1-2', NULL, '071127105DF37F344112A196C49B181D', NULL, NULL, '607', 'EBEE703546CB17B9B5AE3D5981D9BE32');
INSERT INTO `batch_details` VALUES ('9322F64BAEB82C5566E89FDFAEE74CEA', '835461ECEDB0A14E89267794858EEB79', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:31.000000', 11, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:31.000000', '2023-09-15 15:38:31.000000', '1', '1', NULL, '499b443a4bf686a9c7b3e40b5537f5b2', 'F7-707_试剂柜-B_B1-4', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', 'F0308CB6DD9054A23B94DCD9E138B5B1');
INSERT INTO `batch_details` VALUES ('93BED8C29BC17202561AC389838E6C55', 'B08C11D4D78B649C638A96DBBC6C9C09', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:23.000000', 8, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:23.000000', '2023-09-15 15:38:23.000000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'B2B49F921B31DA47E70C97E09EFC191A');
INSERT INTO `batch_details` VALUES ('940701AF1802AC7F793D13761B3DF512', 'A1F19614E1D8AE3F82F060E02A04D9F3', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:03.000000', 400, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:03.000000', '2023-09-15 15:38:03.000000', '1', '1', NULL, 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'CD8540340E41667014C3362AB4711E92');
INSERT INTO `batch_details` VALUES ('94829CD03FACB356DC0352A491DC4377', 'EECAEA34CD0AE29FC4DBEDF0AD9D5EBF', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:04.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:04.000000', '2023-09-15 15:37:04.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('955A2CD537AFF275BF3B2F28DE839189', 'A4D889488769E71FF9A0BC6150B2A8A2', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:35.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:35.000000', '2023-09-15 15:36:35.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('95E549B5FE1257498C11B5781F82C13D', 'A39786B8CF9BFC83A9EB550BFED0FB4B', '2023-4', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:58.000000', 9, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:58.000000', '2023-09-15 15:37:58.000000', '1', '1', NULL, '7842ab3dd51b57a1aa507e3a98f6c88f', 'F6-606_试剂柜-D_D2-4', NULL, 'B43CEB96B657F99AB1C5CA4410E9464E', NULL, NULL, '606', 'CF6829F660F9EB86EC10CE95E876BF98');
INSERT INTO `batch_details` VALUES ('9647BDA69254C2FE2D4769BE5C718209', 'DEAC7B03C22A18E3C5EA41037A0DADA1', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:29.000000', 80, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:29.000000', '2023-09-15 15:38:29.000000', '1', '1', NULL, '0ec70b255bfa9cfe1613d28ca2f3d4e1', 'F7-707_试剂柜-B_B1-2', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', 'F98B4A41F4F81A35CB39F8AB0EE86071');
INSERT INTO `batch_details` VALUES ('968EDBDB3F230CC0A492858BE5A2FCB8', '4FD1D54B04385209D8B14E9AE5A5F166', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:04.000000', 300, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:04.000000', '2023-09-15 15:38:04.000000', '1', '1', NULL, 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '3667C6B87460409CB2C5FF0D7D2D8B5F');
INSERT INTO `batch_details` VALUES ('968F95F0C6C3F4505AB417B21929FCA3', '35D6FD38C7F7AA0DA9B79EFC4D1B763E', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:51.000000', 7, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:51.000000', '2023-09-15 15:37:51.000000', '1', '1', NULL, 'b56344dd48b8c007ecb4399b3351d32d', 'F6-607_试剂柜-B_B1-1', NULL, '4DC6CF3C6B9A843F6C70335AA42A5594', NULL, NULL, '607', '1E4FC08C48F61A4A3AB985967AFB9555');
INSERT INTO `batch_details` VALUES ('97055A5BB956B364D1532FC8B7DF0428', '2578B70B30E6D751BF269D78A1ACAE0D', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:46.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:47.000000', '2023-09-15 15:36:47.000000', '1', '1', NULL, '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('9788D8FB677DDE6B1B68655361B6D8A3', '8FE211EE900AEE66381460038DD63D5C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:10.000000', 3, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:10.000000', '2023-09-15 15:39:10.000000', '1', '1', NULL, '1f529f67270eac072f2ac17b583a1754', 'F7-706_试剂柜-E_E1-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '95E07A5093D685F2DBBA2D3C76B69085');
INSERT INTO `batch_details` VALUES ('9793F9ECB8847B91EA3EABFA2CDEAAC6', '4C42921FFFF56CDADD941ADAEC9C22E9', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:48.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:48.000000', '2023-09-15 15:36:48.000000', '1', '1', NULL, '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('97EE5F38D6406AD5AC6547F40C505EBC', '97DC57CCEEEF510E893A99501265537C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:28.000000', 5, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:29.000000', '2023-09-15 15:37:29.000000', '1', '1', NULL, 'f819e3343e3eaf569137ddc3eda99ec5', 'F6-607_试剂柜-B_B1-3', NULL, '4DC6CF3C6B9A843F6C70335AA42A5594', NULL, NULL, '607', 'BEE83F44071AA07CF51C95C68FED262F');
INSERT INTO `batch_details` VALUES ('9888DCE13371C83B9536DF618DEDFF37', '06CA47681E0F393001A656B648E216BE', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:42.000000', 6, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:42.000000', '2023-09-15 15:37:42.000000', '1', '1', NULL, '0fdde33d569b9096f409bd8aa6b26529', 'F6-607_试剂柜-A_A2-2', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', 'E49C6C3FD2A1AD46B25531D2811220AC');
INSERT INTO `batch_details` VALUES ('989FC36FAC04333489F8F1AEB3004E3B', '3250ACBDE3F2976A20DEDB0FB9924A6D', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:27.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:27.000000', '2023-09-15 15:38:27.000000', '1', '1', NULL, '4ebdd8ebb8f820a73f6047675a895025', 'F7-707_试剂柜-A_A2-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '7E5C7A2B48C16B3EBD380B0DC88BA78D');
INSERT INTO `batch_details` VALUES ('98D22818E671AFCC39FF09DD14FE05C4', 'BFB526E05A37247A3F0EB60C6AF4FB8B', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:47.000000', 4, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:47.000000', '2023-09-15 15:37:47.000000', '1', '1', NULL, '4ce88754219a44f34dcc770458a60db1', 'F6-607_试剂柜-E_E1-2', NULL, 'FBD35A7AE7C4A2547D0B1051E86D989E', NULL, NULL, '607', 'F94E751149B0EB468A0DDA56CDF68627');
INSERT INTO `batch_details` VALUES ('9B19E0FFD3BB1646598C5FACD62CDC14', 'FD9D4D965F14B04B0A75B4EFCA3DAED8', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:54.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:54.000000', '2023-09-15 15:37:54.000000', '1', '1', NULL, 'bcac7c306cfd91945d8af38057cb1015', 'F6-606_试剂柜-C_C1-1', NULL, '808DC6B3A5BBD0680FEDF4DDC0F29D32', NULL, NULL, '606', '3C441C639411C0BC8C3325FF8F96D679');
INSERT INTO `batch_details` VALUES ('9B2004F0A010982AD25BEBF7892CE4B7', '4E22C7E2F5D81B8F5FF04D158E2F56FF', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:55.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:55.000000', '2023-09-15 15:36:55.000000', '1', '1', NULL, '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('9B51B55F98504D1B5B44811587E22DB9', '6B85F3067B5FC3CA0E1F9A44013141CE', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:36.000000', 4, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:36.000000', '2023-09-15 15:37:36.000000', '1', '1', NULL, '3d0337f9fef5d3b1cdecac71f7481d16', 'F6-607_试剂柜-C_C1-4', NULL, '071127105DF37F344112A196C49B181D', NULL, NULL, '607', 'EFDDD1804355AD2944A28AC0C1E0E17D');
INSERT INTO `batch_details` VALUES ('9B56DB099C9BB8273A5B726A62EB7EF8', '838C22D3F543F5B0EF5274B5AB4CF622', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:41.000000', 9, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:41.000000', '2023-09-15 15:38:41.000000', '1', '1', NULL, 'a2cd6c74361086626449c4a32ba6e390', 'F7-707_试剂柜-C_C1-4', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '73C906A6B87A188831DE319490036066');
INSERT INTO `batch_details` VALUES ('9B7B42A3A9D33F6FDCA7912091BCF87F', 'A437992028961610AAE7398F5450DE72', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:10.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:11.000000', '2023-09-15 15:37:11.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('9C709E85BE42237E6ABAD6BE57BE8F10', '010556662EB707D1C0991DBEB62E43E2', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:05.000000', 7, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:05.000000', '2023-09-15 15:39:05.000000', '1', '1', NULL, 'd44d1d51a3315a64708412a81c6e4e8d', 'F7-706_试剂柜-D_D1-2', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', '4B6461A8F13187F3E10DE484526B1BA8');
INSERT INTO `batch_details` VALUES ('9C93BEC0643B2AC437B1560B0A5B31FF', '27050D019C082F72F952FF93DFEA68D1', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:13.000000', 20, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:14.000000', '2023-09-15 15:38:14.000000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '710599140A863658BF912BB2A1720C3A');
INSERT INTO `batch_details` VALUES ('9CAE77D5023E6C9AA54F86B82B63DE9C', 'F9231E91FFCEE138CDDF23A412CED1FE', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:38.000000', 26, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:38.000000', '2023-09-15 15:37:38.000000', '1', '1', NULL, 'a31cd90097f3d32aeb6158a5f10d4e3a', 'F6-607_试剂柜-A_A2-4', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', '633004B55832F406997AA0928792C7DD');
INSERT INTO `batch_details` VALUES ('9CC6DD32B700F45A9F7DE54906087F71', 'D011816522D3A98A622E79D6E7333923', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:07.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:07.000000', '2023-09-15 15:37:07.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('9CD180D6947F2350787C2E8E73CEA4F5', '7B2B1A936DF75992AAD2AA717A813AC9', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:05.000000', 5, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:05.000000', '2023-09-15 15:39:05.000000', '1', '1', NULL, 'd44d1d51a3315a64708412a81c6e4e8d', 'F7-706_试剂柜-D_D1-2', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', '0F33165959113B0A66D947A65AF320F1');
INSERT INTO `batch_details` VALUES ('9D04AD302AEE59853024D24F4ADF4E6B', '5CDF5325B8E0CDA1DF7DD01EAA6A616E', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:22.000000', 20, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:23.000000', '2023-09-15 15:38:23.000000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'B3CBF8CFB612FDCCBE98991EA675528F');
INSERT INTO `batch_details` VALUES ('9D2A5CC7EB344C3B9B0008F5ADF3E8BC', '2AA35241919B778E8A1F70A77E768DD6', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:12.000000', 5, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:12.000000', '2023-09-15 15:38:12.000000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '3C4335256DF54CB76C9448EC1C731E9F');
INSERT INTO `batch_details` VALUES ('9D4F3C54A9219749B2D2417A45C996E8', 'E05F88B99F06F69FC2D392A764C0E5C2', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:41.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:41.000000', '2023-09-15 15:37:41.000000', '1', '1', NULL, '889305fba0ad8cff490b0930c992cb3f', 'F6-607_试剂柜-C_C2-2', NULL, '071127105DF37F344112A196C49B181D', NULL, NULL, '607', '09FCBAF8AB90BD9DAEFA7678D3C12FED');
INSERT INTO `batch_details` VALUES ('9D592B677DE669E4AD7937339F755E3A', '576054FEB07F8CE88D0EBD87F0FE3914', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:09.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:09.000000', '2023-09-15 15:37:09.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('9DDC8EFF7739A74BA7743F7ADAD96AAE', 'A8045DED979B71E6379E3FD18E194CF4', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:39.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:40.000000', '2023-09-15 15:36:40.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('9F44963CC66DE123C5D0E76514A3C293', '22C2C9462D1582273FE32C41D911E8F7', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:25.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:25.000000', '2023-09-15 15:39:25.000000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', '3146FFD90D980068338287BEFF834EAD');
INSERT INTO `batch_details` VALUES ('A09BDC7EDD8B177D57B93F6D69FF2A66', '33B57B76055366954053D797000DFDBC', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:11.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:11.000000', '2023-09-15 15:37:11.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('A159A1104C9F72E208D5F6C5776158E1', '34C4FB31723590021C4D55CA64CC41D7', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:45.000000', 10, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:46.000000', '2023-09-15 15:37:46.000000', '1', '1', NULL, 'a14f05cc811963d8c20a72695a2660da', 'F6-607_试剂柜-A_A2-3', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', '6BB913B997EDD01599C304EA2027D4E2');
INSERT INTO `batch_details` VALUES ('A198D1AA8BD5900A3CBC2067850BF6EC', '38A142545EFDF0955AD1B8BCFE667DCB', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:30.000000', 6, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:30.000000', '2023-09-15 15:37:30.000000', '1', '1', NULL, '67a37e41bd0b1c1759690b1ef8d61629', 'F6-607_试剂柜-C_C2-1', NULL, '071127105DF37F344112A196C49B181D', NULL, NULL, '607', '3B1D88E3B347A6DEA5D6528715E36FAE');
INSERT INTO `batch_details` VALUES ('A26F45B04F16DC8A92B2B3129D52A612', '4B9F3090A507EB9A783E15E0F5650E27', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:52.000000', 4, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:53.000000', '2023-09-15 15:37:53.000000', '1', '1', NULL, '1eafb736d3923ac750796003de9bd99e', 'F6-607_试剂柜-E_E1-1', NULL, 'FBD35A7AE7C4A2547D0B1051E86D989E', NULL, NULL, '607', '27399C586AE4AB136732BDFB5305A6F5');
INSERT INTO `batch_details` VALUES ('A2EE33C233B62C223BEBBFD865FE21D6', 'AE75567FB166C603F560FA6CDF6F9EE2', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:47.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:47.000000', '2023-09-15 15:36:47.000000', '1', '1', NULL, '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('A30AFFA3F59D7A8AAC3938D90495828E', '9386FB92BB3C63CA9EC9033083C376DD', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:01.000000', 9, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:01.000000', '2023-09-15 15:39:01.000000', '1', '1', NULL, 'd0512a2dbc87f32acaf8b771a13e5738', 'F7-706_试剂柜-B_B2-2', NULL, 'B84152270A4A03147E7BA602B85DC2B9', NULL, NULL, '706', '8DA3D84DDB09BF842A07E422A524737A');
INSERT INTO `batch_details` VALUES ('A351746D1542486A3C4DF4EAE2A7A16D', '224350D201900AA9A7F38EC304C03E1E', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:47.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:47.000000', '2023-09-15 15:36:47.000000', '1', '1', NULL, '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('A6437B9E568E0D0BF0A909F591D6AA5E', '1F144A31D5D9D14524FABBF757198557', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:24.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:24.000000', '2023-09-15 15:37:24.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('A6BE137BB45309D22065C26F87CD9ED8', 'D13DA2915F184849E5E3B713E85F8904', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:14.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:14.000000', '2023-09-15 15:37:14.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('A79C05DD24FC4D6EAE696D52DC4CC05A', '0E173A20EFDDC3EF4672986859FA33A7', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:23.000000', 6, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:23.000000', '2023-09-15 15:38:23.000000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '1800C040860D3B8B3E92090645EB2E31');
INSERT INTO `batch_details` VALUES ('A7AE454329EAA8E9625681810C93CF1D', 'B2F332F83E854E5E779CC05B7FA0ABAE', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:49.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:50.000000', '2023-09-15 15:36:50.000000', '1', '1', NULL, '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('A7B5AEB5A05D7A23BDA2AAAAE8BC9EB7', '7F3DC31F69E207FF347C270F8F5318B2', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:36.000000', 24, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:37.000000', '2023-09-15 15:37:37.000000', '1', '1', NULL, 'c29a97fc2cbf813f6481245566d70748', 'F6-607_试剂柜-D_D2-4', NULL, '25FE219A2C9127D325E44EF052DBC0AF', NULL, NULL, '607', '7DEB18A13CC0E294F221E056B9C024E2');
INSERT INTO `batch_details` VALUES ('A8594C72723BA117498D97BABABA6997', '6B41EB3A106E3A4792B76C53113B6B1C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:39.000000', 19, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:39.000000', '2023-09-15 15:37:39.000000', '1', '1', NULL, '3a5c635b639c72d604a5a62471e39633', 'F6-607_试剂柜-D_D3-5', NULL, '25FE219A2C9127D325E44EF052DBC0AF', NULL, NULL, '607', '006E24F145DACBC51BF5F8E6FC3FC9EA');
INSERT INTO `batch_details` VALUES ('A9CC300E578E33B4B7CBF2AC85CD5DB5', '2CCC6FA2E1C9EDA1748CAB1A27FFF200', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:05.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:05.000000', '2023-09-15 15:37:05.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('AA894C099981F3364095643BC3EEA957', '4019FC7F392C3338D4F31D594DD0099F', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:49.000000', 20, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:49.000000', '2023-09-15 15:38:49.000000', '1', '1', NULL, 'c64848f3e1c3140fe26e131b3505750f', 'F7-707_试剂柜-D_D1-4', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '4CDD50DB91D95996F7E31E68803F482E');
INSERT INTO `batch_details` VALUES ('AAC4930299372408EE9E6B4D2A2804AD', 'E738A950908C029C9A9BD911AC9E3A07', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:19.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:19.000000', '2023-09-15 15:38:19.000000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'B215A7464FF3F577ACCAD3DA4C0E9990');
INSERT INTO `batch_details` VALUES ('AAC9BBF1E2E42B5E9CC51D14C56873AA', '5D8669316D7FDE53872D93A28F3FD5BB', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:48.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:48.000000', '2023-09-15 15:36:48.000000', '1', '1', NULL, '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('AAF51DBA8DBD34D95945A04F646894AE', '4ECD81211AC12EE15BABB2F94FB66A17', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:20.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:20.000000', '2023-09-15 15:37:20.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('AB42F07F72E3641BF16166E5AB1669A5', '6E9A167E862A25E29B373B2B4552F3EC', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:56.000000', 39, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:56.000000', '2023-09-15 15:38:56.000000', '1', '1', NULL, '9c89e7eba1b9f07fadccee3cb8ca1b48', 'F7-707_试剂柜-D_D3-3', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '7FCA179B7E36D24B1C9A0A641D7F5B49');
INSERT INTO `batch_details` VALUES ('AB6115A1CC34D55AFB08BCD1A4C3C18B', '2CF5EEA18D1E54CE6AD6A03AAF1F6F6C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:45.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:45.000000', '2023-09-15 15:36:45.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('AC6E50D1CC0D9FE081515D30F8C98C11', '75D2599291C9300EC669944A4500AB1B', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:53.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:53.000000', '2023-09-15 15:37:53.000000', '1', '1', NULL, '1eafb736d3923ac750796003de9bd99e', 'F6-607_试剂柜-E_E1-1', NULL, 'FBD35A7AE7C4A2547D0B1051E86D989E', NULL, NULL, '607', '7BD2778D535877A087D267587133798B');
INSERT INTO `batch_details` VALUES ('AD76DF11BE637F4B9B35F5C3ECB5BD59', '120DEB8540A3B273C82732C7F027844F', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:46.000000', 3, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:46.000000', '2023-09-15 15:37:46.000000', '1', '1', NULL, '7c8662cd73958e2f15c2794c159ff265', 'F6-607_试剂柜-A_A1-1', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', 'D09D3DED39A4860B45DD54EC26A2ED5F');
INSERT INTO `batch_details` VALUES ('AD9649DE9F91205590A024878C08B7F8', 'F65CC8918F502284B11DD51F57831924', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:31.000000', 5, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:31.000000', '2023-09-15 15:38:31.000000', '1', '1', NULL, '499b443a4bf686a9c7b3e40b5537f5b2', 'F7-707_试剂柜-B_B1-4', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '55EFE00D11F5D46B2CDE2A369E1DADE0');
INSERT INTO `batch_details` VALUES ('ADABFA6AA857FC50A4992BE8DE771781', '756EE79EDF72276220B1E57F3C4E4855', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:33.000000', 60, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:33.000000', '2023-09-15 15:37:33.000000', '1', '1', NULL, '012afe0bd07a33e6aa30930a438a61ab', 'F6-607_试剂柜-B_B2-3', NULL, '4DC6CF3C6B9A843F6C70335AA42A5594', NULL, NULL, '607', '2A6DE8B252FB648CF564358849E994F6');
INSERT INTO `batch_details` VALUES ('AE5D2B20AD35F15BA3C3EEF056F2864F', 'C6FBFDB7F1B302DDCE91B72E904DCC8A', '2023-3', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:07.000000', 19, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:08.000000', '2023-09-15 15:39:08.000000', '1', '1', NULL, '7f087c99e409ccf451b4d97a30c8f4b1', 'F7-706_试剂柜-D_D2-3', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', '649629A9207874392E6DA4AFC8EDB58F');
INSERT INTO `batch_details` VALUES ('AF8A0C0504451376E9481590EF21AB7A', '7D4BADDA1705F895935C90B544BACFA8', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:59.000000', 4, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:59.000000', '2023-09-15 15:37:59.000000', '1', '1', NULL, '3a90f6d7d6f37dbd6bccd9fd9453f4f1', 'F6-606_试剂柜-B_B1-4', NULL, '75A3A892DEFDA7AF1380EDE3659114B3', NULL, NULL, '606', 'C77F5B1D99906A7C49B892DBD908121D');
INSERT INTO `batch_details` VALUES ('B083325B9E081D3FF007B5E0E0EC053F', '9BD77E240B4652219363E690D34379AF', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:42.000000', 10, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:42.000000', '2023-09-15 15:38:42.000000', '1', '1', NULL, 'cc1e723a600df519bb30716aed1a65b4', 'F7-707_试剂柜-C_C2-3', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '6597F74E770C71650E289F2DD4B3769E');
INSERT INTO `batch_details` VALUES ('B08ACD71C64E6F0F235BA7CD687BE9C8', 'F24A56994255FDDCD183E2769CAB73E9', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:24.000000', 9, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:25.000000', '2023-09-15 15:38:25.000000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '9DA9311AEEB4568F16CFFCC4CD8E3279');
INSERT INTO `batch_details` VALUES ('B0A7972E20CD2EB47897D43ED7E65AA5', 'A39786B8CF9BFC83A9EB550BFED0FB4B', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:57.000000', 5, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:58.000000', '2023-09-15 15:37:58.000000', '1', '1', NULL, 'ab0937a088d03f30865d0257aab984e6', 'F6-606_试剂柜-C_C2-4', NULL, '808DC6B3A5BBD0680FEDF4DDC0F29D32', NULL, NULL, '606', 'CF6829F660F9EB86EC10CE95E876BF98');
INSERT INTO `batch_details` VALUES ('B19347E024C90E82F40CA9CC354EA093', 'A9695BA6CE1D37BE98AAC574D1CA1062', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:15.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:16.000000', '2023-09-15 15:39:16.000000', '1', '1', NULL, 'e12c1ffbe42606dd02973fe424f420e3', 'F7-706_试剂柜-E_E2-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '68B26E7C78DF08A2EFDA67703504E639');
INSERT INTO `batch_details` VALUES ('B20ABF96732F7352C3DB7816BF5B678F', '2CF35E1CB909FC0E556B2ACABAAA42C2', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:34.000000', 5, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:34.000000', '2023-09-15 15:38:34.000000', '1', '1', NULL, '89ebc6fe97fc3ab2dec49c03d225e4ab', 'F7-707_试剂柜-B_B2-2', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', 'ED267D35186402FCEBE132FFAD42CF10');
INSERT INTO `batch_details` VALUES ('B238F86E3EE9821160A5040EC1FE0CE4', '2622670659B5515602B5848E0B06C1A2', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:55.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:56.000000', '2023-09-15 15:36:56.000000', '1', '1', NULL, '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('B31BDE44F7FFB8ED8A999AC023AF2A4C', 'EFB0FFD969854B856C534A3C157999FD', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:56.000000', 6, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:56.000000', '2023-09-15 15:38:56.000000', '1', '1', NULL, '2bbf92ebb86852426fbdc9f73c9f6b73', 'F7-707_试剂柜-D_D4-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', 'EF95247918DEC6FD280D3925C6D7B09E');
INSERT INTO `batch_details` VALUES ('B42A2AF9A18E1CB62AC95DD7464106BB', 'D382BFFA1E9BF5141731215ACB55CB75', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:15.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:15.000000', '2023-09-15 15:39:15.000000', '1', '1', NULL, 'e12c1ffbe42606dd02973fe424f420e3', 'F7-706_试剂柜-E_E2-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '39AC2C5924DDDBA4B532689DD1DAE12F');
INSERT INTO `batch_details` VALUES ('B4ADB2E0D66A5BBB4694D917089E8310', '860ABADF72A3F4F59AF72CB93480339B', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:00.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:01.000000', '2023-09-15 15:38:01.000000', '1', '1', NULL, '6af0cc05f3ee72b1db48f4307ec15e8b', 'F6-606_试剂柜-C_C1-2', NULL, '808DC6B3A5BBD0680FEDF4DDC0F29D32', NULL, NULL, '606', '11A8D63ED87334127B7CB30764034A12');
INSERT INTO `batch_details` VALUES ('B582F00FF1D0D339993658E315B77DE6', '2E878BA76C7AC0A4A0FE3786C26D478E', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:13.000000', 3, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:13.000000', '2023-09-15 15:39:13.000000', '1', '1', NULL, 'e12c1ffbe42606dd02973fe424f420e3', 'F7-706_试剂柜-E_E2-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '8BB5D445FE6CE87230C1D95D7895CCB1');
INSERT INTO `batch_details` VALUES ('B5BD0769A4A22F1BFE1C9B4E377F7BA1', '3F33D4DEC857271205C3A0CCEDA9177B', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:22.000000', 200, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:22.000000', '2023-09-15 15:38:22.000000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'D4A1D9B78001B9FEE79E8D5A6A1E26A3');
INSERT INTO `batch_details` VALUES ('B5DAD278912AE9AB4A501DA611C99541', 'A2451BC6D2A5C7577C1A0120CA407988', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:58.000000', 28, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:58.000000', '2023-09-15 15:38:58.000000', '1', '1', NULL, '2ce4d0ac4a04ff5820c49367deeb6bed', 'F7-706_试剂柜-A_A1-3', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', 'E04710DFFA0C16655C91C7EFB7364DC2');
INSERT INTO `batch_details` VALUES ('B6D4DC336384B164A6C11F2B932BCC72', '47C21E8887F896A37745FE649CF2D9A5', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:36.000000', 19, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:36.000000', '2023-09-15 15:38:36.000000', '1', '1', NULL, '3854518756e7994ee5876d7e9e861cdf', 'F7-707_试剂柜-B_B3-1', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '07133EBB83C84524BB156713E403A965');
INSERT INTO `batch_details` VALUES ('B756BC10DEC0CE62C13D5CFDB2D7D2D6', '5EF0AD44561D6A049618F3A5E856BB5F', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:15.000000', 18, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:15.000000', '2023-09-15 15:38:15.000000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '7D03A6ED5D33B993DB46DCB0B3BCAA31');
INSERT INTO `batch_details` VALUES ('B76D3CEF93BC7357AD28588D3C61EC7E', '25754236886AB26BF41D47EA57DB71A5', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:08.000000', 4, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:09.000000', '2023-09-15 15:39:09.000000', '1', '1', NULL, '1f529f67270eac072f2ac17b583a1754', 'F7-706_试剂柜-E_E1-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '4C85AA390E5BF84D6B9C12A20917DDE0');
INSERT INTO `batch_details` VALUES ('B794C4A5519A4806A1C035051FC496CC', '1E91E1687936D98EA8C9EAAF880D456C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:00.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:01.000000', '2023-09-15 15:37:01.000000', '1', '1', NULL, '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('B8895EDA9EB7673E1F5AF16841C9362A', 'B7B0B51AFFE1483DA936E232E4388982', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:25.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:25.000000', '2023-09-15 15:39:25.000000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', '38926E03B8BE75E51A48EC41F7A0DABE');
INSERT INTO `batch_details` VALUES ('B91B71DBFE7325F1BAE7502CEB67593A', '7BDD8E2E752818808273926D9780E24E', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:02.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:02.000000', '2023-09-15 15:37:02.000000', '1', '1', NULL, '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('B9445522EF533C8895CEA23597DDD3D4', '07C406C1BBC2E5B87537CA8ACDC2201D', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:10.000000', 3, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:10.000000', '2023-09-15 15:39:10.000000', '1', '1', NULL, '1f529f67270eac072f2ac17b583a1754', 'F7-706_试剂柜-E_E1-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'E2ABA99C6405468D90223C9542BBDE25');
INSERT INTO `batch_details` VALUES ('B97E4EFB9A175265BEDEEEC265AAB484', '9F6383ED720AA7DA25F62ABD06A1E14D', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:44.000000', 10, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:45.000000', '2023-09-15 15:37:45.000000', '1', '1', NULL, '24b6127057ff18e72393a482b1801927', 'F6-607_试剂柜-A_A3-3', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', '939A965F723C0D05812EFC4F29B75FCB');
INSERT INTO `batch_details` VALUES ('B9D4FD727BBCDF7A978D0F0DC83FCCAE', 'CEC2EBFC1698619618C867F97A7F6F58', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:57.000000', 75, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:57.000000', '2023-09-15 15:38:57.000000', '1', '1', NULL, '27ed91eaeea8379e10a23a0d80bb0c6b', 'F7-707_试剂柜-D_D4-3', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '99E66DDB8142951F0E87424D23B7B028');
INSERT INTO `batch_details` VALUES ('B9DB2CC13DBB3E0B70B35C624149ECD6', '2F2D3560886A5A8D24876076469C6818', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:43.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:43.000000', '2023-09-15 15:36:43.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('B9E03BB358BFAED238E3386D316C191C', '5BE8C0A4EEF6DD817E70DA685B155A2E', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:22.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:22.000000', '2023-09-15 15:39:22.000000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', 'D355127F7D10C0BC1501097A95A9C5CF');
INSERT INTO `batch_details` VALUES ('BA769CDB6C76851E6477D2799D5095B8', '8273D597B88F9251E6E84E0E3557D39D', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:17.000000', 21, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:17.000000', '2023-09-15 15:38:17.000000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '5C600047B12B5D00638E5243B5F1DACD');
INSERT INTO `batch_details` VALUES ('BB04EA1A017D1E44917BE7F4C365B90F', '3DBCEE7110D26F3CE18472383605A3F5', '2023-2', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:38.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:38.000000', '2023-09-15 15:38:38.000000', '1', '1', NULL, 'c9dfab1c973b587eebdc60b57747eafe', 'F7-707_试剂柜-B_B3-4', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', 'C782F4BF8F3B41C7F54ABB4C96D9D964');
INSERT INTO `batch_details` VALUES ('BB12663AADB43E69B950AB6C0F9C6416', '8D07F3BAA2A87C062A2CAE739B0DE2D8', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:57.000000', 4, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:57.000000', '2023-09-15 15:37:57.000000', '1', '1', NULL, 'ab0937a088d03f30865d0257aab984e6', 'F6-606_试剂柜-C_C2-4', NULL, '808DC6B3A5BBD0680FEDF4DDC0F29D32', NULL, NULL, '606', '59E841CEF8DA1CD8A4D3074CE53E88CE');
INSERT INTO `batch_details` VALUES ('BC5992ECA06F4813D5B9A5781B5BF7F4', '71B0E9E4112A9FA7A04E24CB8F92C59F', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:04.000000', 100, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:05.000000', '2023-09-15 15:38:05.000000', '1', '1', NULL, 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '4FDC854C644BF0D2837DA37AA20B4559');
INSERT INTO `batch_details` VALUES ('BC5D994F96320F901B8B041774942552', 'E1EEF9CD8FEA440BAC7B0AFBD1CE4EEA', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:51.000000', 5, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:51.000000', '2023-09-15 15:38:51.000000', '1', '1', NULL, '1c64707b7fa93765aa78f48b99e8f1c3', 'F7-707_试剂柜-D_D2-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '25569BBEC58E288BC89233D39A5EE15B');
INSERT INTO `batch_details` VALUES ('BE6DF148A650E836D3E3EBEEC9A6A141', 'A22BD9D574C03AF005E240D67A9827D5', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:53.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:53.000000', '2023-09-15 15:36:53.000000', '1', '1', NULL, '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('BEC53AD48AD0B45162C3E847AC82DACD', 'D39B500B87FFE6F1EAEB19BCF6C3AF35', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:00.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:00.000000', '2023-09-15 15:39:00.000000', '1', '1', NULL, 'c09176dcda4c53e3a73bed226c4d6b08', 'F7-706_试剂柜-B_B1-1', NULL, 'B84152270A4A03147E7BA602B85DC2B9', NULL, NULL, '706', 'E4ED356F873BDD8D7A1D5D75A39E3CAE');
INSERT INTO `batch_details` VALUES ('BEF2AB9818B9C947BCEC2E6ADAF6C54F', 'ED919F9140059A2FC498E26CA94A710C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:50.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:50.000000', '2023-09-15 15:36:50.000000', '1', '1', NULL, '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('BF64C2C682518D2FC0914A080E071664', '054DE062F40F401B4D6B36AE1CC69C8E', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:08.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:08.000000', '2023-09-15 15:37:08.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('BF84FD5D16C8898D222D30E26CCB7ABE', '3D8EA2ABDAD254B90CE559C3410BB0A2', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:13.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:13.000000', '2023-09-15 15:37:13.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('BF92BD013308C0D1C9E6E930A15F2E43', '34D32AFFBA8D7516CBE2B10EC24CFC1C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:28.000000', 37, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:28.000000', '2023-09-15 15:37:28.000000', '1', '1', NULL, '0c4b08ffb5b5bd7afc19a3680cf333e9', 'F6-607_试剂柜-A_A2-1', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', '14C5C13CE7AB03C70BA4AB4FC87A4F20');
INSERT INTO `batch_details` VALUES ('C00DCF2FE99878BB4BAAB9EB217A4334', '523D63CA0F85E9908B6FEC536901D911', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:34.000000', 9, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:34.000000', '2023-09-15 15:37:34.000000', '1', '1', NULL, 'f20914306a950ee62b90c719eb718242', 'F6-607_试剂柜-D_D1-3', NULL, '25FE219A2C9127D325E44EF052DBC0AF', NULL, NULL, '607', 'C3D17C018D2A116667305030D56B9E98');
INSERT INTO `batch_details` VALUES ('C08BC6378FD49E4E3EE9C2CD4801B901', '24C9BDECBC82D660991411DB70C9E30A', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:16.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:16.000000', '2023-09-15 15:39:16.000000', '1', '1', NULL, 'e12c1ffbe42606dd02973fe424f420e3', 'F7-706_试剂柜-E_E2-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '593467D2E1A8702A0D8C9BD187F86309');
INSERT INTO `batch_details` VALUES ('C0BAF35581677606FFE1D39F727A0B1B', 'F7D25A39F6EBB1CE4374B35E7AEE8369', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:02.000000', 4, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:02.000000', '2023-09-15 15:38:02.000000', '1', '1', NULL, 'c4dcd44a5edd7545b6c7b4a83398b7f4', 'F6-606_试剂柜-G_G1-4', NULL, '52A2B543BB66F60E1543EB0AAB7AE3B8', NULL, NULL, '606', '9BFC107D286FA64DC1761EE8D418B936');
INSERT INTO `batch_details` VALUES ('C176496BF0E0332E9AAE1081B085EC02', 'E22C0150204582F199BB2701223190C4', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:07.000000', 1300, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:07.000000', '2023-09-15 15:38:07.000000', '1', '1', NULL, '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'B3AF3A96C84EBE55C35541C5138C97C6');
INSERT INTO `batch_details` VALUES ('C22F0AD03AAF13F44B91F76194E93B6B', 'F99412DE82DAFE6070FAA3B965799080', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:05.000000', 170, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:05.000000', '2023-09-15 15:38:05.000000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'B160993DC7E053598F6DD166DE2FD71C');
INSERT INTO `batch_details` VALUES ('C23A4F8B3108B2B55E246028A0B7DDC0', 'DFAEE3D5E8BBF8DCD844733D8666CE60', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:58.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:58.000000', '2023-09-15 15:36:58.000000', '1', '1', NULL, '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('C27D9AEBF8A97F7D12587101511C4032', '8EF85E262BCF85BA9904E806D3D1580A', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:17.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:17.000000', '2023-09-15 15:37:17.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('C2CB75945842CEF1E7346D054C476042', '7A0CDD26B0C970757C0F8CCA6D215610', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:37.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:37.000000', '2023-09-15 15:36:37.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('C2F62AF7A4FF9FDD59743EB8180DCA2D', '9F783E2F90CB43274C053AD6D86A65DB', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:49.000000', 7, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:49.000000', '2023-09-15 15:37:49.000000', '1', '1', NULL, 'a14f05cc811963d8c20a72695a2660da', 'F6-607_试剂柜-A_A2-3', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', 'C3D89395A2561CCFDE1A4F925EA6AC54');
INSERT INTO `batch_details` VALUES ('C33079E94925C6F22F4CA90F74472367', '20DE58DDB05816EE0ACBD62B5B792C0A', '2023-2', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:55.000000', 8, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:55.000000', '2023-09-15 15:37:55.000000', '1', '1', NULL, '565ff18b1fced8432f1ef052fb696eb9', 'F6-606_试剂柜-E_E1-4', NULL, '8A66A690DAA7E5B2A3DDF3E26757C20B', NULL, NULL, '606', '1CFBDC2D107FB0CFE88676F782F3B410');
INSERT INTO `batch_details` VALUES ('C42C2A4BBC67622C91A41D33B9A8C877', '18B1F37A9368A0DFC5BC3A31CB3B5A13', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:43.000000', 20, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:44.000000', '2023-09-15 15:37:44.000000', '1', '1', NULL, '1b2f68d2795f4ec89b152623375582e5', 'F6-607_试剂柜-B_B2-2', NULL, '4DC6CF3C6B9A843F6C70335AA42A5594', NULL, NULL, '607', '20120CE001F85EA8280E5DE5DC7E50FF');
INSERT INTO `batch_details` VALUES ('C48678D98A5220D59184100CE042EFAA', 'C10DE23EE3C005277949A7C4A3B14B02', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:34.000000', 11, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:34.000000', '2023-09-15 15:37:34.000000', '1', '1', NULL, '7c8662cd73958e2f15c2794c159ff265', 'F6-607_试剂柜-A_A1-1', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', 'D30D06C27D94197F97AD5B171EE809BF');
INSERT INTO `batch_details` VALUES ('C4B868797D558CC40B80DAAE0F95CC1D', '9C1E74C5522ABD0A3FD409CD1C585647', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:03.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:03.000000', '2023-09-15 15:39:03.000000', '1', '1', NULL, '9eab0c91375efa5608f8248a29d697f5', 'F7-706_试剂柜-C_C1-4', NULL, 'EA39B525D5DC678C4CA7F95C4CAC7F53', NULL, NULL, '706', 'C94B44D83A58C7F377CCE6AFF9DB2E12');
INSERT INTO `batch_details` VALUES ('C4C5C35A39C3C24B1D514867C5C37926', '65805713798AE7A5E30E14E0C0A6BB5A', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:52.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:53.000000', '2023-09-15 15:36:53.000000', '1', '1', NULL, '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('C4C6331C74E75F210ABBD3B77B5624E0', 'FF5F510E5AFF1EB34F8E14F8655EE9A4', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:56.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:57.000000', '2023-09-15 15:36:57.000000', '1', '1', NULL, '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('C505796923BE42704EA2A53A91CAF6D1', '100BC0E10D909A4EE26ADC295CDAA3F3', '2023-2', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:17.000000', 9, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:17.000000', '2023-09-15 15:39:17.000000', '1', '1', NULL, '0bb34e9b041dff3f06129c15bd49f8e3', 'F7-706_试剂柜-E_E2-3', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '2E6D01664872DF18780070A7F8C847B4');
INSERT INTO `batch_details` VALUES ('C5A80DE0DF141E9E338E3B1A4825D8EF', 'EDF2F1B79951C4542FE37E5D797A581B', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:04.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:05.000000', '2023-09-15 15:37:05.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('C5D5BA87F3996B49F84C2FFB07D6F009', '9373E24C2FA8D2129C24D65A3A3CC333', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:37.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:38.000000', '2023-09-15 15:36:38.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('C68780FBE253109D041D7B1786AF6502', 'F1AD610769AA51694C0D50B2B3F2BC02', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:47.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:47.000000', '2023-09-15 15:37:47.000000', '1', '1', NULL, 'be06c2ed607241a0e50b7937a121b7ad', 'F6-607_试剂柜-B_B1-2', NULL, '4DC6CF3C6B9A843F6C70335AA42A5594', NULL, NULL, '607', 'AF0138A9E044023736EFEBE8DB56F44A');
INSERT INTO `batch_details` VALUES ('C6A86E2E162FC9F51DD6364E257C8DEF', 'A52AEEEF84E0FC4AA05132E209B15F11', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:18.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:19.000000', '2023-09-15 15:37:19.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('C6F1B812E2576D3462C01C26EE499C1D', 'FE67B122F3324152D193E45D28244C49', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:41.000000', 19, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:41.000000', '2023-09-15 15:38:41.000000', '1', '1', NULL, '489a662cbd07e8489a84b775a3a27526', 'F7-707_试剂柜-C_C2-1', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '6B6ED7CEF28C4279BF07269D4C05EF47');
INSERT INTO `batch_details` VALUES ('C755BE39DD7D93EC5E0794B315B77CB1', 'F2562DD28577C062B860E0B2BFA5CF29', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:45.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:46.000000', '2023-09-15 15:36:46.000000', '1', '1', NULL, '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('C7AB80482156559999C059888E2DE390', '48B0BC1ACFC78A62600254D32554042C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:15.000000', 17, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:15.000000', '2023-09-15 15:38:15.000000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '67E94A36553166D6233DBE72A062167F');
INSERT INTO `batch_details` VALUES ('C7ED4BE4DD3649201916BEDC2532648F', 'C815113B15BE4B5E6E975212FCD38736', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:19.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:19.000000', '2023-09-15 15:39:19.000000', '1', '1', NULL, '75bb1e5693ddf7d3f83365fc7ce874a2', 'F7-706_试剂柜-E_E3-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '419E4C9DE793D45D037EF12C7FB4FC9E');
INSERT INTO `batch_details` VALUES ('C7F51253B39B8A3B869BA32FD96E18E1', '2569B5A11C287F963CE7A180A61F278B', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:47.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:48.000000', '2023-09-15 15:36:48.000000', '1', '1', NULL, '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('C8D3E3B3DB9703C61A744361B494037C', '539DF64EAA47A5652E6BD7E93B83C5D4', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:47.000000', 5, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:47.000000', '2023-09-15 15:38:47.000000', '1', '1', NULL, '4e49d8c191425016848c7023a6790c06', 'F7-707_试剂柜-D_D1-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '2C7440DC4A9EC5BD7430BD06083B3C31');
INSERT INTO `batch_details` VALUES ('C90AB072F8E38DCC0C0A226C0036AB3E', '995A57AE8F74DBB86CE6AA2B94545A56', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:31.000000', 43, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:31.000000', '2023-09-15 15:37:31.000000', '1', '1', NULL, '958df8de51ac3d2fbe089749aaa330f7', 'F6-607_试剂柜-A_A3-1', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', '4F3B93D881BBC49BD6109964FBC00C59');
INSERT INTO `batch_details` VALUES ('C946514F8DC375AF0C15CD87860CAE3F', '66AEE1EAF9D6C51B9FD087883FF15F85', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:03.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:04.000000', '2023-09-15 15:37:04.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('C9A9C00A808D4EB6365CFD16B09280DD', 'F2EB94D3BF5A0865CD68166C5665E7B7', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:03.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:03.000000', '2023-09-15 15:39:03.000000', '1', '1', NULL, '9eab0c91375efa5608f8248a29d697f5', 'F7-706_试剂柜-C_C1-4', NULL, 'EA39B525D5DC678C4CA7F95C4CAC7F53', NULL, NULL, '706', '9941D5AF2047170F36DBDE5D717EE2DC');
INSERT INTO `batch_details` VALUES ('CA3A6032B6273A313229D7BC7F9CCCB0', '7707F60D91E94F7CD01EBC7411119DA7', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:11.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:11.000000', '2023-09-15 15:38:11.000000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '870BBF135564DF7CE5414B8A98F98880');
INSERT INTO `batch_details` VALUES ('CA8BEA42CD5BD6CD017B4A34DB74A724', '7202451BAFA0321EF8F016E7D4C80EB1', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:02.000000', 6, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:02.000000', '2023-09-15 15:38:02.000000', '1', '1', NULL, 'c4dcd44a5edd7545b6c7b4a83398b7f4', 'F6-606_试剂柜-G_G1-4', NULL, '52A2B543BB66F60E1543EB0AAB7AE3B8', NULL, NULL, '606', '0A1E987A796B70627E3804233C0DDCA7');
INSERT INTO `batch_details` VALUES ('CB3C3E9E63F2A75D4E5FB16D030F7C43', 'C14039E845836C9CAA3AED1135370848', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:18.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:18.000000', '2023-09-15 15:37:18.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('CB4F53D83A907E5E6E12BFF1D364716A', '5D13A4AEB90A8884E4C115508447E5E3', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:59.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:59.000000', '2023-09-15 15:36:59.000000', '1', '1', NULL, '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('CBCD1744A14133C2FDB51E4607FB846E', '19DD1921C66B946E02DD5F63B430CAE7', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:07.000000', 1300, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:08.000000', '2023-09-15 15:38:08.000000', '1', '1', NULL, 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'DAFD2F0291D4EB05728DC9CF69741938');
INSERT INTO `batch_details` VALUES ('CBDE0C8B7E51884EA3E0791EB6113F2A', '6F200A373EC0700FE581B6C041B364E9', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:44.000000', 9, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:44.000000', '2023-09-15 15:38:44.000000', '1', '1', NULL, '0042d9473d2e7f8dabd1716e8eaa93bc', 'F7-707_试剂柜-C_C3-1', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '2988FD6BF804057FE4D2AEF9B552C8A2');
INSERT INTO `batch_details` VALUES ('CC3B853F02BF2B45FCC62A6309AC3F19', 'A0D5D9AA6B4458A15C3F429CC063E2C3', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:31.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:31.000000', '2023-09-15 15:36:31.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('CD347D929DC59F525DE26C7BDF58DAE9', '7DB749FABB52FA91095C6591E641B579', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:36.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:37.000000', '2023-09-15 15:36:37.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('CDC7289CD04A6B24CBBBAC544AAFB2BC', '075D776928211DF9BEE8C57E8B6FE80A', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:43.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:43.000000', '2023-09-15 15:37:43.000000', '1', '1', NULL, '960a7231db063d2b1a4ab4b5d0ec3226', 'F6-607_试剂柜-A_A3-2', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', 'A079C905F5D7D809A7257ABD2ECC637F');
INSERT INTO `batch_details` VALUES ('CFA39649E05C8CCF4A0D4B00ADDC525F', 'D6BE226C9C0CC15FF91E9C6E43ADC3BA', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:42.000000', 6, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:42.000000', '2023-09-15 15:37:42.000000', '1', '1', NULL, '24b6127057ff18e72393a482b1801927', 'F6-607_试剂柜-A_A3-3', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', 'B4C12437B5CD9047790351C2D71D71B9');
INSERT INTO `batch_details` VALUES ('CFC14E18548F8DF3344A8F0ECFC006EA', '7262F60B5882F42EFE158D3332BEE2C8', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:38.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:38.000000', '2023-09-15 15:36:38.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('CFC819D0F2B9F70CB142369C3CA030C4', '7E9BD2FEE353FD6C941B2DEB55606CAD', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:45.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:45.000000', '2023-09-15 15:36:45.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('D0C7131ACAD33C99A10405E34E2787F0', '9E540AE1D26F36CFB5D9789C78D18467', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:35.000000', 8, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:35.000000', '2023-09-15 15:38:35.000000', '1', '1', NULL, '9fc5fef81344f22fdf7f7a038d7c52fa', 'F7-707_试剂柜-B_B2-3', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '566BF1332A5D6EBE524989E8E9F083FE');
INSERT INTO `batch_details` VALUES ('D12C768D35D0F4CDF0529A6A4A754B97', '57A9316EB4374100D445CD025EB2320E', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:52.000000', 8, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:52.000000', '2023-09-15 15:38:52.000000', '1', '1', NULL, '1c64707b7fa93765aa78f48b99e8f1c3', 'F7-707_试剂柜-D_D2-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '527B400C310EA5F543888389D4924E76');
INSERT INTO `batch_details` VALUES ('D19CA8CC6123EF628B51BFAE2B537902', 'B44BFF9F75F9F58EC8F636FACCD0316A', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:14.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:15.000000', '2023-09-15 15:37:15.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('D1FD207D729ED37AFD44208447CF2D93', 'B8C988690A054A2238F095279F229CEB', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:49.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:49.000000', '2023-09-15 15:36:49.000000', '1', '1', NULL, '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('D22CB573CA604E47B9E7B3601C7B98CD', 'C591F6A7AD072182D5364CE734619145', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:11.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:12.000000', '2023-09-15 15:39:12.000000', '1', '1', NULL, 'b92a5ca88d157557618e1da8d096b96d', 'F7-706_试剂柜-E_E1-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'E66672D3CCE8F5DBE32EC338A4C5BDFB');
INSERT INTO `batch_details` VALUES ('D35D3E0619BC5BD66A99A86FDE479AB1', '5E5464541ED021293EFE5CA2E801038A', '2023-3', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:56.000000', 3, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:56.000000', '2023-09-15 15:37:56.000000', '1', '1', NULL, 'f3579ed192e47c4f381ff9572f346320', 'F6-606_试剂柜-B_B1-5', NULL, '75A3A892DEFDA7AF1380EDE3659114B3', NULL, NULL, '606', '77B758241896551F07412540B6A122A6');
INSERT INTO `batch_details` VALUES ('D366FD1010705EDF97CA6FAEC8D29413', '10E816FE1A032C475D5FA6B18537B6DB', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:08.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:08.000000', '2023-09-15 15:39:08.000000', '1', '1', NULL, 'bce0bfb02df0b406c2891ac97e00bb61', 'F7-706_试剂柜-D_D3-3', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', 'A29CFBBA168D6598BC15BD8AE153DF5A');
INSERT INTO `batch_details` VALUES ('D396901397298DD329A0CFA94A89FB0B', '3B071A7FFFD1D2E0C5FE33C569B5B1E5', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:45.000000', 6, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:45.000000', '2023-09-15 15:38:45.000000', '1', '1', NULL, 'e48349ea644fd3c1035e9a83a4890f9c', 'F7-707_试剂柜-C_C3-2', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', 'C38E6578DDE89DD9EF88E5657D0C7BC2');
INSERT INTO `batch_details` VALUES ('D3DA822377A017CAF350188DC547C8C3', '748D22632161F06E90DCDBFF6243595F', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:55.000000', 3, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:56.000000', '2023-09-15 15:38:56.000000', '1', '1', NULL, '9c89e7eba1b9f07fadccee3cb8ca1b48', 'F7-707_试剂柜-D_D3-3', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', 'FB830190A5A4C2A0448AA8753E2C752A');
INSERT INTO `batch_details` VALUES ('D472A86D217FBE7BDB43FB56F088C85E', 'E93567F6F7B55EBA68C0391B696B8BDA', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:18.000000', 19, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:19.000000', '2023-09-15 15:38:19.000000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '83F16B4FE6BBC88F058FDC5BC8FBE9AA');
INSERT INTO `batch_details` VALUES ('D49D4E1C0A20398BE377D9703B3DBA12', '51EAC2AA8E5E953C8E04BBD7FA7662AD', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:12.000000', 8, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:12.000000', '2023-09-15 15:39:12.000000', '1', '1', NULL, '7dc5b344b9decc98856cec750c5168ce', 'F7-706_试剂柜-E_E1-3', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '034A501373D66A92FCB243E3691628F4');
INSERT INTO `batch_details` VALUES ('D56A334BA07935942D604442903FC70F', 'F56DFB51CB0AA067A06F5E364B127649', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:15.000000', 21, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:16.000000', '2023-09-15 15:38:16.000000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '3550110623DC7764656E9015B7B872F4');
INSERT INTO `batch_details` VALUES ('D57B6499551EF252E2842F5172779B00', '1D3CCA0BD3C6B4F12FDBDE7993003C1E', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:41.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:41.000000', '2023-09-15 15:36:41.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('D627D2993EDBD50A21C0E83B10E370BF', 'E87C02C01E4A729A9A2875113EB6477F', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:46.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:46.000000', '2023-09-15 15:36:46.000000', '1', '1', NULL, '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('D6468B129AAC503B36697816C6BA43A4', 'CCD3836EF0CC58BE54460B7EBCF58461', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:17.000000', 20, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:17.000000', '2023-09-15 15:38:17.000000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '7C2278AB445C58B3FD2360106433962E');
INSERT INTO `batch_details` VALUES ('D664E185DF7BD652E15E0DA4A4403E27', 'E8C3A990E6862AF1119B22DC89B6AD25', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:18.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:18.000000', '2023-09-15 15:39:18.000000', '1', '1', NULL, '75bb1e5693ddf7d3f83365fc7ce874a2', 'F7-706_试剂柜-E_E3-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '52B363796A3B77A623C3E31D1B625990');
INSERT INTO `batch_details` VALUES ('D6DF9C703982672D0298572C38709900', '022AC19602340F8D5F267D99E6E036FD', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:20.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:20.000000', '2023-09-15 15:39:20.000000', '1', '1', NULL, '3758207bf7407dd113a9bd57636a4e0a', 'F7-706_试剂柜-E_E3-3', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'ADCAC609496BF8092CA19FCEA1B3E3D6');
INSERT INTO `batch_details` VALUES ('D6E33848DC71CD0246B93AC17AC1A81A', '1C4C7DBD8489AEFBB5B8DAD5085C3642', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:43.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:44.000000', '2023-09-15 15:36:44.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('D74CBB36D058AF6563E326EC5BB2C180', 'C2E4940A9B390931FA2A30CF8D512F23', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:02.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:03.000000', '2023-09-15 15:37:03.000000', '1', '1', NULL, '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('D78BCD3DB4355D1390F73616672E9BC4', 'A11FA835A8AA0A214DFF02DC5AF7FBD1', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:45.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:45.000000', '2023-09-15 15:37:45.000000', '1', '1', NULL, '24b6127057ff18e72393a482b1801927', 'F6-607_试剂柜-A_A3-3', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', 'B07964CFDDA937DC1F7E5BE0F6D4D153');
INSERT INTO `batch_details` VALUES ('D7FDE3D673F775E753428BA59AF36DEA', '3C36BBDEF36C9DE276187902FC974600', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:33.000000', 4, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:34.000000', '2023-09-15 15:38:34.000000', '1', '1', NULL, 'f59134f62115fee1d4e59dfe2e3f3ce5', 'F7-707_试剂柜-B_B2-1', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '53FEF85D600727AE2859AB8FA04BC3BC');
INSERT INTO `batch_details` VALUES ('D81D0D4CC4E004484D974C8E7D5CCE4C', 'AB02EED04A3ACFE3F7528DAABA5610C6', '2023-2', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:01.000000', 16, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:01.000000', '2023-09-15 15:39:01.000000', '1', '1', NULL, '8cd2ea7b40147a60632bf7df448bdaa3', 'F7-706_试剂柜-B_B2-3', NULL, 'B84152270A4A03147E7BA602B85DC2B9', NULL, NULL, '706', 'D2FDCFCC08BDC23E2990BCEB518D2B30');
INSERT INTO `batch_details` VALUES ('D8AD9F22199FF424FF2E5F967B81F6E9', 'CD2060AA55C3DC6AB1659C464AE1DFEF', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:35.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:35.000000', '2023-09-15 15:36:35.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('D8BD1E9E509142B70FD8E9AFB36CB5F5', '72251D9E7CA66DD69E163658CEB98BE2', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:06.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:06.000000', '2023-09-15 15:37:06.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('DA00554EE1D920C47FD12E6631570575', '8CC0B7980CBB679DB99EECD7966B479A', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:22.000000', 13, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:22.000000', '2023-09-15 15:38:22.000000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '4466C421627650AC4DA9361C4F3F1190');
INSERT INTO `batch_details` VALUES ('DA843D361378A16C001996207C700E9A', '68DEF07DC4AAE52BDA9725E34FEA3415', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:12.000000', 4, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:13.000000', '2023-09-15 15:39:13.000000', '1', '1', NULL, '7dc5b344b9decc98856cec750c5168ce', 'F7-706_试剂柜-E_E1-3', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '6A36D5054CDDAB279A9AD70EC3BFA68F');
INSERT INTO `batch_details` VALUES ('DA9125DD9963A5765833934B427E49A7', '8081E3429C42A34CD51DAA673B24F22B', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:13.000000', 8, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:13.000000', '2023-09-15 15:39:13.000000', '1', '1', NULL, '5eff609a8cc1e16248f784af8907b032', 'F7-706_试剂柜-E_E2-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '23D5A331D345186E3AD5779625915D7C');
INSERT INTO `batch_details` VALUES ('DB62017B84DD5490D8889F69732DCB7F', '09396939F1488F037F1323D98504F0D4', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:58.000000', 4, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:58.000000', '2023-09-15 15:37:58.000000', '1', '1', NULL, 'bcac7c306cfd91945d8af38057cb1015', 'F6-606_试剂柜-C_C1-1', NULL, '808DC6B3A5BBD0680FEDF4DDC0F29D32', NULL, NULL, '606', '3EE155DD72A66C4C09AC424CD860BCD7');
INSERT INTO `batch_details` VALUES ('DBCAB21DB4B3D112F116CD468250FEAC', '2735608C02CE521A01C6864F03E54760', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:46.000000', 8, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:47.000000', '2023-09-15 15:37:47.000000', '1', '1', NULL, 'be06c2ed607241a0e50b7937a121b7ad', 'F6-607_试剂柜-B_B1-2', NULL, '4DC6CF3C6B9A843F6C70335AA42A5594', NULL, NULL, '607', '13021804A1FB8BA2AEC64E97F8E16347');
INSERT INTO `batch_details` VALUES ('DC358F122B39015A6D5EE206A3A4DAB8', '60575FA38DEC772CC58CA0998DD604A2', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:16.000000', 20, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:16.000000', '2023-09-15 15:38:16.000000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '192E549074BADB2F71D2E838B523D7EC');
INSERT INTO `batch_details` VALUES ('DC7010DFEBB1F1CFF9C7655094380B17', '489D8FE578E0F94238E0E1237D739F02', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:27.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:27.000000', '2023-09-15 15:37:27.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('DC99E4841C344E48168B51686A148757', '9F343F685D6FD40DE9D2CD8D0C9B52DA', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:26.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:26.000000', '2023-09-15 15:38:26.000000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '810658E01F2F79A116398B0409368A51');
INSERT INTO `batch_details` VALUES ('DCDC8D36568F4F2801D727004E32FF0A', 'FB7E3FCCC83CFDC6E4BF2C33D31F43BB', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:20.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:20.000000', '2023-09-15 15:39:20.000000', '1', '1', NULL, '3758207bf7407dd113a9bd57636a4e0a', 'F7-706_试剂柜-E_E3-3', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '84A5CE030242E6FFA6860BE525AEB163');
INSERT INTO `batch_details` VALUES ('DDCFC01DFD486E6383126D854CB7D04D', 'D6E3816ECC049FEACF0091A431423031', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:56.000000', 4, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:56.000000', '2023-09-15 15:37:56.000000', '1', '1', NULL, '99268f32b3e0548b458baebc891b9ba1', 'F6-606_试剂柜-F_F1-4', NULL, '169C929E143568B5659910E6240A4951', NULL, NULL, '606', '05572C2D7FA599EDE137A5749F58A842');
INSERT INTO `batch_details` VALUES ('DEBD3FBE6F8027F2F9A4E9D87081EB52', 'E06BB98EB483ED0F15BB01D8783CD276', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:39.000000', 4, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:40.000000', '2023-09-15 15:37:40.000000', '1', '1', NULL, '18fca81c36a6d07f6c52260e7327122c', 'F6-607_试剂柜-A_A3-4', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', '35CCDF93BCBA2C2F35CCC4771254731F');
INSERT INTO `batch_details` VALUES ('DF045F0D8D689F075E59B434E3156FFF', 'F2F1DEE21E4D5E4B5BD6E44960E5B43A', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:36.000000', 36, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:36.000000', '2023-09-15 15:37:36.000000', '1', '1', NULL, '98b831f17673ff06093ce3dc2fb2d44e', 'F6-607_试剂柜-C_C2-3', NULL, '071127105DF37F344112A196C49B181D', NULL, NULL, '607', '285A53419360D9711CCD07A55930342D');
INSERT INTO `batch_details` VALUES ('DF14016FFEDB9B418A41CCF2C8BA6021', 'B1EBBB27A06BC4DC80E9B2F9989CDEEB', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:46.000000', 10, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:46.000000', '2023-09-15 15:37:46.000000', '1', '1', NULL, '7c8662cd73958e2f15c2794c159ff265', 'F6-607_试剂柜-A_A1-1', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', 'A15BF8209DCBB463718BA0FCC89311D6');
INSERT INTO `batch_details` VALUES ('DF42A81B2DB4ADC311219C5A689FD6CF', 'B0376A38ED8F11C80D9BFA8DFB16417F', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:23.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:23.000000', '2023-09-15 15:37:23.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('DF85B92026705103B8A0815652AE8587', '073ADBB1B1B39082EE8AE412B73C7B4A', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:29.000000', 3, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:29.000000', '2023-09-15 15:37:29.000000', '1', '1', NULL, 'b56344dd48b8c007ecb4399b3351d32d', 'F6-607_试剂柜-B_B1-1', NULL, '4DC6CF3C6B9A843F6C70335AA42A5594', NULL, NULL, '607', '3A0BAE65440E99F04F35E3615E0DE625');
INSERT INTO `batch_details` VALUES ('E00B8824B67513E011212737068F1811', '190DD8B0C96BA7F66C6409CB58A9C915', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:21.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:21.000000', '2023-09-15 15:39:21.000000', '1', '1', NULL, 'e896b9f64d79b125e2d3c0a6d30bc337', 'F7-706_试剂柜-E_E4-3', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'B54F9ADF0C6776B6BC4AD3A4EB58F656');
INSERT INTO `batch_details` VALUES ('E023BD2E6B06EC037AA7F0B15F6005D0', 'C854E683769D925913AE130B0DE09FB4', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:24.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:24.000000', '2023-09-15 15:38:24.000000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '702A6381074026BC510E70C9FD641F41');
INSERT INTO `batch_details` VALUES ('E056531093AF1FF935E0DD86C6E26E47', '111F380B1D8CE16B5CECFA2ACAD9D971', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:40.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:40.000000', '2023-09-15 15:36:40.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('E113FB78EE0AE578381B4FA0553188D0', '697D2068979153FD01E95627CA8AC3CB', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:20.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:20.000000', '2023-09-15 15:38:20.000000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '79614BC8401AC95E098403CBEFA25168');
INSERT INTO `batch_details` VALUES ('E17DEEA3E21749EBF3FFB34392BB3DA4', '2FAF3225138CE2C9107C4D51414F6BCA', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:34.000000', 5, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:35.000000', '2023-09-15 15:37:35.000000', '1', '1', NULL, '0c4b08ffb5b5bd7afc19a3680cf333e9', 'F6-607_试剂柜-A_A2-1', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', 'E6A15C001663B553F3C4C21C83BB32F9');
INSERT INTO `batch_details` VALUES ('E1B7BBE50161C2083ED86A24086CB96A', 'C1974136BD9C144309DAE7A2AFC86F48', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:40.000000', 4, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:40.000000', '2023-09-15 15:37:40.000000', '1', '1', NULL, 'd5f9d9c892acf721f2affe05ca0c92e6', 'F6-607_试剂柜-A_A2-5', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', '40A0E8A48C2D7A53B86BDC222D9609C4');
INSERT INTO `batch_details` VALUES ('E1CF247D3882C7679E78C9EC1DBA4CC7', '1D93707268917B2A1979A5D8081C8045', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:10.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:10.000000', '2023-09-15 15:37:10.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('E4A82FE0C6D94682DB67B7891D4E224D', 'CED9481EF9D655FA801DBA112C34F791', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:19.000000', 4, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:19.000000', '2023-09-15 15:39:19.000000', '1', '1', NULL, '436ee808c12a10f8c191f71f51118662', 'F7-706_试剂柜-E_E3-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '83D86A373A79819AE50BD4DE203CE7D9');
INSERT INTO `batch_details` VALUES ('E4AD46A1793EFC554CF554C3F41868DC', '6BA19BDF0379606570051259535E7DD4', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:28.000000', 30, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:28.000000', '2023-09-15 15:38:28.000000', '1', '1', NULL, '9db704bafc97645c3391308c36516400', 'F7-707_试剂柜-A_A3-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'AB14F9AA00B28A822D2F0B4416E550D4');
INSERT INTO `batch_details` VALUES ('E4D0CF4F06E0DF0465B60D11678377BA', '151A588F35BC39177C8731F30737332A', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:50.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:50.000000', '2023-09-15 15:37:50.000000', '1', '1', NULL, 'b56344dd48b8c007ecb4399b3351d32d', 'F6-607_试剂柜-B_B1-1', NULL, '4DC6CF3C6B9A843F6C70335AA42A5594', NULL, NULL, '607', 'B0D9FB0FFBD17CF33171AD2EC5E4D92A');
INSERT INTO `batch_details` VALUES ('E52CA73C73575B226D86B62F284C6C5B', '375F12C45F03584218F024B1396DDD83', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:32.000000', 36, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:33.000000', '2023-09-15 15:38:33.000000', '1', '1', NULL, 'f59134f62115fee1d4e59dfe2e3f3ce5', 'F7-707_试剂柜-B_B2-1', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '016BB715E4841FF92EE93F85F1C24E26');
INSERT INTO `batch_details` VALUES ('E5DF49711F2D8828827061935DD9A1CB', '1A2CB4BC4B74C6DC5578B5DB235C17E6', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:30.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:30.000000', '2023-09-15 15:36:30.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('E6001DA76837E9FFC3EFA338D03E309C', 'DB577E40D8727171BCF7134CCEAAAAB6', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:59.000000', 4, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:59.000000', '2023-09-15 15:38:59.000000', '1', '1', NULL, '35cea1f480155d71908002b4cc6a584b', 'F7-706_试剂柜-A_A3-3', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', 'C46A9FBE0F15104D032186ED0AB5E74A');
INSERT INTO `batch_details` VALUES ('E60B58101CE5F010F8C3D08A324A9163', '0F80C1EE1F868255B421B9F7453C9FEA', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:33.000000', 90, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:33.000000', '2023-09-15 15:37:33.000000', '1', '1', NULL, 'cf5e18cab2cc7c05a0f0615bafd4f303', 'F6-607_试剂柜-B_B2-5', NULL, '4DC6CF3C6B9A843F6C70335AA42A5594', NULL, NULL, '607', '1D31FFB7B0618E0A6B56CD2E1E9BE925');
INSERT INTO `batch_details` VALUES ('E63D2FF4546BFBC4529AC0414AB5F1C2', '8FBEB9D379443ADDDC5EFD2C4E94DBD5', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:48.000000', 3, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:48.000000', '2023-09-15 15:37:48.000000', '1', '1', NULL, '0fdde33d569b9096f409bd8aa6b26529', 'F6-607_试剂柜-A_A2-2', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', '1B6E8BE84D6FDA77A32F6A4445B0D06F');
INSERT INTO `batch_details` VALUES ('E671FDAA3ECBC8F2B353961A988ED104', 'FEBF04DFD9B9D4E9E1ECE990F46B5A7E', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:38.000000', 10, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:38.000000', '2023-09-15 15:38:38.000000', '1', '1', NULL, '55e5081784af82837467649da44000e2', 'F7-707_试剂柜-B_B3-2', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', 'D64F93AA8F80C37C14E94DF72B11A78E');
INSERT INTO `batch_details` VALUES ('E68526E3BA766C1409F007EF6DA4AEB9', '41D78F9B2486D41A09E8902F51603421', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:57.000000', 9, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:58.000000', '2023-09-15 15:38:58.000000', '1', '1', NULL, '2eabf5d1aeb6485633565f266eb2ef84', 'F7-707_试剂柜-D_D4-4', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', 'FC45E4BFCE7A5D88D1231E0A11C62FB9');
INSERT INTO `batch_details` VALUES ('E6F47978CB237FC64BF8F434EA532300', '459D8CA41B0EDDC2EE04C4CAB74FD88B', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:54.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:54.000000', '2023-09-15 15:36:54.000000', '1', '1', NULL, '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('E739E2401B0DBDF80F684BA31A9CEA58', '5BC3BD5695176B63B8FFF29DF9F60501', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:55.000000', 14, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:55.000000', '2023-09-15 15:38:55.000000', '1', '1', NULL, 'b94df56e494e48d772b74c6d1566de9a', 'F7-707_试剂柜-D_D3-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '052922BA32738580A14983200D3F9A94');
INSERT INTO `batch_details` VALUES ('E739F19211F459479FC67C25E6A7B219', '4920E94BB4385AD41F00D7EF0C53774B', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:30.000000', 20, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:30.000000', '2023-09-15 15:38:30.000000', '1', '1', NULL, '7655b680f65a6470af4e6ee3818ee7d4', 'F7-707_试剂柜-B_B1-3', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', 'C2D1E67F26C1101CB07F987F4CF306B6');
INSERT INTO `batch_details` VALUES ('E81FEBE0518FB8D4BB934A95D00DD2A3', '9754144CCABCB39FFBA42A596FA8B485', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:28.000000', 14, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:28.000000', '2023-09-15 15:37:28.000000', '1', '1', NULL, '95c4b625c2781b1cec9e25424f7d7cf2', 'F6-607_试剂柜-A_A3-5', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', '4CAD6245CEA99CD5E674E5085811632F');
INSERT INTO `batch_details` VALUES ('E84B080B0FEEA31850E5DF08667EE22A', 'F5C7AAB51333B6C9AFBEEE6ADDC256F8', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:41.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:41.000000', '2023-09-15 15:36:41.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('E86873D352D88D38221E7D4936C5E822', 'A570E2EB7F56FECECA16C42C14AC6EF2', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:38.000000', 10, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:38.000000', '2023-09-15 15:37:38.000000', '1', '1', NULL, '208e6ca1e46e2e2910afc643ee0582d0', 'F6-607_试剂柜-C_C1-5', NULL, '071127105DF37F344112A196C49B181D', NULL, NULL, '607', '7D97B4654AB95FAC3C31CAD7A1C3EE92');
INSERT INTO `batch_details` VALUES ('E8F00405716D7012A9299C86CE1DF750', 'DE262BF98FE3740EEFD81C8D863CAB0C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:06.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:06.000000', '2023-09-15 15:37:06.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('E9DD1C3CC22C8FC8C6314F6F07EC3A85', 'CE75566AC1B6442455283BB9A2EA8601', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:04.000000', 400, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:04.000000', '2023-09-15 15:38:04.000000', '1', '1', NULL, 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '025B8E40E1C51D3CA81A7DF2E665BDD2');
INSERT INTO `batch_details` VALUES ('E9DDD337171BA4E8CCF22DD9B842366F', 'B60BA8175F5C749F60575477F659265E', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:24.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:24.000000', '2023-09-15 15:39:24.000000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', 'C237C6FE63AFF8606F22541E1DC142C5');
INSERT INTO `batch_details` VALUES ('EA66EC5A51B6F41DF6FB8EF8BE04306A', '9BCB3D388B36E071BE046A62870C80DE', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:24.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:25.000000', '2023-09-15 15:37:25.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('EA96EE6E83522BA6206FAC9210A1A4D5', 'D1C2C397E8A36D3AC3ACD27507C151EA', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:46.000000', 6, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:46.000000', '2023-09-15 15:37:46.000000', '1', '1', NULL, '7c8662cd73958e2f15c2794c159ff265', 'F6-607_试剂柜-A_A1-1', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', '4E6FD986A589DC8DC726FFFF9F1DBDD9');
INSERT INTO `batch_details` VALUES ('EAEB2C1E533C2A4CDCB023B4546A4542', '20DE58DDB05816EE0ACBD62B5B792C0A', '2023-3', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:55.000000', 7, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:56.000000', '2023-09-15 15:37:56.000000', '1', '1', NULL, 'f3579ed192e47c4f381ff9572f346320', 'F6-606_试剂柜-B_B1-5', NULL, '75A3A892DEFDA7AF1380EDE3659114B3', NULL, NULL, '606', '1CFBDC2D107FB0CFE88676F782F3B410');
INSERT INTO `batch_details` VALUES ('EC9672CAC80020E75F52D70FFE77D9C0', '44BD935675D5117A72FE295B1C92A858', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:19.000000', 9, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:20.000000', '2023-09-15 15:39:20.000000', '1', '1', NULL, '436ee808c12a10f8c191f71f51118662', 'F7-706_试剂柜-E_E3-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '01DC2485F33D69A0B054E7D373E082A6');
INSERT INTO `batch_details` VALUES ('ECF9E437EBB7863C9BC0D8F0E5935E5F', 'B57DD2F0E254BD91077101F493CEB8B6', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:24.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:24.000000', '2023-09-15 15:39:24.000000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', '291756C7F73B776A8C4FED0F5812023A');
INSERT INTO `batch_details` VALUES ('ED22EC199104BA35DBE9123409959588', '124B1B955310AD8EB5E4DEC36861C2E0', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:00.000000', 3, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:00.000000', '2023-09-15 15:38:00.000000', '1', '1', NULL, '6af0cc05f3ee72b1db48f4307ec15e8b', 'F6-606_试剂柜-C_C1-2', NULL, '808DC6B3A5BBD0680FEDF4DDC0F29D32', NULL, NULL, '606', '0220DD5CE2B9C84FF5E5EF847E3F2E2F');
INSERT INTO `batch_details` VALUES ('ED4B1DF7FA688CDC50EA2DB8AE4107F1', 'E64CD970D45A8C63B6A43D0843F7D222', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:37.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:37.000000', '2023-09-15 15:36:37.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('EDB6E54393A44E295BE4E69420C9D285', 'E8AE542415F85C36FE1EFD93256166E9', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:07.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:07.000000', '2023-09-15 15:37:07.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('EF88A8D2873A2317EC4D939DF072B946', '107DDA75E54ABC8DFD45952C61F7578A', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:55.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:55.000000', '2023-09-15 15:36:55.000000', '1', '1', NULL, '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('EFD046A69171AA033052641590818386', '814468F27B307E020FECE3AFE541134F', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:37.000000', 20, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:37.000000', '2023-09-15 15:37:37.000000', '1', '1', NULL, 'd5f9d9c892acf721f2affe05ca0c92e6', 'F6-607_试剂柜-A_A2-5', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', '215125DE36E1DF12BEAFD51136A26B55');
INSERT INTO `batch_details` VALUES ('F02AA39CF366455E35106CA4B0B905C0', '3DE66626B35F637AA318A80794B19876', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:18.000000', 20, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:18.000000', '2023-09-15 15:38:18.000000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '6BE50A36B3E1E57A827DC6474BF4E99C');
INSERT INTO `batch_details` VALUES ('F0469CD28CC9BE87E542570798A0FAB4', 'D47E52327C4F435283B26ECCB43CB84C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:23.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:23.000000', '2023-09-15 15:39:23.000000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', '6A9AF728EC56E7C5D094A645BEC65F07');
INSERT INTO `batch_details` VALUES ('F06B3C3BDBCAF2F73F9BF45AABDBFFA1', '0ACAAB7973921CE1CBB82BF3C19A0514', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:49.000000', 7, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:49.000000', '2023-09-15 15:37:49.000000', '1', '1', NULL, 'a14f05cc811963d8c20a72695a2660da', 'F6-607_试剂柜-A_A2-3', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', '1B56980E77AD832DB9C66BAE9823183B');
INSERT INTO `batch_details` VALUES ('F0A07C5023A49A689D3399A95803DD59', '6F8F92EF4888D360508A87CED229E009', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:10.000000', 6, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:10.000000', '2023-09-15 15:38:10.000000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '4B42CEF9D8C99724D260FA1CEC2E5665');
INSERT INTO `batch_details` VALUES ('F25A2F657B18377C101493EB29914AF3', 'CB254D100B725D3B410AA6CAE745FF30', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:08.000000', 4, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:09.000000', '2023-09-15 15:38:09.000000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '9F075F0E02A04C7A219FAA6BD0EA3EC0');
INSERT INTO `batch_details` VALUES ('F30CB8AA5BC80551E82B9B6DFE906308', '86AC6F2CF36E9B754F44C7EB5D982C3D', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:52.000000', 6, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:52.000000', '2023-09-15 15:37:52.000000', '1', '1', NULL, '7e353498d9426380a35eeec826a6fe0e', 'F6-607_试剂柜-B_B2-1', NULL, '4DC6CF3C6B9A843F6C70335AA42A5594', NULL, NULL, '607', '64EBF3519C3656A3CB2FA415697C7810');
INSERT INTO `batch_details` VALUES ('F310DCBB7EAE10692C2C8F1156303F34', '9926620D8EDAD29E22916FB48344F937', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:26.000000', 8, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:26.000000', '2023-09-15 15:38:26.000000', '1', '1', NULL, 'dda3d50e55162b4528f6feb32946ffe4', 'F7-707_试剂柜-A_A2-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '9BAC5E63865EB99CE5EBD95C8E499287');
INSERT INTO `batch_details` VALUES ('F3605B1E8D0E2208B40CFC016D97C5CD', 'B699DF5070C2BBF16828BD3E3B808235', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:58.000000', 2, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:59.000000', '2023-09-15 15:38:59.000000', '1', '1', NULL, 'dd998657700b7074478bae03b2f401f2', 'F7-706_试剂柜-A_A1-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', '9A89738FAD60090F71DFCF22AB7D01B3');
INSERT INTO `batch_details` VALUES ('F51D50C93F99F1F97CBA258EDA9B54E7', 'DBFC65B72D5B09621DEF51DA69BECAA7', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:59.000000', 4, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:59.000000', '2023-09-15 15:38:59.000000', '1', '1', NULL, 'c09176dcda4c53e3a73bed226c4d6b08', 'F7-706_试剂柜-B_B1-1', NULL, 'B84152270A4A03147E7BA602B85DC2B9', NULL, NULL, '706', '072270D1D177AE6B9C3D0ADDD5B7B176');
INSERT INTO `batch_details` VALUES ('F5EFB35603388F3862B56BB769A9453F', 'DF1C45900EDE018B84D27D6D13EAA360', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:42.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:42.000000', '2023-09-15 15:36:42.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('F5F17F196A64907537506C6343610EDC', 'D622A5F96F5FB6DE462E3378638078D7', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:18.000000', 20, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:18.000000', '2023-09-15 15:38:18.000000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '664E98DCD79F78B88243D4A79A667D15');
INSERT INTO `batch_details` VALUES ('F6ABC7D89A0F80FF06CC54F25071AD15', 'A39786B8CF9BFC83A9EB550BFED0FB4B', '2023-3', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:58.000000', 11, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:58.000000', '2023-09-15 15:37:58.000000', '1', '1', NULL, 'a1226c2455ab52fccb314fb22c2292d8', 'F6-606_试剂柜-D_D3-4', NULL, 'B43CEB96B657F99AB1C5CA4410E9464E', NULL, NULL, '606', 'CF6829F660F9EB86EC10CE95E876BF98');
INSERT INTO `batch_details` VALUES ('F6F832FF20E6143C2DF51D8BC4E35D7E', '69258514FB4617F101823218D1814AFF', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:54.000000', 20, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:54.000000', '2023-09-15 15:38:54.000000', '1', '1', NULL, '520eaf3711a30b76cda447d5f94c20a8', 'F7-707_试剂柜-D_D2-4', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', 'F4DE7DD2DCB8569AC2D639D415F81759');
INSERT INTO `batch_details` VALUES ('F70880E1A4FEF73455D95CB07E16014C', '9E306F18F2034BFD40E62ECEC4477947', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:29.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:29.000000', '2023-09-15 15:38:29.000000', '1', '1', NULL, '31e28f9a6474d87e3dfac25118dbdf85', 'F7-707_试剂柜-B_B1-1', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', 'F12014D58EE876C5D367DAE54D736F89');
INSERT INTO `batch_details` VALUES ('F7B0BFF0A67773400481F85FD98BB9B1', '7FCD3CDCAECFF71BF970F2785DF19910', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:43.000000', 10, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:43.000000', '2023-09-15 15:38:43.000000', '1', '1', NULL, '0042d9473d2e7f8dabd1716e8eaa93bc', 'F7-707_试剂柜-C_C3-1', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '0FA2371D36C86FB17E8A16DED8421D53');
INSERT INTO `batch_details` VALUES ('F858D08513BF3433501B8670D078DF8D', 'C681476338A03EC23E4AB5FB2D6B5167', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:15.000000', 20, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:15.000000', '2023-09-15 15:38:15.000000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'CBDAB109AC7023211665A7B99CEC0D93');
INSERT INTO `batch_details` VALUES ('F8AD7827727D7A13B72C26F0A3C27127', 'AD38685493F46D349FCAC1FB1A08621F', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:26.000000', 10, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:26.000000', '2023-09-15 15:38:26.000000', '1', '1', NULL, 'dda3d50e55162b4528f6feb32946ffe4', 'F7-707_试剂柜-A_A2-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '81C3735BB586D189E778B7C7CE242BFE');
INSERT INTO `batch_details` VALUES ('F9A1B94724E72EB5CE03357F621C1DFA', '3ADE57E268124DD32E6C9D1B1E71FF02', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:28.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:28.000000', '2023-09-15 15:38:28.000000', '1', '1', NULL, '7bef90f7d97d11a6460147934b72ee49', 'F7-707_试剂柜-A_A3-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '00FE24AD1BFD51F079CEEA3BD4237E9F');
INSERT INTO `batch_details` VALUES ('F9D78E9522222BF1C86FE8B882168FC7', 'BC390A6467ACE7BFB11E270525847F85', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:26.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:26.000000', '2023-09-15 15:37:26.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('F9DF58C0F0D20570CF28371BE1B16A6C', '13478FB4C3FC7291053C457696B887D3', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:04.000000', 100, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:04.000000', '2023-09-15 15:38:04.000000', '1', '1', NULL, 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '56964A58D12617891111496999F0AC91');
INSERT INTO `batch_details` VALUES ('FA9145F75549BBA26FBC141A388789C0', '80BE7DE744E58991D338179B8F4F89E7', '2023-2', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:17.000000', 5, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:17.000000', '2023-09-15 15:39:17.000000', '1', '1', NULL, '0bb34e9b041dff3f06129c15bd49f8e3', 'F7-706_试剂柜-E_E2-3', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '85AEC85A5B4AC140EDF6F45F6A8963E3');
INSERT INTO `batch_details` VALUES ('FAE0E4858604F635766632FF8E86DFB7', '80BE7DE744E58991D338179B8F4F89E7', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:06.000000', 5, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:07.000000', '2023-09-15 15:39:07.000000', '1', '1', NULL, '9385d102cad285d69123ad6a279044a5', 'F7-706_试剂柜-D_D2-1', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', '85AEC85A5B4AC140EDF6F45F6A8963E3');
INSERT INTO `batch_details` VALUES ('FB6D6453DBF0BF78C2013F43A53F21AB', 'BFB2C9B8885A337D7FF458B77C9F5B05', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:36:33.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:36:33.000000', '2023-09-15 15:36:33.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('FBFEAC6C1F06F96D8D89D771BBF4A561', '3F347105992047757AA2048E6C3F04C8', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:02.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:02.000000', '2023-09-15 15:39:02.000000', '1', '1', NULL, '5ed98268a70fc33b0473b62598cef3be', 'F7-706_试剂柜-C_C1-3', NULL, 'EA39B525D5DC678C4CA7F95C4CAC7F53', NULL, NULL, '706', '61B1A6ECA7D1D72CE4C0503118E5AE7A');
INSERT INTO `batch_details` VALUES ('FC28FA77543DDBD811286D30D155598F', '5FD3FAE431AF3807D422D2927008494A', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:08.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:08.000000', '2023-09-15 15:38:08.000000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'A5480085A7B5EC16F59762E53276A83D');
INSERT INTO `batch_details` VALUES ('FC85EE3C15D24D4759CB36C2528A6697', 'A8ED5A1E6EEA6A447DCE7E4791E8AF58', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:53.000000', 19, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:53.000000', '2023-09-15 15:38:53.000000', '1', '1', NULL, '520eaf3711a30b76cda447d5f94c20a8', 'F7-707_试剂柜-D_D2-4', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', 'EC3D86D8F58B3F68E99DF764081F93BA');
INSERT INTO `batch_details` VALUES ('FC8977711EF4A544D701DAAD4BEA5B50', '49FA2C9F1AECFEF9411E60ABF21A1A83', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:37:42.000000', 52, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:42.000000', '2023-09-15 15:37:42.000000', '1', '1', NULL, '0fdde33d569b9096f409bd8aa6b26529', 'F6-607_试剂柜-A_A2-2', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', 'A99DA177066C7431ED3B8DE006C2C5C5');
INSERT INTO `batch_details` VALUES ('FD1588E8499F92690760D128896B1F3A', 'D09C53D5AE113C1A6B82EA089C731D05', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:10.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:10.000000', '2023-09-15 15:39:10.000000', '1', '1', NULL, '1f529f67270eac072f2ac17b583a1754', 'F7-706_试剂柜-E_E1-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '9E35E1A3DD180A7A0F9FE27BA8FBC252');
INSERT INTO `batch_details` VALUES ('FDC8025E0B8E7C5046501B2C0ED1C82B', 'E561195CC2253118DA8C7823D37FBC26', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:30.000000', 10, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:30.000000', '2023-09-15 15:38:30.000000', '1', '1', NULL, '7655b680f65a6470af4e6ee3818ee7d4', 'F7-707_试剂柜-B_B1-3', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '0A3358962C2AE67D254309336CAD1231');
INSERT INTO `batch_details` VALUES ('FE1302FF881FD295822F18DF4F2E70CF', 'C8EE0D47ADE264D6FAB61106DABB042F', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:11.000000', 3, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:11.000000', '2023-09-15 15:39:11.000000', '1', '1', NULL, 'b92a5ca88d157557618e1da8d096b96d', 'F7-706_试剂柜-E_E1-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '6A779AAA168486A6991A2383BC06D77D');
INSERT INTO `batch_details` VALUES ('FE5FDC60152607266554554B872DCA43', '5901F65B8DC35A73EF11877AD2512806', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:17.000000', 39, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:17.000000', '2023-09-15 15:38:17.000000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '893C3734681D39140F70B2CC3B861679');
INSERT INTO `batch_details` VALUES ('FE8115837679D88B0E39E0B79CC13169', 'B87B2920D06EE0D21451363FA06175F5', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 15:37:25.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:37:25.000000', '2023-09-15 15:37:25.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('FE931FEBFBA17737FF1A966F4F9D5292', '7A5043655C88A7F8D54D1581BEDC3558', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:39:09.000000', 1, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:39:09.000000', '2023-09-15 15:39:09.000000', '1', '1', NULL, '1f529f67270eac072f2ac17b583a1754', 'F7-706_试剂柜-E_E1-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'A3572F75D72B43ED40D6974708B41913');
INSERT INTO `batch_details` VALUES ('FF3E7A7622064E0CCE0F38A86D41D1A6', '248D8635E484C979E12BCDE1206D50BE', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 15:38:14.000000', 20, 1, 'ff092f9d95881e5266216abdac063585', '2023-09-15 15:38:14.000000', '2023-09-15 15:38:14.000000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '682F4F3354A5856B45DD6BEBE6CC335E');

-- ----------------------------
-- Table structure for blacklist
-- ----------------------------
DROP TABLE IF EXISTS `blacklist`;
CREATE TABLE `blacklist`  (
  `blacklist_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `reagent_consumable_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `results_of_compliance_check` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(符合性检查结果)',
  `supplier_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商ID)',
  `compliance_check_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '符合性检查记录表ID',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  PRIMARY KEY (`blacklist_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材黑名单)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of blacklist
-- ----------------------------

-- ----------------------------
-- Table structure for catalogue_details
-- ----------------------------
DROP TABLE IF EXISTS `catalogue_details`;
CREATE TABLE `catalogue_details`  (
  `catalogue_details_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `brand` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(品牌)',
  `category` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(类别)',
  `deviation_or_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '偏差/不确定度',
  `packaged_copies` int(255) NULL DEFAULT NULL COMMENT '包装份数',
  `purchase_catalogue_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购目录ID',
  `purchase_catalogue_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(采购目录编号)',
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材名称',
  `species` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(种类)',
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(规格型号)',
  `standard_value_or_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `unit_price` double(10, 2) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '单价',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `english_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '英文名',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材ID',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '别名',
  `storage_condition` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '存储条件',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注\r\n',
  `minimum_unit` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '包装单位',
  `cas_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'CAS编号',
  `code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '物品编码',
  `purity_grade` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '纯度等级',
  PRIMARY KEY (`catalogue_details_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(采购目录明细)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of catalogue_details
-- ----------------------------

-- ----------------------------
-- Table structure for category_table
-- ----------------------------
DROP TABLE IF EXISTS `category_table`;
CREATE TABLE `category_table`  (
  `category` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '类别',
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `species` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '种类',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_time` datetime(6) NULL DEFAULT NULL,
  `update_time` datetime(6) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of category_table
-- ----------------------------

-- ----------------------------
-- Table structure for centralized_request
-- ----------------------------
DROP TABLE IF EXISTS `centralized_request`;
CREATE TABLE `centralized_request`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `applicant_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(申请人ID)',
  `date_of_application` datetime(6) NULL DEFAULT NULL COMMENT '(申请日期)',
  `purchasing_plan_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购计划ID',
  `status` int(11) NULL DEFAULT NULL COMMENT '(状态)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编号',
  `applicant_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '申请人名称',
  `audit_result` tinyint(255) NULL DEFAULT NULL COMMENT '审核结果',
  `audit_opinion` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审核意见',
  `audit_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审核人ID',
  `audit_time` datetime(6) NULL DEFAULT NULL COMMENT '审核时间',
  `purpose` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用途/购买理由',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(集中采购申请)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of centralized_request
-- ----------------------------

-- ----------------------------
-- Table structure for check_schedule
-- ----------------------------
DROP TABLE IF EXISTS `check_schedule`;
CREATE TABLE `check_schedule`  (
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编号',
  `manager_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '制定人ID',
  `audit_time_of_technical` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审核时间',
  `audit_result_of_technical` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审核结果',
  `audit_opinion_of_technical` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审核意见',
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `create_time` datetime(6) NULL DEFAULT NULL,
  `update_time` datetime(6) NULL DEFAULT NULL,
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `technical_director_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审核人ID',
  `status` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '状态',
  `commit_time` datetime(6) NULL DEFAULT NULL COMMENT '提交时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of check_schedule
-- ----------------------------

-- ----------------------------
-- Table structure for compliance_check
-- ----------------------------
DROP TABLE IF EXISTS `compliance_check`;
CREATE TABLE `compliance_check`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `commit_time` datetime(6) NULL DEFAULT NULL COMMENT '提交时间',
  `batch_details_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '批次ID',
  `audit_opinion_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核意见',
  `audit_opinion_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核意见',
  `audit_result_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核结果',
  `audit_result_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核结果',
  `audit_time_of_primary` datetime(6) NULL DEFAULT NULL COMMENT '一级审核时间',
  `audit_time_of_secondary` datetime(6) NULL DEFAULT NULL COMMENT '二级审核时间',
  `date_of_inspection` datetime(6) NULL DEFAULT NULL COMMENT '(检查日期)',
  `examination_conclusion` varchar(55) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(检查结论)',
  `primary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核人ID',
  `inspection_scheme` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(检查方案)',
  `status` int(11) NULL DEFAULT NULL COMMENT '(状态)',
  `secondary_auditor_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核人ID',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编号',
  `reagent_consumable_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质编号',
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '规格型号',
  `nonconforming_item` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '不合格项目',
  `brand` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '品牌',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材ID',
  `executor_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '执行者ID',
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材名称',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(符合性检查记录表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of compliance_check
-- ----------------------------

-- ----------------------------
-- Table structure for deactivation_application
-- ----------------------------
DROP TABLE IF EXISTS `deactivation_application`;
CREATE TABLE `deactivation_application`  (
  `deactivation_application_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `applicant_id` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(申请人ID)',
  `application_time` datetime(0) NULL DEFAULT NULL COMMENT '(申请时间)',
  `reference_material_id` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质ID)',
  `reference_material_number` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质编号)',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  PRIMARY KEY (`deactivation_application_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准物质到期停用申请表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of deactivation_application
-- ----------------------------

-- ----------------------------
-- Table structure for decentralize_details
-- ----------------------------
DROP TABLE IF EXISTS `decentralize_details`;
CREATE TABLE `decentralize_details`  (
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `brand` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(品牌)',
  `category` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(类别)',
  `decentralized_request_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(分散采购申请ID)',
  `deviation_or_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '偏差/不确定度',
  `packaged_copies` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '包装份数',
  `quantity` int(10) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '(数量)',
  `reagent_consumable_Id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `species` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(种类)',
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(规格型号)',
  `standard_value_or_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `technical_parameter` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术参数)',
  `unit_price` double(10, 2) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '单价',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `purpose` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(用途)',
  `english_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '英文名',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '别名',
  `storage_condition` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '存储条件',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '物品备注',
  `minimum_unit` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '包装单位',
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材名称',
  `purchase_list_details_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购清单明细ID',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购备注',
  `cas_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'CAS号',
  `code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '物品编码',
  `purity_grade` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '纯度等级',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '分散采购申请明细' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of decentralize_details
-- ----------------------------

-- ----------------------------
-- Table structure for decentralized_request
-- ----------------------------
DROP TABLE IF EXISTS `decentralized_request`;
CREATE TABLE `decentralized_request`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `applicant_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(申请人id)',
  `opinion_of_approval` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审批意见',
  `result_of_approval` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审批结果\r\n',
  `approval_of_time` datetime(6) NULL DEFAULT NULL COMMENT '审批时间',
  `audit_opinion_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核意见',
  `audit_opinion_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核意见',
  `audit_opinion_of_three_level` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级审核意见',
  `audit_result_of_primary` tinyint(3) NULL DEFAULT NULL COMMENT '一级审核结果',
  `audit_result_of_secondary` tinyint(3) NULL DEFAULT NULL COMMENT '二级审核结果',
  `audit_result_of_three_level` tinyint(3) NULL DEFAULT NULL COMMENT '三级审核结果',
  `audit_time_of_primary` datetime(6) NULL DEFAULT NULL COMMENT '一级审核时间',
  `audit_time_of_secondary` datetime(6) NULL DEFAULT NULL COMMENT '二级审核时间',
  `audit_time_of_three_level` datetime(6) NULL DEFAULT NULL COMMENT '三级审核时间',
  `compliance_testing` tinyint(6) NULL DEFAULT NULL COMMENT '(需要符合性检验)',
  `date_of_application` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(申请日期)',
  `approver_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审批人ID',
  `primary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核人ID\r\n',
  `purchase_list_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(采购清单ID)',
  `secondary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核人ID',
  `status` int(8) NULL DEFAULT NULL COMMENT '(提交状态)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `three_level_audit_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级审核人ID',
  `commit_time` datetime(6) NULL DEFAULT NULL COMMENT '提交时间',
  `purpose` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用途/理由',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(分散采购申请)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of decentralized_request
-- ----------------------------

-- ----------------------------
-- Table structure for delivery_registration_form
-- ----------------------------
DROP TABLE IF EXISTS `delivery_registration_form`;
CREATE TABLE `delivery_registration_form`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `date_of_delivery` datetime(6) NULL DEFAULT NULL COMMENT '(出库日期)',
  `depositor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(出库人)',
  `outgoing_applicant_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(出库申请人)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `status` int(5) NULL DEFAULT NULL COMMENT '状态',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材出库登记表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of delivery_registration_form
-- ----------------------------

-- ----------------------------
-- Table structure for details_of_centralized
-- ----------------------------
DROP TABLE IF EXISTS `details_of_centralized`;
CREATE TABLE `details_of_centralized`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `centralized_request_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(集中采购申请ID)',
  `purchase_catalogue_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(采购目录编号)',
  `quantity_purchased` int(255) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '(采购数量)',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `procurement_content_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购计划明细ID',
  `replacement_quantity` int(255) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '换货数量',
  `replacement_reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '换货试剂耗材ID',
  `number_of_applications` int(11) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '采购申请数量',
  `details_remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '修改明细备注',
  `replacement_remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '换货备注',
  `purpose` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用途/理由',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(集中采购申请明细)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of details_of_centralized
-- ----------------------------

-- ----------------------------
-- Table structure for evaluation_form
-- ----------------------------
DROP TABLE IF EXISTS `evaluation_form`;
CREATE TABLE `evaluation_form`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `comments_from_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级评价意见',
  `comments_from_three_level` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级评价意见',
  `contact_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(联系电话)',
  `contact_person` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(联系人)',
  `primary_user_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级评价人ID',
  `comments_from_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级评价意见',
  `secondary_user_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级评价人ID',
  `service_provider_and_supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(服务商/供应商ID)',
  `three_level_user_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级评价人ID',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `supplier_information_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '供应商/服务商信息表ID',
  `supplier_business_license` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商营业执照)',
  `supplier_passes_quality_assurance_system` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商通过质量保证体系)',
  `supplier_product_certification` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商产品认证)',
  `check_and_calibrate_efficiency_of_supplies` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(对供应品检验校准效率)',
  `overall_supplier_service_satisfaction` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(对供应商总体服务是否满意)',
  `supplier_attitude` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商态度)',
  `supplier_equipment_and_facilities` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商设备与设施)',
  `supplier_technology_and_management_capability` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商技术与管理能力)',
  `whether_the_supplier_delivers_on_time` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商交货是否及时)',
  `comments_result_from_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级评价结果',
  `comments_date_from_primary` datetime(6) NULL DEFAULT NULL COMMENT '一级评价时间',
  `comments_result_from_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级评价结果',
  `comments_date_from_secondary` datetime(6) NULL DEFAULT NULL COMMENT '二级评价时间',
  `comments_result_from_three_level` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级评价结果',
  `comments_date_from_three_level` datetime(6) NULL DEFAULT NULL COMMENT '三级评价时间',
  `status` int(2) NULL DEFAULT NULL COMMENT '状态\r\n',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编号',
  `commit_time` datetime(6) NULL DEFAULT NULL COMMENT '提交时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(服务商/供应商评价表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of evaluation_form
-- ----------------------------

-- ----------------------------
-- Table structure for fixed_value_report
-- ----------------------------
DROP TABLE IF EXISTS `fixed_value_report`;
CREATE TABLE `fixed_value_report`  (
  `fixed_value_report_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `fixed_value_report` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(定值报告URL)',
  `reference_substance_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质ID',
  `fixed_result` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '定值结果',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  PRIMARY KEY (`fixed_value_report_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(定值报告)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of fixed_value_report
-- ----------------------------

-- ----------------------------
-- Table structure for instruction_book
-- ----------------------------
DROP TABLE IF EXISTS `instruction_book`;
CREATE TABLE `instruction_book`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `audit_opinion_of_technical` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '技术负责人审核意见',
  `audit_result_of_technical` tinyint(3) NULL DEFAULT NULL COMMENT '技术负责人审核结果',
  `audit_time_of_technical` datetime(6) NULL DEFAULT NULL COMMENT '技术负责人审核时间',
  `commit_status` int(11) NULL DEFAULT NULL COMMENT '(提交状态)',
  `instruction_book` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(指导书)',
  `maker_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(制定人)',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质id)',
  `set_time` datetime(6) NULL DEFAULT NULL COMMENT '(制定时间)',
  `technical_director_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '技术负责人ID',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `reference_material_type_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注物质类型ID',
  `commit_time` datetime(6) NULL DEFAULT NULL COMMENT '提交时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准物质期间核查指导书)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of instruction_book
-- ----------------------------

-- ----------------------------
-- Table structure for outgoing_contents
-- ----------------------------
DROP TABLE IF EXISTS `outgoing_contents`;
CREATE TABLE `outgoing_contents`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `delivery_registration_form_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材出库登记表ID)',
  `outbound_use` int(3) NULL DEFAULT NULL COMMENT '(出库用途)',
  `quantity` int(11) NULL DEFAULT NULL COMMENT '(数量)',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `reagent_consumable_type` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材类型)',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `reference_material_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质编号',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质ID',
  `batch_details_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '入库物品批次ID',
  `lattice_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '格子ID',
  `location` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '位置信息',
  `box_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '柜子ID',
  `code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '领取码',
  `reagent_consumables_set_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '领用物品信息ID',
  `reagent_consumable_stash_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '领用物品ID(分库房)',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(出库内容)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of outgoing_contents
-- ----------------------------

-- ----------------------------
-- Table structure for period_verification_implementation
-- ----------------------------
DROP TABLE IF EXISTS `period_verification_implementation`;
CREATE TABLE `period_verification_implementation`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `audit_opinion_of_technical` varchar(6) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术负责人审核意见)',
  `audit_result_of_technical` tinyint(36) NULL DEFAULT NULL COMMENT '(技术负责人审核结果)',
  `audit_time_of_technical` datetime(6) NULL DEFAULT NULL COMMENT '(技术负责人审核时间)',
  `cause_of_dissatisfaction` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(不满足应用要求原因分析)',
  `checking_time` datetime(6) NULL DEFAULT NULL COMMENT '(核查时间)',
  `commit_status` int(11) NULL DEFAULT NULL COMMENT '(提交状态)',
  `deviation_and_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(偏差/不确定度)',
  `implementation_and_results` varchar(2550) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(核查实施情况及结果)',
  `inspector_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(核查人员ID)',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(编号)',
  `opinion_of_inspector` tinyint(3) NULL DEFAULT NULL COMMENT '(核查人员意见)',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质ID)',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `standard_value_or_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `technical_director_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术负责人ID)',
  `verification_method` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(核查方法)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `period_verification_plan_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '期间核查计划明细ID',
  `reference_material_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质编号',
  `reference_material_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质名称',
  `verification_basis` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '核查依据',
  `result` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '核查结果',
  `commit_time` datetime(6) NULL DEFAULT NULL COMMENT '提交时间',
  `cause_of_dissatisfaction_result` tinyint(6) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准物质期间核查实施情况及结果记录表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of period_verification_implementation
-- ----------------------------

-- ----------------------------
-- Table structure for period_verification_plan
-- ----------------------------
DROP TABLE IF EXISTS `period_verification_plan`;
CREATE TABLE `period_verification_plan`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `date_of_next_check` datetime(6) NULL DEFAULT NULL COMMENT '(下次核查日期)',
  `deviation_and_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(偏差/不确定度)',
  `inspector_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(核查人ID)',
  `instruction_book_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(指导书ID)',
  `planned_verification_cycle` int(5) NULL DEFAULT NULL COMMENT '(计划核查周期)',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质ID)',
  `scheduled_verification_date` datetime(6) NULL DEFAULT NULL COMMENT '(计划核查日期)',
  `standard_value_or_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `verification_basis` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(核查依据)',
  `implementation_date` datetime(6) NULL DEFAULT NULL COMMENT '(核查实施日期)',
  `verification_result` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(核查结果)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `check_schedule_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '期间核查计划主表ID',
  `reference_material_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准物质期间核查计划和确认表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of period_verification_plan
-- ----------------------------

-- ----------------------------
-- Table structure for procurement_content
-- ----------------------------
DROP TABLE IF EXISTS `procurement_content`;
CREATE TABLE `procurement_content`  (
  `procurement_content_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `purchasing_plan_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(采购计划id)',
  `quantity_purchased` int(8) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '(数量)',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `subtotal` double(255, 0) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '(小计)',
  `unit_price` double(10, 2) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '(单价)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `replacement_quantity` int(255) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '换货数量',
  `replacement_reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '换货试剂耗材ID',
  `replacement_price` double(10, 2) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '换货后的单价',
  `details_of_centralized_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '集中采购申请明细ID',
  `number_of_applications` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购申请数量',
  `plan_remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购计划明细备注',
  `replacement_remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '换货信息备注',
  `supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '供应商ID',
  PRIMARY KEY (`procurement_content_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(采购内容)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of procurement_content
-- ----------------------------

-- ----------------------------
-- Table structure for provide_services_or_supplies
-- ----------------------------
DROP TABLE IF EXISTS `provide_services_or_supplies`;
CREATE TABLE `provide_services_or_supplies`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `evaluation_form_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(服务商/供应商评价表ID)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '提供服务或供应品' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of provide_services_or_supplies
-- ----------------------------

-- ----------------------------
-- Table structure for purchase_catalogue
-- ----------------------------
DROP TABLE IF EXISTS `purchase_catalogue`;
CREATE TABLE `purchase_catalogue`  (
  `purchase_catalogue_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `audit_opinion` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核意见\r\n',
  `audit_result` tinyint(255) NULL DEFAULT NULL COMMENT '一级审核结果',
  `audit_time` datetime(6) NULL DEFAULT NULL COMMENT '一级审核时间',
  `auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核人',
  `release_date` datetime(6) NULL DEFAULT NULL COMMENT '发布日期',
  `status` int(255) NULL DEFAULT NULL COMMENT '(状态)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `secondary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核人ID',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `commit_time` datetime(6) NULL DEFAULT NULL,
  `purity_grade` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`purchase_catalogue_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(采购目录)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of purchase_catalogue
-- ----------------------------

-- ----------------------------
-- Table structure for purchase_list
-- ----------------------------
DROP TABLE IF EXISTS `purchase_list`;
CREATE TABLE `purchase_list`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '清单名称',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编号',
  `status` int(9) NULL DEFAULT NULL COMMENT '状态 0 ：未提交 1：已提交',
  `type` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '类型：采购计划/分散采购申请',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(采购清单)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of purchase_list
-- ----------------------------

-- ----------------------------
-- Table structure for purchase_list_details
-- ----------------------------
DROP TABLE IF EXISTS `purchase_list_details`;
CREATE TABLE `purchase_list_details`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `purchase_list_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(采购清单ID)·',
  `purchase_quantity` int(11) NULL DEFAULT NULL COMMENT '(采购量)',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商ID)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `procurement_content_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购i计划表ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(采购清单明细)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of purchase_list_details
-- ----------------------------

-- ----------------------------
-- Table structure for purchasing_plan
-- ----------------------------
DROP TABLE IF EXISTS `purchasing_plan`;
CREATE TABLE `purchasing_plan`  (
  `purchasing_plan_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `appropriation_budget` double(255, 0) NULL DEFAULT NULL COMMENT '(经费预算)',
  `approval_opinion` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审批意见',
  `approval_result` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审批结果',
  `approval_time` datetime(6) NULL DEFAULT NULL COMMENT '审批时间',
  `audit_opinion_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核意见',
  `audit_result_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核结果',
  `audit_time_of_primary` datetime(6) NULL DEFAULT NULL COMMENT '一级审核时间',
  `approver_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审批人ID',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `purchase_list_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(采购清单ID)',
  `primary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核人ID',
  `release_date` datetime(6) NULL DEFAULT NULL COMMENT '发布日期',
  `status` int(11) NULL DEFAULT NULL COMMENT '(状态)',
  `create_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '制定人\r\n',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编号',
  `create_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人名称',
  `commit_time` datetime(6) NULL DEFAULT NULL COMMENT '提交时间',
  `procurement_content_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购计划明细ID',
  PRIMARY KEY (`purchasing_plan_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(采购计划)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of purchasing_plan
-- ----------------------------

-- ----------------------------
-- Table structure for reagent_consumable_inventory
-- ----------------------------
DROP TABLE IF EXISTS `reagent_consumable_inventory`;
CREATE TABLE `reagent_consumable_inventory`  (
  `reagent_consumable_inventory_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材id',
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材名称',
  `brand` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(品牌)',
  `category` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(类别)',
  `deviation_or_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '偏差/不确定度',
  `instruction_book_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(指导书ID)',
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(规格型号)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `standard_value_or_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `technical_parameter` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术参数)',
  `total_quantity` int(55) NOT NULL COMMENT '(总数量)',
  `species` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '种类\r\n',
  `packaged_copies` int(10) NULL DEFAULT NULL COMMENT '包装份数',
  `lattice_Id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '格子ID',
  `configuration_concentration` double(64, 30) NULL DEFAULT NULL COMMENT '配置浓度',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '别名',
  `storage_condition` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '存储条件',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `minimum_unit` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '包装单位',
  `english_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '英文名',
  `unit_price` decimal(10, 2) NULL DEFAULT NULL COMMENT '单价',
  `storage_life` int(6) NULL DEFAULT NULL COMMENT '存储期限',
  `status` int(255) NULL DEFAULT NULL COMMENT '状态',
  `warning_information` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '预警信息',
  `warning_value` int(10) NULL DEFAULT NULL COMMENT '预警值',
  `code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '物品编码',
  `cas_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'CAS编号',
  `purity_grade` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '纯度等级',
  PRIMARY KEY (`reagent_consumable_inventory_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '试剂耗材库存' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of reagent_consumable_inventory
-- ----------------------------
INSERT INTO `reagent_consumable_inventory` VALUES ('005FED89D11E514BBA66AF6DC5A2B165', 'D6ECAC31965A21BB0D9F6F2BC48A80A7', '2ml进样瓶盖（无预开口）', '安捷伦', '耗材', NULL, NULL, '5183-2076,100个/包,100个/包', '2023-09-15 15:37:35.000000', '2023-09-15 15:41:00.000000', '1', NULL, '/', NULL, 1, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '包', NULL, 1.00, NULL, NULL, '库存不足', 1, '5183-2076', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('00EDD8EF50EA7DB6B96369C1809EAF1D', 'DDBF76CCB2B3435321ABAD4891D6DB0C', '一次性玻璃巴氏吸管', 'Brand', '耗材', NULL, NULL, '225mm,250支/盒,250支/盒', '2023-09-15 15:37:36.000000', '2023-09-15 15:41:00.000000', '1', NULL, '/', NULL, 36, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, '库存充足', 1, '747720', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('010556662EB707D1C0991DBEB62E43E2', 'CE7628D6F1626B24EC509D5BA2167CAF', '正庚烷', '科密欧', '试剂', NULL, NULL, '500ml/瓶', '2023-09-15 15:39:05.000000', '2023-09-15 15:41:00.000000', '1', NULL, '/', NULL, 7, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('01CC6538E992DB61DC8C220D08F28C45', 'C04523B9C6A37E575599BE9C9E57647E', '1,3,5-三噁烷', 'Sigma-Aldrich', '试剂', NULL, NULL, '≥99%', '2023-09-15 15:39:15.000000', '2023-09-15 15:41:00.000000', '1', NULL, '/', NULL, 1, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('022AC19602340F8D5F267D99E6E036FD', '0ECA17F366E604B0DEA9A417AB32384B', '乙腈', 'Fisher', '试剂', NULL, NULL, '4L/瓶', '2023-09-15 15:39:20.000000', '2023-09-15 15:41:00.000000', '1', NULL, '/', NULL, 2, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'HPLC，GC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('027484D18F7E503DBBE4F377AEC890A9', '046FD6ED840F319D3FBFBB661DEE75B7', '滴管', 'n/a', '耗材', NULL, NULL, '15cm', '2023-09-15 15:38:18.000000', '2023-09-15 15:41:00.000000', '1', NULL, '/', NULL, 20, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('03A55944FBCD333B0B1D6E149B22035F', '94CBDBF12B56720F67EE65FD81BA2F28', 'N、N-二乙基-7-甲基-4,6,6a，7,8,9-六氢吲哚[4,3-fg]喹啉-9-羧酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:03.000000', '2023-09-15 15:41:00.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'LSD', '冷藏贮存', 'GASS-340', '瓶', 'N,N-diethyl-7-methyl-4,6,6a,7,8,9-hexahydroindolo[4,3-fg]quinoline-9-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '50-37-3', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('03EF30B860E3E9E6B84605CCF5B5DCCB', '1CC4CEA927A8BB374265D65620A3FD53', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)乙酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:12.000000', '2023-09-15 15:41:00.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '对氟苯基乙酰基芬太尼', '冷藏贮存', 'GASS-387', '瓶', 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)acetamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '244195-30-0', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('04CEDA74953AD6DB632520184F611ECF', 'A192AC84D1689BA4DA7456F7E78B2FEB', '乙醇', '利安隆博华', '试剂', NULL, NULL, '500ml/瓶', '2023-09-15 15:39:06.000000', '2023-09-15 15:41:00.000000', '1', NULL, '/', NULL, 20, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('051AD891A93857E68BA3511EE5009026', 'DAF87B5B8B92C4EED170B4A4803CF383', '(1-(5-氟戊基)-1H-吲哚-3-基)(2,2,3,3-四甲基环丙基)甲酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:34.000000', '2023-09-15 15:41:00.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '5F-UR-144', '冷藏贮存', 'GASS-040', '瓶', '(1-(5-fluoropentyl)-1H-indol-3-yl)(2,2,3,3-tetramethylcyclopropyl)methanone', 1.00, NULL, NULL, '库存不足', 1, NULL, '1364933-54-9', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('054DE062F40F401B4D6B36AE1CC69C8E', 'BEACD5C14D52C69D49ECBF78A4785E51', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)戊酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:08.000000', '2023-09-15 15:41:00.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '对甲苯基正戊酰基芬太尼', '冷藏贮存', 'GASS-377', '瓶', 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)pentanamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('0614FC32C7194C7948D20B6BA3A3A81E', '6DC45446AC62C51DDE0D79E43050BEE0', 'LG玻板抽滤漏斗', '垒固', '耗材', NULL, NULL, '250ml', '2023-09-15 15:38:43.000000', '2023-09-15 15:41:00.000000', '1', NULL, '/', NULL, 4, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('06CA47681E0F393001A656B648E216BE', '69652FEBD63A44FD0FAB78ADF7629DFC', '自封袋', '苹果牌京惠思创', '耗材', NULL, NULL, '9号，,100个/包,100个/包', '2023-09-15 15:37:42.000000', '2023-09-15 15:41:00.000000', '1', NULL, '/', NULL, 6, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '包', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('06DF19156D4EF690A0C76CB0A06BB398', '79379D270104847DE58817C78B7FAFB9', '移液枪吸头0.5-20uL', 'Brand', '耗材', NULL, NULL, '10包/盒,10包/盒', '2023-09-15 15:37:44.000000', '2023-09-15 15:41:00.000000', '1', NULL, '/', NULL, 2, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, '库存充足', 1, '732224', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('073ADBB1B1B39082EE8AE412B73C7B4A', '7254D5604599AAC6C7173AFC38880DBA', '1ml有机相枪头', 'RAININ　1000ul', '耗材', NULL, NULL, 'disposable capillaries/pistons 17008609,180个/盒,180个/盒', '2023-09-15 15:37:29.000000', '2023-09-15 15:41:00.000000', '1', NULL, '/', NULL, 3, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '污水专用', '盒', NULL, 1.00, NULL, NULL, '库存充足', 1, '17008609', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('075D776928211DF9BEE8C57E8B6FE80A', '40AA11EC8A3B8B9705E7ED110DF93F26', '容量瓶 200mL ', 'Brand', '耗材', NULL, NULL, '棕色,/,/', '2023-09-15 15:37:43.000000', '2023-09-15 15:41:00.000000', '1', NULL, '/', NULL, 2, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '个', NULL, 1.00, NULL, NULL, '库存充足', 1, '37488', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('07C406C1BBC2E5B87537CA8ACDC2201D', '2A74F4E27DAD92C91DACC23A2FF7E115', '氢氧化钠（片状）', '科密欧', '试剂', NULL, NULL, '500g/瓶', '2023-09-15 15:39:10.000000', '2023-09-15 15:41:00.000000', '1', NULL, '/', NULL, 3, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('09396939F1488F037F1323D98504F0D4', 'FD8971240DA4B438475C378710813825', '乙酸铵', '大茂', '试剂', NULL, NULL, '500克/瓶', '2023-09-15 15:37:58.000000', '2023-09-15 15:41:00.000000', '1', NULL, '/', NULL, 4, '普通试剂', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '瓶', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, '优级纯');
INSERT INTO `reagent_consumable_inventory` VALUES ('0A0F6CA359B47F20F062D320B3A68CF8', '327840599C60462FC657BCD00F6FD761', '枪头', 'sartorius', '耗材', NULL, NULL, '200ul', '2023-09-15 15:38:51.000000', '2023-09-15 15:41:00.000000', '1', NULL, '/', NULL, 1, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('0A513788505FD070D8B9A7E132DB8E6C', 'C84A5741DA1DF1776DE7B321239DACE6', '2-(1-(5-氟戊基)-1H-吲哚-3-甲酰胺)-3,3-二甲基丁酸乙酯', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:53.000000', '2023-09-15 15:41:00.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '5F-EDMB-PICA', '冷藏贮存', 'GASS-296', '瓶', 'ethyl 2-(1-(5-fluoropentyl)-1H-indole-3-carboxamido)-3,3-dimethylbutanoate', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('0A9A7132447B02BA21F5E8D9B271D81A', '692B9468A3D522A971978AD35F476787', '2-(1-(5-氟戊基)-1H-吲唑-3-甲酰胺)-3,3-二甲基丁酸甲酯', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:44.000000', '2023-09-15 15:41:00.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '5F-ADB', '冷藏贮存', 'GASS-078', '瓶', 'methyl 2-(1-(5-fluoropentyl)-1H-indazole-3-carboxamido)-3,3-dimethylbutanoate', 1.00, NULL, NULL, '库存不足', 1, NULL, '1715016-75-3', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('0AC99A942EFE2BFEF2089742F63FC094', '6ACC762A0D75DFD3EFA68E1D1638EFC0', '隔垫', '岛津', '耗材', NULL, NULL, '货号221-76650-01,25个/盒', '2023-09-15 15:38:12.000000', '2023-09-15 15:41:00.000000', '1', NULL, '/', NULL, 1, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('0ACAAB7973921CE1CBB82BF3C19A0514', '1EDCF8BA3B8091F30183CBCBB40FF662', '一次性塑料滴管 2mL', '国产', '耗材', NULL, NULL, '100支/包,100支/包', '2023-09-15 15:37:49.000000', '2023-09-15 15:41:00.000000', '1', NULL, '/', NULL, 7, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '后续不再购买', '包', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('0ADFC2B82EEECE6E1A6916EF6229DFF9', '76D6B2BB645EB51E397748E44610D528', '螺口试剂瓶', '蜀牛', '耗材', NULL, NULL, ' 5000mL,/,/', '2023-09-15 15:37:41.000000', '2023-09-15 15:41:00.000000', '1', NULL, '/', NULL, 1, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '个', NULL, 1.00, NULL, NULL, '库存不足', 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('0C07893BAC3D630FA52478D18EC72394', '63101C9A6EDF9D35FED2D46147F810B5', '色谱柱ACQUITY UPLC BEH C18 Column, ', 'Waters', '耗材', NULL, NULL, ' 1.7 µm, 2.1 mm X 100 mm,1/根,1/根', '2023-09-15 15:37:53.000000', '2023-09-15 15:41:00.000000', '1', NULL, '/', NULL, 3, '色谱柱', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '根', NULL, 1.00, NULL, NULL, '库存充足', 1, '186002352', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('0C662C070679CB5BBB7535C2BC4D8D33', 'B2F1FEF132C587A7C1278247AAF3ADF8', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)环丙烷甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:09.000000', '2023-09-15 15:41:00.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '对氟苯基环丙甲酰基芬太尼', '冷藏贮存', 'GASS-380', '瓶', 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)cyclopropanecarboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '2306825-52-3', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('0CCAF7534D5CAC51A0E3836881B21845', '04324DA0CB78A8189E6DCA62C265391F', '2-苯基-2-(哌啶-2-基)乙酸甲酯', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:56.000000', '2023-09-15 15:41:00.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '哌甲酯盐酸盐', '冷藏贮存', 'GASS-314', '瓶', 'methyl 2-phenyl-2-(piperidin-2-yl)acetate', 1.00, NULL, NULL, '库存不足', 1, NULL, '20748-11-2', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('0CEB170627996AE060CCA615193412BE', '28E449B72E00070F8A164AEDBDF9FF39', '容量瓶', 'Brand', '耗材', NULL, NULL, '50ml', '2023-09-15 15:38:32.000000', '2023-09-15 15:41:00.000000', '1', NULL, '/', NULL, 11, '普通耗材', 2, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('0D885244728930CCD06C63D3E0890DC1', '59F250B86D37FB86818B26CCF180553F', '正十九烷', 'Sigma-Aldrich', '试剂', NULL, NULL, '25g/瓶,99%', '2023-09-15 15:39:06.000000', '2023-09-15 15:41:00.000000', '1', NULL, '/', NULL, 2, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, '其他');
INSERT INTO `reagent_consumable_inventory` VALUES ('0DC7F9573A8B0CAA7AAB903F3454055D', '101FF519C486DAFF2BDB6E19BA3C8B63', '丙二酸二乙酯', '麦克林', '试剂', NULL, NULL, '99%，500ml/瓶', '2023-09-15 15:39:00.000000', '2023-09-15 15:41:00.000000', '1', NULL, '/', NULL, 1, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('0E173A20EFDDC3EF4672986859FA33A7', '5CB988E9DA39EAA79B1DDEE13E93A819', '药匙', 'n/a', '耗材', NULL, NULL, '16cm', '2023-09-15 15:38:23.000000', '2023-09-15 15:41:00.000000', '1', NULL, '/', NULL, 6, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('0F80C1EE1F868255B421B9F7453C9FEA', '23879B5222DABD0063CA40B49CA3D7FE', '200ul枪头', 'Brand', '耗材', NULL, NULL, '容量200ul,96个/盒,96个/盒', '2023-09-15 15:37:33.000000', '2023-09-15 15:41:00.000000', '1', NULL, '/', NULL, 90, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, '库存充足', 1, '732028', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('100BC0E10D909A4EE26ADC295CDAA3F3', '08C944AC6EA651068699B9CAAC437A18', '氯化钠', '科密欧', '试剂', NULL, NULL, '500g/瓶', '2023-09-15 15:39:07.000000', '2023-09-15 15:41:00.000000', '1', NULL, '/', NULL, 20, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('107DDA75E54ABC8DFD45952C61F7578A', '3DC7E6FE4933BFC2A90E2A3594C7FE37', '(1-(5-氟戊基)-1H-吲哚-3-羰基)缬氨酸乙酯', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:55.000000', '2023-09-15 15:41:01.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '5F-EMB-PICA', '冷藏贮存', 'GASS-308', '瓶', 'ethyl(1-(5-fluoropentyl)-1H-indole-3-carbonyl)valinate', 1.00, NULL, NULL, '库存不足', 1, NULL, '2648861-83-8', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('10E816FE1A032C475D5FA6B18537B6DB', '18F5138D8CF9E36ADB6D955ED1403C29', '四氢呋喃', '阿拉丁', '试剂', NULL, NULL, '500ml/瓶,99%', '2023-09-15 15:39:08.000000', '2023-09-15 15:41:01.000000', '1', NULL, '/', NULL, 1, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('111F380B1D8CE16B5CECFA2ACAD9D971', 'CD3D78322B59A5E0FC60BCA60E8A3AB1', '(4-乙基萘-1-基)(1-戊基-1H-吲哚-3-基)甲酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:40.000000', '2023-09-15 15:41:01.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'JWH-210', '冷藏贮存', 'GASS-064', '瓶', '(4-ethylnaphthalen-1-yl)(1-pentyl-1H-indol-3-yl)methanone', 1.00, NULL, NULL, '库存不足', 1, NULL, '824959-81-1', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('1185A2A1DB0EF7E2A3FA9E02F0569B61', 'BF261579B8D44D68831338A5BEE57D0D', '4-(三氟甲基)苄溴', '阿拉丁', '试剂', NULL, NULL, '98%，25g/瓶', '2023-09-15 15:39:23.000000', '2023-09-15 15:41:01.000000', '1', NULL, '/', NULL, 2, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, '402-49-3', 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('1200BEFAC3FB7EBCD8160085BA1738FC', 'C98DCEE26183ADE54AFA3321BA795361', 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(环己基甲基)-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:35.000000', '2023-09-15 15:41:01.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'AB-CHMINACA', '冷藏贮存', 'GASS-043', '瓶', 'N-(1-amino-3-methyl-1-oxobutan-2-yl)-1-(cyclohexylmethyl)-1H-indazole-3-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '1185887-21-1', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('120DEB8540A3B273C82732C7F027844F', '1D52A1A603C7502E6B7FB5CF7515CC3F', '称量纸 100*100mm', '/', '耗材', NULL, NULL, ' 100*100mm,500张/包,500张/包', '2023-09-15 15:37:46.000000', '2023-09-15 15:41:01.000000', '1', NULL, '/', NULL, 3, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '包', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('124B1B955310AD8EB5E4DEC36861C2E0', '250EAF8A972CB4F00C97DE63FC8F0EB8', '无水碳酸钠', '光富', '试剂', NULL, NULL, '500克/瓶', '2023-09-15 15:38:00.000000', '2023-09-15 15:41:01.000000', '1', NULL, '/', NULL, 3, '普通试剂', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '瓶', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, '优级纯');
INSERT INTO `reagent_consumable_inventory` VALUES ('1336AAEA24A136817A6BAB3DE95B11D3', 'E387BC0E49FB373C0E3884AD5639458C', 'O型圈', '岛津', '耗材', NULL, NULL, '货号036-11203-84，5个/袋', '2023-09-15 15:38:11.000000', '2023-09-15 15:41:01.000000', '1', NULL, '/', NULL, 2, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '袋', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('13478FB4C3FC7291053C457696B887D3', 'C24BF4B6B94BC832825DBDC01E46A859', '保鲜自封袋6号', '苹果', '耗材', NULL, NULL, '120x170mm', '2023-09-15 15:38:04.000000', '2023-09-15 15:41:01.000000', '1', NULL, '/', NULL, 100, '普通耗材', 100, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('13E153227C428D9BBB18E43F5B437AD7', '777CD747287FBCD32FDC51F4195EF872', '一次性蓝色丁腈手套', '柯沃', '耗材', NULL, NULL, 'S', '2023-09-15 15:38:52.000000', '2023-09-15 15:41:01.000000', '1', NULL, '/', NULL, 42, '普通耗材', 10, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('151A588F35BC39177C8731F30737332A', '7BF447BD6F8CFF9A79554A92B34DC4E5', '量杯 塑料 3L', '/', '耗材', NULL, NULL, '/,/', '2023-09-15 15:37:50.000000', '2023-09-15 15:41:01.000000', '1', NULL, '/', NULL, 2, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '后续不再购买', '个', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('153C9FD7C770410E0198451B912D008A', '807A6E375F1047BBE8C88DCEC78C9654', '定量滤纸', '双联牌', '耗材', NULL, NULL, '7cm,快速', '2023-09-15 15:38:49.000000', '2023-09-15 15:41:01.000000', '1', NULL, '/', NULL, 19, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('154A94728E31FC4D4B5F21AD557A340B', '1EC308E5D0420A58A374AD93873CA87A', '1-(4-氯-2,5-二甲氧基苯基)丙-2-胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:31.000000', '2023-09-15 15:41:01.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'DoC', '冷藏贮存', 'GASS-013', '瓶', '1-(4-chloro-2,5-dimethoxyphenyl)propan-2-amine', 1.00, NULL, NULL, '库存不足', 1, NULL, '123431-31-2', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('15FAF2D2BDD0C8B92809D132CED54644', '1E14425B115F4BAD8E3C26EA796BEE4F', '1H-吲唑-3-羧酸甲酯', '阿拉丁', '试剂', NULL, NULL, '97%，5g/瓶', '2023-09-15 15:39:21.000000', '2023-09-15 15:41:01.000000', '1', NULL, '/', NULL, 2, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, '43120-28-1', 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('16E5CE1ED90C9CC8F515230D9C3D7B08', 'F36951DCDBEB9B242604A2C229C33C4A', '三（羟甲基）氨基甲烷', '沪试', '试剂', NULL, NULL, '100g/瓶', '2023-09-15 15:39:10.000000', '2023-09-15 15:41:01.000000', '1', NULL, '/', NULL, 2, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('17844BE43371CE7FF8906E0D7E5DB583', '392102DAF8E7C6DBA6009AF9104B10BA', 'L-缬氨酰胺盐酸盐', '阿拉丁', '试剂', NULL, NULL, '98%，25g/瓶', '2023-09-15 15:39:23.000000', '2023-09-15 15:41:01.000000', '1', NULL, '/', NULL, 2, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, '3014-80-0', 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('181710C5A2F13DE25CC4DDB3CDFB7A48', '831D5E9354A7484507E4ED8AAE27B36F', '白色药瓶', 'n/a', '耗材', NULL, NULL, '20ml', '2023-09-15 15:38:28.000000', '2023-09-15 15:41:01.000000', '1', NULL, '/', NULL, 20, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('18A9B6EFD97B09047EB1FAD584DFF5C0', 'D373C0683D435D8F71FD959D189E1B36', ' 移液枪吸头10uL', '赛多利斯', '耗材', NULL, NULL, '1000个/包,1000个/包', '2023-09-15 15:37:51.000000', '2023-09-15 15:41:01.000000', '1', NULL, '/', NULL, 4, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '后续不再购买', '包', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('18B1F37A9368A0DFC5BC3A31CB3B5A13', 'A7A59722221DFC043BE14FB8694AD529', '移液枪吸头0.5-20uL', 'Brand', '耗材', NULL, NULL, '10包/盒,10包/盒', '2023-09-15 15:37:43.000000', '2023-09-15 15:41:01.000000', '1', NULL, '/', NULL, 20, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, '库存充足', 1, '732224', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('18C91C03AB43EF19BCD4C09257A1129C', '9566680FF32B5A51E890DCA421FA42F6', '固相萃取小柱', '睿科', '耗材', NULL, NULL, 'RayCure MCX 60mg/3mL，50/pk,50个/盒,50个/盒', '2023-09-15 15:37:32.000000', '2023-09-15 15:41:01.000000', '1', NULL, '/', NULL, 49, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '污水专用', '盒', NULL, 1.00, NULL, NULL, '库存充足', 1, 'E0122502', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('19041BB62DA7FBF5609667B5D345C002', 'A3B377FFFBC1A71282F2C2A57F4029A3', '螺口试剂瓶', '蜀牛', '耗材', NULL, NULL, ' 5000mL,/,/', '2023-09-15 15:37:41.000000', '2023-09-15 15:41:01.000000', '1', NULL, '/', NULL, 4, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '个', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('190DD8B0C96BA7F66C6409CB58A9C915', '82D6060525A09FDD5D01C7A6EF0D1E67', '异辛烷', 'Supelco', '试剂', NULL, NULL, '1L/瓶', '2023-09-15 15:39:21.000000', '2023-09-15 15:41:01.000000', '1', NULL, '/', NULL, 1, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('19C9A3506FAE5C1C707C856F093C6D03', '798D17A2AE9E77A535794E5DF1D000A4', '2-(1-(5-氟戊基)-1H-吲哚-3-甲酰胺-4,5,6,7-d4)-3,3-二甲基丁酸甲酯', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:22.000000', '2023-09-15 15:41:01.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'D4-5F-MDMB-PICA', '冷藏贮存', 'GASS-465', '瓶', 'methyl 2-(1-(5-fluoropentyl)-1H-indole-3-carboxamido-4,5,6,7-d4)-3,3-dimethylbutanoate', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('19D45FFB53C60A03CAA2179C30CC2E3D', '83E79E8F5F5FF12E3EFDE5541361CA13', '进样小瓶', '安捷伦', '耗材', NULL, NULL, '2ml,5182-0714，100个/盒', '2023-09-15 15:38:39.000000', '2023-09-15 15:41:01.000000', '1', NULL, '/', NULL, 20, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('19DD1921C66B946E02DD5F63B430CAE7', '25A54A895E15718564DD5E7439AC64B9', '封口膜', 'Bemis', '耗材', NULL, NULL, '4IN.*125FT.ROLL，PM-996', '2023-09-15 15:38:07.000000', '2023-09-15 15:41:01.000000', '1', NULL, '/', NULL, 1300, '普通耗材', 100, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('1A2CB4BC4B74C6DC5578B5DB235C17E6', '00922D6F1DE18AB0C10B971CADA1CE85', '1-(2-氟苯基)丙-2-胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:30.000000', '2023-09-15 15:41:01.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '2-FA', '冷藏贮存', 'GASS-001', '瓶', '1-(2-fluorophenyl)propan-2-amine', 1.00, NULL, NULL, '库存不足', 1, NULL, '1716-60-5', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('1A7656A542B627427B95D6C850163563', '601BE37A5B776C219D0850B5F33A9D46', '萘-1-基-1-(5-氟戊基)-1H-吲唑-3-羧酸盐', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:52.000000', '2023-09-15 15:41:01.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '5F-SDB-005', '冷藏贮存', 'GASS-291', '瓶', 'naphthalen-1-yl 1-(5-fluoropentyl)-1H-indazole-3-carboxylate', 1.00, NULL, NULL, '库存不足', 1, NULL, '2185863-14-1', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('1C0FCAB08F99FFFA24CAD8F6E92C5A60', 'D1FE819BE078B87516D6DC7F8ECB6399', '2-(1-(4-氟苄基) -1H-吲唑-3-甲酰胺) -3,3-二甲基丁酸甲酯', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:56.000000', '2023-09-15 15:41:01.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'MDMB-FUBICA', '冷藏贮存', 'GASS-315', '瓶', 'methyl 2-(1-(4-fluorobenzyl)-1H-indole-3-carboxamido)-3,3-dimethylbutanoate', 1.00, NULL, NULL, '库存不足', 1, NULL, '1971007-91-6', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('1C4C7DBD8489AEFBB5B8DAD5085C3642', '8D6EF0F4A6F1A83D3CA000CE74AFFDC7', 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基)-1-(环己基甲基)-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:43.000000', '2023-09-15 15:41:01.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'ADB-CHMINACA', '冷藏贮存', 'GASS-076', '瓶', 'N-(1-amino-3,3-dimethyl-1-oxobutan-2-yl)-1(cyclohexylmethyl)-1H-indazole-3-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '1863065-92-2', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('1C4CA2AC547614CF494AC16B1834EBB8', '02E1FA2FA56F83E2C4C278E694F05874', '2-(1-(4-氟苄基)-1H-吲哚-3-甲酰胺-4,5,6,7-d4)-3,3.二甲基丁酸甲酯', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:22.000000', '2023-09-15 15:41:01.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'D4-MDMB-FUBICA', '冷藏贮存', 'GASS-464', '瓶', 'methyl 2-(1-(4-fluorobenzyl)-1H-indole-3-carboxamido-4,5,6,7-d4)-3,3-dimethylbutanoate', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('1D0DF35B8F1165A9848FF7DDC5661737', '65A34F575012982FB3CB944BC5613E14', '牛皮纸物证袋', 'n/a', '耗材', NULL, NULL, '21*14cm', '2023-09-15 15:38:05.000000', '2023-09-15 15:41:01.000000', '1', NULL, '/', NULL, 100, '普通耗材', 10, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('1D3CCA0BD3C6B4F12FDBDE7993003C1E', '780A873B480A778D4452242E9D73EE2E', '2-(1-(环己基甲基)-1H-吲哚-3-甲酰胺)-3,3-二甲基丁酸甲酯', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:41.000000', '2023-09-15 15:41:01.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'MDMB-CHMICA', '冷藏贮存', 'GASS-067', '瓶', 'methyl2-(1-(cyclohexylmethyl)-1H-indole-3-carboxamido)-3,3-dimethylbutanoate', 1.00, NULL, NULL, '库存不足', 1, NULL, '1971007-95-0', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('1D93707268917B2A1979A5D8081C8045', 'CB1D96D2AFC3035F8BCA93E6ABCCD180', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)环戊酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:10.000000', '2023-09-15 15:41:02.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '对氟苯基环戊甲酰基芬太尼', '冷藏贮存', 'GASS-382', '瓶', 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)cyclopentanecarboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('1E05A2B21EE559B64D45FEEFC85A62A9', '79C99A3409525402DB4E48C3BC49C39C', '15ml塑料离心管', 'CORNING　CentriStar', '耗材', NULL, NULL, 'PET塑料,10包/箱  1包/50,10包/箱  1包/50', '2023-09-15 15:37:37.000000', '2023-09-15 15:41:02.000000', '1', NULL, '/', NULL, 28, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '箱', NULL, 1.00, NULL, NULL, '库存充足', 1, '430790', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('1E4C87F4356E0DB68389506CC2B4CE80', '2121EE277B25E4C98A1122C03250788B', '刮刀', 'n/a', '耗材', NULL, NULL, '10cm', '2023-09-15 15:38:25.000000', '2023-09-15 15:41:02.000000', '1', NULL, '/', NULL, 3, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('1E91E1687936D98EA8C9EAAF880D456C', '0E96CF1FC2708D823721E364D8CE8333', '2-(吡咯烷-1-基)-1-(对甲苯基)丙-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:00.000000', '2023-09-15 15:41:02.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'N-环丁基-对甲-卡西酮盐酸盐', '冷藏贮存', 'GASS-333', '瓶', '2-(pyrrolidin-1-yl)-1-(p-tolyl)propan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '1313393-58-6', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('1F144A31D5D9D14524FABBF757198557', 'EF7F1794AA4F2187AC99AFDB5D8823BB', '2-(1-(5-氟戊基)-1H-吲唑-3-甲酰胺-4,5,6,7-d4)-3,3-二甲基丁酸甲酯', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:24.000000', '2023-09-15 15:41:02.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'D4-5F-ADB', '冷藏贮存', 'GASS-503', '瓶', 'methyl 2-(1-(5-fluoropentyl)-1H-indazole-3-carboxamido-4,5,6,7-d4)-3,3-dimethylbutanoate', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('1FB929E52668CEAD521BB564546DC4E2', '9EB840E33698F62F8315871ACC2FD20E', '5ml连盖离心管', 'CYPRESS', '耗材', NULL, NULL, '300个/包,300个/包', '2023-09-15 15:37:39.000000', '2023-09-15 15:41:02.000000', '1', NULL, '/', NULL, 17, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '包', NULL, 1.00, NULL, NULL, '库存充足', 1, '0200050', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('1FCBF1BA3A3BECAC6D4584C5E3404CA8', 'D8C94272FE9F13CF854A257DA194A7DC', '密封垫', '岛津', '耗材', NULL, NULL, '货号221-48972-91，20个/盒', '2023-09-15 15:38:11.000000', '2023-09-15 15:41:02.000000', '1', NULL, '/', NULL, 1, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('20CE871A16DFFC22720A22F62A31EEDE', '2CC8200BDFCF51C67F8426AF40E72289', '100ul有相机枪头', 'RAININ    100ul ', '耗材', NULL, NULL, 'disposable capillaries/pistons 17008607,180个/盒,180个/盒', '2023-09-15 15:37:30.000000', '2023-09-15 15:41:02.000000', '1', NULL, '/', NULL, 27, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '污水专用', '盒', NULL, 1.00, NULL, NULL, '库存充足', 1, '17008607', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('20DE58DDB05816EE0ACBD62B5B792C0A', '5A4DC649C26BBB07D460FE40E9371AD3', '甲醇', 'Supelco', '试剂', NULL, NULL, '4L/瓶', '2023-09-15 15:37:55.000000', '2023-09-15 15:41:02.000000', '1', NULL, '/', NULL, 21, '普通试剂', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '瓶', NULL, 1.00, NULL, NULL, '库存充足', 1, '1.06007.4008', NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('2135036E100CF133212B8544351E7DF1', '4FB9FC6971EF5B4C772D086B9934FA56', '血清移液管', 'n/a', '耗材', NULL, NULL, '50ml', '2023-09-15 15:38:16.000000', '2023-09-15 15:41:02.000000', '1', NULL, '/', NULL, 20, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('2145933D2465C892536501147E357FD3', '118EE35B599EC1F7CA064F1C2AE748CA', '一次性塑料烧杯', 'n/a', '耗材', NULL, NULL, '100ml', '2023-09-15 15:38:42.000000', '2023-09-15 15:41:02.000000', '1', NULL, '/', NULL, 10, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('214DD5D38BF90B723188253B39E1FA8A', 'A5439FC79759BE2A4F9BFD776071D5A0', '喹啉-8-基-1-戊基-1H-吲哚-3-羧酸盐', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:41.000000', '2023-09-15 15:41:02.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'PB-22', '冷藏贮存', 'GASS-069', '瓶', 'quinolin-8-y1-pentyl-1H-indole-3-carboxylate', 1.00, NULL, NULL, '库存不足', 1, NULL, '1400742-17-7', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('216C4E9C0672D7303529270248860A03', 'BCECF36D5368E92FAF9AB6B1EFAE9E3A', '进口滤膜', '津隆', '耗材', NULL, NULL, '13mm，有机尼龙66,0.45um，货号：JLSN024501', '2023-09-15 15:38:50.000000', '2023-09-15 15:41:02.000000', '1', NULL, '/', NULL, 9, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('221FD5956B19428E7BAACE9D85879166', 'FF20DBBEA74DDF7F3523BBBB89F25042', '容量瓶 100mL ', 'Brand', '耗材', NULL, NULL, '棕色,/,/', '2023-09-15 15:37:42.000000', '2023-09-15 15:41:02.000000', '1', NULL, '/', NULL, 3, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '个', NULL, 1.00, NULL, NULL, '库存充足', 1, '37487', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('224350D201900AA9A7F38EC304C03E1E', 'B4CB7A9A63E4C2DFB95C50B4F25E36FB', '2-(甲氨基)-1-(对甲苯基)丙-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:47.000000', '2023-09-15 15:41:02.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '4-甲基甲卡西酮(盐酸盐)', '冷藏贮存', 'GASS-164', '瓶', '2-(methylamino)-1-(p-tolyl)propan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '1189726-22-4', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('22C2C9462D1582273FE32C41D911E8F7', '948E93DF9677622D36A1FAD56FDC61B1', 'DMAP, 4-二甲氨基吡啶', '阿拉丁', '试剂', NULL, NULL, '99%, 100g/瓶', '2023-09-15 15:39:25.000000', '2023-09-15 15:41:02.000000', '1', NULL, '/', NULL, 2, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, '1122-58-3', 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('22E5D4F2180383B968C350ED0F6AAE9B', '9B9B9B33E8C0BC6FBAEFA1359181C76E', '容量瓶', 'Bomex', '耗材', NULL, NULL, '250ml', '2023-09-15 15:38:34.000000', '2023-09-15 15:41:02.000000', '1', NULL, '/', NULL, 11, '普通耗材', 6, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('233356A77F49004E4137C1E0ABBDB022', 'C08A2C9A41E28B984CDDF83C5598F3AF', '丙酮', '西陇', '试剂', NULL, NULL, '500ml/瓶', '2023-09-15 15:39:02.000000', '2023-09-15 15:41:02.000000', '1', NULL, '/', NULL, 3, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('23FBC9331780C1D7748DF5DA9C2C470F', '6331A21CEEE8497D00FCABADC83C96E2', '无水磷酸二氢钠', '麦克林', '试剂', NULL, NULL, 'HPLC,50G', '2023-09-15 15:39:12.000000', '2023-09-15 15:41:02.000000', '1', NULL, '/', NULL, 1, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('2481AA2723CB0B379290FAA3518E9DC8', '21327E338B3FDCC56850E0F5E9F80128', '干燥器', 'n/a', '耗材', NULL, NULL, '300mm', '2023-09-15 15:38:55.000000', '2023-09-15 15:41:02.000000', '1', NULL, '/', NULL, 4, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('248D8635E484C979E12BCDE1206D50BE', 'D81C96C09AD28926A5F399A129CC2D4D', '移液管', 'MC', '耗材', NULL, NULL, '20ml', '2023-09-15 15:38:14.000000', '2023-09-15 15:41:02.000000', '1', NULL, '/', NULL, 20, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('24C9BDECBC82D660991411DB70C9E30A', '79EC6EF7A739DA1C225AFE80A6637465', '利血平', 'Sigma-Aldrich', '试剂', NULL, NULL, '5g/瓶,99%', '2023-09-15 15:39:16.000000', '2023-09-15 15:41:02.000000', '1', NULL, '/', NULL, 1, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('25646961E4E7329463FFCC1EB0E6A0C4', 'DDD839D2FC03F8497CC4DE56FC0CF539', '血清移液管', 'n/a', '耗材', NULL, NULL, '10ml', '2023-09-15 15:38:16.000000', '2023-09-15 15:41:02.000000', '1', NULL, '/', NULL, 18, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('2569B5A11C287F963CE7A180A61F278B', '67A633EB439EAE5A163E5974A07C63DB', '1-(苯并[d][1,3]二羟基-5-基)-2-(甲氨基)丙-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:47.000000', '2023-09-15 15:41:02.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '3,4-亚甲二氧基甲卡西酮(盐酸盐)', '冷藏贮存', 'GASS-165', '瓶', '1-(benzo[d][1,3]dioxol-5-yl)-2-(methylamino)propan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '186028-79-5', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('25754236886AB26BF41D47EA57DB71A5', 'CD36486C3628E679A587A5F2BD5C6AB6', '白凡士林', '上海商习伟康', '试剂', NULL, NULL, '500g/瓶', '2023-09-15 15:39:08.000000', '2023-09-15 15:41:02.000000', '1', NULL, '/', NULL, 4, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, '其他');
INSERT INTO `reagent_consumable_inventory` VALUES ('2578B70B30E6D751BF269D78A1ACAE0D', '00805F189C07FBB430A19400AE84E36D', '2-(乙基氨基)-1-苯基丙-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:46.000000', '2023-09-15 15:41:02.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '乙卡西酮(盐酸盐)', '冷藏贮存', 'GASS-127', '瓶', '2-(ethylamino)-1-phenylpropan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '18259-37-5', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('25A4D594985E5B8FA8253127BAB6E9BA', '05CBD8ED3398A1995005D56672C0A329', '甲醇', 'Thermo', '试剂', NULL, NULL, '4L/瓶', '2023-09-15 15:39:20.000000', '2023-09-15 15:41:02.000000', '1', NULL, '/', NULL, 1, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, 'HPLC，GC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('25D9C5F994BF5D3CB95BA23C5D633850', 'ACBA090E05E524A2BA04D48D336D19B1', '二氯甲烷', 'CNW', '试剂', NULL, NULL, '4l/瓶', '2023-09-15 15:39:03.000000', '2023-09-15 15:41:02.000000', '1', NULL, '/', NULL, 2, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('25DD9C9C6F6DC5D040C39EA438DFAAC0', 'C6657E9DD25F3375AA5FB22F45D0EE48', '牛皮纸物证袋', 'n/a', '耗材', NULL, NULL, '16.5*9.8cm', '2023-09-15 15:38:05.000000', '2023-09-15 15:41:02.000000', '1', NULL, '/', NULL, 160, '普通耗材', 10, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('25EF5CC834C19341C344D2A26F6F67A0', 'D24D6047B79AA6F9A6977360AA04AD26', '带塞溶剂瓶', 'n/a', '耗材', NULL, NULL, '250ml', '2023-09-15 15:38:44.000000', '2023-09-15 15:41:02.000000', '1', NULL, '/', NULL, 19, '普通耗材', 10, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('25FB213F9D7B4DC89A2F9AF796D9467E', '130485479725E1570E1FDA24B63DE8C1', '镊子', 'n/a', '耗材', NULL, NULL, '直头，20cm', '2023-09-15 15:38:25.000000', '2023-09-15 15:41:02.000000', '1', NULL, '/', NULL, 2, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('2622670659B5515602B5848E0B06C1A2', 'BBAF89C60598EBC5705C7330925520A0', '3,4-二甲基-2-苯基吗啉', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:55.000000', '2023-09-15 15:41:02.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '苯甲曲秦', '冷藏贮存', 'GASS-312', '瓶', '3,4-dimethyl-2-phenylmorpholine', 1.00, NULL, NULL, '库存不足', 1, NULL, '634-03-7', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('26883D374C34691D65C1E3B548CB61EC', 'D578219272D51B0D2FC770FF3A7879AC', '碳酸氢钠', '科密欧', '试剂', NULL, NULL, '500克/瓶', '2023-09-15 15:38:00.000000', '2023-09-15 15:41:02.000000', '1', NULL, '/', NULL, 2, '普通试剂', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '瓶', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, '优级纯');
INSERT INTO `reagent_consumable_inventory` VALUES ('27050D019C082F72F952FF93DFEA68D1', '8AFDA5ADC38E2AE510AC3BF12C84F2C2', '移液管', 'MC', '耗材', NULL, NULL, '50ml', '2023-09-15 15:38:13.000000', '2023-09-15 15:41:02.000000', '1', NULL, '/', NULL, 20, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('2735608C02CE521A01C6864F03E54760', '07E02A6DF0D7CDB829BB95F1B0657D0F', '手套', '科邦', '耗材', NULL, NULL, '橡胶，S号,200只/盒,200只/盒', '2023-09-15 15:37:46.000000', '2023-09-15 15:41:03.000000', '1', NULL, '/', NULL, 8, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('285F3493E55D5A76F198FA08591CB534', '1424383A929A059F7B634B0C6EB581D2', '乙酸乙酯', 'GRACE', '试剂', NULL, NULL, '4L/瓶', '2023-09-15 15:37:59.000000', '2023-09-15 15:41:03.000000', '1', NULL, '/', NULL, 5, '普通试剂', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '瓶', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('28B2FFFB8164C67F11A75FB22FD3ACCE', '32B5B787A02F46E95EFFFEB0A89109DD', '移液枪500-5000uL', '赛多利斯 ', '耗材', NULL, NULL, '/,/', '2023-09-15 15:37:50.000000', '2023-09-15 15:41:03.000000', '1', NULL, '/', NULL, 1, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '后续不再购买', '个', NULL, 1.00, NULL, NULL, '库存不足', 1, '39086984', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('2916F7A6152E1F08C27DDB20961CB02B', '0F298940CF8BA5E47E115C4782C5F2C9', '萘-1-基(4-(戊基氧基)萘-1-基)甲酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:39.000000', '2023-09-15 15:41:03.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'CB-13', '冷藏贮存', 'GASS-053', '瓶', 'naphthalen-1-yl(4-(pentyloxy)naphthalen-1-yl)methanone', 1.00, NULL, NULL, '库存不足', 1, NULL, '432047-72-8', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('2AA35241919B778E8A1F70A77E768DD6', '6FDD45900A9E8C327515978AD5767482', 'O型圈', '安捷伦', '耗材', NULL, NULL, '货号5188-5365，10个/盒', '2023-09-15 15:38:12.000000', '2023-09-15 15:41:03.000000', '1', NULL, '/', NULL, 5, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('2AD6617D3DB1E13E8FD8AB67B528F100', '1475E43FB18419DC3D7BCA7374AB338A', '碳酸氢钠', '光富', '试剂', NULL, NULL, '500克/瓶', '2023-09-15 15:38:00.000000', '2023-09-15 15:41:03.000000', '1', NULL, '/', NULL, 3, '普通试剂', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '瓶', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, '优级纯');
INSERT INTO `reagent_consumable_inventory` VALUES ('2AE3FBA2692DB159077114CEC13C2F8B', 'C1DB44A1BC14FD0189EFE1E181ADED05', '乙酸乙酯', '利安隆博华', '试剂', NULL, NULL, '500ml/瓶', '2023-09-15 15:39:06.000000', '2023-09-15 15:41:03.000000', '1', NULL, '/', NULL, 20, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('2AECF3F692F6B34228833063D217A63E', '1F16126FDCB148D65447A5B5E347213A', '物证封装袋', 'n/a', '耗材', NULL, NULL, '30*22cm', '2023-09-15 15:38:07.000000', '2023-09-15 15:41:03.000000', '1', NULL, '/', NULL, 1300, '普通耗材', 100, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('2B65C6DF00541FD2DD3981651C7B737F', 'C2919578F22CF4804FE32656189216C2', '三乙胺', '百灵威', '试剂', NULL, NULL, '1L/瓶,99.7%', '2023-09-15 15:39:11.000000', '2023-09-15 15:41:03.000000', '1', NULL, '/', NULL, 5, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('2C8478C03132F50E42D3AB6CBCCB0FBC', '20ED057964BDD3254C6D5AE38BC79EFA', '点样毛细管', '垒固', '耗材', NULL, NULL, '0.3x1000，1000支', '2023-09-15 15:38:57.000000', '2023-09-15 15:41:03.000000', '1', NULL, '/', NULL, 36, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('2CCC6FA2E1C9EDA1748CAB1A27FFF200', 'E1B6ACA18D61E4497BB6F57B16A09932', '5-氯-N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)戊酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:05.000000', '2023-09-15 15:41:03.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '对甲苯基5-氯戊酰基芬太尼', '冷藏贮存', 'GASS-369', '瓶', '5-chloro-N-(1-phenethylpiperidin-4-yl)-N-(ptolyl)pentanamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('2CDFC7C51289683BFBA44D04FBBABEF8', 'EE649F056067937666A1573297804895', '滤膜', '上海新亚', '耗材', NULL, NULL, '有机，0.45um，50mm，50片/盒', '2023-09-15 15:38:48.000000', '2023-09-15 15:41:03.000000', '1', NULL, '/', NULL, 19, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('2CF35E1CB909FC0E556B2ACABAAA42C2', 'B89438D4168341975F12AEBB0E615FBD', '研钵', '垒固', '耗材', NULL, NULL, '15ml', '2023-09-15 15:38:34.000000', '2023-09-15 15:41:03.000000', '1', NULL, '/', NULL, 5, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('2CF5EEA18D1E54CE6AD6A03AAF1F6F6C', '718965F6CC9DD8D6A4F45786ABAF2A06', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)丁酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:45.000000', '2023-09-15 15:41:03.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '4-氟丁酰芬太尼', '冷藏贮存', 'GASS-090', '瓶', 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)butyramide', 1.00, NULL, NULL, '库存不足', 1, NULL, '244195-31-1', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('2D6A5544753BA2F75DE8C2F6034FED00', 'F164C5111CB46A8CA9FE9B646E30FC65', '容量瓶', 'Bomex', '耗材', NULL, NULL, '250ml', '2023-09-15 15:38:32.000000', '2023-09-15 15:41:03.000000', '1', NULL, '/', NULL, 1, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('2E450C97A4D5C90FE240D9ABE05FACCC', '19881808A7CA7A51E36CAF85D6A03DE0', '氘代DMSO', 'CIL', '试剂', NULL, NULL, '50ml/瓶', '2023-09-15 15:39:16.000000', '2023-09-15 15:41:03.000000', '1', NULL, '/', NULL, 3, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('2E878BA76C7AC0A4A0FE3786C26D478E', 'F399C1A6DAEA659BA3C298A64147634F', '氘代甲醇', 'CIL', '试剂', NULL, NULL, '50ml', '2023-09-15 15:39:13.000000', '2023-09-15 15:41:03.000000', '1', NULL, '/', NULL, 3, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('2F247D1EC6D412CAD62D351066DAF58C', '8FDCDFAE820125400DE2F95FF8F1890D', '容量瓶架 10mL 12孔', '/', '耗材', NULL, NULL, '1个/盒,1个/盒', '2023-09-15 15:37:44.000000', '2023-09-15 15:41:03.000000', '1', NULL, '/', NULL, 7, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('2F2D3560886A5A8D24876076469C6818', 'D73D7D8F758E69BF73AD4964CDE4A7F4', 'N-(金刚烷-1-基)-1-(4-氟苄基)-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:43.000000', '2023-09-15 15:41:03.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'FUB-APINACA', '冷藏贮存', 'GASS-075', '瓶', 'N-(adamantan-1-yl)-1-(4-fluorobenzyl)-1H-indazole-3-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '2180933-90-6', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('2F691D129FCB93CB0DB558CB415D55E9', 'A7639987A61263D691E9DAF52C0FD3F0', '枪头', 'Brand', '耗材', NULL, NULL, '1000ul', '2023-09-15 15:38:52.000000', '2023-09-15 15:41:03.000000', '1', NULL, '/', NULL, 10, '普通耗材', 10, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('2FAF3225138CE2C9107C4D51414F6BCA', '8DDA3C78A4160DEFD72CC9077F67E01D', '2ml进样瓶', 'waters', '耗材', NULL, NULL, '18600847C（棕色）,100个/盒,100个/盒', '2023-09-15 15:37:34.000000', '2023-09-15 15:41:03.000000', '1', NULL, '/', NULL, 5, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, '库存充足', 1, '18600847C', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('2FEC7D2A273245B73EC6F6F961146DCA', '173C0EEA098A75BA7AD1E47D420AB773', '擦镜纸', 'KIMTECH', '耗材', NULL, NULL, '11.0*21.3cm', '2023-09-15 15:38:21.000000', '2023-09-15 15:41:03.000000', '1', NULL, '/', NULL, 1, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('2FF3B0D9BBECB3B2DFAAA1F38D616400', '26782CB2B992CCEC36A4C7F668243F86', '100ul有相机枪头', 'RAININ    100ul ', '耗材', NULL, NULL, 'disposable capillaries/pistons 17008607,180个/盒,180个/盒', '2023-09-15 15:37:31.000000', '2023-09-15 15:41:03.000000', '1', NULL, '/', NULL, 60, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '污水专用', '盒', NULL, 1.00, NULL, NULL, '库存充足', 1, '17008607', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('30FC2DE6E1E3A5A5DDE921F508AAB6E7', '195B41CB95F54804BC07BCDDA22747A1', '孕酮', 'VETEC', '试剂', NULL, NULL, '25g/瓶,98%', '2023-09-15 15:39:17.000000', '2023-09-15 15:41:03.000000', '1', NULL, '/', NULL, 2, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'RG');
INSERT INTO `reagent_consumable_inventory` VALUES ('3154225797F6675F0DDA7883BFA584D6', '6592B503DE998BDC910944228618FC9D', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)丙酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:46.000000', '2023-09-15 15:41:03.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '对氟芬太尼', '冷藏贮存', 'GASS-108', '瓶', 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)-propionamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '90736-23-5', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('31C471FACB76A5FC97F8C0FD9E88372A', '0B38D48B7C49CA2BF971DD3114FC4E0C', '移液管', 'MC', '耗材', NULL, NULL, '5ml', '2023-09-15 15:38:13.000000', '2023-09-15 15:41:03.000000', '1', NULL, '/', NULL, 25, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('3250ACBDE3F2976A20DEDB0FB9924A6D', 'FF4F9DAB68F62E5D426E61C7A5913F54', '塑料离心管', 'n/a', '耗材', NULL, NULL, '5ml，400支/袋', '2023-09-15 15:38:27.000000', '2023-09-15 15:41:03.000000', '1', NULL, '/', NULL, 2, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '袋', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('3259C6B78053E78C025A1927BCED622C', 'B0B0CCA2075DDEEFF2A951E82A57A126', '梨形分液漏斗', 'Bomex', '耗材', NULL, NULL, '250ml', '2023-09-15 15:38:44.000000', '2023-09-15 15:41:03.000000', '1', NULL, '/', NULL, 10, '普通耗材', 2, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('32E3362FA3A54004FBF6B830148C49CF', 'FDE4B28CCCE6537D00A278E893B26562', '试管架', 'n/a', '耗材', NULL, NULL, '3x6', '2023-09-15 15:38:40.000000', '2023-09-15 15:41:03.000000', '1', NULL, '/', NULL, 13, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('32E5DC01C92963090AE4D20A1116DD7F', 'A5F7CD45486C7867188577604B88CEF7', '1ml有机相枪头', 'RAININ　1000ul', '耗材', NULL, NULL, 'disposable capillaries/pistons 17008609,180个/盒,180个/盒', '2023-09-15 15:37:30.000000', '2023-09-15 15:41:03.000000', '1', NULL, '/', NULL, 6, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '污水专用', '盒', NULL, 1.00, NULL, NULL, '库存充足', 1, '186008056', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('330421ADB5E39D6AC80C09FF6F85702F', 'AB7F3A076889DD68337D3CC96354DD30', '进口滤膜', '津隆', '耗材', NULL, NULL, '25mm，100片/盒，水洗聚醚砜（PES），0.45um，货号：JLSP214502', '2023-09-15 15:38:47.000000', '2023-09-15 15:41:03.000000', '1', NULL, '/', NULL, 10, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('334BBF64DB714DCD8BA52E522383CBDE', '4C652E02153C56C71C41D4A6E58E2AE3', '(2-甲基-1-丙基-1H-吲哚-3-基)(萘-1-基)甲酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:40.000000', '2023-09-15 15:41:03.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'JWH-015', '冷藏贮存', 'GASS-059', '瓶', '(2-methyl-1-propyl-1H-indol-3-yl)(naphthalen-1-yl)methanone', 1.00, NULL, NULL, '库存不足', 1, NULL, '155471-08-2', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('337F44A66606AAB5AC3A22FD0BECE522', '23455EC4E6F2F8F2B7DDD464EF4334B5', '喹啉-8-基1-(5-氟戊基)-1H-吲哚-3-羧酸盐', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:34.000000', '2023-09-15 15:41:03.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '5F-PB-22', '冷藏贮存', 'GASS-039', '瓶', 'quinolin-8-yl 1-(5-fluoropentyl)-1H-indole-3-carboxylate', 1.00, NULL, NULL, '库存不足', 1, NULL, '1400742-41-7', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('33B57B76055366954053D797000DFDBC', 'C52ACF3475AC7EF16E1F76D9672358BE', '2-氯-N-(4-氟苯基) -N-(1-苯乙基哌啶-4-基) 乙酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:11.000000', '2023-09-15 15:41:03.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '对氟苯基氯乙酰基芬太尼', '冷藏贮存', 'GASS-384', '瓶', '2-chloro-N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)acetamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('34C4FB31723590021C4D55CA64CC41D7', '681AE43FF0B99032D561FF226B117129', '一次性塑料滴管 3mL', 'Cypress', '耗材', NULL, NULL, '100支/包,100支/包', '2023-09-15 15:37:45.000000', '2023-09-15 15:41:03.000000', '1', NULL, '/', NULL, 10, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '包', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('34D32AFFBA8D7516CBE2B10EC24CFC1C', '5DDD1901979B48AAFB645BED8E8C2AEF', 'captiva针头过滤器', '安捷伦', '耗材', NULL, NULL, '纤维素膜，25mm直径，0.2μm孔径 ,100个/盒,100个/盒', '2023-09-15 15:37:28.000000', '2023-09-15 15:41:03.000000', '1', NULL, '/', NULL, 37, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '污水专用', '盒', NULL, 1.00, NULL, NULL, '库存充足', 1, '5190-5110', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('34E172F0851A86B86F3CA9CAF2076E1C', 'DBA195CF942ECCB7EBFB8C86D54C6F51', '丙三醇', '科密欧', '试剂', NULL, NULL, '500ml/瓶', '2023-09-15 15:39:08.000000', '2023-09-15 15:41:03.000000', '1', NULL, '/', NULL, 30, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('3502A4B8D6586ED4C2968F8F37F394E3', '466A6216330B5A10AEBCE4624CCE6015', 'ACQUITY UPLC BEH C18 1.7um VanGuard Pre-Column', 'Waters', '耗材', NULL, NULL, '1.8，2.1*5mm Column,3根/1盒,3根/1盒', '2023-09-15 15:37:53.000000', '2023-09-15 15:41:03.000000', '1', NULL, '/', NULL, 3, '色谱柱', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, '库存充足', 1, '186003975', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('35371E8090F55606AE8DCE622C2F6B36', '718A81E6A598D242735918D6EB327C86', '2ml进样瓶', 'waters', '耗材', NULL, NULL, '18600307C（透明）,100个/盒,100个/盒', '2023-09-15 15:37:35.000000', '2023-09-15 15:41:03.000000', '1', NULL, '/', NULL, 20, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, '库存充足', 1, '18600307C', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('35D6FD38C7F7AA0DA9B79EFC4D1B763E', '36216E1A7E8295479741FEC72FEC1139', ' 移液枪吸头1mL', '赛多利斯', '耗材', NULL, NULL, '480个/盒,480个/盒', '2023-09-15 15:37:51.000000', '2023-09-15 15:41:03.000000', '1', NULL, '/', NULL, 7, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '后续不再购买', '盒', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('35E76DBB4C99A116AF41839D83F95628', '1970E18E8900A26304B9E6B891D415E9', '容量瓶', 'Brand', '耗材', NULL, NULL, '5ml', '2023-09-15 15:38:33.000000', '2023-09-15 15:41:03.000000', '1', NULL, '/', NULL, 44, '普通耗材', 2, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('360C498E3A691764EA77B55352A27CBE', 'C33CD20E4D044981C9A6498044C49B4A', '5-乙基-1,2-二甲基-4,4-二苯基-3,4-二氢-2H-吡咯-1-鎓', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:57.000000', '2023-09-15 15:41:03.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'EDDP(高氯酸盐)', '冷藏贮存', 'GASS-317', '瓶', '5-ethyl-1,2-dimethyl-4,4-diphenyl-3,4-dihydro-2H-pyrrol-1-ium', 1.00, NULL, NULL, '库存不足', 1, NULL, '31161-17-8', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('36C8825E7F7C32268D04C5FE148CA40E', '11A6C4AE99158802031C961AE3302522', '定性滤纸', '皎洁', '耗材', NULL, NULL, '18cm，中速', '2023-09-15 15:38:53.000000', '2023-09-15 15:41:03.000000', '1', NULL, '/', NULL, 20, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('375F12C45F03584218F024B1396DDD83', '527C49E8DE212320B3A864E554B8C5F0', '容量瓶', 'Brand', '耗材', NULL, NULL, '25ml', '2023-09-15 15:38:32.000000', '2023-09-15 15:41:04.000000', '1', NULL, '/', NULL, 36, '普通耗材', 2, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('37D5F0CB1CDDF1A1D933C9001AD1A9ED', 'B8DC5A10D1CBDFD7AD8DCB6290168C09', '2-(二甲基氨基)-1-(对甲苯基)丙-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:00.000000', '2023-09-15 15:41:04.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '4-CNB;N,N-DMC', '冷藏贮存', 'GASS-331', '瓶', '2-(dimethylamino)-1-(p-tolyl)propan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '1448845-14-4', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('381444F508F114E0BDF8BC641E7CD01C', 'AA64A2A5DAB1C2B8827112469D56E2A1', '梨形分液漏斗', 'Bomex', '耗材', NULL, NULL, '125ml', '2023-09-15 15:38:44.000000', '2023-09-15 15:41:04.000000', '1', NULL, '/', NULL, 10, '普通耗材', 2, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('3846D8B0B1D815462346B1F42E9BAF55', 'A57257ED857F4EFB7F0372F9C1618F91', '塑料吸管', 'n/a', '耗材', NULL, NULL, '0.2ml，500支/袋', '2023-09-15 15:38:26.000000', '2023-09-15 15:41:04.000000', '1', NULL, '/', NULL, 4, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '袋', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('38A142545EFDF0955AD1B8BCFE667DCB', 'A71B01AED4F60F5BFC9386AFC8C58B6A', '1ml有机相枪头', 'RAININ　1000ul', '耗材', NULL, NULL, 'disposable capillaries/pistons 17008609,180个/盒,180个/盒', '2023-09-15 15:37:30.000000', '2023-09-15 15:41:04.000000', '1', NULL, '/', NULL, 6, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '污水专用', '盒', NULL, 1.00, NULL, NULL, '库存充足', 1, 'WAT094226', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('3925553EA90C0F86D4C1480098188EBC', '3B3E40A7AB95A8C46E888702955AE182', '容量瓶 250mL ', 'Brand', '耗材', NULL, NULL, '棕色,/,/', '2023-09-15 15:37:43.000000', '2023-09-15 15:41:04.000000', '1', NULL, '/', NULL, 2, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '个', NULL, 1.00, NULL, NULL, '库存充足', 1, '37489', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('3956D5F2A7ABB557BF4246BF07755178', 'C4FC491D720D99C95D66580DB8EDB495', 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(5-氟戊基)-1H-吲哚-3-甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:32.000000', '2023-09-15 15:41:04.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '5F-ABICA', '冷藏贮存', 'GASS-034', '瓶', 'N-(1-amino-3-methyl-1-oxobutan-2-yl)-1-(5-fluoropentyl)-1H-indole-3-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '1801338-26-0', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('3A3F6E4DD324A154A3054101C3C9E10E', 'A91F28E99D855BEF42129F247ACE9122', '2ml注射器', '江苏治宇医疗器械', '耗材', NULL, NULL, '300个/盒,300个/盒', '2023-09-15 15:37:40.000000', '2023-09-15 15:41:04.000000', '1', NULL, '/', NULL, 9, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, '库存充足', 1, '2002100', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('3A4C9823AB2E3103DA12F3CA1CCF2C55', '886E01CC21353AE0F94A29F8EA2804A7', '乙酸铵', 'Sigma-Aldrich', '试剂', NULL, NULL, '32301-500g/瓶，98%', '2023-09-15 15:39:15.000000', '2023-09-15 15:41:04.000000', '1', NULL, '/', NULL, 1, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, 'ACS级');
INSERT INTO `reagent_consumable_inventory` VALUES ('3ADE57E268124DD32E6C9D1B1E71FF02', '43446D446423F3DA9DBA8AE3F3C7810F', '连盖离心管', 'AXYGEN', '耗材', NULL, NULL, '2ml，500支/袋', '2023-09-15 15:38:28.000000', '2023-09-15 15:41:04.000000', '1', NULL, '/', NULL, 1, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('3B071A7FFFD1D2E0C5FE33C569B5B1E5', '5C99A04CD5B27F4D7AFB7611E5F7F368', '锥形瓶', '环球', '耗材', NULL, NULL, '250ml', '2023-09-15 15:38:45.000000', '2023-09-15 15:41:04.000000', '1', NULL, '/', NULL, 6, '普通耗材', 12, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('3BB9502880751B599E932143EE8D31D6', '38DB22512312B6A6D14D169BA2343EAE', '塑料吸管', 'n/a', '耗材', NULL, NULL, '5ml，100支/袋', '2023-09-15 15:38:27.000000', '2023-09-15 15:41:04.000000', '1', NULL, '/', NULL, 10, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '袋', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('3C36BBDEF36C9DE276187902FC974600', 'DEFB7B7070CED42B7709639DD03E7C7D', '容量瓶', 'Brand', '耗材', NULL, NULL, '1ml', '2023-09-15 15:38:33.000000', '2023-09-15 15:41:04.000000', '1', NULL, '/', NULL, 4, '普通耗材', 2, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('3D8EA2ABDAD254B90CE559C3410BB0A2', '1CFBE6ABD5238BFC7A0C295237641BDA', 'N-(1-苯乙基哌啶-4-基)-N-苯基环丁烷甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:13.000000', '2023-09-15 15:41:04.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '苯基环丁甲酰基芬太尼', '冷藏贮存', 'GASS-389', '瓶', 'N-(1-phenethylpiperidin-4-yl)-N-phenylcyclobutanecarboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '2306827-55-2', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('3D9CB2E4662ED7A7B1C65691CFC8DBE9', '38187AEC9352E87BF2539AC788DCFEF7', '试管', 'n/a', '耗材', NULL, NULL, '15*150mm', '2023-09-15 15:38:13.000000', '2023-09-15 15:41:04.000000', '1', NULL, '/', NULL, 26, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('3DBCEE7110D26F3CE18472383605A3F5', 'C5DE090819C2500F791B15C9D75D419D', '干燥器', 'n/a', '耗材', NULL, NULL, '210mm', '2023-09-15 15:38:38.000000', '2023-09-15 15:41:04.000000', '1', NULL, '/', NULL, 2, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('3DD22FBEF439FF09CDE237934FEA7825', '9A641A3887C784C164A1C735EDA9A9B8', '3-环戊基-N-(1-苯乙基哌啶-4-基)-N-苯基丙酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:14.000000', '2023-09-15 15:41:04.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '苯基环戊丙酰基芬太尼', '冷藏贮存', 'GASS-391', '瓶', '3-cyclopentyl-N-(1-phenethylpiperidin-4-yl)-N-phenylpropanamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('3DE66626B35F637AA318A80794B19876', '0F2C0D3D6B9AE8B64D177E51961367CB', '玻璃冻存管', 'n/a', '耗材', NULL, NULL, '透明，5ml', '2023-09-15 15:38:18.000000', '2023-09-15 15:41:04.000000', '1', NULL, '/', NULL, 20, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('3E952C41C4830182984F7EE44D76D4DD', 'D9BFB7567586AED53A38B192E8BE8A1A', '1-(苯并[d][1,3]二羟基-5-基)-N-乙基丙-2-胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:57.000000', '2023-09-15 15:41:04.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'MDEA', '冷藏贮存', 'GASS-325', '瓶', '1-(benzo[d][1,3]dioxol-5-yl)-N-ethylpropan-2-amine', 1.00, NULL, NULL, '库存不足', 1, NULL, '74341-78-9', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('3ECD22B60D026C83734DD6C2FDA57173', '03E2B90BDA8D98A951B7758B140C754F', '7-溴-5-(2-氯苯基)-1,3-二氢-2H-苯并[e][1,4]二氮杂-2-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:32.000000', '2023-09-15 15:41:04.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'Phenazepam(芬纳西洋)', '冷藏贮存', 'GASS-018', '瓶', '7-bromo-5-(2-chlorophenyl)-1,3-dihydro-2H-benzo[e][1,4]diazepin-2-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '51753-57-2', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('3F33D4DEC857271205C3A0CCEDA9177B', 'CC2E92A084606AB6D20313D77F396015', '红色胶帽', '金利', '耗材', NULL, NULL, 'n/a', '2023-09-15 15:38:22.000000', '2023-09-15 15:41:04.000000', '1', NULL, '/', NULL, 200, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('3F347105992047757AA2048E6C3F04C8', '4E2BD7FCA977B9F701878258B4CCBFEC', '甲苯', 'fisher', '试剂', NULL, NULL, '4L/瓶', '2023-09-15 15:39:02.000000', '2023-09-15 15:41:04.000000', '1', NULL, '/', NULL, 1, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('3FB13F783C0F90D40F05FB695A5578B2', 'CC06E21410425D757D74907317FE7C2A', '丝口试剂瓶', 'n/a', '耗材', NULL, NULL, '5000ml', '2023-09-15 15:38:31.000000', '2023-09-15 15:41:04.000000', '1', NULL, '/', NULL, 6, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('3FCF5099AE52A3A5145CE56E833697FB', 'E0AB3FEE8BB5F024DC136D993EE63579', '烟酰胺', 'Sigma-Aldrich', '试剂', NULL, NULL, '100g/瓶', '2023-09-15 15:39:13.000000', '2023-09-15 15:41:04.000000', '1', NULL, '/', NULL, 1, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('3FD1AB67383E32F49B38C40F49F4C163', 'E2F6F46B0410CEBD4DFB0591C43BDB88', '塑料烧杯', 'n/a', '耗材', NULL, NULL, '3000ml', '2023-09-15 15:38:46.000000', '2023-09-15 15:41:04.000000', '1', NULL, '/', NULL, 7, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('4019FC7F392C3338D4F31D594DD0099F', '018D009E5C0552EFCF7DCD97BDE39ECE', '定量滤纸', '新星', '耗材', NULL, NULL, '11cm，中速', '2023-09-15 15:38:49.000000', '2023-09-15 15:41:04.000000', '1', NULL, '/', NULL, 20, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('404533871D7771837B82F6047CFA94E1', '4697D657BCE77AD8DF4EC6E572FA951D', 'ACQUITY UPLC CSH C18', 'Waters', '耗材', NULL, NULL, '2.1*100mm,1.7um', '2023-09-15 15:38:10.000000', '2023-09-15 15:41:04.000000', '1', NULL, '/', NULL, 2, '色谱柱', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('40D06411CE30587FCF8468E4EF77652A', 'C88B0F58006C188181F3993E40072508', '一次性蓝色丁腈手套', '柯沃', '耗材', NULL, NULL, 'M', '2023-09-15 15:38:52.000000', '2023-09-15 15:41:04.000000', '1', NULL, '/', NULL, 45, '普通耗材', 10, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('40D2A52F356DEF61C4F7DC48BC6DE646', 'AC9DDF3ABE0955B9C06C1A543F1413FA', 'LG玻板抽滤漏斗', '垒固', '耗材', NULL, NULL, '100ml', '2023-09-15 15:38:42.000000', '2023-09-15 15:41:04.000000', '1', NULL, '/', NULL, 5, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('418BC21A6661ECAC1BFAA037523BE166', '4356783D7EB6C861834576759F7879F4', '异丙醇', 'GRACE', '试剂', NULL, NULL, '4L/瓶', '2023-09-15 15:37:59.000000', '2023-09-15 15:41:04.000000', '1', NULL, '/', NULL, 4, '普通试剂', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '瓶', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('41D78F9B2486D41A09E8902F51603421', 'EFA47EBEFC491EC4995BF6515EDC527B', '锥形瓶', 'Bomex', '耗材', NULL, NULL, '250ml', '2023-09-15 15:38:57.000000', '2023-09-15 15:41:04.000000', '1', NULL, '/', NULL, 9, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('430988CA08D03046881B56646F703C7B', '7D1F1D1ACE872364C1121DBEBA95B7B1', '移液枪', 'Sartorius', '耗材', NULL, NULL, '1-10ml', '2023-09-15 15:38:19.000000', '2023-09-15 15:41:04.000000', '1', NULL, '/', NULL, 2, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('43E1D2AC1C4843917445F4F2432B83C1', 'A4F12DF38629EE07940181332D93D22D', '甲酸', '科密欧', '试剂', NULL, NULL, '500mL/瓶', '2023-09-15 15:37:55.000000', '2023-09-15 15:41:04.000000', '1', NULL, '/', NULL, 3, '普通试剂', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '污水，毛发专用', '瓶', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('449887F47C8122BBC00BEB3765729E80', '1BDF79B4AC04F94621BF42F2AFC14C9D', '氯化亚砜', '科试', '试剂', NULL, NULL, '500ml/瓶', '2023-09-15 15:39:18.000000', '2023-09-15 15:41:04.000000', '1', NULL, '/', NULL, 2, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('44BD935675D5117A72FE295B1C92A858', 'AD56604587E5D7B7945376EF4C4E48FE', '乙酸', '科密欧', '试剂', NULL, NULL, '500ml/瓶', '2023-09-15 15:39:19.000000', '2023-09-15 15:41:04.000000', '1', NULL, '/', NULL, 9, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('459D8CA41B0EDDC2EE04C4CAB74FD88B', '2BA2AA32EB86AC3CE862492195BF270C', '2-(苯甲基亚磺酰基)乙酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:54.000000', '2023-09-15 15:41:04.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '莫达非尼', '冷藏贮存', 'GASS-298', '瓶', '2-(benzhydrylsulfinyl)acetamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '68693-11-8', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('473FA98B1E2D2CD9F32681064B277FC7', '16766BAE1BC88BE2EBF7A8ADE3CC696E', '固相萃取小柱', 'waters', '耗材', NULL, NULL, 'Oasis®PRiME MCX3cc(60mg)Extraction Cartridges,100个/盒,100个/盒', '2023-09-15 15:37:31.000000', '2023-09-15 15:41:04.000000', '1', NULL, '/', NULL, 10, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '污水专用', '盒', NULL, 1.00, NULL, NULL, '库存充足', 1, '186008918', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('479739A00FA14AABBF11779FF1CFC4A7', 'AEA8F5FA25A481B8B852E69A0E11BE7C', '瓶口移液器 0.4-2mL', '赛多利斯 ', '耗材', NULL, NULL, '/,/', '2023-09-15 15:37:50.000000', '2023-09-15 15:41:04.000000', '1', NULL, '/', NULL, 1, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '后续不再购买', '个', NULL, 1.00, NULL, NULL, '库存不足', 1, '2005075', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('47C21E8887F896A37745FE649CF2D9A5', '80362BFF3560280733ED21EBDA1C9667', '圆底烧瓶', '申迪', '耗材', NULL, NULL, '500ml', '2023-09-15 15:38:36.000000', '2023-09-15 15:41:04.000000', '1', NULL, '/', NULL, 19, '普通耗材', 10, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('489D8FE578E0F94238E0E1237D739F02', '89A7E5E922D2C3CE6CA550035E0E5237', '1-(苯并[d][1,3]二羟基-5-基)-2-(二甲基氨基)戊-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:27.000000', '2023-09-15 15:41:04.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'N,N-Dimethylpentylone (hydrochloride)', '冷藏贮存', 'GASS-511', '瓶', '1-(benzo[d][1,3]dioxol-5-yl)-2-(dimethylamino)pentan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '17763-13-2', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('48B0BC1ACFC78A62600254D32554042C', '084F3D11D5D65781E73DE80904B5C165', '血清移液管', 'n/a', '耗材', NULL, NULL, '2ml', '2023-09-15 15:38:15.000000', '2023-09-15 15:41:04.000000', '1', NULL, '/', NULL, 17, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('48E7CFC043677A31483E0714B551C6FD', 'FF4527270454281D52A69F6BB62F260A', '丝口试剂瓶', '蜀玻', '耗材', NULL, NULL, '2000ml', '2023-09-15 15:38:39.000000', '2023-09-15 15:41:05.000000', '1', NULL, '/', NULL, 12, '普通耗材', 3, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('4920E94BB4385AD41F00D7EF0C53774B', '54D69526B8531B642F091F9E6B21BF2D', '棕色滴瓶', 'n/a', '耗材', NULL, NULL, '60ml', '2023-09-15 15:38:30.000000', '2023-09-15 15:41:05.000000', '1', NULL, '/', NULL, 20, '普通耗材', 10, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('49FA2C9F1AECFEF9411E60ABF21A1A83', '7895FC391C3E89B3C10E69B459209CA4', '自封袋', '苹果牌京惠思创', '耗材', NULL, NULL, '4# 85*120mm,100个/包,100个/包', '2023-09-15 15:37:42.000000', '2023-09-15 15:41:05.000000', '1', NULL, '/', NULL, 52, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '包', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('4ACC7A80931DEC7D03FB92544B66A7F8', 'C9DDDE79267E04580C5F46A58F4766D9', '定量滤纸', '新星', '耗材', NULL, NULL, '15cm，中速', '2023-09-15 15:38:50.000000', '2023-09-15 15:41:05.000000', '1', NULL, '/', NULL, 20, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('4AF152BFA605C0F2C6079E7487C711C3', '4E2485F3B156BB2CFA748929E1B6253A', 'DIPEA, N,N-二异丙基乙胺', '阿拉丁', '试剂', NULL, NULL, '99.5%, 100ml/瓶', '2023-09-15 15:39:26.000000', '2023-09-15 15:41:05.000000', '1', NULL, '/', NULL, 2, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, '7087-68-5', 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('4B9F3090A507EB9A783E15E0F5650E27', '21443AEFAD3267FEF7D49AD66C574FEC', 'ACQUITY UPLC BEH HILIC 1.7um', 'Waters', '耗材', NULL, NULL, ' 1.7 µm, 2.1 mm X 50 mm,1/根,1/根', '2023-09-15 15:37:52.000000', '2023-09-15 15:41:05.000000', '1', NULL, '/', NULL, 4, '色谱柱', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '毛发专用', '根', NULL, 1.00, NULL, NULL, '库存充足', 1, '186003461', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('4BFC81D360F98A6653C35854B36CAA24', 'B80FACDB9318BAE828C6C5FC9A5AFCCE', '试管', 'n/a', '耗材', NULL, NULL, '18*180mm', '2023-09-15 15:38:13.000000', '2023-09-15 15:41:05.000000', '1', NULL, '/', NULL, 30, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('4C42921FFFF56CDADD941ADAEC9C22E9', 'B408E924851A1790E77ED563F3A7C861', '(1-((1-甲基哌啶-2-基)甲基)-1H-吲哚-3-基)(萘-1-基)甲酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:48.000000', '2023-09-15 15:41:05.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'AM-1220', '冷藏贮存', 'GASS-048', '瓶', '(1-((1-methylpiperidin-2-yl)methyl)-1H-indol-3-yl)(naphthalen-1-yl)methanone', 1.00, NULL, NULL, '库存不足', 1, NULL, '137642-54-7', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('4D9CDA110B495E4A0347CF58FEDC0A5C', 'DA96ACBB78399A4E4090FCF821C14C0B', '枪头', 'sartorius', '耗材', NULL, NULL, '10ul', '2023-09-15 15:38:51.000000', '2023-09-15 15:41:05.000000', '1', NULL, '/', NULL, 3, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('4DFCFC1777187747AD4EB95DA045D24F', '483A79E517E9A877EC217941C38CCF41', '枪头', 'n/a', '耗材', NULL, NULL, '5ml，200支/包', '2023-09-15 15:38:46.000000', '2023-09-15 15:41:05.000000', '1', NULL, '/', NULL, 4, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('4E09BABC584D3E95BF7D18B5E5A3AC24', 'A86462DEB68BDD2F491EB3718CAABC5F', '移液管架', 'n/a', '耗材', NULL, NULL, 'n/a', '2023-09-15 15:38:57.000000', '2023-09-15 15:41:05.000000', '1', NULL, '/', NULL, 10, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('4E22C7E2F5D81B8F5FF04D158E2F56FF', 'E21129EC7B4AAE99337A67E052F3A1CD', 'N-(金刚烷-1-基)-1-(环己基甲基)-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:55.000000', '2023-09-15 15:41:05.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'ACHMINACA', '冷藏贮存', 'GASS-309', '瓶', 'N-(adamantan-1-yl)-1-(cyclohexylmethyl)-1H-indazole-3-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '1400742-33-7', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('4ECD81211AC12EE15BABB2F94FB66A17', '56F8614784CFDECDE167E50735F1675C', '2-((二甲基氨基)甲基)-1-(3-甲氧基苯基-2,4,5,6-d4)环己烷-1-醇', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:20.000000', '2023-09-15 15:41:05.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'D4-曲马多盐酸盐', '冷藏贮存', 'GASS-453', '瓶', '2-((dimethylamino)methyl)-1-(3-methoxyphenyl-2,4,5,6-d4)cyclohexan-1-ol', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('4F37AFCA5E132B9E62F52BD896F7A2B7', '43357AF65220A6872E33EE57B784BA7A', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基) 环己烷甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:11.000000', '2023-09-15 15:41:05.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '对氟苯基环己甲酰基芬太尼', '冷藏贮存', 'GASS-385', '瓶', 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)cyclohexanecarboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('4FD1D54B04385209D8B14E9AE5A5F166', 'EB7E16246B0661916F3D2129119B0874', '保鲜自封袋8号', '苹果', '耗材', NULL, NULL, '240x170mm', '2023-09-15 15:38:04.000000', '2023-09-15 15:41:05.000000', '1', NULL, '/', NULL, 300, '普通耗材', 100, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('5046B7DD38C9526F2715894BE338CFF3', 'D9D6ED11DFF2E04E1AAB926BB7A0D6B8', '量筒', 'Bomex', '耗材', NULL, NULL, '10ml', '2023-09-15 15:38:36.000000', '2023-09-15 15:41:05.000000', '1', NULL, '/', NULL, 19, '普通耗材', 20, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('506E71C0096F76415E48B2285D577F5E', 'E20421CA51F24A056E5B0CF0F4DD774E', 'DIC, N,N′-二异丙基碳二亚胺', '阿拉丁', '试剂', NULL, NULL, '≥98.5%，100ml/瓶', '2023-09-15 15:39:25.000000', '2023-09-15 15:41:05.000000', '1', NULL, '/', NULL, 2, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, '693-13-0', 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('511235B61B6CE35F21A4A57B01EFC5D3', 'B221191F3238DBEC41F804CDF9462596', '2-氯-N-(1-苯乙基哌啶-4-基)-N-(对甲苯)乙酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:06.000000', '2023-09-15 15:41:05.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '对甲苯基氯乙酰基芬太尼', '冷藏贮存', 'GASS-373', '瓶', '2-chloro-N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)acetamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('517B2BBD67C35DE7F24E84E40BF69346', '367EEF5C6C0DA36FAB5C028A63169F73', '氨水', '沪试', '试剂', NULL, NULL, '500ml/瓶', '2023-09-15 15:39:11.000000', '2023-09-15 15:41:05.000000', '1', NULL, '/', NULL, 1, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('51EAC2AA8E5E953C8E04BBD7FA7662AD', 'EDE92A3D7C76BEBF1220292DC91151F5', '甲醇', 'Supelco', '试剂', NULL, NULL, '2.5L，LC/MS级', '2023-09-15 15:39:12.000000', '2023-09-15 15:41:05.000000', '1', NULL, '/', NULL, 8, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'LC/MS级');
INSERT INTO `reagent_consumable_inventory` VALUES ('523D63CA0F85E9908B6FEC536901D911', '80BEAC19244411E3455E521CE5254DB5', '活性炭口罩', '/', '耗材', NULL, NULL, '/,/', '2023-09-15 15:37:34.000000', '2023-09-15 15:41:05.000000', '1', NULL, '/', NULL, 9, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('525339562CDA64591864E71C558A1A51', 'D97166CDAAC87AA05ED8F375A405AA0B', '2-(二乙基氨基)-1-(对甲苯基)丙-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:00.000000', '2023-09-15 15:41:05.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'N-乙基-对甲-乙卡西酮盐酸盐', '冷藏贮存', 'GASS-332', '瓶', '2-(diethylamino)-1-(p-tolyl)propan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '676316-90-8', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('5352CCB70C97CDD10689C607A7F692E3', '76FC8DA32D7D644742885882D767DE9F', '容量瓶', 'Brand', '耗材', NULL, NULL, '10ml', '2023-09-15 15:38:33.000000', '2023-09-15 15:41:05.000000', '1', NULL, '/', NULL, 41, '普通耗材', 2, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('539DF64EAA47A5652E6BD7E93B83C5D4', 'B4695A0950815DEF638D199663A796AB', '进口滤膜', '津隆', '耗材', NULL, NULL, '25mm，100片/盒，水洗聚醚砜（PES），0.22um，货号：JLSP202202', '2023-09-15 15:38:47.000000', '2023-09-15 15:41:05.000000', '1', NULL, '/', NULL, 5, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('5562BF2733B41AABBCA74BA91C0617FB', '362BA80E6604CFEB9D7ADA3BB349A1A7', '1-(4-甲氧基苯基-2,3,5,6-d4)丙-2-胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:19.000000', '2023-09-15 15:41:05.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'D4-PMA盐酸盐', '冷藏贮存', 'GASS-451', '瓶', '1-(4-methoxyphenyl-2,3,5,6-d4)propan-2-amine', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('55AAFF957B055DDE6A1A50FF0D7A088E', '45FB0B9460A1F061527F1A0D0F34EE28', '高硼硅量筒', 'Bomex', '耗材', NULL, NULL, '250ml', '2023-09-15 15:38:35.000000', '2023-09-15 15:41:05.000000', '1', NULL, '/', NULL, 16, '普通耗材', 2, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('55F974FCCBF7287E46517D01667C87E3', 'DF0E606586BC053ADEC413C780F97B17', 'Hypersil GOLD VANQUISH', '赛默飞', '耗材', NULL, NULL, '100*2.1um', '2023-09-15 15:38:09.000000', '2023-09-15 15:41:05.000000', '1', NULL, '/', NULL, 1, '色谱柱', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('5683EF520CF0E1FA10FF8659942DD020', '480B7EAA522308536863E9778A8B5C91', '1-(4-溴苯基)-2-(二乙基氨基)丙-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:58.000000', '2023-09-15 15:41:05.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'N-乙基-对溴-乙卡西酮盐酸盐', '冷藏贮存', 'GASS-328', '瓶', '1-(4-bromophenyl)-2-(diethylamino)propan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '92104-89-7', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('576054FEB07F8CE88D0EBD87F0FE3914', '17BC53F01A32CAA36E8C0CD76392B8EB', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)丙酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:09.000000', '2023-09-15 15:41:05.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '对甲苯基正丙酰基芬太尼', '冷藏贮存', 'GASS-379', '瓶', 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)propionamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '1838-67-1', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('57A9316EB4374100D445CD025EB2320E', '1B6E48790D300D9BEDBBFE11394A8953', '枪头', 'Brand', '耗材', NULL, NULL, '200ul', '2023-09-15 15:38:52.000000', '2023-09-15 15:41:05.000000', '1', NULL, '/', NULL, 8, '普通耗材', 10, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('58A779736BF4AD617F16F716BE0649E4', '92B00FE4C22EE496AFE0EBB3A63118A3', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)环丙烷甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:05.000000', '2023-09-15 15:41:05.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '对甲苯基环丙甲酰基芬太尼', '冷藏贮存', 'GASS-370', '瓶', 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)cyclopropanecarboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '2749910-42-5', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('58C43AE0E3CB285502EBD37D4AAAF317', 'B0B347A20E66DD0ADEDE3DB44A86F4EC', '氢氧化钾', '光富', '试剂', NULL, NULL, '500克/瓶', '2023-09-15 15:38:01.000000', '2023-09-15 15:41:05.000000', '1', NULL, '/', NULL, 3, '普通试剂', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '瓶', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, '优级纯');
INSERT INTO `reagent_consumable_inventory` VALUES ('5901F65B8DC35A73EF11877AD2512806', '21DFF0663AC92DC575C4FFEBF70C6BFF', '塑料烧杯', 'n/a', '耗材', NULL, NULL, '10ml', '2023-09-15 15:38:17.000000', '2023-09-15 15:41:05.000000', '1', NULL, '/', NULL, 39, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('596DB2E9EEA3621438F74DB44BB04216', '27E12C07E4DEEBD22B75DBB4C7BC7704', 'Astec CHIROBIOTIC V2', 'merck', '耗材', NULL, NULL, '25cm*4.6mm,5um', '2023-09-15 15:38:08.000000', '2023-09-15 15:41:05.000000', '1', NULL, '/', NULL, 2, '色谱柱', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('597B15709B485836035F62E9F719ED52', '122C3CE9CACD235AB6105CEF01F14B6F', '5ml连盖离心管', 'CYPRESS', '耗材', NULL, NULL, '300个/包,300个/包', '2023-09-15 15:37:39.000000', '2023-09-15 15:41:05.000000', '1', NULL, '/', NULL, 23, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '包', NULL, 1.00, NULL, NULL, '库存充足', 1, '0200050', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('5A508A85AA73BC49A9609F030FD58B81', 'DCF4B78A8FCE1D29D37568AA424716DE', '量筒', 'Bomex', '耗材', NULL, NULL, '50ml', '2023-09-15 15:38:37.000000', '2023-09-15 15:41:06.000000', '1', NULL, '/', NULL, 10, '普通耗材', 10, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('5B41825CFD49D77172E4CE8A278395EF', 'DF324F6E5D28B8439A62934EE364B5EC', '废液瓶架', 'n/a', '耗材', NULL, NULL, 'n/a', '2023-09-15 15:38:58.000000', '2023-09-15 15:41:06.000000', '1', NULL, '/', NULL, 14, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('5B84435EED5A165B1392C20B5CA91363', 'ED7709A138DE496241F07ABE8C2E5392', 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(4-氟苄基)-1H-吲哚-4,5,6,7-d4-3-羧酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:21.000000', '2023-09-15 15:41:06.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'D4-AB-FUBICA', '冷藏贮存', 'GASS-463', '瓶', 'N-(1-amino-3-methyl-1-oxobutan-2-yl)-1-(4-fluorobenzyl)-1H-indole-4,5,6,7-d4-3-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('5BC3BD5695176B63B8FFF29DF9F60501', 'AF69C37AD96B4472B2BD823C10383A60', '密度计', '垒固', '耗材', NULL, NULL, '0.6-2.0', '2023-09-15 15:38:55.000000', '2023-09-15 15:41:06.000000', '1', NULL, '/', NULL, 14, '普通耗材', 14, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('5BE1CD18DF8E710BB871391CB51DAD5A', 'FDDE7CE21E01AFDCD65E6EF64C77A9BD', '定量滤纸', '双联牌', '耗材', NULL, NULL, '9cm，慢速', '2023-09-15 15:38:49.000000', '2023-09-15 15:41:06.000000', '1', NULL, '/', NULL, 20, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('5BE8C0A4EEF6DD817E70DA685B155A2E', 'B1982DCD4EBF4F8BE20570842F420F04', '叔丁醇钾', '阿拉丁', '试剂', NULL, NULL, '98%，500g/瓶', '2023-09-15 15:39:22.000000', '2023-09-15 15:41:06.000000', '1', NULL, '/', NULL, 2, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('5C43F4E08C829D4958E4B63B6456824E', '61FAB67E13F465515F25B0051DD10FCA', '一次性玻璃巴氏吸管', 'Brand', '耗材', NULL, NULL, '225mm,250支/盒,250支/盒', '2023-09-15 15:37:37.000000', '2023-09-15 15:41:06.000000', '1', NULL, '/', NULL, 2, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, '库存充足', 1, '747720', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('5CDF5325B8E0CDA1DF7DD01EAA6A616E', '805278306BB7CB555541775F0A859285', '橡皮吸球', 'n/a', '耗材', NULL, NULL, '1ml', '2023-09-15 15:38:22.000000', '2023-09-15 15:41:06.000000', '1', NULL, '/', NULL, 20, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('5D13A4AEB90A8884E4C115508447E5E3', '8F3D0BDD051C41AB1D76094D7F04399E', '2-(二乙基氨基)-1-苯基丙-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:59.000000', '2023-09-15 15:41:06.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '安非拉酮盐酸盐', '冷藏贮存', 'GASS-330', '瓶', '2-(diethylamino)-1-phenylpropan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '134-80-5', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('5D8669316D7FDE53872D93A28F3FD5BB', '5EECC05C63CC8EEA699ECFC73067B96F', '2-(乙基氨基)-2-(3-甲氧基苯基)环已烷-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:48.000000', '2023-09-15 15:41:06.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '2-(3-甲氧基苯基)-2-乙复基环己酮', '冷藏贮存', 'GASS-167', '瓶', '2-(ethylamino)-2-(3-methoxyphenyl)cyclohexan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '1239943-76-0', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('5E5464541ED021293EFE5CA2E801038A', '5A09A96D6FE248DDE8A8E04DEA50727A', '甲醇', 'Supelco', '试剂', NULL, NULL, '2.5L/瓶', '2023-09-15 15:37:56.000000', '2023-09-15 15:41:06.000000', '1', NULL, '/', NULL, 18, '普通试剂', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '瓶', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, 'LC/MS级 ');
INSERT INTO `reagent_consumable_inventory` VALUES ('5EBBE114EB2A8F11E0BBF097B9C4BD7E', '5B7419BF70BD12F5731F69CF0EBC71D7', '2-氨基-2-(2-氯苯基) 环已烷-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:03.000000', '2023-09-15 15:41:06.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '去甲氯胺酮盐酸盐', '冷藏贮存', 'GASS-341', '瓶', '2-amino-2-(2-chlorophenyl)cyclohexan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '79499-59-5', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('5EF0AD44561D6A049618F3A5E856BB5F', '6164F3803E0E7FE2C3B1F18CB8B5632D', '血清移液管', 'n/a', '耗材', NULL, NULL, '5ml', '2023-09-15 15:38:15.000000', '2023-09-15 15:41:06.000000', '1', NULL, '/', NULL, 18, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('5FCCAE5EFA1486766447C0E84C07910A', '8F5F26F772C480FAA52F1824AE9D5D33', 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(4-氟苄基)-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:36.000000', '2023-09-15 15:41:06.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'AB-FUBINACA', '冷藏贮存', 'GASS-044', '瓶', 'N-(1-amino-3-methyl-1-oxobutan-2-yl)-1-(4-fluorobenzyl)-1H-indazole-3-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '1629062-56-1', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('5FD3FAE431AF3807D422D2927008494A', '290060F1EF9789FE3FDC880097D2B288', 'ZORBAX Eclipse Plus C18', 'agilent', '耗材', NULL, NULL, '4.6*150mm,5um', '2023-09-15 15:38:08.000000', '2023-09-15 15:41:06.000000', '1', NULL, '/', NULL, 1, '色谱柱', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('60039166528EBEFD1E45474E82C89672', 'C7635B2C527AA2851379DE5B8CD16CA7', '乙酸乙酯', '科密欧', '试剂', NULL, NULL, '500ml/瓶', '2023-09-15 15:39:05.000000', '2023-09-15 15:41:06.000000', '1', NULL, '/', NULL, 4, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('60575FA38DEC772CC58CA0998DD604A2', '94EFE014FFAE803E63A8184A6E806CE6', '擦镜纸', '杭州新星', '耗材', NULL, NULL, '10*15cm', '2023-09-15 15:38:16.000000', '2023-09-15 15:41:06.000000', '1', NULL, '/', NULL, 20, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('61311C2FB24E973F2611B31293FF9033', '7640D2C213DAA1DA9C6B7EB8C8FA6D95', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)戊酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:10.000000', '2023-09-15 15:41:06.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '对氟苯基正戊基芬太尼', '冷藏贮存', 'GASS-381', '瓶', 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)pentanamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('6145B470EF44B533A437D60E94130195', '7B5CC752D878DA27FBE65025DDE5F240', '二氯甲烷', '科密欧', '试剂', NULL, NULL, '500ml/瓶', '2023-09-15 15:39:03.000000', '2023-09-15 15:41:06.000000', '1', NULL, '/', NULL, 5, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('63EAF90B75D5FB9DB2CC9ABD7E2380E9', 'EBE2BD44D95BD619836E8197B41284A9', '茶碱', '百灵威', '试剂', NULL, NULL, '98%,5g/瓶', '2023-09-15 15:39:16.000000', '2023-09-15 15:41:06.000000', '1', NULL, '/', NULL, 1, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, 'RD');
INSERT INTO `reagent_consumable_inventory` VALUES ('6444CEBA5AC222CCB0068A90401A5838', 'A6CD12305B8062CDCE745B815494CCB1', '乙腈', 'fisher', '试剂', NULL, NULL, '4L/瓶', '2023-09-15 15:37:57.000000', '2023-09-15 15:41:06.000000', '1', NULL, '/', NULL, 1, '普通试剂', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '瓶', NULL, 1.00, NULL, NULL, '库存不足', 1, '/', NULL, 'LC/MS级 ');
INSERT INTO `reagent_consumable_inventory` VALUES ('646B42221D42B7A1DAD47E5798FFC80F', '064089791054DAE4F15C2B830F0FEC45', '乙酸铵', '大茂', '试剂', NULL, NULL, '500g/瓶', '2023-09-15 15:39:09.000000', '2023-09-15 15:41:06.000000', '1', NULL, '/', NULL, 1, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, 'GR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('656C946CD5CA5588F4CEBDAA965E4290', '4320458EB07D119BC252835051EEAA9F', 'ACQUITY UPLC BEH C18                    ', 'Waters', '耗材', NULL, NULL, '2.1*100mm,1.7um', '2023-09-15 15:38:09.000000', '2023-09-15 15:41:06.000000', '1', NULL, '/', NULL, 4, '色谱柱', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('65805713798AE7A5E30E14E0C0A6BB5A', '36A2D47A279002093E7D2CE7AF2C5CA4', '3,3-二甲基-2-(1-(戊-4-烯-1-基)-1H-吲唑-3-甲酰胺基)丁酸甲酯', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:52.000000', '2023-09-15 15:41:06.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'MDMB-4en-PINACA', '冷藏贮存', 'GASS-292', '瓶', 'methyl 3,3-dimethyl-2-(1-(pent-4-en-1-yl)-1H-indazole-3-carboxamido)butanoate', 1.00, NULL, NULL, '库存不足', 1, NULL, '2504100-70-1', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('661F7C1018B8AF17E5A0893F0BDE4618', 'A1EF2F0A023AA8468E09E20FA432DB80', '(7-氯-5-(2-氟苯基)-2,3-二氢-1H-苯并[e][1,4]二氮杂-2-基)甲胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:28.000000', '2023-09-15 15:41:06.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '咪达唑仑', '冷藏贮存', 'GASS-513', '瓶', '(7-chloro-5-(2-fluorophenyl)-2,3-dihydro-1H-benzo[e][1,4]diazepin-2-yl)methanamine', 1.00, NULL, NULL, '库存不足', 1, NULL, '59467-64-0', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('66AEE1EAF9D6C51B9FD087883FF15F85', 'FEEEB4C084806A315DA6C3B2503E66AE', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)乙酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:03.000000', '2023-09-15 15:41:06.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '对甲苯基乙酰基芬太尼', '冷藏贮存', 'GASS-365', '瓶', 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)acetamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '90736-12-2', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('6820548BFDF9F97EBB7EBF371A6D390C', '5821668E5EBEF7652ED5D67E6DE2B9D7', '1-(3-氯苯基)-2-(二乙基氨基)丙-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:01.000000', '2023-09-15 15:41:06.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'N-乙基-间氯-乙卡西酮盐酸盐', '冷藏贮存', 'GASS-335', '瓶', '1-(3-chlorophenyl)-2-(diethylamino)propan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '1152853-89-8', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('68A787A94DA572F1FEC1A5C1E716D9FC', 'FC663F52347C6F215A804FD85CAB77A0', '3-(2-(二甲基氨基)乙基)-1H-吲哚-4-醇', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:49.000000', '2023-09-15 15:41:06.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '赛洛新', '冷藏贮存', 'GASS-198', '瓶', '3-(2-(dimethylamino)ethyl)-1H-indol-4-ol', 1.00, NULL, NULL, '库存不足', 1, NULL, '520-53-6', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('68B47B2679FA915DA87A755F72C5EBCD', '30FE3BFFB43DC4A814F056067A952AFC', '氢氧化钠', '欧博凯', '试剂', NULL, NULL, '500克/瓶', '2023-09-15 15:38:01.000000', '2023-09-15 15:41:06.000000', '1', NULL, '/', NULL, 4, '普通试剂', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '瓶', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, '优级纯');
INSERT INTO `reagent_consumable_inventory` VALUES ('68DEF07DC4AAE52BDA9725E34FEA3415', 'AD59C051F4D20F0F5966E2DDD56CCB28', '甲醇', 'Supelco', '试剂', NULL, NULL, '4L，LC/MS级', '2023-09-15 15:39:12.000000', '2023-09-15 15:41:06.000000', '1', NULL, '/', NULL, 4, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'LC/MS级');
INSERT INTO `reagent_consumable_inventory` VALUES ('69258514FB4617F101823218D1814AFF', '8937FD912B4DAECD34C8EAEAD20A1147', '定性滤纸', '皎洁', '耗材', NULL, NULL, '11cm，中速', '2023-09-15 15:38:54.000000', '2023-09-15 15:41:06.000000', '1', NULL, '/', NULL, 20, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('697D2068979153FD01E95627CA8AC3CB', '4BC46FDB5BD0607A655E78C93D15CC0C', '移液枪', 'Sartorius', '耗材', NULL, NULL, '500-5000ul', '2023-09-15 15:38:20.000000', '2023-09-15 15:41:06.000000', '1', NULL, '/', NULL, 1, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('6A4C05DFAB237520F15015C5AA763F79', 'D02032002017223B0993718319C441AD', '高硼硅量筒', 'Bomex', '耗材', NULL, NULL, '500ml', '2023-09-15 15:38:35.000000', '2023-09-15 15:41:06.000000', '1', NULL, '/', NULL, 9, '普通耗材', 2, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('6AA0AF04D8513AECB5EE4FEFA221A23A', 'F679A4354B1CB690BEA7A50FBB5C5B9D', '称量瓶', 'n/a', '耗材', NULL, NULL, '25x25', '2023-09-15 15:38:37.000000', '2023-09-15 15:41:06.000000', '1', NULL, '/', NULL, 15, '普通耗材', 20, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('6B41EB3A106E3A4792B76C53113B6B1C', '8E09A47A7C68826FCE342A16E66D9961', '10ml连盖离心管', 'CYPRESS', '耗材', NULL, NULL, '200个/包,200个/包', '2023-09-15 15:37:39.000000', '2023-09-15 15:41:06.000000', '1', NULL, '/', NULL, 19, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '包', NULL, 1.00, NULL, NULL, '库存充足', 1, '200100', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('6B85F3067B5FC3CA0E1F9A44013141CE', '51C080D5954D2FFCF9988E0680AD0123', '一次性玻璃巴氏吸管', 'Brand', '耗材', NULL, NULL, '225mm,250支/盒,250支/盒', '2023-09-15 15:37:36.000000', '2023-09-15 15:41:06.000000', '1', NULL, '/', NULL, 4, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, '库存充足', 1, '747720', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('6BA19BDF0379606570051259535E7DD4', 'BE50C8DEFC576C480273F6DEEB7D909C', '连盖离心管', 'CYPRESS', '耗材', NULL, NULL, '5ml，300支/袋', '2023-09-15 15:38:28.000000', '2023-09-15 15:41:06.000000', '1', NULL, '/', NULL, 30, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('6C262B4257807749A064D210FFEFE0A4', 'BEA1D8ACDA2788E2709E2BEDAF94A441', 'InfinityLab Poroshecll 120 PFP', 'agilent', '耗材', NULL, NULL, '4.6*250mm,4um', '2023-09-15 15:38:08.000000', '2023-09-15 15:41:07.000000', '1', NULL, '/', NULL, 1, '色谱柱', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('6C4B0D0C2C7865A127A9087C9F49A946', '51759813BF730E829E5B7E6F990A9BAD', '连盖离心管', 'n/a', '耗材', NULL, NULL, '2ml，300个', '2023-09-15 15:38:56.000000', '2023-09-15 15:41:07.000000', '1', NULL, '/', NULL, 6, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '袋', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('6E9A167E862A25E29B373B2B4552F3EC', '349C76AFED97C702E050BDE8915558A8', '载玻片', 'SAIL BRAND', '耗材', NULL, NULL, '25.4x76.2mm，50片，7102', '2023-09-15 15:38:56.000000', '2023-09-15 15:41:07.000000', '1', NULL, '/', NULL, 39, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('6EFBB384A8CBFC9A3E7443524310D3AE', '5E9CD7876FFB120DE10248EE72B39DE1', '药匙', 'n/a', '耗材', NULL, NULL, '20cm', '2023-09-15 15:38:23.000000', '2023-09-15 15:41:07.000000', '1', NULL, '/', NULL, 5, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('6F200A373EC0700FE581B6C041B364E9', '5AE51010904E1BD74A187FA8488509C9', '梨形分液漏斗', 'Bomex', '耗材', NULL, NULL, '60ml', '2023-09-15 15:38:44.000000', '2023-09-15 15:41:07.000000', '1', NULL, '/', NULL, 9, '普通耗材', 2, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('6F8F92EF4888D360508A87CED229E009', '9A3578679C16E3C22F1CC46FF3BD4D69', 'ACQUITY UPLC ENH HILIC ', 'Waters', '耗材', NULL, NULL, '2.1*100mm,1.7um', '2023-09-15 15:38:10.000000', '2023-09-15 15:41:07.000000', '1', NULL, '/', NULL, 6, '色谱柱', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('6FDF3C0B0484B9456BBFD32EFC6C0462', 'D339D838678FB2F6D9913170223046A0', '2-氯-N-(2-氟苯基) N-(1-苯乙基哌啶-4-基) 乙酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:12.000000', '2023-09-15 15:41:07.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '邻氟苯基氯乙酰基芬太尼', '冷藏贮存', 'GASS-388', '瓶', '2-chloro-N-(2-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)acetamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('7011A217B70EFE33AEA7D5B331CB8129', '1195745C875CF134E4A225BEDDDE0C80', '无水硫酸钠', '科密欧', '试剂', NULL, NULL, '500g/瓶', '2023-09-15 15:39:07.000000', '2023-09-15 15:41:07.000000', '1', NULL, '/', NULL, 6, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('705C2E81C22EAD08A1F9DC2FAE0CF1EB', 'DB718ADC34ED9857CC1230F057672509', '1-(3-氯苯基)-2-(吡咯烷-1-基) 丙-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:01.000000', '2023-09-15 15:41:07.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'N-环丁基-间氯-卡西酮盐酸盐', '冷藏贮存', 'GASS-336', '瓶', '1-(3-chlorophenyl)-2-(pyrrolidin-1-yl)propan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '1152959-71-1', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('70A441F31BBE28F529D7F3EA3D74DDB9', 'AA8877CCB9CAAA673DBA1D2444465236', '水系滤膜13mm*0.45um', '津隆', '耗材', NULL, NULL, '100个/盒,100个/盒', '2023-09-15 15:37:48.000000', '2023-09-15 15:41:07.000000', '1', NULL, '/', NULL, 10, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '后续不再购买', '盒', NULL, 1.00, NULL, NULL, '库存充足', 1, 'JLSP054501', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('71B0E9E4112A9FA7A04E24CB8F92C59F', '3B01FB6779FEBCA695CFFDD9C0EE79C7', '保鲜自封袋4号', '苹果', '耗材', NULL, NULL, '85x120mm', '2023-09-15 15:38:04.000000', '2023-09-15 15:41:07.000000', '1', NULL, '/', NULL, 100, '普通耗材', 100, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('7202451BAFA0321EF8F016E7D4C80EB1', '2F5A6C27D9678603708FE73BA7B40D39', '浓硝酸', '国产', '试剂', NULL, NULL, '500mL/瓶', '2023-09-15 15:38:02.000000', '2023-09-15 15:41:07.000000', '1', NULL, '/', NULL, 6, '普通试剂', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '瓶', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, '分析纯');
INSERT INTO `reagent_consumable_inventory` VALUES ('7223A7F92D6D89DFD00C0F9CF69B79F3', 'ECA0E0143175EDFBE2C2548D03859188', '一次性蓝色丁腈手套', '柯沃', '耗材', NULL, NULL, 'L', '2023-09-15 15:38:53.000000', '2023-09-15 15:41:07.000000', '1', NULL, '/', NULL, 1, '普通耗材', 10, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('72251D9E7CA66DD69E163658CEB98BE2', 'AA0085B46B0453653C6260B11A1E5D19', '3-甲基-N-(1-苯基哌啶-4-基)-N-(对甲苯基) 丁酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:06.000000', '2023-09-15 15:41:07.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '对甲苯基异戊酰基芬太尼', '冷藏贮存', 'GASS-372', '瓶', '3-methyl-N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)butanamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('722B55DE93B3E8BA3F38C413AAAE8945', 'FB2F909A5AD1F20A363540FDC38431A5', 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基)-1-(戊-4-烯-1基)-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:54.000000', '2023-09-15 15:41:07.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'ADB-4en-PINACA', '冷藏贮存', 'GASS-307', '瓶', 'N-(1-amino-3,3-dimethyl-1-oxobutan-2-yl)-1-(pent-4-en-1-yl)-1H-indazole-3-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '2659308-44-6', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('7262F60B5882F42EFE158D3332BEE2C8', '132FF91A13C738AA9CE139958D0E993E', 'N-(金刚烷-1-基)-1-戊基-1H-吲哚-3-甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:38.000000', '2023-09-15 15:41:07.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'APICA', '冷藏贮存', 'GASS-051', '瓶', 'N-(adamantan-1-yl)-1-pentyl-1H-indole-3-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '1345973-50-3', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('72700F3D2AAD30F8FBF1B151B47D09B7', '26D992C1C9A35E81B1A69CC82868407B', '乙腈', 'OCEANPAK', '试剂', NULL, NULL, '4L/瓶', '2023-09-15 15:39:02.000000', '2023-09-15 15:41:07.000000', '1', NULL, '/', NULL, 1, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('7383BDA35CA11EEEC51A03F2A4DD0033', '88C27237FE238FE91025F52CA8A02520', '200ul枪头', 'Brand', '耗材', NULL, NULL, '容量200ul,96个/盒,96个/盒', '2023-09-15 15:37:33.000000', '2023-09-15 15:41:07.000000', '1', NULL, '/', NULL, 30, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, '库存充足', 1, '732028', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('739CA681406EEDD6163E47F2D31AD6E5', '4E2AC496B827A6DD0D28AC6395F91254', ' Oasis HLB Direct Connect HP 20µm', 'Waters', '耗材', NULL, NULL, '20µm, 2.1mmX 30 mm,1/根,1/根', '2023-09-15 15:37:52.000000', '2023-09-15 15:41:07.000000', '1', NULL, '/', NULL, 3, '色谱柱', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '污水专用', '根', NULL, 1.00, NULL, NULL, '库存充足', 1, '186005231', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('73D3F59DF37263D5A564E03637B2ACA7', '8CC64F58EDC5AB3735ACCA041E7200FB', '异丙醇', 'Supelco', '试剂', NULL, NULL, '4L/瓶', '2023-09-15 15:38:59.000000', '2023-09-15 15:41:07.000000', '1', NULL, '/', NULL, 3, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('7463E15C114C8C354E0E0D27559D8465', '920F8ACFF3AC839E41AEAE986EF2E5EF', '1-(4-氟苯基)丙-2-胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:30.000000', '2023-09-15 15:41:07.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '4-FA', '冷藏贮存', 'GASS-007', '瓶', '1-(4-fluorophenyl)propan-2-amine', 1.00, NULL, NULL, '库存不足', 1, NULL, '459-02-9', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('748D22632161F06E90DCDBFF6243595F', '82179DBD1CF04D541BA4569F2AEE8897', '单凹片载玻片', 'SAIL BRAND', '耗材', NULL, NULL, '25.4x76.2mm，50片，7103', '2023-09-15 15:38:55.000000', '2023-09-15 15:41:07.000000', '1', NULL, '/', NULL, 3, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('749073A509938D59AA43C3BCDD191FC4', 'FC21EDA9491671CF04E9ED103494751A', '镊子', 'n/a', '耗材', NULL, NULL, '弯头，12.5cm', '2023-09-15 15:38:25.000000', '2023-09-15 15:41:07.000000', '1', NULL, '/', NULL, 3, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('74DDE1189EC52CD38DD6E51E3145331F', '7ED0AA3E04F3B334930F01D2676C966E', '收纳盒', 'n/a', '耗材', NULL, NULL, 'n/a', '2023-09-15 15:38:45.000000', '2023-09-15 15:41:07.000000', '1', NULL, '/', NULL, 2, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('751B9E3031156F921C631499FE87B730', '28F313B9003D6C91A518DDAD48E12A10', '螺口试剂瓶', '蜀牛', '耗材', NULL, NULL, ' 1000mL(棕色),/,/', '2023-09-15 15:37:40.000000', '2023-09-15 15:41:07.000000', '1', NULL, '/', NULL, 8, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '个', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('756EE79EDF72276220B1E57F3C4E4855', '9F633F3CA8C8652AD0F591637EFB6E59', '1ml枪头', 'Brand', '耗材', NULL, NULL, '96个/盒,96个/盒', '2023-09-15 15:37:33.000000', '2023-09-15 15:41:07.000000', '1', NULL, '/', NULL, 60, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, '库存充足', 1, '732232', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('75D2599291C9300EC669944A4500AB1B', '15291EA04046C73EA24F7C4EDD120D46', 'ACQUITY UPLC BEH HILIC 1.7um VanGuard Pre-Column', 'Waters', '耗材', NULL, NULL, '1.7，2.1*5mm Column,3根/1盒,3根/1盒', '2023-09-15 15:37:53.000000', '2023-09-15 15:41:07.000000', '1', NULL, '/', NULL, 1, '色谱柱', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '毛发专用', '盒', NULL, 1.00, NULL, NULL, '库存不足', 1, '186003980', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('75EC8F7EE11268E0BD414228DFD1534C', '1592FF99BD03546EBFBA28083C0239B0', '进口滤膜', '津隆', '耗材', NULL, NULL, '13mm，水洗聚醚砜（PES）,0.45um，货号：JLSP054501', '2023-09-15 15:38:50.000000', '2023-09-15 15:41:07.000000', '1', NULL, '/', NULL, 9, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('7707F60D91E94F7CD01EBC7411119DA7', 'FA5B6ABE6C7971383125BBF7838E7487', '核磁管', 'NORELL', '耗材', NULL, NULL, '100个/盒', '2023-09-15 15:38:11.000000', '2023-09-15 15:41:07.000000', '1', NULL, '/', NULL, 1, '核磁管', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('78A40A1643750F9E545281392CEF7674', '42530F6BBD2003FCA92901F02ED78B19', '锥形瓶', '环球', '耗材', NULL, NULL, '50ml', '2023-09-15 15:38:45.000000', '2023-09-15 15:41:07.000000', '1', NULL, '/', NULL, 7, '普通耗材', 12, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('79A3008830DE9DA9712B6EDAE7781665', '3D066CD009871C31FEE111BD157F8802', ' 移液枪吸头5mL', '赛多利斯', '耗材', NULL, NULL, '250个/包,250个/包', '2023-09-15 15:37:51.000000', '2023-09-15 15:41:07.000000', '1', NULL, '/', NULL, 3, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '后续不再购买', '包', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('79A5F89DC23E93DFEDF6DB2CCF86156F', 'B8F481CDCDE8DAB3D22CFAD7FBDBD810', '50ml塑料离心管', 'CORNING　CentriStar', '耗材', NULL, NULL, 'PET塑料,20包/箱 1包/25,20包/箱 1包/25', '2023-09-15 15:37:37.000000', '2023-09-15 15:41:07.000000', '1', NULL, '/', NULL, 9, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '箱', NULL, 1.00, NULL, NULL, '库存充足', 1, '430304', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('79D85F414C75E000617A0EA8179CBF4E', 'CD57D01D528BF18C68D969E7E0BA947A', '1ml有机相枪头', 'RAININ　1000ul', '耗材', NULL, NULL, 'disposable capillaries/pistons 17008609,180个/盒,180个/盒', '2023-09-15 15:37:29.000000', '2023-09-15 15:41:07.000000', '1', NULL, '/', NULL, 60, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '污水专用', '盒', NULL, 1.00, NULL, NULL, '库存充足', 1, '17008609', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('7A0CDD26B0C970757C0F8CCA6D215610', 'FCC713F55AE4ED51557A841FF49D3342', 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基) -1-戊基-1H-吲哚-3-甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:37.000000', '2023-09-15 15:41:07.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'ADBICA', '冷藏贮存', 'GASS-046', '瓶', 'N-(1-amino-3,3-dimethyl-1-oxobutan-2-yl)-1-pentyl-1H-indole-3-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '1445583-48-1', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('7A5043655C88A7F8D54D1581BEDC3558', '293795B0CBABCA4B9877C8D228A091C5', '氢氧化钾', '光复', '试剂', NULL, NULL, '500g/瓶', '2023-09-15 15:39:09.000000', '2023-09-15 15:41:07.000000', '1', NULL, '/', NULL, 1, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, 'GR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('7A6007222D42E5EB8769EAD514991735', 'D6589B0F234702150A3B3DF502439EFE', '定量滤纸', '双联牌', '耗材', NULL, NULL, '12.5cm，慢速', '2023-09-15 15:38:48.000000', '2023-09-15 15:41:07.000000', '1', NULL, '/', NULL, 20, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('7B2B1A936DF75992AAD2AA717A813AC9', '09836480A91A43A603A1BE72FBE51F82', '正己烷', '科密欧', '试剂', NULL, NULL, '500ml/瓶', '2023-09-15 15:39:05.000000', '2023-09-15 15:41:07.000000', '1', NULL, '/', NULL, 15, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('7B6B2738977A1A2DD5642F903145640E', '13846DD02C8665125AEFB8C2CA6DF0EE', '4-(三氟甲基)氯苄', '阿拉丁', '试剂', NULL, NULL, '>97.0%(GC)，25g/瓶', '2023-09-15 15:39:23.000000', '2023-09-15 15:41:08.000000', '1', NULL, '/', NULL, 2, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, '939-99-1', 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('7B7951A2BB0BB24662A7D1DEC08D9E20', '9BDE4460843F2AB81E4235EEED650AE1', '吡拉西坦', 'Sigma-Aldrich', '试剂', NULL, NULL, '25g/瓶', '2023-09-15 15:39:00.000000', '2023-09-15 15:41:08.000000', '1', NULL, '/', NULL, 1, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, 'RD');
INSERT INTO `reagent_consumable_inventory` VALUES ('7BDD8E2E752818808273926D9780E24E', '36456BDC7D684A47A9DC94B8D267A3A6', '1-苯基-2-(吡咯烷-1-基)丙-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:02.000000', '2023-09-15 15:41:08.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'PPP盐酸盐', '冷藏贮存', 'GASS-337', '瓶', '1-phenyl-2-(pyrrolidin-1-yl)propan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '92040-10-3', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('7BEE24A5191496BC62F77D8EFCB433BA', '3D26A02F9E0BBF03C231FCCC76367DF0', 'DCC , N,N\'-二环己基碳二亚胺', '阿拉丁', '试剂', NULL, NULL, '99%, 100g/瓶', '2023-09-15 15:39:24.000000', '2023-09-15 15:41:08.000000', '1', NULL, '/', NULL, 2, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, '538-75-0', 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('7D4BADDA1705F895935C90B544BACFA8', '1E3AD0C8BDE6B8BD170109FE82FE98BE', '乙醇', 'GRACE', '试剂', NULL, NULL, '4L/瓶', '2023-09-15 15:37:59.000000', '2023-09-15 15:41:08.000000', '1', NULL, '/', NULL, 4, '普通试剂', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '瓶', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('7DB749FABB52FA91095C6591E641B579', 'A7E5B94CDC15404028FAF7CBEE0836D1', 'N-(1-氨基-3-甲基-1-氧代丁-2-基) -1-戊基-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:36.000000', '2023-09-15 15:41:08.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'AB-PINACA', '冷藏贮存', 'GASS-045', '瓶', 'N-(1-amino-3-methyl-1-oxobutan-2-yl)-1-pentyl-1H-indazole-3-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '1445583-20-9', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('7E839AEC889CC68F07E1B9B481428F58', '166488D671BE1EA306361E31FD7A6118', '100ul有相机枪头', 'RAININ    100ul ', '耗材', NULL, NULL, 'disposable capillaries/pistons 17008607,180个/盒,180个/盒', '2023-09-15 15:37:31.000000', '2023-09-15 15:41:08.000000', '1', NULL, '/', NULL, 60, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '污水专用', '盒', NULL, 1.00, NULL, NULL, '库存充足', 1, '17008607', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('7E9BD2FEE353FD6C941B2DEB55606CAD', '02D857429038F3EEC60197B375B0ECE2', 'N-(1-苯乙基哌啶-4-基)-N-苯基异丁酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:45.000000', '2023-09-15 15:41:08.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '异丁酰芬太尼', '冷藏贮存', 'GASS-091', '瓶', 'N-(1-phenethylpiperidin-4-yl)-N-phenylisobutyramide', 1.00, NULL, NULL, '库存不足', 1, NULL, '119618-70-1', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('7F3DC31F69E207FF347C270F8F5318B2', 'EB52CA788EEDCDB43447545B73186F66', '一次性玻璃巴氏吸管', 'Brand', '耗材', NULL, NULL, '225mm,250支/盒,250支/盒', '2023-09-15 15:37:36.000000', '2023-09-15 15:41:08.000000', '1', NULL, '/', NULL, 24, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, '库存充足', 1, '747720', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('7FCD3CDCAECFF71BF970F2785DF19910', '249916E35445AB5CC31EC05DDBBE627A', '梨形分液漏斗', 'n/a', '耗材', NULL, NULL, '10ml', '2023-09-15 15:38:43.000000', '2023-09-15 15:41:08.000000', '1', NULL, '/', NULL, 10, '普通耗材', 10, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('8081E3429C42A34CD51DAA673B24F22B', '90C22621AF1AE2BFBB1A76956C9EB831', '氘代DMSO', 'CIL', '试剂', NULL, NULL, '0.6mLx10,99.8%', '2023-09-15 15:39:13.000000', '2023-09-15 15:41:08.000000', '1', NULL, '/', NULL, 8, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('80A0C3336C814C659AB9E6B8CA909B54', '3E14530181E9A86760F55ED44CC9F80D', '塑料吸管', 'n/a', '耗材', NULL, NULL, '3ml，100支/袋', '2023-09-15 15:38:27.000000', '2023-09-15 15:41:08.000000', '1', NULL, '/', NULL, 7, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '袋', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('80A4254240CDB2CB976B21FD11F03A09', '565CB7EFB94E44230052A3A70A244B55', '离心管架', 'n/a', '耗材', NULL, NULL, '4X5，20孔', '2023-09-15 15:38:55.000000', '2023-09-15 15:41:08.000000', '1', NULL, '/', NULL, 17, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('80BE7DE744E58991D338179B8F4F89E7', '084D6C193744DB163AB21E1B831497CD', '无水硫酸镁', '科密欧', '试剂', NULL, NULL, '500g/瓶', '2023-09-15 15:39:06.000000', '2023-09-15 15:41:08.000000', '1', NULL, '/', NULL, 10, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('814468F27B307E020FECE3AFE541134F', 'A411A460338306A212F158F3CB7403A0', '50ml塑料离心管', 'CORNING　CentriStar', '耗材', NULL, NULL, 'PET塑料,20包/箱 1包/25,20包/箱 1包/25', '2023-09-15 15:37:37.000000', '2023-09-15 15:41:08.000000', '1', NULL, '/', NULL, 20, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '箱', NULL, 1.00, NULL, NULL, '库存充足', 1, '430304', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('8273D597B88F9251E6E84E0E3557D39D', 'A4444956D2523845B9887E852F1F9565', '滴管', 'n/a', '耗材', NULL, NULL, '18cm', '2023-09-15 15:38:17.000000', '2023-09-15 15:41:08.000000', '1', NULL, '/', NULL, 21, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('828496F626C581F73A654EBF7E3054DC', '21CDDE43FCAA0D0E8275D792B8014818', '丙酸酐', '成都艾科', '试剂', NULL, NULL, '98%，500g/瓶', '2023-09-15 15:39:18.000000', '2023-09-15 15:41:08.000000', '1', NULL, '/', NULL, 2, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('835461ECEDB0A14E89267794858EEB79', '24A07562E651D98134EE3AE24C6E3D9C', '洗瓶', 'n/a', '耗材', NULL, NULL, '500ml', '2023-09-15 15:38:31.000000', '2023-09-15 15:41:08.000000', '1', NULL, '/', NULL, 11, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('838ADF826DEDD8E4A5E3837FDE09F7C6', 'E859E5449DF4FAB120B41845211F25A8', '橡皮吸球', 'n/a', '耗材', NULL, NULL, '3ml', '2023-09-15 15:38:22.000000', '2023-09-15 15:41:08.000000', '1', NULL, '/', NULL, 16, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('838C22D3F543F5B0EF5274B5AB4CF622', '2592751F4FCC20B9D9F4AEA26F3254B1', '一次性塑料离心管', 'Corning', '耗材', NULL, NULL, '50ml', '2023-09-15 15:38:41.000000', '2023-09-15 15:41:08.000000', '1', NULL, '/', NULL, 9, '普通耗材', 20, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '箱', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('8486495B6DA5A8942D38E8CD85B032A0', 'F59F6E67F219DD1B943E751B787D61EA', '砂芯过滤装置全套', '津隆', '耗材', NULL, NULL, '1000mL,套,套', '2023-09-15 15:37:32.000000', '2023-09-15 15:41:08.000000', '1', NULL, '/', NULL, 2, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '污水专用', '套', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('85626CEB2C6864CF02E4B0416D6F1BE8', 'B8F6594F5C9ABC66F2025377DD57BAC2', 'ACQUITY UPLC HSS T3 1.8um', 'Waters', '耗材', NULL, NULL, '1.8，2.1*5mm Column,3根/1盒,3根/1盒', '2023-09-15 15:37:52.000000', '2023-09-15 15:41:08.000000', '1', NULL, '/', NULL, 2, '色谱柱', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '污水专用', '盒', NULL, 1.00, NULL, NULL, '库存充足', 1, '186003976', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('857BC7CBB7E46761AB4B9B77F7154873', 'C19D090AFE09D541A7E4F4FCDF48B279', '手套', '科邦', '耗材', NULL, NULL, '丁腈，s码,100只/盒,100只/盒', '2023-09-15 15:37:47.000000', '2023-09-15 15:41:08.000000', '1', NULL, '/', NULL, 27, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('86098EE01B126B3AD33BCC56A1260732', 'B5CAE338B501B3EB8EAC36FEE05A8792', '密封垫', '岛津', '耗材', NULL, NULL, '货号221-48398-91，20个/盒', '2023-09-15 15:38:11.000000', '2023-09-15 15:41:08.000000', '1', NULL, '/', NULL, 1, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('860ABADF72A3F4F59AF72CB93480339B', '2FB33DD6ED5520693087DC13BC493BCC', '氢氧化钾', '科密欧', '试剂', NULL, NULL, '500克/瓶', '2023-09-15 15:38:00.000000', '2023-09-15 15:41:08.000000', '1', NULL, '/', NULL, 2, '普通试剂', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '瓶', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, '优级纯');
INSERT INTO `reagent_consumable_inventory` VALUES ('86AC6F2CF36E9B754F44C7EB5D982C3D', '2B96AC7F3A5F6958EB89EFF13179C95D', '移液枪吸头 10mL', '赛多利斯 ', '耗材', NULL, NULL, '250/包,250/包', '2023-09-15 15:37:52.000000', '2023-09-15 15:41:08.000000', '1', NULL, '/', NULL, 6, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '后续不再购买', '包', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('86DB48F667A6A7396F0AB8F66DF5FA6D', '2F870B34EAEB8090C55C6DF21FB25C0D', '7-氯-5-(2-氯苯基-3,4.5,6-d4) -3-羟基-1,3-二氢-2H-苯并[e][1,4]二氮杂-2-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:20.000000', '2023-09-15 15:41:08.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'D4-劳拉西半', '冷藏贮存', 'GASS-454', '瓶', '7-chloro-5-(2-chlorophenyl-3,4,5,6-d4)-3-hydroxy-13-dihydro-2H-benzole][1,4]diazepin-2-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('870D48DB1D5D375708CBFBC00B20498C', '90CA7AA23B2424EE2E93FB475DC0B07D', '一次性塑料烧杯', 'n/a', '耗材', NULL, NULL, '50ml', '2023-09-15 15:38:42.000000', '2023-09-15 15:41:08.000000', '1', NULL, '/', NULL, 18, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('876A25F58C7610549CF4CACAC1874A6D', '643FC61F4C24189B8EBBE009F28771CC', '定性滤纸', '皎洁', '耗材', NULL, NULL, '15cm，中速', '2023-09-15 15:38:54.000000', '2023-09-15 15:41:08.000000', '1', NULL, '/', NULL, 20, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('87E71464CF1DAD886B6463A5FFD96063', 'C238BA3C8A4B92778DDE80564CC9C22F', '滴管', 'n/a', '耗材', NULL, NULL, '10cm', '2023-09-15 15:38:17.000000', '2023-09-15 15:41:08.000000', '1', NULL, '/', NULL, 20, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('87EC8C114BD9E02F2D6089C10023C53B', 'D3DD68D6ECCDF72864EF8DA4BCA83511', '(1-(5-氟戊基)-1H-吲哚-3-羰基)缬氨酸甲酯', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:50.000000', '2023-09-15 15:41:08.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '5F-AMB-PICA', '冷藏贮存', 'GASS-262', '瓶', 'methyl(1-(5-fluoropentyl)-1H-indole-3-carbonyl)valinate', 1.00, NULL, NULL, '库存不足', 1, NULL, '1971007-87-0', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('880B3B9267164849B971A3471BB7DC7C', '0DC20427209355D65C3F47DAC8EFFFF1', '标准漏斗', 'n/a', '耗材', NULL, NULL, 'n/a', '2023-09-15 15:38:43.000000', '2023-09-15 15:41:08.000000', '1', NULL, '/', NULL, 19, '普通耗材', 10, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('8973564F4A589E658DEDBBE0D5DB1C65', 'B2DBE2C6D135543BF4637B52294F159F', '2ml进样瓶', 'waters', '耗材', NULL, NULL, '18600307C（透明）,100个/盒,100个/盒', '2023-09-15 15:37:35.000000', '2023-09-15 15:41:08.000000', '1', NULL, '/', NULL, 14, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, '库存充足', 1, '18600307C', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('8CC0B7980CBB679DB99EECD7966B479A', '4A2C4B5DAA2D8A669611E66B5704B7C7', '橡皮吸球', 'n/a', '耗材', NULL, NULL, '10ml', '2023-09-15 15:38:22.000000', '2023-09-15 15:41:08.000000', '1', NULL, '/', NULL, 13, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('8D07F3BAA2A87C062A2CAE739B0DE2D8', 'EAFF291BF5F7C608D475783CE75BAAB7', '乙腈', 'Supelco', '试剂', NULL, NULL, '4L/瓶', '2023-09-15 15:37:57.000000', '2023-09-15 15:41:09.000000', '1', NULL, '/', NULL, 8, '普通试剂', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '瓶', NULL, 1.00, NULL, NULL, '库存充足', 1, '1.00030.4008', NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('8D62B8625F99A3EEE6126658936BF821', '88AC55DF98DD989EA7AF50213777A02B', 'N-(金刚烷-1-基)-1-戊基-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:38.000000', '2023-09-15 15:41:09.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'APINACA', '冷藏贮存', 'GASS-052', '瓶', 'N-(adamantan-1-yl)-1-pentyl-1H-indazole-3-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '1345973-53-6', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('8DECBD6C7BA0F9C183346E16E50763CE', 'C17892BFAF45E9C0B345CE7C58FC5EF5', '白色滴瓶', 'n/a', '耗材', NULL, NULL, '125ml', '2023-09-15 15:38:30.000000', '2023-09-15 15:41:09.000000', '1', NULL, '/', NULL, 20, '普通耗材', 10, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('8DF03968B152619BE136BA8F99F1E65F', '09876F13A076E82F2F1D22F2677E7D88', '进口滤膜', '津隆', '耗材', NULL, NULL, '25mm，100片/盒，有机尼龙66，0.45um，货号：JLSN184502', '2023-09-15 15:38:46.000000', '2023-09-15 15:41:09.000000', '1', NULL, '/', NULL, 19, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('8E0513FCF8750DCF1C74D72F8BF156D7', '7F6753D7C486256075376B69320539D5', '称量瓶', 'n/a', '耗材', NULL, NULL, '50x30', '2023-09-15 15:38:38.000000', '2023-09-15 15:41:09.000000', '1', NULL, '/', NULL, 9, '普通耗材', 10, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('8E4645E2A75D0BF7855C8639F2FC44E2', 'C7D9235F2D3DF0DD1935AECDEFE7F49F', '容量瓶', 'Brand', '耗材', NULL, NULL, '100ml', '2023-09-15 15:38:32.000000', '2023-09-15 15:41:09.000000', '1', NULL, '/', NULL, 13, '普通耗材', 2, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('8E90B79AC9E2604324981A3F8E8F0234', '75144B8DAFF7C5D3523F295BFA8C90DC', '定性滤纸', '皎洁', '耗材', NULL, NULL, '9cm，中速', '2023-09-15 15:38:53.000000', '2023-09-15 15:41:09.000000', '1', NULL, '/', NULL, 19, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('8EDA5773B457676B8D191B8C783C9156', '41210762AABDFD901E9F47C791C350EE', '物证提取袋', 'n/a', '耗材', NULL, NULL, '15*10cm', '2023-09-15 15:38:06.000000', '2023-09-15 15:41:09.000000', '1', NULL, '/', NULL, 950, '普通耗材', 50, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('8EF85E262BCF85BA9904E806D3D1580A', 'B27BF690DA372B2658EA825B03BFB4A3', '2-(2-溴苯基) -2-(甲氨基) 环己烷-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:17.000000', '2023-09-15 15:41:09.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '溴胺酮盐酸盐', '冷藏贮存', 'GASS-405', '瓶', '2-(2-bromophenyl)-2-(methylamino)cyclohexan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '120807-70-7(base)', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('8FBEB9D379443ADDDC5EFD2C4E94DBD5', '891C668FCB2D24FE04DEE76107702080', ' 针头过滤器 25mm', 'Whatman ', '耗材', NULL, NULL, '25mm,50/盒,50/盒', '2023-09-15 15:37:48.000000', '2023-09-15 15:41:09.000000', '1', NULL, '/', NULL, 3, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '后续不再购买', '盒', NULL, 1.00, NULL, NULL, '库存充足', 1, '10462701', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('8FE211EE900AEE66381460038DD63D5C', '8AC8CB4D81C68E0F149C8A043E302334', '三（羟甲基）氨基甲烷', '阿拉丁', '试剂', NULL, NULL, '0.999', '2023-09-15 15:39:10.000000', '2023-09-15 15:41:09.000000', '1', NULL, '/', NULL, 3, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, '标准缓冲物质');
INSERT INTO `reagent_consumable_inventory` VALUES ('90062AE946EA01559CF45DC1311D3117', '2FE83FE28F9A1A5A844916BC6B6C8480', 'Kinetex Biphenyl', '飞诺美', '耗材', NULL, NULL, '100*3.0mm,2.6um', '2023-09-15 15:38:09.000000', '2023-09-15 15:41:09.000000', '1', NULL, '/', NULL, 1, '色谱柱', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('917320B79E3E66177E74E0AFFEA062B1', '7A516CDEB7CE536D88FD4F948C013B33', '2-(乙基氨基)-2-(噻吩-2-基) 环己烷-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:18.000000', '2023-09-15 15:41:09.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '乙基噻吩胺酮盐酸盐', '冷藏贮存', 'GASS-406', '瓶', '2-(ethylamino)-2-(thiophen-2-yl)cyclohexan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '14176-50-2', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('92CBAA460AFAD493DDA555EA193165C7', '0E73C095F6DBB2A900FF486691B1A19F', '枪头', 'Brand', '耗材', NULL, NULL, '5ml，200支/包', '2023-09-15 15:38:46.000000', '2023-09-15 15:41:09.000000', '1', NULL, '/', NULL, 4, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9373E24C2FA8D2129C24D65A3A3CC333', 'D80075AB4365488E2920FE77980105BD', '(2-碘代苯基)(1-((1-甲基哌啶-2-基)甲基)-1H-吲哚-3-基)甲酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:37.000000', '2023-09-15 15:41:09.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'AM-2233', '冷藏贮存', 'GASS-050', '瓶', '(2-iodophenyl)(1-((1-methylpiperidin-2-yl)methyl)-1H-indol-3-yl)methanone', 1.00, NULL, NULL, '库存不足', 1, NULL, '444912-75-8', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9386FB92BB3C63CA9EC9033083C376DD', '5EED41CD2D599E73B724DB371AF4BC56', '乙醇', '西陇', '试剂', NULL, NULL, '500ml/瓶', '2023-09-15 15:39:01.000000', '2023-09-15 15:41:09.000000', '1', NULL, '/', NULL, 9, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('93A95739D89B0C08D545660F2020DA62', '18A55CF20791BDD9415F3CA3550813B2', 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(5-氟戊基)-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:32.000000', '2023-09-15 15:41:09.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '5F-AB-PINACA', '冷藏贮存', 'GASS-035', '瓶', 'N-(1-amino-3-methyl-1-oxobutan-2-yl)-1-(5-fluoropentyl)-1H-indazole-3-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '1800101-60-3', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('944295610ADCCBF29017E2E52CD0C987', 'F49953542325FCA738723FE3DF482083', '(1-(4-氟苄基)-1H-吲唑-3-羰基)缬氨酸甲酯', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:43.000000', '2023-09-15 15:41:09.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'AMB-FUBINACA', '冷藏贮存', 'GASS-074', '瓶', 'methyl(1-(4-fluorobenzyl)-1H-indazole-3-carbonyl)valinate', 1.00, NULL, NULL, '库存不足', 1, NULL, '1715016-76-4', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('957A0DD9DB7D99FE9DD370A0A5880518', '7B2043A932C91B3B8C6270663596D62C', '无水碳酸钠', '科密欧', '试剂', NULL, NULL, '500克/瓶', '2023-09-15 15:37:59.000000', '2023-09-15 15:41:09.000000', '1', NULL, '/', NULL, 1, '普通试剂', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '瓶', NULL, 1.00, NULL, NULL, '库存不足', 1, '/', NULL, '优级纯');
INSERT INTO `reagent_consumable_inventory` VALUES ('961FCEF39679C809B6637ECB0D1EF23C', '70E105DA646517B5B29FCEFD2818BD4C', '一次性塑料滴管 3mL', '国产', '耗材', NULL, NULL, '100支/包,100支/包', '2023-09-15 15:37:49.000000', '2023-09-15 15:41:09.000000', '1', NULL, '/', NULL, 9, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '后续不再购买', '包', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('967C70338E78CA6D2610921D88A97064', 'ADF94D2D325B40C09FB64D9547A0C9FE', '1ml枪头', 'Brand', '耗材', NULL, NULL, '96个/盒,96个/盒', '2023-09-15 15:37:32.000000', '2023-09-15 15:41:09.000000', '1', NULL, '/', NULL, 90, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, '库存充足', 1, '732232', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9754144CCABCB39FFBA42A596FA8B485', '7778064EE2AFCD84E237883811FEFFB7', '微孔滤膜-两相通用', 'Pall', '耗材', NULL, NULL, '13mm 0.2um GHP ,1000个/盒,1000个/盒', '2023-09-15 15:37:28.000000', '2023-09-15 15:41:09.000000', '1', NULL, '/', NULL, 14, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '污水，毛发专用', '盒', NULL, 1.00, NULL, NULL, '库存充足', 1, '2401', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('97969B969C5A1289A23303D006D50344', '9B5CB0A09F63C51E370F1EE104FB5D52', '浓硫酸', '沪试', '试剂', NULL, NULL, '500mL/瓶', '2023-09-15 15:38:02.000000', '2023-09-15 15:41:09.000000', '1', NULL, '/', NULL, 4, '普通试剂', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '瓶', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, '分析纯');
INSERT INTO `reagent_consumable_inventory` VALUES ('97D6F7FE3F2231845EEF81F39155FF48', '8223090A55354B3A43956A9C4B7B44CD', '研钵', '垒固', '耗材', NULL, NULL, '12ml', '2023-09-15 15:38:34.000000', '2023-09-15 15:41:09.000000', '1', NULL, '/', NULL, 4, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('97DC57CCEEEF510E893A99501265537C', '064AD192B3DBBFFED5F1077991370EA1', '微孔滤膜-两相通用', 'Pall', '耗材', NULL, NULL, '13mm 0.2um GHP ,1000个/盒,1000个/盒', '2023-09-15 15:37:28.000000', '2023-09-15 15:41:09.000000', '1', NULL, '/', NULL, 5, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '污水，毛发专用', '盒', NULL, 1.00, NULL, NULL, '库存充足', 1, '2401', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9926620D8EDAD29E22916FB48344F937', '80A6406CBE7567425EB59E8B7701A702', '塑料吸管', 'n/a', '耗材', NULL, NULL, '2ml，100支/袋', '2023-09-15 15:38:26.000000', '2023-09-15 15:41:09.000000', '1', NULL, '/', NULL, 8, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '袋', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('995A57AE8F74DBB86CE6AA2B94545A56', 'F51FA6D8E7C3F0CA83AD04A9997E56ED', '醋酸纤维素滤膜', 'Whatman', '耗材', NULL, NULL, '10462701,100片/盒,100片/盒', '2023-09-15 15:37:31.000000', '2023-09-15 15:41:09.000000', '1', NULL, '/', NULL, 43, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '污水专用', '盒', NULL, 1.00, NULL, NULL, '库存充足', 1, '10462701', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9A6B7C2B321CA78EB31C44995D3F4310', '757987E9B64887E6C4D2CB8F401915AD', '无尘纸', 'KIMTECH', '耗材', NULL, NULL, '1个/盒　11*21cm,1个/盒　11*21cm', '2023-09-15 15:37:34.000000', '2023-09-15 15:41:09.000000', '1', NULL, '/', NULL, 7, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, '库存充足', 1, '34155', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9B491F1EADBEBB7EACD4749CA7CE10C2', 'F6A7B1B3687B6B712D13F17A3469DC25', '滤膜', '上海新亚', '耗材', NULL, NULL, '有机，0.22um，50mm，50片/盒', '2023-09-15 15:38:48.000000', '2023-09-15 15:41:09.000000', '1', NULL, '/', NULL, 16, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9BCB3D388B36E071BE046A62870C80DE', '0B7BEA3283F2E4239AF760BBA5AEF992', '3,3-二甲基-2-(1-(戊-4-烯-1-基)-1H-吲唑-3-甲酰胺-4,5,6,7-d4)丁酸甲酯', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:24.000000', '2023-09-15 15:41:09.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'D4-MDMB-4en-PINACA', '冷藏贮存', 'GASS-505', '瓶', 'methyl 3,3-dimethyl-2-(1-(pent-4-en-1-yl)-1H-indazole-3-carboxamido-4,5,6,7-d4)butanoate', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9BD77E240B4652219363E690D34379AF', 'A9F86AB781F5BAE64848285C99BD924E', '一次性塑料烧杯', 'n/a', '耗材', NULL, NULL, '250ml', '2023-09-15 15:38:42.000000', '2023-09-15 15:41:10.000000', '1', NULL, '/', NULL, 10, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9C1E74C5522ABD0A3FD409CD1C585647', 'C13F7D028C5E4226A9E9584BB4E08F77', '乙醇', 'GRACE', '试剂', NULL, NULL, '4L/瓶', '2023-09-15 15:39:03.000000', '2023-09-15 15:41:10.000000', '1', NULL, '/', NULL, 1, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('9C380FACCA113F9521E05324CE6B7BDD', 'FD379C4E35F6F68E3C47F4D3DFC9D570', '螺口试剂瓶', '蜀牛', '耗材', NULL, NULL, ' 1000mL(棕色),/,/', '2023-09-15 15:37:41.000000', '2023-09-15 15:41:10.000000', '1', NULL, '/', NULL, 4, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '个', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9C3C258CF0ADB5B8118A16C600A92886', 'ED5314474F23CA4D841288CF51EF4A91', '移液管', 'MC', '耗材', NULL, NULL, '10ml', '2023-09-15 15:38:14.000000', '2023-09-15 15:41:10.000000', '1', NULL, '/', NULL, 19, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9C449475DE843022799C2B967DB988A2', '83B113E3E584F697735126582EC293AE', '量筒 100mL', '/', '耗材', NULL, NULL, '/,/', '2023-09-15 15:37:45.000000', '2023-09-15 15:41:10.000000', '1', NULL, '/', NULL, 10, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '个', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9CFE66C6C620501C1BC4F73795034D31', 'EF231558751021476826CC08D92EC8F3', '3-环戊基-N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)丙酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:05.000000', '2023-09-15 15:41:10.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '对甲苯基环戊丙酰基芬太尼', '冷藏贮存', 'GASS-368', '瓶', '3-cyclopentyl-N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)propanamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9D0388B14ACBECF23E8A06B2D4D6A422', '36D1F15B458AA95DCBB32AD18D4C49D4', '隔垫', '岛津', '耗材', NULL, NULL, '货号221-75180，50个/盒', '2023-09-15 15:38:12.000000', '2023-09-15 15:41:10.000000', '1', NULL, '/', NULL, 1, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9E306F18F2034BFD40E62ECEC4477947', 'ACC5A5389E9A65E6F44F26A0ECB2360D', '瓶口分液器', 'sartorius', '耗材', NULL, NULL, '0.2ml-1ml', '2023-09-15 15:38:29.000000', '2023-09-15 15:41:10.000000', '1', NULL, '/', NULL, 1, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9E540AE1D26F36CFB5D9789C78D18467', '42D0F1C3F8EDE2D98D117B91D2CB5D37', '自吸过滤式防毒面具', '唐丰', '耗材', NULL, NULL, 'TF503型', '2023-09-15 15:38:35.000000', '2023-09-15 15:41:10.000000', '1', NULL, '/', NULL, 8, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9E9B5F5382F5FCC272E4C62B7E0B88E7', '7F12C8CD9991BB1A1D34EAFD2BCBA86F', '1-(3-氯苯基)-2-(二甲基氨基)丙-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:01.000000', '2023-09-15 15:41:10.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'N-甲基-间氯-甲卡西酮盐酸盐', '冷藏贮存', 'GASS-334', '瓶', '1-(3-chlorophenyl)-2-(dimethylamino)propan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '514168-22-0', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9F343F685D6FD40DE9D2CD8D0C9B52DA', 'DEF8595839EF0E87156B505B68D5FE70', '刮刀', 'n/a', '耗材', NULL, NULL, '25cm', '2023-09-15 15:38:26.000000', '2023-09-15 15:41:10.000000', '1', NULL, '/', NULL, 2, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9F6383ED720AA7DA25F62ABD06A1E14D', '18A7746871B1FA0840F8446C087A82C4', '量筒 50mL', '/', '耗材', NULL, NULL, '/,/', '2023-09-15 15:37:44.000000', '2023-09-15 15:41:10.000000', '1', NULL, '/', NULL, 10, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '个', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9F783E2F90CB43274C053AD6D86A65DB', '073FE1CCA1F7AD328F383614212A7B7E', '一次性塑料滴管 1mL', '国产', '耗材', NULL, NULL, '100支/包,100支/包', '2023-09-15 15:37:49.000000', '2023-09-15 15:41:10.000000', '1', NULL, '/', NULL, 7, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '后续不再购买', '包', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A0D5D9AA6B4458A15C3F429CC063E2C3', 'D41B3A1E96EC19F6B8F50D5B48CDFAB4', '1-(4-甲氧基苯基)-N-甲基丙-2-胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:31.000000', '2023-09-15 15:41:10.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'PMMA盐酸盐', '冷藏贮存', 'GASS-017', '瓶', '1-(4-methoxyphenyl)-N-methylpropan-2-amine', 1.00, NULL, NULL, '库存不足', 1, NULL, '22331-70-0', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A11FA835A8AA0A214DFF02DC5AF7FBD1', 'DD8D01F9B78F0B49F6D0F5AC252625BB', '量筒 500mL', '/', '耗材', NULL, NULL, '/,/', '2023-09-15 15:37:45.000000', '2023-09-15 15:41:10.000000', '1', NULL, '/', NULL, 2, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '个', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A1ACD9E4C37AC710194B153D81931FF0', '910F0FB6436C8EC61741CD8D8D574263', '(1-(环己基甲基)-1H-吲哚-3-羰基)缬氨酸甲酯', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:44.000000', '2023-09-15 15:41:10.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'AMB-CHMICA', '冷藏贮存', 'GASS-079', '瓶', 'methyl(1-(cyclohexylmethyl)-1H-indole-3-carbonyl)valinate', 1.00, NULL, NULL, '库存不足', 1, NULL, '1971007-94-9', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A1F19614E1D8AE3F82F060E02A04D9F3', '617CB5E34E53555A1C42256A0AFE990A', '保鲜自封袋9号', '苹果', '耗材', NULL, NULL, '280x200mm', '2023-09-15 15:38:03.000000', '2023-09-15 15:41:10.000000', '1', NULL, '/', NULL, 400, '普通耗材', 100, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A22BD9D574C03AF005E240D67A9827D5', '48BFED8D8CA36D19029F6721E4E3A465', 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基)-1-丁基-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:53.000000', '2023-09-15 15:41:10.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'ADB-BUTINACA', '冷藏贮存', 'GASS-295', '瓶', 'N-(1-amino-3,3-dimethyl-1-oxobutan-2-yl)-1-butyl-1H-indazole-3-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '2682867-55-4', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A2451BC6D2A5C7577C1A0120CA407988', '48893C1C7970F911FF7625E50E908CB1', '乙腈', 'Supelco', '试剂', NULL, NULL, '2.5L/瓶', '2023-09-15 15:38:58.000000', '2023-09-15 15:41:10.000000', '1', NULL, '/', NULL, 44, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'LC/MS级');
INSERT INTO `reagent_consumable_inventory` VALUES ('A248A37225F60EC9A2A7A65822EF3A00', '5C723C288B1CE11750720320B4FB9536', '(1-(戊-4-烯-1-基) -1H-吲哚-3-羰基)缬氨酸甲酯', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:51.000000', '2023-09-15 15:41:10.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'AMB-4en-PICA', '冷藏贮存', 'GASS-269', '瓶', 'methyl(1-(pent-4-en-1-yl)-1H-indole-3-carbonyl)valinate', 1.00, NULL, NULL, '库存不足', 1, NULL, '2659308-31-1', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A2974927359CFE4BE620FE9A035E1747', 'E2EFFB14283FA97ADC7BE6DE1DDEB3AA', '手术剪', '安其生', '耗材', NULL, NULL, '12.5cm弯尖', '2023-09-15 15:38:21.000000', '2023-09-15 15:41:10.000000', '1', NULL, '/', NULL, 5, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '把', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A39786B8CF9BFC83A9EB550BFED0FB4B', '7A4F5EE4F00F7AC08E07ADB8527C6DA2', '乙腈', 'Merck', '试剂', NULL, NULL, '2.5L/瓶', '2023-09-15 15:37:57.000000', '2023-09-15 15:41:10.000000', '1', NULL, '/', NULL, 28, '普通试剂', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '瓶', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, 'LC/MS级 ');
INSERT INTO `reagent_consumable_inventory` VALUES ('A4028CFA8F4821AC274028CB7BE58577', 'FBE67696F836145AC4F2B283A73EEE58', '微孔滤膜', 'GreenMall', '耗材', NULL, NULL, '有机系（尼龙）,50mm,0.22um,50片/盒', '2023-09-15 15:38:47.000000', '2023-09-15 15:41:10.000000', '1', NULL, '/', NULL, 4, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A437992028961610AAE7398F5450DE72', '78C0B9A2B73B7AB1C5534442FA4DBF6E', 'N-(4-氟苯基)-3甲基-N-(1-苯乙基哌啶-4-基)丁酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:10.000000', '2023-09-15 15:41:10.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '对氟苯基3-甲基丁酰基芬太尼', '冷藏贮存', 'GASS-383', '瓶', 'N-(4-fluorophenyl)-3-methyl-N-(1-phenethylpiperidin-4-yl)butanamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A4A7F194912B22DCDA5C233E3308F7CE', 'DE90E741900A954F7B3A72B286EEAF3B', '1-(4-氰基丁基)-N-(2-苯基丙-2-基)-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:50.000000', '2023-09-15 15:41:10.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '4CN-CUMYL-BUTINACA', '冷藏贮存', 'GASS-265', '瓶', '1-(4-cyanobutyl)-N-(2-phenylpropan-2-yl)-1H-indazole-3-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '1631074-54-8', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A4D889488769E71FF9A0BC6150B2A8A2', '0C833E3F6429470CD43824F47A24AF13', '(1-((四氢-2H-吡喃-4-基)甲基)-1H-吲哚-3-基)(2,2,3,3-四甲基环丙基)甲酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:35.000000', '2023-09-15 15:41:10.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'A-834,735', '冷藏贮存', 'GASS-042', '瓶', '(1-((tetrahydro-2H-pyran-4-yl)methyl)-1H-indol-3-yl)(2,2,3,3-tetramethylcyclopropyl)methanone', 1.00, NULL, NULL, '库存不足', 1, NULL, '895155-57-4', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A4F4511E3B87C2747A4376337342758E', 'B9D1ED903A9E8C49A565FAE3F35F8E1D', '试管架', 'n/a', '耗材', NULL, NULL, '4x6', '2023-09-15 15:38:40.000000', '2023-09-15 15:41:10.000000', '1', NULL, '/', NULL, 16, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A52AEEEF84E0FC4AA05132E209B15F11', '045E3933CEEE52A66D716B98194B70D0', '1-(4-肉桂酰哌嗪-1-基)丁-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:18.000000', '2023-09-15 15:41:10.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '布桂嗪', '冷藏贮存', 'GASS-410', '瓶', '1-(4-cinnamylpiperazin-1-yl)butan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '2624256-67-1', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A570E2EB7F56FECECA16C42C14AC6EF2', '14F70C65CB11F890A7B021A62EF29390', '15ml塑料离心管', 'CORNING　CentriStar', '耗材', NULL, NULL, 'PET塑料,10包/箱  1包/50,10包/箱  1包/50', '2023-09-15 15:37:38.000000', '2023-09-15 15:41:10.000000', '1', NULL, '/', NULL, 10, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '箱', NULL, 1.00, NULL, NULL, '库存充足', 1, '430790', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A5D1B6588FD375C15DBC09D59FDB5A71', '2D8537E98EA7225311BD3F92DCEF3378', '15ml塑料离心管', 'CORNING　CentriStar', '耗材', NULL, NULL, 'PET塑料,10包/箱  1包/50,10包/箱  1包/50', '2023-09-15 15:37:38.000000', '2023-09-15 15:41:10.000000', '1', NULL, '/', NULL, 20, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '箱', NULL, 1.00, NULL, NULL, '库存充足', 1, '430790', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A629A783B9D692827D283E5804863112', 'FD8D7DBEC2435D101D5718F30A775856', '塑料离心管', 'n/a', '耗材', NULL, NULL, '8ml,，225支/袋', '2023-09-15 15:38:27.000000', '2023-09-15 15:41:10.000000', '1', NULL, '/', NULL, 1, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '袋', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A6E34736F1CE51787BBE063ED213A721', '427F2C00F4B5C62555E9D8E1C8646778', 'ACQUITY UPLC BEN HILIC VanGuard Pre-Column 3/Pk', 'Waters', '耗材', NULL, NULL, '2.1*5mm,1.7um,3个/盒', '2023-09-15 15:38:10.000000', '2023-09-15 15:41:10.000000', '1', NULL, '/', NULL, 2, '色谱柱', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A775D9AF88F4D77C0E52F1D7076C64E7', 'A516BFBDEB8AE499AFBBEB85F7FFD934', '4-氟苄溴', '阿拉丁', '试剂', NULL, NULL, '97%，25g/瓶', '2023-09-15 15:39:22.000000', '2023-09-15 15:41:10.000000', '1', NULL, '/', NULL, 2, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, '459-46-1', 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('A8045DED979B71E6379E3FD18E194CF4', 'DADA51824D63BA7966820518270512F5', '喹啉-8-基-1-(4-氟苄基)-1H-吲哚-3-羧酸盐', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:39.000000', '2023-09-15 15:41:11.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'FUB-PB-22', '冷藏贮存', 'GASS-057', '瓶', 'quinolin-8-yl 1-(4-fluorobenzyl)-1H-indole-3-carboxylate', 1.00, NULL, NULL, '库存不足', 1, NULL, '1800098-36-5', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A8ED5A1E6EEA6A447DCE7E4791E8AF58', '968CA164B7F77946D55669EC4FA6BA81', '定性滤纸', '皎洁', '耗材', NULL, NULL, '7cm，中速', '2023-09-15 15:38:53.000000', '2023-09-15 15:41:11.000000', '1', NULL, '/', NULL, 19, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A9695BA6CE1D37BE98AAC574D1CA1062', '65B73E7B6D6BCB57CDCDB11D1EFA917E', '八氟萘', 'Merck', '试剂', NULL, NULL, '1g/瓶,96%', '2023-09-15 15:39:15.000000', '2023-09-15 15:41:11.000000', '1', NULL, '/', NULL, 2, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'RD');
INSERT INTO `reagent_consumable_inventory` VALUES ('A9710C7A6174781F9DF921B1083DC35B', 'CA3CE9BC28F0EEAD4B09D6D888C16FBC', '2-氨基-2-(2-氟苯基)环已烷-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:16.000000', '2023-09-15 15:41:11.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '去甲氟胺酮盐酸盐', '冷藏贮存', 'GASS-403', '瓶', '2-amino-2-(2-fluorophenyl)cyclohexan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '1956327-93-7', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('AA145663E176939E9281DB0A784DE192', 'AC3150EAF2C8E4D40E35ADCB1D654EA0', '1,4-二甲氧基苯', 'Sigma-Aldrich', '试剂', NULL, NULL, '100g/瓶,99%', '2023-09-15 15:39:14.000000', '2023-09-15 15:41:11.000000', '1', NULL, '/', NULL, 2, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'RP');
INSERT INTO `reagent_consumable_inventory` VALUES ('AA671C53D676C6D3C762457BDC1B8E85', '4DD4C333757C85F1C4333F711BCC2D58', '保鲜自封袋10号', '苹果', '耗材', NULL, NULL, '340x240mm', '2023-09-15 15:38:03.000000', '2023-09-15 15:41:11.000000', '1', NULL, '/', NULL, 100, '普通耗材', 100, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('AADA940E171051188B7B5674CA60EDB0', '859A3528EE762ADBC84342F68F4C2A9A', '丙二酸二乙酯', '阿拉丁', '试剂', NULL, NULL, '0.99', '2023-09-15 15:39:04.000000', '2023-09-15 15:41:11.000000', '1', NULL, '/', NULL, 2, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('AB02EED04A3ACFE3F7528DAABA5610C6', '208994E98031A1275F9D03C201BF0C3A', '甲醇', 'Supelco', '试剂', NULL, NULL, '4L/瓶', '2023-09-15 15:39:01.000000', '2023-09-15 15:41:11.000000', '1', NULL, '/', NULL, 42, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('ABA6FC478C5C7D02BD0A27552E0E4509', '401B8FD3EEFCA7791DF8D850D6609BA0', '试管帽', 'n/a', '耗材', NULL, NULL, 'Φ18', '2023-09-15 15:38:24.000000', '2023-09-15 15:41:11.000000', '1', NULL, '/', NULL, 30, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('ABA99764889E0E708B8A699AEF8F46F8', '49132EE73C8FF201150E6EB4B918EC96', '2-(2-氟苯基-3,4,5,6-d4)-2-(甲氨基)环己烷-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:21.000000', '2023-09-15 15:41:11.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'D4-氟胺酮盐酸盐', '冷藏贮存', 'GASS-456', '瓶', '2-(2-fluorophenyl-3,4,5,6-d4)-2-(methylamino)cyclohexan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('ACB90908ED0AE1FE5C73E1D99B2418DC', '6035687531F1C70C331B45000AED8AC5', '进样小瓶盖', '安捷伦', '耗材', NULL, NULL, '2ml,5182-0717，100个/包', '2023-09-15 15:38:39.000000', '2023-09-15 15:41:11.000000', '1', NULL, '/', NULL, 19, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('AD38685493F46D349FCAC1FB1A08621F', '4FD764DE97EFB34C14079DFCE8E0B89C', '塑料吸管', 'n/a', '耗材', NULL, NULL, '1ml，100支/袋', '2023-09-15 15:38:26.000000', '2023-09-15 15:41:11.000000', '1', NULL, '/', NULL, 10, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '袋', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('AE75567FB166C603F560FA6CDF6F9EE2', 'BADDA0713D79C1D2960DFFD3479DC5F6', '1-(苯并[d][1,3]二羟基-5-基)-2-(吡咯烷-1-基)戊-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:47.000000', '2023-09-15 15:41:11.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'MDPV(盐酸盐)', '冷藏贮存', 'GASS-162', '瓶', '1-(benzo[d][1,3]dioxol-5-yl)-2-(pyrrolidin-1-yl)pentan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '24622-62-6', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B0376A38ED8F11C80D9BFA8DFB16417F', 'F02FE2AAAF192F649D5E87763591C061', '(E)-N\'-(1-(5-氟戊基)-2-氧代吲哚-3-亚基) 苯甲酰肼', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:23.000000', '2023-09-15 15:41:11.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '5F-MDA-19', '冷藏贮存', 'GASS-501', '瓶', '(E)-N\'-(1-(5-fluoropentyl)-2-oxoindolin-3-ylidene)benzohydrazide', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B08C11D4D78B649C638A96DBBC6C9C09', '8E6952259CE2B5834ECF6E18B352AC61', '药匙', 'n/a', '耗材', NULL, NULL, '3x1', '2023-09-15 15:38:23.000000', '2023-09-15 15:41:11.000000', '1', NULL, '/', NULL, 8, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '套', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B0E47D8BBB4EB3EDE76903D57D84F119', '4132B6DDA3BF4ABFBAA4C7DE3A06D0A3', '一次性使用无菌注射器 带针', '治宇', '耗材', NULL, NULL, '1ml，200支/盒', '2023-09-15 15:38:39.000000', '2023-09-15 15:41:11.000000', '1', NULL, '/', NULL, 3, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B10DB05F45F3CC3FF92B5C60A2D53BA2', '4B596287AFC646C7EBED020A205233DB', '量筒', 'Bomex', '耗材', NULL, NULL, '100ml', '2023-09-15 15:38:37.000000', '2023-09-15 15:41:11.000000', '1', NULL, '/', NULL, 9, '普通耗材', 10, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B13F08FDAD4E062DAFF92528E492A4F6', '59144663B9ED9222071520B0E1BF5FB8', '2-(二甲基氨基)-1-苯基丙-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:58.000000', '2023-09-15 15:41:11.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'N-甲基-甲卡西酮盐酸盐', '冷藏贮存', 'GASS-326', '瓶', '2-(dimethylamino)-1-phenylpropan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '10105-90-5', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B1EBBB27A06BC4DC80E9B2F9989CDEEB', 'E95046560019FEBF230277D81DF88339', '称量纸 90*90mm', '/', '耗材', NULL, NULL, ' 90*90mm,400张/包,400张/包', '2023-09-15 15:37:46.000000', '2023-09-15 15:41:11.000000', '1', NULL, '/', NULL, 10, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '包', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B20241105249825C14E5163E652C38E9', '946D91DD13ED382469BBCBD996D38494', '1-(4-溴苯基)-2-(吡咯烷-1-基)丙-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:59.000000', '2023-09-15 15:41:11.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'N-环丁基-对溴-卡西酮盐酸盐', '冷藏贮存', 'GASS-329', '瓶', '1-(4-bromophenyl)-2-(pyrrolidin-1-yl)propan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '1152859-02-3', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B234007FA9DFBA9D6F674425CD3073C4', 'B8EB3DB8425C1036A9579628BDB08DC0', '螺纹试剂瓶', '蜀牛', '耗材', NULL, NULL, '250ml', '2023-09-15 15:38:40.000000', '2023-09-15 15:41:11.000000', '1', NULL, '/', NULL, 8, '普通耗材', 10, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B2EB0454C21BDD50CF27659203BBF41A', '4999995D3C3E88436E4E8122DD64CF9B', '砂芯过滤装置全套', '津隆', '耗材', NULL, NULL, '1000mL,套,套', '2023-09-15 15:37:32.000000', '2023-09-15 15:41:11.000000', '1', NULL, '/', NULL, 1, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '污水专用', '套', NULL, 1.00, NULL, NULL, '库存不足', 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B2F332F83E854E5E779CC05B7FA0ABAE', '050754482D4132276D439B477226BBE9', '2-(1-(5-氟戊基)-1H-吲哚-3-甲酰胺)-3,3-二甲基丁酸甲酯', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:49.000000', '2023-09-15 15:41:11.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '5F-MDMB-PICA', '冷藏贮存', 'GASS-259', '瓶', 'methyl 2-(1-(5-fluoropentyl)-1H-indole-3-carboxamido)-3,3-dimethylbutanoate', 1.00, NULL, NULL, '库存不足', 1, NULL, '1971007-88-1', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B3BFC7A6F6B1B52DF274A715A0B8E6CD', '67E58FF5501E755A55E6FF30700A9368', '牛皮纸物证袋', 'n/a', '耗材', NULL, NULL, '40*20cm', '2023-09-15 15:38:06.000000', '2023-09-15 15:41:11.000000', '1', NULL, '/', NULL, 170, '普通耗材', 10, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B40DA44CD152AAB0DB5A0A6319D846C9', '6670877A81BD74D70588DE7F76C6FAEF', '1-(4-甲氧基苯基-2,3,5,6-d4)-N-甲基丙-2-胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:19.000000', '2023-09-15 15:41:11.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'D4-PMMA盐酸盐', '冷藏贮存', 'GASS-452', '瓶', '1-(4-methoxyphenyl-2,3,5,6-d4)-N-methylpropan-2-amine', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B417D5F8A0A694E4EB0BB6410E9908EE', 'C4AFCB5E9B6EBCEC5FAD008780607558', '表面皿', 'n/a', '耗材', NULL, NULL, 'Φ60mm，10个/盒', '2023-09-15 15:38:19.000000', '2023-09-15 15:41:11.000000', '1', NULL, '/', NULL, 5, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B44BFF9F75F9F58EC8F636FACCD0316A', '78D1C01F5B21949C948B20050B6E6EE9', '2-(二乙基氨基)-1-苯基戊烷-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:14.000000', '2023-09-15 15:41:11.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'N,N-二乙基戊卡西酮盐酸盐', '冷藏贮存', 'GASS-393', '瓶', '2-(diethylamino)-1-phenylpentan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B511F386BC51001D883C9FC5210EFE51', '7695B37D0AF49E5CABBECF177DD57D57', '甲酸', 'Themo Fisher', '试剂', NULL, NULL, '50mL/瓶', '2023-09-15 15:37:54.000000', '2023-09-15 15:41:11.000000', '1', NULL, '/', NULL, 3, '普通试剂', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '污水，毛发专用', '瓶', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, 'LC/MS级 ');
INSERT INTO `reagent_consumable_inventory` VALUES ('B57DD2F0E254BD91077101F493CEB8B6', '4FFF325C2E2A8D0F6D95EC99BDF33D34', 'D-缬氨酰胺盐酸盐', '阿拉丁', '试剂', NULL, NULL, '97%，1g/瓶', '2023-09-15 15:39:24.000000', '2023-09-15 15:41:11.000000', '1', NULL, '/', NULL, 2, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, '133170-58-8', 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('B5925B615FBA751C866779B1356F919E', 'EB4BABE4C5982E93D98C2D523F26D449', '氢氧化钠', '大茂', '试剂', NULL, NULL, '500克/瓶', '2023-09-15 15:38:01.000000', '2023-09-15 15:41:11.000000', '1', NULL, '/', NULL, 1, '普通试剂', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '瓶', NULL, 1.00, NULL, NULL, '库存不足', 1, '/', NULL, '优级纯');
INSERT INTO `reagent_consumable_inventory` VALUES ('B60BA8175F5C749F60575477F659265E', '5764BED36E7B1935452CBDE081803112', 'EDCI , 1-乙基-(3-二甲基氨基丙基)碳二亚胺盐酸盐', '阿拉丁', '试剂', NULL, NULL, '98%，100g/瓶', '2023-09-15 15:39:24.000000', '2023-09-15 15:41:11.000000', '1', NULL, '/', NULL, 2, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, '25952-53-8', 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('B683E942C19973B760216A214DA43BE7', 'B51294A689B4F05BA41369C28FB1AC60', '水系滤膜25mm*0.22um', '津隆', '耗材', NULL, NULL, '100个/盒,100个/盒', '2023-09-15 15:37:48.000000', '2023-09-15 15:41:12.000000', '1', NULL, '/', NULL, 6, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '后续不再购买', '盒', NULL, 1.00, NULL, NULL, '库存充足', 1, 'JLSP202202', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B699DF5070C2BBF16828BD3E3B808235', 'D673F06EE84EF284B376ED1A55B5A5C4', '二苯胺', 'Sigma-Aldrich', '试剂', NULL, NULL, '100g/瓶', '2023-09-15 15:38:58.000000', '2023-09-15 15:41:12.000000', '1', NULL, '/', NULL, 2, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'ReagentPlus');
INSERT INTO `reagent_consumable_inventory` VALUES ('B75D924ABE2EE00D0644ED9DAED61D8E', '385C7E3650F1253F5E9D4CB3A00DE9D8', '乙酸铵', 'Sigma', '试剂', NULL, NULL, '500克/瓶', '2023-09-15 15:37:54.000000', '2023-09-15 15:41:12.000000', '1', NULL, '/', NULL, 4, '普通试剂', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '污水，毛发专用', '瓶', NULL, 1.00, NULL, NULL, '库存充足', 1, '32301-500G', NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('B7761ADDC59E5DB5DFCC582C81148416', '330B749E3D9ED7827E95CF1A99D4D9C2', '1-(4-氰基丁基)-N-(2-苯基丙-2-基) -1H-吲唑-4,5,6,7-d4-3-羧酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:25.000000', '2023-09-15 15:41:12.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'D4-4CN-CUMYL-BUTINACA', '冷藏贮存', 'GASS-507', '瓶', '1-(4-cyanobutyl)-N-(2-phenylpropan-2-yl)-1H-indazole-4,5,6,7-d4-3-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B7B0B51AFFE1483DA936E232E4388982', '569A95518E30A1117A40A16B71642E1A', 'HBTU, 苯并三氮唑-N,N,N\',N\'-四甲基脲六氟磷酸酯', '阿拉丁', '试剂', NULL, NULL, '99%, 100g/瓶', '2023-09-15 15:39:25.000000', '2023-09-15 15:41:12.000000', '1', NULL, '/', NULL, 2, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, '94790-37-1', 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('B87B2920D06EE0D21451363FA06175F5', 'F07666E678D651FCD78BE5DBE85F2223', '2-(1-(4-氟丁基)-1H-吲唑-3-甲酰胺-4,5,6,7-d4)-3,3-二甲基丁酸甲酯', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:25.000000', '2023-09-15 15:41:12.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'D4-4F-MDMB-BUTINACA', '冷藏贮存', 'GASS-506', '瓶', 'methyl 2-(1-(4-fluorobutyl)-1H-indazole-3-carboxamido4,5,6,7-d4)-33-dimethylbutanoate', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B8954925787FE51D127FFF5E07A1D6FB', 'AF5CC513B7B2C90824B4E034E2F1741C', '量筒', 'Bomex', '耗材', NULL, NULL, '25ml', '2023-09-15 15:38:36.000000', '2023-09-15 15:41:12.000000', '1', NULL, '/', NULL, 11, '普通耗材', 10, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B8C988690A054A2238F095279F229CEB', 'DD6FAAC6307A52DE2C89F9032965B90F', '3-(2-(二甲基氨基)乙基)-1H-吲哚-4-基磷酸二氢盐', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:49.000000', '2023-09-15 15:41:12.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '赛洛西宾', '冷藏贮存', 'GASS-199', '瓶', '3-(2-(dimethylamino)ethyl)-1H-indol-4-yl dihydrogenphosphate', 1.00, NULL, NULL, '库存不足', 1, NULL, '520-52-5', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B9BBCDE139453BB464CD7990142A9E96', '960AFDE8769D2D8928383B303484710A', '5-乙基-5-(苯基-d5)嘧啶-2,4,6 (1H，3H，5H)-三酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:27.000000', '2023-09-15 15:41:12.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'Ds-苯巴比妥', '冷藏贮存', 'GASS-512', '瓶', '5-ethyl-5-(phenyl-d5)pyrimidine-2,4,6(1H,3H,5H)-trione', 1.00, NULL, NULL, '库存不足', 1, NULL, '72793-46-5', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('BC390A6467ACE7BFB11E270525847F85', '4BECF5FAB03F16FD27B3DC4D4FD9475E', 'N-(1-苯乙基哌啶-4-基)-N-(苯基-d5)丙酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:26.000000', '2023-09-15 15:41:12.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'D5-芬太尼', '冷藏贮存', 'GASS-509', '瓶', 'N-(1-phenethylpiperidin-4-yl)-N-(phenyl-d5)propionamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '118357-29-2', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('BCC324583125BA19D68AAEC2D950A271', '50E702F32DBD646BB43E64A06343DF1D', '牛皮纸物证袋', 'n/a', '耗材', NULL, NULL, '50*30cm', '2023-09-15 15:38:06.000000', '2023-09-15 15:41:12.000000', '1', NULL, '/', NULL, 190, '普通耗材', 10, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('BCC433C196D614046CC895CA5B0DB967', 'A35D88C44C630D9AAE66ACB9FA8886DE', '硝酸', '西陇', '试剂', NULL, NULL, '500ml/瓶', '2023-09-15 15:39:19.000000', '2023-09-15 15:41:12.000000', '1', NULL, '/', NULL, 2, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('BD89425BFF391BA37B9D0EFAE8C66AE9', '4B45CB205E5730DC48C36406F7889CA1', '白色滴瓶', 'n/a', '耗材', NULL, NULL, '60ml', '2023-09-15 15:38:29.000000', '2023-09-15 15:41:12.000000', '1', NULL, '/', NULL, 18, '普通耗材', 10, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('BDC549F4C066653E46D8871208E6A1FC', '54E2E1E2B268C25B3A088199CEBF9DB5', '防冲击眼罩', '3M', '耗材', NULL, NULL, '1621型', '2023-09-15 15:38:35.000000', '2023-09-15 15:41:12.000000', '1', NULL, '/', NULL, 11, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('BDEAD0BCDB84350F9F8936A05F52AE4C', 'D6D123D1B24B30589743E84107ECE067', '磷酸', 'Sigma-Aldrich', '试剂', NULL, NULL, '0.85', '2023-09-15 15:38:59.000000', '2023-09-15 15:41:12.000000', '1', NULL, '/', NULL, 2, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('BEAFFA4FBF4E5057DCCF0A5C82C17EBB', '970E3400D3E3ACCED241E9CD62A1830A', '牛皮纸物证袋', 'n/a', '耗材', NULL, NULL, '30*17*46cm', '2023-09-15 15:38:06.000000', '2023-09-15 15:41:12.000000', '1', NULL, '/', NULL, 160, '普通耗材', 10, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('BFB2C9B8885A337D7FF458B77C9F5B05', '5EEAB5DE2F5C7B172A3010CE863368C9', '(1-(5-氟戊基)-1H-吲唑-3-羰基)缬氨酸甲酯', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:33.000000', '2023-09-15 15:41:12.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '5F-AMB', '冷藏贮存', 'GASS-037', '瓶', 'methyl (1-(5-fluoropentyl)-1H-indazole-3-carbonyl)valinate', 1.00, NULL, NULL, '库存不足', 1, NULL, '1715016-74-2', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('BFB526E05A37247A3F0EB60C6AF4FB8B', '3C6CD44CE98751609B6B5655E9B1898E', '手套', '科邦', '耗材', NULL, NULL, '橡胶，M号,200只/盒,200只/盒', '2023-09-15 15:37:47.000000', '2023-09-15 15:41:12.000000', '1', NULL, '/', NULL, 4, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C07C60A1F86CA382E5729423C4AE104D', 'FE0DB39F5F7D97032573C225F96E302B', '顶空瓶', '安捷伦', '耗材', NULL, NULL, '10ml,5182-0838', '2023-09-15 15:38:41.000000', '2023-09-15 15:41:12.000000', '1', NULL, '/', NULL, 2, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C10DE23EE3C005277949A7C4A3B14B02', 'AA55B67F6535E9B90E9C927AC11A3162', '封口膜', 'PARAFILM', '耗材', NULL, NULL, 'PM-996,1个/盒,1个/盒', '2023-09-15 15:37:34.000000', '2023-09-15 15:41:12.000000', '1', NULL, '/', NULL, 11, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, '库存充足', 1, 'PM-996', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C14039E845836C9CAA3AED1135370848', '32B0B36D5474F4226A1D72DED005FF87', '2-(4-氯-2,5-二甲氧基苯基)-N-(2-甲氧基苄基)乙烷-1-胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:18.000000', '2023-09-15 15:41:12.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'N-乙胺', '冷藏贮存', 'GASS-409', '瓶', '2-(4-chloro-2,5-dimethoxyphenyl)-N-(2-methoxybenzyl)ethan-1-amine', 1.00, NULL, NULL, '库存不足', 1, NULL, '1227608-02-7', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C1974136BD9C144309DAE7A2AFC86F48', 'CE514A98FA92F9F83A59C1F1BB182370', '10ml注射器', '江苏治宇医疗器械', '耗材', NULL, NULL, '100个/盒,100个/盒', '2023-09-15 15:37:40.000000', '2023-09-15 15:41:12.000000', '1', NULL, '/', NULL, 4, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, '库存充足', 1, '2010100', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C1FA2CADD21A86EBB3C1A18D767E2AD1', '5C871A0A5BE5B5DED356E7EDBE37A92F', '2-(乙基氨基) -2-苯基环已烷-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:26.000000', '2023-09-15 15:41:12.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '去氯乙基氯胺酮盐酸盐', '冷藏贮存', 'GASS-510', '瓶', '2-(ethylamino)-2-phenylcyclohexan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '4551-92-2', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C234CDC414A19C589D3D2A093343C8B2', '207E04A547D0B574CA52A2E794C11E0F', '2-(1-(4-氟丁基)-1H-吲哚-3-甲酰胺-4,5,6,7-d4)-3,3-二甲基丁酯甲酯', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:24.000000', '2023-09-15 15:41:12.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'D4-4F-MDMB-BICA', '冷藏贮存', 'GASS-504', '瓶', 'methyl 2-(1-(4-fluorobutyl)-1H-indole-3-carboxamido-4,5,6,7-d4)-3,3-dimethylbutanoate', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C2C0E4C2DA3BED445872DA26FFB280F7', '3BBABC3BFEFE70F2B24B727798D19EEF', '移液枪吸头0.5-20uL', 'Brand', '耗材', NULL, NULL, '10包/盒,10包/盒', '2023-09-15 15:37:44.000000', '2023-09-15 15:41:12.000000', '1', NULL, '/', NULL, 3, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, '库存充足', 1, '732224', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C2E4940A9B390931FA2A30CF8D512F23', '8D17A0BC045A53AF955F108F4C1A598D', '2-(二甲基氨基)-1-苯基戊烷-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:02.000000', '2023-09-15 15:41:12.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '2-(二甲氨)-1-苯基-1-戊酮', '冷藏贮存', 'GASS-338', '瓶', '2-(dimethylamino)-1-phenylpentan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '2168229-67-0', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C46CD97F82BFF4C194BBC9EFDF4FA3A3', '1EE6290413CE75F9C8A0F295F82D16C1', '定量滤纸', '新星', '耗材', NULL, NULL, '18cm，中速', '2023-09-15 15:38:50.000000', '2023-09-15 15:41:12.000000', '1', NULL, '/', NULL, 20, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C48D53FFB51147BCB18FB9993AE41637', 'D34EA98D213EC85960FED86614A07303', 'DB-35MS', '安捷伦', '耗材', NULL, NULL, '30m*0.25mm*0.25um，122-3832', '2023-09-15 15:38:20.000000', '2023-09-15 15:41:12.000000', '1', NULL, '/', NULL, 1, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '根', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C574A86410883061FD5C38C9E261596C', '9B30C7DAE53F463055883C3044F8F736', '试管帽', 'n/a', '耗材', NULL, NULL, 'Φ15', '2023-09-15 15:38:24.000000', '2023-09-15 15:41:12.000000', '1', NULL, '/', NULL, 30, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C591F6A7AD072182D5364CE734619145', 'F15C4B510E949BE10206339944BCDE22', '茶碱', 'TCI', '试剂', NULL, NULL, '25g/瓶,98%', '2023-09-15 15:39:11.000000', '2023-09-15 15:41:12.000000', '1', NULL, '/', NULL, 1, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, 'RD');
INSERT INTO `reagent_consumable_inventory` VALUES ('C5B7BD67C6F04E0824B5D280445D36A4', '4F3816249A3D7C1217191F685DDD8FA4', '定性滤纸', '皎洁', '耗材', NULL, NULL, '12.5cm，中速', '2023-09-15 15:38:54.000000', '2023-09-15 15:41:13.000000', '1', NULL, '/', NULL, 20, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C681476338A03EC23E4AB5FB2D6B5167', '007858DDF42E66841EB64571296CB9E6', '血清移液管', 'n/a', '耗材', NULL, NULL, '1ml', '2023-09-15 15:38:15.000000', '2023-09-15 15:41:13.000000', '1', NULL, '/', NULL, 20, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C68818B20644D003F320E5B42071F185', '0D35C76DE73A46697BB247FB8326473E', '活性炭口罩', 'n/a', '耗材', NULL, NULL, '50支/盒', '2023-09-15 15:38:28.000000', '2023-09-15 15:41:13.000000', '1', NULL, '/', NULL, 11, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C6B80185647D0F6F59DAC5984753D927', '5DB132F01E5DF58C9F9772A499EEC3C8', '200ul枪头', 'Brand', '耗材', NULL, NULL, '容量200ul,96个/盒,96个/盒', '2023-09-15 15:37:34.000000', '2023-09-15 15:41:13.000000', '1', NULL, '/', NULL, 8, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, '库存充足', 1, '732028', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C6FBFDB7F1B302DDCE91B72E904DCC8A', '5B54A929154FB7832E22883C51E41EEA', '石油醚', '利安隆博华', '试剂', NULL, NULL, '500ml/瓶', '2023-09-15 15:39:04.000000', '2023-09-15 15:41:13.000000', '1', NULL, '/', NULL, 40, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('C7632372F34EAE14E2F45E4CADD78F44', 'DB25CC8ACC703E0C51ACEB1BFC945C09', '四氢呋喃', '阿拉丁', '试剂', NULL, NULL, 'AR,99.0% (含250 ppm BHT稳定剂)，500ml', '2023-09-15 15:39:22.000000', '2023-09-15 15:41:13.000000', '1', NULL, '/', NULL, 1, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('C77E62FF18697D08E497E84145A32559', 'BD0DD695920B5C0A8946CBE41D0AF741', '三氯甲烷', '科隆', '试剂', NULL, NULL, '500ml/瓶', '2023-09-15 15:39:08.000000', '2023-09-15 15:41:13.000000', '1', NULL, '/', NULL, 19, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'GR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('C815113B15BE4B5E6E975212FCD38736', '59C76BED132C41D4C33289CA360D881F', '氯化亚砜', '科密欧', '试剂', NULL, NULL, '500ml/瓶', '2023-09-15 15:39:19.000000', '2023-09-15 15:41:13.000000', '1', NULL, '/', NULL, 1, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('C854E683769D925913AE130B0DE09FB4', '680602C3DDE901757F04C0B47B54E18B', '温度计', 'MC', '耗材', NULL, NULL, '200ml', '2023-09-15 15:38:24.000000', '2023-09-15 15:41:13.000000', '1', NULL, '/', NULL, 2, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C8A49E989A56E04A9AF18F552536F4C0', 'A11CBD42D158E261809AD8318E06CFFD', '碳酸氢钠', '大茂', '试剂', NULL, NULL, '500g/瓶', '2023-09-15 15:39:09.000000', '2023-09-15 15:41:13.000000', '1', NULL, '/', NULL, 1, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, 'GR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('C8BD4367F1AFF403605FD5D01F16A12A', 'FBD4B1C3CD2076E0FF3C644232E1894D', '小口试剂瓶', '蜀牛', '耗材', NULL, NULL, '2500ml', '2023-09-15 15:38:40.000000', '2023-09-15 15:41:13.000000', '1', NULL, '/', NULL, 20, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C8EE0D47ADE264D6FAB61106DABB042F', 'E41F0E68D0ECF72EEB31944077545056', '叔丁醇', '科密欧', '试剂', NULL, NULL, '500ml/瓶', '2023-09-15 15:39:11.000000', '2023-09-15 15:41:13.000000', '1', NULL, '/', NULL, 3, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('C951C9EB0260496626BCE7E33143B7E0', 'B5C6D72A46CEDD2476061EAE05CE2DCB', '移液枪20-200uL', 'Brand', '耗材', NULL, NULL, '/,/', '2023-09-15 15:37:43.000000', '2023-09-15 15:41:13.000000', '1', NULL, '/', NULL, 1, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '个', NULL, 1.00, NULL, NULL, '库存不足', 1, '732228', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C9BB8443C14038FF13AF8D5081A7707D', '135AF332E97947C4F05052E80CF0299D', '1-(4-氯苯基)-2-(吡咯烷-1-基)丙-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:16.000000', '2023-09-15 15:41:13.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '4-氯苯基-N-吡咯烷基卡西酮盐酸盐', '冷藏贮存', 'GASS-396', '瓶', '1-(4-chlorophenyl)-2-(pyrrolidin-1-yl)propan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '93307-24-5', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('CAD48980703FE5E728FB8641B41CA3E6', 'E85BCD9FD6D61C884FF30F5AA688768A', '苯骈三氮唑', '阿拉丁', '试剂', NULL, NULL, '99%，100g/瓶', '2023-09-15 15:39:26.000000', '2023-09-15 15:41:13.000000', '1', NULL, '/', NULL, 2, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, ' 95-14-7 ', 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('CAED0CCB87DB26D72FD877F89121B11B', 'B544B59C8B420CA569E74B38F51BE885', '一次性使用无菌注射器 带针', '治宇', '耗材', NULL, NULL, '2ml,200/支', '2023-09-15 15:38:48.000000', '2023-09-15 15:41:13.000000', '1', NULL, '/', NULL, 5, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('CB254D100B725D3B410AA6CAE745FF30', '607B7F52390833D7D9084ABFB8D18623', 'Shim-pack GIST', '岛津', '耗材', NULL, NULL, '4.6*150mm,5um', '2023-09-15 15:38:08.000000', '2023-09-15 15:41:13.000000', '1', NULL, '/', NULL, 4, '色谱柱', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('CB7E1B26763033912A9F8866736DB9DF', '29A32319B21200637487712BC5EB9E19', '螺纹试剂瓶', '蜀牛', '耗材', NULL, NULL, '80ml', '2023-09-15 15:38:41.000000', '2023-09-15 15:41:13.000000', '1', NULL, '/', NULL, 9, '普通耗材', 20, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('CB8C9606D5A0079C9A843CB23305557E', 'A6D63C62D2AC3EF7078CC3944EEB7DBD', '磺胺', 'Sigma-Aldrich', '试剂', NULL, NULL, '5g/瓶', '2023-09-15 15:39:14.000000', '2023-09-15 15:41:13.000000', '1', NULL, '/', NULL, 2, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'RD');
INSERT INTO `reagent_consumable_inventory` VALUES ('CBB2235F16E20EA954341086AF326D47', 'B4A155B66F306924CA0977B41C236D01', '1-(4-氯苯基)-2-(二甲基氨基)丙-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:15.000000', '2023-09-15 15:41:13.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '对氯-N,N-二甲基卡西酮盐酸盐', '冷藏贮存', 'GASS-395', '瓶', '1-(4-chlorophenyl)-2-(dimethylamino)propan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '2493977-47-0', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('CBCE9FA3AF5B2CF5A35C8B4A04E2D15E', '0D74171D2B5AA49F6F173E7B5C033540', '带塞溶剂瓶', 'n/a', '耗材', NULL, NULL, '500ml', '2023-09-15 15:38:44.000000', '2023-09-15 15:41:13.000000', '1', NULL, '/', NULL, 18, '普通耗材', 8, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('CC69A3DB6301145B00EE6CCA64486FE6', '7027D236BD98B1E25368C2A2F18F3CA6', '吡嗪', 'Sigma-Aldrich', '试剂', NULL, NULL, '≥99，100g/瓶', '2023-09-15 15:39:14.000000', '2023-09-15 15:41:13.000000', '1', NULL, '/', NULL, 2, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'FG级');
INSERT INTO `reagent_consumable_inventory` VALUES ('CCD3836EF0CC58BE54460B7EBCF58461', '4E3133276EF42ED304D9AF39BD27DEF3', '滴管', 'n/a', '耗材', NULL, NULL, '9cm', '2023-09-15 15:38:17.000000', '2023-09-15 15:41:13.000000', '1', NULL, '/', NULL, 20, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('CD19C5625831C7C03B67308647F8338C', '0910061C04D2A466D273AF264AE1AB2F', '保鲜自封袋7号', '苹果', '耗材', NULL, NULL, '200x140mm', '2023-09-15 15:38:03.000000', '2023-09-15 15:41:13.000000', '1', NULL, '/', NULL, 400, '普通耗材', 100, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('CD2060AA55C3DC6AB1659C464AE1DFEF', '826AE731D272943EFC8325E48770D8B3', '(1-(2-吗啉乙基)-1H-吲哚-3-基)(2,2,3,3-四甲基环丙基)甲酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:35.000000', '2023-09-15 15:41:13.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'A-796,260', '冷藏贮存', 'GASS-041', '瓶', '(1-(2-morpholinoethyl)-1H-indol-3-yl)(2,2,3,3-tetramethylcyclopropyl)methanone', 1.00, NULL, NULL, '库存不足', 1, NULL, '895155-26-7', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('CDF8794958B252723ABB5D0C45CCDF4C', 'E97D76808F7A182DBE835AA68EAA0678', '进口滤膜', '津隆', '耗材', NULL, NULL, '25mm，100片/盒，有机尼龙66，0.22um，货号：JLSN172202', '2023-09-15 15:38:46.000000', '2023-09-15 15:41:13.000000', '1', NULL, '/', NULL, 19, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('CE586D8F9CA0055B440BCE8A566FF426', '667A143F557AB3B0056506E687FB0F0F', 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基)-1-(5-氟戊基-1H-吲哚-3-甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:33.000000', '2023-09-15 15:41:13.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '5F-ADBICA', '冷藏贮存', 'GASS-036', '瓶', 'N-(1-amino-3,3-dimethyl-1-oxobutan-2-yl)-1-(5-fluoropentyl)-1H-indole-3-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '1801338-27-1', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('CE75566AC1B6442455283BB9A2EA8601', 'AE482E4D045DCBE1B6B15B59D07D06CC', '保鲜自封袋5号', '苹果', '耗材', NULL, NULL, '100x150mm', '2023-09-15 15:38:04.000000', '2023-09-15 15:41:13.000000', '1', NULL, '/', NULL, 400, '普通耗材', 100, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('CEC2EBFC1698619618C867F97A7F6F58', 'D1B9B9F0157E74F4F4193A0BD9C3BF52', '试管刷', 'n/a', '耗材', NULL, NULL, '无', '2023-09-15 15:38:57.000000', '2023-09-15 15:41:13.000000', '1', NULL, '/', NULL, 75, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('CED9481EF9D655FA801DBA112C34F791', 'F75657CAD469B92B01838BAEBAB8FDE9', '盐酸', '西陇', '试剂', NULL, NULL, '500ml/瓶', '2023-09-15 15:39:19.000000', '2023-09-15 15:41:13.000000', '1', NULL, '/', NULL, 4, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('CF23CE3301B7B078A839FAB48ACF5F0B', 'E5459E4B4EB0C6DD73DBF32075E24F86', '移液枪吸头200uL', '赛多利斯 ', '耗材', NULL, NULL, '960个/包,960个/包', '2023-09-15 15:37:51.000000', '2023-09-15 15:41:13.000000', '1', NULL, '/', NULL, 8, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '后续不再购买', '包', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('CF87CA78652D421EBCA41A920BD990D9', '00C38A6D79275C94ADAFED407DB8E0D4', '8-氯-6-苯基-4H-苯并[f[1,2,4]三唑并[4,3-a][1,4]二氮卓', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:19.000000', '2023-09-15 15:41:13.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '艾司唑仑', '冷藏贮存', 'GASS-411', '瓶', '8-chloro-6-phenyl-4H-benzo[f][1,2,4]triazolo[4,3-a][1,4]diazepine', 1.00, NULL, NULL, '库存不足', 1, NULL, '29975-16-4', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('D011816522D3A98A622E79D6E7333923', 'D0C9D5332A8AD94067DDDD0F5A8D4362', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基) 环戊酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:07.000000', '2023-09-15 15:41:14.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '对甲苯基环戊甲酰基芬太尼', '冷藏贮存', 'GASS-375', '瓶', 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)cyclopentanecarboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '2748409-67-6', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('D0652F2132F02885754F84D0F5DAEFD3', 'EB74F3CBD69736721C731A485FED3AC8', '(1-(4-氟苄基)-1H-吲哚-3-羰基)缬氨酸甲酯', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:52.000000', '2023-09-15 15:41:14.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'AMB-FUBICA', '冷藏贮存', 'GASS-275', '瓶', 'methyl(1-(4-fluorobenzyl)-1H-indole-3-carbonyl)valinate', 1.00, NULL, NULL, '库存不足', 1, NULL, '1971007-90-5', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('D09C53D5AE113C1A6B82EA089C731D05', '8615781D011882532ACADEDB77FE5DE5', '氢氧化钠', '欧博凯', '试剂', NULL, NULL, '500g/瓶', '2023-09-15 15:39:10.000000', '2023-09-15 15:41:14.000000', '1', NULL, '/', NULL, 1, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, 'GR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('D1153963BDAF9EC86649AF7C7E4F94C7', '3B0F6385E2EDAC8B3AF7BAFAB369D220', '(1-(4-氟苄基)-1H-吲哚-3-基)(萘-1-基)甲酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:39.000000', '2023-09-15 15:41:14.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'FUB-JWH-018', '冷藏贮存', 'GASS-056', '瓶', '(1-(4-fluorobenzyl)-1H-indol-3-yl)(naphthalen-1-yl)methanone', 1.00, NULL, NULL, '库存不足', 1, NULL, '2365471-45-8', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('D13DA2915F184849E5E3B713E85F8904', 'EA3C2344EDD012C81FB9FE92AE3563D1', '1,4-二苄基哌嗪', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:14.000000', '2023-09-15 15:41:14.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '二苄基哌嗪', '冷藏贮存', 'GASS-392', '瓶', '1,4-dibenzylpiperazine', 1.00, NULL, NULL, '库存不足', 1, NULL, '1034-11-3', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('D1AC11725A0A78FAE2ECA19BF24A1F90', '2A6C8F347025653C229A0DBF0DA3A461', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)环丁酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:12.000000', '2023-09-15 15:41:14.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '对氟苯基环丁甲酰基芬太尼', '冷藏贮存', 'GASS-386', '瓶', 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)cyclobutanecarboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('D1C2C397E8A36D3AC3ACD27507C151EA', 'B005AE8E4BB9C1D0FE9F354155961748', '称量纸 120*120mm', '/', '耗材', NULL, NULL, ' 120*120mm,400张/包,400张/包', '2023-09-15 15:37:46.000000', '2023-09-15 15:41:14.000000', '1', NULL, '/', NULL, 6, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '包', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('D382BFFA1E9BF5141731215ACB55CB75', '632314519AB0A92544310C1F28842D14', '马来酸', 'Sigma-Aldrich', '试剂', NULL, NULL, '100g/瓶，99%', '2023-09-15 15:39:15.000000', '2023-09-15 15:41:14.000000', '1', NULL, '/', NULL, 2, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('D39B500B87FFE6F1EAEB19BCF6C3AF35', 'E498C834BF955D6A7A6F53C1E9F780BC', '二甲基砜', 'Sigma-Aldrich', '试剂', NULL, NULL, '100g/瓶', '2023-09-15 15:39:00.000000', '2023-09-15 15:41:14.000000', '1', NULL, '/', NULL, 2, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('D3A34D81FB19ABCC9300C3C6E992BA33', 'AE2735417B3C2399145448339F682831', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)辛酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:08.000000', '2023-09-15 15:41:14.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '对甲苯基正辛酰基芬太尼', '冷藏贮存', 'GASS-378', '瓶', 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)octanamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('D47E52327C4F435283B26ECCB43CB84C', 'B194BEB386C36B1D3F2AE0FFDB24E439', '4-氟氯苄', '阿拉丁', '试剂', NULL, NULL, '98%，25g/瓶', '2023-09-15 15:39:23.000000', '2023-09-15 15:41:14.000000', '1', NULL, '/', NULL, 2, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, '352-11-4', 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('D495053D8C703100535E8D137AC744D6', '4C7BAE7DAAD0ED79EBF027B6CF870ADE', '乙酸乙酯', '沪试', '试剂', NULL, NULL, '500ml/瓶', '2023-09-15 15:39:05.000000', '2023-09-15 15:41:14.000000', '1', NULL, '/', NULL, 1, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('D54670B0E6D23D98A19BEC6884493F34', '7E07947EE0A2C33A3B30008FFBC7B826', '1-(4-氯苯基)-2-(二乙基氨基)丙-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:15.000000', '2023-09-15 15:41:14.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '对氯-N,N-二乙基卡西酮盐酸盐', '冷藏贮存', 'GASS-394', '瓶', '1-(4-chlorophenyl)-2-(diethylamino)propan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '92105-44-7', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('D58FBF176C94EC522FFDF8EFDCE7A78B', 'A0A083A79B515EFD9556DEB96C988738', '水系滤膜25mm*0.45um', '津隆', '耗材', NULL, NULL, '100个/盒,100个/盒', '2023-09-15 15:37:48.000000', '2023-09-15 15:41:14.000000', '1', NULL, '/', NULL, 9, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '后续不再购买', '盒', NULL, 1.00, NULL, NULL, '库存充足', 1, 'JLSP214502', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('D622A5F96F5FB6DE462E3378638078D7', 'B6B4C64AB2C1206733757441FE340103', '滴管', 'n/a', '耗材', NULL, NULL, '12cm', '2023-09-15 15:38:18.000000', '2023-09-15 15:41:14.000000', '1', NULL, '/', NULL, 20, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('D6BE226C9C0CC15FF91E9C6E43ADC3BA', '0F030AA79F9059D7FC7705D60D9029D4', '容量瓶 50mL ', 'Brand', '耗材', NULL, NULL, '棕色,/,/', '2023-09-15 15:37:42.000000', '2023-09-15 15:41:14.000000', '1', NULL, '/', NULL, 6, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '个', NULL, 1.00, NULL, NULL, '库存充足', 1, '37485', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('D6DD006F109C45B371A066A0F74457D5', '04C9F9C184C77006E1B65EA032C646CE', '1-(4-甲氧基苯基)丙-2-胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:23.000000', '2023-09-15 15:41:14.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'PMA盐酸盐', '冷藏贮存', 'GASS-467', '瓶', '1-(4-methoxyphenyl)propan-2-amine', 1.00, NULL, NULL, '库存不足', 1, NULL, '3706-26-1', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('D6E3816ECC049FEACF0091A431423031', '33F09665A59610E05E695C9B1CBBA593', '丙酮', 'CNW', '试剂', NULL, NULL, '4L/瓶', '2023-09-15 15:37:56.000000', '2023-09-15 15:41:14.000000', '1', NULL, '/', NULL, 4, '普通试剂', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '瓶', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('D7AE7BF75A6A976717A4D0F8DF8A69B0', '72C7A0BD512295045BACE6C768B5FB2F', '移液管', 'MC', '耗材', NULL, NULL, '2ml', '2023-09-15 15:38:14.000000', '2023-09-15 15:41:14.000000', '1', NULL, '/', NULL, 15, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('D983DEB24DA05EB3442AAE0BC139AFE8', 'FF067E8E61FA417A0E73DEB38A844B9B', '2-(甲氨基)-2-苯基环已烷-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:16.000000', '2023-09-15 15:41:14.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '去氯氯胺酮盐酸盐', '冷藏贮存', 'GASS-402', '瓶', '2-(methylamino)-2-phenylcyclohexan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '4631-27-0', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('DB577E40D8727171BCF7134CCEAAAAB6', 'D29E61E36B37398F398ECC76F91A3305', '正己烷', 'Supelco', '试剂', NULL, NULL, '4L/瓶', '2023-09-15 15:38:59.000000', '2023-09-15 15:41:14.000000', '1', NULL, '/', NULL, 4, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('DBFC65B72D5B09621DEF51DA69BECAA7', '9EF6E0B943B1692C22F1341C0DC6B157', '甲酸', 'SturdeeSeal', '试剂', NULL, NULL, '50ml/瓶', '2023-09-15 15:38:59.000000', '2023-09-15 15:41:14.000000', '1', NULL, '/', NULL, 4, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'LC/MS级');
INSERT INTO `reagent_consumable_inventory` VALUES ('DC4C8597C8F2C6F7D505D72672DC1F17', 'D2DC1ED6E5C66133065AE7D680CDD6E9', '2-(2-氟苯基)-2-(甲氨基) 环已烷-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:17.000000', '2023-09-15 15:41:14.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '氟胺酮盐酸盐', '冷藏贮存', 'GASS-404', '瓶', '2-(2-fluorophenyl)-2-(methylamino)cyclohexan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '111982-49-1', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('DDE2C9A82AA7E8829E4BD367B36BECAE', '2243419D95EAB4D97B60A7B6A221C85C', 'HOBT, 1-羟基苯并三唑一水合物', '阿拉丁', '试剂', NULL, NULL, '≥97.0%, 100g/瓶', '2023-09-15 15:39:25.000000', '2023-09-15 15:41:14.000000', '1', NULL, '/', NULL, 2, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, '123333-53-9', 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('DE262BF98FE3740EEFD81C8D863CAB0C', 'E0EF8021AE2E5AAE8E6523EC4876CD66', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)丁酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:06.000000', '2023-09-15 15:41:14.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '对甲苯基正丁酰基芬太尼', '冷藏贮存', 'GASS-371', '瓶', 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)butyramide', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('DEAC7B03C22A18E3C5EA41037A0DADA1', '79AD3931BB831A58BE947F7C49825164', '枪头', 'brand', '耗材', NULL, NULL, '50-1000ul', '2023-09-15 15:38:29.000000', '2023-09-15 15:41:14.000000', '1', NULL, '/', NULL, 80, '普通耗材', 10, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('DEBDD4CE30558FBAC087DA4C5CE9C4DB', '972BD1891A4592A5BE9288CEF70E8392', '容量瓶', 'Brand', '耗材', NULL, NULL, '2ml', '2023-09-15 15:38:33.000000', '2023-09-15 15:41:14.000000', '1', NULL, '/', NULL, 2, '普通耗材', 2, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('DF1C45900EDE018B84D27D6D13EAA360', '1B4A9ED2F33657BD03BE86E5DF595B40', 'N-(金刚烷-1-基)-1-(5-氟戊基)-1H-吲哚-3-甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:42.000000', '2023-09-15 15:41:14.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '5F-APICA(STS-135)', '冷藏贮存', 'GASS-072', '瓶', 'N-(adamantan-1-yl)-1-(5-fluoropentyl)-1H-indole-3-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '1354631-26-7', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('DF89B96E732245252B260F76F562C8F5', 'C011D295D827E3665375D20E3540D91E', '2-(2-氯苯基-3,4,5,6-d4) -2-(甲氨基) 环己烷-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:21.000000', '2023-09-15 15:41:14.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'D4-氯胺酮盐酸盐', '冷藏贮存', 'GASS-459', '瓶', '2-(2-chlorophenyl-3,4,5,6-d4)-2-(methylamino)cyclohexan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('DFAEE3D5E8BBF8DCD844733D8666CE60', 'E535CF6C2223B6F861CB8B1C7D589B5E', '1-(4-溴苯基)-2-(二甲基氨基)丙-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:58.000000', '2023-09-15 15:41:14.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'N-甲基-对溴-甲卡西酮盐酸盐', '冷藏贮存', 'GASS-327', '瓶', '1-(4-bromophenyl)-2-(dimethylamino)propan-1-one', 1.00, NULL, NULL, '库存不足', 1, NULL, '1157737-03-5', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E05F88B99F06F69FC2D392A764C0E5C2', 'E3D49F4152A29C55142D59152CF8916F', '螺口试剂瓶', '蜀牛', '耗材', NULL, NULL, ' 5000mL,/,/', '2023-09-15 15:37:41.000000', '2023-09-15 15:41:14.000000', '1', NULL, '/', NULL, 2, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '个', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E06BB98EB483ED0F15BB01D8783CD276', '50C17EE9B35DCFBA23A835C2BF7CE114', '2ml连盖离心管', 'CYPRESS', '耗材', NULL, NULL, '500个/包,500个/包', '2023-09-15 15:37:39.000000', '2023-09-15 15:41:14.000000', '1', NULL, '/', NULL, 4, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '包', NULL, 1.00, NULL, NULL, '库存充足', 1, '0200020', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E0E6189AD5D6148C80062A5316131321', '0F94F191F6F57C3971063DA6B641D79B', '1-(5-氟戊基)-N-(2-苯基丙-2-基) -1H-吲唑-4,5,6,7-d4-3-羧酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:26.000000', '2023-09-15 15:41:14.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'D4-5F-CUMYL-PINACA', '冷藏贮存', 'GASS-508', '瓶', '1-(5-fluoropentyl)-N-(2-phenylpropan-2-yl)-1H-indazole-4,5,6,7-d4-3-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E1EEF9CD8FEA440BAC7B0AFBD1CE4EEA', 'F88156EF945AF189A38124FF997B956F', '进口滤膜', '津隆', '耗材', NULL, NULL, '13mm，水洗聚醚砜（PES）,0.22um，货号：JLSP042201', '2023-09-15 15:38:51.000000', '2023-09-15 15:41:15.000000', '1', NULL, '/', NULL, 5, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E22C0150204582F199BB2701223190C4', 'A6C0C703FB6C6C4CB1E4363B048189CF', '物证封装袋', 'n/a', '耗材', NULL, NULL, '43*31cm', '2023-09-15 15:38:07.000000', '2023-09-15 15:41:15.000000', '1', NULL, '/', NULL, 1300, '普通耗材', 100, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E2CE0F732D5DD3BE8F808C9276DC622B', 'EB960E436FD2C461F01E00494199E035', 'DB-5', '安捷伦', '耗材', NULL, NULL, '30m*0.25mm*0.25um，122-5032', '2023-09-15 15:38:20.000000', '2023-09-15 15:41:15.000000', '1', NULL, '/', NULL, 1, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '根', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E502CEDF0F0CD39AEBBDF9FB80571E2D', '8872B150EA80607672F857BF7DDF7875', '丁乙酸', '大茂', '试剂', NULL, NULL, '500mL/瓶', '2023-09-15 15:38:03.000000', '2023-09-15 15:41:15.000000', '1', NULL, '/', NULL, 6, '普通试剂', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '瓶', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, '优级纯');
INSERT INTO `reagent_consumable_inventory` VALUES ('E561195CC2253118DA8C7823D37FBC26', '45B33C2DD46FFD60084B98BF8B6F4E64', '棕色滴瓶', 'n/a', '耗材', NULL, NULL, '125ml', '2023-09-15 15:38:30.000000', '2023-09-15 15:41:15.000000', '1', NULL, '/', NULL, 10, '普通耗材', 10, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E5EE0DD4EDA33C0FFC57776D861AA9B5', 'AF3886290EAE86E80A495927173F75DB', '移液枪', 'Sartorius', '耗材', NULL, NULL, '0.1-3ul', '2023-09-15 15:38:20.000000', '2023-09-15 15:41:15.000000', '1', NULL, '/', NULL, 1, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E64CD970D45A8C63B6A43D0843F7D222', 'D8E563643685FEFF551C1AB9ECA8A080', 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基) -1-戊基-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:37.000000', '2023-09-15 15:41:15.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'ADB-PINACA', '冷藏贮存', 'GASS-047', '瓶', 'N-(1-amino-3,3-dimethyl-1-oxobutan-2-yl)-1-pentyl-1H-indazole-3-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '1633766-73-0', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E738A950908C029C9A9BD911AC9E3A07', 'ACEFBF504AC98F7E2B5F443EDF4B70AD', '移液枪', '普兰德', '耗材', NULL, NULL, '500-5000ul', '2023-09-15 15:38:19.000000', '2023-09-15 15:41:15.000000', '1', NULL, '/', NULL, 1, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E87C02C01E4A729A9A2875113EB6477F', '81D9265C246FB4C946D3CFCFAAB9CF17', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)异丁酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:46.000000', '2023-09-15 15:41:15.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '4-氟异丁酰芬太尼', '冷藏贮存', 'GASS-097', '瓶', 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)isobutyramide', 1.00, NULL, NULL, '库存不足', 1, NULL, '244195-32-2', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E8AE542415F85C36FE1EFD93256166E9', 'C923819B992E0F160E0ED819500B3B4B', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基) 环丁酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:07.000000', '2023-09-15 15:41:15.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '对甲苯基环丁甲酰基芬太尼', '冷藏贮存', 'GASS-374', '瓶', 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)cyclobutanecarboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E8C3A990E6862AF1119B22DC89B6AD25', '70AEA7FA1BEABEBAF62B26B53AA171AA', '丙酸酐', '麦克林', '试剂', NULL, NULL, '98%,500g/瓶', '2023-09-15 15:39:18.000000', '2023-09-15 15:41:15.000000', '1', NULL, '/', NULL, 1, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('E93567F6F7B55EBA68C0391B696B8BDA', 'FD0895D28D19F9507FD39D104BFA4191', '玻璃冻存管', 'n/a', '耗材', NULL, NULL, '棕色，5ml', '2023-09-15 15:38:18.000000', '2023-09-15 15:41:15.000000', '1', NULL, '/', NULL, 19, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E9F6BA7613AE41050ED397AABCED557E', '8E995B9F127CF050508C6E1895852DDD', 'TBTU, O-苯并三氮唑-N,N,N\',N\'-四甲基脲四氟硼酸酯', '阿拉丁', '试剂', NULL, NULL, '98%, 100g/瓶', '2023-09-15 15:39:26.000000', '2023-09-15 15:41:15.000000', '1', NULL, '/', NULL, 2, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, '125700-67-6', 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('EA15BAAAB5D0C1EC1981097B431335EE', '79F2DEC6653612A64F197DA5DCF633F2', '2-(1-丁基-1H-吲唑-3-甲酰胺) -3,3-二甲基丁酸', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:23.000000', '2023-09-15 15:41:15.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'ADB-BUTINACA代谢物', '冷藏贮存', 'GASS-502', '瓶', '2-(1-butyl-1H-indazole-3-carboxamido)-3,3-dimethylbutanoic acid', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('EAEC8198BC831AE190902E85A029A747', '2FFDAD5C12310FB5BBEEE5EF2820A98C', '甲醇', '科密欧', '试剂', NULL, NULL, '500ml/瓶', '2023-09-15 15:39:04.000000', '2023-09-15 15:41:15.000000', '1', NULL, '/', NULL, 5, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('EB1053E842D2435BEEB701E0118F0EE1', 'D11A25FA21FF604D53F94F2FDA303093', '洗瓶', 'n/a', '耗材', NULL, NULL, '250ml', '2023-09-15 15:38:30.000000', '2023-09-15 15:41:15.000000', '1', NULL, '/', NULL, 18, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('EB6EEF2EF77122C5142EF2CAFA12BB1C', 'F0D433A1B4DDD015F176B9484901B993', 'N-(金刚烷-1-基)-1-(5-氟戊基)-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:33.000000', '2023-09-15 15:41:15.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '5F-APINACA', '冷藏贮存', 'GASS-038', '瓶', 'N-(adamantan-1-yl)-1-(5-fluoropentyl)-1H-indazole-3-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '1400742-13-3', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('EC8DBA11FDD39A4E7A9C92CF9B9EA6D5', '4015A46ACE490038B58BAF62DA0E33E8', '浓硫酸', '国产', '试剂', NULL, NULL, '500mL/瓶', '2023-09-15 15:38:02.000000', '2023-09-15 15:41:15.000000', '1', NULL, '/', NULL, 4, '普通试剂', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '瓶', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, '分析纯');
INSERT INTO `reagent_consumable_inventory` VALUES ('ECFE7104B4513DE544C7010253C6254C', 'FCCABB6A9DD4D85FFD7EF2D2470F0BD0', '物证封装袋', 'n/a', '耗材', NULL, NULL, '16.5*12cm', '2023-09-15 15:38:07.000000', '2023-09-15 15:41:15.000000', '1', NULL, '/', NULL, 1300, '普通耗材', 100, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('ED14DC7AD9D00EBBFC21FC6B65316C51', '0E0DBA2163FE46D736D11A85BC6E0F78', '2,2,2-三氯-N-(1-苯乙基哌啶-4-基) -N-(对甲苯基) 乙酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:08.000000', '2023-09-15 15:41:15.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '对甲苯基三氯乙酰基芬太尼', '冷藏贮存', 'GASS-376', '瓶', '2,2,2-trichloro-N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)acetamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('ED919F9140059A2FC498E26CA94A710C', 'CB7CEB4A3F05E67ECAA32EEF85620863', 'N-(金刚烷-1-基)-1-(5-氯戊基)-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:50.000000', '2023-09-15 15:41:15.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '5CI-APINACA', '冷藏贮存', 'GASS-260', '瓶', 'N-(adamantan-1-yl)-1-(5-chloropentyl)-1H-indazole-3-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '2160555-52-0', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('EDF2F1B79951C4542FE37E5D797A581B', 'FD7A30504E4E029054B42674FECDA3CE', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)丁酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:04.000000', '2023-09-15 15:41:15.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '对甲苯基异丁酰基芬太尼', '冷藏贮存', 'GASS-367', '瓶', 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)isobutyramide', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('EECAEA34CD0AE29FC4DBEDF0AD9D5EBF', '0D9524212CD67B72072F96065147EDB1', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)庚酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:04.000000', '2023-09-15 15:41:15.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '对甲苯基庚酰基芬太尼', '冷藏贮存', 'GASS-366', '瓶', 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)heptanamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('EFAFDF06A0153D44FA3275374F85E641', '77F3948BB732E6FAFEFFB14E0E71C576', '石油醚', '津东天正', '试剂', NULL, NULL, '500ml/瓶', '2023-09-15 15:39:18.000000', '2023-09-15 15:41:15.000000', '1', NULL, '/', NULL, 10, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('EFB0FFD969854B856C534A3C157999FD', 'C482E3A63DF6AE61C8F84C01D4F0AF71', '枪头', 'Sartorius', '耗材', NULL, NULL, '10ml，250个', '2023-09-15 15:38:56.000000', '2023-09-15 15:41:15.000000', '1', NULL, '/', NULL, 6, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('F1AD610769AA51694C0D50B2B3F2BC02', '3973DE5C5C74F5FB4DFD8DF26FE8584B', '手套', '科邦', '耗材', NULL, NULL, '橡胶，M号,200只/盒,200只/盒', '2023-09-15 15:37:47.000000', '2023-09-15 15:41:15.000000', '1', NULL, '/', NULL, 2, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('F24A56994255FDDCD183E2769CAB73E9', '1C6D4F4ACE1F4A4753FF39486A89B0B4', '镊子', 'n/a', '耗材', NULL, NULL, '直头，12.5cm', '2023-09-15 15:38:24.000000', '2023-09-15 15:41:15.000000', '1', NULL, '/', NULL, 9, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('F2562DD28577C062B860E0B2BFA5CF29', '4BB08F16BC019675E98D1A2195A04F5C', 'N-(1-苯乙基哌啶-4-基)-N-苯基呋喃-2-甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:45.000000', '2023-09-15 15:41:15.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '呋喃芬太尼', '冷藏贮存', 'GASS-095', '瓶', 'N-(1-phenethylpiperidin-4-yl)-N-phenylfuran-2-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '101345-66-8', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('F2EB94D3BF5A0865CD68166C5665E7B7', '14DCEE3186E63EE87E163290EEC7F281', '正己烷', 'CNW', '试剂', NULL, NULL, '4l/瓶', '2023-09-15 15:39:03.000000', '2023-09-15 15:41:16.000000', '1', NULL, '/', NULL, 2, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('F2F1DEE21E4D5E4B5BD6E44960E5B43A', '1AEC57F1A7CDC1A6AF8B3904095135B9', '一次性玻璃巴氏吸管', 'Brand', '耗材', NULL, NULL, '225mm,250支/盒,250支/盒', '2023-09-15 15:37:36.000000', '2023-09-15 15:41:16.000000', '1', NULL, '/', NULL, 36, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, '库存充足', 1, '747720', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('F56DFB51CB0AA067A06F5E364B127649', '64C75AFBC96249DA9E967E7D1B480B57', '血清移液管', 'n/a', '耗材', NULL, NULL, '25ml', '2023-09-15 15:38:15.000000', '2023-09-15 15:41:16.000000', '1', NULL, '/', NULL, 21, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('F5953BA83C9C5F5BB41BE26C645BB1CE', 'D1F36A36E82A614EE2F2CE50BE0668BA', '气相进样针', '岛津', '耗材', NULL, NULL, '10ul', '2023-09-15 15:38:10.000000', '2023-09-15 15:41:16.000000', '1', NULL, '/', NULL, 22, '进样针', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('F5C7AAB51333B6C9AFBEEE6ADDC256F8', '6E9C12D5B2A220AE819CFB614200644B', '2-(1-(4-氟苄基)-1H-吲唑-3-甲酰胺)-3,3-二甲基丁酸甲酯', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:41.000000', '2023-09-15 15:41:16.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'MDMB-FUBINACA', '冷藏贮存', 'GASS-068', '瓶', 'methyl2-(1-(4-fluorobenzyl)-1H-indazole-3-carboxamido)-3,3-dimethylbutanoate', 1.00, NULL, NULL, '库存不足', 1, NULL, '1715016-77-5', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('F5D32C3376085775B9AE49BB9D3DF226', '8552242CA1292DAC2C47BF108DD4DD34', '称量纸', 'n/a', '耗材', NULL, NULL, '10cm', '2023-09-15 15:38:36.000000', '2023-09-15 15:41:16.000000', '1', NULL, '/', NULL, 30, '普通耗材', 10, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('F65CC8918F502284B11DD51F57831924', 'FC3B45DA4DD12A452693734EDDE29505', '研钵', '垒固', '耗材', NULL, NULL, '18cm', '2023-09-15 15:38:31.000000', '2023-09-15 15:41:16.000000', '1', NULL, '/', NULL, 5, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('F666E9B695C6704DD85A9686C6748454', '51E1DB63B08265DA8B78B10F5365FE3F', '手术剪', '双鹿', '耗材', NULL, NULL, '12.5cm直尖', '2023-09-15 15:38:21.000000', '2023-09-15 15:41:16.000000', '1', NULL, '/', NULL, 1, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '把', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('F72AB2B60C2A68304E669CF0944059C7', 'FA5C56C86F3088716DA0A85BDDA069BA', '氘代甲醇', 'CIL', '试剂', NULL, NULL, '0.6mLx10,99.8%', '2023-09-15 15:39:13.000000', '2023-09-15 15:41:16.000000', '1', NULL, '/', NULL, 5, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('F76ACB12AEC57ED406E77D8C8CC8CE81', '516DBA30702BA7667E40464AC06E3B61', 'N-(1-氨基-1-氧代-3-苯基内-2-基)-1-(5-氟戊基)-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:42.000000', '2023-09-15 15:41:16.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'PX-2', '冷藏贮存', 'GASS-070', '瓶', 'N-(1-amino-1-oxo-3-phenylpropan-2-yl)-1-(5-fluoropentyl)-1H-indazole-3-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '2205029-76-9', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('F7C535E71344C78A832C245E4269A8A3', '52D1714473043BD75639C53770B3249B', '乙酸乙酯', '国药集团', '试剂', NULL, NULL, '≥99.5', '2023-09-15 15:39:21.000000', '2023-09-15 15:41:16.000000', '1', NULL, '/', NULL, 9, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('F7D25A39F6EBB1CE4374B35E7AEE8369', '71B9030B650CE3A78B93E427A58E59ED', '浓盐酸', '国产', '试剂', NULL, NULL, '500mL/瓶', '2023-09-15 15:38:02.000000', '2023-09-15 15:41:16.000000', '1', NULL, '/', NULL, 4, '普通试剂', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '瓶', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, '分析纯');
INSERT INTO `reagent_consumable_inventory` VALUES ('F9231E91FFCEE138CDDF23A412CED1FE', 'B79EEA8284367A77E516CB0F84A02B9F', '15ml塑料离心管', 'CORNING　CentriStar', '耗材', NULL, NULL, 'PET塑料,10包/箱  1包/50,10包/箱  1包/50', '2023-09-15 15:37:38.000000', '2023-09-15 15:41:16.000000', '1', NULL, '/', NULL, 26, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '箱', NULL, 1.00, NULL, NULL, '库存充足', 1, '430790', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('F99412DE82DAFE6070FAA3B965799080', '749589B20E2C19C07434CE2171400027', '牛皮纸物证袋', 'n/a', '耗材', NULL, NULL, '10.2*8.8cm', '2023-09-15 15:38:05.000000', '2023-09-15 15:41:16.000000', '1', NULL, '/', NULL, 170, '普通耗材', 10, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('FA131E284F480CFB2644B613C6F8259B', '9EB4CD1B395A42C33663D255D35BDA99', '二氯甲烷', '国药集团', '试剂', NULL, NULL, '≥99.5', '2023-09-15 15:39:21.000000', '2023-09-15 15:41:16.000000', '1', NULL, '/', NULL, 8, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('FA3194BA4C71BE3A5763F73BCA05A6FD', '51348327A31D6B054306B93AD1C3D457', '(1-(5-氟戊基)-1H-吲哚-3-羰基)苯丙氨酸甲酯', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:51.000000', '2023-09-15 15:41:16.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '5F-MPP-PICA', '冷藏贮存', 'GASS-271', '瓶', 'methyl(1-(5-fluoropentyl)-1H-indole-3-carbonyl)phenylalaninate', 1.00, NULL, NULL, '库存不足', 1, NULL, '2682867-54-3', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('FB61FA17179EFDC0A1B39F0840380BB1', '24A8BF9786B4933E9A9BDEFF5CF5FED8', '1ml有机相枪头', 'RAININ　1000ul', '耗材', NULL, NULL, 'disposable capillaries/pistons 17008609,180个/盒,180个/盒', '2023-09-15 15:37:30.000000', '2023-09-15 15:41:16.000000', '1', NULL, '/', NULL, 30, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '污水专用', '盒', NULL, 1.00, NULL, NULL, '库存充足', 1, '17008609', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('FB7E3FCCC83CFDC6E4BF2C33D31F43BB', 'F59CD9CCCBD385B50F18133C68BF205D', '乙腈', 'Thermo', '试剂', NULL, NULL, '4L/瓶', '2023-09-15 15:39:20.000000', '2023-09-15 15:41:16.000000', '1', NULL, '/', NULL, 1, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存不足', 1, NULL, NULL, 'HPLC，GC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('FC1AA47977B801C4D4525E69DF8DF52C', 'B798A26C5E2414A4EC1D11EE48DAB792', '磷酸', '阿拉丁', '试剂', NULL, NULL, '89-90%,500ml/瓶', '2023-09-15 15:39:00.000000', '2023-09-15 15:41:16.000000', '1', NULL, '/', NULL, 5, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('FC975217ACADC95CCA82449EA8C27C63', 'AB4779DE5E974E4F56CE311DC4702F59', 'N-(1-苯乙基哌啶-4-基)-N-苯基环丙烷甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:37:13.000000', '2023-09-15 15:41:16.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '苯基环丙甲酰基芬太尼', '冷藏贮存', 'GASS-390', '瓶', 'N-(1-phenethylpiperidin-4-yl)-N-phenylcyclopropanecarboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '1169-68-2', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('FD1313D49C7BD1FC169CCFCE623E0D97', '15DBE08E2C3440D8A8CA4CE99BE5934B', '250uL有机枪头', 'RAININ　250ul', '耗材', NULL, NULL, 'disposable capillaries/pistons 17008608,180个/盒,180个/盒', '2023-09-15 15:37:29.000000', '2023-09-15 15:41:16.000000', '1', NULL, '/', NULL, 9, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '污水专用', '盒', NULL, 1.00, NULL, NULL, '库存充足', 1, '17008608', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('FD9D4D965F14B04B0A75B4EFCA3DAED8', 'CE8DBE845B6A2F85ED7159F70BAE3458', '甲酸铵', 'Honeywell', '试剂', NULL, NULL, '50克/瓶', '2023-09-15 15:37:54.000000', '2023-09-15 15:41:16.000000', '1', NULL, '/', NULL, 1, '普通试剂', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '污水，毛发专用', '瓶', NULL, 1.00, NULL, NULL, '库存不足', 1, '55674-50G', NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('FE364EF9C60280192BE82F37C98F1DC4', 'BDD86605AA4103A6BC5F2D2F6C4B2733', '甲酸铵', '科密欧', '试剂', NULL, NULL, '100克/瓶', '2023-09-15 15:37:54.000000', '2023-09-15 15:41:16.000000', '1', NULL, '/', NULL, 2, '普通试剂', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '污水，毛发专用', '瓶', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('FE67B122F3324152D193E45D28244C49', 'C64230A8D51FC2DDA47A90ACB6FD4A8B', '小口试剂瓶', 'n/a', '耗材', NULL, NULL, '1000ml', '2023-09-15 15:38:41.000000', '2023-09-15 15:41:16.000000', '1', NULL, '/', NULL, 19, '普通耗材', 6, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('FE988AAF45155B24E33224E4EC927172', '92FA0C9059F697DA14B80C7385C8EEFF', '石墨垫圈', '安捷伦', '耗材', NULL, NULL, '货号5080-8853，10个/盒', '2023-09-15 15:38:12.000000', '2023-09-15 15:41:16.000000', '1', NULL, '/', NULL, 5, '普通耗材', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('FE9A728B99B8D6A33952F03BA24ED998', 'FDD6FBED213DA3DB8E8384CD7C614B18', '一次性塑料滴管 5mL', '国产', '耗材', NULL, NULL, '100支/包,100支/包', '2023-09-15 15:37:49.000000', '2023-09-15 15:41:16.000000', '1', NULL, '/', NULL, 8, '普通耗材', 1, NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '后续不再购买', '包', NULL, 1.00, NULL, NULL, '库存充足', 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('FEBF04DFD9B9D4E9E1ECE990F46B5A7E', '630E5B55A9AE190402D832CD5C7AD87C', '称量瓶', 'n/a', '耗材', NULL, NULL, '25x40', '2023-09-15 15:38:38.000000', '2023-09-15 15:41:16.000000', '1', NULL, '/', NULL, 10, '普通耗材', 10, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('FF27E7FC317F2A7A742220376C4E547C', 'D1639225AAB2866F23B21B9BDA6A959E', '2-(1-(4-氟丁基)-1H-吲哚-3-甲酰胺)-3,3-二甲基丁酸甲酯', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:53.000000', '2023-09-15 15:41:16.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, '4F-MDMB-BUTICA', '冷藏贮存', 'GASS-293', '瓶', 'methyl 2-(1-(4-fluorobutyl)-1H-indole-3-carboxamido)-3,3-dimethylbutanoate', 1.00, NULL, NULL, '库存不足', 1, NULL, '2682867-53-2', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('FF5F510E5AFF1EB34F8E14F8655EE9A4', '021261728B402A540766D5B99C759F20', 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(4-氟苄基)-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 15:36:56.000000', '2023-09-15 15:41:16.000000', '1', NULL, '/', NULL, 1, '普通标准物质', 1, NULL, 0.000000000000000000000000000000, 'AB-FUBICA', '冷藏贮存', 'GASS-316', '瓶', 'N-(1-amino-3-methyl-1-oxobutan-2-yl)-1-(4-fluorobenzyl)-1H-indole-3-carboxamide', 1.00, NULL, NULL, '库存不足', 1, NULL, '1801338-22-6', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('FF8A2B2F0D92F623FF655815C494F2B0', '658BD2C91D9885FCC5A36E80EA3F7E34', '氘代氯仿', 'CIL', '试剂', NULL, NULL, '0.6mLx10,99.8%', '2023-09-15 15:39:17.000000', '2023-09-15 15:41:16.000000', '1', NULL, '/', NULL, 5, '普通试剂', 1, NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, '库存充足', 1, NULL, NULL, 'AR级');

-- ----------------------------
-- Table structure for reagent_consumable_stash
-- ----------------------------
DROP TABLE IF EXISTS `reagent_consumable_stash`;
CREATE TABLE `reagent_consumable_stash`  (
  `id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `category` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材id',
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材名称',
  `brand` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(品牌)',
  `deviation_or_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '偏差/不确定度',
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(规格型号)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `standard_value_or_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `technical_parameter` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术参数)',
  `total_quantity` int(55) NULL DEFAULT NULL COMMENT '(总数量)',
  `species` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '种类\r\n',
  `packaged_copies` int(255) NULL DEFAULT NULL COMMENT '包装份数',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '别名',
  `storage_condition` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '存储条件',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `minimum_unit` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '包装单位',
  `english_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '英文名',
  `unit_price` decimal(10, 0) NULL DEFAULT NULL COMMENT '单价',
  `code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '物品编码',
  `cas_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'CAS编号',
  `purity_grade` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '纯度等级',
  `room_no` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '房间号\r\n',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of reagent_consumable_stash
-- ----------------------------
INSERT INTO `reagent_consumable_stash` VALUES ('0046A2669C9DDA80FFA2EC326E9C6413', '耗材', '3BBABC3BFEFE70F2B24B727798D19EEF', '移液枪吸头0.5-20uL', 'Brand', NULL, '/', '2023-09-15 15:37:44.000000', '2023-09-15 15:37:44.000000', '1', '1', '/', NULL, 3, '普通耗材', 1, NULL, '常规贮存', '通用', '盒', NULL, 1, '732224', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('00527E43474B6B086B51B818A5E5E466', '耗材', '718A81E6A598D242735918D6EB327C86', '2ml进样瓶', 'waters', NULL, '18600307C（透明）', '2023-09-15 15:37:35.000000', '2023-09-15 15:37:35.000000', '1', '1', '/', NULL, 20, '普通耗材', 1, NULL, '常规贮存', '通用', '盒', NULL, 1, '18600307C', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('006E24F145DACBC51BF5F8E6FC3FC9EA', '耗材', '8E09A47A7C68826FCE342A16E66D9961', '10ml连盖离心管', 'CYPRESS', NULL, '/', '2023-09-15 15:37:39.000000', '2023-09-15 15:37:39.000000', '1', '1', '/', NULL, 19, '普通耗材', 1, NULL, '常规贮存', '通用', '包', NULL, 1, '200100', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('00FE24AD1BFD51F079CEEA3BD4237E9F', '耗材', '43446D446423F3DA9DBA8AE3F3C7810F', '连盖离心管', 'AXYGEN', NULL, '2ml，500支/袋', '2023-09-15 15:38:28.000000', '2023-09-15 15:38:28.000000', '1', '1', '/', NULL, 1, '普通耗材', 1, '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('016BB715E4841FF92EE93F85F1C24E26', '耗材', '527C49E8DE212320B3A864E554B8C5F0', '容量瓶', 'Brand', NULL, '25ml', '2023-09-15 15:38:32.000000', '2023-09-15 15:38:32.000000', '1', '1', '/', NULL, 36, '普通耗材', 2, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('01BC2ADA947E5F4998160B426574AB4C', '试剂', 'FA5C56C86F3088716DA0A85BDDA069BA', '氘代甲醇', 'CIL', NULL, '0.6mLx10,99.8%', '2023-09-15 15:39:13.000000', '2023-09-15 15:39:13.000000', '1', '1', '/', NULL, 5, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('01DC2485F33D69A0B054E7D373E082A6', '试剂', 'AD56604587E5D7B7945376EF4C4E48FE', '乙酸', '科密欧', NULL, '500ml/瓶', '2023-09-15 15:39:20.000000', '2023-09-15 15:39:20.000000', '1', '1', '/', NULL, 9, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('0220DD5CE2B9C84FF5E5EF847E3F2E2F', '试剂', '250EAF8A972CB4F00C97DE63FC8F0EB8', '无水碳酸钠', '光富', NULL, '500克/瓶', '2023-09-15 15:38:00.000000', '2023-09-15 15:38:00.000000', '1', '1', '/', NULL, 3, '普通试剂', 1, NULL, '常规贮存', '通用', '瓶', NULL, 1, '/', NULL, '优级纯', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('025B8E40E1C51D3CA81A7DF2E665BDD2', '耗材', 'AE482E4D045DCBE1B6B15B59D07D06CC', '保鲜自封袋5号', '苹果', NULL, '100x150mm', '2023-09-15 15:38:04.000000', '2023-09-15 15:38:04.000000', '1', '1', '/', NULL, 400, '普通耗材', 100, '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('034A501373D66A92FCB243E3691628F4', '试剂', 'EDE92A3D7C76BEBF1220292DC91151F5', '甲醇', 'Supelco', NULL, '2.5L，LC/MS级', '2023-09-15 15:39:12.000000', '2023-09-15 15:39:12.000000', '1', '1', '/', NULL, 8, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'LC/MS级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('0450C9D0F319E9BE846BEB2658EC2F5F', '耗材', 'E2F6F46B0410CEBD4DFB0591C43BDB88', '塑料烧杯', 'n/a', NULL, '3000ml', '2023-09-15 15:38:46.000000', '2023-09-15 15:38:46.000000', '1', '1', '/', NULL, 7, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('052922BA32738580A14983200D3F9A94', '耗材', 'AF69C37AD96B4472B2BD823C10383A60', '密度计', '垒固', NULL, '0.6-2.0', '2023-09-15 15:38:55.000000', '2023-09-15 15:38:55.000000', '1', '1', '/', NULL, 14, '普通耗材', 14, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('053CFFAA5601A677FDBCFE45C1D7E0EE', '试剂', '9B5CB0A09F63C51E370F1EE104FB5D52', '浓硫酸', '沪试', NULL, '500mL/瓶', '2023-09-15 15:38:02.000000', '2023-09-15 15:38:02.000000', '1', '1', '/', NULL, 4, '普通试剂', 1, NULL, '常规贮存', '通用', '瓶', NULL, 1, '/', NULL, '分析纯', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('05572C2D7FA599EDE137A5749F58A842', '试剂', '33F09665A59610E05E695C9B1CBBA593', '丙酮', 'CNW', NULL, '4L/瓶', '2023-09-15 15:37:56.000000', '2023-09-15 15:37:56.000000', '1', '1', '/', NULL, 4, '普通试剂', 1, NULL, '常规贮存', '通用', '瓶', NULL, 1, '/', NULL, 'HPLC级', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('05B109A8578C3B17B975F6A146DC37B5', '耗材', '45FB0B9460A1F061527F1A0D0F34EE28', '高硼硅量筒', 'Bomex', NULL, '250ml', '2023-09-15 15:38:35.000000', '2023-09-15 15:38:35.000000', '1', '1', '/', NULL, 16, '普通耗材', 2, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('065E6CBEAF806D4904CACD62CE715DE6', '耗材', '42530F6BBD2003FCA92901F02ED78B19', '锥形瓶', '环球', NULL, '50ml', '2023-09-15 15:38:45.000000', '2023-09-15 15:38:45.000000', '1', '1', '/', NULL, 7, '普通耗材', 12, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('07133EBB83C84524BB156713E403A965', '耗材', '80362BFF3560280733ED21EBDA1C9667', '圆底烧瓶', '申迪', NULL, '500ml', '2023-09-15 15:38:36.000000', '2023-09-15 15:38:36.000000', '1', '1', '/', NULL, 19, '普通耗材', 10, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('072270D1D177AE6B9C3D0ADDD5B7B176', '试剂', '9EF6E0B943B1692C22F1341C0DC6B157', '甲酸', 'SturdeeSeal', NULL, '50ml/瓶', '2023-09-15 15:38:59.000000', '2023-09-15 15:38:59.000000', '1', '1', '/', NULL, 4, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'LC/MS级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('08E2EF01F27DA18D1722B37AB32FA0A9', '试剂', '1424383A929A059F7B634B0C6EB581D2', '乙酸乙酯', 'GRACE', NULL, '4L/瓶', '2023-09-15 15:37:59.000000', '2023-09-15 15:37:59.000000', '1', '1', '/', NULL, 5, '普通试剂', 1, NULL, '常规贮存', '通用', '瓶', NULL, 1, '/', NULL, 'HPLC级', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('096BC8A56EF3811FB6DC84A41745253E', '耗材', '29A32319B21200637487712BC5EB9E19', '螺纹试剂瓶', '蜀牛', NULL, '80ml', '2023-09-15 15:38:41.000000', '2023-09-15 15:38:41.000000', '1', '1', '/', NULL, 9, '普通耗材', 20, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('099367A107B6622EA91AF031776F7AEF', '试剂', 'E85BCD9FD6D61C884FF30F5AA688768A', '苯骈三氮唑', '阿拉丁', NULL, '99%，100g/瓶', '2023-09-15 15:39:26.000000', '2023-09-15 15:39:26.000000', '1', '1', '/', NULL, 2, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, ' 95-14-7 ', 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('09FCBAF8AB90BD9DAEFA7678D3C12FED', '耗材', 'E3D49F4152A29C55142D59152CF8916F', '螺口试剂瓶', '蜀牛', NULL, ' 5000mL', '2023-09-15 15:37:41.000000', '2023-09-15 15:37:41.000000', '1', '1', '/', NULL, 2, '普通耗材', 1, NULL, '常规贮存', '通用', '个', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('0A08D1F6991E0ABEFB120E2738F7627A', '试剂', '13846DD02C8665125AEFB8C2CA6DF0EE', '4-(三氟甲基)氯苄', '阿拉丁', NULL, '>97.0%(GC)，25g/瓶', '2023-09-15 15:39:23.000000', '2023-09-15 15:39:23.000000', '1', '1', '/', NULL, 2, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, '939-99-1', 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('0A1E987A796B70627E3804233C0DDCA7', '试剂', '2F5A6C27D9678603708FE73BA7B40D39', '浓硝酸', '国产', NULL, '500mL/瓶', '2023-09-15 15:38:02.000000', '2023-09-15 15:38:02.000000', '1', '1', '/', NULL, 6, '普通试剂', 1, NULL, '常规贮存', '通用', '瓶', NULL, 1, '/', NULL, '分析纯', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('0A3358962C2AE67D254309336CAD1231', '耗材', '45B33C2DD46FFD60084B98BF8B6F4E64', '棕色滴瓶', 'n/a', NULL, '125ml', '2023-09-15 15:38:30.000000', '2023-09-15 15:38:30.000000', '1', '1', '/', NULL, 10, '普通耗材', 10, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('0AE86D27E2FFDCF47AC2D8C96E73BF02', '耗材', 'D6ECAC31965A21BB0D9F6F2BC48A80A7', '2ml进样瓶盖（无预开口）', '安捷伦', NULL, '5183-2076', '2023-09-15 15:37:35.000000', '2023-09-15 15:37:35.000000', '1', '1', '/', NULL, 1, '普通耗材', 1, NULL, '常规贮存', '通用', '包', NULL, 1, '5183-2076', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('0C15E784BE677B7E08F65DEDDE729D90', '耗材', '65A34F575012982FB3CB944BC5613E14', '牛皮纸物证袋', 'n/a', NULL, '21*14cm', '2023-09-15 15:38:05.000000', '2023-09-15 15:38:05.000000', '1', '1', '/', NULL, 100, '普通耗材', 10, '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('0C4FFBAC99ED296F42F5469B9DD22AC3', '耗材', 'B80FACDB9318BAE828C6C5FC9A5AFCCE', '试管', 'n/a', NULL, '18*180mm', '2023-09-15 15:38:13.000000', '2023-09-15 15:38:13.000000', '1', '1', '/', NULL, 30, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('0D7C99BEEC41CB8D2012CB6E4560BF39', '耗材', 'D02032002017223B0993718319C441AD', '高硼硅量筒', 'Bomex', NULL, '500ml', '2023-09-15 15:38:35.000000', '2023-09-15 15:38:35.000000', '1', '1', '/', NULL, 9, '普通耗材', 2, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('0F33165959113B0A66D947A65AF320F1', '试剂', '09836480A91A43A603A1BE72FBE51F82', '正己烷', '科密欧', NULL, '500ml/瓶', '2023-09-15 15:39:05.000000', '2023-09-15 15:39:21.000000', '1', '1', '/', NULL, 15, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('0FA2371D36C86FB17E8A16DED8421D53', '耗材', '249916E35445AB5CC31EC05DDBBE627A', '梨形分液漏斗', 'n/a', NULL, '10ml', '2023-09-15 15:38:43.000000', '2023-09-15 15:38:43.000000', '1', '1', '/', NULL, 10, '普通耗材', 10, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('11A8D63ED87334127B7CB30764034A12', '试剂', '2FB33DD6ED5520693087DC13BC493BCC', '氢氧化钾', '科密欧', NULL, '500克/瓶', '2023-09-15 15:38:00.000000', '2023-09-15 15:38:00.000000', '1', '1', '/', NULL, 2, '普通试剂', 1, NULL, '常规贮存', '通用', '瓶', NULL, 1, '/', NULL, '优级纯', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('1279F3DA80E5B797CFEF6C8CD7272FEB', '耗材', '63101C9A6EDF9D35FED2D46147F810B5', '色谱柱ACQUITY UPLC BEH C18 Column, ', 'Waters', NULL, ' 1.7 µm, 2.1 mm X 100 mm', '2023-09-15 15:37:53.000000', '2023-09-15 15:37:53.000000', '1', '1', '/', NULL, 3, '色谱柱', 1, NULL, '常规贮存', '通用', '根', NULL, 1, '186002352', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('13021804A1FB8BA2AEC64E97F8E16347', '耗材', '07E02A6DF0D7CDB829BB95F1B0657D0F', '手套', '科邦', NULL, '橡胶，S号', '2023-09-15 15:37:47.000000', '2023-09-15 15:37:47.000000', '1', '1', '/', NULL, 8, '普通耗材', 1, NULL, '常规贮存', '通用', '盒', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('13028AC21A1669A9F5E35EB62E898A60', '耗材', 'F6A7B1B3687B6B712D13F17A3469DC25', '滤膜', '上海新亚', NULL, '有机，0.22um，50mm，50片/盒', '2023-09-15 15:38:48.000000', '2023-09-15 15:38:48.000000', '1', '1', '/', NULL, 16, '普通耗材', 1, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('1351D98A5C71134D0E7AA78F602F575E', '耗材', '9566680FF32B5A51E890DCA421FA42F6', '固相萃取小柱', '睿科', NULL, 'RayCure MCX 60mg/3mL，50/pk', '2023-09-15 15:37:32.000000', '2023-09-15 15:37:32.000000', '1', '1', '/', NULL, 49, '普通耗材', 1, NULL, '常规贮存', '污水专用', '盒', NULL, 1, 'E0122502', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('14C5C13CE7AB03C70BA4AB4FC87A4F20', '耗材', '5DDD1901979B48AAFB645BED8E8C2AEF', 'captiva针头过滤器', '安捷伦', NULL, '纤维素膜，25mm直径，0.2μm孔径 ', '2023-09-15 15:37:28.000000', '2023-09-15 15:37:28.000000', '1', '1', '/', NULL, 37, '普通耗材', 1, NULL, '常规贮存', '污水专用', '盒', NULL, 1, '5190-5110', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('1541CF9A00572492E4E0AFDECF76B1FF', '耗材', 'F679A4354B1CB690BEA7A50FBB5C5B9D', '称量瓶', 'n/a', NULL, '25x25', '2023-09-15 15:38:37.000000', '2023-09-15 15:38:37.000000', '1', '1', '/', NULL, 15, '普通耗材', 20, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('1630EB34A7A444E7DDA19B81F107DCF9', '耗材', 'E97D76808F7A182DBE835AA68EAA0678', '进口滤膜', '津隆', NULL, '25mm，100片/盒，有机尼龙66，0.22um，货号：JLSN172202', '2023-09-15 15:38:47.000000', '2023-09-15 15:38:47.000000', '1', '1', '/', NULL, 19, '普通耗材', 1, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('1691A135000683BA9233B8FEE088F2A0', '试剂', '1475E43FB18419DC3D7BCA7374AB338A', '碳酸氢钠', '光富', NULL, '500克/瓶', '2023-09-15 15:38:00.000000', '2023-09-15 15:38:00.000000', '1', '1', '/', NULL, 3, '普通试剂', 1, NULL, '常规贮存', '通用', '瓶', NULL, 1, '/', NULL, '优级纯', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('1738D4FDB0FC952086591F0004766A8B', '耗材', 'C4AFCB5E9B6EBCEC5FAD008780607558', '表面皿', 'n/a', NULL, 'Φ60mm，10个/盒', '2023-09-15 15:38:19.000000', '2023-09-15 15:38:19.000000', '1', '1', '/', NULL, 5, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('17FCDF073259C1F306CAAC6D892E841F', '耗材', 'FC21EDA9491671CF04E9ED103494751A', '镊子', 'n/a', NULL, '弯头，12.5cm', '2023-09-15 15:38:25.000000', '2023-09-15 15:38:25.000000', '1', '1', '/', NULL, 3, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('1800C040860D3B8B3E92090645EB2E31', '耗材', '5CB988E9DA39EAA79B1DDEE13E93A819', '药匙', 'n/a', NULL, '16cm', '2023-09-15 15:38:23.000000', '2023-09-15 15:38:23.000000', '1', '1', '/', NULL, 6, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('18BFADD84645153E2558695E52A5F2E6', '耗材', 'F59F6E67F219DD1B943E751B787D61EA', '砂芯过滤装置全套', '津隆', NULL, '1000mL', '2023-09-15 15:37:32.000000', '2023-09-15 15:37:32.000000', '1', '1', '/', NULL, 2, '普通耗材', 1, NULL, '常规贮存', '污水专用', '套', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('192E549074BADB2F71D2E838B523D7EC', '耗材', '94EFE014FFAE803E63A8184A6E806CE6', '擦镜纸', '杭州新星', NULL, '10*15cm', '2023-09-15 15:38:16.000000', '2023-09-15 15:38:16.000000', '1', '1', '/', NULL, 20, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('1A242ECEEA60B327B8FDB4D52DDFFF61', '耗材', 'A0A083A79B515EFD9556DEB96C988738', '水系滤膜25mm*0.45um', '津隆', NULL, '/', '2023-09-15 15:37:48.000000', '2023-09-15 15:37:48.000000', '1', '1', '/', NULL, 9, '普通耗材', 1, NULL, '常规贮存', '后续不再购买', '盒', NULL, 1, 'JLSP214502', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('1A4DB7D4CEF805E03774E93D6ADE6F55', '耗材', 'AF5CC513B7B2C90824B4E034E2F1741C', '量筒', 'Bomex', NULL, '25ml', '2023-09-15 15:38:37.000000', '2023-09-15 15:38:37.000000', '1', '1', '/', NULL, 11, '普通耗材', 10, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('1B56980E77AD832DB9C66BAE9823183B', '耗材', '1EDCF8BA3B8091F30183CBCBB40FF662', '一次性塑料滴管 2mL', '国产', NULL, '/', '2023-09-15 15:37:49.000000', '2023-09-15 15:37:49.000000', '1', '1', '/', NULL, 7, '普通耗材', 1, NULL, '常规贮存', '后续不再购买', '包', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('1B66E0C9BC34285C63EAE2E8D59A741D', '耗材', '83B113E3E584F697735126582EC293AE', '量筒 100mL', '/', NULL, '/', '2023-09-15 15:37:45.000000', '2023-09-15 15:37:45.000000', '1', '1', '/', NULL, 10, '普通耗材', 1, NULL, '常规贮存', '通用', '个', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('1B6E8BE84D6FDA77A32F6A4445B0D06F', '耗材', '891C668FCB2D24FE04DEE76107702080', ' 针头过滤器 25mm', 'Whatman ', NULL, '25mm', '2023-09-15 15:37:48.000000', '2023-09-15 15:37:48.000000', '1', '1', '/', NULL, 3, '普通耗材', 1, NULL, '常规贮存', '后续不再购买', '盒', NULL, 1, '10462701', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('1B95208303E02EB235C476472906E23C', '耗材', 'FD379C4E35F6F68E3C47F4D3DFC9D570', '螺口试剂瓶', '蜀牛', NULL, ' 1000mL(棕色)', '2023-09-15 15:37:41.000000', '2023-09-15 15:37:41.000000', '1', '1', '/', NULL, 4, '普通耗材', 1, NULL, '常规贮存', '通用', '个', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('1C6743851FB838B695E235E7F3AF699C', '耗材', '2121EE277B25E4C98A1122C03250788B', '刮刀', 'n/a', NULL, '10cm', '2023-09-15 15:38:25.000000', '2023-09-15 15:38:25.000000', '1', '1', '/', NULL, 3, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('1CE4D43E2BC97D03E7165FE5C14B8D17', '耗材', '26782CB2B992CCEC36A4C7F668243F86', '100ul有相机枪头', 'RAININ    100ul ', NULL, 'disposable capillaries/pistons 17008607', '2023-09-15 15:37:31.000000', '2023-09-15 15:37:31.000000', '1', '1', '/', NULL, 60, '普通耗材', 1, NULL, '常规贮存', '污水专用', '盒', NULL, 1, '17008607', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('1CFBDC2D107FB0CFE88676F782F3B410', '试剂', '5A4DC649C26BBB07D460FE40E9371AD3', '甲醇', 'Supelco', NULL, '4L/瓶', '2023-09-15 15:37:55.000000', '2023-09-15 15:37:55.000000', '1', '1', '/', NULL, 21, '普通试剂', 1, NULL, '常规贮存', '通用', '瓶', NULL, 1, '1.06007.4008', NULL, 'HPLC级', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('1D178B33D75D5207315938093ECDC515', '耗材', '166488D671BE1EA306361E31FD7A6118', '100ul有相机枪头', 'RAININ    100ul ', NULL, 'disposable capillaries/pistons 17008607', '2023-09-15 15:37:31.000000', '2023-09-15 15:37:31.000000', '1', '1', '/', NULL, 60, '普通耗材', 1, NULL, '常规贮存', '污水专用', '盒', NULL, 1, '17008607', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('1D31FFB7B0618E0A6B56CD2E1E9BE925', '耗材', '23879B5222DABD0063CA40B49CA3D7FE', '200ul枪头', 'Brand', NULL, '容量200ul', '2023-09-15 15:37:33.000000', '2023-09-15 15:37:33.000000', '1', '1', '/', NULL, 90, '普通耗材', 1, NULL, '常规贮存', '通用', '盒', NULL, 1, '732028', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('1E4FC08C48F61A4A3AB985967AFB9555', '耗材', '36216E1A7E8295479741FEC72FEC1139', ' 移液枪吸头1mL', '赛多利斯', NULL, '/', '2023-09-15 15:37:51.000000', '2023-09-15 15:37:51.000000', '1', '1', '/', NULL, 7, '普通耗材', 1, NULL, '常规贮存', '后续不再购买', '盒', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('1EF77E101905C29A93100E6BA35A2773', '耗材', 'DDBF76CCB2B3435321ABAD4891D6DB0C', '一次性玻璃巴氏吸管', 'Brand', NULL, '225mm', '2023-09-15 15:37:36.000000', '2023-09-15 15:37:36.000000', '1', '1', '/', NULL, 36, '普通耗材', 1, NULL, '常规贮存', '通用', '盒', NULL, 1, '747720', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('1F7CBDCB7C678C5E9CEDD2DC79E9EE52', '耗材', 'DCF4B78A8FCE1D29D37568AA424716DE', '量筒', 'Bomex', NULL, '50ml', '2023-09-15 15:38:37.000000', '2023-09-15 15:38:37.000000', '1', '1', '/', NULL, 10, '普通耗材', 10, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('20120CE001F85EA8280E5DE5DC7E50FF', '耗材', 'A7A59722221DFC043BE14FB8694AD529', '移液枪吸头0.5-20uL', 'Brand', NULL, '/', '2023-09-15 15:37:43.000000', '2023-09-15 15:37:43.000000', '1', '1', '/', NULL, 20, '普通耗材', 1, NULL, '常规贮存', '通用', '盒', NULL, 1, '732224', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('215125DE36E1DF12BEAFD51136A26B55', '耗材', 'A411A460338306A212F158F3CB7403A0', '50ml塑料离心管', 'CORNING　CentriStar', NULL, 'PET塑料', '2023-09-15 15:37:37.000000', '2023-09-15 15:37:37.000000', '1', '1', '/', NULL, 20, '普通耗材', 1, NULL, '常规贮存', '通用', '箱', NULL, 1, '430304', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('23D5A331D345186E3AD5779625915D7C', '试剂', '90C22621AF1AE2BFBB1A76956C9EB831', '氘代DMSO', 'CIL', NULL, '0.6mLx10,99.8%', '2023-09-15 15:39:13.000000', '2023-09-15 15:39:13.000000', '1', '1', '/', NULL, 8, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('25569BBEC58E288BC89233D39A5EE15B', '耗材', 'F88156EF945AF189A38124FF997B956F', '进口滤膜', '津隆', NULL, '13mm，水洗聚醚砜（PES）,0.22um，货号：JLSP042201', '2023-09-15 15:38:51.000000', '2023-09-15 15:38:51.000000', '1', '1', '/', NULL, 5, '普通耗材', 1, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('2618044C086EE7DF61BCFC4955D986AE', '耗材', 'AF3886290EAE86E80A495927173F75DB', '移液枪', 'Sartorius', NULL, '0.1-3ul', '2023-09-15 15:38:20.000000', '2023-09-15 15:38:20.000000', '1', '1', '/', NULL, 1, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('27399C586AE4AB136732BDFB5305A6F5', '耗材', '21443AEFAD3267FEF7D49AD66C574FEC', 'ACQUITY UPLC BEH HILIC 1.7um', 'Waters', NULL, ' 1.7 µm, 2.1 mm X 50 mm', '2023-09-15 15:37:53.000000', '2023-09-15 15:37:53.000000', '1', '1', '/', NULL, 4, '色谱柱', 1, NULL, '常规贮存', '毛发专用', '根', NULL, 1, '186003461', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('28446B54DFF7CD15946AED79396E3009', '耗材', 'CC06E21410425D757D74907317FE7C2A', '丝口试剂瓶', 'n/a', NULL, '5000ml', '2023-09-15 15:38:31.000000', '2023-09-15 15:38:31.000000', '1', '1', '/', NULL, 6, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('285A53419360D9711CCD07A55930342D', '耗材', '1AEC57F1A7CDC1A6AF8B3904095135B9', '一次性玻璃巴氏吸管', 'Brand', NULL, '225mm', '2023-09-15 15:37:36.000000', '2023-09-15 15:37:36.000000', '1', '1', '/', NULL, 36, '普通耗材', 1, NULL, '常规贮存', '通用', '盒', NULL, 1, '747720', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('29022DB40CD4463DEF7EA82D319E4D41', '试剂', '8E995B9F127CF050508C6E1895852DDD', 'TBTU, O-苯并三氮唑-N,N,N\',N\'-四甲基脲四氟硼酸酯', '阿拉丁', NULL, '98%, 100g/瓶', '2023-09-15 15:39:26.000000', '2023-09-15 15:39:26.000000', '1', '1', '/', NULL, 2, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, '125700-67-6', 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('291756C7F73B776A8C4FED0F5812023A', '试剂', '4FFF325C2E2A8D0F6D95EC99BDF33D34', 'D-缬氨酰胺盐酸盐', '阿拉丁', NULL, '97%，1g/瓶', '2023-09-15 15:39:24.000000', '2023-09-15 15:39:24.000000', '1', '1', '/', NULL, 2, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, '133170-58-8', 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('2988FD6BF804057FE4D2AEF9B552C8A2', '耗材', '5AE51010904E1BD74A187FA8488509C9', '梨形分液漏斗', 'Bomex', NULL, '60ml', '2023-09-15 15:38:44.000000', '2023-09-15 15:38:44.000000', '1', '1', '/', NULL, 9, '普通耗材', 2, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('2A6DE8B252FB648CF564358849E994F6', '耗材', '9F633F3CA8C8652AD0F591637EFB6E59', '1ml枪头', 'Brand', NULL, '/', '2023-09-15 15:37:33.000000', '2023-09-15 15:37:33.000000', '1', '1', '/', NULL, 60, '普通耗材', 1, NULL, '常规贮存', '通用', '盒', NULL, 1, '732232', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('2C7440DC4A9EC5BD7430BD06083B3C31', '耗材', 'B4695A0950815DEF638D199663A796AB', '进口滤膜', '津隆', NULL, '25mm，100片/盒，水洗聚醚砜（PES），0.22um，货号：JLSP202202', '2023-09-15 15:38:47.000000', '2023-09-15 15:38:47.000000', '1', '1', '/', NULL, 5, '普通耗材', 1, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('2CCD6252F891BF1F2836BFCB833803B9', '耗材', '5DB132F01E5DF58C9F9772A499EEC3C8', '200ul枪头', 'Brand', NULL, '容量200ul', '2023-09-15 15:37:34.000000', '2023-09-15 15:37:34.000000', '1', '1', '/', NULL, 8, '普通耗材', 1, NULL, '常规贮存', '通用', '盒', NULL, 1, '732028', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('2D62AEB934FA9F1DA0CF83BAB1DDFB2E', '试剂', '6331A21CEEE8497D00FCABADC83C96E2', '无水磷酸二氢钠', '麦克林', NULL, 'HPLC,50G', '2023-09-15 15:39:12.000000', '2023-09-15 15:39:12.000000', '1', '1', '/', NULL, 1, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('2DA0CA15E4B3DF6BDE6AD6A3FE414285', '耗材', '79379D270104847DE58817C78B7FAFB9', '移液枪吸头0.5-20uL', 'Brand', NULL, '/', '2023-09-15 15:37:44.000000', '2023-09-15 15:37:44.000000', '1', '1', '/', NULL, 2, '普通耗材', 1, NULL, '常规贮存', '通用', '盒', NULL, 1, '732224', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('2DDC22CE9F63094688A2621C3CF4B1E7', '耗材', '76FC8DA32D7D644742885882D767DE9F', '容量瓶', 'Brand', NULL, '10ml', '2023-09-15 15:38:33.000000', '2023-09-15 15:38:33.000000', '1', '1', '/', NULL, 41, '普通耗材', 2, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('2DDF79F215AAB607497D7F570E76F183', '耗材', 'C17892BFAF45E9C0B345CE7C58FC5EF5', '白色滴瓶', 'n/a', NULL, '125ml', '2023-09-15 15:38:30.000000', '2023-09-15 15:38:30.000000', '1', '1', '/', NULL, 20, '普通耗材', 10, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('2E46F4D192ECBFBD4C39BF5AA50E7573', '耗材', '8223090A55354B3A43956A9C4B7B44CD', '研钵', '垒固', NULL, '12ml', '2023-09-15 15:38:34.000000', '2023-09-15 15:38:34.000000', '1', '1', '/', NULL, 4, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('2E6D01664872DF18780070A7F8C847B4', '试剂', '08C944AC6EA651068699B9CAAC437A18', '氯化钠', '科密欧', NULL, '500g/瓶', '2023-09-15 15:39:07.000000', '2023-09-15 15:39:17.000000', '1', '1', '/', NULL, 20, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('2FBCD548BF1FB4309AADB740B82D291F', '耗材', 'D11A25FA21FF604D53F94F2FDA303093', '洗瓶', 'n/a', NULL, '250ml', '2023-09-15 15:38:30.000000', '2023-09-15 15:38:30.000000', '1', '1', '/', NULL, 18, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('31177BB3AF13262ACBC0973459DB7D27', '试剂', '2243419D95EAB4D97B60A7B6A221C85C', 'HOBT, 1-羟基苯并三唑一水合物', '阿拉丁', NULL, '≥97.0%, 100g/瓶', '2023-09-15 15:39:25.000000', '2023-09-15 15:39:25.000000', '1', '1', '/', NULL, 2, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, '123333-53-9', 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('3146FFD90D980068338287BEFF834EAD', '试剂', '948E93DF9677622D36A1FAD56FDC61B1', 'DMAP, 4-二甲氨基吡啶', '阿拉丁', NULL, '99%, 100g/瓶', '2023-09-15 15:39:25.000000', '2023-09-15 15:39:25.000000', '1', '1', '/', NULL, 2, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, '1122-58-3', 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('32340FB64FDCCE1C829E72F1DC228EC6', '试剂', '9BDE4460843F2AB81E4235EEED650AE1', '吡拉西坦', 'Sigma-Aldrich', NULL, '25g/瓶', '2023-09-15 15:39:00.000000', '2023-09-15 15:39:00.000000', '1', '1', '/', NULL, 1, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'RD', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('346D5D3A638AE1A6BF68B8971851C7F6', '耗材', '51759813BF730E829E5B7E6F990A9BAD', '连盖离心管', 'n/a', NULL, '2ml，300个', '2023-09-15 15:38:56.000000', '2023-09-15 15:38:56.000000', '1', '1', '/', NULL, 6, '普通耗材', 1, '/', '常规贮存', NULL, '袋', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('3550110623DC7764656E9015B7B872F4', '耗材', '64C75AFBC96249DA9E967E7D1B480B57', '血清移液管', 'n/a', NULL, '25ml', '2023-09-15 15:38:16.000000', '2023-09-15 15:38:16.000000', '1', '1', '/', NULL, 21, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('35CCDF93BCBA2C2F35CCC4771254731F', '耗材', '50C17EE9B35DCFBA23A835C2BF7CE114', '2ml连盖离心管', 'CYPRESS', NULL, '/', '2023-09-15 15:37:40.000000', '2023-09-15 15:37:40.000000', '1', '1', '/', NULL, 4, '普通耗材', 1, NULL, '常规贮存', '通用', '包', NULL, 1, '0200020', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('3667C6B87460409CB2C5FF0D7D2D8B5F', '耗材', 'EB7E16246B0661916F3D2129119B0874', '保鲜自封袋8号', '苹果', NULL, '240x170mm', '2023-09-15 15:38:04.000000', '2023-09-15 15:38:04.000000', '1', '1', '/', NULL, 300, '普通耗材', 100, '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('36C4BE92B4DD7058917ED8EB305F951C', '耗材', '4B596287AFC646C7EBED020A205233DB', '量筒', 'Bomex', NULL, '100ml', '2023-09-15 15:38:37.000000', '2023-09-15 15:38:37.000000', '1', '1', '/', NULL, 9, '普通耗材', 10, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('3780E2DE24E2E2F5B2D6BB2C9E017C3F', '耗材', 'C238BA3C8A4B92778DDE80564CC9C22F', '滴管', 'n/a', NULL, '10cm', '2023-09-15 15:38:18.000000', '2023-09-15 15:38:18.000000', '1', '1', '/', NULL, 20, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('37D476472E940662B07AC3A7C441F3DB', '耗材', '401B8FD3EEFCA7791DF8D850D6609BA0', '试管帽', 'n/a', NULL, 'Φ18', '2023-09-15 15:38:24.000000', '2023-09-15 15:38:24.000000', '1', '1', '/', NULL, 30, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('386EF0B1215E7850B673728B8DA7DDEA', '耗材', 'CD57D01D528BF18C68D969E7E0BA947A', '1ml有机相枪头', 'RAININ　1000ul', NULL, 'disposable capillaries/pistons 17008609', '2023-09-15 15:37:29.000000', '2023-09-15 15:37:29.000000', '1', '1', '/', NULL, 60, '普通耗材', 1, NULL, '常规贮存', '污水专用', '盒', NULL, 1, '17008609', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('387983EF28A5FE47DE4095EE7A32F1AB', '耗材', '6ACC762A0D75DFD3EFA68E1D1638EFC0', '隔垫', '岛津', NULL, '货号221-76650-01,25个/盒', '2023-09-15 15:38:13.000000', '2023-09-15 15:38:13.000000', '1', '1', '/', NULL, 1, '普通耗材', 1, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('38926E03B8BE75E51A48EC41F7A0DABE', '试剂', '569A95518E30A1117A40A16B71642E1A', 'HBTU, 苯并三氮唑-N,N,N\',N\'-四甲基脲六氟磷酸酯', '阿拉丁', NULL, '99%, 100g/瓶', '2023-09-15 15:39:25.000000', '2023-09-15 15:39:25.000000', '1', '1', '/', NULL, 2, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, '94790-37-1', 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('39AC2C5924DDDBA4B532689DD1DAE12F', '试剂', '632314519AB0A92544310C1F28842D14', '马来酸', 'Sigma-Aldrich', NULL, '100g/瓶，99%', '2023-09-15 15:39:15.000000', '2023-09-15 15:39:15.000000', '1', '1', '/', NULL, 2, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('39D34F7D2CCD78D7C72025ACF47AFAAB', '耗材', 'E2EFFB14283FA97ADC7BE6DE1DDEB3AA', '手术剪', '安其生', NULL, '12.5cm弯尖', '2023-09-15 15:38:21.000000', '2023-09-15 15:38:21.000000', '1', '1', '/', NULL, 5, '普通耗材', 1, '/', '常规贮存', NULL, '把', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('3A0BAE65440E99F04F35E3615E0DE625', '耗材', '7254D5604599AAC6C7173AFC38880DBA', '1ml有机相枪头', 'RAININ　1000ul', NULL, 'disposable capillaries/pistons 17008609', '2023-09-15 15:37:29.000000', '2023-09-15 15:37:29.000000', '1', '1', '/', NULL, 3, '普通耗材', 1, NULL, '常规贮存', '污水专用', '盒', NULL, 1, '17008609', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('3A2E0BCCEF1C7FDDF43EF5B349751488', '耗材', 'B0B0CCA2075DDEEFF2A951E82A57A126', '梨形分液漏斗', 'Bomex', NULL, '250ml', '2023-09-15 15:38:44.000000', '2023-09-15 15:38:44.000000', '1', '1', '/', NULL, 10, '普通耗材', 2, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('3B1D88E3B347A6DEA5D6528715E36FAE', '耗材', 'A71B01AED4F60F5BFC9386AFC8C58B6A', '1ml有机相枪头', 'RAININ　1000ul', NULL, 'disposable capillaries/pistons 17008609', '2023-09-15 15:37:30.000000', '2023-09-15 15:37:30.000000', '1', '1', '/', NULL, 6, '普通耗材', 1, NULL, '常规贮存', '污水专用', '盒', NULL, 1, 'WAT094226', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('3BF5746CD2C67BFBB35BDE4680B997E1', '耗材', '643FC61F4C24189B8EBBE009F28771CC', '定性滤纸', '皎洁', NULL, '15cm，中速', '2023-09-15 15:38:54.000000', '2023-09-15 15:38:54.000000', '1', '1', '/', NULL, 20, '普通耗材', 1, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('3C3EA724B35761CF5B0EC4AF310CE938', '试剂', 'B798A26C5E2414A4EC1D11EE48DAB792', '磷酸', '阿拉丁', NULL, '89-90%,500ml/瓶', '2023-09-15 15:39:01.000000', '2023-09-15 15:39:01.000000', '1', '1', '/', NULL, 5, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('3C4335256DF54CB76C9448EC1C731E9F', '耗材', '6FDD45900A9E8C327515978AD5767482', 'O型圈', '安捷伦', NULL, '货号5188-5365，10个/盒', '2023-09-15 15:38:12.000000', '2023-09-15 15:38:12.000000', '1', '1', '/', NULL, 5, '普通耗材', 1, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('3C441C639411C0BC8C3325FF8F96D679', '试剂', 'CE8DBE845B6A2F85ED7159F70BAE3458', '甲酸铵', 'Honeywell', NULL, '50克/瓶', '2023-09-15 15:37:54.000000', '2023-09-15 15:37:54.000000', '1', '1', '/', NULL, 1, '普通试剂', 1, NULL, '常规贮存', '污水，毛发专用', '瓶', NULL, 1, '55674-50G', NULL, 'HPLC级', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('3E6CFD9BA3ED9DBC42A910ECB2515BCA', '耗材', 'DA96ACBB78399A4E4090FCF821C14C0B', '枪头', 'sartorius', NULL, '10ul', '2023-09-15 15:38:51.000000', '2023-09-15 15:38:51.000000', '1', '1', '/', NULL, 3, '普通耗材', 1, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('3EE155DD72A66C4C09AC424CD860BCD7', '试剂', 'FD8971240DA4B438475C378710813825', '乙酸铵', '大茂', NULL, '500克/瓶', '2023-09-15 15:37:58.000000', '2023-09-15 15:37:58.000000', '1', '1', '/', NULL, 4, '普通试剂', 1, NULL, '常规贮存', '通用', '瓶', NULL, 1, '/', NULL, '优级纯', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('400249A5539633FBC5BA56E2974E7416', '耗材', '4697D657BCE77AD8DF4EC6E572FA951D', 'ACQUITY UPLC CSH C18', 'Waters', NULL, '2.1*100mm,1.7um', '2023-09-15 15:38:10.000000', '2023-09-15 15:38:10.000000', '1', '1', '/', NULL, 2, '色谱柱', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('40A0E8A48C2D7A53B86BDC222D9609C4', '耗材', 'CE514A98FA92F9F83A59C1F1BB182370', '10ml注射器', '江苏治宇医疗器械', NULL, '/', '2023-09-15 15:37:40.000000', '2023-09-15 15:37:40.000000', '1', '1', '/', NULL, 4, '普通耗材', 1, NULL, '常规贮存', '通用', '盒', NULL, 1, '2010100', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('40FE12C17D4BCD4B311B52E5C816E237', '耗材', 'ADF94D2D325B40C09FB64D9547A0C9FE', '1ml枪头', 'Brand', NULL, '/', '2023-09-15 15:37:33.000000', '2023-09-15 15:37:33.000000', '1', '1', '/', NULL, 90, '普通耗材', 1, NULL, '常规贮存', '通用', '盒', NULL, 1, '732232', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('41392BE0C0EBFEF134DA07C6944DC24D', '耗材', 'A7639987A61263D691E9DAF52C0FD3F0', '枪头', 'Brand', NULL, '1000ul', '2023-09-15 15:38:52.000000', '2023-09-15 15:38:52.000000', '1', '1', '/', NULL, 10, '普通耗材', 10, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('4189E407CFBBBDCD533CA1779BA673AF', '耗材', '24A8BF9786B4933E9A9BDEFF5CF5FED8', '1ml有机相枪头', 'RAININ　1000ul', NULL, 'disposable capillaries/pistons 17008609', '2023-09-15 15:37:30.000000', '2023-09-15 15:37:30.000000', '1', '1', '/', NULL, 30, '普通耗材', 1, NULL, '常规贮存', '污水专用', '盒', NULL, 1, '17008609', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('419E4C9DE793D45D037EF12C7FB4FC9E', '试剂', '59C76BED132C41D4C33289CA360D881F', '氯化亚砜', '科密欧', NULL, '500ml/瓶', '2023-09-15 15:39:19.000000', '2023-09-15 15:39:19.000000', '1', '1', '/', NULL, 1, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('42560D77A976322285917BFF0DC72940', '耗材', '54E2E1E2B268C25B3A088199CEBF9DB5', '防冲击眼罩', '3M', NULL, '1621型', '2023-09-15 15:38:35.000000', '2023-09-15 15:38:35.000000', '1', '1', '/', NULL, 11, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('4282D2DE988C7CE836FA443EB412841F', '耗材', '4320458EB07D119BC252835051EEAA9F', 'ACQUITY UPLC BEH C18                    ', 'Waters', NULL, '2.1*100mm,1.7um', '2023-09-15 15:38:09.000000', '2023-09-15 15:38:09.000000', '1', '1', '/', NULL, 4, '色谱柱', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('434FC0209F4EF42FACE5E1799C0BBF20', '耗材', '4DD4C333757C85F1C4333F711BCC2D58', '保鲜自封袋10号', '苹果', NULL, '340x240mm', '2023-09-15 15:38:03.000000', '2023-09-15 15:38:03.000000', '1', '1', '/', NULL, 100, '普通耗材', 100, '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('4362AA758BBEFA10701FDB1E60AE788C', '耗材', '0DC20427209355D65C3F47DAC8EFFFF1', '标准漏斗', 'n/a', NULL, 'n/a', '2023-09-15 15:38:43.000000', '2023-09-15 15:38:43.000000', '1', '1', '/', NULL, 19, '普通耗材', 10, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('4466C421627650AC4DA9361C4F3F1190', '耗材', '4A2C4B5DAA2D8A669611E66B5704B7C7', '橡皮吸球', 'n/a', NULL, '10ml', '2023-09-15 15:38:22.000000', '2023-09-15 15:38:22.000000', '1', '1', '/', NULL, 13, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('4663B1B802EDA7D0F2ED5EAAF247AE21', '耗材', '2D8537E98EA7225311BD3F92DCEF3378', '15ml塑料离心管', 'CORNING　CentriStar', NULL, 'PET塑料', '2023-09-15 15:37:38.000000', '2023-09-15 15:37:38.000000', '1', '1', '/', NULL, 20, '普通耗材', 1, NULL, '常规贮存', '通用', '箱', NULL, 1, '430790', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('474B25CAE2844756883C34AAF6EA0CED', '试剂', '59F250B86D37FB86818B26CCF180553F', '正十九烷', 'Sigma-Aldrich', NULL, '25g/瓶,99%', '2023-09-15 15:39:06.000000', '2023-09-15 15:39:06.000000', '1', '1', '/', NULL, 2, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, '其他', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('496FC7406C4CC801692165F9B6BC4897', '耗材', 'EB960E436FD2C461F01E00494199E035', 'DB-5', '安捷伦', NULL, '30m*0.25mm*0.25um，122-5032', '2023-09-15 15:38:20.000000', '2023-09-15 15:38:20.000000', '1', '1', '/', NULL, 1, '普通耗材', 1, '/', '常规贮存', NULL, '根', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('4A108B60AAD9A410D3C179B0C3BC5601', '耗材', '20ED057964BDD3254C6D5AE38BC79EFA', '点样毛细管', '垒固', NULL, '0.3x1000，1000支', '2023-09-15 15:38:57.000000', '2023-09-15 15:38:57.000000', '1', '1', '/', NULL, 36, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('4B42CEF9D8C99724D260FA1CEC2E5665', '耗材', '9A3578679C16E3C22F1CC46FF3BD4D69', 'ACQUITY UPLC ENH HILIC ', 'Waters', NULL, '2.1*100mm,1.7um', '2023-09-15 15:38:10.000000', '2023-09-15 15:38:10.000000', '1', '1', '/', NULL, 6, '色谱柱', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('4B6461A8F13187F3E10DE484526B1BA8', '试剂', 'CE7628D6F1626B24EC509D5BA2167CAF', '正庚烷', '科密欧', NULL, '500ml/瓶', '2023-09-15 15:39:05.000000', '2023-09-15 15:39:05.000000', '1', '1', '/', NULL, 7, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('4B6C61566CF375029AA2A3000AB3FA5F', '耗材', '15DBE08E2C3440D8A8CA4CE99BE5934B', '250uL有机枪头', 'RAININ　250ul', NULL, 'disposable capillaries/pistons 17008608', '2023-09-15 15:37:29.000000', '2023-09-15 15:37:29.000000', '1', '1', '/', NULL, 9, '普通耗材', 1, NULL, '常规贮存', '污水专用', '盒', NULL, 1, '17008608', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('4BB602CEF5C95CEF2571F4D4B8D180FE', '耗材', '9B30C7DAE53F463055883C3044F8F736', '试管帽', 'n/a', NULL, 'Φ15', '2023-09-15 15:38:24.000000', '2023-09-15 15:38:24.000000', '1', '1', '/', NULL, 30, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('4C85AA390E5BF84D6B9C12A20917DDE0', '试剂', 'CD36486C3628E679A587A5F2BD5C6AB6', '白凡士林', '上海商习伟康', NULL, '500g/瓶', '2023-09-15 15:39:09.000000', '2023-09-15 15:39:09.000000', '1', '1', '/', NULL, 4, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, '其他', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('4CAD6245CEA99CD5E674E5085811632F', '耗材', '7778064EE2AFCD84E237883811FEFFB7', '微孔滤膜-两相通用', 'Pall', NULL, '13mm 0.2um GHP ', '2023-09-15 15:37:28.000000', '2023-09-15 15:37:28.000000', '1', '1', '/', NULL, 14, '普通耗材', 1, NULL, '常规贮存', '污水，毛发专用', '盒', NULL, 1, '2401', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('4CDD50DB91D95996F7E31E68803F482E', '耗材', '018D009E5C0552EFCF7DCD97BDE39ECE', '定量滤纸', '新星', NULL, '11cm，中速', '2023-09-15 15:38:49.000000', '2023-09-15 15:38:49.000000', '1', '1', '/', NULL, 20, '普通耗材', 1, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('4D8F144812538666E3251D9F0AD4BEC9', '耗材', '0B38D48B7C49CA2BF971DD3114FC4E0C', '移液管', 'MC', NULL, '5ml', '2023-09-15 15:38:13.000000', '2023-09-15 15:38:13.000000', '1', '1', '/', NULL, 25, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('4E63493A3D88C111219F67153BEE81E0', '耗材', '51E1DB63B08265DA8B78B10F5365FE3F', '手术剪', '双鹿', NULL, '12.5cm直尖', '2023-09-15 15:38:21.000000', '2023-09-15 15:38:21.000000', '1', '1', '/', NULL, 1, '普通耗材', 1, '/', '常规贮存', NULL, '把', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('4E6FD986A589DC8DC726FFFF9F1DBDD9', '耗材', 'B005AE8E4BB9C1D0FE9F354155961748', '称量纸 120*120mm', '/', NULL, ' 120*120mm', '2023-09-15 15:37:46.000000', '2023-09-15 15:37:46.000000', '1', '1', '/', NULL, 6, '普通耗材', 1, NULL, '常规贮存', '通用', '包', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('4F3B93D881BBC49BD6109964FBC00C59', '耗材', 'F51FA6D8E7C3F0CA83AD04A9997E56ED', '醋酸纤维素滤膜', 'Whatman', NULL, '10462701', '2023-09-15 15:37:31.000000', '2023-09-15 15:37:31.000000', '1', '1', '/', NULL, 43, '普通耗材', 1, NULL, '常规贮存', '污水专用', '盒', NULL, 1, '10462701', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('4F8673540ACF79433D233A30F414CB7E', '耗材', '79C99A3409525402DB4E48C3BC49C39C', '15ml塑料离心管', 'CORNING　CentriStar', NULL, 'PET塑料', '2023-09-15 15:37:38.000000', '2023-09-15 15:37:38.000000', '1', '1', '/', NULL, 28, '普通耗材', 1, NULL, '常规贮存', '通用', '箱', NULL, 1, '430790', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('4FDC854C644BF0D2837DA37AA20B4559', '耗材', '3B01FB6779FEBCA695CFFDD9C0EE79C7', '保鲜自封袋4号', '苹果', NULL, '85x120mm', '2023-09-15 15:38:05.000000', '2023-09-15 15:38:05.000000', '1', '1', '/', NULL, 100, '普通耗材', 100, '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('5232E4A1C16F72FA4F0FCF9D0D31070C', '试剂', '8872B150EA80607672F857BF7DDF7875', '丁乙酸', '大茂', NULL, '500mL/瓶', '2023-09-15 15:38:03.000000', '2023-09-15 15:38:03.000000', '1', '1', '/', NULL, 6, '普通试剂', 1, NULL, '常规贮存', '通用', '瓶', NULL, 1, '/', NULL, '优级纯', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('527B400C310EA5F543888389D4924E76', '耗材', '1B6E48790D300D9BEDBBFE11394A8953', '枪头', 'Brand', NULL, '200ul', '2023-09-15 15:38:52.000000', '2023-09-15 15:38:52.000000', '1', '1', '/', NULL, 8, '普通耗材', 10, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('52B363796A3B77A623C3E31D1B625990', '试剂', '70AEA7FA1BEABEBAF62B26B53AA171AA', '丙酸酐', '麦克林', NULL, '98%,500g/瓶', '2023-09-15 15:39:18.000000', '2023-09-15 15:39:18.000000', '1', '1', '/', NULL, 1, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('52F08F042DECA50FE64D8F8B87BC270B', '耗材', 'AC9DDF3ABE0955B9C06C1A543F1413FA', 'LG玻板抽滤漏斗', '垒固', NULL, '100ml', '2023-09-15 15:38:42.000000', '2023-09-15 15:38:42.000000', '1', '1', '/', NULL, 5, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('533AB69C6B7A788F22E2BA6B4D2EC57D', '耗材', 'D9D6ED11DFF2E04E1AAB926BB7A0D6B8', '量筒', 'Bomex', NULL, '10ml', '2023-09-15 15:38:36.000000', '2023-09-15 15:38:36.000000', '1', '1', '/', NULL, 19, '普通耗材', 20, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('53530E0A6B4711EFB01F697DB4A44321', '耗材', 'D1F36A36E82A614EE2F2CE50BE0668BA', '气相进样针', '岛津', NULL, '10ul', '2023-09-15 15:38:10.000000', '2023-09-15 15:38:10.000000', '1', '1', '/', NULL, 22, '进样针', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('537A8B4B1E5FF9053EBC9F8270077CC9', '试剂', 'EB4BABE4C5982E93D98C2D523F26D449', '氢氧化钠', '大茂', NULL, '500克/瓶', '2023-09-15 15:38:01.000000', '2023-09-15 15:38:01.000000', '1', '1', '/', NULL, 1, '普通试剂', 1, NULL, '常规贮存', '通用', '瓶', NULL, 1, '/', NULL, '优级纯', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('53E01D1CCEE86939F4F565D5C970C34B', '耗材', '1F16126FDCB148D65447A5B5E347213A', '物证封装袋', 'n/a', NULL, '30*22cm', '2023-09-15 15:38:07.000000', '2023-09-15 15:38:07.000000', '1', '1', '/', NULL, 1300, '普通耗材', 100, '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('53FEF85D600727AE2859AB8FA04BC3BC', '耗材', 'DEFB7B7070CED42B7709639DD03E7C7D', '容量瓶', 'Brand', NULL, '1ml', '2023-09-15 15:38:34.000000', '2023-09-15 15:38:34.000000', '1', '1', '/', NULL, 4, '普通耗材', 2, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('54D4BAE6DA93B564D599B1B57C6ED37A', '耗材', 'AA64A2A5DAB1C2B8827112469D56E2A1', '梨形分液漏斗', 'Bomex', NULL, '125ml', '2023-09-15 15:38:44.000000', '2023-09-15 15:38:44.000000', '1', '1', '/', NULL, 10, '普通耗材', 2, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('55EFE00D11F5D46B2CDE2A369E1DADE0', '耗材', 'FC3B45DA4DD12A452693734EDDE29505', '研钵', '垒固', NULL, '18cm', '2023-09-15 15:38:31.000000', '2023-09-15 15:38:31.000000', '1', '1', '/', NULL, 5, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('566BF1332A5D6EBE524989E8E9F083FE', '耗材', '42D0F1C3F8EDE2D98D117B91D2CB5D37', '自吸过滤式防毒面具', '唐丰', NULL, 'TF503型', '2023-09-15 15:38:35.000000', '2023-09-15 15:38:35.000000', '1', '1', '/', NULL, 8, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('56964A58D12617891111496999F0AC91', '耗材', 'C24BF4B6B94BC832825DBDC01E46A859', '保鲜自封袋6号', '苹果', NULL, '120x170mm', '2023-09-15 15:38:04.000000', '2023-09-15 15:38:04.000000', '1', '1', '/', NULL, 100, '普通耗材', 100, '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('57D858B7DF8A79F9DB6F0EDF250572D0', '耗材', 'C88B0F58006C188181F3993E40072508', '一次性蓝色丁腈手套', '柯沃', NULL, 'M', '2023-09-15 15:38:52.000000', '2023-09-15 15:38:52.000000', '1', '1', '/', NULL, 45, '普通耗材', 10, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('588BC7B5A52AF461386BC5762253B00E', '耗材', '122C3CE9CACD235AB6105CEF01F14B6F', '5ml连盖离心管', 'CYPRESS', NULL, '/', '2023-09-15 15:37:39.000000', '2023-09-15 15:37:39.000000', '1', '1', '/', NULL, 23, '普通耗材', 1, NULL, '常规贮存', '通用', '包', NULL, 1, '0200050', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('58A599E4943BA6DF456D3735342CE644', '试剂', 'A4F12DF38629EE07940181332D93D22D', '甲酸', '科密欧', NULL, '500mL/瓶', '2023-09-15 15:37:55.000000', '2023-09-15 15:37:55.000000', '1', '1', '/', NULL, 3, '普通试剂', 1, NULL, '常规贮存', '污水，毛发专用', '瓶', NULL, 1, '/', NULL, 'HPLC级', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('593467D2E1A8702A0D8C9BD187F86309', '试剂', '79EC6EF7A739DA1C225AFE80A6637465', '利血平', 'Sigma-Aldrich', NULL, '5g/瓶,99%', '2023-09-15 15:39:16.000000', '2023-09-15 15:39:16.000000', '1', '1', '/', NULL, 1, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('59663DE36D5A43AE54BA5DC8A3047A55', '试剂', 'A35D88C44C630D9AAE66ACB9FA8886DE', '硝酸', '西陇', NULL, '500ml/瓶', '2023-09-15 15:39:19.000000', '2023-09-15 15:39:19.000000', '1', '1', '/', NULL, 2, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('596ADA258DD71F5F55DD37E6A5CB5516', '耗材', '118EE35B599EC1F7CA064F1C2AE748CA', '一次性塑料烧杯', 'n/a', NULL, '100ml', '2023-09-15 15:38:42.000000', '2023-09-15 15:38:42.000000', '1', '1', '/', NULL, 10, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('59E24D63C4E56A0DF262D81EF5297DFB', '耗材', 'FF4527270454281D52A69F6BB62F260A', '丝口试剂瓶', '蜀玻', NULL, '2000ml', '2023-09-15 15:38:39.000000', '2023-09-15 15:38:39.000000', '1', '1', '/', NULL, 12, '普通耗材', 3, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('59E841CEF8DA1CD8A4D3074CE53E88CE', '试剂', 'EAFF291BF5F7C608D475783CE75BAAB7', '乙腈', 'Supelco', NULL, '4L/瓶', '2023-09-15 15:37:57.000000', '2023-09-15 15:37:57.000000', '1', '1', '/', NULL, 8, '普通试剂', 1, NULL, '常规贮存', '通用', '瓶', NULL, 1, '1.00030.4008', NULL, 'HPLC级', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('5A585C3FFBDF7F5D53FF0438AB3DF909', '试剂', '1BDF79B4AC04F94621BF42F2AFC14C9D', '氯化亚砜', '科试', NULL, '500ml/瓶', '2023-09-15 15:39:18.000000', '2023-09-15 15:39:18.000000', '1', '1', '/', NULL, 2, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('5A6C8445E654F687C5BECF25FBD17F8A', '耗材', '32B5B787A02F46E95EFFFEB0A89109DD', '移液枪500-5000uL', '赛多利斯 ', NULL, '/', '2023-09-15 15:37:50.000000', '2023-09-15 15:37:50.000000', '1', '1', '/', NULL, 1, '普通耗材', 1, NULL, '常规贮存', '后续不再购买', '个', NULL, 1, '39086984', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('5ADF4DF0BEC18D8C38392DA413E2C865', '试剂', 'C04523B9C6A37E575599BE9C9E57647E', '1,3,5-三噁烷', 'Sigma-Aldrich', NULL, '≥99%', '2023-09-15 15:39:15.000000', '2023-09-15 15:39:15.000000', '1', '1', '/', NULL, 1, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('5C0EB6ACA758A831862861F206A5188B', '耗材', 'FE0DB39F5F7D97032573C225F96E302B', '顶空瓶', '安捷伦', NULL, '10ml,5182-0838', '2023-09-15 15:38:41.000000', '2023-09-15 15:38:41.000000', '1', '1', '/', NULL, 2, '普通耗材', 1, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('5C600047B12B5D00638E5243B5F1DACD', '耗材', 'A4444956D2523845B9887E852F1F9565', '滴管', 'n/a', NULL, '18cm', '2023-09-15 15:38:17.000000', '2023-09-15 15:38:17.000000', '1', '1', '/', NULL, 21, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('6062110AC1E447F93275138F567D2577', '耗材', 'B9D1ED903A9E8C49A565FAE3F35F8E1D', '试管架', 'n/a', NULL, '4x6', '2023-09-15 15:38:40.000000', '2023-09-15 15:38:40.000000', '1', '1', '/', NULL, 16, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('615BC42821307A04D6553450369D36B4', '耗材', '466A6216330B5A10AEBCE4624CCE6015', 'ACQUITY UPLC BEH C18 1.7um VanGuard Pre-Column', 'Waters', NULL, '1.8，2.1*5mm Column', '2023-09-15 15:37:53.000000', '2023-09-15 15:37:53.000000', '1', '1', '/', NULL, 3, '色谱柱', 1, NULL, '常规贮存', '通用', '盒', NULL, 1, '186003975', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('61797FDF8FB3C854C82B9C6C103E008D', '试剂', '392102DAF8E7C6DBA6009AF9104B10BA', 'L-缬氨酰胺盐酸盐', '阿拉丁', NULL, '98%，25g/瓶', '2023-09-15 15:39:23.000000', '2023-09-15 15:39:23.000000', '1', '1', '/', NULL, 2, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, '3014-80-0', 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('61B1A6ECA7D1D72CE4C0503118E5AE7A', '试剂', '4E2BD7FCA977B9F701878258B4CCBFEC', '甲苯', 'fisher', NULL, '4L/瓶', '2023-09-15 15:39:02.000000', '2023-09-15 15:39:02.000000', '1', '1', '/', NULL, 1, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('61B6909A196FBDEAE5F057AB5A980D5E', '耗材', '7D1F1D1ACE872364C1121DBEBA95B7B1', '移液枪', 'Sartorius', NULL, '1-10ml', '2023-09-15 15:38:19.000000', '2023-09-15 15:38:19.000000', '1', '1', '/', NULL, 2, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('61E7B35C5BE95A0CF679E69C2C0D10B1', '耗材', 'ED5314474F23CA4D841288CF51EF4A91', '移液管', 'MC', NULL, '10ml', '2023-09-15 15:38:14.000000', '2023-09-15 15:38:14.000000', '1', '1', '/', NULL, 19, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('621B292130B76550E764FF8D0901941C', '耗材', '16766BAE1BC88BE2EBF7A8ADE3CC696E', '固相萃取小柱', 'waters', NULL, 'Oasis®PRiME MCX3cc(60mg)Extraction Cartridges', '2023-09-15 15:37:32.000000', '2023-09-15 15:37:32.000000', '1', '1', '/', NULL, 10, '普通耗材', 1, NULL, '常规贮存', '污水专用', '盒', NULL, 1, '186008918', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('62E1A51BC4E0E071BF85C224F47DAEDC', '试剂', 'C08A2C9A41E28B984CDDF83C5598F3AF', '丙酮', '西陇', NULL, '500ml/瓶', '2023-09-15 15:39:02.000000', '2023-09-15 15:39:02.000000', '1', '1', '/', NULL, 3, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('633004B55832F406997AA0928792C7DD', '耗材', 'B79EEA8284367A77E516CB0F84A02B9F', '15ml塑料离心管', 'CORNING　CentriStar', NULL, 'PET塑料', '2023-09-15 15:37:38.000000', '2023-09-15 15:37:38.000000', '1', '1', '/', NULL, 26, '普通耗材', 1, NULL, '常规贮存', '通用', '箱', NULL, 1, '430790', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('6369F15E7A0DC8BBDC4932B7A3A52C7B', '试剂', '1195745C875CF134E4A225BEDDDE0C80', '无水硫酸钠', '科密欧', NULL, '500g/瓶', '2023-09-15 15:39:07.000000', '2023-09-15 15:39:07.000000', '1', '1', '/', NULL, 6, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('649629A9207874392E6DA4AFC8EDB58F', '试剂', '5B54A929154FB7832E22883C51E41EEA', '石油醚', '利安隆博华', NULL, '500ml/瓶', '2023-09-15 15:39:04.000000', '2023-09-15 15:39:07.000000', '1', '1', '/', NULL, 40, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('64EBF3519C3656A3CB2FA415697C7810', '耗材', '2B96AC7F3A5F6958EB89EFF13179C95D', '移液枪吸头 10mL', '赛多利斯 ', NULL, '/', '2023-09-15 15:37:52.000000', '2023-09-15 15:37:52.000000', '1', '1', '/', NULL, 6, '普通耗材', 1, NULL, '常规贮存', '后续不再购买', '包', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('6597F74E770C71650E289F2DD4B3769E', '耗材', 'A9F86AB781F5BAE64848285C99BD924E', '一次性塑料烧杯', 'n/a', NULL, '250ml', '2023-09-15 15:38:42.000000', '2023-09-15 15:38:42.000000', '1', '1', '/', NULL, 10, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('664E98DCD79F78B88243D4A79A667D15', '耗材', 'B6B4C64AB2C1206733757441FE340103', '滴管', 'n/a', NULL, '12cm', '2023-09-15 15:38:18.000000', '2023-09-15 15:38:18.000000', '1', '1', '/', NULL, 20, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('67E94A36553166D6233DBE72A062167F', '耗材', '084F3D11D5D65781E73DE80904B5C165', '血清移液管', 'n/a', NULL, '2ml', '2023-09-15 15:38:15.000000', '2023-09-15 15:38:15.000000', '1', '1', '/', NULL, 17, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('6804FD4E5649C1B4B31A6E61C4E16A1B', '耗材', 'FCCABB6A9DD4D85FFD7EF2D2470F0BD0', '物证封装袋', 'n/a', NULL, '16.5*12cm', '2023-09-15 15:38:07.000000', '2023-09-15 15:38:07.000000', '1', '1', '/', NULL, 1300, '普通耗材', 100, '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('682F4F3354A5856B45DD6BEBE6CC335E', '耗材', 'D81C96C09AD28926A5F399A129CC2D4D', '移液管', 'MC', NULL, '20ml', '2023-09-15 15:38:14.000000', '2023-09-15 15:38:14.000000', '1', '1', '/', NULL, 20, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('68419991F96DFD9A88C8FD827351FF52', '耗材', '83E79E8F5F5FF12E3EFDE5541361CA13', '进样小瓶', '安捷伦', NULL, '2ml,5182-0714，100个/盒', '2023-09-15 15:38:39.000000', '2023-09-15 15:38:39.000000', '1', '1', '/', NULL, 20, '普通耗材', 1, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('68A29ADBA7E7EBEE96256C645C5358FB', '耗材', '75144B8DAFF7C5D3523F295BFA8C90DC', '定性滤纸', '皎洁', NULL, '9cm，中速', '2023-09-15 15:38:53.000000', '2023-09-15 15:38:53.000000', '1', '1', '/', NULL, 19, '普通耗材', 1, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('68B26E7C78DF08A2EFDA67703504E639', '试剂', '65B73E7B6D6BCB57CDCDB11D1EFA917E', '八氟萘', 'Merck', NULL, '1g/瓶,96%', '2023-09-15 15:39:16.000000', '2023-09-15 15:39:16.000000', '1', '1', '/', NULL, 2, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'RD', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('692D3B509C1197DC65673B6768242C9D', '试剂', '19881808A7CA7A51E36CAF85D6A03DE0', '氘代DMSO', 'CIL', NULL, '50ml/瓶', '2023-09-15 15:39:16.000000', '2023-09-15 15:39:16.000000', '1', '1', '/', NULL, 3, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('6A15DBBCE4F82E864AF01568836976F5', '耗材', '38187AEC9352E87BF2539AC788DCFEF7', '试管', 'n/a', NULL, '15*150mm', '2023-09-15 15:38:13.000000', '2023-09-15 15:38:13.000000', '1', '1', '/', NULL, 26, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('6A36D5054CDDAB279A9AD70EC3BFA68F', '试剂', 'AD59C051F4D20F0F5966E2DDD56CCB28', '甲醇', 'Supelco', NULL, '4L，LC/MS级', '2023-09-15 15:39:12.000000', '2023-09-15 15:39:12.000000', '1', '1', '/', NULL, 4, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'LC/MS级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('6A779AAA168486A6991A2383BC06D77D', '试剂', 'E41F0E68D0ECF72EEB31944077545056', '叔丁醇', '科密欧', NULL, '500ml/瓶', '2023-09-15 15:39:11.000000', '2023-09-15 15:39:11.000000', '1', '1', '/', NULL, 3, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('6A9AF728EC56E7C5D094A645BEC65F07', '试剂', 'B194BEB386C36B1D3F2AE0FFDB24E439', '4-氟氯苄', '阿拉丁', NULL, '98%，25g/瓶', '2023-09-15 15:39:23.000000', '2023-09-15 15:39:23.000000', '1', '1', '/', NULL, 2, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, '352-11-4', 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('6AF3EF758B411A8B9CF365ED9930FE25', '耗材', 'A57257ED857F4EFB7F0372F9C1618F91', '塑料吸管', 'n/a', NULL, '0.2ml，500支/袋', '2023-09-15 15:38:26.000000', '2023-09-15 15:38:26.000000', '1', '1', '/', NULL, 4, '普通耗材', 1, '/', '常规贮存', NULL, '袋', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('6B26A36F18DE6F39B1FF74FA1FDE1225', '试剂', '367EEF5C6C0DA36FAB5C028A63169F73', '氨水', '沪试', NULL, '500ml/瓶', '2023-09-15 15:39:11.000000', '2023-09-15 15:39:11.000000', '1', '1', '/', NULL, 1, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('6B4D22298EA2F4FE324D16F4C8949D9F', '耗材', '67E58FF5501E755A55E6FF30700A9368', '牛皮纸物证袋', 'n/a', NULL, '40*20cm', '2023-09-15 15:38:06.000000', '2023-09-15 15:38:06.000000', '1', '1', '/', NULL, 170, '普通耗材', 10, '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('6B6ED7CEF28C4279BF07269D4C05EF47', '耗材', 'C64230A8D51FC2DDA47A90ACB6FD4A8B', '小口试剂瓶', 'n/a', NULL, '1000ml', '2023-09-15 15:38:41.000000', '2023-09-15 15:38:41.000000', '1', '1', '/', NULL, 19, '普通耗材', 6, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('6B7775AB3E1143C908BEA3FB1D7C8750', '试剂', '195B41CB95F54804BC07BCDDA22747A1', '孕酮', 'VETEC', NULL, '25g/瓶,98%', '2023-09-15 15:39:17.000000', '2023-09-15 15:39:17.000000', '1', '1', '/', NULL, 2, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'RG', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('6BAE0FC463F22EE29C71455720E50ED7', '耗材', '0D74171D2B5AA49F6F173E7B5C033540', '带塞溶剂瓶', 'n/a', NULL, '500ml', '2023-09-15 15:38:45.000000', '2023-09-15 15:38:45.000000', '1', '1', '/', NULL, 18, '普通耗材', 8, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('6BB913B997EDD01599C304EA2027D4E2', '耗材', '681AE43FF0B99032D561FF226B117129', '一次性塑料滴管 3mL', 'Cypress', NULL, '/', '2023-09-15 15:37:45.000000', '2023-09-15 15:37:45.000000', '1', '1', '/', NULL, 10, '普通耗材', 1, NULL, '常规贮存', '通用', '包', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('6BE50A36B3E1E57A827DC6474BF4E99C', '耗材', '0F2C0D3D6B9AE8B64D177E51961367CB', '玻璃冻存管', 'n/a', NULL, '透明，5ml', '2023-09-15 15:38:18.000000', '2023-09-15 15:38:18.000000', '1', '1', '/', NULL, 20, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('6D67FBAF7893D2FF9041062DE5635C25', '耗材', '7ED0AA3E04F3B334930F01D2676C966E', '收纳盒', 'n/a', NULL, 'n/a', '2023-09-15 15:38:45.000000', '2023-09-15 15:38:45.000000', '1', '1', '/', NULL, 2, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('6E507469F4CC2406BF24519987693F0A', '耗材', '427F2C00F4B5C62555E9D8E1C8646778', 'ACQUITY UPLC BEN HILIC VanGuard Pre-Column 3/Pk', 'Waters', NULL, '2.1*5mm,1.7um,3个/盒', '2023-09-15 15:38:10.000000', '2023-09-15 15:38:10.000000', '1', '1', '/', NULL, 2, '色谱柱', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('702A6381074026BC510E70C9FD641F41', '耗材', '680602C3DDE901757F04C0B47B54E18B', '温度计', 'MC', NULL, '200ml', '2023-09-15 15:38:24.000000', '2023-09-15 15:38:24.000000', '1', '1', '/', NULL, 2, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('70806A60DE692323750967A507FC1407', '试剂', 'C1DB44A1BC14FD0189EFE1E181ADED05', '乙酸乙酯', '利安隆博华', NULL, '500ml/瓶', '2023-09-15 15:39:06.000000', '2023-09-15 15:39:06.000000', '1', '1', '/', NULL, 20, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('710599140A863658BF912BB2A1720C3A', '耗材', '8AFDA5ADC38E2AE510AC3BF12C84F2C2', '移液管', 'MC', NULL, '50ml', '2023-09-15 15:38:14.000000', '2023-09-15 15:38:14.000000', '1', '1', '/', NULL, 20, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('71876A3CF6DCD9CBDD7CBC8366778B46', '耗材', '1592FF99BD03546EBFBA28083C0239B0', '进口滤膜', '津隆', NULL, '13mm，水洗聚醚砜（PES）,0.45um，货号：JLSP054501', '2023-09-15 15:38:51.000000', '2023-09-15 15:38:51.000000', '1', '1', '/', NULL, 9, '普通耗材', 1, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('73C906A6B87A188831DE319490036066', '耗材', '2592751F4FCC20B9D9F4AEA26F3254B1', '一次性塑料离心管', 'Corning', NULL, '50ml', '2023-09-15 15:38:41.000000', '2023-09-15 15:38:41.000000', '1', '1', '/', NULL, 9, '普通耗材', 20, '/', '常规贮存', NULL, '箱', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('76BE4C99DC8E800AB70EA6CD0F15C07B', '耗材', '28F313B9003D6C91A518DDAD48E12A10', '螺口试剂瓶', '蜀牛', NULL, ' 1000mL(棕色)', '2023-09-15 15:37:40.000000', '2023-09-15 15:37:40.000000', '1', '1', '/', NULL, 8, '普通耗材', 1, NULL, '常规贮存', '通用', '个', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('773353C1A55BB1B441D326645BADAEC1', '试剂', 'E0AB3FEE8BB5F024DC136D993EE63579', '烟酰胺', 'Sigma-Aldrich', NULL, '100g/瓶', '2023-09-15 15:39:14.000000', '2023-09-15 15:39:14.000000', '1', '1', '/', NULL, 1, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('77B758241896551F07412540B6A122A6', '试剂', '5A09A96D6FE248DDE8A8E04DEA50727A', '甲醇', 'Supelco', NULL, '2.5L/瓶', '2023-09-15 15:37:56.000000', '2023-09-15 15:37:56.000000', '1', '1', '/', NULL, 18, '普通试剂', 1, NULL, '常规贮存', '通用', '瓶', NULL, 1, '/', NULL, 'LC/MS级 ', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('79614BC8401AC95E098403CBEFA25168', '耗材', '4BC46FDB5BD0607A655E78C93D15CC0C', '移液枪', 'Sartorius', NULL, '500-5000ul', '2023-09-15 15:38:20.000000', '2023-09-15 15:38:20.000000', '1', '1', '/', NULL, 1, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('7B84F5E4D352A2CF0C5B57EFEDEB9AAE', '耗材', '9EB840E33698F62F8315871ACC2FD20E', '5ml连盖离心管', 'CYPRESS', NULL, '/', '2023-09-15 15:37:39.000000', '2023-09-15 15:37:39.000000', '1', '1', '/', NULL, 17, '普通耗材', 1, NULL, '常规贮存', '通用', '包', NULL, 1, '0200050', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('7BD2778D535877A087D267587133798B', '耗材', '15291EA04046C73EA24F7C4EDD120D46', 'ACQUITY UPLC BEH HILIC 1.7um VanGuard Pre-Column', 'Waters', NULL, '1.7，2.1*5mm Column', '2023-09-15 15:37:53.000000', '2023-09-15 15:37:53.000000', '1', '1', '/', NULL, 1, '色谱柱', 1, NULL, '常规贮存', '毛发专用', '盒', NULL, 1, '186003980', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('7C2278AB445C58B3FD2360106433962E', '耗材', '4E3133276EF42ED304D9AF39BD27DEF3', '滴管', 'n/a', NULL, '9cm', '2023-09-15 15:38:17.000000', '2023-09-15 15:38:17.000000', '1', '1', '/', NULL, 20, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('7C5321A9C1585904A2ED0B96F07FDC9B', '耗材', 'C7D9235F2D3DF0DD1935AECDEFE7F49F', '容量瓶', 'Brand', NULL, '100ml', '2023-09-15 15:38:32.000000', '2023-09-15 15:38:32.000000', '1', '1', '/', NULL, 13, '普通耗材', 2, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('7C74BFF727329FB14B7BED97FE99E480', '耗材', '61FAB67E13F465515F25B0051DD10FCA', '一次性玻璃巴氏吸管', 'Brand', NULL, '225mm', '2023-09-15 15:37:37.000000', '2023-09-15 15:37:37.000000', '1', '1', '/', NULL, 2, '普通耗材', 1, NULL, '常规贮存', '通用', '盒', NULL, 1, '747720', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('7C97B7176CA8602595A0BFC5A088E6F5', '试剂', 'D6D123D1B24B30589743E84107ECE067', '磷酸', 'Sigma-Aldrich', NULL, '0.85', '2023-09-15 15:38:59.000000', '2023-09-15 15:38:59.000000', '1', '1', '/', NULL, 2, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('7CD3C4D3FEF9B24722FA34416A5E9A0C', '耗材', 'A3B377FFFBC1A71282F2C2A57F4029A3', '螺口试剂瓶', '蜀牛', NULL, ' 5000mL', '2023-09-15 15:37:41.000000', '2023-09-15 15:37:41.000000', '1', '1', '/', NULL, 4, '普通耗材', 1, NULL, '常规贮存', '通用', '个', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('7D03A6ED5D33B993DB46DCB0B3BCAA31', '耗材', '6164F3803E0E7FE2C3B1F18CB8B5632D', '血清移液管', 'n/a', NULL, '5ml', '2023-09-15 15:38:15.000000', '2023-09-15 15:38:15.000000', '1', '1', '/', NULL, 18, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('7D97B4654AB95FAC3C31CAD7A1C3EE92', '耗材', '14F70C65CB11F890A7B021A62EF29390', '15ml塑料离心管', 'CORNING　CentriStar', NULL, 'PET塑料', '2023-09-15 15:37:38.000000', '2023-09-15 15:37:38.000000', '1', '1', '/', NULL, 10, '普通耗材', 1, NULL, '常规贮存', '通用', '箱', NULL, 1, '430790', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('7DEB18A13CC0E294F221E056B9C024E2', '耗材', 'EB52CA788EEDCDB43447545B73186F66', '一次性玻璃巴氏吸管', 'Brand', NULL, '225mm', '2023-09-15 15:37:37.000000', '2023-09-15 15:37:37.000000', '1', '1', '/', NULL, 24, '普通耗材', 1, NULL, '常规贮存', '通用', '盒', NULL, 1, '747720', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('7E5C7A2B48C16B3EBD380B0DC88BA78D', '耗材', 'FF4F9DAB68F62E5D426E61C7A5913F54', '塑料离心管', 'n/a', NULL, '5ml，400支/袋', '2023-09-15 15:38:27.000000', '2023-09-15 15:38:27.000000', '1', '1', '/', NULL, 2, '普通耗材', 1, '/', '常规贮存', NULL, '袋', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('7FCA179B7E36D24B1C9A0A641D7F5B49', '耗材', '349C76AFED97C702E050BDE8915558A8', '载玻片', 'SAIL BRAND', NULL, '25.4x76.2mm，50片，7102', '2023-09-15 15:38:56.000000', '2023-09-15 15:38:56.000000', '1', '1', '/', NULL, 39, '普通耗材', 1, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('810658E01F2F79A116398B0409368A51', '耗材', 'DEF8595839EF0E87156B505B68D5FE70', '刮刀', 'n/a', NULL, '25cm', '2023-09-15 15:38:26.000000', '2023-09-15 15:38:26.000000', '1', '1', '/', NULL, 2, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('81AFA2BD2D5AE2823E3F5AD169C6AC61', '耗材', 'E387BC0E49FB373C0E3884AD5639458C', 'O型圈', '岛津', NULL, '货号036-11203-84，5个/袋', '2023-09-15 15:38:11.000000', '2023-09-15 15:38:11.000000', '1', '1', '/', NULL, 2, '普通耗材', 1, '/', '常规贮存', NULL, '袋', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('81C3735BB586D189E778B7C7CE242BFE', '耗材', '4FD764DE97EFB34C14079DFCE8E0B89C', '塑料吸管', 'n/a', NULL, '1ml，100支/袋', '2023-09-15 15:38:26.000000', '2023-09-15 15:38:26.000000', '1', '1', '/', NULL, 10, '普通耗材', 1, '/', '常规贮存', NULL, '袋', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('82931761CF5AE7DD0470BEF9168D7115', '耗材', '0D35C76DE73A46697BB247FB8326473E', '活性炭口罩', 'n/a', NULL, '50支/盒', '2023-09-15 15:38:29.000000', '2023-09-15 15:38:29.000000', '1', '1', '/', NULL, 11, '普通耗材', 1, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('833CE675D5C5B27C6C1AFDFC5D8D49F0', '试剂', 'DB25CC8ACC703E0C51ACEB1BFC945C09', '四氢呋喃', '阿拉丁', NULL, 'AR,99.0% (含250 ppm BHT稳定剂)，500ml', '2023-09-15 15:39:22.000000', '2023-09-15 15:39:22.000000', '1', '1', '/', NULL, 1, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('83D86A373A79819AE50BD4DE203CE7D9', '试剂', 'F75657CAD469B92B01838BAEBAB8FDE9', '盐酸', '西陇', NULL, '500ml/瓶', '2023-09-15 15:39:19.000000', '2023-09-15 15:39:19.000000', '1', '1', '/', NULL, 4, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('83F16B4FE6BBC88F058FDC5BC8FBE9AA', '耗材', 'FD0895D28D19F9507FD39D104BFA4191', '玻璃冻存管', 'n/a', NULL, '棕色，5ml', '2023-09-15 15:38:19.000000', '2023-09-15 15:38:19.000000', '1', '1', '/', NULL, 19, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('83F82078C403C1C870EF1D217CA5E3EF', '耗材', '0E73C095F6DBB2A900FF486691B1A19F', '枪头', 'Brand', NULL, '5ml，200支/包', '2023-09-15 15:38:46.000000', '2023-09-15 15:38:46.000000', '1', '1', '/', NULL, 4, '普通耗材', 1, '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('842BCA42EA2AF72EC5E11B566E09B513', '试剂', 'BF261579B8D44D68831338A5BEE57D0D', '4-(三氟甲基)苄溴', '阿拉丁', NULL, '98%，25g/瓶', '2023-09-15 15:39:23.000000', '2023-09-15 15:39:23.000000', '1', '1', '/', NULL, 2, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, '402-49-3', 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('84988C4AB727CB220E3D5E458277082E', '耗材', '41210762AABDFD901E9F47C791C350EE', '物证提取袋', 'n/a', NULL, '15*10cm', '2023-09-15 15:38:06.000000', '2023-09-15 15:38:06.000000', '1', '1', '/', NULL, 950, '普通耗材', 50, '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('84A5CE030242E6FFA6860BE525AEB163', '试剂', 'F59CD9CCCBD385B50F18133C68BF205D', '乙腈', 'Thermo', NULL, '4L/瓶', '2023-09-15 15:39:20.000000', '2023-09-15 15:39:20.000000', '1', '1', '/', NULL, 1, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC，GC级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('852867AAD96AEF371D8DBF3E45FA89D1', '耗材', '130485479725E1570E1FDA24B63DE8C1', '镊子', 'n/a', NULL, '直头，20cm', '2023-09-15 15:38:25.000000', '2023-09-15 15:38:25.000000', '1', '1', '/', NULL, 2, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('856240A042341C0E64B07FC1F3E1F576', '试剂', 'A6D63C62D2AC3EF7078CC3944EEB7DBD', '磺胺', 'Sigma-Aldrich', NULL, '5g/瓶', '2023-09-15 15:39:14.000000', '2023-09-15 15:39:14.000000', '1', '1', '/', NULL, 2, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'RD', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('85AEC85A5B4AC140EDF6F45F6A8963E3', '试剂', '084D6C193744DB163AB21E1B831497CD', '无水硫酸镁', '科密欧', NULL, '500g/瓶', '2023-09-15 15:39:07.000000', '2023-09-15 15:39:17.000000', '1', '1', '/', NULL, 10, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('85D1CA1B602E6E88602256C5627ADA38', '耗材', '173C0EEA098A75BA7AD1E47D420AB773', '擦镜纸', 'KIMTECH', NULL, '11.0*21.3cm', '2023-09-15 15:38:21.000000', '2023-09-15 15:38:21.000000', '1', '1', '/', NULL, 1, '普通耗材', 1, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('870BBF135564DF7CE5414B8A98F98880', '耗材', 'FA5B6ABE6C7971383125BBF7838E7487', '核磁管', 'NORELL', NULL, '100个/盒', '2023-09-15 15:38:11.000000', '2023-09-15 15:38:11.000000', '1', '1', '/', NULL, 1, '核磁管', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('8711577B53E7575CAA2639CAEF6F7923', '耗材', '3D066CD009871C31FEE111BD157F8802', ' 移液枪吸头5mL', '赛多利斯', NULL, '/', '2023-09-15 15:37:51.000000', '2023-09-15 15:37:51.000000', '1', '1', '/', NULL, 3, '普通耗材', 1, NULL, '常规贮存', '后续不再购买', '包', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('8737E9B86DA085538FB45608C38D8DCB', '耗材', 'B8F6594F5C9ABC66F2025377DD57BAC2', 'ACQUITY UPLC HSS T3 1.8um', 'Waters', NULL, '1.8，2.1*5mm Column', '2023-09-15 15:37:52.000000', '2023-09-15 15:37:52.000000', '1', '1', '/', NULL, 2, '色谱柱', 1, NULL, '常规贮存', '污水专用', '盒', NULL, 1, '186003976', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('87CC6D4CE570D7473A97162D0180B7EA', '耗材', 'D6589B0F234702150A3B3DF502439EFE', '定量滤纸', '双联牌', NULL, '12.5cm，慢速', '2023-09-15 15:38:49.000000', '2023-09-15 15:38:49.000000', '1', '1', '/', NULL, 20, '普通耗材', 1, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('8846C70AFFD4D675A665E55F4E18847A', '试剂', 'EBE2BD44D95BD619836E8197B41284A9', '茶碱', '百灵威', NULL, '98%,5g/瓶', '2023-09-15 15:39:16.000000', '2023-09-15 15:39:16.000000', '1', '1', '/', NULL, 1, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'RD', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('8873C96338E295AACEDC2D5FC7DD6E05', '耗材', 'FF20DBBEA74DDF7F3523BBBB89F25042', '容量瓶 100mL ', 'Brand', NULL, '棕色', '2023-09-15 15:37:42.000000', '2023-09-15 15:37:42.000000', '1', '1', '/', NULL, 3, '普通耗材', 1, NULL, '常规贮存', '通用', '个', NULL, 1, '37487', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('893C3734681D39140F70B2CC3B861679', '耗材', '21DFF0663AC92DC575C4FFEBF70C6BFF', '塑料烧杯', 'n/a', NULL, '10ml', '2023-09-15 15:38:17.000000', '2023-09-15 15:38:17.000000', '1', '1', '/', NULL, 39, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('89DDC87E10222F162957A0977124781B', '耗材', '4E2AC496B827A6DD0D28AC6395F91254', ' Oasis HLB Direct Connect HP 20µm', 'Waters', NULL, '20µm, 2.1mmX 30 mm', '2023-09-15 15:37:52.000000', '2023-09-15 15:37:52.000000', '1', '1', '/', NULL, 3, '色谱柱', 1, NULL, '常规贮存', '污水专用', '根', NULL, 1, '186005231', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('8A2670470F0ECBB28B1DAE05418DF12A', '耗材', '6DC45446AC62C51DDE0D79E43050BEE0', 'LG玻板抽滤漏斗', '垒固', NULL, '250ml', '2023-09-15 15:38:43.000000', '2023-09-15 15:38:43.000000', '1', '1', '/', NULL, 4, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('8A4F3A0504F6D026B449D3E6682F3381', '耗材', 'B51294A689B4F05BA41369C28FB1AC60', '水系滤膜25mm*0.22um', '津隆', NULL, '/', '2023-09-15 15:37:48.000000', '2023-09-15 15:37:48.000000', '1', '1', '/', NULL, 6, '普通耗材', 1, NULL, '常规贮存', '后续不再购买', '盒', NULL, 1, 'JLSP202202', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('8B4E69255EEEA3042C7B6CD0A6DA25A5', '耗材', 'FDDE7CE21E01AFDCD65E6EF64C77A9BD', '定量滤纸', '双联牌', NULL, '9cm，慢速', '2023-09-15 15:38:49.000000', '2023-09-15 15:38:49.000000', '1', '1', '/', NULL, 20, '普通耗材', 1, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('8BB5D445FE6CE87230C1D95D7895CCB1', '试剂', 'F399C1A6DAEA659BA3C298A64147634F', '氘代甲醇', 'CIL', NULL, '50ml', '2023-09-15 15:39:13.000000', '2023-09-15 15:39:13.000000', '1', '1', '/', NULL, 3, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('8BD4529D99D6E88AE12EB63FEEBCCAC1', '耗材', '88C27237FE238FE91025F52CA8A02520', '200ul枪头', 'Brand', NULL, '容量200ul', '2023-09-15 15:37:33.000000', '2023-09-15 15:37:33.000000', '1', '1', '/', NULL, 30, '普通耗材', 1, NULL, '常规贮存', '通用', '盒', NULL, 1, '732028', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('8BEBDC0099CC665EF4CECD7887A613EA', '耗材', '50E702F32DBD646BB43E64A06343DF1D', '牛皮纸物证袋', 'n/a', NULL, '50*30cm', '2023-09-15 15:38:06.000000', '2023-09-15 15:38:06.000000', '1', '1', '/', NULL, 190, '普通耗材', 10, '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('8C6AB281B924D9D491443D5BFDBF33B9', '耗材', 'D8C94272FE9F13CF854A257DA194A7DC', '密封垫', '岛津', NULL, '货号221-48972-91，20个/盒', '2023-09-15 15:38:11.000000', '2023-09-15 15:38:11.000000', '1', '1', '/', NULL, 1, '普通耗材', 1, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('8C769059BBD5F6015B7EADE63BC64016', '耗材', '1970E18E8900A26304B9E6B891D415E9', '容量瓶', 'Brand', NULL, '5ml', '2023-09-15 15:38:33.000000', '2023-09-15 15:38:33.000000', '1', '1', '/', NULL, 44, '普通耗材', 2, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('8C8298A6C2A17936EBB9BEA541CFEF83', '耗材', 'B544B59C8B420CA569E74B38F51BE885', '一次性使用无菌注射器 带针', '治宇', NULL, '2ml,200/支', '2023-09-15 15:38:48.000000', '2023-09-15 15:38:48.000000', '1', '1', '/', NULL, 5, '普通耗材', 1, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('8CCFF89B934966639FFB894902339E78', '耗材', 'A91F28E99D855BEF42129F247ACE9122', '2ml注射器', '江苏治宇医疗器械', NULL, '/', '2023-09-15 15:37:40.000000', '2023-09-15 15:37:40.000000', '1', '1', '/', NULL, 9, '普通耗材', 1, NULL, '常规贮存', '通用', '盒', NULL, 1, '2002100', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('8CD0C955C6B3E8AD31A6EBECC357508E', '耗材', 'C9DDDE79267E04580C5F46A58F4766D9', '定量滤纸', '新星', NULL, '15cm，中速', '2023-09-15 15:38:50.000000', '2023-09-15 15:38:50.000000', '1', '1', '/', NULL, 20, '普通耗材', 1, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('8DA3D84DDB09BF842A07E422A524737A', '试剂', '5EED41CD2D599E73B724DB371AF4BC56', '乙醇', '西陇', NULL, '500ml/瓶', '2023-09-15 15:39:01.000000', '2023-09-15 15:39:01.000000', '1', '1', '/', NULL, 9, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('90BE0C8DF3F7EF72127EF698234A5DBB', '耗材', 'B5CAE338B501B3EB8EAC36FEE05A8792', '密封垫', '岛津', NULL, '货号221-48398-91，20个/盒', '2023-09-15 15:38:11.000000', '2023-09-15 15:38:11.000000', '1', '1', '/', NULL, 1, '普通耗材', 1, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('92B7A00C1BA858F015124E9C5B43A9E9', '耗材', '831D5E9354A7484507E4ED8AAE27B36F', '白色药瓶', 'n/a', NULL, '20ml', '2023-09-15 15:38:28.000000', '2023-09-15 15:38:28.000000', '1', '1', '/', NULL, 20, '普通耗材', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('939A965F723C0D05812EFC4F29B75FCB', '耗材', '18A7746871B1FA0840F8446C087A82C4', '量筒 50mL', '/', NULL, '/', '2023-09-15 15:37:45.000000', '2023-09-15 15:37:45.000000', '1', '1', '/', NULL, 10, '普通耗材', 1, NULL, '常规贮存', '通用', '个', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('95ADAAE8CAFECBAFCC2A6C72E57FAA21', '耗材', '21327E338B3FDCC56850E0F5E9F80128', '干燥器', 'n/a', NULL, '300mm', '2023-09-15 15:38:55.000000', '2023-09-15 15:38:55.000000', '1', '1', '/', NULL, 4, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('95BEBD30F0FD058EFBA19D1AD64B2DD5', '耗材', 'B8F481CDCDE8DAB3D22CFAD7FBDBD810', '50ml塑料离心管', 'CORNING　CentriStar', NULL, 'PET塑料', '2023-09-15 15:37:37.000000', '2023-09-15 15:37:37.000000', '1', '1', '/', NULL, 9, '普通耗材', 1, NULL, '常规贮存', '通用', '箱', NULL, 1, '430304', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('95E07A5093D685F2DBBA2D3C76B69085', '试剂', '8AC8CB4D81C68E0F149C8A043E302334', '三（羟甲基）氨基甲烷', '阿拉丁', NULL, '0.999', '2023-09-15 15:39:10.000000', '2023-09-15 15:39:10.000000', '1', '1', '/', NULL, 3, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, '标准缓冲物质', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('973B0D91ACC952D454F3604E3A537263', '耗材', '4B45CB205E5730DC48C36406F7889CA1', '白色滴瓶', 'n/a', NULL, '60ml', '2023-09-15 15:38:29.000000', '2023-09-15 15:38:29.000000', '1', '1', '/', NULL, 18, '普通耗材', 10, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('9853A2F68452A8ADA24DD08B4E84CFE6', '耗材', 'FBE67696F836145AC4F2B283A73EEE58', '微孔滤膜', 'GreenMall', NULL, '有机系（尼龙）,50mm,0.22um,50片/盒', '2023-09-15 15:38:47.000000', '2023-09-15 15:38:47.000000', '1', '1', '/', NULL, 4, '普通耗材', 1, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('98B6297DE8D669DD6C18B908F810D084', '试剂', '21CDDE43FCAA0D0E8275D792B8014818', '丙酸酐', '成都艾科', NULL, '98%，500g/瓶', '2023-09-15 15:39:19.000000', '2023-09-15 15:39:19.000000', '1', '1', '/', NULL, 2, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('9941D5AF2047170F36DBDE5D717EE2DC', '试剂', '14DCEE3186E63EE87E163290EEC7F281', '正己烷', 'CNW', NULL, '4l/瓶', '2023-09-15 15:39:03.000000', '2023-09-15 15:39:03.000000', '1', '1', '/', NULL, 2, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('99E66DDB8142951F0E87424D23B7B028', '耗材', 'D1B9B9F0157E74F4F4193A0BD9C3BF52', '试管刷', 'n/a', NULL, '无', '2023-09-15 15:38:57.000000', '2023-09-15 15:38:57.000000', '1', '1', '/', NULL, 75, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('9A89738FAD60090F71DFCF22AB7D01B3', '试剂', 'D673F06EE84EF284B376ED1A55B5A5C4', '二苯胺', 'Sigma-Aldrich', NULL, '100g/瓶', '2023-09-15 15:38:58.000000', '2023-09-15 15:38:58.000000', '1', '1', '/', NULL, 2, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'ReagentPlus', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('9B296B9FB78494CC24E1599CCC1ED11A', '试剂', '2FFDAD5C12310FB5BBEEE5EF2820A98C', '甲醇', '科密欧', NULL, '500ml/瓶', '2023-09-15 15:39:04.000000', '2023-09-15 15:39:04.000000', '1', '1', '/', NULL, 5, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('9BAC5E63865EB99CE5EBD95C8E499287', '耗材', '80A6406CBE7567425EB59E8B7701A702', '塑料吸管', 'n/a', NULL, '2ml，100支/袋', '2023-09-15 15:38:26.000000', '2023-09-15 15:38:26.000000', '1', '1', '/', NULL, 8, '普通耗材', 1, '/', '常规贮存', NULL, '袋', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('9BFC107D286FA64DC1761EE8D418B936', '试剂', '71B9030B650CE3A78B93E427A58E59ED', '浓盐酸', '国产', NULL, '500mL/瓶', '2023-09-15 15:38:02.000000', '2023-09-15 15:38:02.000000', '1', '1', '/', NULL, 4, '普通试剂', 1, NULL, '常规贮存', '通用', '瓶', NULL, 1, '/', NULL, '分析纯', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('9C75C2C942269D5BC8D3652A450F9372', '试剂', 'A11CBD42D158E261809AD8318E06CFFD', '碳酸氢钠', '大茂', NULL, '500g/瓶', '2023-09-15 15:39:09.000000', '2023-09-15 15:39:09.000000', '1', '1', '/', NULL, 1, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'GR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('9D92F79B98FD253D7633DEED2971A12F', '试剂', '886E01CC21353AE0F94A29F8EA2804A7', '乙酸铵', 'Sigma-Aldrich', NULL, '32301-500g/瓶，98%', '2023-09-15 15:39:15.000000', '2023-09-15 15:39:15.000000', '1', '1', '/', NULL, 1, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'ACS级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('9DA9311AEEB4568F16CFFCC4CD8E3279', '耗材', '1C6D4F4ACE1F4A4753FF39486A89B0B4', '镊子', 'n/a', NULL, '直头，12.5cm', '2023-09-15 15:38:24.000000', '2023-09-15 15:38:24.000000', '1', '1', '/', NULL, 9, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('9E35E1A3DD180A7A0F9FE27BA8FBC252', '试剂', '8615781D011882532ACADEDB77FE5DE5', '氢氧化钠', '欧博凯', NULL, '500g/瓶', '2023-09-15 15:39:10.000000', '2023-09-15 15:39:10.000000', '1', '1', '/', NULL, 1, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'GR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('9E824420606D371A2B6EC3EC41380C6F', '耗材', 'C6657E9DD25F3375AA5FB22F45D0EE48', '牛皮纸物证袋', 'n/a', NULL, '16.5*9.8cm', '2023-09-15 15:38:05.000000', '2023-09-15 15:38:05.000000', '1', '1', '/', NULL, 160, '普通耗材', 10, '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('9F075F0E02A04C7A219FAA6BD0EA3EC0', '耗材', '607B7F52390833D7D9084ABFB8D18623', 'Shim-pack GIST', '岛津', NULL, '4.6*150mm,5um', '2023-09-15 15:38:09.000000', '2023-09-15 15:38:09.000000', '1', '1', '/', NULL, 4, '色谱柱', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('9F9C24968C50BFE2A75F4823DD1933DC', '耗材', 'D34EA98D213EC85960FED86614A07303', 'DB-35MS', '安捷伦', NULL, '30m*0.25mm*0.25um，122-3832', '2023-09-15 15:38:21.000000', '2023-09-15 15:38:21.000000', '1', '1', '/', NULL, 1, '普通耗材', 1, '/', '常规贮存', NULL, '根', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('9FE9C37B57A70991B2EA93730284E1D9', '试剂', '658BD2C91D9885FCC5A36E80EA3F7E34', '氘代氯仿', 'CIL', NULL, '0.6mLx10,99.8%', '2023-09-15 15:39:17.000000', '2023-09-15 15:39:17.000000', '1', '1', '/', NULL, 5, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('A079C905F5D7D809A7257ABD2ECC637F', '耗材', '40AA11EC8A3B8B9705E7ED110DF93F26', '容量瓶 200mL ', 'Brand', NULL, '棕色', '2023-09-15 15:37:43.000000', '2023-09-15 15:37:43.000000', '1', '1', '/', NULL, 2, '普通耗材', 1, NULL, '常规贮存', '通用', '个', NULL, 1, '37488', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('A15BF8209DCBB463718BA0FCC89311D6', '耗材', 'E95046560019FEBF230277D81DF88339', '称量纸 90*90mm', '/', NULL, ' 90*90mm', '2023-09-15 15:37:46.000000', '2023-09-15 15:37:46.000000', '1', '1', '/', NULL, 10, '普通耗材', 1, NULL, '常规贮存', '通用', '包', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('A23B7F331A6C5628820EE00649AE9838', '试剂', '064089791054DAE4F15C2B830F0FEC45', '乙酸铵', '大茂', NULL, '500g/瓶', '2023-09-15 15:39:09.000000', '2023-09-15 15:39:09.000000', '1', '1', '/', NULL, 1, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'GR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('A296807DB5F58ACD0F001C4C9FCFA4F6', '耗材', '970E3400D3E3ACCED241E9CD62A1830A', '牛皮纸物证袋', 'n/a', NULL, '30*17*46cm', '2023-09-15 15:38:06.000000', '2023-09-15 15:38:06.000000', '1', '1', '/', NULL, 160, '普通耗材', 10, '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('A29CFBBA168D6598BC15BD8AE153DF5A', '试剂', '18F5138D8CF9E36ADB6D955ED1403C29', '四氢呋喃', '阿拉丁', NULL, '500ml/瓶,99%', '2023-09-15 15:39:08.000000', '2023-09-15 15:39:08.000000', '1', '1', '/', NULL, 1, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('A31C172C15B378B8D613AE8D60CF39B0', '试剂', 'DBA195CF942ECCB7EBFB8C86D54C6F51', '丙三醇', '科密欧', NULL, '500ml/瓶', '2023-09-15 15:39:08.000000', '2023-09-15 15:39:18.000000', '1', '1', '/', NULL, 30, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('A3572F75D72B43ED40D6974708B41913', '试剂', '293795B0CBABCA4B9877C8D228A091C5', '氢氧化钾', '光复', NULL, '500g/瓶', '2023-09-15 15:39:09.000000', '2023-09-15 15:39:09.000000', '1', '1', '/', NULL, 1, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'GR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('A44763B65F11004EAF2ADDFEE5AA5AD3', '耗材', 'D24D6047B79AA6F9A6977360AA04AD26', '带塞溶剂瓶', 'n/a', NULL, '250ml', '2023-09-15 15:38:44.000000', '2023-09-15 15:38:44.000000', '1', '1', '/', NULL, 19, '普通耗材', 10, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('A50EC8B5F067E65A7429D9F804AEFE02', '耗材', '76D6B2BB645EB51E397748E44610D528', '螺口试剂瓶', '蜀牛', NULL, ' 5000mL', '2023-09-15 15:37:41.000000', '2023-09-15 15:37:41.000000', '1', '1', '/', NULL, 1, '普通耗材', 1, NULL, '常规贮存', '通用', '个', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('A5480085A7B5EC16F59762E53276A83D', '耗材', '290060F1EF9789FE3FDC880097D2B288', 'ZORBAX Eclipse Plus C18', 'agilent', NULL, '4.6*150mm,5um', '2023-09-15 15:38:08.000000', '2023-09-15 15:38:08.000000', '1', '1', '/', NULL, 1, '色谱柱', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('A6AF993477C4FED7C8C0F1564735D276', '试剂', '1E14425B115F4BAD8E3C26EA796BEE4F', '1H-吲唑-3-羧酸甲酯', '阿拉丁', NULL, '97%，5g/瓶', '2023-09-15 15:39:22.000000', '2023-09-15 15:39:22.000000', '1', '1', '/', NULL, 2, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, '43120-28-1', 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('A73A725ED0FC5542511B118132EAD83A', '试剂', '4C7BAE7DAAD0ED79EBF027B6CF870ADE', '乙酸乙酯', '沪试', NULL, '500ml/瓶', '2023-09-15 15:39:05.000000', '2023-09-15 15:39:05.000000', '1', '1', '/', NULL, 1, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('A74C6FACD6FA5B8CB88CCAC4D2275C6D', '试剂', '8CC64F58EDC5AB3735ACCA041E7200FB', '异丙醇', 'Supelco', NULL, '4L/瓶', '2023-09-15 15:38:59.000000', '2023-09-15 15:38:59.000000', '1', '1', '/', NULL, 3, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('A99DA177066C7431ED3B8DE006C2C5C5', '耗材', '7895FC391C3E89B3C10E69B459209CA4', '自封袋', '苹果牌京惠思创', NULL, '4# 85*120mm', '2023-09-15 15:37:42.000000', '2023-09-15 15:37:42.000000', '1', '1', '/', NULL, 52, '普通耗材', 1, NULL, '常规贮存', '通用', '包', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('AAB8D3BDE03E6777682DFC6C022A7266', '耗材', '3B3E40A7AB95A8C46E888702955AE182', '容量瓶 250mL ', 'Brand', NULL, '棕色', '2023-09-15 15:37:43.000000', '2023-09-15 15:37:43.000000', '1', '1', '/', NULL, 2, '普通耗材', 1, NULL, '常规贮存', '通用', '个', NULL, 1, '37489', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('AB14F9AA00B28A822D2F0B4416E550D4', '耗材', 'BE50C8DEFC576C480273F6DEEB7D909C', '连盖离心管', 'CYPRESS', NULL, '5ml，300支/袋', '2023-09-15 15:38:28.000000', '2023-09-15 15:38:28.000000', '1', '1', '/', NULL, 30, '普通耗材', 1, '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('ABB06262C250326AC9D7858D732D030C', '试剂', 'BDD86605AA4103A6BC5F2D2F6C4B2733', '甲酸铵', '科密欧', NULL, '100克/瓶', '2023-09-15 15:37:54.000000', '2023-09-15 15:37:54.000000', '1', '1', '/', NULL, 2, '普通试剂', 1, NULL, '常规贮存', '污水，毛发专用', '瓶', NULL, 1, '/', NULL, 'HPLC级', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('AC09A5157D7A5D18D1BDE174259760A0', '耗材', '4132B6DDA3BF4ABFBAA4C7DE3A06D0A3', '一次性使用无菌注射器 带针', '治宇', NULL, '1ml，200支/盒', '2023-09-15 15:38:39.000000', '2023-09-15 15:38:39.000000', '1', '1', '/', NULL, 3, '普通耗材', 1, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('AC0C6D6DF1164CB2A1A8ED7C47B28026', '耗材', '807A6E375F1047BBE8C88DCEC78C9654', '定量滤纸', '双联牌', NULL, '7cm,快速', '2023-09-15 15:38:49.000000', '2023-09-15 15:38:49.000000', '1', '1', '/', NULL, 19, '普通耗材', 1, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('ADA193257F22E0E2F105848F65554085', '耗材', 'AB7F3A076889DD68337D3CC96354DD30', '进口滤膜', '津隆', NULL, '25mm，100片/盒，水洗聚醚砜（PES），0.45um，货号：JLSP214502', '2023-09-15 15:38:47.000000', '2023-09-15 15:38:47.000000', '1', '1', '/', NULL, 10, '普通耗材', 1, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('ADCAC609496BF8092CA19FCEA1B3E3D6', '试剂', '0ECA17F366E604B0DEA9A417AB32384B', '乙腈', 'Fisher', NULL, '4L/瓶', '2023-09-15 15:39:20.000000', '2023-09-15 15:39:20.000000', '1', '1', '/', NULL, 2, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC，GC级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('AE07A55144A14DD931D12F0287CC220E', '试剂', 'F36951DCDBEB9B242604A2C229C33C4A', '三（羟甲基）氨基甲烷', '沪试', NULL, '100g/瓶', '2023-09-15 15:39:11.000000', '2023-09-15 15:39:11.000000', '1', '1', '/', NULL, 2, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('AEBF0FC4CC3706D3896658072035C9A3', '耗材', 'E859E5449DF4FAB120B41845211F25A8', '橡皮吸球', 'n/a', NULL, '3ml', '2023-09-15 15:38:22.000000', '2023-09-15 15:38:22.000000', '1', '1', '/', NULL, 16, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('AF0138A9E044023736EFEBE8DB56F44A', '耗材', '3973DE5C5C74F5FB4DFD8DF26FE8584B', '手套', '科邦', NULL, '橡胶，M号', '2023-09-15 15:37:47.000000', '2023-09-15 15:37:47.000000', '1', '1', '/', NULL, 2, '普通耗材', 1, NULL, '常规贮存', '通用', '盒', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('B003BDF3C052318E6EE6D029A19BECB3', '耗材', 'EE649F056067937666A1573297804895', '滤膜', '上海新亚', NULL, '有机，0.45um，50mm，50片/盒', '2023-09-15 15:38:48.000000', '2023-09-15 15:38:48.000000', '1', '1', '/', NULL, 19, '普通耗材', 1, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('B07964CFDDA937DC1F7E5BE0F6D4D153', '耗材', 'DD8D01F9B78F0B49F6D0F5AC252625BB', '量筒 500mL', '/', NULL, '/', '2023-09-15 15:37:45.000000', '2023-09-15 15:37:45.000000', '1', '1', '/', NULL, 2, '普通耗材', 1, NULL, '常规贮存', '通用', '个', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('B0A33EC8C230F919CA86F4E1B6E22036', '耗材', '3E14530181E9A86760F55ED44CC9F80D', '塑料吸管', 'n/a', NULL, '3ml，100支/袋', '2023-09-15 15:38:27.000000', '2023-09-15 15:38:27.000000', '1', '1', '/', NULL, 7, '普通耗材', 1, '/', '常规贮存', NULL, '袋', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('B0D9FB0FFBD17CF33171AD2EC5E4D92A', '耗材', '7BF447BD6F8CFF9A79554A92B34DC4E5', '量杯 塑料 3L', '/', NULL, '/', '2023-09-15 15:37:50.000000', '2023-09-15 15:37:50.000000', '1', '1', '/', NULL, 2, '普通耗材', 1, NULL, '常规贮存', '后续不再购买', '个', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('B160993DC7E053598F6DD166DE2FD71C', '耗材', '749589B20E2C19C07434CE2171400027', '牛皮纸物证袋', 'n/a', NULL, '10.2*8.8cm', '2023-09-15 15:38:05.000000', '2023-09-15 15:38:05.000000', '1', '1', '/', NULL, 170, '普通耗材', 10, '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('B215A7464FF3F577ACCAD3DA4C0E9990', '耗材', 'ACEFBF504AC98F7E2B5F443EDF4B70AD', '移液枪', '普兰德', NULL, '500-5000ul', '2023-09-15 15:38:19.000000', '2023-09-15 15:38:19.000000', '1', '1', '/', NULL, 1, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('B29D287EB35B6EEBEEECBAEDF7A4D384', '试剂', '859A3528EE762ADBC84342F68F4C2A9A', '丙二酸二乙酯', '阿拉丁', NULL, '0.99', '2023-09-15 15:39:04.000000', '2023-09-15 15:39:04.000000', '1', '1', '/', NULL, 2, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('B2B49F921B31DA47E70C97E09EFC191A', '耗材', '8E6952259CE2B5834ECF6E18B352AC61', '药匙', 'n/a', NULL, '3x1', '2023-09-15 15:38:23.000000', '2023-09-15 15:38:23.000000', '1', '1', '/', NULL, 8, '普通耗材', 1, '/', '常规贮存', NULL, '套', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('B3135EAC29E9B28140F2A050C6B8FBF6', '耗材', '2FE83FE28F9A1A5A844916BC6B6C8480', 'Kinetex Biphenyl', '飞诺美', NULL, '100*3.0mm,2.6um', '2023-09-15 15:38:09.000000', '2023-09-15 15:38:09.000000', '1', '1', '/', NULL, 1, '色谱柱', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('B3918F7A396C281A312AE9C685BC466C', '耗材', '0910061C04D2A466D273AF264AE1AB2F', '保鲜自封袋7号', '苹果', NULL, '200x140mm', '2023-09-15 15:38:03.000000', '2023-09-15 15:38:03.000000', '1', '1', '/', NULL, 400, '普通耗材', 100, '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('B3AF3A96C84EBE55C35541C5138C97C6', '耗材', 'A6C0C703FB6C6C4CB1E4363B048189CF', '物证封装袋', 'n/a', NULL, '43*31cm', '2023-09-15 15:38:07.000000', '2023-09-15 15:38:07.000000', '1', '1', '/', NULL, 1300, '普通耗材', 100, '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('B3CBF8CFB612FDCCBE98991EA675528F', '耗材', '805278306BB7CB555541775F0A859285', '橡皮吸球', 'n/a', NULL, '1ml', '2023-09-15 15:38:23.000000', '2023-09-15 15:38:23.000000', '1', '1', '/', NULL, 20, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('B4C12437B5CD9047790351C2D71D71B9', '耗材', '0F030AA79F9059D7FC7705D60D9029D4', '容量瓶 50mL ', 'Brand', NULL, '棕色', '2023-09-15 15:37:42.000000', '2023-09-15 15:37:42.000000', '1', '1', '/', NULL, 6, '普通耗材', 1, NULL, '常规贮存', '通用', '个', NULL, 1, '37485', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('B54F9ADF0C6776B6BC4AD3A4EB58F656', '试剂', '82D6060525A09FDD5D01C7A6EF0D1E67', '异辛烷', 'Supelco', NULL, '1L/瓶', '2023-09-15 15:39:21.000000', '2023-09-15 15:39:21.000000', '1', '1', '/', NULL, 1, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('B572AEFC20F6A713320019AD5067FEF4', '试剂', 'D578219272D51B0D2FC770FF3A7879AC', '碳酸氢钠', '科密欧', NULL, '500克/瓶', '2023-09-15 15:38:00.000000', '2023-09-15 15:38:00.000000', '1', '1', '/', NULL, 2, '普通试剂', 1, NULL, '常规贮存', '通用', '瓶', NULL, 1, '/', NULL, '优级纯', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('B76901B1C91D72468F7840CC4FADFD4E', '耗材', 'FBD4B1C3CD2076E0FF3C644232E1894D', '小口试剂瓶', '蜀牛', NULL, '2500ml', '2023-09-15 15:38:40.000000', '2023-09-15 15:38:40.000000', '1', '1', '/', NULL, 20, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('B82E816580490CF514AC5B8F1BA008D9', '试剂', 'A516BFBDEB8AE499AFBBEB85F7FFD934', '4-氟苄溴', '阿拉丁', NULL, '97%，25g/瓶', '2023-09-15 15:39:22.000000', '2023-09-15 15:39:22.000000', '1', '1', '/', NULL, 2, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, '459-46-1', 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('B8F708EBE5DC30A733093CD009901298', '耗材', '38DB22512312B6A6D14D169BA2343EAE', '塑料吸管', 'n/a', NULL, '5ml，100支/袋', '2023-09-15 15:38:27.000000', '2023-09-15 15:38:27.000000', '1', '1', '/', NULL, 10, '普通耗材', 1, '/', '常规贮存', NULL, '袋', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('B9B4FAA8B3CA99B1D3AA4393790B02C2', '耗材', '565CB7EFB94E44230052A3A70A244B55', '离心管架', 'n/a', NULL, '4X5，20孔', '2023-09-15 15:38:55.000000', '2023-09-15 15:38:55.000000', '1', '1', '/', NULL, 17, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('BA51C5EA88FF57E0C8587434B7C5CB16', '试剂', 'C2919578F22CF4804FE32656189216C2', '三乙胺', '百灵威', NULL, '1L/瓶,99.7%', '2023-09-15 15:39:11.000000', '2023-09-15 15:39:11.000000', '1', '1', '/', NULL, 5, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('BC452CCEF1C753EA5BE9B97A295AC6B1', '试剂', '52D1714473043BD75639C53770B3249B', '乙酸乙酯', '国药集团', NULL, '≥99.5', '2023-09-15 15:39:21.000000', '2023-09-15 15:39:21.000000', '1', '1', '/', NULL, 9, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('BCBDBFCFD999372896EC6A784DA54CDF', '耗材', 'DF0E606586BC053ADEC413C780F97B17', 'Hypersil GOLD VANQUISH', '赛默飞', NULL, '100*2.1um', '2023-09-15 15:38:09.000000', '2023-09-15 15:38:09.000000', '1', '1', '/', NULL, 1, '色谱柱', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('BCEE2F38DCC1A793A18E2FD636C1C380', '耗材', 'A86462DEB68BDD2F491EB3718CAABC5F', '移液管架', 'n/a', NULL, 'n/a', '2023-09-15 15:38:57.000000', '2023-09-15 15:38:57.000000', '1', '1', '/', NULL, 10, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('BDE0B5EC35AE8D24E2D2551ABA1C353B', '试剂', '7B5CC752D878DA27FBE65025DDE5F240', '二氯甲烷', '科密欧', NULL, '500ml/瓶', '2023-09-15 15:39:04.000000', '2023-09-15 15:39:04.000000', '1', '1', '/', NULL, 5, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('BEE83F44071AA07CF51C95C68FED262F', '耗材', '064AD192B3DBBFFED5F1077991370EA1', '微孔滤膜-两相通用', 'Pall', NULL, '13mm 0.2um GHP ', '2023-09-15 15:37:29.000000', '2023-09-15 15:37:29.000000', '1', '1', '/', NULL, 5, '普通耗材', 1, NULL, '常规贮存', '污水，毛发专用', '盒', NULL, 1, '2401', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('BF2C228C71245AA13804359D9106352D', '耗材', 'AA8877CCB9CAAA673DBA1D2444465236', '水系滤膜13mm*0.45um', '津隆', NULL, '/', '2023-09-15 15:37:48.000000', '2023-09-15 15:37:48.000000', '1', '1', '/', NULL, 10, '普通耗材', 1, NULL, '常规贮存', '后续不再购买', '盒', NULL, 1, 'JLSP054501', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('BF5DFD891BDCDE33B1CA63E32B0FF77A', '试剂', 'C7635B2C527AA2851379DE5B8CD16CA7', '乙酸乙酯', '科密欧', NULL, '500ml/瓶', '2023-09-15 15:39:05.000000', '2023-09-15 15:39:05.000000', '1', '1', '/', NULL, 4, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('C013FAA639739BDE57C2630DD4FC2A39', '耗材', '1EE6290413CE75F9C8A0F295F82D16C1', '定量滤纸', '新星', NULL, '18cm，中速', '2023-09-15 15:38:50.000000', '2023-09-15 15:38:50.000000', '1', '1', '/', NULL, 20, '普通耗材', 1, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('C237C6FE63AFF8606F22541E1DC142C5', '试剂', '5764BED36E7B1935452CBDE081803112', 'EDCI , 1-乙基-(3-二甲基氨基丙基)碳二亚胺盐酸盐', '阿拉丁', NULL, '98%，100g/瓶', '2023-09-15 15:39:24.000000', '2023-09-15 15:39:24.000000', '1', '1', '/', NULL, 2, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, '25952-53-8', 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('C2928E68E8A3826E11D1FACEE8DDE115', '耗材', 'E5459E4B4EB0C6DD73DBF32075E24F86', '移液枪吸头200uL', '赛多利斯 ', NULL, '/', '2023-09-15 15:37:51.000000', '2023-09-15 15:37:51.000000', '1', '1', '/', NULL, 8, '普通耗材', 1, NULL, '常规贮存', '后续不再购买', '包', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('C2D1E67F26C1101CB07F987F4CF306B6', '耗材', '54D69526B8531B642F091F9E6B21BF2D', '棕色滴瓶', 'n/a', NULL, '60ml', '2023-09-15 15:38:30.000000', '2023-09-15 15:38:30.000000', '1', '1', '/', NULL, 20, '普通耗材', 10, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('C3879D7E8F0297110261813FC6D96162', '试剂', '77F3948BB732E6FAFEFFB14E0E71C576', '石油醚', '津东天正', NULL, '500ml/瓶', '2023-09-15 15:39:18.000000', '2023-09-15 15:39:18.000000', '1', '1', '/', NULL, 10, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('C38E6578DDE89DD9EF88E5657D0C7BC2', '耗材', '5C99A04CD5B27F4D7AFB7611E5F7F368', '锥形瓶', '环球', NULL, '250ml', '2023-09-15 15:38:45.000000', '2023-09-15 15:38:45.000000', '1', '1', '/', NULL, 6, '普通耗材', 12, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('C3D17C018D2A116667305030D56B9E98', '耗材', '80BEAC19244411E3455E521CE5254DB5', '活性炭口罩', '/', NULL, '/', '2023-09-15 15:37:34.000000', '2023-09-15 15:37:34.000000', '1', '1', '/', NULL, 9, '普通耗材', 1, NULL, '常规贮存', '通用', '盒', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('C3D89395A2561CCFDE1A4F925EA6AC54', '耗材', '073FE1CCA1F7AD328F383614212A7B7E', '一次性塑料滴管 1mL', '国产', NULL, '/', '2023-09-15 15:37:49.000000', '2023-09-15 15:37:49.000000', '1', '1', '/', NULL, 7, '普通耗材', 1, NULL, '常规贮存', '后续不再购买', '包', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('C46A9FBE0F15104D032186ED0AB5E74A', '试剂', 'D29E61E36B37398F398ECC76F91A3305', '正己烷', 'Supelco', NULL, '4L/瓶', '2023-09-15 15:38:59.000000', '2023-09-15 15:38:59.000000', '1', '1', '/', NULL, 4, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('C6A9D91562C7DEB82C42A362B0D96A66', '耗材', '6035687531F1C70C331B45000AED8AC5', '进样小瓶盖', '安捷伦', NULL, '2ml,5182-0717，100个/包', '2023-09-15 15:38:39.000000', '2023-09-15 15:38:39.000000', '1', '1', '/', NULL, 19, '普通耗材', 1, '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('C77F5B1D99906A7C49B892DBD908121D', '试剂', '1E3AD0C8BDE6B8BD170109FE82FE98BE', '乙醇', 'GRACE', NULL, '4L/瓶', '2023-09-15 15:37:59.000000', '2023-09-15 15:37:59.000000', '1', '1', '/', NULL, 4, '普通试剂', 1, NULL, '常规贮存', '通用', '瓶', NULL, 1, '/', NULL, 'HPLC级', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('C782F4BF8F3B41C7F54ABB4C96D9D964', '耗材', 'C5DE090819C2500F791B15C9D75D419D', '干燥器', 'n/a', NULL, '210mm', '2023-09-15 15:38:38.000000', '2023-09-15 15:38:38.000000', '1', '1', '/', NULL, 2, '普通耗材', 1, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('C94B44D83A58C7F377CCE6AFF9DB2E12', '试剂', 'C13F7D028C5E4226A9E9584BB4E08F77', '乙醇', 'GRACE', NULL, '4L/瓶', '2023-09-15 15:39:03.000000', '2023-09-15 15:39:03.000000', '1', '1', '/', NULL, 1, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('C9C681EB91325F3DCF067E4565EB80DB', '试剂', '9EB4CD1B395A42C33663D255D35BDA99', '二氯甲烷', '国药集团', NULL, '≥99.5', '2023-09-15 15:39:21.000000', '2023-09-15 15:39:21.000000', '1', '1', '/', NULL, 8, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('CA8121958A2C94FD95B0D56F16265702', '耗材', 'BCECF36D5368E92FAF9AB6B1EFAE9E3A', '进口滤膜', '津隆', NULL, '13mm，有机尼龙66,0.45um，货号：JLSN024501', '2023-09-15 15:38:50.000000', '2023-09-15 15:38:50.000000', '1', '1', '/', NULL, 9, '普通耗材', 1, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('CA9D0B49510FDEEDB1AB6656FFA826F8', '试剂', '385C7E3650F1253F5E9D4CB3A00DE9D8', '乙酸铵', 'Sigma', NULL, '500克/瓶', '2023-09-15 15:37:54.000000', '2023-09-15 15:37:54.000000', '1', '1', '/', NULL, 4, '普通试剂', 1, NULL, '常规贮存', '污水，毛发专用', '瓶', NULL, 1, '32301-500G', NULL, 'HPLC级', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('CB2FD17718078CC3F9AE7E44DBCE9CB7', '耗材', '36D1F15B458AA95DCBB32AD18D4C49D4', '隔垫', '岛津', NULL, '货号221-75180，50个/盒', '2023-09-15 15:38:12.000000', '2023-09-15 15:38:12.000000', '1', '1', '/', NULL, 1, '普通耗材', 1, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('CBDAB109AC7023211665A7B99CEC0D93', '耗材', '007858DDF42E66841EB64571296CB9E6', '血清移液管', 'n/a', NULL, '1ml', '2023-09-15 15:38:15.000000', '2023-09-15 15:38:15.000000', '1', '1', '/', NULL, 20, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('CCF8D71FB5BD3E5F348A9D9B21E84B38', '试剂', '30FE3BFFB43DC4A814F056067A952AFC', '氢氧化钠', '欧博凯', NULL, '500克/瓶', '2023-09-15 15:38:01.000000', '2023-09-15 15:38:01.000000', '1', '1', '/', NULL, 4, '普通试剂', 1, NULL, '常规贮存', '通用', '瓶', NULL, 1, '/', NULL, '优级纯', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('CD8540340E41667014C3362AB4711E92', '耗材', '617CB5E34E53555A1C42256A0AFE990A', '保鲜自封袋9号', '苹果', NULL, '280x200mm', '2023-09-15 15:38:03.000000', '2023-09-15 15:38:03.000000', '1', '1', '/', NULL, 400, '普通耗材', 100, '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('CE498E1BB9F2FED3C9F38CA130D09DE0', '耗材', '27E12C07E4DEEBD22B75DBB4C7BC7704', 'Astec CHIROBIOTIC V2', 'merck', NULL, '25cm*4.6mm,5um', '2023-09-15 15:38:08.000000', '2023-09-15 15:38:08.000000', '1', '1', '/', NULL, 2, '色谱柱', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('CE524FB73CD4701440BED0026492443D', '耗材', 'D373C0683D435D8F71FD959D189E1B36', ' 移液枪吸头10uL', '赛多利斯', NULL, '/', '2023-09-15 15:37:51.000000', '2023-09-15 15:37:51.000000', '1', '1', '/', NULL, 4, '普通耗材', 1, NULL, '常规贮存', '后续不再购买', '包', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('CF6829F660F9EB86EC10CE95E876BF98', '试剂', '7A4F5EE4F00F7AC08E07ADB8527C6DA2', '乙腈', 'Merck', NULL, '2.5L/瓶', '2023-09-15 15:37:58.000000', '2023-09-15 15:37:58.000000', '1', '1', '/', NULL, 28, '普通试剂', 1, NULL, '常规贮存', '通用', '瓶', NULL, 1, '/', NULL, 'LC/MS级 ', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('CF7A7429ED9D1B290029078A1F65B06B', '试剂', 'A6CD12305B8062CDCE745B815494CCB1', '乙腈', 'fisher', NULL, '4L/瓶', '2023-09-15 15:37:57.000000', '2023-09-15 15:37:57.000000', '1', '1', '/', NULL, 1, '普通试剂', 1, NULL, '常规贮存', '通用', '瓶', NULL, 1, '/', NULL, 'LC/MS级 ', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('CFE4943E11C7EF87CF9589E44E02048C', '耗材', 'FDD6FBED213DA3DB8E8384CD7C614B18', '一次性塑料滴管 5mL', '国产', NULL, '/', '2023-09-15 15:37:49.000000', '2023-09-15 15:37:49.000000', '1', '1', '/', NULL, 8, '普通耗材', 1, NULL, '常规贮存', '后续不再购买', '包', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('D06986C6408777BA3887E8856BF5F629', '耗材', '327840599C60462FC657BCD00F6FD761', '枪头', 'sartorius', NULL, '200ul', '2023-09-15 15:38:51.000000', '2023-09-15 15:38:51.000000', '1', '1', '/', NULL, 1, '普通耗材', 1, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('D09D3DED39A4860B45DD54EC26A2ED5F', '耗材', '1D52A1A603C7502E6B7FB5CF7515CC3F', '称量纸 100*100mm', '/', NULL, ' 100*100mm', '2023-09-15 15:37:46.000000', '2023-09-15 15:37:46.000000', '1', '1', '/', NULL, 3, '普通耗材', 1, NULL, '常规贮存', '通用', '包', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('D10F1C6640088FC8C15A336D5601C893', '耗材', 'FD8D7DBEC2435D101D5718F30A775856', '塑料离心管', 'n/a', NULL, '8ml,，225支/袋', '2023-09-15 15:38:28.000000', '2023-09-15 15:38:28.000000', '1', '1', '/', NULL, 1, '普通耗材', 1, '/', '常规贮存', NULL, '袋', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('D2CE0E13403ACB0D7405E2A6B474386D', '耗材', '5E9CD7876FFB120DE10248EE72B39DE1', '药匙', 'n/a', NULL, '20cm', '2023-09-15 15:38:23.000000', '2023-09-15 15:38:23.000000', '1', '1', '/', NULL, 5, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('D2FDCFCC08BDC23E2990BCEB518D2B30', '试剂', '208994E98031A1275F9D03C201BF0C3A', '甲醇', 'Supelco', NULL, '4L/瓶', '2023-09-15 15:39:01.000000', '2023-09-15 15:39:02.000000', '1', '1', '/', NULL, 42, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('D30D06C27D94197F97AD5B171EE809BF', '耗材', 'AA55B67F6535E9B90E9C927AC11A3162', '封口膜', 'PARAFILM', NULL, 'PM-996', '2023-09-15 15:37:34.000000', '2023-09-15 15:37:34.000000', '1', '1', '/', NULL, 11, '普通耗材', 1, NULL, '常规贮存', '通用', '盒', NULL, 1, 'PM-996', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('D30DD8FEC93089785704E0FB42FC466A', '耗材', '28E449B72E00070F8A164AEDBDF9FF39', '容量瓶', 'Brand', NULL, '50ml', '2023-09-15 15:38:32.000000', '2023-09-15 15:38:32.000000', '1', '1', '/', NULL, 11, '普通耗材', 2, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('D355127F7D10C0BC1501097A95A9C5CF', '试剂', 'B1982DCD4EBF4F8BE20570842F420F04', '叔丁醇钾', '阿拉丁', NULL, '98%，500g/瓶', '2023-09-15 15:39:22.000000', '2023-09-15 15:39:22.000000', '1', '1', '/', NULL, 2, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('D3A53757B6033C9779FD82C0399364C0', '试剂', '4E2485F3B156BB2CFA748929E1B6253A', 'DIPEA, N,N-二异丙基乙胺', '阿拉丁', NULL, '99.5%, 100ml/瓶', '2023-09-15 15:39:26.000000', '2023-09-15 15:39:26.000000', '1', '1', '/', NULL, 2, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, '7087-68-5', 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('D4A1D9B78001B9FEE79E8D5A6A1E26A3', '耗材', 'CC2E92A084606AB6D20313D77F396015', '红色胶帽', '金利', NULL, 'n/a', '2023-09-15 15:38:22.000000', '2023-09-15 15:38:22.000000', '1', '1', '/', NULL, 200, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('D52E25DCB53864833CD24213C150D8C0', '试剂', '05CBD8ED3398A1995005D56672C0A329', '甲醇', 'Thermo', NULL, '4L/瓶', '2023-09-15 15:39:20.000000', '2023-09-15 15:39:20.000000', '1', '1', '/', NULL, 1, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC，GC级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('D64F93AA8F80C37C14E94DF72B11A78E', '耗材', '630E5B55A9AE190402D832CD5C7AD87C', '称量瓶', 'n/a', NULL, '25x40', '2023-09-15 15:38:38.000000', '2023-09-15 15:38:38.000000', '1', '1', '/', NULL, 10, '普通耗材', 10, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('D6A3E85AF8D8B8D5CADD6DC1B1C8A557', '耗材', '7F6753D7C486256075376B69320539D5', '称量瓶', 'n/a', NULL, '50x30', '2023-09-15 15:38:38.000000', '2023-09-15 15:38:38.000000', '1', '1', '/', NULL, 9, '普通耗材', 10, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('D6A59EA5FE0DB696EB817FA13B05D587', '耗材', 'DDD839D2FC03F8497CC4DE56FC0CF539', '血清移液管', 'n/a', NULL, '10ml', '2023-09-15 15:38:16.000000', '2023-09-15 15:38:16.000000', '1', '1', '/', NULL, 18, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('D700EB7629D02790C487DEFEAA02F5E0', '耗材', '9B9B9B33E8C0BC6FBAEFA1359181C76E', '容量瓶', 'Bomex', NULL, '250ml', '2023-09-15 15:38:34.000000', '2023-09-15 15:38:34.000000', '1', '1', '/', NULL, 11, '普通耗材', 6, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('D7F7A748BE5B83AE823930578CF0D239', '耗材', 'B2DBE2C6D135543BF4637B52294F159F', '2ml进样瓶', 'waters', NULL, '18600307C（透明）', '2023-09-15 15:37:35.000000', '2023-09-15 15:37:35.000000', '1', '1', '/', NULL, 14, '普通耗材', 1, NULL, '常规贮存', '通用', '盒', NULL, 1, '18600307C', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('D91F5126F72EE2FE679EC8B04DF9D579', '耗材', '4999995D3C3E88436E4E8122DD64CF9B', '砂芯过滤装置全套', '津隆', NULL, '1000mL', '2023-09-15 15:37:32.000000', '2023-09-15 15:37:32.000000', '1', '1', '/', NULL, 1, '普通耗材', 1, NULL, '常规贮存', '污水专用', '套', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('D95112B53239183240D939D72F50C7A8', '耗材', '483A79E517E9A877EC217941C38CCF41', '枪头', 'n/a', NULL, '5ml，200支/包', '2023-09-15 15:38:46.000000', '2023-09-15 15:38:46.000000', '1', '1', '/', NULL, 4, '普通耗材', 1, '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('D9DDDC234A28D6DB4EC51705A4402B5C', '耗材', 'AEA8F5FA25A481B8B852E69A0E11BE7C', '瓶口移液器 0.4-2mL', '赛多利斯 ', NULL, '/', '2023-09-15 15:37:50.000000', '2023-09-15 15:37:50.000000', '1', '1', '/', NULL, 1, '普通耗材', 1, NULL, '常规贮存', '后续不再购买', '个', NULL, 1, '2005075', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('DA92763C99A8BA977EE91A8F90C94555', '试剂', '4015A46ACE490038B58BAF62DA0E33E8', '浓硫酸', '国产', NULL, '500mL/瓶', '2023-09-15 15:38:02.000000', '2023-09-15 15:38:02.000000', '1', '1', '/', NULL, 4, '普通试剂', 1, NULL, '常规贮存', '通用', '瓶', NULL, 1, '/', NULL, '分析纯', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('DABB9EBA6CF45EA983C6F8425C9D375B', '试剂', 'AC3150EAF2C8E4D40E35ADCB1D654EA0', '1,4-二甲氧基苯', 'Sigma-Aldrich', NULL, '100g/瓶,99%', '2023-09-15 15:39:14.000000', '2023-09-15 15:39:14.000000', '1', '1', '/', NULL, 2, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'RP', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('DAFD2F0291D4EB05728DC9CF69741938', '耗材', '25A54A895E15718564DD5E7439AC64B9', '封口膜', 'Bemis', NULL, '4IN.*125FT.ROLL，PM-996', '2023-09-15 15:38:08.000000', '2023-09-15 15:38:08.000000', '1', '1', '/', NULL, 1300, '普通耗材', 100, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('DF3E599EB7425328D9A3E0B9B055F712', '试剂', 'E20421CA51F24A056E5B0CF0F4DD774E', 'DIC, N,N′-二异丙基碳二亚胺', '阿拉丁', NULL, '≥98.5%，100ml/瓶', '2023-09-15 15:39:25.000000', '2023-09-15 15:39:25.000000', '1', '1', '/', NULL, 2, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, '693-13-0', 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('DF8F9B6D4A96828611173C6FB79941B5', '耗材', '4FB9FC6971EF5B4C772D086B9934FA56', '血清移液管', 'n/a', NULL, '50ml', '2023-09-15 15:38:16.000000', '2023-09-15 15:38:16.000000', '1', '1', '/', NULL, 20, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('E04710DFFA0C16655C91C7EFB7364DC2', '试剂', '48893C1C7970F911FF7625E50E908CB1', '乙腈', 'Supelco', NULL, '2.5L/瓶', '2023-09-15 15:38:58.000000', '2023-09-15 15:38:58.000000', '1', '1', '/', NULL, 44, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'LC/MS级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('E0ABCDCE24C6015D18E2258A30D8A4CB', '耗材', '757987E9B64887E6C4D2CB8F401915AD', '无尘纸', 'KIMTECH', NULL, '/', '2023-09-15 15:37:34.000000', '2023-09-15 15:37:34.000000', '1', '1', '/', NULL, 7, '普通耗材', 1, NULL, '常规贮存', '通用', '盒', NULL, 1, '34155', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('E2ABA99C6405468D90223C9542BBDE25', '试剂', '2A74F4E27DAD92C91DACC23A2FF7E115', '氢氧化钠（片状）', '科密欧', NULL, '500g/瓶', '2023-09-15 15:39:10.000000', '2023-09-15 15:39:10.000000', '1', '1', '/', NULL, 3, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('E3611715DC978FD990379C86B7AA564D', '耗材', 'ECA0E0143175EDFBE2C2548D03859188', '一次性蓝色丁腈手套', '柯沃', NULL, 'L', '2023-09-15 15:38:53.000000', '2023-09-15 15:38:53.000000', '1', '1', '/', NULL, 1, '普通耗材', 10, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('E4731E1D8B78B39249DFA8383AC45E9A', '试剂', 'ACBA090E05E524A2BA04D48D336D19B1', '二氯甲烷', 'CNW', NULL, '4l/瓶', '2023-09-15 15:39:03.000000', '2023-09-15 15:39:03.000000', '1', '1', '/', NULL, 2, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('E49C6C3FD2A1AD46B25531D2811220AC', '耗材', '69652FEBD63A44FD0FAB78ADF7629DFC', '自封袋', '苹果牌京惠思创', NULL, '9号，', '2023-09-15 15:37:42.000000', '2023-09-15 15:37:42.000000', '1', '1', '/', NULL, 6, '普通耗材', 1, NULL, '常规贮存', '通用', '包', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('E4ED356F873BDD8D7A1D5D75A39E3CAE', '试剂', 'E498C834BF955D6A7A6F53C1E9F780BC', '二甲基砜', 'Sigma-Aldrich', NULL, '100g/瓶', '2023-09-15 15:39:00.000000', '2023-09-15 15:39:00.000000', '1', '1', '/', NULL, 2, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('E61304F18287CBACCF82C197643BD19B', '耗材', '72C7A0BD512295045BACE6C768B5FB2F', '移液管', 'MC', NULL, '2ml', '2023-09-15 15:38:14.000000', '2023-09-15 15:38:14.000000', '1', '1', '/', NULL, 15, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('E66672D3CCE8F5DBE32EC338A4C5BDFB', '试剂', 'F15C4B510E949BE10206339944BCDE22', '茶碱', 'TCI', NULL, '25g/瓶,98%', '2023-09-15 15:39:12.000000', '2023-09-15 15:39:12.000000', '1', '1', '/', NULL, 1, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'RD', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('E6A15C001663B553F3C4C21C83BB32F9', '耗材', '8DDA3C78A4160DEFD72CC9077F67E01D', '2ml进样瓶', 'waters', NULL, '18600847C（棕色）', '2023-09-15 15:37:35.000000', '2023-09-15 15:37:35.000000', '1', '1', '/', NULL, 5, '普通耗材', 1, NULL, '常规贮存', '通用', '盒', NULL, 1, '18600847C', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('E81822F109031EFA4E7A7F1D74044CEC', '耗材', '90CA7AA23B2424EE2E93FB475DC0B07D', '一次性塑料烧杯', 'n/a', NULL, '50ml', '2023-09-15 15:38:42.000000', '2023-09-15 15:38:42.000000', '1', '1', '/', NULL, 18, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('E97F56C21E858EEA9B1738E08EEF4EC2', '耗材', '777CD747287FBCD32FDC51F4195EF872', '一次性蓝色丁腈手套', '柯沃', NULL, 'S', '2023-09-15 15:38:52.000000', '2023-09-15 15:38:52.000000', '1', '1', '/', NULL, 42, '普通耗材', 10, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('EBEE703546CB17B9B5AE3D5981D9BE32', '耗材', 'C19D090AFE09D541A7E4F4FCDF48B279', '手套', '科邦', NULL, '丁腈，s码', '2023-09-15 15:37:47.000000', '2023-09-15 15:37:47.000000', '1', '1', '/', NULL, 27, '普通耗材', 1, NULL, '常规贮存', '通用', '盒', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('EC3D86D8F58B3F68E99DF764081F93BA', '耗材', '968CA164B7F77946D55669EC4FA6BA81', '定性滤纸', '皎洁', NULL, '7cm，中速', '2023-09-15 15:38:53.000000', '2023-09-15 15:38:53.000000', '1', '1', '/', NULL, 19, '普通耗材', 1, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('ED04DCD66B5E34782790FDC3BE428415', '试剂', '101FF519C486DAFF2BDB6E19BA3C8B63', '丙二酸二乙酯', '麦克林', NULL, '99%，500ml/瓶', '2023-09-15 15:39:00.000000', '2023-09-15 15:39:00.000000', '1', '1', '/', NULL, 1, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('ED267D35186402FCEBE132FFAD42CF10', '耗材', 'B89438D4168341975F12AEBB0E615FBD', '研钵', '垒固', NULL, '15ml', '2023-09-15 15:38:34.000000', '2023-09-15 15:38:34.000000', '1', '1', '/', NULL, 5, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('EDD5AD4C0BE08EF94A10EB6AC65192DC', '耗材', '92FA0C9059F697DA14B80C7385C8EEFF', '石墨垫圈', '安捷伦', NULL, '货号5080-8853，10个/盒', '2023-09-15 15:38:12.000000', '2023-09-15 15:38:12.000000', '1', '1', '/', NULL, 5, '普通耗材', 1, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('EDE64096FEF94622F6CF92B0AE52D061', '耗材', 'B5C6D72A46CEDD2476061EAE05CE2DCB', '移液枪20-200uL', 'Brand', NULL, '/', '2023-09-15 15:37:43.000000', '2023-09-15 15:37:43.000000', '1', '1', '/', NULL, 1, '普通耗材', 1, NULL, '常规贮存', '通用', '个', NULL, 1, '732228', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('EECD1EF34F39B1C0769E49F057723CE2', '试剂', 'B0B347A20E66DD0ADEDE3DB44A86F4EC', '氢氧化钾', '光富', NULL, '500克/瓶', '2023-09-15 15:38:01.000000', '2023-09-15 15:38:01.000000', '1', '1', '/', NULL, 3, '普通试剂', 1, NULL, '常规贮存', '通用', '瓶', NULL, 1, '/', NULL, '优级纯', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('EF95247918DEC6FD280D3925C6D7B09E', '耗材', 'C482E3A63DF6AE61C8F84C01D4F0AF71', '枪头', 'Sartorius', NULL, '10ml，250个', '2023-09-15 15:38:56.000000', '2023-09-15 15:38:56.000000', '1', '1', '/', NULL, 6, '普通耗材', 1, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('EFA66C6CF6AC6E447A3BD5C3ADCFF245', '试剂', 'BD0DD695920B5C0A8946CBE41D0AF741', '三氯甲烷', '科隆', NULL, '500ml/瓶', '2023-09-15 15:39:08.000000', '2023-09-15 15:39:08.000000', '1', '1', '/', NULL, 19, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'GR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('EFDDD1804355AD2944A28AC0C1E0E17D', '耗材', '51C080D5954D2FFCF9988E0680AD0123', '一次性玻璃巴氏吸管', 'Brand', NULL, '225mm', '2023-09-15 15:37:36.000000', '2023-09-15 15:37:36.000000', '1', '1', '/', NULL, 4, '普通耗材', 1, NULL, '常规贮存', '通用', '盒', NULL, 1, '747720', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('F005D98A612933C91CC5223A75AC49A6', '试剂', '3D26A02F9E0BBF03C231FCCC76367DF0', 'DCC , N,N\'-二环己基碳二亚胺', '阿拉丁', NULL, '99%, 100g/瓶', '2023-09-15 15:39:24.000000', '2023-09-15 15:39:24.000000', '1', '1', '/', NULL, 2, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, '538-75-0', 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('F00BA336F8BAA2E050F1DB9E10CA09AD', '耗材', '09876F13A076E82F2F1D22F2677E7D88', '进口滤膜', '津隆', NULL, '25mm，100片/盒，有机尼龙66，0.45um，货号：JLSN184502', '2023-09-15 15:38:46.000000', '2023-09-15 15:38:46.000000', '1', '1', '/', NULL, 19, '普通耗材', 1, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('F0308CB6DD9054A23B94DCD9E138B5B1', '耗材', '24A07562E651D98134EE3AE24C6E3D9C', '洗瓶', 'n/a', NULL, '500ml', '2023-09-15 15:38:31.000000', '2023-09-15 15:38:31.000000', '1', '1', '/', NULL, 11, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('F12014D58EE876C5D367DAE54D736F89', '耗材', 'ACC5A5389E9A65E6F44F26A0ECB2360D', '瓶口分液器', 'sartorius', NULL, '0.2ml-1ml', '2023-09-15 15:38:29.000000', '2023-09-15 15:38:29.000000', '1', '1', '/', NULL, 1, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('F23DB0E82DBBE05F9E063611057F4518', '耗材', '046FD6ED840F319D3FBFBB661DEE75B7', '滴管', 'n/a', NULL, '15cm', '2023-09-15 15:38:18.000000', '2023-09-15 15:38:18.000000', '1', '1', '/', NULL, 20, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('F3931FFBCCEAE30CF6B37AC0607160C8', '耗材', '4F3816249A3D7C1217191F685DDD8FA4', '定性滤纸', '皎洁', NULL, '12.5cm，中速', '2023-09-15 15:38:54.000000', '2023-09-15 15:38:54.000000', '1', '1', '/', NULL, 20, '普通耗材', 1, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('F3B553480C57266F8CF58605A95DAC44', '耗材', 'FDE4B28CCCE6537D00A278E893B26562', '试管架', 'n/a', NULL, '3x6', '2023-09-15 15:38:40.000000', '2023-09-15 15:38:40.000000', '1', '1', '/', NULL, 13, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('F4277BE5809CD66F3509423C6911E9FD', '耗材', '8552242CA1292DAC2C47BF108DD4DD34', '称量纸', 'n/a', NULL, '10cm', '2023-09-15 15:38:36.000000', '2023-09-15 15:38:36.000000', '1', '1', '/', NULL, 30, '普通耗材', 10, '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('F4DE7DD2DCB8569AC2D639D415F81759', '耗材', '8937FD912B4DAECD34C8EAEAD20A1147', '定性滤纸', '皎洁', NULL, '11cm，中速', '2023-09-15 15:38:54.000000', '2023-09-15 15:38:54.000000', '1', '1', '/', NULL, 20, '普通耗材', 1, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('F5F2288357E38940AAFF1CD7EA549DCA', '耗材', '11A6C4AE99158802031C961AE3302522', '定性滤纸', '皎洁', NULL, '18cm，中速', '2023-09-15 15:38:54.000000', '2023-09-15 15:38:54.000000', '1', '1', '/', NULL, 20, '普通耗材', 1, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('F643F208DA0F2B4AAD1C99B5C3B1E714', '耗材', 'F164C5111CB46A8CA9FE9B646E30FC65', '容量瓶', 'Bomex', NULL, '250ml', '2023-09-15 15:38:32.000000', '2023-09-15 15:38:32.000000', '1', '1', '/', NULL, 1, '普通耗材', 1, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('F89DB8292508360611CAC617977E0A93', '耗材', 'DF324F6E5D28B8439A62934EE364B5EC', '废液瓶架', 'n/a', NULL, 'n/a', '2023-09-15 15:38:58.000000', '2023-09-15 15:38:58.000000', '1', '1', '/', NULL, 14, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('F94E751149B0EB468A0DDA56CDF68627', '耗材', '3C6CD44CE98751609B6B5655E9B1898E', '手套', '科邦', NULL, '橡胶，M号', '2023-09-15 15:37:47.000000', '2023-09-15 15:37:47.000000', '1', '1', '/', NULL, 4, '普通耗材', 1, NULL, '常规贮存', '通用', '盒', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('F98B4A41F4F81A35CB39F8AB0EE86071', '耗材', '79AD3931BB831A58BE947F7C49825164', '枪头', 'brand', NULL, '50-1000ul', '2023-09-15 15:38:29.000000', '2023-09-15 15:38:29.000000', '1', '1', '/', NULL, 80, '普通耗材', 10, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('F9E05534C34262BD8AF6538C46BA044E', '耗材', '8FDCDFAE820125400DE2F95FF8F1890D', '容量瓶架 10mL 12孔', '/', NULL, '/', '2023-09-15 15:37:44.000000', '2023-09-15 15:37:44.000000', '1', '1', '/', NULL, 7, '普通耗材', 1, NULL, '常规贮存', '通用', '盒', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('FA36C3B37EE06B58D74C2FDC1392D5BF', '试剂', '7027D236BD98B1E25368C2A2F18F3CA6', '吡嗪', 'Sigma-Aldrich', NULL, '≥99，100g/瓶', '2023-09-15 15:39:14.000000', '2023-09-15 15:39:14.000000', '1', '1', '/', NULL, 2, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'FG级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('FA88D36005C092EB33BA95996FD8CDFA', '试剂', '7695B37D0AF49E5CABBECF177DD57D57', '甲酸', 'Themo Fisher', NULL, '50mL/瓶', '2023-09-15 15:37:54.000000', '2023-09-15 15:37:54.000000', '1', '1', '/', NULL, 3, '普通试剂', 1, NULL, '常规贮存', '污水，毛发专用', '瓶', NULL, 1, '/', NULL, 'LC/MS级 ', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('FA8A58FD8D3FD543B69834BB66224D80', '试剂', '7B2043A932C91B3B8C6270663596D62C', '无水碳酸钠', '科密欧', NULL, '500克/瓶', '2023-09-15 15:37:59.000000', '2023-09-15 15:37:59.000000', '1', '1', '/', NULL, 1, '普通试剂', 1, NULL, '常规贮存', '通用', '瓶', NULL, 1, '/', NULL, '优级纯', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('FABB632ADF4FB1DAA7CF0A3495219838', '试剂', '4356783D7EB6C861834576759F7879F4', '异丙醇', 'GRACE', NULL, '4L/瓶', '2023-09-15 15:37:59.000000', '2023-09-15 15:37:59.000000', '1', '1', '/', NULL, 4, '普通试剂', 1, NULL, '常规贮存', '通用', '瓶', NULL, 1, '/', NULL, 'HPLC级', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('FB3D59E386D91A0B97F9F3A4F6C10485', '耗材', 'BEA1D8ACDA2788E2709E2BEDAF94A441', 'InfinityLab Poroshecll 120 PFP', 'agilent', NULL, '4.6*250mm,4um', '2023-09-15 15:38:08.000000', '2023-09-15 15:38:08.000000', '1', '1', '/', NULL, 1, '色谱柱', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('FB64095C804393341CE6D3D48860CDF6', '耗材', '972BD1891A4592A5BE9288CEF70E8392', '容量瓶', 'Brand', NULL, '2ml', '2023-09-15 15:38:33.000000', '2023-09-15 15:38:33.000000', '1', '1', '/', NULL, 2, '普通耗材', 2, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('FB830190A5A4C2A0448AA8753E2C752A', '耗材', '82179DBD1CF04D541BA4569F2AEE8897', '单凹片载玻片', 'SAIL BRAND', NULL, '25.4x76.2mm，50片，7103', '2023-09-15 15:38:56.000000', '2023-09-15 15:38:56.000000', '1', '1', '/', NULL, 3, '普通耗材', 1, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('FBDF2A71E48A824D1AF9CCC890146D33', '耗材', '2CC8200BDFCF51C67F8426AF40E72289', '100ul有相机枪头', 'RAININ    100ul ', NULL, 'disposable capillaries/pistons 17008607', '2023-09-15 15:37:30.000000', '2023-09-15 15:37:30.000000', '1', '1', '/', NULL, 27, '普通耗材', 1, NULL, '常规贮存', '污水专用', '盒', NULL, 1, '17008607', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('FC24C129AEEA9D85C940DAB62038512D', '耗材', 'B8EB3DB8425C1036A9579628BDB08DC0', '螺纹试剂瓶', '蜀牛', NULL, '250ml', '2023-09-15 15:38:40.000000', '2023-09-15 15:38:40.000000', '1', '1', '/', NULL, 8, '普通耗材', 10, '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('FC45E4BFCE7A5D88D1231E0A11C62FB9', '耗材', 'EFA47EBEFC491EC4995BF6515EDC527B', '锥形瓶', 'Bomex', NULL, '250ml', '2023-09-15 15:38:58.000000', '2023-09-15 15:38:58.000000', '1', '1', '/', NULL, 9, '普通耗材', 1, '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('FEE1F987561A17D3E1F862651409F40D', '试剂', 'A192AC84D1689BA4DA7456F7E78B2FEB', '乙醇', '利安隆博华', NULL, '500ml/瓶', '2023-09-15 15:39:06.000000', '2023-09-15 15:39:06.000000', '1', '1', '/', NULL, 20, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('FF6B196829AB740C9D03AA0C43AC3F4A', '耗材', 'A5F7CD45486C7867188577604B88CEF7', '1ml有机相枪头', 'RAININ　1000ul', NULL, 'disposable capillaries/pistons 17008609', '2023-09-15 15:37:30.000000', '2023-09-15 15:37:30.000000', '1', '1', '/', NULL, 6, '普通耗材', 1, NULL, '常规贮存', '污水专用', '盒', NULL, 1, '186008056', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('FF9A103C5A06D5D651B7723A1331A2CA', '耗材', '70E105DA646517B5B29FCEFD2818BD4C', '一次性塑料滴管 3mL', '国产', NULL, '/', '2023-09-15 15:37:49.000000', '2023-09-15 15:37:49.000000', '1', '1', '/', NULL, 9, '普通耗材', 1, NULL, '常规贮存', '后续不再购买', '包', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('FFB63F91640352C54D6497603679BF12', '试剂', '26D992C1C9A35E81B1A69CC82868407B', '乙腈', 'OCEANPAK', NULL, '4L/瓶', '2023-09-15 15:39:02.000000', '2023-09-15 15:39:02.000000', '1', '1', '/', NULL, 1, '普通试剂', 1, '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC级', '706');

-- ----------------------------
-- Table structure for reagent_consumables
-- ----------------------------
DROP TABLE IF EXISTS `reagent_consumables`;
CREATE TABLE `reagent_consumables`  (
  `reagent_consumable_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材名称',
  `brand` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '品牌',
  `category` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '类别',
  `deviation_or_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '偏差/不确定度',
  `species` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '种类',
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '规格型号',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `standard_value_or_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `technical_parameter` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术参数)',
  `unit_price` double(10, 2) NULL DEFAULT NULL COMMENT '单价',
  `english_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '英文名',
  `packaged_copies` int(255) NULL DEFAULT NULL COMMENT '包装份数',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '别名',
  `storage_condition` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '存储条件',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `minimum_unit` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '包装单位',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编号',
  `configuration_concentration` double(64, 30) NULL DEFAULT NULL COMMENT '配置浓度',
  `cas_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'CAS号',
  `code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '物品编码',
  `purity_grade` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '纯度等级',
  PRIMARY KEY (`reagent_consumable_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材类)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of reagent_consumables
-- ----------------------------
INSERT INTO `reagent_consumables` VALUES ('007858DDF42E66841EB64571296CB9E6', '血清移液管', 'n/a', '耗材', NULL, '普通耗材', '1ml', '2023-09-15 15:38:15.000000', '2023-09-15 15:38:15.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('00805F189C07FBB430A19400AE84E36D', '2-(乙基氨基)-1-苯基丙-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:46.000000', '2023-09-15 15:36:46.000000', '1', '1', '/', NULL, 1.00, '2-(ethylamino)-1-phenylpropan-1-one', 1, '乙卡西酮(盐酸盐)', '冷藏贮存', 'GASS-127', '瓶', NULL, 0.000000000000000000000000000000, '18259-37-5', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('00922D6F1DE18AB0C10B971CADA1CE85', '1-(2-氟苯基)丙-2-胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:30.000000', '2023-09-15 15:36:30.000000', '1', '1', '/', NULL, 1.00, '1-(2-fluorophenyl)propan-2-amine', 1, '2-FA', '冷藏贮存', 'GASS-001', '瓶', NULL, 0.000000000000000000000000000000, '1716-60-5', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('00C38A6D79275C94ADAFED407DB8E0D4', '8-氯-6-苯基-4H-苯并[f[1,2,4]三唑并[4,3-a][1,4]二氮卓', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:19.000000', '2023-09-15 15:37:19.000000', '1', '1', '/', NULL, 1.00, '8-chloro-6-phenyl-4H-benzo[f][1,2,4]triazolo[4,3-a][1,4]diazepine', 1, '艾司唑仑', '冷藏贮存', 'GASS-411', '瓶', NULL, 0.000000000000000000000000000000, '29975-16-4', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('018D009E5C0552EFCF7DCD97BDE39ECE', '定量滤纸', '新星', '耗材', NULL, '普通耗材', '11cm，中速', '2023-09-15 15:38:49.000000', '2023-09-15 15:38:49.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('021261728B402A540766D5B99C759F20', 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(4-氟苄基)-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:56.000000', '2023-09-15 15:36:56.000000', '1', '1', '/', NULL, 1.00, 'N-(1-amino-3-methyl-1-oxobutan-2-yl)-1-(4-fluorobenzyl)-1H-indole-3-carboxamide', 1, 'AB-FUBICA', '冷藏贮存', 'GASS-316', '瓶', NULL, 0.000000000000000000000000000000, '1801338-22-6', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('02D857429038F3EEC60197B375B0ECE2', 'N-(1-苯乙基哌啶-4-基)-N-苯基异丁酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:45.000000', '2023-09-15 15:36:45.000000', '1', '1', '/', NULL, 1.00, 'N-(1-phenethylpiperidin-4-yl)-N-phenylisobutyramide', 1, '异丁酰芬太尼', '冷藏贮存', 'GASS-091', '瓶', NULL, 0.000000000000000000000000000000, '119618-70-1', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('02E1FA2FA56F83E2C4C278E694F05874', '2-(1-(4-氟苄基)-1H-吲哚-3-甲酰胺-4,5,6,7-d4)-3,3.二甲基丁酸甲酯', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:22.000000', '2023-09-15 15:37:22.000000', '1', '1', '/', NULL, 1.00, 'methyl 2-(1-(4-fluorobenzyl)-1H-indole-3-carboxamido-4,5,6,7-d4)-3,3-dimethylbutanoate', 1, 'D4-MDMB-FUBICA', '冷藏贮存', 'GASS-464', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('03E2B90BDA8D98A951B7758B140C754F', '7-溴-5-(2-氯苯基)-1,3-二氢-2H-苯并[e][1,4]二氮杂-2-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:32.000000', '2023-09-15 15:36:32.000000', '1', '1', '/', NULL, 1.00, '7-bromo-5-(2-chlorophenyl)-1,3-dihydro-2H-benzo[e][1,4]diazepin-2-one', 1, 'Phenazepam(芬纳西洋)', '冷藏贮存', 'GASS-018', '瓶', NULL, 0.000000000000000000000000000000, '51753-57-2', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('04324DA0CB78A8189E6DCA62C265391F', '2-苯基-2-(哌啶-2-基)乙酸甲酯', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:56.000000', '2023-09-15 15:36:56.000000', '1', '1', '/', NULL, 1.00, 'methyl 2-phenyl-2-(piperidin-2-yl)acetate', 1, '哌甲酯盐酸盐', '冷藏贮存', 'GASS-314', '瓶', NULL, 0.000000000000000000000000000000, '20748-11-2', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('045E3933CEEE52A66D716B98194B70D0', '1-(4-肉桂酰哌嗪-1-基)丁-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:18.000000', '2023-09-15 15:37:18.000000', '1', '1', '/', NULL, 1.00, '1-(4-cinnamylpiperazin-1-yl)butan-1-one', 1, '布桂嗪', '冷藏贮存', 'GASS-410', '瓶', NULL, 0.000000000000000000000000000000, '2624256-67-1', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('046FD6ED840F319D3FBFBB661DEE75B7', '滴管', 'n/a', '耗材', NULL, '普通耗材', '15cm', '2023-09-15 15:38:18.000000', '2023-09-15 15:38:18.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('04C9F9C184C77006E1B65EA032C646CE', '1-(4-甲氧基苯基)丙-2-胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:23.000000', '2023-09-15 15:37:23.000000', '1', '1', '/', NULL, 1.00, '1-(4-methoxyphenyl)propan-2-amine', 1, 'PMA盐酸盐', '冷藏贮存', 'GASS-467', '瓶', NULL, 0.000000000000000000000000000000, '3706-26-1', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('050754482D4132276D439B477226BBE9', '2-(1-(5-氟戊基)-1H-吲哚-3-甲酰胺)-3,3-二甲基丁酸甲酯', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:49.000000', '2023-09-15 15:36:49.000000', '1', '1', '/', NULL, 1.00, 'methyl 2-(1-(5-fluoropentyl)-1H-indole-3-carboxamido)-3,3-dimethylbutanoate', 1, '5F-MDMB-PICA', '冷藏贮存', 'GASS-259', '瓶', NULL, 0.000000000000000000000000000000, '1971007-88-1', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('05CBD8ED3398A1995005D56672C0A329', '甲醇', 'Thermo', '试剂', NULL, '普通试剂', '4L/瓶', '2023-09-15 15:39:20.000000', '2023-09-15 15:39:20.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC，GC级');
INSERT INTO `reagent_consumables` VALUES ('064089791054DAE4F15C2B830F0FEC45', '乙酸铵', '大茂', '试剂', NULL, '普通试剂', '500g/瓶', '2023-09-15 15:39:09.000000', '2023-09-15 15:39:09.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'GR级');
INSERT INTO `reagent_consumables` VALUES ('064AD192B3DBBFFED5F1077991370EA1', '微孔滤膜-两相通用', 'Pall', '耗材', NULL, '普通耗材', '13mm 0.2um GHP ,1000个/盒,1000个/盒', '2023-09-15 15:37:28.000000', '2023-09-15 15:37:28.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '污水，毛发专用', '盒', NULL, 0.000000000000000000000000000000, NULL, '2401', NULL);
INSERT INTO `reagent_consumables` VALUES ('073FE1CCA1F7AD328F383614212A7B7E', '一次性塑料滴管 1mL', '国产', '耗材', NULL, '普通耗材', '100支/包,100支/包', '2023-09-15 15:37:49.000000', '2023-09-15 15:37:49.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '后续不再购买', '包', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('07E02A6DF0D7CDB829BB95F1B0657D0F', '手套', '科邦', '耗材', NULL, '普通耗材', '橡胶，S号,200只/盒,200只/盒', '2023-09-15 15:37:46.000000', '2023-09-15 15:37:46.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('084D6C193744DB163AB21E1B831497CD', '无水硫酸镁', '科密欧', '试剂', NULL, '普通试剂', '500g/瓶', '2023-09-15 15:39:06.000000', '2023-09-15 15:39:06.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('084F3D11D5D65781E73DE80904B5C165', '血清移液管', 'n/a', '耗材', NULL, '普通耗材', '2ml', '2023-09-15 15:38:15.000000', '2023-09-15 15:38:15.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('08C944AC6EA651068699B9CAAC437A18', '氯化钠', '科密欧', '试剂', NULL, '普通试剂', '500g/瓶', '2023-09-15 15:39:07.000000', '2023-09-15 15:39:07.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('0910061C04D2A466D273AF264AE1AB2F', '保鲜自封袋7号', '苹果', '耗材', NULL, '普通耗材', '200x140mm', '2023-09-15 15:38:03.000000', '2023-09-15 15:38:03.000000', '1', '1', '/', NULL, 1.00, '/', 100, '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('09836480A91A43A603A1BE72FBE51F82', '正己烷', '科密欧', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-09-15 15:39:05.000000', '2023-09-15 15:39:05.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('09876F13A076E82F2F1D22F2677E7D88', '进口滤膜', '津隆', '耗材', NULL, '普通耗材', '25mm，100片/盒，有机尼龙66，0.45um，货号：JLSN184502', '2023-09-15 15:38:46.000000', '2023-09-15 15:38:46.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('0B38D48B7C49CA2BF971DD3114FC4E0C', '移液管', 'MC', '耗材', NULL, '普通耗材', '5ml', '2023-09-15 15:38:13.000000', '2023-09-15 15:38:13.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('0B7BEA3283F2E4239AF760BBA5AEF992', '3,3-二甲基-2-(1-(戊-4-烯-1-基)-1H-吲唑-3-甲酰胺-4,5,6,7-d4)丁酸甲酯', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:24.000000', '2023-09-15 15:37:24.000000', '1', '1', '/', NULL, 1.00, 'methyl 3,3-dimethyl-2-(1-(pent-4-en-1-yl)-1H-indazole-3-carboxamido-4,5,6,7-d4)butanoate', 1, 'D4-MDMB-4en-PINACA', '冷藏贮存', 'GASS-505', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('0C833E3F6429470CD43824F47A24AF13', '(1-((四氢-2H-吡喃-4-基)甲基)-1H-吲哚-3-基)(2,2,3,3-四甲基环丙基)甲酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:35.000000', '2023-09-15 15:36:35.000000', '1', '1', '/', NULL, 1.00, '(1-((tetrahydro-2H-pyran-4-yl)methyl)-1H-indol-3-yl)(2,2,3,3-tetramethylcyclopropyl)methanone', 1, 'A-834,735', '冷藏贮存', 'GASS-042', '瓶', NULL, 0.000000000000000000000000000000, '895155-57-4', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('0D35C76DE73A46697BB247FB8326473E', '活性炭口罩', 'n/a', '耗材', NULL, '普通耗材', '50支/盒', '2023-09-15 15:38:28.000000', '2023-09-15 15:38:28.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('0D74171D2B5AA49F6F173E7B5C033540', '带塞溶剂瓶', 'n/a', '耗材', NULL, '普通耗材', '500ml', '2023-09-15 15:38:44.000000', '2023-09-15 15:38:44.000000', '1', '1', '/', NULL, 1.00, '/', 8, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('0D9524212CD67B72072F96065147EDB1', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)庚酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:04.000000', '2023-09-15 15:37:04.000000', '1', '1', '/', NULL, 1.00, 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)heptanamide', 1, '对甲苯基庚酰基芬太尼', '冷藏贮存', 'GASS-366', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('0DC20427209355D65C3F47DAC8EFFFF1', '标准漏斗', 'n/a', '耗材', NULL, '普通耗材', 'n/a', '2023-09-15 15:38:43.000000', '2023-09-15 15:38:43.000000', '1', '1', '/', NULL, 1.00, '/', 10, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('0E0DBA2163FE46D736D11A85BC6E0F78', '2,2,2-三氯-N-(1-苯乙基哌啶-4-基) -N-(对甲苯基) 乙酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:08.000000', '2023-09-15 15:37:08.000000', '1', '1', '/', NULL, 1.00, '2,2,2-trichloro-N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)acetamide', 1, '对甲苯基三氯乙酰基芬太尼', '冷藏贮存', 'GASS-376', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('0E73C095F6DBB2A900FF486691B1A19F', '枪头', 'Brand', '耗材', NULL, '普通耗材', '5ml，200支/包', '2023-09-15 15:38:46.000000', '2023-09-15 15:38:46.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('0E96CF1FC2708D823721E364D8CE8333', '2-(吡咯烷-1-基)-1-(对甲苯基)丙-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:00.000000', '2023-09-15 15:37:00.000000', '1', '1', '/', NULL, 1.00, '2-(pyrrolidin-1-yl)-1-(p-tolyl)propan-1-one', 1, 'N-环丁基-对甲-卡西酮盐酸盐', '冷藏贮存', 'GASS-333', '瓶', NULL, 0.000000000000000000000000000000, '1313393-58-6', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('0ECA17F366E604B0DEA9A417AB32384B', '乙腈', 'Fisher', '试剂', NULL, '普通试剂', '4L/瓶', '2023-09-15 15:39:20.000000', '2023-09-15 15:39:20.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC，GC级');
INSERT INTO `reagent_consumables` VALUES ('0F030AA79F9059D7FC7705D60D9029D4', '容量瓶 50mL ', 'Brand', '耗材', NULL, '普通耗材', '棕色,/,/', '2023-09-15 15:37:42.000000', '2023-09-15 15:37:42.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '个', NULL, 0.000000000000000000000000000000, NULL, '37485', NULL);
INSERT INTO `reagent_consumables` VALUES ('0F298940CF8BA5E47E115C4782C5F2C9', '萘-1-基(4-(戊基氧基)萘-1-基)甲酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:39.000000', '2023-09-15 15:36:39.000000', '1', '1', '/', NULL, 1.00, 'naphthalen-1-yl(4-(pentyloxy)naphthalen-1-yl)methanone', 1, 'CB-13', '冷藏贮存', 'GASS-053', '瓶', NULL, 0.000000000000000000000000000000, '432047-72-8', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('0F2C0D3D6B9AE8B64D177E51961367CB', '玻璃冻存管', 'n/a', '耗材', NULL, '普通耗材', '透明，5ml', '2023-09-15 15:38:18.000000', '2023-09-15 15:38:18.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('0F94F191F6F57C3971063DA6B641D79B', '1-(5-氟戊基)-N-(2-苯基丙-2-基) -1H-吲唑-4,5,6,7-d4-3-羧酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:26.000000', '2023-09-15 15:37:26.000000', '1', '1', '/', NULL, 1.00, '1-(5-fluoropentyl)-N-(2-phenylpropan-2-yl)-1H-indazole-4,5,6,7-d4-3-carboxamide', 1, 'D4-5F-CUMYL-PINACA', '冷藏贮存', 'GASS-508', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('101FF519C486DAFF2BDB6E19BA3C8B63', '丙二酸二乙酯', '麦克林', '试剂', NULL, '普通试剂', '99%，500ml/瓶', '2023-09-15 15:39:00.000000', '2023-09-15 15:39:00.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('118EE35B599EC1F7CA064F1C2AE748CA', '一次性塑料烧杯', 'n/a', '耗材', NULL, '普通耗材', '100ml', '2023-09-15 15:38:42.000000', '2023-09-15 15:38:42.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('1195745C875CF134E4A225BEDDDE0C80', '无水硫酸钠', '科密欧', '试剂', NULL, '普通试剂', '500g/瓶', '2023-09-15 15:39:07.000000', '2023-09-15 15:39:07.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('11A6C4AE99158802031C961AE3302522', '定性滤纸', '皎洁', '耗材', NULL, '普通耗材', '18cm，中速', '2023-09-15 15:38:53.000000', '2023-09-15 15:38:53.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('122C3CE9CACD235AB6105CEF01F14B6F', '5ml连盖离心管', 'CYPRESS', '耗材', NULL, '普通耗材', '300个/包,300个/包', '2023-09-15 15:37:39.000000', '2023-09-15 15:37:39.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '包', NULL, 0.000000000000000000000000000000, NULL, '0200050', NULL);
INSERT INTO `reagent_consumables` VALUES ('130485479725E1570E1FDA24B63DE8C1', '镊子', 'n/a', '耗材', NULL, '普通耗材', '直头，20cm', '2023-09-15 15:38:25.000000', '2023-09-15 15:38:25.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('132FF91A13C738AA9CE139958D0E993E', 'N-(金刚烷-1-基)-1-戊基-1H-吲哚-3-甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:38.000000', '2023-09-15 15:36:38.000000', '1', '1', '/', NULL, 1.00, 'N-(adamantan-1-yl)-1-pentyl-1H-indole-3-carboxamide', 1, 'APICA', '冷藏贮存', 'GASS-051', '瓶', NULL, 0.000000000000000000000000000000, '1345973-50-3', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('135AF332E97947C4F05052E80CF0299D', '1-(4-氯苯基)-2-(吡咯烷-1-基)丙-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:16.000000', '2023-09-15 15:37:16.000000', '1', '1', '/', NULL, 1.00, '1-(4-chlorophenyl)-2-(pyrrolidin-1-yl)propan-1-one', 1, '4-氯苯基-N-吡咯烷基卡西酮盐酸盐', '冷藏贮存', 'GASS-396', '瓶', NULL, 0.000000000000000000000000000000, '93307-24-5', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('13846DD02C8665125AEFB8C2CA6DF0EE', '4-(三氟甲基)氯苄', '阿拉丁', '试剂', NULL, '普通试剂', '>97.0%(GC)，25g/瓶', '2023-09-15 15:39:23.000000', '2023-09-15 15:39:23.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, '939-99-1', NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('1424383A929A059F7B634B0C6EB581D2', '乙酸乙酯', 'GRACE', '试剂', NULL, '普通试剂', '4L/瓶', '2023-09-15 15:37:59.000000', '2023-09-15 15:37:59.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '/', 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('1475E43FB18419DC3D7BCA7374AB338A', '碳酸氢钠', '光富', '试剂', NULL, '普通试剂', '500克/瓶', '2023-09-15 15:38:00.000000', '2023-09-15 15:38:00.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '/', '优级纯');
INSERT INTO `reagent_consumables` VALUES ('14DCEE3186E63EE87E163290EEC7F281', '正己烷', 'CNW', '试剂', NULL, '普通试剂', '4l/瓶', '2023-09-15 15:39:03.000000', '2023-09-15 15:39:03.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('14F70C65CB11F890A7B021A62EF29390', '15ml塑料离心管', 'CORNING　CentriStar', '耗材', NULL, '普通耗材', 'PET塑料,10包/箱  1包/50,10包/箱  1包/50', '2023-09-15 15:37:38.000000', '2023-09-15 15:37:38.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '箱', NULL, 0.000000000000000000000000000000, NULL, '430790', NULL);
INSERT INTO `reagent_consumables` VALUES ('15291EA04046C73EA24F7C4EDD120D46', 'ACQUITY UPLC BEH HILIC 1.7um VanGuard Pre-Column', 'Waters', '耗材', NULL, '色谱柱', '1.7，2.1*5mm Column,3根/1盒,3根/1盒', '2023-09-15 15:37:53.000000', '2023-09-15 15:37:53.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '毛发专用', '盒', NULL, 0.000000000000000000000000000000, NULL, '186003980', NULL);
INSERT INTO `reagent_consumables` VALUES ('1592FF99BD03546EBFBA28083C0239B0', '进口滤膜', '津隆', '耗材', NULL, '普通耗材', '13mm，水洗聚醚砜（PES）,0.45um，货号：JLSP054501', '2023-09-15 15:38:50.000000', '2023-09-15 15:38:50.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('15DBE08E2C3440D8A8CA4CE99BE5934B', '250uL有机枪头', 'RAININ　250ul', '耗材', NULL, '普通耗材', 'disposable capillaries/pistons 17008608,180个/盒,180个/盒', '2023-09-15 15:37:29.000000', '2023-09-15 15:37:29.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '污水专用', '盒', NULL, 0.000000000000000000000000000000, NULL, '17008608', NULL);
INSERT INTO `reagent_consumables` VALUES ('166488D671BE1EA306361E31FD7A6118', '100ul有相机枪头', 'RAININ    100ul ', '耗材', NULL, '普通耗材', 'disposable capillaries/pistons 17008607,180个/盒,180个/盒', '2023-09-15 15:37:31.000000', '2023-09-15 15:37:31.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '污水专用', '盒', NULL, 0.000000000000000000000000000000, NULL, '17008607', NULL);
INSERT INTO `reagent_consumables` VALUES ('16766BAE1BC88BE2EBF7A8ADE3CC696E', '固相萃取小柱', 'waters', '耗材', NULL, '普通耗材', 'Oasis®PRiME MCX3cc(60mg)Extraction Cartridges,100个/盒,100个/盒', '2023-09-15 15:37:31.000000', '2023-09-15 15:37:31.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '污水专用', '盒', NULL, 0.000000000000000000000000000000, NULL, '186008918', NULL);
INSERT INTO `reagent_consumables` VALUES ('173C0EEA098A75BA7AD1E47D420AB773', '擦镜纸', 'KIMTECH', '耗材', NULL, '普通耗材', '11.0*21.3cm', '2023-09-15 15:38:21.000000', '2023-09-15 15:38:21.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('17BC53F01A32CAA36E8C0CD76392B8EB', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)丙酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:09.000000', '2023-09-15 15:37:09.000000', '1', '1', '/', NULL, 1.00, 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)propionamide', 1, '对甲苯基正丙酰基芬太尼', '冷藏贮存', 'GASS-379', '瓶', NULL, 0.000000000000000000000000000000, '1838-67-1', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('18A55CF20791BDD9415F3CA3550813B2', 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(5-氟戊基)-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:32.000000', '2023-09-15 15:36:32.000000', '1', '1', '/', NULL, 1.00, 'N-(1-amino-3-methyl-1-oxobutan-2-yl)-1-(5-fluoropentyl)-1H-indazole-3-carboxamide', 1, '5F-AB-PINACA', '冷藏贮存', 'GASS-035', '瓶', NULL, 0.000000000000000000000000000000, '1800101-60-3', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('18A7746871B1FA0840F8446C087A82C4', '量筒 50mL', '/', '耗材', NULL, '普通耗材', '/,/', '2023-09-15 15:37:44.000000', '2023-09-15 15:37:44.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '个', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('18F5138D8CF9E36ADB6D955ED1403C29', '四氢呋喃', '阿拉丁', '试剂', NULL, '普通试剂', '500ml/瓶,99%', '2023-09-15 15:39:08.000000', '2023-09-15 15:39:08.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('195B41CB95F54804BC07BCDDA22747A1', '孕酮', 'VETEC', '试剂', NULL, '普通试剂', '25g/瓶,98%', '2023-09-15 15:39:17.000000', '2023-09-15 15:39:17.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'RG');
INSERT INTO `reagent_consumables` VALUES ('1970E18E8900A26304B9E6B891D415E9', '容量瓶', 'Brand', '耗材', NULL, '普通耗材', '5ml', '2023-09-15 15:38:33.000000', '2023-09-15 15:38:33.000000', '1', '1', '/', NULL, 1.00, '/', 2, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('19881808A7CA7A51E36CAF85D6A03DE0', '氘代DMSO', 'CIL', '试剂', NULL, '普通试剂', '50ml/瓶', '2023-09-15 15:39:16.000000', '2023-09-15 15:39:16.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('1AEC57F1A7CDC1A6AF8B3904095135B9', '一次性玻璃巴氏吸管', 'Brand', '耗材', NULL, '普通耗材', '225mm,250支/盒,250支/盒', '2023-09-15 15:37:36.000000', '2023-09-15 15:37:36.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '747720', NULL);
INSERT INTO `reagent_consumables` VALUES ('1B4A9ED2F33657BD03BE86E5DF595B40', 'N-(金刚烷-1-基)-1-(5-氟戊基)-1H-吲哚-3-甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:42.000000', '2023-09-15 15:36:42.000000', '1', '1', '/', NULL, 1.00, 'N-(adamantan-1-yl)-1-(5-fluoropentyl)-1H-indole-3-carboxamide', 1, '5F-APICA(STS-135)', '冷藏贮存', 'GASS-072', '瓶', NULL, 0.000000000000000000000000000000, '1354631-26-7', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('1B6E48790D300D9BEDBBFE11394A8953', '枪头', 'Brand', '耗材', NULL, '普通耗材', '200ul', '2023-09-15 15:38:52.000000', '2023-09-15 15:38:52.000000', '1', '1', '/', NULL, 1.00, '/', 10, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('1BDF79B4AC04F94621BF42F2AFC14C9D', '氯化亚砜', '科试', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-09-15 15:39:18.000000', '2023-09-15 15:39:18.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('1C6D4F4ACE1F4A4753FF39486A89B0B4', '镊子', 'n/a', '耗材', NULL, '普通耗材', '直头，12.5cm', '2023-09-15 15:38:24.000000', '2023-09-15 15:38:24.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('1CC4CEA927A8BB374265D65620A3FD53', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)乙酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:12.000000', '2023-09-15 15:37:12.000000', '1', '1', '/', NULL, 1.00, 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)acetamide', 1, '对氟苯基乙酰基芬太尼', '冷藏贮存', 'GASS-387', '瓶', NULL, 0.000000000000000000000000000000, '244195-30-0', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('1CFBE6ABD5238BFC7A0C295237641BDA', 'N-(1-苯乙基哌啶-4-基)-N-苯基环丁烷甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:13.000000', '2023-09-15 15:37:13.000000', '1', '1', '/', NULL, 1.00, 'N-(1-phenethylpiperidin-4-yl)-N-phenylcyclobutanecarboxamide', 1, '苯基环丁甲酰基芬太尼', '冷藏贮存', 'GASS-389', '瓶', NULL, 0.000000000000000000000000000000, '2306827-55-2', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('1D52A1A603C7502E6B7FB5CF7515CC3F', '称量纸 100*100mm', '/', '耗材', NULL, '普通耗材', ' 100*100mm,500张/包,500张/包', '2023-09-15 15:37:46.000000', '2023-09-15 15:37:46.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '包', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('1E14425B115F4BAD8E3C26EA796BEE4F', '1H-吲唑-3-羧酸甲酯', '阿拉丁', '试剂', NULL, '普通试剂', '97%，5g/瓶', '2023-09-15 15:39:21.000000', '2023-09-15 15:39:21.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, '43120-28-1', NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('1E3AD0C8BDE6B8BD170109FE82FE98BE', '乙醇', 'GRACE', '试剂', NULL, '普通试剂', '4L/瓶', '2023-09-15 15:37:59.000000', '2023-09-15 15:37:59.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '/', 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('1EC308E5D0420A58A374AD93873CA87A', '1-(4-氯-2,5-二甲氧基苯基)丙-2-胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:31.000000', '2023-09-15 15:36:31.000000', '1', '1', '/', NULL, 1.00, '1-(4-chloro-2,5-dimethoxyphenyl)propan-2-amine', 1, 'DoC', '冷藏贮存', 'GASS-013', '瓶', NULL, 0.000000000000000000000000000000, '123431-31-2', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('1EDCF8BA3B8091F30183CBCBB40FF662', '一次性塑料滴管 2mL', '国产', '耗材', NULL, '普通耗材', '100支/包,100支/包', '2023-09-15 15:37:49.000000', '2023-09-15 15:37:49.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '后续不再购买', '包', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('1EE6290413CE75F9C8A0F295F82D16C1', '定量滤纸', '新星', '耗材', NULL, '普通耗材', '18cm，中速', '2023-09-15 15:38:50.000000', '2023-09-15 15:38:50.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('1F16126FDCB148D65447A5B5E347213A', '物证封装袋', 'n/a', '耗材', NULL, '普通耗材', '30*22cm', '2023-09-15 15:38:07.000000', '2023-09-15 15:38:07.000000', '1', '1', '/', NULL, 1.00, '/', 100, '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('207E04A547D0B574CA52A2E794C11E0F', '2-(1-(4-氟丁基)-1H-吲哚-3-甲酰胺-4,5,6,7-d4)-3,3-二甲基丁酯甲酯', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:24.000000', '2023-09-15 15:37:24.000000', '1', '1', '/', NULL, 1.00, 'methyl 2-(1-(4-fluorobutyl)-1H-indole-3-carboxamido-4,5,6,7-d4)-3,3-dimethylbutanoate', 1, 'D4-4F-MDMB-BICA', '冷藏贮存', 'GASS-504', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('208994E98031A1275F9D03C201BF0C3A', '甲醇', 'Supelco', '试剂', NULL, '普通试剂', '4L/瓶', '2023-09-15 15:39:01.000000', '2023-09-15 15:39:01.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('20ED057964BDD3254C6D5AE38BC79EFA', '点样毛细管', '垒固', '耗材', NULL, '普通耗材', '0.3x1000，1000支', '2023-09-15 15:38:57.000000', '2023-09-15 15:38:57.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('2121EE277B25E4C98A1122C03250788B', '刮刀', 'n/a', '耗材', NULL, '普通耗材', '10cm', '2023-09-15 15:38:25.000000', '2023-09-15 15:38:25.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('21327E338B3FDCC56850E0F5E9F80128', '干燥器', 'n/a', '耗材', NULL, '普通耗材', '300mm', '2023-09-15 15:38:55.000000', '2023-09-15 15:38:55.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('21443AEFAD3267FEF7D49AD66C574FEC', 'ACQUITY UPLC BEH HILIC 1.7um', 'Waters', '耗材', NULL, '色谱柱', ' 1.7 µm, 2.1 mm X 50 mm,1/根,1/根', '2023-09-15 15:37:52.000000', '2023-09-15 15:37:52.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '毛发专用', '根', NULL, 0.000000000000000000000000000000, NULL, '186003461', NULL);
INSERT INTO `reagent_consumables` VALUES ('21CDDE43FCAA0D0E8275D792B8014818', '丙酸酐', '成都艾科', '试剂', NULL, '普通试剂', '98%，500g/瓶', '2023-09-15 15:39:18.000000', '2023-09-15 15:39:18.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('21DFF0663AC92DC575C4FFEBF70C6BFF', '塑料烧杯', 'n/a', '耗材', NULL, '普通耗材', '10ml', '2023-09-15 15:38:17.000000', '2023-09-15 15:38:17.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('2243419D95EAB4D97B60A7B6A221C85C', 'HOBT, 1-羟基苯并三唑一水合物', '阿拉丁', '试剂', NULL, '普通试剂', '≥97.0%, 100g/瓶', '2023-09-15 15:39:25.000000', '2023-09-15 15:39:25.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, '123333-53-9', NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('23455EC4E6F2F8F2B7DDD464EF4334B5', '喹啉-8-基1-(5-氟戊基)-1H-吲哚-3-羧酸盐', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:34.000000', '2023-09-15 15:36:34.000000', '1', '1', '/', NULL, 1.00, 'quinolin-8-yl 1-(5-fluoropentyl)-1H-indole-3-carboxylate', 1, '5F-PB-22', '冷藏贮存', 'GASS-039', '瓶', NULL, 0.000000000000000000000000000000, '1400742-41-7', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('23879B5222DABD0063CA40B49CA3D7FE', '200ul枪头', 'Brand', '耗材', NULL, '普通耗材', '容量200ul,96个/盒,96个/盒', '2023-09-15 15:37:33.000000', '2023-09-15 15:37:33.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '732028', NULL);
INSERT INTO `reagent_consumables` VALUES ('249916E35445AB5CC31EC05DDBBE627A', '梨形分液漏斗', 'n/a', '耗材', NULL, '普通耗材', '10ml', '2023-09-15 15:38:43.000000', '2023-09-15 15:38:43.000000', '1', '1', '/', NULL, 1.00, '/', 10, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('24A07562E651D98134EE3AE24C6E3D9C', '洗瓶', 'n/a', '耗材', NULL, '普通耗材', '500ml', '2023-09-15 15:38:31.000000', '2023-09-15 15:38:31.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('24A8BF9786B4933E9A9BDEFF5CF5FED8', '1ml有机相枪头', 'RAININ　1000ul', '耗材', NULL, '普通耗材', 'disposable capillaries/pistons 17008609,180个/盒,180个/盒', '2023-09-15 15:37:30.000000', '2023-09-15 15:37:30.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '污水专用', '盒', NULL, 0.000000000000000000000000000000, NULL, '17008609', NULL);
INSERT INTO `reagent_consumables` VALUES ('250EAF8A972CB4F00C97DE63FC8F0EB8', '无水碳酸钠', '光富', '试剂', NULL, '普通试剂', '500克/瓶', '2023-09-15 15:38:00.000000', '2023-09-15 15:38:00.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '/', '优级纯');
INSERT INTO `reagent_consumables` VALUES ('2592751F4FCC20B9D9F4AEA26F3254B1', '一次性塑料离心管', 'Corning', '耗材', NULL, '普通耗材', '50ml', '2023-09-15 15:38:41.000000', '2023-09-15 15:38:41.000000', '1', '1', '/', NULL, 1.00, '/', 20, '/', '常规贮存', NULL, '箱', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('25A54A895E15718564DD5E7439AC64B9', '封口膜', 'Bemis', '耗材', NULL, '普通耗材', '4IN.*125FT.ROLL，PM-996', '2023-09-15 15:38:07.000000', '2023-09-15 15:38:07.000000', '1', '1', '/', NULL, 1.00, '/', 100, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('26782CB2B992CCEC36A4C7F668243F86', '100ul有相机枪头', 'RAININ    100ul ', '耗材', NULL, '普通耗材', 'disposable capillaries/pistons 17008607,180个/盒,180个/盒', '2023-09-15 15:37:31.000000', '2023-09-15 15:37:31.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '污水专用', '盒', NULL, 0.000000000000000000000000000000, NULL, '17008607', NULL);
INSERT INTO `reagent_consumables` VALUES ('26D992C1C9A35E81B1A69CC82868407B', '乙腈', 'OCEANPAK', '试剂', NULL, '普通试剂', '4L/瓶', '2023-09-15 15:39:02.000000', '2023-09-15 15:39:02.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('27E12C07E4DEEBD22B75DBB4C7BC7704', 'Astec CHIROBIOTIC V2', 'merck', '耗材', NULL, '色谱柱', '25cm*4.6mm,5um', '2023-09-15 15:38:08.000000', '2023-09-15 15:38:08.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('28E449B72E00070F8A164AEDBDF9FF39', '容量瓶', 'Brand', '耗材', NULL, '普通耗材', '50ml', '2023-09-15 15:38:32.000000', '2023-09-15 15:38:32.000000', '1', '1', '/', NULL, 1.00, '/', 2, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('28F313B9003D6C91A518DDAD48E12A10', '螺口试剂瓶', '蜀牛', '耗材', NULL, '普通耗材', ' 1000mL(棕色),/,/', '2023-09-15 15:37:40.000000', '2023-09-15 15:37:40.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '个', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('290060F1EF9789FE3FDC880097D2B288', 'ZORBAX Eclipse Plus C18', 'agilent', '耗材', NULL, '色谱柱', '4.6*150mm,5um', '2023-09-15 15:38:08.000000', '2023-09-15 15:38:08.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('293795B0CBABCA4B9877C8D228A091C5', '氢氧化钾', '光复', '试剂', NULL, '普通试剂', '500g/瓶', '2023-09-15 15:39:09.000000', '2023-09-15 15:39:09.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'GR级');
INSERT INTO `reagent_consumables` VALUES ('29A32319B21200637487712BC5EB9E19', '螺纹试剂瓶', '蜀牛', '耗材', NULL, '普通耗材', '80ml', '2023-09-15 15:38:41.000000', '2023-09-15 15:38:41.000000', '1', '1', '/', NULL, 1.00, '/', 20, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('2A6C8F347025653C229A0DBF0DA3A461', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)环丁酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:12.000000', '2023-09-15 15:37:12.000000', '1', '1', '/', NULL, 1.00, 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)cyclobutanecarboxamide', 1, '对氟苯基环丁甲酰基芬太尼', '冷藏贮存', 'GASS-386', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('2A74F4E27DAD92C91DACC23A2FF7E115', '氢氧化钠（片状）', '科密欧', '试剂', NULL, '普通试剂', '500g/瓶', '2023-09-15 15:39:10.000000', '2023-09-15 15:39:10.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('2B96AC7F3A5F6958EB89EFF13179C95D', '移液枪吸头 10mL', '赛多利斯 ', '耗材', NULL, '普通耗材', '250/包,250/包', '2023-09-15 15:37:52.000000', '2023-09-15 15:37:52.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '后续不再购买', '包', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('2BA2AA32EB86AC3CE862492195BF270C', '2-(苯甲基亚磺酰基)乙酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:54.000000', '2023-09-15 15:36:54.000000', '1', '1', '/', NULL, 1.00, '2-(benzhydrylsulfinyl)acetamide', 1, '莫达非尼', '冷藏贮存', 'GASS-298', '瓶', NULL, 0.000000000000000000000000000000, '68693-11-8', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('2CC8200BDFCF51C67F8426AF40E72289', '100ul有相机枪头', 'RAININ    100ul ', '耗材', NULL, '普通耗材', 'disposable capillaries/pistons 17008607,180个/盒,180个/盒', '2023-09-15 15:37:30.000000', '2023-09-15 15:37:30.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '污水专用', '盒', NULL, 0.000000000000000000000000000000, NULL, '17008607', NULL);
INSERT INTO `reagent_consumables` VALUES ('2D8537E98EA7225311BD3F92DCEF3378', '15ml塑料离心管', 'CORNING　CentriStar', '耗材', NULL, '普通耗材', 'PET塑料,10包/箱  1包/50,10包/箱  1包/50', '2023-09-15 15:37:38.000000', '2023-09-15 15:37:38.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '箱', NULL, 0.000000000000000000000000000000, NULL, '430790', NULL);
INSERT INTO `reagent_consumables` VALUES ('2F5A6C27D9678603708FE73BA7B40D39', '浓硝酸', '国产', '试剂', NULL, '普通试剂', '500mL/瓶', '2023-09-15 15:38:02.000000', '2023-09-15 15:38:02.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '/', '分析纯');
INSERT INTO `reagent_consumables` VALUES ('2F870B34EAEB8090C55C6DF21FB25C0D', '7-氯-5-(2-氯苯基-3,4.5,6-d4) -3-羟基-1,3-二氢-2H-苯并[e][1,4]二氮杂-2-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:20.000000', '2023-09-15 15:37:20.000000', '1', '1', '/', NULL, 1.00, '7-chloro-5-(2-chlorophenyl-3,4,5,6-d4)-3-hydroxy-13-dihydro-2H-benzole][1,4]diazepin-2-one', 1, 'D4-劳拉西半', '冷藏贮存', 'GASS-454', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('2FB33DD6ED5520693087DC13BC493BCC', '氢氧化钾', '科密欧', '试剂', NULL, '普通试剂', '500克/瓶', '2023-09-15 15:38:00.000000', '2023-09-15 15:38:00.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '/', '优级纯');
INSERT INTO `reagent_consumables` VALUES ('2FE83FE28F9A1A5A844916BC6B6C8480', 'Kinetex Biphenyl', '飞诺美', '耗材', NULL, '色谱柱', '100*3.0mm,2.6um', '2023-09-15 15:38:09.000000', '2023-09-15 15:38:09.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('2FFDAD5C12310FB5BBEEE5EF2820A98C', '甲醇', '科密欧', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-09-15 15:39:04.000000', '2023-09-15 15:39:04.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('30FE3BFFB43DC4A814F056067A952AFC', '氢氧化钠', '欧博凯', '试剂', NULL, '普通试剂', '500克/瓶', '2023-09-15 15:38:01.000000', '2023-09-15 15:38:01.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '/', '优级纯');
INSERT INTO `reagent_consumables` VALUES ('327840599C60462FC657BCD00F6FD761', '枪头', 'sartorius', '耗材', NULL, '普通耗材', '200ul', '2023-09-15 15:38:51.000000', '2023-09-15 15:38:51.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('32B0B36D5474F4226A1D72DED005FF87', '2-(4-氯-2,5-二甲氧基苯基)-N-(2-甲氧基苄基)乙烷-1-胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:18.000000', '2023-09-15 15:37:18.000000', '1', '1', '/', NULL, 1.00, '2-(4-chloro-2,5-dimethoxyphenyl)-N-(2-methoxybenzyl)ethan-1-amine', 1, 'N-乙胺', '冷藏贮存', 'GASS-409', '瓶', NULL, 0.000000000000000000000000000000, '1227608-02-7', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('32B5B787A02F46E95EFFFEB0A89109DD', '移液枪500-5000uL', '赛多利斯 ', '耗材', NULL, '普通耗材', '/,/', '2023-09-15 15:37:50.000000', '2023-09-15 15:37:50.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '后续不再购买', '个', NULL, 0.000000000000000000000000000000, NULL, '39086984', NULL);
INSERT INTO `reagent_consumables` VALUES ('330B749E3D9ED7827E95CF1A99D4D9C2', '1-(4-氰基丁基)-N-(2-苯基丙-2-基) -1H-吲唑-4,5,6,7-d4-3-羧酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:25.000000', '2023-09-15 15:37:25.000000', '1', '1', '/', NULL, 1.00, '1-(4-cyanobutyl)-N-(2-phenylpropan-2-yl)-1H-indazole-4,5,6,7-d4-3-carboxamide', 1, 'D4-4CN-CUMYL-BUTINACA', '冷藏贮存', 'GASS-507', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('33F09665A59610E05E695C9B1CBBA593', '丙酮', 'CNW', '试剂', NULL, '普通试剂', '4L/瓶', '2023-09-15 15:37:56.000000', '2023-09-15 15:37:56.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '/', 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('349C76AFED97C702E050BDE8915558A8', '载玻片', 'SAIL BRAND', '耗材', NULL, '普通耗材', '25.4x76.2mm，50片，7102', '2023-09-15 15:38:56.000000', '2023-09-15 15:38:56.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('36216E1A7E8295479741FEC72FEC1139', ' 移液枪吸头1mL', '赛多利斯', '耗材', NULL, '普通耗材', '480个/盒,480个/盒', '2023-09-15 15:37:51.000000', '2023-09-15 15:37:51.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '后续不再购买', '盒', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('362BA80E6604CFEB9D7ADA3BB349A1A7', '1-(4-甲氧基苯基-2,3,5,6-d4)丙-2-胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:19.000000', '2023-09-15 15:37:19.000000', '1', '1', '/', NULL, 1.00, '1-(4-methoxyphenyl-2,3,5,6-d4)propan-2-amine', 1, 'D4-PMA盐酸盐', '冷藏贮存', 'GASS-451', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('36456BDC7D684A47A9DC94B8D267A3A6', '1-苯基-2-(吡咯烷-1-基)丙-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:02.000000', '2023-09-15 15:37:02.000000', '1', '1', '/', NULL, 1.00, '1-phenyl-2-(pyrrolidin-1-yl)propan-1-one', 1, 'PPP盐酸盐', '冷藏贮存', 'GASS-337', '瓶', NULL, 0.000000000000000000000000000000, '92040-10-3', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('367EEF5C6C0DA36FAB5C028A63169F73', '氨水', '沪试', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-09-15 15:39:11.000000', '2023-09-15 15:39:11.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('36A2D47A279002093E7D2CE7AF2C5CA4', '3,3-二甲基-2-(1-(戊-4-烯-1-基)-1H-吲唑-3-甲酰胺基)丁酸甲酯', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:52.000000', '2023-09-15 15:36:52.000000', '1', '1', '/', NULL, 1.00, 'methyl 3,3-dimethyl-2-(1-(pent-4-en-1-yl)-1H-indazole-3-carboxamido)butanoate', 1, 'MDMB-4en-PINACA', '冷藏贮存', 'GASS-292', '瓶', NULL, 0.000000000000000000000000000000, '2504100-70-1', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('36D1F15B458AA95DCBB32AD18D4C49D4', '隔垫', '岛津', '耗材', NULL, '普通耗材', '货号221-75180，50个/盒', '2023-09-15 15:38:12.000000', '2023-09-15 15:38:12.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('38187AEC9352E87BF2539AC788DCFEF7', '试管', 'n/a', '耗材', NULL, '普通耗材', '15*150mm', '2023-09-15 15:38:13.000000', '2023-09-15 15:38:13.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('385C7E3650F1253F5E9D4CB3A00DE9D8', '乙酸铵', 'Sigma', '试剂', NULL, '普通试剂', '500克/瓶', '2023-09-15 15:37:54.000000', '2023-09-15 15:37:54.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '污水，毛发专用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '32301-500G', 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('38DB22512312B6A6D14D169BA2343EAE', '塑料吸管', 'n/a', '耗材', NULL, '普通耗材', '5ml，100支/袋', '2023-09-15 15:38:27.000000', '2023-09-15 15:38:27.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '袋', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('392102DAF8E7C6DBA6009AF9104B10BA', 'L-缬氨酰胺盐酸盐', '阿拉丁', '试剂', NULL, '普通试剂', '98%，25g/瓶', '2023-09-15 15:39:23.000000', '2023-09-15 15:39:23.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, '3014-80-0', NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('3973DE5C5C74F5FB4DFD8DF26FE8584B', '手套', '科邦', '耗材', NULL, '普通耗材', '橡胶，M号,200只/盒,200只/盒', '2023-09-15 15:37:47.000000', '2023-09-15 15:37:47.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('3B01FB6779FEBCA695CFFDD9C0EE79C7', '保鲜自封袋4号', '苹果', '耗材', NULL, '普通耗材', '85x120mm', '2023-09-15 15:38:04.000000', '2023-09-15 15:38:04.000000', '1', '1', '/', NULL, 1.00, '/', 100, '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('3B0F6385E2EDAC8B3AF7BAFAB369D220', '(1-(4-氟苄基)-1H-吲哚-3-基)(萘-1-基)甲酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:39.000000', '2023-09-15 15:36:39.000000', '1', '1', '/', NULL, 1.00, '(1-(4-fluorobenzyl)-1H-indol-3-yl)(naphthalen-1-yl)methanone', 1, 'FUB-JWH-018', '冷藏贮存', 'GASS-056', '瓶', NULL, 0.000000000000000000000000000000, '2365471-45-8', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('3B3E40A7AB95A8C46E888702955AE182', '容量瓶 250mL ', 'Brand', '耗材', NULL, '普通耗材', '棕色,/,/', '2023-09-15 15:37:43.000000', '2023-09-15 15:37:43.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '个', NULL, 0.000000000000000000000000000000, NULL, '37489', NULL);
INSERT INTO `reagent_consumables` VALUES ('3BBABC3BFEFE70F2B24B727798D19EEF', '移液枪吸头0.5-20uL', 'Brand', '耗材', NULL, '普通耗材', '10包/盒,10包/盒', '2023-09-15 15:37:44.000000', '2023-09-15 15:37:44.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '732224', NULL);
INSERT INTO `reagent_consumables` VALUES ('3C6CD44CE98751609B6B5655E9B1898E', '手套', '科邦', '耗材', NULL, '普通耗材', '橡胶，M号,200只/盒,200只/盒', '2023-09-15 15:37:47.000000', '2023-09-15 15:37:47.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('3D066CD009871C31FEE111BD157F8802', ' 移液枪吸头5mL', '赛多利斯', '耗材', NULL, '普通耗材', '250个/包,250个/包', '2023-09-15 15:37:51.000000', '2023-09-15 15:37:51.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '后续不再购买', '包', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('3D26A02F9E0BBF03C231FCCC76367DF0', 'DCC , N,N\'-二环己基碳二亚胺', '阿拉丁', '试剂', NULL, '普通试剂', '99%, 100g/瓶', '2023-09-15 15:39:24.000000', '2023-09-15 15:39:24.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, '538-75-0', NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('3DC7E6FE4933BFC2A90E2A3594C7FE37', '(1-(5-氟戊基)-1H-吲哚-3-羰基)缬氨酸乙酯', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:55.000000', '2023-09-15 15:36:55.000000', '1', '1', '/', NULL, 1.00, 'ethyl(1-(5-fluoropentyl)-1H-indole-3-carbonyl)valinate', 1, '5F-EMB-PICA', '冷藏贮存', 'GASS-308', '瓶', NULL, 0.000000000000000000000000000000, '2648861-83-8', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('3E14530181E9A86760F55ED44CC9F80D', '塑料吸管', 'n/a', '耗材', NULL, '普通耗材', '3ml，100支/袋', '2023-09-15 15:38:27.000000', '2023-09-15 15:38:27.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '袋', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('4015A46ACE490038B58BAF62DA0E33E8', '浓硫酸', '国产', '试剂', NULL, '普通试剂', '500mL/瓶', '2023-09-15 15:38:02.000000', '2023-09-15 15:38:02.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '/', '分析纯');
INSERT INTO `reagent_consumables` VALUES ('401B8FD3EEFCA7791DF8D850D6609BA0', '试管帽', 'n/a', '耗材', NULL, '普通耗材', 'Φ18', '2023-09-15 15:38:24.000000', '2023-09-15 15:38:24.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('40AA11EC8A3B8B9705E7ED110DF93F26', '容量瓶 200mL ', 'Brand', '耗材', NULL, '普通耗材', '棕色,/,/', '2023-09-15 15:37:43.000000', '2023-09-15 15:37:43.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '个', NULL, 0.000000000000000000000000000000, NULL, '37488', NULL);
INSERT INTO `reagent_consumables` VALUES ('41210762AABDFD901E9F47C791C350EE', '物证提取袋', 'n/a', '耗材', NULL, '普通耗材', '15*10cm', '2023-09-15 15:38:06.000000', '2023-09-15 15:38:06.000000', '1', '1', '/', NULL, 1.00, '/', 50, '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('4132B6DDA3BF4ABFBAA4C7DE3A06D0A3', '一次性使用无菌注射器 带针', '治宇', '耗材', NULL, '普通耗材', '1ml，200支/盒', '2023-09-15 15:38:39.000000', '2023-09-15 15:38:39.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('42530F6BBD2003FCA92901F02ED78B19', '锥形瓶', '环球', '耗材', NULL, '普通耗材', '50ml', '2023-09-15 15:38:45.000000', '2023-09-15 15:38:45.000000', '1', '1', '/', NULL, 1.00, '/', 12, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('427F2C00F4B5C62555E9D8E1C8646778', 'ACQUITY UPLC BEN HILIC VanGuard Pre-Column 3/Pk', 'Waters', '耗材', NULL, '色谱柱', '2.1*5mm,1.7um,3个/盒', '2023-09-15 15:38:10.000000', '2023-09-15 15:38:10.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('42D0F1C3F8EDE2D98D117B91D2CB5D37', '自吸过滤式防毒面具', '唐丰', '耗材', NULL, '普通耗材', 'TF503型', '2023-09-15 15:38:35.000000', '2023-09-15 15:38:35.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('4320458EB07D119BC252835051EEAA9F', 'ACQUITY UPLC BEH C18                    ', 'Waters', '耗材', NULL, '色谱柱', '2.1*100mm,1.7um', '2023-09-15 15:38:09.000000', '2023-09-15 15:38:09.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('43357AF65220A6872E33EE57B784BA7A', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基) 环己烷甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:11.000000', '2023-09-15 15:37:11.000000', '1', '1', '/', NULL, 1.00, 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)cyclohexanecarboxamide', 1, '对氟苯基环己甲酰基芬太尼', '冷藏贮存', 'GASS-385', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('43446D446423F3DA9DBA8AE3F3C7810F', '连盖离心管', 'AXYGEN', '耗材', NULL, '普通耗材', '2ml，500支/袋', '2023-09-15 15:38:28.000000', '2023-09-15 15:38:28.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('4356783D7EB6C861834576759F7879F4', '异丙醇', 'GRACE', '试剂', NULL, '普通试剂', '4L/瓶', '2023-09-15 15:37:59.000000', '2023-09-15 15:37:59.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '/', 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('45B33C2DD46FFD60084B98BF8B6F4E64', '棕色滴瓶', 'n/a', '耗材', NULL, '普通耗材', '125ml', '2023-09-15 15:38:30.000000', '2023-09-15 15:38:30.000000', '1', '1', '/', NULL, 1.00, '/', 10, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('45FB0B9460A1F061527F1A0D0F34EE28', '高硼硅量筒', 'Bomex', '耗材', NULL, '普通耗材', '250ml', '2023-09-15 15:38:35.000000', '2023-09-15 15:38:35.000000', '1', '1', '/', NULL, 1.00, '/', 2, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('466A6216330B5A10AEBCE4624CCE6015', 'ACQUITY UPLC BEH C18 1.7um VanGuard Pre-Column', 'Waters', '耗材', NULL, '色谱柱', '1.8，2.1*5mm Column,3根/1盒,3根/1盒', '2023-09-15 15:37:53.000000', '2023-09-15 15:37:53.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '186003975', NULL);
INSERT INTO `reagent_consumables` VALUES ('4697D657BCE77AD8DF4EC6E572FA951D', 'ACQUITY UPLC CSH C18', 'Waters', '耗材', NULL, '色谱柱', '2.1*100mm,1.7um', '2023-09-15 15:38:10.000000', '2023-09-15 15:38:10.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('480B7EAA522308536863E9778A8B5C91', '1-(4-溴苯基)-2-(二乙基氨基)丙-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:58.000000', '2023-09-15 15:36:58.000000', '1', '1', '/', NULL, 1.00, '1-(4-bromophenyl)-2-(diethylamino)propan-1-one', 1, 'N-乙基-对溴-乙卡西酮盐酸盐', '冷藏贮存', 'GASS-328', '瓶', NULL, 0.000000000000000000000000000000, '92104-89-7', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('483A79E517E9A877EC217941C38CCF41', '枪头', 'n/a', '耗材', NULL, '普通耗材', '5ml，200支/包', '2023-09-15 15:38:46.000000', '2023-09-15 15:38:46.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('48893C1C7970F911FF7625E50E908CB1', '乙腈', 'Supelco', '试剂', NULL, '普通试剂', '2.5L/瓶', '2023-09-15 15:38:58.000000', '2023-09-15 15:38:58.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'LC/MS级');
INSERT INTO `reagent_consumables` VALUES ('48BFED8D8CA36D19029F6721E4E3A465', 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基)-1-丁基-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:53.000000', '2023-09-15 15:36:53.000000', '1', '1', '/', NULL, 1.00, 'N-(1-amino-3,3-dimethyl-1-oxobutan-2-yl)-1-butyl-1H-indazole-3-carboxamide', 1, 'ADB-BUTINACA', '冷藏贮存', 'GASS-295', '瓶', NULL, 0.000000000000000000000000000000, '2682867-55-4', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('49132EE73C8FF201150E6EB4B918EC96', '2-(2-氟苯基-3,4,5,6-d4)-2-(甲氨基)环己烷-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:21.000000', '2023-09-15 15:37:21.000000', '1', '1', '/', NULL, 1.00, '2-(2-fluorophenyl-3,4,5,6-d4)-2-(methylamino)cyclohexan-1-one', 1, 'D4-氟胺酮盐酸盐', '冷藏贮存', 'GASS-456', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('4999995D3C3E88436E4E8122DD64CF9B', '砂芯过滤装置全套', '津隆', '耗材', NULL, '普通耗材', '1000mL,套,套', '2023-09-15 15:37:32.000000', '2023-09-15 15:37:32.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '污水专用', '套', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('4A2C4B5DAA2D8A669611E66B5704B7C7', '橡皮吸球', 'n/a', '耗材', NULL, '普通耗材', '10ml', '2023-09-15 15:38:22.000000', '2023-09-15 15:38:22.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('4B45CB205E5730DC48C36406F7889CA1', '白色滴瓶', 'n/a', '耗材', NULL, '普通耗材', '60ml', '2023-09-15 15:38:29.000000', '2023-09-15 15:38:29.000000', '1', '1', '/', NULL, 1.00, '/', 10, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('4B596287AFC646C7EBED020A205233DB', '量筒', 'Bomex', '耗材', NULL, '普通耗材', '100ml', '2023-09-15 15:38:37.000000', '2023-09-15 15:38:37.000000', '1', '1', '/', NULL, 1.00, '/', 10, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('4BB08F16BC019675E98D1A2195A04F5C', 'N-(1-苯乙基哌啶-4-基)-N-苯基呋喃-2-甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:45.000000', '2023-09-15 15:36:45.000000', '1', '1', '/', NULL, 1.00, 'N-(1-phenethylpiperidin-4-yl)-N-phenylfuran-2-carboxamide', 1, '呋喃芬太尼', '冷藏贮存', 'GASS-095', '瓶', NULL, 0.000000000000000000000000000000, '101345-66-8', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('4BC46FDB5BD0607A655E78C93D15CC0C', '移液枪', 'Sartorius', '耗材', NULL, '普通耗材', '500-5000ul', '2023-09-15 15:38:20.000000', '2023-09-15 15:38:20.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('4BECF5FAB03F16FD27B3DC4D4FD9475E', 'N-(1-苯乙基哌啶-4-基)-N-(苯基-d5)丙酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:26.000000', '2023-09-15 15:37:26.000000', '1', '1', '/', NULL, 1.00, 'N-(1-phenethylpiperidin-4-yl)-N-(phenyl-d5)propionamide', 1, 'D5-芬太尼', '冷藏贮存', 'GASS-509', '瓶', NULL, 0.000000000000000000000000000000, '118357-29-2', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('4C652E02153C56C71C41D4A6E58E2AE3', '(2-甲基-1-丙基-1H-吲哚-3-基)(萘-1-基)甲酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:40.000000', '2023-09-15 15:36:40.000000', '1', '1', '/', NULL, 1.00, '(2-methyl-1-propyl-1H-indol-3-yl)(naphthalen-1-yl)methanone', 1, 'JWH-015', '冷藏贮存', 'GASS-059', '瓶', NULL, 0.000000000000000000000000000000, '155471-08-2', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('4C7BAE7DAAD0ED79EBF027B6CF870ADE', '乙酸乙酯', '沪试', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-09-15 15:39:05.000000', '2023-09-15 15:39:05.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('4DD4C333757C85F1C4333F711BCC2D58', '保鲜自封袋10号', '苹果', '耗材', NULL, '普通耗材', '340x240mm', '2023-09-15 15:38:03.000000', '2023-09-15 15:38:03.000000', '1', '1', '/', NULL, 1.00, '/', 100, '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('4E2485F3B156BB2CFA748929E1B6253A', 'DIPEA, N,N-二异丙基乙胺', '阿拉丁', '试剂', NULL, '普通试剂', '99.5%, 100ml/瓶', '2023-09-15 15:39:26.000000', '2023-09-15 15:39:26.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, '7087-68-5', NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('4E2AC496B827A6DD0D28AC6395F91254', ' Oasis HLB Direct Connect HP 20µm', 'Waters', '耗材', NULL, '色谱柱', '20µm, 2.1mmX 30 mm,1/根,1/根', '2023-09-15 15:37:52.000000', '2023-09-15 15:37:52.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '污水专用', '根', NULL, 0.000000000000000000000000000000, NULL, '186005231', NULL);
INSERT INTO `reagent_consumables` VALUES ('4E2BD7FCA977B9F701878258B4CCBFEC', '甲苯', 'fisher', '试剂', NULL, '普通试剂', '4L/瓶', '2023-09-15 15:39:02.000000', '2023-09-15 15:39:02.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('4E3133276EF42ED304D9AF39BD27DEF3', '滴管', 'n/a', '耗材', NULL, '普通耗材', '9cm', '2023-09-15 15:38:17.000000', '2023-09-15 15:38:17.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('4F3816249A3D7C1217191F685DDD8FA4', '定性滤纸', '皎洁', '耗材', NULL, '普通耗材', '12.5cm，中速', '2023-09-15 15:38:54.000000', '2023-09-15 15:38:54.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('4FB9FC6971EF5B4C772D086B9934FA56', '血清移液管', 'n/a', '耗材', NULL, '普通耗材', '50ml', '2023-09-15 15:38:16.000000', '2023-09-15 15:38:16.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('4FD764DE97EFB34C14079DFCE8E0B89C', '塑料吸管', 'n/a', '耗材', NULL, '普通耗材', '1ml，100支/袋', '2023-09-15 15:38:26.000000', '2023-09-15 15:38:26.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '袋', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('4FFF325C2E2A8D0F6D95EC99BDF33D34', 'D-缬氨酰胺盐酸盐', '阿拉丁', '试剂', NULL, '普通试剂', '97%，1g/瓶', '2023-09-15 15:39:24.000000', '2023-09-15 15:39:24.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, '133170-58-8', NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('50C17EE9B35DCFBA23A835C2BF7CE114', '2ml连盖离心管', 'CYPRESS', '耗材', NULL, '普通耗材', '500个/包,500个/包', '2023-09-15 15:37:39.000000', '2023-09-15 15:37:39.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '包', NULL, 0.000000000000000000000000000000, NULL, '0200020', NULL);
INSERT INTO `reagent_consumables` VALUES ('50E702F32DBD646BB43E64A06343DF1D', '牛皮纸物证袋', 'n/a', '耗材', NULL, '普通耗材', '50*30cm', '2023-09-15 15:38:06.000000', '2023-09-15 15:38:06.000000', '1', '1', '/', NULL, 1.00, '/', 10, '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('51348327A31D6B054306B93AD1C3D457', '(1-(5-氟戊基)-1H-吲哚-3-羰基)苯丙氨酸甲酯', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:51.000000', '2023-09-15 15:36:51.000000', '1', '1', '/', NULL, 1.00, 'methyl(1-(5-fluoropentyl)-1H-indole-3-carbonyl)phenylalaninate', 1, '5F-MPP-PICA', '冷藏贮存', 'GASS-271', '瓶', NULL, 0.000000000000000000000000000000, '2682867-54-3', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('516DBA30702BA7667E40464AC06E3B61', 'N-(1-氨基-1-氧代-3-苯基内-2-基)-1-(5-氟戊基)-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:42.000000', '2023-09-15 15:36:42.000000', '1', '1', '/', NULL, 1.00, 'N-(1-amino-1-oxo-3-phenylpropan-2-yl)-1-(5-fluoropentyl)-1H-indazole-3-carboxamide', 1, 'PX-2', '冷藏贮存', 'GASS-070', '瓶', NULL, 0.000000000000000000000000000000, '2205029-76-9', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('51759813BF730E829E5B7E6F990A9BAD', '连盖离心管', 'n/a', '耗材', NULL, '普通耗材', '2ml，300个', '2023-09-15 15:38:56.000000', '2023-09-15 15:38:56.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '袋', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('51C080D5954D2FFCF9988E0680AD0123', '一次性玻璃巴氏吸管', 'Brand', '耗材', NULL, '普通耗材', '225mm,250支/盒,250支/盒', '2023-09-15 15:37:36.000000', '2023-09-15 15:37:36.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '747720', NULL);
INSERT INTO `reagent_consumables` VALUES ('51E1DB63B08265DA8B78B10F5365FE3F', '手术剪', '双鹿', '耗材', NULL, '普通耗材', '12.5cm直尖', '2023-09-15 15:38:21.000000', '2023-09-15 15:38:21.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '把', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('527C49E8DE212320B3A864E554B8C5F0', '容量瓶', 'Brand', '耗材', NULL, '普通耗材', '25ml', '2023-09-15 15:38:32.000000', '2023-09-15 15:38:32.000000', '1', '1', '/', NULL, 1.00, '/', 2, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('52D1714473043BD75639C53770B3249B', '乙酸乙酯', '国药集团', '试剂', NULL, '普通试剂', '≥99.5', '2023-09-15 15:39:21.000000', '2023-09-15 15:39:21.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('54D69526B8531B642F091F9E6B21BF2D', '棕色滴瓶', 'n/a', '耗材', NULL, '普通耗材', '60ml', '2023-09-15 15:38:30.000000', '2023-09-15 15:38:30.000000', '1', '1', '/', NULL, 1.00, '/', 10, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('54E2E1E2B268C25B3A088199CEBF9DB5', '防冲击眼罩', '3M', '耗材', NULL, '普通耗材', '1621型', '2023-09-15 15:38:35.000000', '2023-09-15 15:38:35.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('565CB7EFB94E44230052A3A70A244B55', '离心管架', 'n/a', '耗材', NULL, '普通耗材', '4X5，20孔', '2023-09-15 15:38:55.000000', '2023-09-15 15:38:55.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('569A95518E30A1117A40A16B71642E1A', 'HBTU, 苯并三氮唑-N,N,N\',N\'-四甲基脲六氟磷酸酯', '阿拉丁', '试剂', NULL, '普通试剂', '99%, 100g/瓶', '2023-09-15 15:39:25.000000', '2023-09-15 15:39:25.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, '94790-37-1', NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('56F8614784CFDECDE167E50735F1675C', '2-((二甲基氨基)甲基)-1-(3-甲氧基苯基-2,4,5,6-d4)环己烷-1-醇', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:20.000000', '2023-09-15 15:37:20.000000', '1', '1', '/', NULL, 1.00, '2-((dimethylamino)methyl)-1-(3-methoxyphenyl-2,4,5,6-d4)cyclohexan-1-ol', 1, 'D4-曲马多盐酸盐', '冷藏贮存', 'GASS-453', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('5764BED36E7B1935452CBDE081803112', 'EDCI , 1-乙基-(3-二甲基氨基丙基)碳二亚胺盐酸盐', '阿拉丁', '试剂', NULL, '普通试剂', '98%，100g/瓶', '2023-09-15 15:39:24.000000', '2023-09-15 15:39:24.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, '25952-53-8', NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('5821668E5EBEF7652ED5D67E6DE2B9D7', '1-(3-氯苯基)-2-(二乙基氨基)丙-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:01.000000', '2023-09-15 15:37:01.000000', '1', '1', '/', NULL, 1.00, '1-(3-chlorophenyl)-2-(diethylamino)propan-1-one', 1, 'N-乙基-间氯-乙卡西酮盐酸盐', '冷藏贮存', 'GASS-335', '瓶', NULL, 0.000000000000000000000000000000, '1152853-89-8', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('59144663B9ED9222071520B0E1BF5FB8', '2-(二甲基氨基)-1-苯基丙-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:58.000000', '2023-09-15 15:36:58.000000', '1', '1', '/', NULL, 1.00, '2-(dimethylamino)-1-phenylpropan-1-one', 1, 'N-甲基-甲卡西酮盐酸盐', '冷藏贮存', 'GASS-326', '瓶', NULL, 0.000000000000000000000000000000, '10105-90-5', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('59C76BED132C41D4C33289CA360D881F', '氯化亚砜', '科密欧', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-09-15 15:39:19.000000', '2023-09-15 15:39:19.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('59F250B86D37FB86818B26CCF180553F', '正十九烷', 'Sigma-Aldrich', '试剂', NULL, '普通试剂', '25g/瓶,99%', '2023-09-15 15:39:06.000000', '2023-09-15 15:39:06.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, '其他');
INSERT INTO `reagent_consumables` VALUES ('5A09A96D6FE248DDE8A8E04DEA50727A', '甲醇', 'Supelco', '试剂', NULL, '普通试剂', '2.5L/瓶', '2023-09-15 15:37:56.000000', '2023-09-15 15:37:56.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '/', 'LC/MS级 ');
INSERT INTO `reagent_consumables` VALUES ('5A4DC649C26BBB07D460FE40E9371AD3', '甲醇', 'Supelco', '试剂', NULL, '普通试剂', '4L/瓶', '2023-09-15 15:37:55.000000', '2023-09-15 15:37:55.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '1.06007.4008', 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('5AE51010904E1BD74A187FA8488509C9', '梨形分液漏斗', 'Bomex', '耗材', NULL, '普通耗材', '60ml', '2023-09-15 15:38:44.000000', '2023-09-15 15:38:44.000000', '1', '1', '/', NULL, 1.00, '/', 2, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('5B54A929154FB7832E22883C51E41EEA', '石油醚', '利安隆博华', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-09-15 15:39:04.000000', '2023-09-15 15:39:04.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('5B7419BF70BD12F5731F69CF0EBC71D7', '2-氨基-2-(2-氯苯基) 环已烷-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:03.000000', '2023-09-15 15:37:03.000000', '1', '1', '/', NULL, 1.00, '2-amino-2-(2-chlorophenyl)cyclohexan-1-one', 1, '去甲氯胺酮盐酸盐', '冷藏贮存', 'GASS-341', '瓶', NULL, 0.000000000000000000000000000000, '79499-59-5', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('5C723C288B1CE11750720320B4FB9536', '(1-(戊-4-烯-1-基) -1H-吲哚-3-羰基)缬氨酸甲酯', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:51.000000', '2023-09-15 15:36:51.000000', '1', '1', '/', NULL, 1.00, 'methyl(1-(pent-4-en-1-yl)-1H-indole-3-carbonyl)valinate', 1, 'AMB-4en-PICA', '冷藏贮存', 'GASS-269', '瓶', NULL, 0.000000000000000000000000000000, '2659308-31-1', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('5C871A0A5BE5B5DED356E7EDBE37A92F', '2-(乙基氨基) -2-苯基环已烷-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:26.000000', '2023-09-15 15:37:26.000000', '1', '1', '/', NULL, 1.00, '2-(ethylamino)-2-phenylcyclohexan-1-one', 1, '去氯乙基氯胺酮盐酸盐', '冷藏贮存', 'GASS-510', '瓶', NULL, 0.000000000000000000000000000000, '4551-92-2', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('5C99A04CD5B27F4D7AFB7611E5F7F368', '锥形瓶', '环球', '耗材', NULL, '普通耗材', '250ml', '2023-09-15 15:38:45.000000', '2023-09-15 15:38:45.000000', '1', '1', '/', NULL, 1.00, '/', 12, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('5CB988E9DA39EAA79B1DDEE13E93A819', '药匙', 'n/a', '耗材', NULL, '普通耗材', '16cm', '2023-09-15 15:38:23.000000', '2023-09-15 15:38:23.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('5DB132F01E5DF58C9F9772A499EEC3C8', '200ul枪头', 'Brand', '耗材', NULL, '普通耗材', '容量200ul,96个/盒,96个/盒', '2023-09-15 15:37:34.000000', '2023-09-15 15:37:34.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '732028', NULL);
INSERT INTO `reagent_consumables` VALUES ('5DDD1901979B48AAFB645BED8E8C2AEF', 'captiva针头过滤器', '安捷伦', '耗材', NULL, '普通耗材', '纤维素膜，25mm直径，0.2μm孔径 ,100个/盒,100个/盒', '2023-09-15 15:37:28.000000', '2023-09-15 15:37:28.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '污水专用', '盒', NULL, 0.000000000000000000000000000000, NULL, '5190-5110', NULL);
INSERT INTO `reagent_consumables` VALUES ('5E9CD7876FFB120DE10248EE72B39DE1', '药匙', 'n/a', '耗材', NULL, '普通耗材', '20cm', '2023-09-15 15:38:23.000000', '2023-09-15 15:38:23.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('5EEAB5DE2F5C7B172A3010CE863368C9', '(1-(5-氟戊基)-1H-吲唑-3-羰基)缬氨酸甲酯', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:33.000000', '2023-09-15 15:36:33.000000', '1', '1', '/', NULL, 1.00, 'methyl (1-(5-fluoropentyl)-1H-indazole-3-carbonyl)valinate', 1, '5F-AMB', '冷藏贮存', 'GASS-037', '瓶', NULL, 0.000000000000000000000000000000, '1715016-74-2', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('5EECC05C63CC8EEA699ECFC73067B96F', '2-(乙基氨基)-2-(3-甲氧基苯基)环已烷-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:48.000000', '2023-09-15 15:36:48.000000', '1', '1', '/', NULL, 1.00, '2-(ethylamino)-2-(3-methoxyphenyl)cyclohexan-1-one', 1, '2-(3-甲氧基苯基)-2-乙复基环己酮', '冷藏贮存', 'GASS-167', '瓶', NULL, 0.000000000000000000000000000000, '1239943-76-0', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('5EED41CD2D599E73B724DB371AF4BC56', '乙醇', '西陇', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-09-15 15:39:01.000000', '2023-09-15 15:39:01.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('601BE37A5B776C219D0850B5F33A9D46', '萘-1-基-1-(5-氟戊基)-1H-吲唑-3-羧酸盐', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:52.000000', '2023-09-15 15:36:52.000000', '1', '1', '/', NULL, 1.00, 'naphthalen-1-yl 1-(5-fluoropentyl)-1H-indazole-3-carboxylate', 1, '5F-SDB-005', '冷藏贮存', 'GASS-291', '瓶', NULL, 0.000000000000000000000000000000, '2185863-14-1', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('6035687531F1C70C331B45000AED8AC5', '进样小瓶盖', '安捷伦', '耗材', NULL, '普通耗材', '2ml,5182-0717，100个/包', '2023-09-15 15:38:39.000000', '2023-09-15 15:38:39.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('607B7F52390833D7D9084ABFB8D18623', 'Shim-pack GIST', '岛津', '耗材', NULL, '色谱柱', '4.6*150mm,5um', '2023-09-15 15:38:08.000000', '2023-09-15 15:38:08.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('6164F3803E0E7FE2C3B1F18CB8B5632D', '血清移液管', 'n/a', '耗材', NULL, '普通耗材', '5ml', '2023-09-15 15:38:15.000000', '2023-09-15 15:38:15.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('617CB5E34E53555A1C42256A0AFE990A', '保鲜自封袋9号', '苹果', '耗材', NULL, '普通耗材', '280x200mm', '2023-09-15 15:38:03.000000', '2023-09-15 15:38:03.000000', '1', '1', '/', NULL, 1.00, '/', 100, '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('61FAB67E13F465515F25B0051DD10FCA', '一次性玻璃巴氏吸管', 'Brand', '耗材', NULL, '普通耗材', '225mm,250支/盒,250支/盒', '2023-09-15 15:37:37.000000', '2023-09-15 15:37:37.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '747720', NULL);
INSERT INTO `reagent_consumables` VALUES ('630E5B55A9AE190402D832CD5C7AD87C', '称量瓶', 'n/a', '耗材', NULL, '普通耗材', '25x40', '2023-09-15 15:38:38.000000', '2023-09-15 15:38:38.000000', '1', '1', '/', NULL, 1.00, '/', 10, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('63101C9A6EDF9D35FED2D46147F810B5', '色谱柱ACQUITY UPLC BEH C18 Column, ', 'Waters', '耗材', NULL, '色谱柱', ' 1.7 µm, 2.1 mm X 100 mm,1/根,1/根', '2023-09-15 15:37:53.000000', '2023-09-15 15:37:53.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '根', NULL, 0.000000000000000000000000000000, NULL, '186002352', NULL);
INSERT INTO `reagent_consumables` VALUES ('632314519AB0A92544310C1F28842D14', '马来酸', 'Sigma-Aldrich', '试剂', NULL, '普通试剂', '100g/瓶，99%', '2023-09-15 15:39:15.000000', '2023-09-15 15:39:15.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('6331A21CEEE8497D00FCABADC83C96E2', '无水磷酸二氢钠', '麦克林', '试剂', NULL, '普通试剂', 'HPLC,50G', '2023-09-15 15:39:12.000000', '2023-09-15 15:39:12.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('643FC61F4C24189B8EBBE009F28771CC', '定性滤纸', '皎洁', '耗材', NULL, '普通耗材', '15cm，中速', '2023-09-15 15:38:54.000000', '2023-09-15 15:38:54.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('64C75AFBC96249DA9E967E7D1B480B57', '血清移液管', 'n/a', '耗材', NULL, '普通耗材', '25ml', '2023-09-15 15:38:15.000000', '2023-09-15 15:38:15.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('658BD2C91D9885FCC5A36E80EA3F7E34', '氘代氯仿', 'CIL', '试剂', NULL, '普通试剂', '0.6mLx10,99.8%', '2023-09-15 15:39:17.000000', '2023-09-15 15:39:17.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('6592B503DE998BDC910944228618FC9D', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)丙酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:46.000000', '2023-09-15 15:36:46.000000', '1', '1', '/', NULL, 1.00, 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)-propionamide', 1, '对氟芬太尼', '冷藏贮存', 'GASS-108', '瓶', NULL, 0.000000000000000000000000000000, '90736-23-5', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('65A34F575012982FB3CB944BC5613E14', '牛皮纸物证袋', 'n/a', '耗材', NULL, '普通耗材', '21*14cm', '2023-09-15 15:38:05.000000', '2023-09-15 15:38:05.000000', '1', '1', '/', NULL, 1.00, '/', 10, '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('65B73E7B6D6BCB57CDCDB11D1EFA917E', '八氟萘', 'Merck', '试剂', NULL, '普通试剂', '1g/瓶,96%', '2023-09-15 15:39:15.000000', '2023-09-15 15:39:15.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'RD');
INSERT INTO `reagent_consumables` VALUES ('6670877A81BD74D70588DE7F76C6FAEF', '1-(4-甲氧基苯基-2,3,5,6-d4)-N-甲基丙-2-胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:19.000000', '2023-09-15 15:37:19.000000', '1', '1', '/', NULL, 1.00, '1-(4-methoxyphenyl-2,3,5,6-d4)-N-methylpropan-2-amine', 1, 'D4-PMMA盐酸盐', '冷藏贮存', 'GASS-452', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('667A143F557AB3B0056506E687FB0F0F', 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基)-1-(5-氟戊基-1H-吲哚-3-甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:33.000000', '2023-09-15 15:36:33.000000', '1', '1', '/', NULL, 1.00, 'N-(1-amino-3,3-dimethyl-1-oxobutan-2-yl)-1-(5-fluoropentyl)-1H-indole-3-carboxamide', 1, '5F-ADBICA', '冷藏贮存', 'GASS-036', '瓶', NULL, 0.000000000000000000000000000000, '1801338-27-1', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('67A633EB439EAE5A163E5974A07C63DB', '1-(苯并[d][1,3]二羟基-5-基)-2-(甲氨基)丙-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:47.000000', '2023-09-15 15:36:47.000000', '1', '1', '/', NULL, 1.00, '1-(benzo[d][1,3]dioxol-5-yl)-2-(methylamino)propan-1-one', 1, '3,4-亚甲二氧基甲卡西酮(盐酸盐)', '冷藏贮存', 'GASS-165', '瓶', NULL, 0.000000000000000000000000000000, '186028-79-5', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('67E58FF5501E755A55E6FF30700A9368', '牛皮纸物证袋', 'n/a', '耗材', NULL, '普通耗材', '40*20cm', '2023-09-15 15:38:06.000000', '2023-09-15 15:38:06.000000', '1', '1', '/', NULL, 1.00, '/', 10, '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('680602C3DDE901757F04C0B47B54E18B', '温度计', 'MC', '耗材', NULL, '普通耗材', '200ml', '2023-09-15 15:38:24.000000', '2023-09-15 15:38:24.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('681AE43FF0B99032D561FF226B117129', '一次性塑料滴管 3mL', 'Cypress', '耗材', NULL, '普通耗材', '100支/包,100支/包', '2023-09-15 15:37:45.000000', '2023-09-15 15:37:45.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '包', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('692B9468A3D522A971978AD35F476787', '2-(1-(5-氟戊基)-1H-吲唑-3-甲酰胺)-3,3-二甲基丁酸甲酯', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:44.000000', '2023-09-15 15:36:44.000000', '1', '1', '/', NULL, 1.00, 'methyl 2-(1-(5-fluoropentyl)-1H-indazole-3-carboxamido)-3,3-dimethylbutanoate', 1, '5F-ADB', '冷藏贮存', 'GASS-078', '瓶', NULL, 0.000000000000000000000000000000, '1715016-75-3', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('69652FEBD63A44FD0FAB78ADF7629DFC', '自封袋', '苹果牌京惠思创', '耗材', NULL, '普通耗材', '9号，,100个/包,100个/包', '2023-09-15 15:37:42.000000', '2023-09-15 15:37:42.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '包', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('6ACC762A0D75DFD3EFA68E1D1638EFC0', '隔垫', '岛津', '耗材', NULL, '普通耗材', '货号221-76650-01,25个/盒', '2023-09-15 15:38:12.000000', '2023-09-15 15:38:12.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('6DC45446AC62C51DDE0D79E43050BEE0', 'LG玻板抽滤漏斗', '垒固', '耗材', NULL, '普通耗材', '250ml', '2023-09-15 15:38:43.000000', '2023-09-15 15:38:43.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('6E9C12D5B2A220AE819CFB614200644B', '2-(1-(4-氟苄基)-1H-吲唑-3-甲酰胺)-3,3-二甲基丁酸甲酯', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:41.000000', '2023-09-15 15:36:41.000000', '1', '1', '/', NULL, 1.00, 'methyl2-(1-(4-fluorobenzyl)-1H-indazole-3-carboxamido)-3,3-dimethylbutanoate', 1, 'MDMB-FUBINACA', '冷藏贮存', 'GASS-068', '瓶', NULL, 0.000000000000000000000000000000, '1715016-77-5', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('6FDD45900A9E8C327515978AD5767482', 'O型圈', '安捷伦', '耗材', NULL, '普通耗材', '货号5188-5365，10个/盒', '2023-09-15 15:38:12.000000', '2023-09-15 15:38:12.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('7027D236BD98B1E25368C2A2F18F3CA6', '吡嗪', 'Sigma-Aldrich', '试剂', NULL, '普通试剂', '≥99，100g/瓶', '2023-09-15 15:39:14.000000', '2023-09-15 15:39:14.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'FG级');
INSERT INTO `reagent_consumables` VALUES ('70AEA7FA1BEABEBAF62B26B53AA171AA', '丙酸酐', '麦克林', '试剂', NULL, '普通试剂', '98%,500g/瓶', '2023-09-15 15:39:18.000000', '2023-09-15 15:39:18.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('70E105DA646517B5B29FCEFD2818BD4C', '一次性塑料滴管 3mL', '国产', '耗材', NULL, '普通耗材', '100支/包,100支/包', '2023-09-15 15:37:49.000000', '2023-09-15 15:37:49.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '后续不再购买', '包', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('718965F6CC9DD8D6A4F45786ABAF2A06', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)丁酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:45.000000', '2023-09-15 15:36:45.000000', '1', '1', '/', NULL, 1.00, 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)butyramide', 1, '4-氟丁酰芬太尼', '冷藏贮存', 'GASS-090', '瓶', NULL, 0.000000000000000000000000000000, '244195-31-1', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('718A81E6A598D242735918D6EB327C86', '2ml进样瓶', 'waters', '耗材', NULL, '普通耗材', '18600307C（透明）,100个/盒,100个/盒', '2023-09-15 15:37:35.000000', '2023-09-15 15:37:35.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '18600307C', NULL);
INSERT INTO `reagent_consumables` VALUES ('71B9030B650CE3A78B93E427A58E59ED', '浓盐酸', '国产', '试剂', NULL, '普通试剂', '500mL/瓶', '2023-09-15 15:38:02.000000', '2023-09-15 15:38:02.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '/', '分析纯');
INSERT INTO `reagent_consumables` VALUES ('7254D5604599AAC6C7173AFC38880DBA', '1ml有机相枪头', 'RAININ　1000ul', '耗材', NULL, '普通耗材', 'disposable capillaries/pistons 17008609,180个/盒,180个/盒', '2023-09-15 15:37:29.000000', '2023-09-15 15:37:29.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '污水专用', '盒', NULL, 0.000000000000000000000000000000, NULL, '17008609', NULL);
INSERT INTO `reagent_consumables` VALUES ('72C7A0BD512295045BACE6C768B5FB2F', '移液管', 'MC', '耗材', NULL, '普通耗材', '2ml', '2023-09-15 15:38:14.000000', '2023-09-15 15:38:14.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('749589B20E2C19C07434CE2171400027', '牛皮纸物证袋', 'n/a', '耗材', NULL, '普通耗材', '10.2*8.8cm', '2023-09-15 15:38:05.000000', '2023-09-15 15:38:05.000000', '1', '1', '/', NULL, 1.00, '/', 10, '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('75144B8DAFF7C5D3523F295BFA8C90DC', '定性滤纸', '皎洁', '耗材', NULL, '普通耗材', '9cm，中速', '2023-09-15 15:38:53.000000', '2023-09-15 15:38:53.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('757987E9B64887E6C4D2CB8F401915AD', '无尘纸', 'KIMTECH', '耗材', NULL, '普通耗材', '1个/盒　11*21cm,1个/盒　11*21cm', '2023-09-15 15:37:34.000000', '2023-09-15 15:37:34.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '34155', NULL);
INSERT INTO `reagent_consumables` VALUES ('7640D2C213DAA1DA9C6B7EB8C8FA6D95', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)戊酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:10.000000', '2023-09-15 15:37:10.000000', '1', '1', '/', NULL, 1.00, 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)pentanamide', 1, '对氟苯基正戊基芬太尼', '冷藏贮存', 'GASS-381', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('7695B37D0AF49E5CABBECF177DD57D57', '甲酸', 'Themo Fisher', '试剂', NULL, '普通试剂', '50mL/瓶', '2023-09-15 15:37:54.000000', '2023-09-15 15:37:54.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '污水，毛发专用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '/', 'LC/MS级 ');
INSERT INTO `reagent_consumables` VALUES ('76D6B2BB645EB51E397748E44610D528', '螺口试剂瓶', '蜀牛', '耗材', NULL, '普通耗材', ' 5000mL,/,/', '2023-09-15 15:37:41.000000', '2023-09-15 15:37:41.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '个', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('76FC8DA32D7D644742885882D767DE9F', '容量瓶', 'Brand', '耗材', NULL, '普通耗材', '10ml', '2023-09-15 15:38:33.000000', '2023-09-15 15:38:33.000000', '1', '1', '/', NULL, 1.00, '/', 2, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('7778064EE2AFCD84E237883811FEFFB7', '微孔滤膜-两相通用', 'Pall', '耗材', NULL, '普通耗材', '13mm 0.2um GHP ,1000个/盒,1000个/盒', '2023-09-15 15:37:28.000000', '2023-09-15 15:37:28.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '污水，毛发专用', '盒', NULL, 0.000000000000000000000000000000, NULL, '2401', NULL);
INSERT INTO `reagent_consumables` VALUES ('777CD747287FBCD32FDC51F4195EF872', '一次性蓝色丁腈手套', '柯沃', '耗材', NULL, '普通耗材', 'S', '2023-09-15 15:38:52.000000', '2023-09-15 15:38:52.000000', '1', '1', '/', NULL, 1.00, '/', 10, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('77F3948BB732E6FAFEFFB14E0E71C576', '石油醚', '津东天正', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-09-15 15:39:18.000000', '2023-09-15 15:39:18.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('780A873B480A778D4452242E9D73EE2E', '2-(1-(环己基甲基)-1H-吲哚-3-甲酰胺)-3,3-二甲基丁酸甲酯', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:41.000000', '2023-09-15 15:36:41.000000', '1', '1', '/', NULL, 1.00, 'methyl2-(1-(cyclohexylmethyl)-1H-indole-3-carboxamido)-3,3-dimethylbutanoate', 1, 'MDMB-CHMICA', '冷藏贮存', 'GASS-067', '瓶', NULL, 0.000000000000000000000000000000, '1971007-95-0', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('7895FC391C3E89B3C10E69B459209CA4', '自封袋', '苹果牌京惠思创', '耗材', NULL, '普通耗材', '4# 85*120mm,100个/包,100个/包', '2023-09-15 15:37:42.000000', '2023-09-15 15:37:42.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '包', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('78C0B9A2B73B7AB1C5534442FA4DBF6E', 'N-(4-氟苯基)-3甲基-N-(1-苯乙基哌啶-4-基)丁酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:10.000000', '2023-09-15 15:37:10.000000', '1', '1', '/', NULL, 1.00, 'N-(4-fluorophenyl)-3-methyl-N-(1-phenethylpiperidin-4-yl)butanamide', 1, '对氟苯基3-甲基丁酰基芬太尼', '冷藏贮存', 'GASS-383', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('78D1C01F5B21949C948B20050B6E6EE9', '2-(二乙基氨基)-1-苯基戊烷-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:14.000000', '2023-09-15 15:37:14.000000', '1', '1', '/', NULL, 1.00, '2-(diethylamino)-1-phenylpentan-1-one', 1, 'N,N-二乙基戊卡西酮盐酸盐', '冷藏贮存', 'GASS-393', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('79379D270104847DE58817C78B7FAFB9', '移液枪吸头0.5-20uL', 'Brand', '耗材', NULL, '普通耗材', '10包/盒,10包/盒', '2023-09-15 15:37:44.000000', '2023-09-15 15:37:44.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '732224', NULL);
INSERT INTO `reagent_consumables` VALUES ('798D17A2AE9E77A535794E5DF1D000A4', '2-(1-(5-氟戊基)-1H-吲哚-3-甲酰胺-4,5,6,7-d4)-3,3-二甲基丁酸甲酯', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:22.000000', '2023-09-15 15:37:22.000000', '1', '1', '/', NULL, 1.00, 'methyl 2-(1-(5-fluoropentyl)-1H-indole-3-carboxamido-4,5,6,7-d4)-3,3-dimethylbutanoate', 1, 'D4-5F-MDMB-PICA', '冷藏贮存', 'GASS-465', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('79AD3931BB831A58BE947F7C49825164', '枪头', 'brand', '耗材', NULL, '普通耗材', '50-1000ul', '2023-09-15 15:38:29.000000', '2023-09-15 15:38:29.000000', '1', '1', '/', NULL, 1.00, '/', 10, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('79C99A3409525402DB4E48C3BC49C39C', '15ml塑料离心管', 'CORNING　CentriStar', '耗材', NULL, '普通耗材', 'PET塑料,10包/箱  1包/50,10包/箱  1包/50', '2023-09-15 15:37:37.000000', '2023-09-15 15:37:37.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '箱', NULL, 0.000000000000000000000000000000, NULL, '430790', NULL);
INSERT INTO `reagent_consumables` VALUES ('79EC6EF7A739DA1C225AFE80A6637465', '利血平', 'Sigma-Aldrich', '试剂', NULL, '普通试剂', '5g/瓶,99%', '2023-09-15 15:39:16.000000', '2023-09-15 15:39:16.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('79F2DEC6653612A64F197DA5DCF633F2', '2-(1-丁基-1H-吲唑-3-甲酰胺) -3,3-二甲基丁酸', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:23.000000', '2023-09-15 15:37:23.000000', '1', '1', '/', NULL, 1.00, '2-(1-butyl-1H-indazole-3-carboxamido)-3,3-dimethylbutanoic acid', 1, 'ADB-BUTINACA代谢物', '冷藏贮存', 'GASS-502', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('7A4F5EE4F00F7AC08E07ADB8527C6DA2', '乙腈', 'Merck', '试剂', NULL, '普通试剂', '2.5L/瓶', '2023-09-15 15:37:57.000000', '2023-09-15 15:37:57.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '/', 'LC/MS级 ');
INSERT INTO `reagent_consumables` VALUES ('7A516CDEB7CE536D88FD4F948C013B33', '2-(乙基氨基)-2-(噻吩-2-基) 环己烷-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:18.000000', '2023-09-15 15:37:18.000000', '1', '1', '/', NULL, 1.00, '2-(ethylamino)-2-(thiophen-2-yl)cyclohexan-1-one', 1, '乙基噻吩胺酮盐酸盐', '冷藏贮存', 'GASS-406', '瓶', NULL, 0.000000000000000000000000000000, '14176-50-2', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('7B2043A932C91B3B8C6270663596D62C', '无水碳酸钠', '科密欧', '试剂', NULL, '普通试剂', '500克/瓶', '2023-09-15 15:37:59.000000', '2023-09-15 15:37:59.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '/', '优级纯');
INSERT INTO `reagent_consumables` VALUES ('7B5CC752D878DA27FBE65025DDE5F240', '二氯甲烷', '科密欧', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-09-15 15:39:03.000000', '2023-09-15 15:39:03.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('7BF447BD6F8CFF9A79554A92B34DC4E5', '量杯 塑料 3L', '/', '耗材', NULL, '普通耗材', '/,/', '2023-09-15 15:37:50.000000', '2023-09-15 15:37:50.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '后续不再购买', '个', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('7D1F1D1ACE872364C1121DBEBA95B7B1', '移液枪', 'Sartorius', '耗材', NULL, '普通耗材', '1-10ml', '2023-09-15 15:38:19.000000', '2023-09-15 15:38:19.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('7E07947EE0A2C33A3B30008FFBC7B826', '1-(4-氯苯基)-2-(二乙基氨基)丙-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:15.000000', '2023-09-15 15:37:15.000000', '1', '1', '/', NULL, 1.00, '1-(4-chlorophenyl)-2-(diethylamino)propan-1-one', 1, '对氯-N,N-二乙基卡西酮盐酸盐', '冷藏贮存', 'GASS-394', '瓶', NULL, 0.000000000000000000000000000000, '92105-44-7', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('7ED0AA3E04F3B334930F01D2676C966E', '收纳盒', 'n/a', '耗材', NULL, '普通耗材', 'n/a', '2023-09-15 15:38:45.000000', '2023-09-15 15:38:45.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('7F12C8CD9991BB1A1D34EAFD2BCBA86F', '1-(3-氯苯基)-2-(二甲基氨基)丙-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:01.000000', '2023-09-15 15:37:01.000000', '1', '1', '/', NULL, 1.00, '1-(3-chlorophenyl)-2-(dimethylamino)propan-1-one', 1, 'N-甲基-间氯-甲卡西酮盐酸盐', '冷藏贮存', 'GASS-334', '瓶', NULL, 0.000000000000000000000000000000, '514168-22-0', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('7F6753D7C486256075376B69320539D5', '称量瓶', 'n/a', '耗材', NULL, '普通耗材', '50x30', '2023-09-15 15:38:38.000000', '2023-09-15 15:38:38.000000', '1', '1', '/', NULL, 1.00, '/', 10, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('80362BFF3560280733ED21EBDA1C9667', '圆底烧瓶', '申迪', '耗材', NULL, '普通耗材', '500ml', '2023-09-15 15:38:36.000000', '2023-09-15 15:38:36.000000', '1', '1', '/', NULL, 1.00, '/', 10, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('805278306BB7CB555541775F0A859285', '橡皮吸球', 'n/a', '耗材', NULL, '普通耗材', '1ml', '2023-09-15 15:38:22.000000', '2023-09-15 15:38:22.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('807A6E375F1047BBE8C88DCEC78C9654', '定量滤纸', '双联牌', '耗材', NULL, '普通耗材', '7cm,快速', '2023-09-15 15:38:49.000000', '2023-09-15 15:38:49.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('80A6406CBE7567425EB59E8B7701A702', '塑料吸管', 'n/a', '耗材', NULL, '普通耗材', '2ml，100支/袋', '2023-09-15 15:38:26.000000', '2023-09-15 15:38:26.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '袋', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('80BEAC19244411E3455E521CE5254DB5', '活性炭口罩', '/', '耗材', NULL, '普通耗材', '/,/', '2023-09-15 15:37:34.000000', '2023-09-15 15:37:34.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('81D9265C246FB4C946D3CFCFAAB9CF17', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)异丁酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:46.000000', '2023-09-15 15:36:46.000000', '1', '1', '/', NULL, 1.00, 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)isobutyramide', 1, '4-氟异丁酰芬太尼', '冷藏贮存', 'GASS-097', '瓶', NULL, 0.000000000000000000000000000000, '244195-32-2', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('82179DBD1CF04D541BA4569F2AEE8897', '单凹片载玻片', 'SAIL BRAND', '耗材', NULL, '普通耗材', '25.4x76.2mm，50片，7103', '2023-09-15 15:38:55.000000', '2023-09-15 15:38:55.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('8223090A55354B3A43956A9C4B7B44CD', '研钵', '垒固', '耗材', NULL, '普通耗材', '12ml', '2023-09-15 15:38:34.000000', '2023-09-15 15:38:34.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('826AE731D272943EFC8325E48770D8B3', '(1-(2-吗啉乙基)-1H-吲哚-3-基)(2,2,3,3-四甲基环丙基)甲酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:35.000000', '2023-09-15 15:36:35.000000', '1', '1', '/', NULL, 1.00, '(1-(2-morpholinoethyl)-1H-indol-3-yl)(2,2,3,3-tetramethylcyclopropyl)methanone', 1, 'A-796,260', '冷藏贮存', 'GASS-041', '瓶', NULL, 0.000000000000000000000000000000, '895155-26-7', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('82D6060525A09FDD5D01C7A6EF0D1E67', '异辛烷', 'Supelco', '试剂', NULL, '普通试剂', '1L/瓶', '2023-09-15 15:39:21.000000', '2023-09-15 15:39:21.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('831D5E9354A7484507E4ED8AAE27B36F', '白色药瓶', 'n/a', '耗材', NULL, '普通耗材', '20ml', '2023-09-15 15:38:28.000000', '2023-09-15 15:38:28.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('83B113E3E584F697735126582EC293AE', '量筒 100mL', '/', '耗材', NULL, '普通耗材', '/,/', '2023-09-15 15:37:45.000000', '2023-09-15 15:37:45.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '个', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('83E79E8F5F5FF12E3EFDE5541361CA13', '进样小瓶', '安捷伦', '耗材', NULL, '普通耗材', '2ml,5182-0714，100个/盒', '2023-09-15 15:38:39.000000', '2023-09-15 15:38:39.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('8552242CA1292DAC2C47BF108DD4DD34', '称量纸', 'n/a', '耗材', NULL, '普通耗材', '10cm', '2023-09-15 15:38:36.000000', '2023-09-15 15:38:36.000000', '1', '1', '/', NULL, 1.00, '/', 10, '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('859A3528EE762ADBC84342F68F4C2A9A', '丙二酸二乙酯', '阿拉丁', '试剂', NULL, '普通试剂', '0.99', '2023-09-15 15:39:04.000000', '2023-09-15 15:39:04.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('8615781D011882532ACADEDB77FE5DE5', '氢氧化钠', '欧博凯', '试剂', NULL, '普通试剂', '500g/瓶', '2023-09-15 15:39:10.000000', '2023-09-15 15:39:10.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'GR级');
INSERT INTO `reagent_consumables` VALUES ('886E01CC21353AE0F94A29F8EA2804A7', '乙酸铵', 'Sigma-Aldrich', '试剂', NULL, '普通试剂', '32301-500g/瓶，98%', '2023-09-15 15:39:15.000000', '2023-09-15 15:39:15.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'ACS级');
INSERT INTO `reagent_consumables` VALUES ('8872B150EA80607672F857BF7DDF7875', '丁乙酸', '大茂', '试剂', NULL, '普通试剂', '500mL/瓶', '2023-09-15 15:38:03.000000', '2023-09-15 15:38:03.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '/', '优级纯');
INSERT INTO `reagent_consumables` VALUES ('88AC55DF98DD989EA7AF50213777A02B', 'N-(金刚烷-1-基)-1-戊基-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:38.000000', '2023-09-15 15:36:38.000000', '1', '1', '/', NULL, 1.00, 'N-(adamantan-1-yl)-1-pentyl-1H-indazole-3-carboxamide', 1, 'APINACA', '冷藏贮存', 'GASS-052', '瓶', NULL, 0.000000000000000000000000000000, '1345973-53-6', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('88C27237FE238FE91025F52CA8A02520', '200ul枪头', 'Brand', '耗材', NULL, '普通耗材', '容量200ul,96个/盒,96个/盒', '2023-09-15 15:37:33.000000', '2023-09-15 15:37:33.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '732028', NULL);
INSERT INTO `reagent_consumables` VALUES ('891C668FCB2D24FE04DEE76107702080', ' 针头过滤器 25mm', 'Whatman ', '耗材', NULL, '普通耗材', '25mm,50/盒,50/盒', '2023-09-15 15:37:48.000000', '2023-09-15 15:37:48.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '后续不再购买', '盒', NULL, 0.000000000000000000000000000000, NULL, '10462701', NULL);
INSERT INTO `reagent_consumables` VALUES ('8937FD912B4DAECD34C8EAEAD20A1147', '定性滤纸', '皎洁', '耗材', NULL, '普通耗材', '11cm，中速', '2023-09-15 15:38:54.000000', '2023-09-15 15:38:54.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('89A7E5E922D2C3CE6CA550035E0E5237', '1-(苯并[d][1,3]二羟基-5-基)-2-(二甲基氨基)戊-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:27.000000', '2023-09-15 15:37:27.000000', '1', '1', '/', NULL, 1.00, '1-(benzo[d][1,3]dioxol-5-yl)-2-(dimethylamino)pentan-1-one', 1, 'N,N-Dimethylpentylone (hydrochloride)', '冷藏贮存', 'GASS-511', '瓶', NULL, 0.000000000000000000000000000000, '17763-13-2', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('8AC8CB4D81C68E0F149C8A043E302334', '三（羟甲基）氨基甲烷', '阿拉丁', '试剂', NULL, '普通试剂', '0.999', '2023-09-15 15:39:10.000000', '2023-09-15 15:39:10.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, '标准缓冲物质');
INSERT INTO `reagent_consumables` VALUES ('8AFDA5ADC38E2AE510AC3BF12C84F2C2', '移液管', 'MC', '耗材', NULL, '普通耗材', '50ml', '2023-09-15 15:38:13.000000', '2023-09-15 15:38:13.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('8CC64F58EDC5AB3735ACCA041E7200FB', '异丙醇', 'Supelco', '试剂', NULL, '普通试剂', '4L/瓶', '2023-09-15 15:38:59.000000', '2023-09-15 15:38:59.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('8D17A0BC045A53AF955F108F4C1A598D', '2-(二甲基氨基)-1-苯基戊烷-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:02.000000', '2023-09-15 15:37:02.000000', '1', '1', '/', NULL, 1.00, '2-(dimethylamino)-1-phenylpentan-1-one', 1, '2-(二甲氨)-1-苯基-1-戊酮', '冷藏贮存', 'GASS-338', '瓶', NULL, 0.000000000000000000000000000000, '2168229-67-0', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('8D6EF0F4A6F1A83D3CA000CE74AFFDC7', 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基)-1-(环己基甲基)-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:43.000000', '2023-09-15 15:36:43.000000', '1', '1', '/', NULL, 1.00, 'N-(1-amino-3,3-dimethyl-1-oxobutan-2-yl)-1(cyclohexylmethyl)-1H-indazole-3-carboxamide', 1, 'ADB-CHMINACA', '冷藏贮存', 'GASS-076', '瓶', NULL, 0.000000000000000000000000000000, '1863065-92-2', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('8DDA3C78A4160DEFD72CC9077F67E01D', '2ml进样瓶', 'waters', '耗材', NULL, '普通耗材', '18600847C（棕色）,100个/盒,100个/盒', '2023-09-15 15:37:34.000000', '2023-09-15 15:37:34.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '18600847C', NULL);
INSERT INTO `reagent_consumables` VALUES ('8E09A47A7C68826FCE342A16E66D9961', '10ml连盖离心管', 'CYPRESS', '耗材', NULL, '普通耗材', '200个/包,200个/包', '2023-09-15 15:37:39.000000', '2023-09-15 15:37:39.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '包', NULL, 0.000000000000000000000000000000, NULL, '200100', NULL);
INSERT INTO `reagent_consumables` VALUES ('8E6952259CE2B5834ECF6E18B352AC61', '药匙', 'n/a', '耗材', NULL, '普通耗材', '3x1', '2023-09-15 15:38:23.000000', '2023-09-15 15:38:23.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '套', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('8E995B9F127CF050508C6E1895852DDD', 'TBTU, O-苯并三氮唑-N,N,N\',N\'-四甲基脲四氟硼酸酯', '阿拉丁', '试剂', NULL, '普通试剂', '98%, 100g/瓶', '2023-09-15 15:39:26.000000', '2023-09-15 15:39:26.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, '125700-67-6', NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('8F3D0BDD051C41AB1D76094D7F04399E', '2-(二乙基氨基)-1-苯基丙-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:59.000000', '2023-09-15 15:36:59.000000', '1', '1', '/', NULL, 1.00, '2-(diethylamino)-1-phenylpropan-1-one', 1, '安非拉酮盐酸盐', '冷藏贮存', 'GASS-330', '瓶', NULL, 0.000000000000000000000000000000, '134-80-5', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('8F5F26F772C480FAA52F1824AE9D5D33', 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(4-氟苄基)-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:36.000000', '2023-09-15 15:36:36.000000', '1', '1', '/', NULL, 1.00, 'N-(1-amino-3-methyl-1-oxobutan-2-yl)-1-(4-fluorobenzyl)-1H-indazole-3-carboxamide', 1, 'AB-FUBINACA', '冷藏贮存', 'GASS-044', '瓶', NULL, 0.000000000000000000000000000000, '1629062-56-1', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('8FDCDFAE820125400DE2F95FF8F1890D', '容量瓶架 10mL 12孔', '/', '耗材', NULL, '普通耗材', '1个/盒,1个/盒', '2023-09-15 15:37:44.000000', '2023-09-15 15:37:44.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('90C22621AF1AE2BFBB1A76956C9EB831', '氘代DMSO', 'CIL', '试剂', NULL, '普通试剂', '0.6mLx10,99.8%', '2023-09-15 15:39:13.000000', '2023-09-15 15:39:13.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('90CA7AA23B2424EE2E93FB475DC0B07D', '一次性塑料烧杯', 'n/a', '耗材', NULL, '普通耗材', '50ml', '2023-09-15 15:38:42.000000', '2023-09-15 15:38:42.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('910F0FB6436C8EC61741CD8D8D574263', '(1-(环己基甲基)-1H-吲哚-3-羰基)缬氨酸甲酯', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:44.000000', '2023-09-15 15:36:44.000000', '1', '1', '/', NULL, 1.00, 'methyl(1-(cyclohexylmethyl)-1H-indole-3-carbonyl)valinate', 1, 'AMB-CHMICA', '冷藏贮存', 'GASS-079', '瓶', NULL, 0.000000000000000000000000000000, '1971007-94-9', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('920F8ACFF3AC839E41AEAE986EF2E5EF', '1-(4-氟苯基)丙-2-胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:30.000000', '2023-09-15 15:36:30.000000', '1', '1', '/', NULL, 1.00, '1-(4-fluorophenyl)propan-2-amine', 1, '4-FA', '冷藏贮存', 'GASS-007', '瓶', NULL, 0.000000000000000000000000000000, '459-02-9', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('92B00FE4C22EE496AFE0EBB3A63118A3', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)环丙烷甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:05.000000', '2023-09-15 15:37:05.000000', '1', '1', '/', NULL, 1.00, 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)cyclopropanecarboxamide', 1, '对甲苯基环丙甲酰基芬太尼', '冷藏贮存', 'GASS-370', '瓶', NULL, 0.000000000000000000000000000000, '2749910-42-5', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('92FA0C9059F697DA14B80C7385C8EEFF', '石墨垫圈', '安捷伦', '耗材', NULL, '普通耗材', '货号5080-8853，10个/盒', '2023-09-15 15:38:12.000000', '2023-09-15 15:38:12.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('946D91DD13ED382469BBCBD996D38494', '1-(4-溴苯基)-2-(吡咯烷-1-基)丙-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:59.000000', '2023-09-15 15:36:59.000000', '1', '1', '/', NULL, 1.00, '1-(4-bromophenyl)-2-(pyrrolidin-1-yl)propan-1-one', 1, 'N-环丁基-对溴-卡西酮盐酸盐', '冷藏贮存', 'GASS-329', '瓶', NULL, 0.000000000000000000000000000000, '1152859-02-3', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('948E93DF9677622D36A1FAD56FDC61B1', 'DMAP, 4-二甲氨基吡啶', '阿拉丁', '试剂', NULL, '普通试剂', '99%, 100g/瓶', '2023-09-15 15:39:25.000000', '2023-09-15 15:39:25.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, '1122-58-3', NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('94CBDBF12B56720F67EE65FD81BA2F28', 'N、N-二乙基-7-甲基-4,6,6a，7,8,9-六氢吲哚[4,3-fg]喹啉-9-羧酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:03.000000', '2023-09-15 15:37:03.000000', '1', '1', '/', NULL, 1.00, 'N,N-diethyl-7-methyl-4,6,6a,7,8,9-hexahydroindolo[4,3-fg]quinoline-9-carboxamide', 1, 'LSD', '冷藏贮存', 'GASS-340', '瓶', NULL, 0.000000000000000000000000000000, '50-37-3', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('94EFE014FFAE803E63A8184A6E806CE6', '擦镜纸', '杭州新星', '耗材', NULL, '普通耗材', '10*15cm', '2023-09-15 15:38:16.000000', '2023-09-15 15:38:16.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('9566680FF32B5A51E890DCA421FA42F6', '固相萃取小柱', '睿科', '耗材', NULL, '普通耗材', 'RayCure MCX 60mg/3mL，50/pk,50个/盒,50个/盒', '2023-09-15 15:37:32.000000', '2023-09-15 15:37:32.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '污水专用', '盒', NULL, 0.000000000000000000000000000000, NULL, 'E0122502', NULL);
INSERT INTO `reagent_consumables` VALUES ('960AFDE8769D2D8928383B303484710A', '5-乙基-5-(苯基-d5)嘧啶-2,4,6 (1H，3H，5H)-三酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:27.000000', '2023-09-15 15:37:27.000000', '1', '1', '/', NULL, 1.00, '5-ethyl-5-(phenyl-d5)pyrimidine-2,4,6(1H,3H,5H)-trione', 1, 'Ds-苯巴比妥', '冷藏贮存', 'GASS-512', '瓶', NULL, 0.000000000000000000000000000000, '72793-46-5', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('968CA164B7F77946D55669EC4FA6BA81', '定性滤纸', '皎洁', '耗材', NULL, '普通耗材', '7cm，中速', '2023-09-15 15:38:53.000000', '2023-09-15 15:38:53.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('970E3400D3E3ACCED241E9CD62A1830A', '牛皮纸物证袋', 'n/a', '耗材', NULL, '普通耗材', '30*17*46cm', '2023-09-15 15:38:06.000000', '2023-09-15 15:38:06.000000', '1', '1', '/', NULL, 1.00, '/', 10, '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('972BD1891A4592A5BE9288CEF70E8392', '容量瓶', 'Brand', '耗材', NULL, '普通耗材', '2ml', '2023-09-15 15:38:33.000000', '2023-09-15 15:38:33.000000', '1', '1', '/', NULL, 1.00, '/', 2, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('9A3578679C16E3C22F1CC46FF3BD4D69', 'ACQUITY UPLC ENH HILIC ', 'Waters', '耗材', NULL, '色谱柱', '2.1*100mm,1.7um', '2023-09-15 15:38:10.000000', '2023-09-15 15:38:10.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('9A641A3887C784C164A1C735EDA9A9B8', '3-环戊基-N-(1-苯乙基哌啶-4-基)-N-苯基丙酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:14.000000', '2023-09-15 15:37:14.000000', '1', '1', '/', NULL, 1.00, '3-cyclopentyl-N-(1-phenethylpiperidin-4-yl)-N-phenylpropanamide', 1, '苯基环戊丙酰基芬太尼', '冷藏贮存', 'GASS-391', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('9B30C7DAE53F463055883C3044F8F736', '试管帽', 'n/a', '耗材', NULL, '普通耗材', 'Φ15', '2023-09-15 15:38:24.000000', '2023-09-15 15:38:24.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('9B5CB0A09F63C51E370F1EE104FB5D52', '浓硫酸', '沪试', '试剂', NULL, '普通试剂', '500mL/瓶', '2023-09-15 15:38:02.000000', '2023-09-15 15:38:02.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '/', '分析纯');
INSERT INTO `reagent_consumables` VALUES ('9B9B9B33E8C0BC6FBAEFA1359181C76E', '容量瓶', 'Bomex', '耗材', NULL, '普通耗材', '250ml', '2023-09-15 15:38:34.000000', '2023-09-15 15:38:34.000000', '1', '1', '/', NULL, 1.00, '/', 6, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('9BDE4460843F2AB81E4235EEED650AE1', '吡拉西坦', 'Sigma-Aldrich', '试剂', NULL, '普通试剂', '25g/瓶', '2023-09-15 15:39:00.000000', '2023-09-15 15:39:00.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'RD');
INSERT INTO `reagent_consumables` VALUES ('9EB4CD1B395A42C33663D255D35BDA99', '二氯甲烷', '国药集团', '试剂', NULL, '普通试剂', '≥99.5', '2023-09-15 15:39:21.000000', '2023-09-15 15:39:21.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('9EB840E33698F62F8315871ACC2FD20E', '5ml连盖离心管', 'CYPRESS', '耗材', NULL, '普通耗材', '300个/包,300个/包', '2023-09-15 15:37:39.000000', '2023-09-15 15:37:39.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '包', NULL, 0.000000000000000000000000000000, NULL, '0200050', NULL);
INSERT INTO `reagent_consumables` VALUES ('9EF6E0B943B1692C22F1341C0DC6B157', '甲酸', 'SturdeeSeal', '试剂', NULL, '普通试剂', '50ml/瓶', '2023-09-15 15:38:59.000000', '2023-09-15 15:38:59.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'LC/MS级');
INSERT INTO `reagent_consumables` VALUES ('9F633F3CA8C8652AD0F591637EFB6E59', '1ml枪头', 'Brand', '耗材', NULL, '普通耗材', '96个/盒,96个/盒', '2023-09-15 15:37:33.000000', '2023-09-15 15:37:33.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '732232', NULL);
INSERT INTO `reagent_consumables` VALUES ('A0A083A79B515EFD9556DEB96C988738', '水系滤膜25mm*0.45um', '津隆', '耗材', NULL, '普通耗材', '100个/盒,100个/盒', '2023-09-15 15:37:48.000000', '2023-09-15 15:37:48.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '后续不再购买', '盒', NULL, 0.000000000000000000000000000000, NULL, 'JLSP214502', NULL);
INSERT INTO `reagent_consumables` VALUES ('A11CBD42D158E261809AD8318E06CFFD', '碳酸氢钠', '大茂', '试剂', NULL, '普通试剂', '500g/瓶', '2023-09-15 15:39:09.000000', '2023-09-15 15:39:09.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'GR级');
INSERT INTO `reagent_consumables` VALUES ('A192AC84D1689BA4DA7456F7E78B2FEB', '乙醇', '利安隆博华', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-09-15 15:39:06.000000', '2023-09-15 15:39:06.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('A1EF2F0A023AA8468E09E20FA432DB80', '(7-氯-5-(2-氟苯基)-2,3-二氢-1H-苯并[e][1,4]二氮杂-2-基)甲胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:28.000000', '2023-09-15 15:37:28.000000', '1', '1', '/', NULL, 1.00, '(7-chloro-5-(2-fluorophenyl)-2,3-dihydro-1H-benzo[e][1,4]diazepin-2-yl)methanamine', 1, '咪达唑仑', '冷藏贮存', 'GASS-513', '瓶', NULL, 0.000000000000000000000000000000, '59467-64-0', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('A35D88C44C630D9AAE66ACB9FA8886DE', '硝酸', '西陇', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-09-15 15:39:19.000000', '2023-09-15 15:39:19.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('A3B377FFFBC1A71282F2C2A57F4029A3', '螺口试剂瓶', '蜀牛', '耗材', NULL, '普通耗材', ' 5000mL,/,/', '2023-09-15 15:37:41.000000', '2023-09-15 15:37:41.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '个', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('A411A460338306A212F158F3CB7403A0', '50ml塑料离心管', 'CORNING　CentriStar', '耗材', NULL, '普通耗材', 'PET塑料,20包/箱 1包/25,20包/箱 1包/25', '2023-09-15 15:37:37.000000', '2023-09-15 15:37:37.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '箱', NULL, 0.000000000000000000000000000000, NULL, '430304', NULL);
INSERT INTO `reagent_consumables` VALUES ('A4444956D2523845B9887E852F1F9565', '滴管', 'n/a', '耗材', NULL, '普通耗材', '18cm', '2023-09-15 15:38:17.000000', '2023-09-15 15:38:17.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('A4F12DF38629EE07940181332D93D22D', '甲酸', '科密欧', '试剂', NULL, '普通试剂', '500mL/瓶', '2023-09-15 15:37:55.000000', '2023-09-15 15:37:55.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '污水，毛发专用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '/', 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('A516BFBDEB8AE499AFBBEB85F7FFD934', '4-氟苄溴', '阿拉丁', '试剂', NULL, '普通试剂', '97%，25g/瓶', '2023-09-15 15:39:22.000000', '2023-09-15 15:39:22.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, '459-46-1', NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('A5439FC79759BE2A4F9BFD776071D5A0', '喹啉-8-基-1-戊基-1H-吲哚-3-羧酸盐', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:41.000000', '2023-09-15 15:36:41.000000', '1', '1', '/', NULL, 1.00, 'quinolin-8-y1-pentyl-1H-indole-3-carboxylate', 1, 'PB-22', '冷藏贮存', 'GASS-069', '瓶', NULL, 0.000000000000000000000000000000, '1400742-17-7', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('A57257ED857F4EFB7F0372F9C1618F91', '塑料吸管', 'n/a', '耗材', NULL, '普通耗材', '0.2ml，500支/袋', '2023-09-15 15:38:26.000000', '2023-09-15 15:38:26.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '袋', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('A5F7CD45486C7867188577604B88CEF7', '1ml有机相枪头', 'RAININ　1000ul', '耗材', NULL, '普通耗材', 'disposable capillaries/pistons 17008609,180个/盒,180个/盒', '2023-09-15 15:37:30.000000', '2023-09-15 15:37:30.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '污水专用', '盒', NULL, 0.000000000000000000000000000000, NULL, '186008056', NULL);
INSERT INTO `reagent_consumables` VALUES ('A6C0C703FB6C6C4CB1E4363B048189CF', '物证封装袋', 'n/a', '耗材', NULL, '普通耗材', '43*31cm', '2023-09-15 15:38:07.000000', '2023-09-15 15:38:07.000000', '1', '1', '/', NULL, 1.00, '/', 100, '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('A6CD12305B8062CDCE745B815494CCB1', '乙腈', 'fisher', '试剂', NULL, '普通试剂', '4L/瓶', '2023-09-15 15:37:57.000000', '2023-09-15 15:37:57.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '/', 'LC/MS级 ');
INSERT INTO `reagent_consumables` VALUES ('A6D63C62D2AC3EF7078CC3944EEB7DBD', '磺胺', 'Sigma-Aldrich', '试剂', NULL, '普通试剂', '5g/瓶', '2023-09-15 15:39:14.000000', '2023-09-15 15:39:14.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'RD');
INSERT INTO `reagent_consumables` VALUES ('A71B01AED4F60F5BFC9386AFC8C58B6A', '1ml有机相枪头', 'RAININ　1000ul', '耗材', NULL, '普通耗材', 'disposable capillaries/pistons 17008609,180个/盒,180个/盒', '2023-09-15 15:37:30.000000', '2023-09-15 15:37:30.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '污水专用', '盒', NULL, 0.000000000000000000000000000000, NULL, 'WAT094226', NULL);
INSERT INTO `reagent_consumables` VALUES ('A7639987A61263D691E9DAF52C0FD3F0', '枪头', 'Brand', '耗材', NULL, '普通耗材', '1000ul', '2023-09-15 15:38:52.000000', '2023-09-15 15:38:52.000000', '1', '1', '/', NULL, 1.00, '/', 10, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('A7A59722221DFC043BE14FB8694AD529', '移液枪吸头0.5-20uL', 'Brand', '耗材', NULL, '普通耗材', '10包/盒,10包/盒', '2023-09-15 15:37:43.000000', '2023-09-15 15:37:43.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '732224', NULL);
INSERT INTO `reagent_consumables` VALUES ('A7E5B94CDC15404028FAF7CBEE0836D1', 'N-(1-氨基-3-甲基-1-氧代丁-2-基) -1-戊基-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:36.000000', '2023-09-15 15:36:36.000000', '1', '1', '/', NULL, 1.00, 'N-(1-amino-3-methyl-1-oxobutan-2-yl)-1-pentyl-1H-indazole-3-carboxamide', 1, 'AB-PINACA', '冷藏贮存', 'GASS-045', '瓶', NULL, 0.000000000000000000000000000000, '1445583-20-9', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('A86462DEB68BDD2F491EB3718CAABC5F', '移液管架', 'n/a', '耗材', NULL, '普通耗材', 'n/a', '2023-09-15 15:38:57.000000', '2023-09-15 15:38:57.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('A91F28E99D855BEF42129F247ACE9122', '2ml注射器', '江苏治宇医疗器械', '耗材', NULL, '普通耗材', '300个/盒,300个/盒', '2023-09-15 15:37:40.000000', '2023-09-15 15:37:40.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '2002100', NULL);
INSERT INTO `reagent_consumables` VALUES ('A9F86AB781F5BAE64848285C99BD924E', '一次性塑料烧杯', 'n/a', '耗材', NULL, '普通耗材', '250ml', '2023-09-15 15:38:42.000000', '2023-09-15 15:38:42.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('AA0085B46B0453653C6260B11A1E5D19', '3-甲基-N-(1-苯基哌啶-4-基)-N-(对甲苯基) 丁酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:06.000000', '2023-09-15 15:37:06.000000', '1', '1', '/', NULL, 1.00, '3-methyl-N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)butanamide', 1, '对甲苯基异戊酰基芬太尼', '冷藏贮存', 'GASS-372', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('AA55B67F6535E9B90E9C927AC11A3162', '封口膜', 'PARAFILM', '耗材', NULL, '普通耗材', 'PM-996,1个/盒,1个/盒', '2023-09-15 15:37:34.000000', '2023-09-15 15:37:34.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, 'PM-996', NULL);
INSERT INTO `reagent_consumables` VALUES ('AA64A2A5DAB1C2B8827112469D56E2A1', '梨形分液漏斗', 'Bomex', '耗材', NULL, '普通耗材', '125ml', '2023-09-15 15:38:44.000000', '2023-09-15 15:38:44.000000', '1', '1', '/', NULL, 1.00, '/', 2, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('AA8877CCB9CAAA673DBA1D2444465236', '水系滤膜13mm*0.45um', '津隆', '耗材', NULL, '普通耗材', '100个/盒,100个/盒', '2023-09-15 15:37:48.000000', '2023-09-15 15:37:48.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '后续不再购买', '盒', NULL, 0.000000000000000000000000000000, NULL, 'JLSP054501', NULL);
INSERT INTO `reagent_consumables` VALUES ('AB4779DE5E974E4F56CE311DC4702F59', 'N-(1-苯乙基哌啶-4-基)-N-苯基环丙烷甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:13.000000', '2023-09-15 15:37:13.000000', '1', '1', '/', NULL, 1.00, 'N-(1-phenethylpiperidin-4-yl)-N-phenylcyclopropanecarboxamide', 1, '苯基环丙甲酰基芬太尼', '冷藏贮存', 'GASS-390', '瓶', NULL, 0.000000000000000000000000000000, '1169-68-2', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('AB7F3A076889DD68337D3CC96354DD30', '进口滤膜', '津隆', '耗材', NULL, '普通耗材', '25mm，100片/盒，水洗聚醚砜（PES），0.45um，货号：JLSP214502', '2023-09-15 15:38:47.000000', '2023-09-15 15:38:47.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('AC3150EAF2C8E4D40E35ADCB1D654EA0', '1,4-二甲氧基苯', 'Sigma-Aldrich', '试剂', NULL, '普通试剂', '100g/瓶,99%', '2023-09-15 15:39:14.000000', '2023-09-15 15:39:14.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'RP');
INSERT INTO `reagent_consumables` VALUES ('AC9DDF3ABE0955B9C06C1A543F1413FA', 'LG玻板抽滤漏斗', '垒固', '耗材', NULL, '普通耗材', '100ml', '2023-09-15 15:38:42.000000', '2023-09-15 15:38:42.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('ACBA090E05E524A2BA04D48D336D19B1', '二氯甲烷', 'CNW', '试剂', NULL, '普通试剂', '4l/瓶', '2023-09-15 15:39:03.000000', '2023-09-15 15:39:03.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('ACC5A5389E9A65E6F44F26A0ECB2360D', '瓶口分液器', 'sartorius', '耗材', NULL, '普通耗材', '0.2ml-1ml', '2023-09-15 15:38:29.000000', '2023-09-15 15:38:29.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('ACEFBF504AC98F7E2B5F443EDF4B70AD', '移液枪', '普兰德', '耗材', NULL, '普通耗材', '500-5000ul', '2023-09-15 15:38:19.000000', '2023-09-15 15:38:19.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('AD56604587E5D7B7945376EF4C4E48FE', '乙酸', '科密欧', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-09-15 15:39:19.000000', '2023-09-15 15:39:19.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('AD59C051F4D20F0F5966E2DDD56CCB28', '甲醇', 'Supelco', '试剂', NULL, '普通试剂', '4L，LC/MS级', '2023-09-15 15:39:12.000000', '2023-09-15 15:39:12.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'LC/MS级');
INSERT INTO `reagent_consumables` VALUES ('ADF94D2D325B40C09FB64D9547A0C9FE', '1ml枪头', 'Brand', '耗材', NULL, '普通耗材', '96个/盒,96个/盒', '2023-09-15 15:37:32.000000', '2023-09-15 15:37:32.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '732232', NULL);
INSERT INTO `reagent_consumables` VALUES ('AE2735417B3C2399145448339F682831', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)辛酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:08.000000', '2023-09-15 15:37:08.000000', '1', '1', '/', NULL, 1.00, 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)octanamide', 1, '对甲苯基正辛酰基芬太尼', '冷藏贮存', 'GASS-378', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('AE482E4D045DCBE1B6B15B59D07D06CC', '保鲜自封袋5号', '苹果', '耗材', NULL, '普通耗材', '100x150mm', '2023-09-15 15:38:04.000000', '2023-09-15 15:38:04.000000', '1', '1', '/', NULL, 1.00, '/', 100, '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('AEA8F5FA25A481B8B852E69A0E11BE7C', '瓶口移液器 0.4-2mL', '赛多利斯 ', '耗材', NULL, '普通耗材', '/,/', '2023-09-15 15:37:50.000000', '2023-09-15 15:37:50.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '后续不再购买', '个', NULL, 0.000000000000000000000000000000, NULL, '2005075', NULL);
INSERT INTO `reagent_consumables` VALUES ('AF3886290EAE86E80A495927173F75DB', '移液枪', 'Sartorius', '耗材', NULL, '普通耗材', '0.1-3ul', '2023-09-15 15:38:20.000000', '2023-09-15 15:38:20.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('AF5CC513B7B2C90824B4E034E2F1741C', '量筒', 'Bomex', '耗材', NULL, '普通耗材', '25ml', '2023-09-15 15:38:36.000000', '2023-09-15 15:38:36.000000', '1', '1', '/', NULL, 1.00, '/', 10, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('AF69C37AD96B4472B2BD823C10383A60', '密度计', '垒固', '耗材', NULL, '普通耗材', '0.6-2.0', '2023-09-15 15:38:55.000000', '2023-09-15 15:38:55.000000', '1', '1', '/', NULL, 1.00, '/', 14, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B005AE8E4BB9C1D0FE9F354155961748', '称量纸 120*120mm', '/', '耗材', NULL, '普通耗材', ' 120*120mm,400张/包,400张/包', '2023-09-15 15:37:46.000000', '2023-09-15 15:37:46.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '包', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('B0B0CCA2075DDEEFF2A951E82A57A126', '梨形分液漏斗', 'Bomex', '耗材', NULL, '普通耗材', '250ml', '2023-09-15 15:38:44.000000', '2023-09-15 15:38:44.000000', '1', '1', '/', NULL, 1.00, '/', 2, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B0B347A20E66DD0ADEDE3DB44A86F4EC', '氢氧化钾', '光富', '试剂', NULL, '普通试剂', '500克/瓶', '2023-09-15 15:38:01.000000', '2023-09-15 15:38:01.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '/', '优级纯');
INSERT INTO `reagent_consumables` VALUES ('B194BEB386C36B1D3F2AE0FFDB24E439', '4-氟氯苄', '阿拉丁', '试剂', NULL, '普通试剂', '98%，25g/瓶', '2023-09-15 15:39:23.000000', '2023-09-15 15:39:23.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, '352-11-4', NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('B1982DCD4EBF4F8BE20570842F420F04', '叔丁醇钾', '阿拉丁', '试剂', NULL, '普通试剂', '98%，500g/瓶', '2023-09-15 15:39:22.000000', '2023-09-15 15:39:22.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('B221191F3238DBEC41F804CDF9462596', '2-氯-N-(1-苯乙基哌啶-4-基)-N-(对甲苯)乙酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:06.000000', '2023-09-15 15:37:06.000000', '1', '1', '/', NULL, 1.00, '2-chloro-N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)acetamide', 1, '对甲苯基氯乙酰基芬太尼', '冷藏贮存', 'GASS-373', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B27BF690DA372B2658EA825B03BFB4A3', '2-(2-溴苯基) -2-(甲氨基) 环己烷-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:17.000000', '2023-09-15 15:37:17.000000', '1', '1', '/', NULL, 1.00, '2-(2-bromophenyl)-2-(methylamino)cyclohexan-1-one', 1, '溴胺酮盐酸盐', '冷藏贮存', 'GASS-405', '瓶', NULL, 0.000000000000000000000000000000, '120807-70-7(base)', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B2DBE2C6D135543BF4637B52294F159F', '2ml进样瓶', 'waters', '耗材', NULL, '普通耗材', '18600307C（透明）,100个/盒,100个/盒', '2023-09-15 15:37:35.000000', '2023-09-15 15:37:35.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '18600307C', NULL);
INSERT INTO `reagent_consumables` VALUES ('B2F1FEF132C587A7C1278247AAF3ADF8', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)环丙烷甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:09.000000', '2023-09-15 15:37:09.000000', '1', '1', '/', NULL, 1.00, 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)cyclopropanecarboxamide', 1, '对氟苯基环丙甲酰基芬太尼', '冷藏贮存', 'GASS-380', '瓶', NULL, 0.000000000000000000000000000000, '2306825-52-3', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B408E924851A1790E77ED563F3A7C861', '(1-((1-甲基哌啶-2-基)甲基)-1H-吲哚-3-基)(萘-1-基)甲酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:48.000000', '2023-09-15 15:36:48.000000', '1', '1', '/', NULL, 1.00, '(1-((1-methylpiperidin-2-yl)methyl)-1H-indol-3-yl)(naphthalen-1-yl)methanone', 1, 'AM-1220', '冷藏贮存', 'GASS-048', '瓶', NULL, 0.000000000000000000000000000000, '137642-54-7', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B4695A0950815DEF638D199663A796AB', '进口滤膜', '津隆', '耗材', NULL, '普通耗材', '25mm，100片/盒，水洗聚醚砜（PES），0.22um，货号：JLSP202202', '2023-09-15 15:38:47.000000', '2023-09-15 15:38:47.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B4A155B66F306924CA0977B41C236D01', '1-(4-氯苯基)-2-(二甲基氨基)丙-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:15.000000', '2023-09-15 15:37:15.000000', '1', '1', '/', NULL, 1.00, '1-(4-chlorophenyl)-2-(dimethylamino)propan-1-one', 1, '对氯-N,N-二甲基卡西酮盐酸盐', '冷藏贮存', 'GASS-395', '瓶', NULL, 0.000000000000000000000000000000, '2493977-47-0', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B4CB7A9A63E4C2DFB95C50B4F25E36FB', '2-(甲氨基)-1-(对甲苯基)丙-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:47.000000', '2023-09-15 15:36:47.000000', '1', '1', '/', NULL, 1.00, '2-(methylamino)-1-(p-tolyl)propan-1-one', 1, '4-甲基甲卡西酮(盐酸盐)', '冷藏贮存', 'GASS-164', '瓶', NULL, 0.000000000000000000000000000000, '1189726-22-4', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B51294A689B4F05BA41369C28FB1AC60', '水系滤膜25mm*0.22um', '津隆', '耗材', NULL, '普通耗材', '100个/盒,100个/盒', '2023-09-15 15:37:48.000000', '2023-09-15 15:37:48.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '后续不再购买', '盒', NULL, 0.000000000000000000000000000000, NULL, 'JLSP202202', NULL);
INSERT INTO `reagent_consumables` VALUES ('B544B59C8B420CA569E74B38F51BE885', '一次性使用无菌注射器 带针', '治宇', '耗材', NULL, '普通耗材', '2ml,200/支', '2023-09-15 15:38:48.000000', '2023-09-15 15:38:48.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B5C6D72A46CEDD2476061EAE05CE2DCB', '移液枪20-200uL', 'Brand', '耗材', NULL, '普通耗材', '/,/', '2023-09-15 15:37:43.000000', '2023-09-15 15:37:43.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '个', NULL, 0.000000000000000000000000000000, NULL, '732228', NULL);
INSERT INTO `reagent_consumables` VALUES ('B5CAE338B501B3EB8EAC36FEE05A8792', '密封垫', '岛津', '耗材', NULL, '普通耗材', '货号221-48398-91，20个/盒', '2023-09-15 15:38:11.000000', '2023-09-15 15:38:11.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B6B4C64AB2C1206733757441FE340103', '滴管', 'n/a', '耗材', NULL, '普通耗材', '12cm', '2023-09-15 15:38:18.000000', '2023-09-15 15:38:18.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B798A26C5E2414A4EC1D11EE48DAB792', '磷酸', '阿拉丁', '试剂', NULL, '普通试剂', '89-90%,500ml/瓶', '2023-09-15 15:39:00.000000', '2023-09-15 15:39:00.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('B79EEA8284367A77E516CB0F84A02B9F', '15ml塑料离心管', 'CORNING　CentriStar', '耗材', NULL, '普通耗材', 'PET塑料,10包/箱  1包/50,10包/箱  1包/50', '2023-09-15 15:37:38.000000', '2023-09-15 15:37:38.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '箱', NULL, 0.000000000000000000000000000000, NULL, '430790', NULL);
INSERT INTO `reagent_consumables` VALUES ('B80FACDB9318BAE828C6C5FC9A5AFCCE', '试管', 'n/a', '耗材', NULL, '普通耗材', '18*180mm', '2023-09-15 15:38:13.000000', '2023-09-15 15:38:13.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B89438D4168341975F12AEBB0E615FBD', '研钵', '垒固', '耗材', NULL, '普通耗材', '15ml', '2023-09-15 15:38:34.000000', '2023-09-15 15:38:34.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B8DC5A10D1CBDFD7AD8DCB6290168C09', '2-(二甲基氨基)-1-(对甲苯基)丙-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:00.000000', '2023-09-15 15:37:00.000000', '1', '1', '/', NULL, 1.00, '2-(dimethylamino)-1-(p-tolyl)propan-1-one', 1, '4-CNB;N,N-DMC', '冷藏贮存', 'GASS-331', '瓶', NULL, 0.000000000000000000000000000000, '1448845-14-4', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B8EB3DB8425C1036A9579628BDB08DC0', '螺纹试剂瓶', '蜀牛', '耗材', NULL, '普通耗材', '250ml', '2023-09-15 15:38:40.000000', '2023-09-15 15:38:40.000000', '1', '1', '/', NULL, 1.00, '/', 10, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B8F481CDCDE8DAB3D22CFAD7FBDBD810', '50ml塑料离心管', 'CORNING　CentriStar', '耗材', NULL, '普通耗材', 'PET塑料,20包/箱 1包/25,20包/箱 1包/25', '2023-09-15 15:37:37.000000', '2023-09-15 15:37:37.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '箱', NULL, 0.000000000000000000000000000000, NULL, '430304', NULL);
INSERT INTO `reagent_consumables` VALUES ('B8F6594F5C9ABC66F2025377DD57BAC2', 'ACQUITY UPLC HSS T3 1.8um', 'Waters', '耗材', NULL, '色谱柱', '1.8，2.1*5mm Column,3根/1盒,3根/1盒', '2023-09-15 15:37:52.000000', '2023-09-15 15:37:52.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '污水专用', '盒', NULL, 0.000000000000000000000000000000, NULL, '186003976', NULL);
INSERT INTO `reagent_consumables` VALUES ('B9D1ED903A9E8C49A565FAE3F35F8E1D', '试管架', 'n/a', '耗材', NULL, '普通耗材', '4x6', '2023-09-15 15:38:40.000000', '2023-09-15 15:38:40.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('BADDA0713D79C1D2960DFFD3479DC5F6', '1-(苯并[d][1,3]二羟基-5-基)-2-(吡咯烷-1-基)戊-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:47.000000', '2023-09-15 15:36:47.000000', '1', '1', '/', NULL, 1.00, '1-(benzo[d][1,3]dioxol-5-yl)-2-(pyrrolidin-1-yl)pentan-1-one', 1, 'MDPV(盐酸盐)', '冷藏贮存', 'GASS-162', '瓶', NULL, 0.000000000000000000000000000000, '24622-62-6', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('BBAF89C60598EBC5705C7330925520A0', '3,4-二甲基-2-苯基吗啉', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:55.000000', '2023-09-15 15:36:55.000000', '1', '1', '/', NULL, 1.00, '3,4-dimethyl-2-phenylmorpholine', 1, '苯甲曲秦', '冷藏贮存', 'GASS-312', '瓶', NULL, 0.000000000000000000000000000000, '634-03-7', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('BCECF36D5368E92FAF9AB6B1EFAE9E3A', '进口滤膜', '津隆', '耗材', NULL, '普通耗材', '13mm，有机尼龙66,0.45um，货号：JLSN024501', '2023-09-15 15:38:50.000000', '2023-09-15 15:38:50.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('BD0DD695920B5C0A8946CBE41D0AF741', '三氯甲烷', '科隆', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-09-15 15:39:08.000000', '2023-09-15 15:39:08.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'GR级');
INSERT INTO `reagent_consumables` VALUES ('BDD86605AA4103A6BC5F2D2F6C4B2733', '甲酸铵', '科密欧', '试剂', NULL, '普通试剂', '100克/瓶', '2023-09-15 15:37:54.000000', '2023-09-15 15:37:54.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '污水，毛发专用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '/', 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('BE50C8DEFC576C480273F6DEEB7D909C', '连盖离心管', 'CYPRESS', '耗材', NULL, '普通耗材', '5ml，300支/袋', '2023-09-15 15:38:28.000000', '2023-09-15 15:38:28.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('BEA1D8ACDA2788E2709E2BEDAF94A441', 'InfinityLab Poroshecll 120 PFP', 'agilent', '耗材', NULL, '色谱柱', '4.6*250mm,4um', '2023-09-15 15:38:08.000000', '2023-09-15 15:38:08.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('BEACD5C14D52C69D49ECBF78A4785E51', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)戊酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:08.000000', '2023-09-15 15:37:08.000000', '1', '1', '/', NULL, 1.00, 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)pentanamide', 1, '对甲苯基正戊酰基芬太尼', '冷藏贮存', 'GASS-377', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('BF261579B8D44D68831338A5BEE57D0D', '4-(三氟甲基)苄溴', '阿拉丁', '试剂', NULL, '普通试剂', '98%，25g/瓶', '2023-09-15 15:39:23.000000', '2023-09-15 15:39:23.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, '402-49-3', NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('C011D295D827E3665375D20E3540D91E', '2-(2-氯苯基-3,4,5,6-d4) -2-(甲氨基) 环己烷-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:21.000000', '2023-09-15 15:37:21.000000', '1', '1', '/', NULL, 1.00, '2-(2-chlorophenyl-3,4,5,6-d4)-2-(methylamino)cyclohexan-1-one', 1, 'D4-氯胺酮盐酸盐', '冷藏贮存', 'GASS-459', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C04523B9C6A37E575599BE9C9E57647E', '1,3,5-三噁烷', 'Sigma-Aldrich', '试剂', NULL, '普通试剂', '≥99%', '2023-09-15 15:39:15.000000', '2023-09-15 15:39:15.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('C08A2C9A41E28B984CDDF83C5598F3AF', '丙酮', '西陇', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-09-15 15:39:02.000000', '2023-09-15 15:39:02.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('C13F7D028C5E4226A9E9584BB4E08F77', '乙醇', 'GRACE', '试剂', NULL, '普通试剂', '4L/瓶', '2023-09-15 15:39:03.000000', '2023-09-15 15:39:03.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('C17892BFAF45E9C0B345CE7C58FC5EF5', '白色滴瓶', 'n/a', '耗材', NULL, '普通耗材', '125ml', '2023-09-15 15:38:30.000000', '2023-09-15 15:38:30.000000', '1', '1', '/', NULL, 1.00, '/', 10, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C19D090AFE09D541A7E4F4FCDF48B279', '手套', '科邦', '耗材', NULL, '普通耗材', '丁腈，s码,100只/盒,100只/盒', '2023-09-15 15:37:47.000000', '2023-09-15 15:37:47.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('C1DB44A1BC14FD0189EFE1E181ADED05', '乙酸乙酯', '利安隆博华', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-09-15 15:39:06.000000', '2023-09-15 15:39:06.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('C238BA3C8A4B92778DDE80564CC9C22F', '滴管', 'n/a', '耗材', NULL, '普通耗材', '10cm', '2023-09-15 15:38:17.000000', '2023-09-15 15:38:17.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C24BF4B6B94BC832825DBDC01E46A859', '保鲜自封袋6号', '苹果', '耗材', NULL, '普通耗材', '120x170mm', '2023-09-15 15:38:04.000000', '2023-09-15 15:38:04.000000', '1', '1', '/', NULL, 1.00, '/', 100, '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C2919578F22CF4804FE32656189216C2', '三乙胺', '百灵威', '试剂', NULL, '普通试剂', '1L/瓶,99.7%', '2023-09-15 15:39:11.000000', '2023-09-15 15:39:11.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('C33CD20E4D044981C9A6498044C49B4A', '5-乙基-1,2-二甲基-4,4-二苯基-3,4-二氢-2H-吡咯-1-鎓', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:57.000000', '2023-09-15 15:36:57.000000', '1', '1', '/', NULL, 1.00, '5-ethyl-1,2-dimethyl-4,4-diphenyl-3,4-dihydro-2H-pyrrol-1-ium', 1, 'EDDP(高氯酸盐)', '冷藏贮存', 'GASS-317', '瓶', NULL, 0.000000000000000000000000000000, '31161-17-8', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C482E3A63DF6AE61C8F84C01D4F0AF71', '枪头', 'Sartorius', '耗材', NULL, '普通耗材', '10ml，250个', '2023-09-15 15:38:56.000000', '2023-09-15 15:38:56.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C4AFCB5E9B6EBCEC5FAD008780607558', '表面皿', 'n/a', '耗材', NULL, '普通耗材', 'Φ60mm，10个/盒', '2023-09-15 15:38:19.000000', '2023-09-15 15:38:19.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C4FC491D720D99C95D66580DB8EDB495', 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(5-氟戊基)-1H-吲哚-3-甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:32.000000', '2023-09-15 15:36:32.000000', '1', '1', '/', NULL, 1.00, 'N-(1-amino-3-methyl-1-oxobutan-2-yl)-1-(5-fluoropentyl)-1H-indole-3-carboxamide', 1, '5F-ABICA', '冷藏贮存', 'GASS-034', '瓶', NULL, 0.000000000000000000000000000000, '1801338-26-0', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C52ACF3475AC7EF16E1F76D9672358BE', '2-氯-N-(4-氟苯基) -N-(1-苯乙基哌啶-4-基) 乙酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:11.000000', '2023-09-15 15:37:11.000000', '1', '1', '/', NULL, 1.00, '2-chloro-N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)acetamide', 1, '对氟苯基氯乙酰基芬太尼', '冷藏贮存', 'GASS-384', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C5DE090819C2500F791B15C9D75D419D', '干燥器', 'n/a', '耗材', NULL, '普通耗材', '210mm', '2023-09-15 15:38:38.000000', '2023-09-15 15:38:38.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C64230A8D51FC2DDA47A90ACB6FD4A8B', '小口试剂瓶', 'n/a', '耗材', NULL, '普通耗材', '1000ml', '2023-09-15 15:38:41.000000', '2023-09-15 15:38:41.000000', '1', '1', '/', NULL, 1.00, '/', 6, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C6657E9DD25F3375AA5FB22F45D0EE48', '牛皮纸物证袋', 'n/a', '耗材', NULL, '普通耗材', '16.5*9.8cm', '2023-09-15 15:38:05.000000', '2023-09-15 15:38:05.000000', '1', '1', '/', NULL, 1.00, '/', 10, '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C7635B2C527AA2851379DE5B8CD16CA7', '乙酸乙酯', '科密欧', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-09-15 15:39:05.000000', '2023-09-15 15:39:05.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('C7D9235F2D3DF0DD1935AECDEFE7F49F', '容量瓶', 'Brand', '耗材', NULL, '普通耗材', '100ml', '2023-09-15 15:38:32.000000', '2023-09-15 15:38:32.000000', '1', '1', '/', NULL, 1.00, '/', 2, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C84A5741DA1DF1776DE7B321239DACE6', '2-(1-(5-氟戊基)-1H-吲哚-3-甲酰胺)-3,3-二甲基丁酸乙酯', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:53.000000', '2023-09-15 15:36:53.000000', '1', '1', '/', NULL, 1.00, 'ethyl 2-(1-(5-fluoropentyl)-1H-indole-3-carboxamido)-3,3-dimethylbutanoate', 1, '5F-EDMB-PICA', '冷藏贮存', 'GASS-296', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C88B0F58006C188181F3993E40072508', '一次性蓝色丁腈手套', '柯沃', '耗材', NULL, '普通耗材', 'M', '2023-09-15 15:38:52.000000', '2023-09-15 15:38:52.000000', '1', '1', '/', NULL, 1.00, '/', 10, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C923819B992E0F160E0ED819500B3B4B', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基) 环丁酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:07.000000', '2023-09-15 15:37:07.000000', '1', '1', '/', NULL, 1.00, 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)cyclobutanecarboxamide', 1, '对甲苯基环丁甲酰基芬太尼', '冷藏贮存', 'GASS-374', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C98DCEE26183ADE54AFA3321BA795361', 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(环己基甲基)-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:35.000000', '2023-09-15 15:36:35.000000', '1', '1', '/', NULL, 1.00, 'N-(1-amino-3-methyl-1-oxobutan-2-yl)-1-(cyclohexylmethyl)-1H-indazole-3-carboxamide', 1, 'AB-CHMINACA', '冷藏贮存', 'GASS-043', '瓶', NULL, 0.000000000000000000000000000000, '1185887-21-1', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C9DDDE79267E04580C5F46A58F4766D9', '定量滤纸', '新星', '耗材', NULL, '普通耗材', '15cm，中速', '2023-09-15 15:38:50.000000', '2023-09-15 15:38:50.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('CA3CE9BC28F0EEAD4B09D6D888C16FBC', '2-氨基-2-(2-氟苯基)环已烷-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:16.000000', '2023-09-15 15:37:16.000000', '1', '1', '/', NULL, 1.00, '2-amino-2-(2-fluorophenyl)cyclohexan-1-one', 1, '去甲氟胺酮盐酸盐', '冷藏贮存', 'GASS-403', '瓶', NULL, 0.000000000000000000000000000000, '1956327-93-7', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('CB1D96D2AFC3035F8BCA93E6ABCCD180', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)环戊酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:10.000000', '2023-09-15 15:37:10.000000', '1', '1', '/', NULL, 1.00, 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)cyclopentanecarboxamide', 1, '对氟苯基环戊甲酰基芬太尼', '冷藏贮存', 'GASS-382', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('CB7CEB4A3F05E67ECAA32EEF85620863', 'N-(金刚烷-1-基)-1-(5-氯戊基)-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:50.000000', '2023-09-15 15:36:50.000000', '1', '1', '/', NULL, 1.00, 'N-(adamantan-1-yl)-1-(5-chloropentyl)-1H-indazole-3-carboxamide', 1, '5CI-APINACA', '冷藏贮存', 'GASS-260', '瓶', NULL, 0.000000000000000000000000000000, '2160555-52-0', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('CC06E21410425D757D74907317FE7C2A', '丝口试剂瓶', 'n/a', '耗材', NULL, '普通耗材', '5000ml', '2023-09-15 15:38:31.000000', '2023-09-15 15:38:31.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('CC2E92A084606AB6D20313D77F396015', '红色胶帽', '金利', '耗材', NULL, '普通耗材', 'n/a', '2023-09-15 15:38:22.000000', '2023-09-15 15:38:22.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('CD36486C3628E679A587A5F2BD5C6AB6', '白凡士林', '上海商习伟康', '试剂', NULL, '普通试剂', '500g/瓶', '2023-09-15 15:39:08.000000', '2023-09-15 15:39:08.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, '其他');
INSERT INTO `reagent_consumables` VALUES ('CD3D78322B59A5E0FC60BCA60E8A3AB1', '(4-乙基萘-1-基)(1-戊基-1H-吲哚-3-基)甲酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:40.000000', '2023-09-15 15:36:40.000000', '1', '1', '/', NULL, 1.00, '(4-ethylnaphthalen-1-yl)(1-pentyl-1H-indol-3-yl)methanone', 1, 'JWH-210', '冷藏贮存', 'GASS-064', '瓶', NULL, 0.000000000000000000000000000000, '824959-81-1', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('CD57D01D528BF18C68D969E7E0BA947A', '1ml有机相枪头', 'RAININ　1000ul', '耗材', NULL, '普通耗材', 'disposable capillaries/pistons 17008609,180个/盒,180个/盒', '2023-09-15 15:37:29.000000', '2023-09-15 15:37:29.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '污水专用', '盒', NULL, 0.000000000000000000000000000000, NULL, '17008609', NULL);
INSERT INTO `reagent_consumables` VALUES ('CE514A98FA92F9F83A59C1F1BB182370', '10ml注射器', '江苏治宇医疗器械', '耗材', NULL, '普通耗材', '100个/盒,100个/盒', '2023-09-15 15:37:40.000000', '2023-09-15 15:37:40.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '2010100', NULL);
INSERT INTO `reagent_consumables` VALUES ('CE7628D6F1626B24EC509D5BA2167CAF', '正庚烷', '科密欧', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-09-15 15:39:05.000000', '2023-09-15 15:39:05.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('CE8DBE845B6A2F85ED7159F70BAE3458', '甲酸铵', 'Honeywell', '试剂', NULL, '普通试剂', '50克/瓶', '2023-09-15 15:37:54.000000', '2023-09-15 15:37:54.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '污水，毛发专用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '55674-50G', 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('D02032002017223B0993718319C441AD', '高硼硅量筒', 'Bomex', '耗材', NULL, '普通耗材', '500ml', '2023-09-15 15:38:35.000000', '2023-09-15 15:38:35.000000', '1', '1', '/', NULL, 1.00, '/', 2, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D0C9D5332A8AD94067DDDD0F5A8D4362', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基) 环戊酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:07.000000', '2023-09-15 15:37:07.000000', '1', '1', '/', NULL, 1.00, 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)cyclopentanecarboxamide', 1, '对甲苯基环戊甲酰基芬太尼', '冷藏贮存', 'GASS-375', '瓶', NULL, 0.000000000000000000000000000000, '2748409-67-6', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D11A25FA21FF604D53F94F2FDA303093', '洗瓶', 'n/a', '耗材', NULL, '普通耗材', '250ml', '2023-09-15 15:38:30.000000', '2023-09-15 15:38:30.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D1639225AAB2866F23B21B9BDA6A959E', '2-(1-(4-氟丁基)-1H-吲哚-3-甲酰胺)-3,3-二甲基丁酸甲酯', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:53.000000', '2023-09-15 15:36:53.000000', '1', '1', '/', NULL, 1.00, 'methyl 2-(1-(4-fluorobutyl)-1H-indole-3-carboxamido)-3,3-dimethylbutanoate', 1, '4F-MDMB-BUTICA', '冷藏贮存', 'GASS-293', '瓶', NULL, 0.000000000000000000000000000000, '2682867-53-2', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D1B9B9F0157E74F4F4193A0BD9C3BF52', '试管刷', 'n/a', '耗材', NULL, '普通耗材', '无', '2023-09-15 15:38:57.000000', '2023-09-15 15:38:57.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D1F36A36E82A614EE2F2CE50BE0668BA', '气相进样针', '岛津', '耗材', NULL, '进样针', '10ul', '2023-09-15 15:38:10.000000', '2023-09-15 15:38:10.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D1FE819BE078B87516D6DC7F8ECB6399', '2-(1-(4-氟苄基) -1H-吲唑-3-甲酰胺) -3,3-二甲基丁酸甲酯', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:56.000000', '2023-09-15 15:36:56.000000', '1', '1', '/', NULL, 1.00, 'methyl 2-(1-(4-fluorobenzyl)-1H-indole-3-carboxamido)-3,3-dimethylbutanoate', 1, 'MDMB-FUBICA', '冷藏贮存', 'GASS-315', '瓶', NULL, 0.000000000000000000000000000000, '1971007-91-6', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D24D6047B79AA6F9A6977360AA04AD26', '带塞溶剂瓶', 'n/a', '耗材', NULL, '普通耗材', '250ml', '2023-09-15 15:38:44.000000', '2023-09-15 15:38:44.000000', '1', '1', '/', NULL, 1.00, '/', 10, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D29E61E36B37398F398ECC76F91A3305', '正己烷', 'Supelco', '试剂', NULL, '普通试剂', '4L/瓶', '2023-09-15 15:38:59.000000', '2023-09-15 15:38:59.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('D2DC1ED6E5C66133065AE7D680CDD6E9', '2-(2-氟苯基)-2-(甲氨基) 环已烷-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:17.000000', '2023-09-15 15:37:17.000000', '1', '1', '/', NULL, 1.00, '2-(2-fluorophenyl)-2-(methylamino)cyclohexan-1-one', 1, '氟胺酮盐酸盐', '冷藏贮存', 'GASS-404', '瓶', NULL, 0.000000000000000000000000000000, '111982-49-1', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D339D838678FB2F6D9913170223046A0', '2-氯-N-(2-氟苯基) N-(1-苯乙基哌啶-4-基) 乙酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:12.000000', '2023-09-15 15:37:12.000000', '1', '1', '/', NULL, 1.00, '2-chloro-N-(2-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)acetamide', 1, '邻氟苯基氯乙酰基芬太尼', '冷藏贮存', 'GASS-388', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D34EA98D213EC85960FED86614A07303', 'DB-35MS', '安捷伦', '耗材', NULL, '普通耗材', '30m*0.25mm*0.25um，122-3832', '2023-09-15 15:38:20.000000', '2023-09-15 15:38:20.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '根', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D373C0683D435D8F71FD959D189E1B36', ' 移液枪吸头10uL', '赛多利斯', '耗材', NULL, '普通耗材', '1000个/包,1000个/包', '2023-09-15 15:37:51.000000', '2023-09-15 15:37:51.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '后续不再购买', '包', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('D3DD68D6ECCDF72864EF8DA4BCA83511', '(1-(5-氟戊基)-1H-吲哚-3-羰基)缬氨酸甲酯', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:50.000000', '2023-09-15 15:36:50.000000', '1', '1', '/', NULL, 1.00, 'methyl(1-(5-fluoropentyl)-1H-indole-3-carbonyl)valinate', 1, '5F-AMB-PICA', '冷藏贮存', 'GASS-262', '瓶', NULL, 0.000000000000000000000000000000, '1971007-87-0', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D41B3A1E96EC19F6B8F50D5B48CDFAB4', '1-(4-甲氧基苯基)-N-甲基丙-2-胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:31.000000', '2023-09-15 15:36:31.000000', '1', '1', '/', NULL, 1.00, '1-(4-methoxyphenyl)-N-methylpropan-2-amine', 1, 'PMMA盐酸盐', '冷藏贮存', 'GASS-017', '瓶', NULL, 0.000000000000000000000000000000, '22331-70-0', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D578219272D51B0D2FC770FF3A7879AC', '碳酸氢钠', '科密欧', '试剂', NULL, '普通试剂', '500克/瓶', '2023-09-15 15:38:00.000000', '2023-09-15 15:38:00.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '/', '优级纯');
INSERT INTO `reagent_consumables` VALUES ('D6589B0F234702150A3B3DF502439EFE', '定量滤纸', '双联牌', '耗材', NULL, '普通耗材', '12.5cm，慢速', '2023-09-15 15:38:48.000000', '2023-09-15 15:38:48.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D673F06EE84EF284B376ED1A55B5A5C4', '二苯胺', 'Sigma-Aldrich', '试剂', NULL, '普通试剂', '100g/瓶', '2023-09-15 15:38:58.000000', '2023-09-15 15:38:58.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'ReagentPlus');
INSERT INTO `reagent_consumables` VALUES ('D6D123D1B24B30589743E84107ECE067', '磷酸', 'Sigma-Aldrich', '试剂', NULL, '普通试剂', '0.85', '2023-09-15 15:38:59.000000', '2023-09-15 15:38:59.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('D6ECAC31965A21BB0D9F6F2BC48A80A7', '2ml进样瓶盖（无预开口）', '安捷伦', '耗材', NULL, '普通耗材', '5183-2076,100个/包,100个/包', '2023-09-15 15:37:35.000000', '2023-09-15 15:37:35.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '包', NULL, 0.000000000000000000000000000000, NULL, '5183-2076', NULL);
INSERT INTO `reagent_consumables` VALUES ('D73D7D8F758E69BF73AD4964CDE4A7F4', 'N-(金刚烷-1-基)-1-(4-氟苄基)-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:43.000000', '2023-09-15 15:36:43.000000', '1', '1', '/', NULL, 1.00, 'N-(adamantan-1-yl)-1-(4-fluorobenzyl)-1H-indazole-3-carboxamide', 1, 'FUB-APINACA', '冷藏贮存', 'GASS-075', '瓶', NULL, 0.000000000000000000000000000000, '2180933-90-6', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D80075AB4365488E2920FE77980105BD', '(2-碘代苯基)(1-((1-甲基哌啶-2-基)甲基)-1H-吲哚-3-基)甲酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:37.000000', '2023-09-15 15:36:37.000000', '1', '1', '/', NULL, 1.00, '(2-iodophenyl)(1-((1-methylpiperidin-2-yl)methyl)-1H-indol-3-yl)methanone', 1, 'AM-2233', '冷藏贮存', 'GASS-050', '瓶', NULL, 0.000000000000000000000000000000, '444912-75-8', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D81C96C09AD28926A5F399A129CC2D4D', '移液管', 'MC', '耗材', NULL, '普通耗材', '20ml', '2023-09-15 15:38:14.000000', '2023-09-15 15:38:14.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D8C94272FE9F13CF854A257DA194A7DC', '密封垫', '岛津', '耗材', NULL, '普通耗材', '货号221-48972-91，20个/盒', '2023-09-15 15:38:11.000000', '2023-09-15 15:38:11.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D8E563643685FEFF551C1AB9ECA8A080', 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基) -1-戊基-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:37.000000', '2023-09-15 15:36:37.000000', '1', '1', '/', NULL, 1.00, 'N-(1-amino-3,3-dimethyl-1-oxobutan-2-yl)-1-pentyl-1H-indazole-3-carboxamide', 1, 'ADB-PINACA', '冷藏贮存', 'GASS-047', '瓶', NULL, 0.000000000000000000000000000000, '1633766-73-0', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D97166CDAAC87AA05ED8F375A405AA0B', '2-(二乙基氨基)-1-(对甲苯基)丙-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:00.000000', '2023-09-15 15:37:00.000000', '1', '1', '/', NULL, 1.00, '2-(diethylamino)-1-(p-tolyl)propan-1-one', 1, 'N-乙基-对甲-乙卡西酮盐酸盐', '冷藏贮存', 'GASS-332', '瓶', NULL, 0.000000000000000000000000000000, '676316-90-8', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D9BFB7567586AED53A38B192E8BE8A1A', '1-(苯并[d][1,3]二羟基-5-基)-N-乙基丙-2-胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:57.000000', '2023-09-15 15:36:57.000000', '1', '1', '/', NULL, 1.00, '1-(benzo[d][1,3]dioxol-5-yl)-N-ethylpropan-2-amine', 1, 'MDEA', '冷藏贮存', 'GASS-325', '瓶', NULL, 0.000000000000000000000000000000, '74341-78-9', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D9D6ED11DFF2E04E1AAB926BB7A0D6B8', '量筒', 'Bomex', '耗材', NULL, '普通耗材', '10ml', '2023-09-15 15:38:36.000000', '2023-09-15 15:38:36.000000', '1', '1', '/', NULL, 1.00, '/', 20, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('DA96ACBB78399A4E4090FCF821C14C0B', '枪头', 'sartorius', '耗材', NULL, '普通耗材', '10ul', '2023-09-15 15:38:51.000000', '2023-09-15 15:38:51.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('DADA51824D63BA7966820518270512F5', '喹啉-8-基-1-(4-氟苄基)-1H-吲哚-3-羧酸盐', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:39.000000', '2023-09-15 15:36:39.000000', '1', '1', '/', NULL, 1.00, 'quinolin-8-yl 1-(4-fluorobenzyl)-1H-indole-3-carboxylate', 1, 'FUB-PB-22', '冷藏贮存', 'GASS-057', '瓶', NULL, 0.000000000000000000000000000000, '1800098-36-5', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('DAF87B5B8B92C4EED170B4A4803CF383', '(1-(5-氟戊基)-1H-吲哚-3-基)(2,2,3,3-四甲基环丙基)甲酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:34.000000', '2023-09-15 15:36:34.000000', '1', '1', '/', NULL, 1.00, '(1-(5-fluoropentyl)-1H-indol-3-yl)(2,2,3,3-tetramethylcyclopropyl)methanone', 1, '5F-UR-144', '冷藏贮存', 'GASS-040', '瓶', NULL, 0.000000000000000000000000000000, '1364933-54-9', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('DB25CC8ACC703E0C51ACEB1BFC945C09', '四氢呋喃', '阿拉丁', '试剂', NULL, '普通试剂', 'AR,99.0% (含250 ppm BHT稳定剂)，500ml', '2023-09-15 15:39:22.000000', '2023-09-15 15:39:22.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('DB718ADC34ED9857CC1230F057672509', '1-(3-氯苯基)-2-(吡咯烷-1-基) 丙-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:01.000000', '2023-09-15 15:37:01.000000', '1', '1', '/', NULL, 1.00, '1-(3-chlorophenyl)-2-(pyrrolidin-1-yl)propan-1-one', 1, 'N-环丁基-间氯-卡西酮盐酸盐', '冷藏贮存', 'GASS-336', '瓶', NULL, 0.000000000000000000000000000000, '1152959-71-1', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('DBA195CF942ECCB7EBFB8C86D54C6F51', '丙三醇', '科密欧', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-09-15 15:39:08.000000', '2023-09-15 15:39:08.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('DCF4B78A8FCE1D29D37568AA424716DE', '量筒', 'Bomex', '耗材', NULL, '普通耗材', '50ml', '2023-09-15 15:38:37.000000', '2023-09-15 15:38:37.000000', '1', '1', '/', NULL, 1.00, '/', 10, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('DD6FAAC6307A52DE2C89F9032965B90F', '3-(2-(二甲基氨基)乙基)-1H-吲哚-4-基磷酸二氢盐', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:49.000000', '2023-09-15 15:36:49.000000', '1', '1', '/', NULL, 1.00, '3-(2-(dimethylamino)ethyl)-1H-indol-4-yl dihydrogenphosphate', 1, '赛洛西宾', '冷藏贮存', 'GASS-199', '瓶', NULL, 0.000000000000000000000000000000, '520-52-5', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('DD8D01F9B78F0B49F6D0F5AC252625BB', '量筒 500mL', '/', '耗材', NULL, '普通耗材', '/,/', '2023-09-15 15:37:45.000000', '2023-09-15 15:37:45.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '个', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('DDBF76CCB2B3435321ABAD4891D6DB0C', '一次性玻璃巴氏吸管', 'Brand', '耗材', NULL, '普通耗材', '225mm,250支/盒,250支/盒', '2023-09-15 15:37:36.000000', '2023-09-15 15:37:36.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '747720', NULL);
INSERT INTO `reagent_consumables` VALUES ('DDD839D2FC03F8497CC4DE56FC0CF539', '血清移液管', 'n/a', '耗材', NULL, '普通耗材', '10ml', '2023-09-15 15:38:16.000000', '2023-09-15 15:38:16.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('DE90E741900A954F7B3A72B286EEAF3B', '1-(4-氰基丁基)-N-(2-苯基丙-2-基)-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:50.000000', '2023-09-15 15:36:50.000000', '1', '1', '/', NULL, 1.00, '1-(4-cyanobutyl)-N-(2-phenylpropan-2-yl)-1H-indazole-3-carboxamide', 1, '4CN-CUMYL-BUTINACA', '冷藏贮存', 'GASS-265', '瓶', NULL, 0.000000000000000000000000000000, '1631074-54-8', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('DEF8595839EF0E87156B505B68D5FE70', '刮刀', 'n/a', '耗材', NULL, '普通耗材', '25cm', '2023-09-15 15:38:26.000000', '2023-09-15 15:38:26.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('DEFB7B7070CED42B7709639DD03E7C7D', '容量瓶', 'Brand', '耗材', NULL, '普通耗材', '1ml', '2023-09-15 15:38:33.000000', '2023-09-15 15:38:33.000000', '1', '1', '/', NULL, 1.00, '/', 2, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('DF0E606586BC053ADEC413C780F97B17', 'Hypersil GOLD VANQUISH', '赛默飞', '耗材', NULL, '色谱柱', '100*2.1um', '2023-09-15 15:38:09.000000', '2023-09-15 15:38:09.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('DF324F6E5D28B8439A62934EE364B5EC', '废液瓶架', 'n/a', '耗材', NULL, '普通耗材', 'n/a', '2023-09-15 15:38:58.000000', '2023-09-15 15:38:58.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E0AB3FEE8BB5F024DC136D993EE63579', '烟酰胺', 'Sigma-Aldrich', '试剂', NULL, '普通试剂', '100g/瓶', '2023-09-15 15:39:13.000000', '2023-09-15 15:39:13.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('E0EF8021AE2E5AAE8E6523EC4876CD66', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)丁酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:06.000000', '2023-09-15 15:37:06.000000', '1', '1', '/', NULL, 1.00, 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)butyramide', 1, '对甲苯基正丁酰基芬太尼', '冷藏贮存', 'GASS-371', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E1B6ACA18D61E4497BB6F57B16A09932', '5-氯-N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)戊酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:05.000000', '2023-09-15 15:37:05.000000', '1', '1', '/', NULL, 1.00, '5-chloro-N-(1-phenethylpiperidin-4-yl)-N-(ptolyl)pentanamide', 1, '对甲苯基5-氯戊酰基芬太尼', '冷藏贮存', 'GASS-369', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E20421CA51F24A056E5B0CF0F4DD774E', 'DIC, N,N′-二异丙基碳二亚胺', '阿拉丁', '试剂', NULL, '普通试剂', '≥98.5%，100ml/瓶', '2023-09-15 15:39:25.000000', '2023-09-15 15:39:25.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, '693-13-0', NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('E21129EC7B4AAE99337A67E052F3A1CD', 'N-(金刚烷-1-基)-1-(环己基甲基)-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:55.000000', '2023-09-15 15:36:55.000000', '1', '1', '/', NULL, 1.00, 'N-(adamantan-1-yl)-1-(cyclohexylmethyl)-1H-indazole-3-carboxamide', 1, 'ACHMINACA', '冷藏贮存', 'GASS-309', '瓶', NULL, 0.000000000000000000000000000000, '1400742-33-7', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E2EFFB14283FA97ADC7BE6DE1DDEB3AA', '手术剪', '安其生', '耗材', NULL, '普通耗材', '12.5cm弯尖', '2023-09-15 15:38:21.000000', '2023-09-15 15:38:21.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '把', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E2F6F46B0410CEBD4DFB0591C43BDB88', '塑料烧杯', 'n/a', '耗材', NULL, '普通耗材', '3000ml', '2023-09-15 15:38:45.000000', '2023-09-15 15:38:45.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E387BC0E49FB373C0E3884AD5639458C', 'O型圈', '岛津', '耗材', NULL, '普通耗材', '货号036-11203-84，5个/袋', '2023-09-15 15:38:11.000000', '2023-09-15 15:38:11.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '袋', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E3D49F4152A29C55142D59152CF8916F', '螺口试剂瓶', '蜀牛', '耗材', NULL, '普通耗材', ' 5000mL,/,/', '2023-09-15 15:37:41.000000', '2023-09-15 15:37:41.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '个', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('E41F0E68D0ECF72EEB31944077545056', '叔丁醇', '科密欧', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-09-15 15:39:11.000000', '2023-09-15 15:39:11.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('E498C834BF955D6A7A6F53C1E9F780BC', '二甲基砜', 'Sigma-Aldrich', '试剂', NULL, '普通试剂', '100g/瓶', '2023-09-15 15:39:00.000000', '2023-09-15 15:39:00.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('E535CF6C2223B6F861CB8B1C7D589B5E', '1-(4-溴苯基)-2-(二甲基氨基)丙-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:58.000000', '2023-09-15 15:36:58.000000', '1', '1', '/', NULL, 1.00, '1-(4-bromophenyl)-2-(dimethylamino)propan-1-one', 1, 'N-甲基-对溴-甲卡西酮盐酸盐', '冷藏贮存', 'GASS-327', '瓶', NULL, 0.000000000000000000000000000000, '1157737-03-5', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E5459E4B4EB0C6DD73DBF32075E24F86', '移液枪吸头200uL', '赛多利斯 ', '耗材', NULL, '普通耗材', '960个/包,960个/包', '2023-09-15 15:37:51.000000', '2023-09-15 15:37:51.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '后续不再购买', '包', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('E859E5449DF4FAB120B41845211F25A8', '橡皮吸球', 'n/a', '耗材', NULL, '普通耗材', '3ml', '2023-09-15 15:38:22.000000', '2023-09-15 15:38:22.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E85BCD9FD6D61C884FF30F5AA688768A', '苯骈三氮唑', '阿拉丁', '试剂', NULL, '普通试剂', '99%，100g/瓶', '2023-09-15 15:39:26.000000', '2023-09-15 15:39:26.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, ' 95-14-7 ', NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('E95046560019FEBF230277D81DF88339', '称量纸 90*90mm', '/', '耗材', NULL, '普通耗材', ' 90*90mm,400张/包,400张/包', '2023-09-15 15:37:46.000000', '2023-09-15 15:37:46.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '包', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('E97D76808F7A182DBE835AA68EAA0678', '进口滤膜', '津隆', '耗材', NULL, '普通耗材', '25mm，100片/盒，有机尼龙66，0.22um，货号：JLSN172202', '2023-09-15 15:38:46.000000', '2023-09-15 15:38:46.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('EA3C2344EDD012C81FB9FE92AE3563D1', '1,4-二苄基哌嗪', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:14.000000', '2023-09-15 15:37:14.000000', '1', '1', '/', NULL, 1.00, '1,4-dibenzylpiperazine', 1, '二苄基哌嗪', '冷藏贮存', 'GASS-392', '瓶', NULL, 0.000000000000000000000000000000, '1034-11-3', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('EAFF291BF5F7C608D475783CE75BAAB7', '乙腈', 'Supelco', '试剂', NULL, '普通试剂', '4L/瓶', '2023-09-15 15:37:57.000000', '2023-09-15 15:37:57.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '1.00030.4008', 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('EB4BABE4C5982E93D98C2D523F26D449', '氢氧化钠', '大茂', '试剂', NULL, '普通试剂', '500克/瓶', '2023-09-15 15:38:01.000000', '2023-09-15 15:38:01.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '/', '优级纯');
INSERT INTO `reagent_consumables` VALUES ('EB52CA788EEDCDB43447545B73186F66', '一次性玻璃巴氏吸管', 'Brand', '耗材', NULL, '普通耗材', '225mm,250支/盒,250支/盒', '2023-09-15 15:37:36.000000', '2023-09-15 15:37:36.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '747720', NULL);
INSERT INTO `reagent_consumables` VALUES ('EB74F3CBD69736721C731A485FED3AC8', '(1-(4-氟苄基)-1H-吲哚-3-羰基)缬氨酸甲酯', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:52.000000', '2023-09-15 15:36:52.000000', '1', '1', '/', NULL, 1.00, 'methyl(1-(4-fluorobenzyl)-1H-indole-3-carbonyl)valinate', 1, 'AMB-FUBICA', '冷藏贮存', 'GASS-275', '瓶', NULL, 0.000000000000000000000000000000, '1971007-90-5', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('EB7E16246B0661916F3D2129119B0874', '保鲜自封袋8号', '苹果', '耗材', NULL, '普通耗材', '240x170mm', '2023-09-15 15:38:04.000000', '2023-09-15 15:38:04.000000', '1', '1', '/', NULL, 1.00, '/', 100, '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('EB960E436FD2C461F01E00494199E035', 'DB-5', '安捷伦', '耗材', NULL, '普通耗材', '30m*0.25mm*0.25um，122-5032', '2023-09-15 15:38:20.000000', '2023-09-15 15:38:20.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '根', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('EBE2BD44D95BD619836E8197B41284A9', '茶碱', '百灵威', '试剂', NULL, '普通试剂', '98%,5g/瓶', '2023-09-15 15:39:16.000000', '2023-09-15 15:39:16.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'RD');
INSERT INTO `reagent_consumables` VALUES ('ECA0E0143175EDFBE2C2548D03859188', '一次性蓝色丁腈手套', '柯沃', '耗材', NULL, '普通耗材', 'L', '2023-09-15 15:38:53.000000', '2023-09-15 15:38:53.000000', '1', '1', '/', NULL, 1.00, '/', 10, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('ED5314474F23CA4D841288CF51EF4A91', '移液管', 'MC', '耗材', NULL, '普通耗材', '10ml', '2023-09-15 15:38:14.000000', '2023-09-15 15:38:14.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('ED7709A138DE496241F07ABE8C2E5392', 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(4-氟苄基)-1H-吲哚-4,5,6,7-d4-3-羧酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:21.000000', '2023-09-15 15:37:21.000000', '1', '1', '/', NULL, 1.00, 'N-(1-amino-3-methyl-1-oxobutan-2-yl)-1-(4-fluorobenzyl)-1H-indole-4,5,6,7-d4-3-carboxamide', 1, 'D4-AB-FUBICA', '冷藏贮存', 'GASS-463', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('EDE92A3D7C76BEBF1220292DC91151F5', '甲醇', 'Supelco', '试剂', NULL, '普通试剂', '2.5L，LC/MS级', '2023-09-15 15:39:12.000000', '2023-09-15 15:39:12.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'LC/MS级');
INSERT INTO `reagent_consumables` VALUES ('EE649F056067937666A1573297804895', '滤膜', '上海新亚', '耗材', NULL, '普通耗材', '有机，0.45um，50mm，50片/盒', '2023-09-15 15:38:48.000000', '2023-09-15 15:38:48.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('EF231558751021476826CC08D92EC8F3', '3-环戊基-N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)丙酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:05.000000', '2023-09-15 15:37:05.000000', '1', '1', '/', NULL, 1.00, '3-cyclopentyl-N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)propanamide', 1, '对甲苯基环戊丙酰基芬太尼', '冷藏贮存', 'GASS-368', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('EF7F1794AA4F2187AC99AFDB5D8823BB', '2-(1-(5-氟戊基)-1H-吲唑-3-甲酰胺-4,5,6,7-d4)-3,3-二甲基丁酸甲酯', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:24.000000', '2023-09-15 15:37:24.000000', '1', '1', '/', NULL, 1.00, 'methyl 2-(1-(5-fluoropentyl)-1H-indazole-3-carboxamido-4,5,6,7-d4)-3,3-dimethylbutanoate', 1, 'D4-5F-ADB', '冷藏贮存', 'GASS-503', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('EFA47EBEFC491EC4995BF6515EDC527B', '锥形瓶', 'Bomex', '耗材', NULL, '普通耗材', '250ml', '2023-09-15 15:38:57.000000', '2023-09-15 15:38:57.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('F02FE2AAAF192F649D5E87763591C061', '(E)-N\'-(1-(5-氟戊基)-2-氧代吲哚-3-亚基) 苯甲酰肼', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:23.000000', '2023-09-15 15:37:23.000000', '1', '1', '/', NULL, 1.00, '(E)-N\'-(1-(5-fluoropentyl)-2-oxoindolin-3-ylidene)benzohydrazide', 1, '5F-MDA-19', '冷藏贮存', 'GASS-501', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('F07666E678D651FCD78BE5DBE85F2223', '2-(1-(4-氟丁基)-1H-吲唑-3-甲酰胺-4,5,6,7-d4)-3,3-二甲基丁酸甲酯', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:25.000000', '2023-09-15 15:37:25.000000', '1', '1', '/', NULL, 1.00, 'methyl 2-(1-(4-fluorobutyl)-1H-indazole-3-carboxamido4,5,6,7-d4)-33-dimethylbutanoate', 1, 'D4-4F-MDMB-BUTINACA', '冷藏贮存', 'GASS-506', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('F0D433A1B4DDD015F176B9484901B993', 'N-(金刚烷-1-基)-1-(5-氟戊基)-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:33.000000', '2023-09-15 15:36:33.000000', '1', '1', '/', NULL, 1.00, 'N-(adamantan-1-yl)-1-(5-fluoropentyl)-1H-indazole-3-carboxamide', 1, '5F-APINACA', '冷藏贮存', 'GASS-038', '瓶', NULL, 0.000000000000000000000000000000, '1400742-13-3', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('F15C4B510E949BE10206339944BCDE22', '茶碱', 'TCI', '试剂', NULL, '普通试剂', '25g/瓶,98%', '2023-09-15 15:39:11.000000', '2023-09-15 15:39:11.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'RD');
INSERT INTO `reagent_consumables` VALUES ('F164C5111CB46A8CA9FE9B646E30FC65', '容量瓶', 'Bomex', '耗材', NULL, '普通耗材', '250ml', '2023-09-15 15:38:31.000000', '2023-09-15 15:38:31.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('F36951DCDBEB9B242604A2C229C33C4A', '三（羟甲基）氨基甲烷', '沪试', '试剂', NULL, '普通试剂', '100g/瓶', '2023-09-15 15:39:10.000000', '2023-09-15 15:39:10.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('F399C1A6DAEA659BA3C298A64147634F', '氘代甲醇', 'CIL', '试剂', NULL, '普通试剂', '50ml', '2023-09-15 15:39:13.000000', '2023-09-15 15:39:13.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('F49953542325FCA738723FE3DF482083', '(1-(4-氟苄基)-1H-吲唑-3-羰基)缬氨酸甲酯', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:43.000000', '2023-09-15 15:36:43.000000', '1', '1', '/', NULL, 1.00, 'methyl(1-(4-fluorobenzyl)-1H-indazole-3-carbonyl)valinate', 1, 'AMB-FUBINACA', '冷藏贮存', 'GASS-074', '瓶', NULL, 0.000000000000000000000000000000, '1715016-76-4', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('F51FA6D8E7C3F0CA83AD04A9997E56ED', '醋酸纤维素滤膜', 'Whatman', '耗材', NULL, '普通耗材', '10462701,100片/盒,100片/盒', '2023-09-15 15:37:31.000000', '2023-09-15 15:37:31.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '污水专用', '盒', NULL, 0.000000000000000000000000000000, NULL, '10462701', NULL);
INSERT INTO `reagent_consumables` VALUES ('F59CD9CCCBD385B50F18133C68BF205D', '乙腈', 'Thermo', '试剂', NULL, '普通试剂', '4L/瓶', '2023-09-15 15:39:20.000000', '2023-09-15 15:39:20.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC，GC级');
INSERT INTO `reagent_consumables` VALUES ('F59F6E67F219DD1B943E751B787D61EA', '砂芯过滤装置全套', '津隆', '耗材', NULL, '普通耗材', '1000mL,套,套', '2023-09-15 15:37:32.000000', '2023-09-15 15:37:32.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '污水专用', '套', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('F679A4354B1CB690BEA7A50FBB5C5B9D', '称量瓶', 'n/a', '耗材', NULL, '普通耗材', '25x25', '2023-09-15 15:38:37.000000', '2023-09-15 15:38:37.000000', '1', '1', '/', NULL, 1.00, '/', 20, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('F6A7B1B3687B6B712D13F17A3469DC25', '滤膜', '上海新亚', '耗材', NULL, '普通耗材', '有机，0.22um，50mm，50片/盒', '2023-09-15 15:38:48.000000', '2023-09-15 15:38:48.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('F75657CAD469B92B01838BAEBAB8FDE9', '盐酸', '西陇', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-09-15 15:39:19.000000', '2023-09-15 15:39:19.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('F88156EF945AF189A38124FF997B956F', '进口滤膜', '津隆', '耗材', NULL, '普通耗材', '13mm，水洗聚醚砜（PES）,0.22um，货号：JLSP042201', '2023-09-15 15:38:51.000000', '2023-09-15 15:38:51.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('FA5B6ABE6C7971383125BBF7838E7487', '核磁管', 'NORELL', '耗材', NULL, '核磁管', '100个/盒', '2023-09-15 15:38:11.000000', '2023-09-15 15:38:11.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('FA5C56C86F3088716DA0A85BDDA069BA', '氘代甲醇', 'CIL', '试剂', NULL, '普通试剂', '0.6mLx10,99.8%', '2023-09-15 15:39:13.000000', '2023-09-15 15:39:13.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('FB2F909A5AD1F20A363540FDC38431A5', 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基)-1-(戊-4-烯-1基)-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:54.000000', '2023-09-15 15:36:54.000000', '1', '1', '/', NULL, 1.00, 'N-(1-amino-3,3-dimethyl-1-oxobutan-2-yl)-1-(pent-4-en-1-yl)-1H-indazole-3-carboxamide', 1, 'ADB-4en-PINACA', '冷藏贮存', 'GASS-307', '瓶', NULL, 0.000000000000000000000000000000, '2659308-44-6', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('FBD4B1C3CD2076E0FF3C644232E1894D', '小口试剂瓶', '蜀牛', '耗材', NULL, '普通耗材', '2500ml', '2023-09-15 15:38:40.000000', '2023-09-15 15:38:40.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('FBE67696F836145AC4F2B283A73EEE58', '微孔滤膜', 'GreenMall', '耗材', NULL, '普通耗材', '有机系（尼龙）,50mm,0.22um,50片/盒', '2023-09-15 15:38:47.000000', '2023-09-15 15:38:47.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('FC21EDA9491671CF04E9ED103494751A', '镊子', 'n/a', '耗材', NULL, '普通耗材', '弯头，12.5cm', '2023-09-15 15:38:25.000000', '2023-09-15 15:38:25.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('FC3B45DA4DD12A452693734EDDE29505', '研钵', '垒固', '耗材', NULL, '普通耗材', '18cm', '2023-09-15 15:38:31.000000', '2023-09-15 15:38:31.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('FC663F52347C6F215A804FD85CAB77A0', '3-(2-(二甲基氨基)乙基)-1H-吲哚-4-醇', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:49.000000', '2023-09-15 15:36:49.000000', '1', '1', '/', NULL, 1.00, '3-(2-(dimethylamino)ethyl)-1H-indol-4-ol', 1, '赛洛新', '冷藏贮存', 'GASS-198', '瓶', NULL, 0.000000000000000000000000000000, '520-53-6', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('FCC713F55AE4ED51557A841FF49D3342', 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基) -1-戊基-1H-吲哚-3-甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:36:37.000000', '2023-09-15 15:36:37.000000', '1', '1', '/', NULL, 1.00, 'N-(1-amino-3,3-dimethyl-1-oxobutan-2-yl)-1-pentyl-1H-indole-3-carboxamide', 1, 'ADBICA', '冷藏贮存', 'GASS-046', '瓶', NULL, 0.000000000000000000000000000000, '1445583-48-1', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('FCCABB6A9DD4D85FFD7EF2D2470F0BD0', '物证封装袋', 'n/a', '耗材', NULL, '普通耗材', '16.5*12cm', '2023-09-15 15:38:07.000000', '2023-09-15 15:38:07.000000', '1', '1', '/', NULL, 1.00, '/', 100, '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('FD0895D28D19F9507FD39D104BFA4191', '玻璃冻存管', 'n/a', '耗材', NULL, '普通耗材', '棕色，5ml', '2023-09-15 15:38:18.000000', '2023-09-15 15:38:18.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('FD379C4E35F6F68E3C47F4D3DFC9D570', '螺口试剂瓶', '蜀牛', '耗材', NULL, '普通耗材', ' 1000mL(棕色),/,/', '2023-09-15 15:37:41.000000', '2023-09-15 15:37:41.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '个', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('FD7A30504E4E029054B42674FECDA3CE', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)丁酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:04.000000', '2023-09-15 15:37:04.000000', '1', '1', '/', NULL, 1.00, 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)isobutyramide', 1, '对甲苯基异丁酰基芬太尼', '冷藏贮存', 'GASS-367', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('FD8971240DA4B438475C378710813825', '乙酸铵', '大茂', '试剂', NULL, '普通试剂', '500克/瓶', '2023-09-15 15:37:58.000000', '2023-09-15 15:37:58.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '/', '优级纯');
INSERT INTO `reagent_consumables` VALUES ('FD8D7DBEC2435D101D5718F30A775856', '塑料离心管', 'n/a', '耗材', NULL, '普通耗材', '8ml,，225支/袋', '2023-09-15 15:38:27.000000', '2023-09-15 15:38:27.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '袋', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('FDD6FBED213DA3DB8E8384CD7C614B18', '一次性塑料滴管 5mL', '国产', '耗材', NULL, '普通耗材', '100支/包,100支/包', '2023-09-15 15:37:49.000000', '2023-09-15 15:37:49.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '后续不再购买', '包', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('FDDE7CE21E01AFDCD65E6EF64C77A9BD', '定量滤纸', '双联牌', '耗材', NULL, '普通耗材', '9cm，慢速', '2023-09-15 15:38:49.000000', '2023-09-15 15:38:49.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('FDE4B28CCCE6537D00A278E893B26562', '试管架', 'n/a', '耗材', NULL, '普通耗材', '3x6', '2023-09-15 15:38:40.000000', '2023-09-15 15:38:40.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('FE0DB39F5F7D97032573C225F96E302B', '顶空瓶', '安捷伦', '耗材', NULL, '普通耗材', '10ml,5182-0838', '2023-09-15 15:38:41.000000', '2023-09-15 15:38:41.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('FEEEB4C084806A315DA6C3B2503E66AE', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)乙酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:03.000000', '2023-09-15 15:37:03.000000', '1', '1', '/', NULL, 1.00, 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)acetamide', 1, '对甲苯基乙酰基芬太尼', '冷藏贮存', 'GASS-365', '瓶', NULL, 0.000000000000000000000000000000, '90736-12-2', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('FF067E8E61FA417A0E73DEB38A844B9B', '2-(甲氨基)-2-苯基环已烷-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 15:37:16.000000', '2023-09-15 15:37:16.000000', '1', '1', '/', NULL, 1.00, '2-(methylamino)-2-phenylcyclohexan-1-one', 1, '去氯氯胺酮盐酸盐', '冷藏贮存', 'GASS-402', '瓶', NULL, 0.000000000000000000000000000000, '4631-27-0', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('FF20DBBEA74DDF7F3523BBBB89F25042', '容量瓶 100mL ', 'Brand', '耗材', NULL, '普通耗材', '棕色,/,/', '2023-09-15 15:37:42.000000', '2023-09-15 15:37:42.000000', '1', '1', '/', NULL, 1.00, NULL, 1, NULL, '常规贮存', '通用', '个', NULL, 0.000000000000000000000000000000, NULL, '37487', NULL);
INSERT INTO `reagent_consumables` VALUES ('FF4527270454281D52A69F6BB62F260A', '丝口试剂瓶', '蜀玻', '耗材', NULL, '普通耗材', '2000ml', '2023-09-15 15:38:39.000000', '2023-09-15 15:38:39.000000', '1', '1', '/', NULL, 1.00, '/', 3, '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('FF4F9DAB68F62E5D426E61C7A5913F54', '塑料离心管', 'n/a', '耗材', NULL, '普通耗材', '5ml，400支/袋', '2023-09-15 15:38:27.000000', '2023-09-15 15:38:27.000000', '1', '1', '/', NULL, 1.00, '/', 1, '/', '常规贮存', NULL, '袋', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for reagent_consumables_set
-- ----------------------------
DROP TABLE IF EXISTS `reagent_consumables_set`;
CREATE TABLE `reagent_consumables_set`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `quantity` int(11) NULL DEFAULT NULL COMMENT '(数量)',
  `reagent_consumable_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '规格型号',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `purpose` int(6) NULL DEFAULT NULL COMMENT '用途 ：0 案件 1 科研',
  `batch_details_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '批次ID',
  `application_for_use_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '领用申请表ID',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质ID',
  `quantity_delivered` int(255) NULL DEFAULT NULL COMMENT '实际领用数量',
  `outgoing_content_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '出库明细ID',
  `reagent_consumable_stash_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材集合)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of reagent_consumables_set
-- ----------------------------

-- ----------------------------
-- Table structure for reference_material
-- ----------------------------
DROP TABLE IF EXISTS `reference_material`;
CREATE TABLE `reference_material`  (
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编号',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '类ID',
  `batch_details_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '批次ID',
  `create_time` datetime(6) NULL DEFAULT NULL,
  `update_time` datetime(6) NULL DEFAULT NULL,
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `status` int(11) NULL DEFAULT NULL COMMENT '状态 0为可以使用，-1为停用,-2为降级使用、-3 已被领用,-4 使用完毕,报废',
  `reagent_consumable_inventory_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '库存类ID',
  `lattice_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '格子ID',
  `location` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '位置信息',
  `custodian_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '管理员名称',
  `box_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '柜子ID',
  `code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '物品编码',
  `fixed_result` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '定值结果',
  `service_status` int(6) NULL DEFAULT NULL COMMENT '使用状态 0 正常使用、-2降级使用',
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '名称',
  `mass` double NULL DEFAULT NULL COMMENT '质量',
  `reference_material_unit` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '单位',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of reference_material
-- ----------------------------
INSERT INTO `reference_material` VALUES ('00061582B7CE81B7DB5B8B4C42676DE8', '4-氯苯基-N-吡咯烷基卡西酮盐酸盐-2023-7-1', '135AF332E97947C4F05052E80CF0299D', '58EE29428A5F7AB1DAE338E518248CAB', '2023-09-15 15:37:16.000000', '2023-09-15 15:37:16.000000', '1', '1', 0, 'C9BB8443C14038FF13AF8D5081A7707D', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '4-氯苯基-N-吡咯烷基卡西酮盐酸盐-2023-7-1', NULL, NULL, '1-(4-氯苯基)-2-(吡咯烷-1-基)丙-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('03B7F30A680F3C8CF443F3B20CCC2D64', '5F-EMB-PICA-2023-7-1', '3DC7E6FE4933BFC2A90E2A3594C7FE37', 'EF88A8D2873A2317EC4D939DF072B946', '2023-09-15 15:36:55.000000', '2023-09-15 15:36:55.000000', '1', '1', 0, '107DDA75E54ABC8DFD45952C61F7578A', '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', '5F-EMB-PICA-2023-7-1', NULL, NULL, '(1-(5-氟戊基)-1H-吲哚-3-羰基)缬氨酸乙酯', 1, 'mL');
INSERT INTO `reference_material` VALUES ('04EAD2931F729F745FDA861EFDD8974E', '4-FA-2023-7-1', '920F8ACFF3AC839E41AEAE986EF2E5EF', '284671890E8B828B0DBF1B2BE48B1B07', '2023-09-15 15:36:31.000000', '2023-09-15 15:36:31.000000', '1', '1', 0, '7463E15C114C8C354E0E0D27559D8465', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', '4-FA-2023-7-1', NULL, NULL, '1-(4-氟苯基)丙-2-胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('05CE50B12DAD1F88F217A414E3876431', 'PMMA盐酸盐-2023-7-1', 'D41B3A1E96EC19F6B8F50D5B48CDFAB4', 'CC3B853F02BF2B45FCC62A6309AC3F19', '2023-09-15 15:36:31.000000', '2023-09-15 15:36:31.000000', '1', '1', 0, 'A0D5D9AA6B4458A15C3F429CC063E2C3', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'PMMA盐酸盐-2023-7-1', NULL, NULL, '1-(4-甲氧基苯基)-N-甲基丙-2-胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('07EF50E851B7113746EB1E3354B93377', '对甲苯基环戊丙酰基芬太尼-2023-7-1', 'EF231558751021476826CC08D92EC8F3', '25CD3121F225741B1A1ACBA0065EFF53', '2023-09-15 15:37:05.000000', '2023-09-15 15:37:05.000000', '1', '1', 0, '9CFE66C6C620501C1BC4F73795034D31', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对甲苯基环戊丙酰基芬太尼-2023-7-1', NULL, NULL, '3-环戊基-N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)丙酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('08B044308EE3F04023E4BCAEBBB51D2B', 'D4-5F-CUMYL-PINACA-2023-7-1', '0F94F191F6F57C3971063DA6B641D79B', '1E5BDC5853C4CBEA8D801591E0243B77', '2023-09-15 15:37:26.000000', '2023-09-15 15:37:26.000000', '1', '1', 0, 'E0E6189AD5D6148C80062A5316131321', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'D4-5F-CUMYL-PINACA-2023-7-1', NULL, NULL, '1-(5-氟戊基)-N-(2-苯基丙-2-基) -1H-吲唑-4,5,6,7-d4-3-羧酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('0968DAA467C0DE1F1AA5D75F8116A61F', 'PX-2-2023-7-1', '516DBA30702BA7667E40464AC06E3B61', '22A09A37DA80F96B360B92ADF6CD6892', '2023-09-15 15:36:42.000000', '2023-09-15 15:36:42.000000', '1', '1', 0, 'F76ACB12AEC57ED406E77D8C8CC8CE81', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'PX-2-2023-7-1', NULL, NULL, 'N-(1-氨基-1-氧代-3-苯基内-2-基)-1-(5-氟戊基)-1H-吲唑-3-甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('0CC365D88BF029DE83F456A0B31A82DA', 'D4-5F-ADB-2023-7-1', 'EF7F1794AA4F2187AC99AFDB5D8823BB', 'A6437B9E568E0D0BF0A909F591D6AA5E', '2023-09-15 15:37:24.000000', '2023-09-15 15:37:24.000000', '1', '1', 0, '1F144A31D5D9D14524FABBF757198557', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'D4-5F-ADB-2023-7-1', NULL, NULL, '2-(1-(5-氟戊基)-1H-吲唑-3-甲酰胺-4,5,6,7-d4)-3,3-二甲基丁酸甲酯', 1, 'mL');
INSERT INTO `reference_material` VALUES ('0EB9005F1488DB5ACCA1F89C46E31482', 'ADB-BUTINACA代谢物-2023-7-1', '79F2DEC6653612A64F197DA5DCF633F2', '21EFC7C6F8C9FBF1B0B4631476470C28', '2023-09-15 15:37:23.000000', '2023-09-15 15:37:23.000000', '1', '1', 0, 'EA15BAAAB5D0C1EC1981097B431335EE', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'ADB-BUTINACA代谢物-2023-7-1', NULL, NULL, '2-(1-丁基-1H-吲唑-3-甲酰胺) -3,3-二甲基丁酸', 1, 'mL');
INSERT INTO `reference_material` VALUES ('0F78D3E2713E12A43A56EC01C368384A', 'N,N-二乙基戊卡西酮盐酸盐-2023-7-1', '78D1C01F5B21949C948B20050B6E6EE9', 'D19CA8CC6123EF628B51BFAE2B537902', '2023-09-15 15:37:15.000000', '2023-09-15 15:37:15.000000', '1', '1', 0, 'B44BFF9F75F9F58EC8F636FACCD0316A', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'N,N-二乙基戊卡西酮盐酸盐-2023-7-1', NULL, NULL, '2-(二乙基氨基)-1-苯基戊烷-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('10F3AE6F8DA648E11BBFD46E5BDDE011', '对甲苯基正丁酰基芬太尼-2023-7-1', 'E0EF8021AE2E5AAE8E6523EC4876CD66', 'E8F00405716D7012A9299C86CE1DF750', '2023-09-15 15:37:06.000000', '2023-09-15 15:37:06.000000', '1', '1', 0, 'DE262BF98FE3740EEFD81C8D863CAB0C', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对甲苯基正丁酰基芬太尼-2023-7-1', NULL, NULL, 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)丁酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('141BEBC4764667257BF47B5501141EE8', 'MDMB-FUBINACA-2023-7-1', '6E9C12D5B2A220AE819CFB614200644B', 'E84B080B0FEEA31850E5DF08667EE22A', '2023-09-15 15:36:41.000000', '2023-09-15 15:36:41.000000', '1', '1', 0, 'F5C7AAB51333B6C9AFBEEE6ADDC256F8', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'MDMB-FUBINACA-2023-7-1', NULL, NULL, '2-(1-(4-氟苄基)-1H-吲唑-3-甲酰胺)-3,3-二甲基丁酸甲酯', 1, 'mL');
INSERT INTO `reference_material` VALUES ('1A9C51CA974A4A2415EDF4517DDD25D2', '对氟苯基氯乙酰基芬太尼-2023-7-1', 'C52ACF3475AC7EF16E1F76D9672358BE', 'A09BDC7EDD8B177D57B93F6D69FF2A66', '2023-09-15 15:37:11.000000', '2023-09-15 15:37:11.000000', '1', '1', 0, '33B57B76055366954053D797000DFDBC', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对氟苯基氯乙酰基芬太尼-2023-7-1', NULL, NULL, '2-氯-N-(4-氟苯基) -N-(1-苯乙基哌啶-4-基) 乙酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('1D9B07D381952F68E7DA578E2E6E6B41', '对甲苯基乙酰基芬太尼-2023-7-1', 'FEEEB4C084806A315DA6C3B2503E66AE', 'C946514F8DC375AF0C15CD87860CAE3F', '2023-09-15 15:37:04.000000', '2023-09-15 15:37:04.000000', '1', '1', 0, '66AEE1EAF9D6C51B9FD087883FF15F85', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对甲苯基乙酰基芬太尼-2023-7-1', NULL, NULL, 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)乙酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('24D64C8C18CD99740D1FB53904EAA015', '对甲苯基环戊甲酰基芬太尼-2023-7-1', 'D0C9D5332A8AD94067DDDD0F5A8D4362', '9CC6DD32B700F45A9F7DE54906087F71', '2023-09-15 15:37:07.000000', '2023-09-15 15:37:07.000000', '1', '1', 0, 'D011816522D3A98A622E79D6E7333923', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对甲苯基环戊甲酰基芬太尼-2023-7-1', NULL, NULL, 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基) 环戊酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('25634A63A288E018E7A1D41C702F47E9', 'MDEA-2023-7-1', 'D9BFB7567586AED53A38B192E8BE8A1A', '83461F045450D058CD9307EDD33EC9AC', '2023-09-15 15:36:57.000000', '2023-09-15 15:36:57.000000', '1', '1', 0, '3E952C41C4830182984F7EE44D76D4DD', '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'MDEA-2023-7-1', NULL, NULL, '1-(苯并[d][1,3]二羟基-5-基)-N-乙基丙-2-胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('2670726E08C7ED8E2DEA000A8FBCAE67', 'PPP盐酸盐-2023-7-1', '36456BDC7D684A47A9DC94B8D267A3A6', 'B91B71DBFE7325F1BAE7502CEB67593A', '2023-09-15 15:37:02.000000', '2023-09-15 15:37:02.000000', '1', '1', 0, '7BDD8E2E752818808273926D9780E24E', '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'PPP盐酸盐-2023-7-1', NULL, NULL, '1-苯基-2-(吡咯烷-1-基)丙-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('289C5F5C3EE42018D6888D9C0655DA4F', '艾司唑仑-2023-7-1', '00C38A6D79275C94ADAFED407DB8E0D4', '83B1F8E658D4C92BD5E7448586F5BF65', '2023-09-15 15:37:19.000000', '2023-09-15 15:37:19.000000', '1', '1', 0, 'CF87CA78652D421EBCA41A920BD990D9', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', '艾司唑仑-2023-7-1', NULL, NULL, '8-氯-6-苯基-4H-苯并[f[1,2,4]三唑并[4,3-a][1,4]二氮卓', 1, 'mL');
INSERT INTO `reference_material` VALUES ('2C0912A07223910E9933058829B9C8DA', '哌甲酯盐酸盐-2023-7-1', '04324DA0CB78A8189E6DCA62C265391F', '4806D78D36ACB7BF2F07C822CDA5DF61', '2023-09-15 15:36:56.000000', '2023-09-15 15:36:56.000000', '1', '1', 0, '0CCAF7534D5CAC51A0E3836881B21845', '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', '哌甲酯盐酸盐-2023-7-1', NULL, NULL, '2-苯基-2-(哌啶-2-基)乙酸甲酯', 1, 'mL');
INSERT INTO `reference_material` VALUES ('2F2C7B92DEE051BF1063061E82A59F03', '5F-APINACA-2023-7-1', 'F0D433A1B4DDD015F176B9484901B993', '765421B865E41CE1E3AA9FB507E74C37', '2023-09-15 15:36:34.000000', '2023-09-15 15:36:34.000000', '1', '1', 0, 'EB6EEF2EF77122C5142EF2CAFA12BB1C', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', '5F-APINACA-2023-7-1', NULL, NULL, 'N-(金刚烷-1-基)-1-(5-氟戊基)-1H-吲唑-3-甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('33C551E1ACB70FE5C722C2A5A8E8C123', '4CN-CUMYL-BUTINACA-2023-7-1', 'DE90E741900A954F7B3A72B286EEAF3B', '3C74607D3EB538F174A74504218DBD5D', '2023-09-15 15:36:51.000000', '2023-09-15 15:36:51.000000', '1', '1', 0, 'A4A7F194912B22DCDA5C233E3308F7CE', '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', '4CN-CUMYL-BUTINACA-2023-7-1', NULL, NULL, '1-(4-氰基丁基)-N-(2-苯基丙-2-基)-1H-吲唑-3-甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('34C4775CD495429E9483DF8A7B16D099', 'D4-4CN-CUMYL-BUTINACA-2023-7-1', '330B749E3D9ED7827E95CF1A99D4D9C2', '156EC3A937E3F71D92385E7FA080453B', '2023-09-15 15:37:25.000000', '2023-09-15 15:37:25.000000', '1', '1', 0, 'B7761ADDC59E5DB5DFCC582C81148416', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'D4-4CN-CUMYL-BUTINACA-2023-7-1', NULL, NULL, '1-(4-氰基丁基)-N-(2-苯基丙-2-基) -1H-吲唑-4,5,6,7-d4-3-羧酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('39FCA0A232B660346F9F0379E57E54C8', '对氟芬太尼-2023-7-1', '6592B503DE998BDC910944228618FC9D', '469B1DF5C002C864DAC5162D6034774E', '2023-09-15 15:36:46.000000', '2023-09-15 15:36:46.000000', '1', '1', 0, '3154225797F6675F0DDA7883BFA584D6', '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对氟芬太尼-2023-7-1', NULL, NULL, 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)丙酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('3A3078017C0B6A0764B78D6331EC9493', '2-FA-2023-7-1', '00922D6F1DE18AB0C10B971CADA1CE85', 'E5DF49711F2D8828827061935DD9A1CB', '2023-09-15 15:36:30.000000', '2023-09-15 15:36:30.000000', '1', '1', 0, '1A2CB4BC4B74C6DC5578B5DB235C17E6', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', '2-FA-2023-7-1', NULL, NULL, '1-(2-氟苯基)丙-2-胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('3B273CE5B5F5BD97EAB87A0095FC1AAC', 'AM-2233-2023-7-1', 'D80075AB4365488E2920FE77980105BD', 'C5D5BA87F3996B49F84C2FFB07D6F009', '2023-09-15 15:36:38.000000', '2023-09-15 15:36:38.000000', '1', '1', 0, '9373E24C2FA8D2129C24D65A3A3CC333', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'AM-2233-2023-7-1', NULL, NULL, '(2-碘代苯基)(1-((1-甲基哌啶-2-基)甲基)-1H-吲哚-3-基)甲酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('3C065FE3C5D00090E8F8866BFA15A09C', 'ACHMINACA-2023-7-1', 'E21129EC7B4AAE99337A67E052F3A1CD', '9B2004F0A010982AD25BEBF7892CE4B7', '2023-09-15 15:36:55.000000', '2023-09-15 15:36:55.000000', '1', '1', 0, '4E22C7E2F5D81B8F5FF04D158E2F56FF', '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'ACHMINACA-2023-7-1', NULL, NULL, 'N-(金刚烷-1-基)-1-(环己基甲基)-1H-吲唑-3-甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('40A1C7EAE98B9824FF3AF3C8CD89860D', '5F-PB-22-2023-7-1', '23455EC4E6F2F8F2B7DDD464EF4334B5', '36061B3613C45CE948BC05B23C5540F0', '2023-09-15 15:36:34.000000', '2023-09-15 15:36:34.000000', '1', '1', 0, '337F44A66606AAB5AC3A22FD0BECE522', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', '5F-PB-22-2023-7-1', NULL, NULL, '喹啉-8-基1-(5-氟戊基)-1H-吲哚-3-羧酸盐', 1, 'mL');
INSERT INTO `reference_material` VALUES ('416B9A37CFA80DC57B569DD5046E8C7B', 'MDMB-4en-PINACA-2023-7-1', '36A2D47A279002093E7D2CE7AF2C5CA4', 'C4C5C35A39C3C24B1D514867C5C37926', '2023-09-15 15:36:52.000000', '2023-09-15 15:36:52.000000', '1', '1', 0, '65805713798AE7A5E30E14E0C0A6BB5A', '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'MDMB-4en-PINACA-2023-7-1', NULL, NULL, '3,3-二甲基-2-(1-(戊-4-烯-1-基)-1H-吲唑-3-甲酰胺基)丁酸甲酯', 1, 'mL');
INSERT INTO `reference_material` VALUES ('41A0298B152E2E0FE3984AD4C5C5544D', 'FUB-PB-22-2023-7-1', 'DADA51824D63BA7966820518270512F5', '9DDC8EFF7739A74BA7743F7ADAD96AAE', '2023-09-15 15:36:39.000000', '2023-09-15 15:36:39.000000', '1', '1', 0, 'A8045DED979B71E6379E3FD18E194CF4', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'FUB-PB-22-2023-7-1', NULL, NULL, '喹啉-8-基-1-(4-氟苄基)-1H-吲哚-3-羧酸盐', 1, 'mL');
INSERT INTO `reference_material` VALUES ('442196075348DB40AD062FD14532F5C1', 'AM-1220-2023-7-1', 'B408E924851A1790E77ED563F3A7C861', '9793F9ECB8847B91EA3EABFA2CDEAAC6', '2023-09-15 15:36:48.000000', '2023-09-15 15:36:48.000000', '1', '1', 0, '4C42921FFFF56CDADD941ADAEC9C22E9', '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'AM-1220-2023-7-1', NULL, NULL, '(1-((1-甲基哌啶-2-基)甲基)-1H-吲哚-3-基)(萘-1-基)甲酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('4725E103907EDC5C803C73C56FDEE1DD', 'N-乙基-对甲-乙卡西酮盐酸盐-2023-7-1', 'D97166CDAAC87AA05ED8F375A405AA0B', '0E7A2A9FEE6B0B65B5B1D5F2DB4D7BAA', '2023-09-15 15:37:00.000000', '2023-09-15 15:37:00.000000', '1', '1', 0, '525339562CDA64591864E71C558A1A51', '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'N-乙基-对甲-乙卡西酮盐酸盐-2023-7-1', NULL, NULL, '2-(二乙基氨基)-1-(对甲苯基)丙-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('4776CEF1114D773C641B33A590208F05', '去氯乙基氯胺酮盐酸盐-2023-7-1', '5C871A0A5BE5B5DED356E7EDBE37A92F', '1A662895E3073959372FA09A22DB3558', '2023-09-15 15:37:26.000000', '2023-09-15 15:37:26.000000', '1', '1', 0, 'C1FA2CADD21A86EBB3C1A18D767E2AD1', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', '去氯乙基氯胺酮盐酸盐-2023-7-1', NULL, NULL, '2-(乙基氨基) -2-苯基环已烷-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('48B1249B536A44672AB78C3CD87A077D', '5F-ADBICA-2023-7-1', '667A143F557AB3B0056506E687FB0F0F', '629D856D48D9AC1AE2B37F7BDA95506C', '2023-09-15 15:36:33.000000', '2023-09-15 15:36:33.000000', '1', '1', 0, 'CE586D8F9CA0055B440BCE8A566FF426', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', '5F-ADBICA-2023-7-1', NULL, NULL, 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基)-1-(5-氟戊基-1H-吲哚-3-甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('4B44BDE47C2786D8A2B1E5AB553A4E8F', 'ADBICA-2023-7-1', 'FCC713F55AE4ED51557A841FF49D3342', 'C2CB75945842CEF1E7346D054C476042', '2023-09-15 15:36:37.000000', '2023-09-15 15:36:37.000000', '1', '1', 0, '7A0CDD26B0C970757C0F8CCA6D215610', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'ADBICA-2023-7-1', NULL, NULL, 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基) -1-戊基-1H-吲哚-3-甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('4B70E84C2B053873AD6AE7870C64D356', '2-(3-甲氧基苯基)-2-乙复基环己酮-2023-7-1', '5EECC05C63CC8EEA699ECFC73067B96F', 'AAC9BBF1E2E42B5E9CC51D14C56873AA', '2023-09-15 15:36:48.000000', '2023-09-15 15:36:48.000000', '1', '1', 0, '5D8669316D7FDE53872D93A28F3FD5BB', '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', '2-(3-甲氧基苯基)-2-乙复基环己酮-2023-7-1', NULL, NULL, '2-(乙基氨基)-2-(3-甲氧基苯基)环已烷-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('4CA38979FD3F8528113C9AB726BC6F09', '5F-MPP-PICA-2023-7-1', '51348327A31D6B054306B93AD1C3D457', '64752FF2C68FBE92F53D7CB68FF9F30A', '2023-09-15 15:36:51.000000', '2023-09-15 15:36:51.000000', '1', '1', 0, 'FA3194BA4C71BE3A5763F73BCA05A6FD', '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', '5F-MPP-PICA-2023-7-1', NULL, NULL, '(1-(5-氟戊基)-1H-吲哚-3-羰基)苯丙氨酸甲酯', 1, 'mL');
INSERT INTO `reference_material` VALUES ('4D14FD6550D3AC35E350D9552BE239DD', '对甲苯基环丙甲酰基芬太尼-2023-7-1', '92B00FE4C22EE496AFE0EBB3A63118A3', '6CB15E031770D5EFA975D65DF97CF49B', '2023-09-15 15:37:05.000000', '2023-09-15 15:37:05.000000', '1', '1', 0, '58A779736BF4AD617F16F716BE0649E4', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对甲苯基环丙甲酰基芬太尼-2023-7-1', NULL, NULL, 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)环丙烷甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('4E0C971DB119CEEFC0CE505BB16CAAEF', 'D5-芬太尼-2023-7-1', '4BECF5FAB03F16FD27B3DC4D4FD9475E', 'F9D78E9522222BF1C86FE8B882168FC7', '2023-09-15 15:37:26.000000', '2023-09-15 15:37:26.000000', '1', '1', 0, 'BC390A6467ACE7BFB11E270525847F85', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'D5-芬太尼-2023-7-1', NULL, NULL, 'N-(1-苯乙基哌啶-4-基)-N-(苯基-d5)丙酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('557D64B65FD3CB142534EB9A646804CD', 'FUB-JWH-018-2023-7-1', '3B0F6385E2EDAC8B3AF7BAFAB369D220', '8E1D28FC462BDB98CBA999DFDC8EEDC4', '2023-09-15 15:36:39.000000', '2023-09-15 15:36:39.000000', '1', '1', 0, 'D1153963BDAF9EC86649AF7C7E4F94C7', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'FUB-JWH-018-2023-7-1', NULL, NULL, '(1-(4-氟苄基)-1H-吲哚-3-基)(萘-1-基)甲酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('56E0A075BF013F9CA8F0CA7559AC6A3E', 'AB-PINACA-2023-7-1', 'A7E5B94CDC15404028FAF7CBEE0836D1', 'CD347D929DC59F525DE26C7BDF58DAE9', '2023-09-15 15:36:36.000000', '2023-09-15 15:36:36.000000', '1', '1', 0, '7DB749FABB52FA91095C6591E641B579', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'AB-PINACA-2023-7-1', NULL, NULL, 'N-(1-氨基-3-甲基-1-氧代丁-2-基) -1-戊基-1H-吲唑-3-甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('56E186D1C7D7C6BE12C9AEA4B34BE5E7', 'AMB-4en-PICA-2023-7-1', '5C723C288B1CE11750720320B4FB9536', '604F4703DD998FE0954E5630B03CD866', '2023-09-15 15:36:51.000000', '2023-09-15 15:36:51.000000', '1', '1', 0, 'A248A37225F60EC9A2A7A65822EF3A00', '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'AMB-4en-PICA-2023-7-1', NULL, NULL, '(1-(戊-4-烯-1-基) -1H-吲哚-3-羰基)缬氨酸甲酯', 1, 'mL');
INSERT INTO `reference_material` VALUES ('5732DB537FFD7F2E2B6B04E3596ED516', '对甲苯基正戊酰基芬太尼-2023-7-1', 'BEACD5C14D52C69D49ECBF78A4785E51', 'BF64C2C682518D2FC0914A080E071664', '2023-09-15 15:37:08.000000', '2023-09-15 15:37:08.000000', '1', '1', 0, '054DE062F40F401B4D6B36AE1CC69C8E', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对甲苯基正戊酰基芬太尼-2023-7-1', NULL, NULL, 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)戊酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('57749E29D30E38F55028D04152A17507', 'CB-13-2023-7-1', '0F298940CF8BA5E47E115C4782C5F2C9', '09DC472AF1ADA636E68BE61A5FBA410E', '2023-09-15 15:36:39.000000', '2023-09-15 15:36:39.000000', '1', '1', 0, '2916F7A6152E1F08C27DDB20961CB02B', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'CB-13-2023-7-1', NULL, NULL, '萘-1-基(4-(戊基氧基)萘-1-基)甲酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('581D0E568F77B8696C111C1EBEED7106', 'Phenazepam(芬纳西洋)-2023-7-1', '03E2B90BDA8D98A951B7758B140C754F', '64E9F72D14BB7A00764F3C667A66DBFE', '2023-09-15 15:36:32.000000', '2023-09-15 15:36:32.000000', '1', '1', 0, '3ECD22B60D026C83734DD6C2FDA57173', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'Phenazepam(芬纳西洋)-2023-7-1', NULL, NULL, '7-溴-5-(2-氯苯基)-1,3-二氢-2H-苯并[e][1,4]二氮杂-2-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('582CCC39A7DE84B8667C7A086165A294', 'N-乙基-间氯-乙卡西酮盐酸盐-2023-7-1', '5821668E5EBEF7652ED5D67E6DE2B9D7', '2686AE16ED20D1AF368D1BA016AE237E', '2023-09-15 15:37:01.000000', '2023-09-15 15:37:01.000000', '1', '1', 0, '6820548BFDF9F97EBB7EBF371A6D390C', '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'N-乙基-间氯-乙卡西酮盐酸盐-2023-7-1', NULL, NULL, '1-(3-氯苯基)-2-(二乙基氨基)丙-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('5865623FEF410B686D118124CC25E33D', '2-(二甲氨)-1-苯基-1-戊酮-2023-7-1', '8D17A0BC045A53AF955F108F4C1A598D', 'D74CBB36D058AF6563E326EC5BB2C180', '2023-09-15 15:37:02.000000', '2023-09-15 15:37:02.000000', '1', '1', 0, 'C2E4940A9B390931FA2A30CF8D512F23', '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', '2-(二甲氨)-1-苯基-1-戊酮-2023-7-1', NULL, NULL, '2-(二甲基氨基)-1-苯基戊烷-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('58C0F967699B622065AEFFA07C7E5ECB', '溴胺酮盐酸盐-2023-7-1', 'B27BF690DA372B2658EA825B03BFB4A3', 'C27D9AEBF8A97F7D12587101511C4032', '2023-09-15 15:37:17.000000', '2023-09-15 15:37:17.000000', '1', '1', 0, '8EF85E262BCF85BA9904E806D3D1580A', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', '溴胺酮盐酸盐-2023-7-1', NULL, NULL, '2-(2-溴苯基) -2-(甲氨基) 环己烷-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('5A61338CD9464E7E17BDD463523C91FC', '5F-AMB-PICA-2023-7-1', 'D3DD68D6ECCDF72864EF8DA4BCA83511', '26FE777BE6242FF4D7FD0420B89539C5', '2023-09-15 15:36:50.000000', '2023-09-15 15:36:50.000000', '1', '1', 0, '87EC8C114BD9E02F2D6089C10023C53B', '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', '5F-AMB-PICA-2023-7-1', NULL, NULL, '(1-(5-氟戊基)-1H-吲哚-3-羰基)缬氨酸甲酯', 1, 'mL');
INSERT INTO `reference_material` VALUES ('5AF9B66AD42230CE7B1375F2973F2993', '对氯-N,N-二甲基卡西酮盐酸盐-2023-7-1', 'B4A155B66F306924CA0977B41C236D01', '8AAE4E0732BAD807D5882E25065D6ACF', '2023-09-15 15:37:15.000000', '2023-09-15 15:37:15.000000', '1', '1', 0, 'CBB2235F16E20EA954341086AF326D47', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对氯-N,N-二甲基卡西酮盐酸盐-2023-7-1', NULL, NULL, '1-(4-氯苯基)-2-(二甲基氨基)丙-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('5D23250583955DAC1B9E1CEC4FC6CDC2', '3,4-亚甲二氧基甲卡西酮(盐酸盐)-2023-7-1', '67A633EB439EAE5A163E5974A07C63DB', 'C7F51253B39B8A3B869BA32FD96E18E1', '2023-09-15 15:36:48.000000', '2023-09-15 15:36:48.000000', '1', '1', 0, '2569B5A11C287F963CE7A180A61F278B', '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', '3,4-亚甲二氧基甲卡西酮(盐酸盐)-2023-7-1', NULL, NULL, '1-(苯并[d][1,3]二羟基-5-基)-2-(甲氨基)丙-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('5DF6B27CA64C9C74B193CED02D7B978E', 'N-乙基-对溴-乙卡西酮盐酸盐-2023-7-1', '480B7EAA522308536863E9778A8B5C91', '62F8DB28286B9622F0B10AA5C5213288', '2023-09-15 15:36:59.000000', '2023-09-15 15:36:59.000000', '1', '1', 0, '5683EF520CF0E1FA10FF8659942DD020', '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'N-乙基-对溴-乙卡西酮盐酸盐-2023-7-1', NULL, NULL, '1-(4-溴苯基)-2-(二乙基氨基)丙-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('5F06B038C6581FA913A249896800D9FB', '5F-MDA-19-2023-7-1', 'F02FE2AAAF192F649D5E87763591C061', 'DF42A81B2DB4ADC311219C5A689FD6CF', '2023-09-15 15:37:23.000000', '2023-09-15 15:37:23.000000', '1', '1', 0, 'B0376A38ED8F11C80D9BFA8DFB16417F', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', '5F-MDA-19-2023-7-1', NULL, NULL, '(E)-N\'-(1-(5-氟戊基)-2-氧代吲哚-3-亚基) 苯甲酰肼', 1, 'mL');
INSERT INTO `reference_material` VALUES ('60D199BC8E90E4802A768E9E57C70D2F', '邻氟苯基氯乙酰基芬太尼-2023-7-1', 'D339D838678FB2F6D9913170223046A0', '774FC259DA059B2342A2FB5213A29289', '2023-09-15 15:37:12.000000', '2023-09-15 15:37:12.000000', '1', '1', 0, '6FDF3C0B0484B9456BBFD32EFC6C0462', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '邻氟苯基氯乙酰基芬太尼-2023-7-1', NULL, NULL, '2-氯-N-(2-氟苯基) N-(1-苯乙基哌啶-4-基) 乙酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('611DC53C64F4AF113D8466605F3DD220', 'AMB-CHMICA-2023-7-1', '910F0FB6436C8EC61741CD8D8D574263', '6D23F0464DA3D837BADD500EAC602C01', '2023-09-15 15:36:44.000000', '2023-09-15 15:36:44.000000', '1', '1', 0, 'A1ACD9E4C37AC710194B153D81931FF0', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'AMB-CHMICA-2023-7-1', NULL, NULL, '(1-(环己基甲基)-1H-吲哚-3-羰基)缬氨酸甲酯', 1, 'mL');
INSERT INTO `reference_material` VALUES ('622AD2A83E31E1E35246BB4242408E0A', '4-氟丁酰芬太尼-2023-7-1', '718965F6CC9DD8D6A4F45786ABAF2A06', 'AB6115A1CC34D55AFB08BCD1A4C3C18B', '2023-09-15 15:36:45.000000', '2023-09-15 15:36:45.000000', '1', '1', 0, '2CF5EEA18D1E54CE6AD6A03AAF1F6F6C', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', '4-氟丁酰芬太尼-2023-7-1', NULL, NULL, 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)丁酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('650F5FD850DDA93F5750BF9AAC2AAF07', 'EDDP(高氯酸盐)-2023-7-1', 'C33CD20E4D044981C9A6498044C49B4A', '5CD0E9264C80E7E9E67E66B5022C41F5', '2023-09-15 15:36:57.000000', '2023-09-15 15:36:57.000000', '1', '1', 0, '360C498E3A691764EA77B55352A27CBE', '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'EDDP(高氯酸盐)-2023-7-1', NULL, NULL, '5-乙基-1,2-二甲基-4,4-二苯基-3,4-二氢-2H-吡咯-1-鎓', 1, 'mL');
INSERT INTO `reference_material` VALUES ('675ED35AF083D248049AF6F469E06219', 'PB-22-2023-7-1', 'A5439FC79759BE2A4F9BFD776071D5A0', '268E6376BC94448B2F26BEC7FF52CB3D', '2023-09-15 15:36:41.000000', '2023-09-15 15:36:41.000000', '1', '1', 0, '214DD5D38BF90B723188253B39E1FA8A', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'PB-22-2023-7-1', NULL, NULL, '喹啉-8-基-1-戊基-1H-吲哚-3-羧酸盐', 1, 'mL');
INSERT INTO `reference_material` VALUES ('687B0A7632F62E9D3E0BBC41CECF5EE2', 'MDPV(盐酸盐)-2023-7-1', 'BADDA0713D79C1D2960DFFD3479DC5F6', 'A2EE33C233B62C223BEBBFD865FE21D6', '2023-09-15 15:36:47.000000', '2023-09-15 15:36:47.000000', '1', '1', 0, 'AE75567FB166C603F560FA6CDF6F9EE2', '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'MDPV(盐酸盐)-2023-7-1', NULL, NULL, '1-(苯并[d][1,3]二羟基-5-基)-2-(吡咯烷-1-基)戊-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('6886FF225187B56CA3303D1C3BDD7F0F', 'AB-FUBINACA-2023-7-1', '8F5F26F772C480FAA52F1824AE9D5D33', '87923E5F10EE6778DEFC4AC5A84A140B', '2023-09-15 15:36:36.000000', '2023-09-15 15:36:36.000000', '1', '1', 0, '5FCCAE5EFA1486766447C0E84C07910A', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'AB-FUBINACA-2023-7-1', NULL, NULL, 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(4-氟苄基)-1H-吲唑-3-甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('68AD4417C6F9796C175FD6A726D94A86', '异丁酰芬太尼-2023-7-1', '02D857429038F3EEC60197B375B0ECE2', 'CFC819D0F2B9F70CB142369C3CA030C4', '2023-09-15 15:36:45.000000', '2023-09-15 15:36:45.000000', '1', '1', 0, '7E9BD2FEE353FD6C941B2DEB55606CAD', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', '异丁酰芬太尼-2023-7-1', NULL, NULL, 'N-(1-苯乙基哌啶-4-基)-N-苯基异丁酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('6C51F62291459E50450C7C51ECC23090', 'ADB-BUTINACA-2023-7-1', '48BFED8D8CA36D19029F6721E4E3A465', 'BE6DF148A650E836D3E3EBEEC9A6A141', '2023-09-15 15:36:53.000000', '2023-09-15 15:36:53.000000', '1', '1', 0, 'A22BD9D574C03AF005E240D67A9827D5', '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'ADB-BUTINACA-2023-7-1', NULL, NULL, 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基)-1-丁基-1H-吲唑-3-甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('6D92472F0A792CBF0E44D0238077412D', 'N-环丁基-对溴-卡西酮盐酸盐-2023-7-1', '946D91DD13ED382469BBCBD996D38494', '0710579628F468A64CEEBE9DECE4C0C7', '2023-09-15 15:36:59.000000', '2023-09-15 15:36:59.000000', '1', '1', 0, 'B20241105249825C14E5163E652C38E9', '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'N-环丁基-对溴-卡西酮盐酸盐-2023-7-1', NULL, NULL, '1-(4-溴苯基)-2-(吡咯烷-1-基)丙-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('6DB1B272E3E838D980BD441BD31CB797', 'D4-5F-MDMB-PICA-2023-7-1', '798D17A2AE9E77A535794E5DF1D000A4', '2E450112C712AF3C3F6E51485D5E59CE', '2023-09-15 15:37:22.000000', '2023-09-15 15:37:22.000000', '1', '1', 0, '19C9A3506FAE5C1C707C856F093C6D03', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'D4-5F-MDMB-PICA-2023-7-1', NULL, NULL, '2-(1-(5-氟戊基)-1H-吲哚-3-甲酰胺-4,5,6,7-d4)-3,3-二甲基丁酸甲酯', 1, 'mL');
INSERT INTO `reference_material` VALUES ('6DFD941700FA18D27CEB3EBD560FFDCF', 'D4-劳拉西半-2023-7-1', '2F870B34EAEB8090C55C6DF21FB25C0D', '4C1C67BE89E558196210A1AFFF53D6F7', '2023-09-15 15:37:20.000000', '2023-09-15 15:37:20.000000', '1', '1', 0, '86DB48F667A6A7396F0AB8F66DF5FA6D', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'D4-劳拉西半-2023-7-1', NULL, NULL, '7-氯-5-(2-氯苯基-3,4.5,6-d4) -3-羟基-1,3-二氢-2H-苯并[e][1,4]二氮杂-2-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('6E247DDBBB79203BA66A92A6392C54F5', 'N-环丁基-对甲-卡西酮盐酸盐-2023-7-1', '0E96CF1FC2708D823721E364D8CE8333', 'B794C4A5519A4806A1C035051FC496CC', '2023-09-15 15:37:00.000000', '2023-09-15 15:37:00.000000', '1', '1', 0, '1E91E1687936D98EA8C9EAAF880D456C', '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'N-环丁基-对甲-卡西酮盐酸盐-2023-7-1', NULL, NULL, '2-(吡咯烷-1-基)-1-(对甲苯基)丙-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('6EF206B920BC9354086B9DF75D7AD65D', '苯基环戊丙酰基芬太尼-2023-7-1', '9A641A3887C784C164A1C735EDA9A9B8', '5ABC8224F6328F9C492D0F2681291B50', '2023-09-15 15:37:14.000000', '2023-09-15 15:37:14.000000', '1', '1', 0, '3DD22FBEF439FF09CDE237934FEA7825', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '苯基环戊丙酰基芬太尼-2023-7-1', NULL, NULL, '3-环戊基-N-(1-苯乙基哌啶-4-基)-N-苯基丙酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('6F39F070AFBB7F6B017B3CD9E97E625D', '5F-AMB-2023-7-1', '5EEAB5DE2F5C7B172A3010CE863368C9', 'FB6D6453DBF0BF78C2013F43A53F21AB', '2023-09-15 15:36:33.000000', '2023-09-15 15:36:33.000000', '1', '1', 0, 'BFB2C9B8885A337D7FF458B77C9F5B05', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', '5F-AMB-2023-7-1', NULL, NULL, '(1-(5-氟戊基)-1H-吲唑-3-羰基)缬氨酸甲酯', 1, 'mL');
INSERT INTO `reference_material` VALUES ('7035F6756CA493F4BE310F4EC4086C11', '对氟苯基环己甲酰基芬太尼-2023-7-1', '43357AF65220A6872E33EE57B784BA7A', '628C51EE0666A2CB6FA3EB7FD5D32BC9', '2023-09-15 15:37:11.000000', '2023-09-15 15:37:11.000000', '1', '1', 0, '4F37AFCA5E132B9E62F52BD896F7A2B7', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对氟苯基环己甲酰基芬太尼-2023-7-1', NULL, NULL, 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基) 环己烷甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('7080040A331A5FD496A0D9F6C14DF92D', '5F-AB-PINACA-2023-7-1', '18A55CF20791BDD9415F3CA3550813B2', '7A8F8FE63321B20321E24F68F5A83854', '2023-09-15 15:36:32.000000', '2023-09-15 15:36:32.000000', '1', '1', 0, '93A95739D89B0C08D545660F2020DA62', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', '5F-AB-PINACA-2023-7-1', NULL, NULL, 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(5-氟戊基)-1H-吲唑-3-甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('7246AD6E0D02A0562F07C4D076AAC178', '对甲苯基正辛酰基芬太尼-2023-7-1', 'AE2735417B3C2399145448339F682831', '28E567077BF1B086184FA05A458C9298', '2023-09-15 15:37:08.000000', '2023-09-15 15:37:08.000000', '1', '1', 0, 'D3A34D81FB19ABCC9300C3C6E992BA33', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对甲苯基正辛酰基芬太尼-2023-7-1', NULL, NULL, 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)辛酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('73209561CB3B9ADC8484540B92B87257', '对氟苯基3-甲基丁酰基芬太尼-2023-7-1', '78C0B9A2B73B7AB1C5534442FA4DBF6E', '9B7B42A3A9D33F6FDCA7912091BCF87F', '2023-09-15 15:37:10.000000', '2023-09-15 15:37:10.000000', '1', '1', 0, 'A437992028961610AAE7398F5450DE72', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对氟苯基3-甲基丁酰基芬太尼-2023-7-1', NULL, NULL, 'N-(4-氟苯基)-3甲基-N-(1-苯乙基哌啶-4-基)丁酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('763F9C3E2EAB92EE1007434594100354', '赛洛西宾-2023-7-1', 'DD6FAAC6307A52DE2C89F9032965B90F', 'D1FD207D729ED37AFD44208447CF2D93', '2023-09-15 15:36:49.000000', '2023-09-15 15:36:49.000000', '1', '1', 0, 'B8C988690A054A2238F095279F229CEB', '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', '赛洛西宾-2023-7-1', NULL, NULL, '3-(2-(二甲基氨基)乙基)-1H-吲哚-4-基磷酸二氢盐', 1, 'mL');
INSERT INTO `reference_material` VALUES ('76663A747DC8FA62F75304E3CB81D5B9', 'A-796,260-2023-7-1', '826AE731D272943EFC8325E48770D8B3', 'D8AD9F22199FF424FF2E5F967B81F6E9', '2023-09-15 15:36:35.000000', '2023-09-15 15:36:35.000000', '1', '1', 0, 'CD2060AA55C3DC6AB1659C464AE1DFEF', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'A-796,260-2023-7-1', NULL, NULL, '(1-(2-吗啉乙基)-1H-吲哚-3-基)(2,2,3,3-四甲基环丙基)甲酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('788199AA568F2B0C8F5AD324D11135E8', 'D4-AB-FUBICA-2023-7-1', 'ED7709A138DE496241F07ABE8C2E5392', '2A8A3B3F7428B2611447053269716856', '2023-09-15 15:37:21.000000', '2023-09-15 15:37:21.000000', '1', '1', 0, '5B84435EED5A165B1392C20B5CA91363', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'D4-AB-FUBICA-2023-7-1', NULL, NULL, 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(4-氟苄基)-1H-吲哚-4,5,6,7-d4-3-羧酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('7E1FDDA259C65B18044705F1F2ADD1B8', 'D4-4F-MDMB-BUTINACA-2023-7-1', 'F07666E678D651FCD78BE5DBE85F2223', 'FE8115837679D88B0E39E0B79CC13169', '2023-09-15 15:37:25.000000', '2023-09-15 15:37:25.000000', '1', '1', 0, 'B87B2920D06EE0D21451363FA06175F5', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'D4-4F-MDMB-BUTINACA-2023-7-1', NULL, NULL, '2-(1-(4-氟丁基)-1H-吲唑-3-甲酰胺-4,5,6,7-d4)-3,3-二甲基丁酸甲酯', 1, 'mL');
INSERT INTO `reference_material` VALUES ('804B4B27AE8DF99CAAE7A71111D72DAA', 'ADB-4en-PINACA-2023-7-1', 'FB2F909A5AD1F20A363540FDC38431A5', '906EEAA0F6A5B61DD096C8A987765E08', '2023-09-15 15:36:54.000000', '2023-09-15 15:36:54.000000', '1', '1', 0, '722B55DE93B3E8BA3F38C413AAAE8945', '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'ADB-4en-PINACA-2023-7-1', NULL, NULL, 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基)-1-(戊-4-烯-1基)-1H-吲唑-3-甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('80C06AE77C3B9FA6BD2BB37376BBA7F1', 'N-甲基-间氯-甲卡西酮盐酸盐-2023-7-1', '7F12C8CD9991BB1A1D34EAFD2BCBA86F', '83B0B086077F1FCEB2BEB6A949E85F18', '2023-09-15 15:37:01.000000', '2023-09-15 15:37:01.000000', '1', '1', 0, '9E9B5F5382F5FCC272E4C62B7E0B88E7', '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'N-甲基-间氯-甲卡西酮盐酸盐-2023-7-1', NULL, NULL, '1-(3-氯苯基)-2-(二甲基氨基)丙-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('82298F2FC26F0E368E2EFE6DA6A32E10', 'D4-PMMA盐酸盐-2023-7-1', '6670877A81BD74D70588DE7F76C6FAEF', '2C3B6F03030DE7BD59871553E031C051', '2023-09-15 15:37:20.000000', '2023-09-15 15:37:20.000000', '1', '1', 0, 'B40DA44CD152AAB0DB5A0A6319D846C9', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'D4-PMMA盐酸盐-2023-7-1', NULL, NULL, '1-(4-甲氧基苯基-2,3,5,6-d4)-N-甲基丙-2-胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('84F132EEC5C4906B8810FFE4BB7BBE1B', 'D4-PMA盐酸盐-2023-7-1', '362BA80E6604CFEB9D7ADA3BB349A1A7', '8784E34D10C7D00AF0D676206F138BF5', '2023-09-15 15:37:19.000000', '2023-09-15 15:37:19.000000', '1', '1', 0, '5562BF2733B41AABBCA74BA91C0617FB', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'D4-PMA盐酸盐-2023-7-1', NULL, NULL, '1-(4-甲氧基苯基-2,3,5,6-d4)丙-2-胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('862BE0B1D106E67CE8C9C2DDE6B51E50', '5F-APICA(STS-135)-2023-7-1', '1B4A9ED2F33657BD03BE86E5DF595B40', 'F5EFB35603388F3862B56BB769A9453F', '2023-09-15 15:36:42.000000', '2023-09-15 15:36:42.000000', '1', '1', 0, 'DF1C45900EDE018B84D27D6D13EAA360', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', '5F-APICA(STS-135)-2023-7-1', NULL, NULL, 'N-(金刚烷-1-基)-1-(5-氟戊基)-1H-吲哚-3-甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('89819DBE1838867058CDCBC15AE58821', 'AMB-FUBICA-2023-7-1', 'EB74F3CBD69736721C731A485FED3AC8', '49DE6F84A8318BE8FAB87F8F61047744', '2023-09-15 15:36:52.000000', '2023-09-15 15:36:52.000000', '1', '1', 0, 'D0652F2132F02885754F84D0F5DAEFD3', '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'AMB-FUBICA-2023-7-1', NULL, NULL, '(1-(4-氟苄基)-1H-吲哚-3-羰基)缬氨酸甲酯', 1, 'mL');
INSERT INTO `reference_material` VALUES ('8A6207D01321BCA30EC6DAC3E628ACA8', '4-氟异丁酰芬太尼-2023-7-1', '81D9265C246FB4C946D3CFCFAAB9CF17', 'D627D2993EDBD50A21C0E83B10E370BF', '2023-09-15 15:36:46.000000', '2023-09-15 15:36:46.000000', '1', '1', 0, 'E87C02C01E4A729A9A2875113EB6477F', '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', '4-氟异丁酰芬太尼-2023-7-1', NULL, NULL, 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)异丁酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('8DF76CFC3F04AFD10189685D563A768E', 'JWH-015-2023-7-1', '4C652E02153C56C71C41D4A6E58E2AE3', '1047B5587B31CE41FB6F11FD5D5E54B4', '2023-09-15 15:36:40.000000', '2023-09-15 15:36:40.000000', '1', '1', 0, '334BBF64DB714DCD8BA52E522383CBDE', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'JWH-015-2023-7-1', NULL, NULL, '(2-甲基-1-丙基-1H-吲哚-3-基)(萘-1-基)甲酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('945EB4758AD69B21A48076DFA5F87A2F', '对甲苯基正丙酰基芬太尼-2023-7-1', '17BC53F01A32CAA36E8C0CD76392B8EB', '9D592B677DE669E4AD7937339F755E3A', '2023-09-15 15:37:09.000000', '2023-09-15 15:37:09.000000', '1', '1', 0, '576054FEB07F8CE88D0EBD87F0FE3914', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对甲苯基正丙酰基芬太尼-2023-7-1', NULL, NULL, 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)丙酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('950710E4B24B603DFB28551C0098D1C2', 'LSD-2023-7-1', '94CBDBF12B56720F67EE65FD81BA2F28', '738BAB050830286A64CAB6ADC99CE0A7', '2023-09-15 15:37:03.000000', '2023-09-15 15:37:03.000000', '1', '1', 0, '03A55944FBCD333B0B1D6E149B22035F', '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'LSD-2023-7-1', NULL, NULL, 'N、N-二乙基-7-甲基-4,6,6a，7,8,9-六氢吲哚[4,3-fg]喹啉-9-羧酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('977E04C074F387CF9373FB22FBC84783', '布桂嗪-2023-7-1', '045E3933CEEE52A66D716B98194B70D0', 'C6A86E2E162FC9F51DD6364E257C8DEF', '2023-09-15 15:37:18.000000', '2023-09-15 15:37:18.000000', '1', '1', 0, 'A52AEEEF84E0FC4AA05132E209B15F11', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', '布桂嗪-2023-7-1', NULL, NULL, '1-(4-肉桂酰哌嗪-1-基)丁-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('98257F6D5DCD61EC4EFB61B6EDCBD373', '对氯-N,N-二乙基卡西酮盐酸盐-2023-7-1', '7E07947EE0A2C33A3B30008FFBC7B826', '628A0B445C04AC8EC11C7BE95AF045C9', '2023-09-15 15:37:15.000000', '2023-09-15 15:37:15.000000', '1', '1', 0, 'D54670B0E6D23D98A19BEC6884493F34', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对氯-N,N-二乙基卡西酮盐酸盐-2023-7-1', NULL, NULL, '1-(4-氯苯基)-2-(二乙基氨基)丙-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('9AD91B47B0D611CBF8457DD800907492', '对甲苯基异戊酰基芬太尼-2023-7-1', 'AA0085B46B0453653C6260B11A1E5D19', 'D8BD1E9E509142B70FD8E9AFB36CB5F5', '2023-09-15 15:37:06.000000', '2023-09-15 15:37:06.000000', '1', '1', 0, '72251D9E7CA66DD69E163658CEB98BE2', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对甲苯基异戊酰基芬太尼-2023-7-1', NULL, NULL, '3-甲基-N-(1-苯基哌啶-4-基)-N-(对甲苯基) 丁酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('9AE3179A0A1C4695B1C0CCC225124E1C', '对甲苯基三氯乙酰基芬太尼-2023-7-1', '0E0DBA2163FE46D736D11A85BC6E0F78', '6A7296B61E6967501F03358972564D8E', '2023-09-15 15:37:08.000000', '2023-09-15 15:37:08.000000', '1', '1', 0, 'ED14DC7AD9D00EBBFC21FC6B65316C51', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对甲苯基三氯乙酰基芬太尼-2023-7-1', NULL, NULL, '2,2,2-三氯-N-(1-苯乙基哌啶-4-基) -N-(对甲苯基) 乙酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('9B5318A64C33942C3E2B13C81016EDE4', 'MDMB-FUBICA-2023-7-1', 'D1FE819BE078B87516D6DC7F8ECB6399', '40428B21F1F9D2247A56F36EC30474C8', '2023-09-15 15:36:56.000000', '2023-09-15 15:36:56.000000', '1', '1', 0, '1C0FCAB08F99FFFA24CAD8F6E92C5A60', '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'MDMB-FUBICA-2023-7-1', NULL, NULL, '2-(1-(4-氟苄基) -1H-吲唑-3-甲酰胺) -3,3-二甲基丁酸甲酯', 1, 'mL');
INSERT INTO `reference_material` VALUES ('9C1F3D5F345098B5D4FCF15C19E68FA7', 'ADB-PINACA-2023-7-1', 'D8E563643685FEFF551C1AB9ECA8A080', 'ED4B1DF7FA688CDC50EA2DB8AE4107F1', '2023-09-15 15:36:37.000000', '2023-09-15 15:36:37.000000', '1', '1', 0, 'E64CD970D45A8C63B6A43D0843F7D222', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'ADB-PINACA-2023-7-1', NULL, NULL, 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基) -1-戊基-1H-吲唑-3-甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('9D51A81EFD5F8EE4E3DD15C62666E28E', '去甲氯胺酮盐酸盐-2023-7-1', '5B7419BF70BD12F5731F69CF0EBC71D7', '436D7F396CB2A7848BB42BF3E23F5883', '2023-09-15 15:37:03.000000', '2023-09-15 15:37:03.000000', '1', '1', 0, '5EBBE114EB2A8F11E0BBF097B9C4BD7E', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '去甲氯胺酮盐酸盐-2023-7-1', NULL, NULL, '2-氨基-2-(2-氯苯基) 环已烷-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('9ED68C809B6A0EAF38E1D6E72C24909D', 'N,N-Dimethylpentylone (hydrochloride)-2023-7-1', '89A7E5E922D2C3CE6CA550035E0E5237', 'DC7010DFEBB1F1CFF9C7655094380B17', '2023-09-15 15:37:27.000000', '2023-09-15 15:37:27.000000', '1', '1', 0, '489D8FE578E0F94238E0E1237D739F02', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'N,N-Dimethylpentylone (hydrochloride)-2023-7-1', NULL, NULL, '1-(苯并[d][1,3]二羟基-5-基)-2-(二甲基氨基)戊-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('9F23E7EDFD45814487D831E1B1D4AE41', 'FUB-APINACA-2023-7-1', 'D73D7D8F758E69BF73AD4964CDE4A7F4', 'B9DB2CC13DBB3E0B70B35C624149ECD6', '2023-09-15 15:36:43.000000', '2023-09-15 15:36:43.000000', '1', '1', 0, '2F2D3560886A5A8D24876076469C6818', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'FUB-APINACA-2023-7-1', NULL, NULL, 'N-(金刚烷-1-基)-1-(4-氟苄基)-1H-吲唑-3-甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('9F435BD05EC41FD75559471E6C21F740', '乙卡西酮(盐酸盐)-2023-7-1', '00805F189C07FBB430A19400AE84E36D', '97055A5BB956B364D1532FC8B7DF0428', '2023-09-15 15:36:47.000000', '2023-09-15 15:36:47.000000', '1', '1', 0, '2578B70B30E6D751BF269D78A1ACAE0D', '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', '乙卡西酮(盐酸盐)-2023-7-1', NULL, NULL, '2-(乙基氨基)-1-苯基丙-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('A067DDA57FB71F41A7AE11F0459CBF6C', '赛洛新-2023-7-1', 'FC663F52347C6F215A804FD85CAB77A0', '3373FC76ACAE5E67144E80FA0BF00D9B', '2023-09-15 15:36:49.000000', '2023-09-15 15:36:49.000000', '1', '1', 0, '68A787A94DA572F1FEC1A5C1E716D9FC', '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', '赛洛新-2023-7-1', NULL, NULL, '3-(2-(二甲基氨基)乙基)-1H-吲哚-4-醇', 1, 'mL');
INSERT INTO `reference_material` VALUES ('A1ACE86CA814D7AEC591F39446B815F2', 'APINACA-2023-7-1', '88AC55DF98DD989EA7AF50213777A02B', '7E723613334C09601D05FAD0D349501F', '2023-09-15 15:36:38.000000', '2023-09-15 15:36:38.000000', '1', '1', 0, '8D62B8625F99A3EEE6126658936BF821', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'APINACA-2023-7-1', NULL, NULL, 'N-(金刚烷-1-基)-1-戊基-1H-吲唑-3-甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('A21577166D17D1C94803AC77063599B5', 'D4-MDMB-FUBICA-2023-7-1', '02E1FA2FA56F83E2C4C278E694F05874', '77DF2DEF99AE5A0953B6895214286527', '2023-09-15 15:37:22.000000', '2023-09-15 15:37:22.000000', '1', '1', 0, '1C4CA2AC547614CF494AC16B1834EBB8', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'D4-MDMB-FUBICA-2023-7-1', NULL, NULL, '2-(1-(4-氟苄基)-1H-吲哚-3-甲酰胺-4,5,6,7-d4)-3,3.二甲基丁酸甲酯', 1, 'mL');
INSERT INTO `reference_material` VALUES ('A353E59B0D111FA7BE51580CF84AABED', 'D4-氯胺酮盐酸盐-2023-7-1', 'C011D295D827E3665375D20E3540D91E', '3254BE5CBA4EC4F38B3D347B0B3F8FCB', '2023-09-15 15:37:21.000000', '2023-09-15 15:37:21.000000', '1', '1', 0, 'DF89B96E732245252B260F76F562C8F5', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'D4-氯胺酮盐酸盐-2023-7-1', NULL, NULL, '2-(2-氯苯基-3,4,5,6-d4) -2-(甲氨基) 环己烷-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('A361C92DB40F3B49B4B312FAB786B771', 'N-乙胺-2023-7-1', '32B0B36D5474F4226A1D72DED005FF87', 'CB3C3E9E63F2A75D4E5FB16D030F7C43', '2023-09-15 15:37:18.000000', '2023-09-15 15:37:18.000000', '1', '1', 0, 'C14039E845836C9CAA3AED1135370848', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'N-乙胺-2023-7-1', NULL, NULL, '2-(4-氯-2,5-二甲氧基苯基)-N-(2-甲氧基苄基)乙烷-1-胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('A65738DA6F844ECABD4505DAC00FF74E', '4-甲基甲卡西酮(盐酸盐)-2023-7-1', 'B4CB7A9A63E4C2DFB95C50B4F25E36FB', 'A351746D1542486A3C4DF4EAE2A7A16D', '2023-09-15 15:36:47.000000', '2023-09-15 15:36:47.000000', '1', '1', 0, '224350D201900AA9A7F38EC304C03E1E', '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', '4-甲基甲卡西酮(盐酸盐)-2023-7-1', NULL, NULL, '2-(甲氨基)-1-(对甲苯基)丙-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('A86E3024A8331F7F7B3E29EA8792E42C', '对甲苯基庚酰基芬太尼-2023-7-1', '0D9524212CD67B72072F96065147EDB1', '94829CD03FACB356DC0352A491DC4377', '2023-09-15 15:37:04.000000', '2023-09-15 15:37:04.000000', '1', '1', 0, 'EECAEA34CD0AE29FC4DBEDF0AD9D5EBF', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对甲苯基庚酰基芬太尼-2023-7-1', NULL, NULL, 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)庚酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('A87DE639B786B22D58A31C9A5494B006', '苯甲曲秦-2023-7-1', 'BBAF89C60598EBC5705C7330925520A0', 'B238F86E3EE9821160A5040EC1FE0CE4', '2023-09-15 15:36:55.000000', '2023-09-15 15:36:55.000000', '1', '1', 0, '2622670659B5515602B5848E0B06C1A2', '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', '苯甲曲秦-2023-7-1', NULL, NULL, '3,4-二甲基-2-苯基吗啉', 1, 'mL');
INSERT INTO `reference_material` VALUES ('AE934B0F7725F795B169B2C2F2B008EE', '对甲苯基氯乙酰基芬太尼-2023-7-1', 'B221191F3238DBEC41F804CDF9462596', '03F3EA1EF806170BF2DA884EB7A61FE4', '2023-09-15 15:37:07.000000', '2023-09-15 15:37:07.000000', '1', '1', 0, '511235B61B6CE35F21A4A57B01EFC5D3', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对甲苯基氯乙酰基芬太尼-2023-7-1', NULL, NULL, '2-氯-N-(1-苯乙基哌啶-4-基)-N-(对甲苯)乙酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('B07860AAEC778CD0891FC52330E46366', '对甲苯基异丁酰基芬太尼-2023-7-1', 'FD7A30504E4E029054B42674FECDA3CE', 'C5A80DE0DF141E9E338E3B1A4825D8EF', '2023-09-15 15:37:04.000000', '2023-09-15 15:37:04.000000', '1', '1', 0, 'EDF2F1B79951C4542FE37E5D797A581B', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对甲苯基异丁酰基芬太尼-2023-7-1', NULL, NULL, 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)丁酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('B26139537FF3B94C6538A1E86584ADE9', '去甲氟胺酮盐酸盐-2023-7-1', 'CA3CE9BC28F0EEAD4B09D6D888C16FBC', '3D358DCC1027F1E4A97076FAA9E3FD38', '2023-09-15 15:37:16.000000', '2023-09-15 15:37:16.000000', '1', '1', 0, 'A9710C7A6174781F9DF921B1083DC35B', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', '去甲氟胺酮盐酸盐-2023-7-1', NULL, NULL, '2-氨基-2-(2-氟苯基)环已烷-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('B2806C1C94CD99F882BC54E60CFD2C76', '对氟苯基正戊基芬太尼-2023-7-1', '7640D2C213DAA1DA9C6B7EB8C8FA6D95', '68DDC9CDC0135A1A7AEBF7C436AF7A55', '2023-09-15 15:37:10.000000', '2023-09-15 15:37:10.000000', '1', '1', 0, '61311C2FB24E973F2611B31293FF9033', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对氟苯基正戊基芬太尼-2023-7-1', NULL, NULL, 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)戊酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('B637A0B820813472EB91EB0995AACC7F', '对氟苯基环丁甲酰基芬太尼-2023-7-1', '2A6C8F347025653C229A0DBF0DA3A461', '8950734E986F041F0FCD5F4FF0670F2F', '2023-09-15 15:37:12.000000', '2023-09-15 15:37:12.000000', '1', '1', 0, 'D1AC11725A0A78FAE2ECA19BF24A1F90', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对氟苯基环丁甲酰基芬太尼-2023-7-1', NULL, NULL, 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)环丁酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('B67AECF166E148658B9CB05463DB1EEC', 'N-甲基-甲卡西酮盐酸盐-2023-7-1', '59144663B9ED9222071520B0E1BF5FB8', '5D7278F31F02D7884748A8E983B409DD', '2023-09-15 15:36:58.000000', '2023-09-15 15:36:58.000000', '1', '1', 0, 'B13F08FDAD4E062DAFF92528E492A4F6', '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'N-甲基-甲卡西酮盐酸盐-2023-7-1', NULL, NULL, '2-(二甲基氨基)-1-苯基丙-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('B8ECA41F4E5FC6E145EB170633EA8692', '对氟苯基环丙甲酰基芬太尼-2023-7-1', 'B2F1FEF132C587A7C1278247AAF3ADF8', '29881056F6C8EA96E223BE70C0C0ACC1', '2023-09-15 15:37:09.000000', '2023-09-15 15:37:09.000000', '1', '1', 0, '0C662C070679CB5BBB7535C2BC4D8D33', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对氟苯基环丙甲酰基芬太尼-2023-7-1', NULL, NULL, 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)环丙烷甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('B96946A053580678BA149EB1974FFF5C', '对甲苯基环丁甲酰基芬太尼-2023-7-1', 'C923819B992E0F160E0ED819500B3B4B', 'EDB6E54393A44E295BE4E69420C9D285', '2023-09-15 15:37:07.000000', '2023-09-15 15:37:07.000000', '1', '1', 0, 'E8AE542415F85C36FE1EFD93256166E9', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对甲苯基环丁甲酰基芬太尼-2023-7-1', NULL, NULL, 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基) 环丁酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('BC79847942A157E7120317B7EF9234F2', '苯基环丁甲酰基芬太尼-2023-7-1', '1CFBE6ABD5238BFC7A0C295237641BDA', 'BF84FD5D16C8898D222D30E26CCB7ABE', '2023-09-15 15:37:13.000000', '2023-09-15 15:37:13.000000', '1', '1', 0, '3D8EA2ABDAD254B90CE559C3410BB0A2', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '苯基环丁甲酰基芬太尼-2023-7-1', NULL, NULL, 'N-(1-苯乙基哌啶-4-基)-N-苯基环丁烷甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('BED61C9B02925D236EA05A07A71FD215', '4F-MDMB-BUTICA-2023-7-1', 'D1639225AAB2866F23B21B9BDA6A959E', '7BD03DCC1D1CE3CFD17DAF0FFFBECD19', '2023-09-15 15:36:53.000000', '2023-09-15 15:36:53.000000', '1', '1', 0, 'FF27E7FC317F2A7A742220376C4E547C', '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', '4F-MDMB-BUTICA-2023-7-1', NULL, NULL, '2-(1-(4-氟丁基)-1H-吲哚-3-甲酰胺)-3,3-二甲基丁酸甲酯', 1, 'mL');
INSERT INTO `reference_material` VALUES ('C0DF1ECD652C57508D1D02B965E438DD', 'DoC-2023-7-1', '1EC308E5D0420A58A374AD93873CA87A', '7DCA5E433D1AF6E052BA1EFD2532C282', '2023-09-15 15:36:31.000000', '2023-09-15 15:36:31.000000', '1', '1', 0, '154A94728E31FC4D4B5F21AD557A340B', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'DoC-2023-7-1', NULL, NULL, '1-(4-氯-2,5-二甲氧基苯基)丙-2-胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('C16305B77F5514B41A2AB7127F5C1616', '莫达非尼-2023-7-1', '2BA2AA32EB86AC3CE862492195BF270C', 'E6F47978CB237FC64BF8F434EA532300', '2023-09-15 15:36:54.000000', '2023-09-15 15:36:54.000000', '1', '1', 0, '459D8CA41B0EDDC2EE04C4CAB74FD88B', '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', '莫达非尼-2023-7-1', NULL, NULL, '2-(苯甲基亚磺酰基)乙酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('C1A10ABC82638AB18385DF5F3B31924C', '苯基环丙甲酰基芬太尼-2023-7-1', 'AB4779DE5E974E4F56CE311DC4702F59', '6718B57F061B06003CF765220E4770C1', '2023-09-15 15:37:13.000000', '2023-09-15 15:37:13.000000', '1', '1', 0, 'FC975217ACADC95CCA82449EA8C27C63', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '苯基环丙甲酰基芬太尼-2023-7-1', NULL, NULL, 'N-(1-苯乙基哌啶-4-基)-N-苯基环丙烷甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('C2AB6C3D2DFBBE6D3CFDF9A3F6D4DDA8', 'ADB-CHMINACA-2023-7-1', '8D6EF0F4A6F1A83D3CA000CE74AFFDC7', 'D6E33848DC71CD0246B93AC17AC1A81A', '2023-09-15 15:36:43.000000', '2023-09-15 15:36:43.000000', '1', '1', 0, '1C4C7DBD8489AEFBB5B8DAD5085C3642', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'ADB-CHMINACA-2023-7-1', NULL, NULL, 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基)-1-(环己基甲基)-1H-吲唑-3-甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('C39D1B5B3659CA60123E3493779D6837', '5F-UR-144-2023-7-1', 'DAF87B5B8B92C4EED170B4A4803CF383', '5B2ADB230BAE0C2AC2D6022E3F9BC608', '2023-09-15 15:36:34.000000', '2023-09-15 15:36:34.000000', '1', '1', 0, '051AD891A93857E68BA3511EE5009026', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', '5F-UR-144-2023-7-1', NULL, NULL, '(1-(5-氟戊基)-1H-吲哚-3-基)(2,2,3,3-四甲基环丙基)甲酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('C5230FB338989516D1170991CAF24364', '去氯氯胺酮盐酸盐-2023-7-1', 'FF067E8E61FA417A0E73DEB38A844B9B', '26A425F6F25A9CFAD0EDF0094AE4DECD', '2023-09-15 15:37:16.000000', '2023-09-15 15:37:16.000000', '1', '1', 0, 'D983DEB24DA05EB3442AAE0BC139AFE8', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '去氯氯胺酮盐酸盐-2023-7-1', NULL, NULL, '2-(甲氨基)-2-苯基环已烷-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('C60E5325509C7B1281716F4B92622E54', '5CI-APINACA-2023-7-1', 'CB7CEB4A3F05E67ECAA32EEF85620863', 'BEF2AB9818B9C947BCEC2E6ADAF6C54F', '2023-09-15 15:36:50.000000', '2023-09-15 15:36:50.000000', '1', '1', 0, 'ED919F9140059A2FC498E26CA94A710C', '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', '5CI-APINACA-2023-7-1', NULL, NULL, 'N-(金刚烷-1-基)-1-(5-氯戊基)-1H-吲唑-3-甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('CAF86AD80E54FD6E130CBD9CDCBA5EA0', 'Ds-苯巴比妥-2023-7-1', '960AFDE8769D2D8928383B303484710A', '2A4C47F7E6D9A886684EFBB9F7B22F4B', '2023-09-15 15:37:27.000000', '2023-09-15 15:37:27.000000', '1', '1', 0, 'B9BBCDE139453BB464CD7990142A9E96', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'Ds-苯巴比妥-2023-7-1', NULL, NULL, '5-乙基-5-(苯基-d5)嘧啶-2,4,6 (1H，3H，5H)-三酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('CC759914466EF0E393F83E653CE5EFF4', 'D4-4F-MDMB-BICA-2023-7-1', '207E04A547D0B574CA52A2E794C11E0F', '23E46AB3A0B0524B7183756AAC63C5E5', '2023-09-15 15:37:24.000000', '2023-09-15 15:37:24.000000', '1', '1', 0, 'C234CDC414A19C589D3D2A093343C8B2', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'D4-4F-MDMB-BICA-2023-7-1', NULL, NULL, '2-(1-(4-氟丁基)-1H-吲哚-3-甲酰胺-4,5,6,7-d4)-3,3-二甲基丁酯甲酯', 1, 'mL');
INSERT INTO `reference_material` VALUES ('D26C4A0C46231B078458D585E96E8D86', '5F-ADB-2023-7-1', '692B9468A3D522A971978AD35F476787', '3AEE60BE8B606718420C2F4380C7014D', '2023-09-15 15:36:44.000000', '2023-09-15 15:36:44.000000', '1', '1', 0, '0A9A7132447B02BA21F5E8D9B271D81A', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', '5F-ADB-2023-7-1', NULL, NULL, '2-(1-(5-氟戊基)-1H-吲唑-3-甲酰胺)-3,3-二甲基丁酸甲酯', 1, 'mL');
INSERT INTO `reference_material` VALUES ('D2DF688F2731051317BA52DA0A810F0A', '5F-EDMB-PICA-2023-7-1', 'C84A5741DA1DF1776DE7B321239DACE6', '8FDBC87BEC37569383724AC4D71A302F', '2023-09-15 15:36:54.000000', '2023-09-15 15:36:54.000000', '1', '1', 0, '0A513788505FD070D8B9A7E132DB8E6C', '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', '5F-EDMB-PICA-2023-7-1', NULL, NULL, '2-(1-(5-氟戊基)-1H-吲哚-3-甲酰胺)-3,3-二甲基丁酸乙酯', 1, 'mL');
INSERT INTO `reference_material` VALUES ('D567A92A2B07FA2D6CA4DD35CF7FCACB', 'APICA-2023-7-1', '132FF91A13C738AA9CE139958D0E993E', 'CFC14E18548F8DF3344A8F0ECFC006EA', '2023-09-15 15:36:38.000000', '2023-09-15 15:36:38.000000', '1', '1', 0, '7262F60B5882F42EFE158D3332BEE2C8', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'APICA-2023-7-1', NULL, NULL, 'N-(金刚烷-1-基)-1-戊基-1H-吲哚-3-甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('D7108CE9B9CCB8F8EE85CF039BFEB4FD', 'A-834,735-2023-7-1', '0C833E3F6429470CD43824F47A24AF13', '955A2CD537AFF275BF3B2F28DE839189', '2023-09-15 15:36:35.000000', '2023-09-15 15:36:35.000000', '1', '1', 0, 'A4D889488769E71FF9A0BC6150B2A8A2', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'A-834,735-2023-7-1', NULL, NULL, '(1-((四氢-2H-吡喃-4-基)甲基)-1H-吲哚-3-基)(2,2,3,3-四甲基环丙基)甲酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('DB2CCBC3534E163B8A5E9D4A458F1F8B', '5F-MDMB-PICA-2023-7-1', '050754482D4132276D439B477226BBE9', 'A7AE454329EAA8E9625681810C93CF1D', '2023-09-15 15:36:49.000000', '2023-09-15 15:36:49.000000', '1', '1', 0, 'B2F332F83E854E5E779CC05B7FA0ABAE', '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', '5F-MDMB-PICA-2023-7-1', NULL, NULL, '2-(1-(5-氟戊基)-1H-吲哚-3-甲酰胺)-3,3-二甲基丁酸甲酯', 1, 'mL');
INSERT INTO `reference_material` VALUES ('DC3048F3E84B4489538BBF5CCE287101', 'N-环丁基-间氯-卡西酮盐酸盐-2023-7-1', 'DB718ADC34ED9857CC1230F057672509', '8C83CEA24572D7CFDA595D6DFA506C04', '2023-09-15 15:37:02.000000', '2023-09-15 15:37:02.000000', '1', '1', 0, '705C2E81C22EAD08A1F9DC2FAE0CF1EB', '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'N-环丁基-间氯-卡西酮盐酸盐-2023-7-1', NULL, NULL, '1-(3-氯苯基)-2-(吡咯烷-1-基) 丙-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('DD605BF7B78AD875939DB2FE7C17204D', 'N-甲基-对溴-甲卡西酮盐酸盐-2023-7-1', 'E535CF6C2223B6F861CB8B1C7D589B5E', 'C23A4F8B3108B2B55E246028A0B7DDC0', '2023-09-15 15:36:58.000000', '2023-09-15 15:36:58.000000', '1', '1', 0, 'DFAEE3D5E8BBF8DCD844733D8666CE60', '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'N-甲基-对溴-甲卡西酮盐酸盐-2023-7-1', NULL, NULL, '1-(4-溴苯基)-2-(二甲基氨基)丙-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('DD8BA7EAA63DBA44ABB3F0E8A2D693C0', '4-CNB;N,N-DMC-2023-7-1', 'B8DC5A10D1CBDFD7AD8DCB6290168C09', '53FC723A2BB39B0C76D092F3EE806978', '2023-09-15 15:37:00.000000', '2023-09-15 15:37:00.000000', '1', '1', 0, '37D5F0CB1CDDF1A1D933C9001AD1A9ED', '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', '4-CNB;N,N-DMC-2023-7-1', NULL, NULL, '2-(二甲基氨基)-1-(对甲苯基)丙-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('DF3C106EC992BE960347EA6F0D5086DF', 'MDMB-CHMICA-2023-7-1', '780A873B480A778D4452242E9D73EE2E', 'D57B6499551EF252E2842F5172779B00', '2023-09-15 15:36:41.000000', '2023-09-15 15:36:41.000000', '1', '1', 0, '1D3CCA0BD3C6B4F12FDBDE7993003C1E', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'MDMB-CHMICA-2023-7-1', NULL, NULL, '2-(1-(环己基甲基)-1H-吲哚-3-甲酰胺)-3,3-二甲基丁酸甲酯', 1, 'mL');
INSERT INTO `reference_material` VALUES ('DFB3808FF6589873703EC9B57C98D0D9', '氟胺酮盐酸盐-2023-7-1', 'D2DC1ED6E5C66133065AE7D680CDD6E9', '85343B138D73349EA8E1460020AA43B4', '2023-09-15 15:37:17.000000', '2023-09-15 15:37:17.000000', '1', '1', 0, 'DC4C8597C8F2C6F7D505D72672DC1F17', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', '氟胺酮盐酸盐-2023-7-1', NULL, NULL, '2-(2-氟苯基)-2-(甲氨基) 环已烷-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('DFECF7E0F9F46E4F41C475E0CF401B90', '呋喃芬太尼-2023-7-1', '4BB08F16BC019675E98D1A2195A04F5C', 'C755BE39DD7D93EC5E0794B315B77CB1', '2023-09-15 15:36:45.000000', '2023-09-15 15:36:45.000000', '1', '1', 0, 'F2562DD28577C062B860E0B2BFA5CF29', '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', '呋喃芬太尼-2023-7-1', NULL, NULL, 'N-(1-苯乙基哌啶-4-基)-N-苯基呋喃-2-甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('E00EAA285158641A780D7E79DDB9675E', '安非拉酮盐酸盐-2023-7-1', '8F3D0BDD051C41AB1D76094D7F04399E', 'CB4F53D83A907E5E6E12BFF1D364716A', '2023-09-15 15:36:59.000000', '2023-09-15 15:36:59.000000', '1', '1', 0, '5D13A4AEB90A8884E4C115508447E5E3', '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', '安非拉酮盐酸盐-2023-7-1', NULL, NULL, '2-(二乙基氨基)-1-苯基丙-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('E448C690048A71A51F0885C3D1442FA9', '对氟苯基环戊甲酰基芬太尼-2023-7-1', 'CB1D96D2AFC3035F8BCA93E6ABCCD180', 'E1CF247D3882C7679E78C9EC1DBA4CC7', '2023-09-15 15:37:10.000000', '2023-09-15 15:37:10.000000', '1', '1', 0, '1D93707268917B2A1979A5D8081C8045', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对氟苯基环戊甲酰基芬太尼-2023-7-1', NULL, NULL, 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)环戊酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('E472BB1D50C9013CC3A964C66549A81C', 'AB-FUBICA-2023-7-1', '021261728B402A540766D5B99C759F20', 'C4C6331C74E75F210ABBD3B77B5624E0', '2023-09-15 15:36:57.000000', '2023-09-15 15:36:57.000000', '1', '1', 0, 'FF5F510E5AFF1EB34F8E14F8655EE9A4', '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'AB-FUBICA-2023-7-1', NULL, NULL, 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(4-氟苄基)-1H-吲唑-3-甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('E7D428C0E07152F659E6A0B86BDF3732', '二苄基哌嗪-2023-7-1', 'EA3C2344EDD012C81FB9FE92AE3563D1', 'A6BE137BB45309D22065C26F87CD9ED8', '2023-09-15 15:37:14.000000', '2023-09-15 15:37:14.000000', '1', '1', 0, 'D13DA2915F184849E5E3B713E85F8904', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '二苄基哌嗪-2023-7-1', NULL, NULL, '1,4-二苄基哌嗪', 1, 'mL');
INSERT INTO `reference_material` VALUES ('E9E0D9E106F9CAC768CF317D8EA2659F', '对氟苯基乙酰基芬太尼-2023-7-1', '1CC4CEA927A8BB374265D65620A3FD53', '4207437051B415BEDC466FC5F7909CA4', '2023-09-15 15:37:12.000000', '2023-09-15 15:37:12.000000', '1', '1', 0, '03EF30B860E3E9E6B84605CCF5B5DCCB', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对氟苯基乙酰基芬太尼-2023-7-1', NULL, NULL, 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)乙酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('EA0D8B8C4CBACD2F2CF9E263DA2FCAEF', 'PMA盐酸盐-2023-7-1', '04C9F9C184C77006E1B65EA032C646CE', '0101C748129A5EC2D5C9B079D4FEE92A', '2023-09-15 15:37:23.000000', '2023-09-15 15:37:23.000000', '1', '1', 0, 'D6DD006F109C45B371A066A0F74457D5', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'PMA盐酸盐-2023-7-1', NULL, NULL, '1-(4-甲氧基苯基)丙-2-胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('EED5DC1D23599F23EC4D166FC0C31D75', 'JWH-210-2023-7-1', 'CD3D78322B59A5E0FC60BCA60E8A3AB1', 'E056531093AF1FF935E0DD86C6E26E47', '2023-09-15 15:36:40.000000', '2023-09-15 15:36:40.000000', '1', '1', 0, '111F380B1D8CE16B5CECFA2ACAD9D971', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'JWH-210-2023-7-1', NULL, NULL, '(4-乙基萘-1-基)(1-戊基-1H-吲哚-3-基)甲酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('F0130261738C741E3DA5021BABEA8768', 'AMB-FUBINACA-2023-7-1', 'F49953542325FCA738723FE3DF482083', '7DAD1578C3180D70A7B267D4175290F5', '2023-09-15 15:36:43.000000', '2023-09-15 15:36:43.000000', '1', '1', 0, '944295610ADCCBF29017E2E52CD0C987', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'AMB-FUBINACA-2023-7-1', NULL, NULL, '(1-(4-氟苄基)-1H-吲唑-3-羰基)缬氨酸甲酯', 1, 'mL');
INSERT INTO `reference_material` VALUES ('F0E648958C3162BDC6E8EB72900E4A1B', 'D4-氟胺酮盐酸盐-2023-7-1', '49132EE73C8FF201150E6EB4B918EC96', '568F45836C68E7407086EBBDF2EFCE9D', '2023-09-15 15:37:21.000000', '2023-09-15 15:37:21.000000', '1', '1', 0, 'ABA99764889E0E708B8A699AEF8F46F8', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'D4-氟胺酮盐酸盐-2023-7-1', NULL, NULL, '2-(2-氟苯基-3,4,5,6-d4)-2-(甲氨基)环己烷-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('F1A1E06DFF843BB24F83FB0FEFC7F35D', '5F-ABICA-2023-7-1', 'C4FC491D720D99C95D66580DB8EDB495', '8B6FC7D8DDF05315ABFD1D9D6C3EDC33', '2023-09-15 15:36:32.000000', '2023-09-15 15:36:32.000000', '1', '1', 0, '3956D5F2A7ABB557BF4246BF07755178', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', '5F-ABICA-2023-7-1', NULL, NULL, 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(5-氟戊基)-1H-吲哚-3-甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('F1CB41094874042A7B16BFD8A619744A', '咪达唑仑-2023-7-1', 'A1EF2F0A023AA8468E09E20FA432DB80', '4E2FD9686F2B3053B5FC1188854AADB1', '2023-09-15 15:37:28.000000', '2023-09-15 15:37:28.000000', '1', '1', 0, '661F7C1018B8AF17E5A0893F0BDE4618', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', '咪达唑仑-2023-7-1', NULL, NULL, '(7-氯-5-(2-氟苯基)-2,3-二氢-1H-苯并[e][1,4]二氮杂-2-基)甲胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('F3F35636802E8306EA59EB83DC65C5AA', 'D4-曲马多盐酸盐-2023-7-1', '56F8614784CFDECDE167E50735F1675C', 'AAF51DBA8DBD34D95945A04F646894AE', '2023-09-15 15:37:20.000000', '2023-09-15 15:37:20.000000', '1', '1', 0, '4ECD81211AC12EE15BABB2F94FB66A17', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'D4-曲马多盐酸盐-2023-7-1', NULL, NULL, '2-((二甲基氨基)甲基)-1-(3-甲氧基苯基-2,4,5,6-d4)环己烷-1-醇', 1, 'mL');
INSERT INTO `reference_material` VALUES ('F4EBB22DCC55E4B297CC7C5AC87225AA', '对甲苯基5-氯戊酰基芬太尼-2023-7-1', 'E1B6ACA18D61E4497BB6F57B16A09932', 'A9CC300E578E33B4B7CBF2AC85CD5DB5', '2023-09-15 15:37:05.000000', '2023-09-15 15:37:05.000000', '1', '1', 0, '2CCC6FA2E1C9EDA1748CAB1A27FFF200', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对甲苯基5-氯戊酰基芬太尼-2023-7-1', NULL, NULL, '5-氯-N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)戊酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('F804B598D40DE8C146EED6137F72B920', '乙基噻吩胺酮盐酸盐-2023-7-1', '7A516CDEB7CE536D88FD4F948C013B33', '69084591100F0A897052CEF7FE9787D0', '2023-09-15 15:37:18.000000', '2023-09-15 15:37:18.000000', '1', '1', 0, '917320B79E3E66177E74E0AFFEA062B1', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', '乙基噻吩胺酮盐酸盐-2023-7-1', NULL, NULL, '2-(乙基氨基)-2-(噻吩-2-基) 环己烷-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('F9D0A45FB4351E0F1690CC0B44B7614C', 'D4-MDMB-4en-PINACA-2023-7-1', '0B7BEA3283F2E4239AF760BBA5AEF992', 'EA66EC5A51B6F41DF6FB8EF8BE04306A', '2023-09-15 15:37:24.000000', '2023-09-15 15:37:24.000000', '1', '1', 0, '9BCB3D388B36E071BE046A62870C80DE', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'D4-MDMB-4en-PINACA-2023-7-1', NULL, NULL, '3,3-二甲基-2-(1-(戊-4-烯-1-基)-1H-吲唑-3-甲酰胺-4,5,6,7-d4)丁酸甲酯', 1, 'mL');
INSERT INTO `reference_material` VALUES ('FAEC8F341105851A909AA3CFA933A8D3', 'AB-CHMINACA-2023-7-1', 'C98DCEE26183ADE54AFA3321BA795361', '3F8B0598DE3BF598309DF74E7EBC4FA3', '2023-09-15 15:36:36.000000', '2023-09-15 15:36:36.000000', '1', '1', 0, '1200BEFAC3FB7EBCD8160085BA1738FC', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'AB-CHMINACA-2023-7-1', NULL, NULL, 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(环己基甲基)-1H-吲唑-3-甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('FEB2F5E2011DB67DCDCE448C9ECF734B', '5F-SDB-005-2023-7-1', '601BE37A5B776C219D0850B5F33A9D46', '26D2D35D40255C7F579A952D9313C03B', '2023-09-15 15:36:52.000000', '2023-09-15 15:36:52.000000', '1', '1', 0, '1A7656A542B627427B95D6C850163563', '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', '5F-SDB-005-2023-7-1', NULL, NULL, '萘-1-基-1-(5-氟戊基)-1H-吲唑-3-羧酸盐', 1, 'mL');

-- ----------------------------
-- Table structure for requisition_record
-- ----------------------------
DROP TABLE IF EXISTS `requisition_record`;
CREATE TABLE `requisition_record`  (
  `requisition_record_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `date_of_claim` datetime(6) NULL DEFAULT NULL COMMENT '(领用日期)',
  `recipient_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(领用人)',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材ID',
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '规格型号\r\n',
  `drawing_amount` int(8) NULL DEFAULT NULL COMMENT '领用数量',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编号',
  `delivery_registration_form_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '出库登记表ID',
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材名称',
  PRIMARY KEY (`requisition_record_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材领用记录表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of requisition_record
-- ----------------------------

-- ----------------------------
-- Table structure for solution_use_form
-- ----------------------------
DROP TABLE IF EXISTS `solution_use_form`;
CREATE TABLE `solution_use_form`  (
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '溶液使用记录表\r\n',
  `solution_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '溶液ID',
  `user_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '使用人ID',
  `quantity_used` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '使用数量',
  `order_of_use` int(255) NULL DEFAULT NULL COMMENT '用途',
  `date_of_use` datetime(6) NULL DEFAULT NULL COMMENT '使用日期',
  `standard_material_application_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质领用归还登记表ID',
  `create_time` datetime(6) NULL DEFAULT NULL,
  `update_time` datetime(6) NULL DEFAULT NULL,
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of solution_use_form
-- ----------------------------

-- ----------------------------
-- Table structure for standard_material_application
-- ----------------------------
DROP TABLE IF EXISTS `standard_material_application`;
CREATE TABLE `standard_material_application`  (
  `standard_material_application_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `administrator_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质管理员ID)',
  `date_of_claim` datetime(6) NULL DEFAULT NULL COMMENT '(领用日期)',
  `date_of_return` datetime(6) NULL DEFAULT NULL COMMENT '(归还日期)',
  `purpose_and_quantity` double NULL DEFAULT NULL COMMENT '使用数量',
  `recipient_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(领用人ID)',
  `reference_material_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质编号)',
  `reference_substance_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质ID)',
  `requisitioned_quantity` int(11) NULL DEFAULT NULL COMMENT '(领用数量)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `serial_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(序号)',
  `specification` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(规格)',
  `delivery_registration_form_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '出库登记表ID',
  `requisition_record_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '领用登记表ID',
  `storage_registration_form_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '入库登记表ID',
  `claim_code` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '领取码',
  `purpose` int(6) NULL DEFAULT NULL COMMENT '用途',
  `number` varchar(11) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编号',
  `application_for_use_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '领用申请表ID',
  `status` int(3) NULL DEFAULT NULL COMMENT '状态 0 ：未提交 1：已归还',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质ID',
  `is_return` int(3) NULL DEFAULT NULL COMMENT '是否归还',
  `reference_substance_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质名称',
  PRIMARY KEY (`standard_material_application_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准物质领用/归还登记表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of standard_material_application
-- ----------------------------

-- ----------------------------
-- Table structure for standard_material_approval_form
-- ----------------------------
DROP TABLE IF EXISTS `standard_material_approval_form`;
CREATE TABLE `standard_material_approval_form`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `agent_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(经办人)',
  `applicant_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(申请人)',
  `application_time` datetime(6) NULL DEFAULT NULL COMMENT '(申请时间)',
  `opinion_of_approval` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(主任审批意见)',
  `result_of_approval` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(主任审批结果)',
  `approval_of_time` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(主任审批时间)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `audit_opinion_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质管理员审核意见)',
  `audit_opinion_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术负责人审核意见)',
  `audit_result_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术负责人审核结果)',
  `audit_time_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术负责人审核时间)',
  `batch_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(批号)',
  `commit_status` int(11) NULL DEFAULT NULL COMMENT '(提交状态)',
  `approver_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(主任id)',
  `fixed_result` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(定值结果)',
  `manufacturer_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(制造商)',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(编号)',
  `processing_time` datetime(6) NULL DEFAULT NULL COMMENT '(处理时间)',
  `purchase_time` datetime(6) NULL DEFAULT NULL COMMENT '(购置时间)',
  `quantity` int(11) NULL DEFAULT NULL COMMENT '(数量)',
  `reason_for_application` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(申请原因)',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质id)',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `specification` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(规格)',
  `secondary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术负责人id)',
  `reference_material_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质编号',
  `applicant_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '申请人名称',
  `reference_material_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质名称',
  `application_content` int(6) NULL DEFAULT NULL COMMENT '申请原因',
  `commit_time` datetime(6) NULL DEFAULT NULL COMMENT '提交时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准物质停用/报废销毁/恢复/降级使用审批表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of standard_material_approval_form
-- ----------------------------

-- ----------------------------
-- Table structure for standard_reserve_solution
-- ----------------------------
DROP TABLE IF EXISTS `standard_reserve_solution`;
CREATE TABLE `standard_reserve_solution`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `configuration_concentration` double(64, 30) NULL DEFAULT NULL COMMENT '(配置浓度(mg/mL))',
  `configuration_date` datetime(6) NULL DEFAULT NULL COMMENT '(配置日期)',
  `constant_volume` double(255, 5) NULL DEFAULT NULL COMMENT '(定容体积（mL）)',
  `dispenser_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(配制人ID)',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质ID)',
  `reference_material_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质编号)',
  `reference_material_scale` double(255, 5) NULL DEFAULT NULL COMMENT '(标准物质称取量)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `solution_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(溶液名称)',
  `solution_numbering` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(溶液编号)',
  `use_of_solvent` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(使用溶剂)',
  `user_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(使用人ID)',
  `validity_period` int(6) NULL DEFAULT NULL COMMENT '(有效期限)',
  `status` int(5) NULL DEFAULT NULL COMMENT '状态  0 已配置未入库 1: 已入库',
  `warehousing_remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '入库备注',
  `reference_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '生成的标准溶液ID',
  `warning_information` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '预警信息',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准储备溶液配制及使用记录表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of standard_reserve_solution
-- ----------------------------

-- ----------------------------
-- Table structure for standard_solution_curve
-- ----------------------------
DROP TABLE IF EXISTS `standard_solution_curve`;
CREATE TABLE `standard_solution_curve`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `dispenser_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(配制人ID)',
  `serialn_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(序号)',
  `solution_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(溶液名称)',
  `solution_concentration` double(64, 30) NULL DEFAULT NULL COMMENT '(标准储备溶液浓度)',
  `concentration_numbering` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准储备溶液浓度编号)',
  `step_solution_concentration` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(逐级溶液浓度)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `configuration_date` datetime(6) NULL DEFAULT NULL COMMENT '(工作曲线溶液配置日期)',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准工作曲线溶液配置记录表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of standard_solution_curve
-- ----------------------------

-- ----------------------------
-- Table structure for supplier_information
-- ----------------------------
DROP TABLE IF EXISTS `supplier_information`;
CREATE TABLE `supplier_information`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `acceptable_condition` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(合格状态)',
  `contact_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(联系人电话)',
  `contact_person_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(联系人名称)',
  `name_of_supplier` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应人姓名)',
  `photograph_of_supplier` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应人照片)路径',
  `qualification_document` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(资质文件)路径',
  `scope_of_supply` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应范围)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `supplier_coding` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商编码)',
  `supplier_id_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应人身份证号)',
  `supplier_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商名称)',
  `supplier_telephone` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应人电话)',
  `supplier_business_license` tinyint(1) NULL DEFAULT NULL COMMENT '(供应商营业执照)',
  `supplier_passes_quality_assurance_system` tinyint(1) NULL DEFAULT NULL COMMENT '(供应商通过质量保证体系)',
  `supplier_product_certification` tinyint(1) NULL DEFAULT NULL COMMENT '(供应商产品认证)',
  `check_and_calibrate_efficiency_of_supplies` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(对供应品检验校准效率)',
  `overall_supplier_service_satisfaction` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(对供应商总体服务是否满意)',
  `supplier_attitude` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商态度)',
  `supplier_equipment_and_facilities` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商设备与设施)',
  `supplier_technology_and_management_capability` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商技术与管理能力)',
  `whether_the_supplier_delivers_on_time` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商交货是否及时)',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编号',
  `photograph` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '供应商图片',
  `qualification_document_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '资质文件名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(服务商/供应商信息)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of supplier_information
-- ----------------------------
INSERT INTO `supplier_information` VALUES ('ff092f9d95881e5266216abdac063585', '合格', NULL, NULL, NULL, NULL, NULL, NULL, '2023-09-15 15:36:30.000000', '2023-09-15 15:36:30.000000', '1', '1', NULL, NULL, '初始化导入', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for undo_log
-- ----------------------------
DROP TABLE IF EXISTS `undo_log`;
CREATE TABLE `undo_log`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `branch_id` bigint(20) NOT NULL,
  `xid` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `context` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `rollback_info` longblob NOT NULL,
  `log_status` int(11) NOT NULL,
  `log_created` datetime(0) NOT NULL,
  `log_modified` datetime(0) NOT NULL,
  `ext` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `ux_undo_log`(`xid`, `branch_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 156 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of undo_log
-- ----------------------------

-- ----------------------------
-- Table structure for warehousing_batch_list
-- ----------------------------
DROP TABLE IF EXISTS `warehousing_batch_list`;
CREATE TABLE `warehousing_batch_list`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `batch` int(6) NULL DEFAULT NULL COMMENT '(批次)',
  `batch_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(批号)',
  `date_of_production` datetime(6) NULL DEFAULT NULL COMMENT '(生产日期)',
  `date_of_receipt` datetime(6) NULL DEFAULT NULL COMMENT '签收日期',
  `expiration_date` datetime(6) NULL DEFAULT NULL COMMENT '(有效日期)',
  `quantity` int(11) NULL DEFAULT NULL COMMENT '(数量)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商ID)',
  `warning_value` int(11) NULL DEFAULT NULL COMMENT '(预警值)',
  `depositor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '签收人\r\n',
  `warehousing_content_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '签收内容ID',
  `lattice_Id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '格子ID',
  `limit_date` varbinary(255) NULL DEFAULT NULL COMMENT '存储期限',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `location` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '位置信息',
  `batch_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '批次ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '签收批次明细' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of warehousing_batch_list
-- ----------------------------

-- ----------------------------
-- Table structure for warehousing_content
-- ----------------------------
DROP TABLE IF EXISTS `warehousing_content`;
CREATE TABLE `warehousing_content`  (
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材名称',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材ID',
  `total_quantity` int(6) NULL DEFAULT NULL COMMENT '应签收数量',
  `warehousing_quantity` int(6) NULL DEFAULT NULL COMMENT '每次签收数量',
  `catalogue_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购目录编号',
  `create_time` datetime(6) NULL DEFAULT NULL,
  `update_time` datetime(6) NULL DEFAULT NULL,
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `warehousing_record_form_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '入库登记表ID',
  `acceptance_record_form_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '验收记录表ID',
  `supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '供应商ID',
  `evaluation_form_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '供应商评价表ID',
  `purchase_list_details_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购清单批次ID',
  `status` int(6) NULL DEFAULT NULL COMMENT '状态0 未签收完 1 已签收完',
  `warning_value` int(255) NULL DEFAULT NULL COMMENT '预警值',
  `code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '物品编码',
  `last_storage_location` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '上次存放位置',
  `lattice_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '格子ID',
  `box_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '柜子ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of warehousing_content
-- ----------------------------

-- ----------------------------
-- Table structure for warehousing_record_form
-- ----------------------------
DROP TABLE IF EXISTS `warehousing_record_form`;
CREATE TABLE `warehousing_record_form`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `purchase_list_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购清单ID',
  `status` int(6) NULL DEFAULT NULL COMMENT '状态',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `purchase_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '签收记录表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of warehousing_record_form
-- ----------------------------

-- ----------------------------
-- Procedure structure for pro_code_generator
-- ----------------------------
DROP PROCEDURE IF EXISTS `pro_code_generator`;
delimiter ;;
CREATE PROCEDURE `pro_code_generator`()
begin
	SELECT COUNT(*) INTO @menucount FROM sys_menu WHERE menu="reagent";
	-- SELECT @menucount;
	set @parentId = replace(UUID(),"-","");
	SELECT MAX(sort) into @maxsort FROM sys_menu WHERE parent_id = "root";
	if ((SELECT @menucount)>0) then
		SELECT menu_id INTO @parentId FROM sys_menu WHERE menu="reagent";
	else
		INSERT into `sys_menu` ( `parent_id`, menu_id, `path`, menu,  `permission_id`, `type`, `icon`, `sort`, `name`)
    		values ( 'root', @parentId, '/reagent', 'reagent', '', '0', 'icon-bangzhushouji', @maxsort+10,'reagent管理');
	end if;
end
;;
delimiter ;

SET FOREIGN_KEY_CHECKS = 1;
